import { request, lodop } from '/src';

const res = 'Inbound';

export default {
  add(data) {
    return request({
      url: `api/${res}/add`,
      method: 'post',
      data
    });
  },
  getPrint(id) {
    return request({
      url: `api/${res}/print`,
      method: 'get',
      params: { id: JSON.stringify(id) }
    });
  },
  async print(id) {
    let model = await this.getPrint(id);
    const LODOP = lodop.getLodop();

    //这个语句设置网络共享打印机连接不通时是否提示一下
    LODOP.SET_PRINT_MODE('TRYLINKPRINTER_NOALERT', true);
    LODOP.PRINT_INIT('入库单明细');
    for (let index = 0; index < model.length; index++) {
      const item = model[index];
      if (!index == 0) {
        LODOP.NewPageA();
      }

      LODOP.ADD_PRINT_HTM(item.top, item.left, item.width, item.height, item.content);
      if (item.pageWidth != null && item.pageHeight != null) {
        LODOP.SET_PRINT_PAGESIZE(item.orient == 'Landscape' ? 2 : item.orient == 'Portrait' ? 1 : 0, item.pageWidth, item.pageHeight, item.pageName);
        LODOP.SET_SHOW_MODE('LANDSCAPE_DEFROTATED', 1);
      }
    }

    LODOP.SET_PRINT_STYLEA(0, 'TableHeightScope', 1);
    LODOP.PRINT();
  }
};
