import require$$0$1, { watch, effectScope, reactive, computed, shallowRef, unref, shallowReactive, nextTick, defineComponent, inject, h, provide, ref, getCurrentInstance, watchEffect, openBlock, createElementBlock, createElementVNode, normalizeStyle as normalizeStyle$1, toDisplayString as toDisplayString$2, withDirectives, vModelText, resolveComponent, resolveDirective, createVNode as createVNode$1, withCtx, Fragment, renderList, createBlock, createTextVNode, createCommentVNode, renderSlot, mergeProps, vShow, withModifiers, normalizeProps, guardReactiveProps, normalizeClass, markRaw, resolveDynamicComponent, Transition, KeepAlive } from "vue";
import ViewUIPlus from "view-ui-plus";
function getDevtoolsGlobalHook() {
  return getTarget$1().__VUE_DEVTOOLS_GLOBAL_HOOK__;
}
function getTarget$1() {
  return typeof navigator < "u" && typeof window < "u" ? window : typeof globalThis < "u" ? globalThis : {};
}
const isProxyAvailable = typeof Proxy == "function", HOOK_SETUP = "devtools-plugin:setup", HOOK_PLUGIN_SETTINGS_SET = "plugin:settings:set";
let supported, perf;
function isPerformanceSupported() {
  var r;
  return supported !== void 0 || (typeof window < "u" && window.performance ? (supported = !0, perf = window.performance) : typeof globalThis < "u" && (!((r = globalThis.perf_hooks) === null || r === void 0) && r.performance) ? (supported = !0, perf = globalThis.perf_hooks.performance) : supported = !1), supported;
}
function now() {
  return isPerformanceSupported() ? perf.now() : Date.now();
}
class ApiProxy {
  constructor(a, o) {
    this.target = null, this.targetQueue = [], this.onQueue = [], this.plugin = a, this.hook = o;
    const s = {};
    if (a.settings)
      for (const c in a.settings) {
        const d = a.settings[c];
        s[c] = d.defaultValue;
      }
    const l = `__vue-devtools-plugin-settings__${a.id}`;
    let u = Object.assign({}, s);
    try {
      const c = localStorage.getItem(l), d = JSON.parse(c);
      Object.assign(u, d);
    } catch {
    }
    this.fallbacks = {
      getSettings() {
        return u;
      },
      setSettings(c) {
        try {
          localStorage.setItem(l, JSON.stringify(c));
        } catch {
        }
        u = c;
      },
      now() {
        return now();
      }
    }, o && o.on(HOOK_PLUGIN_SETTINGS_SET, (c, d) => {
      c === this.plugin.id && this.fallbacks.setSettings(d);
    }), this.proxiedOn = new Proxy({}, {
      get: (c, d) => this.target ? this.target.on[d] : (...f) => {
        this.onQueue.push({
          method: d,
          args: f
        });
      }
    }), this.proxiedTarget = new Proxy({}, {
      get: (c, d) => this.target ? this.target[d] : d === "on" ? this.proxiedOn : Object.keys(this.fallbacks).includes(d) ? (...f) => (this.targetQueue.push({
        method: d,
        args: f,
        resolve: () => {
        }
      }), this.fallbacks[d](...f)) : (...f) => new Promise((p) => {
        this.targetQueue.push({
          method: d,
          args: f,
          resolve: p
        });
      })
    });
  }
  async setRealTarget(a) {
    this.target = a;
    for (const o of this.onQueue)
      this.target.on[o.method](...o.args);
    for (const o of this.targetQueue)
      o.resolve(await this.target[o.method](...o.args));
  }
}
function setupDevtoolsPlugin(r, a) {
  const o = r, s = getTarget$1(), l = getDevtoolsGlobalHook(), u = isProxyAvailable && o.enableEarlyProxy;
  if (l && (s.__VUE_DEVTOOLS_PLUGIN_API_AVAILABLE__ || !u))
    l.emit(HOOK_SETUP, r, a);
  else {
    const c = u ? new ApiProxy(o, l) : null;
    (s.__VUE_DEVTOOLS_PLUGINS__ = s.__VUE_DEVTOOLS_PLUGINS__ || []).push({
      pluginDescriptor: o,
      setupFn: a,
      proxy: c
    }), c && a(c.proxiedTarget);
  }
}
/*!
 * vuex v4.1.0
 * (c) 2022 Evan You
 * @license MIT
 */
var storeKey = "store";
function forEachValue(r, a) {
  Object.keys(r).forEach(function(o) {
    return a(r[o], o);
  });
}
function isObject$7(r) {
  return r !== null && typeof r == "object";
}
function isPromise$6(r) {
  return r && typeof r.then == "function";
}
function assert$1(r, a) {
  if (!r)
    throw new Error("[vuex] " + a);
}
function partial(r, a) {
  return function() {
    return r(a);
  };
}
function genericSubscribe(r, a, o) {
  return a.indexOf(r) < 0 && (o && o.prepend ? a.unshift(r) : a.push(r)), function() {
    var s = a.indexOf(r);
    s > -1 && a.splice(s, 1);
  };
}
function resetStore(r, a) {
  r._actions = /* @__PURE__ */ Object.create(null), r._mutations = /* @__PURE__ */ Object.create(null), r._wrappedGetters = /* @__PURE__ */ Object.create(null), r._modulesNamespaceMap = /* @__PURE__ */ Object.create(null);
  var o = r.state;
  installModule(r, o, [], r._modules.root, !0), resetStoreState(r, o, a);
}
function resetStoreState(r, a, o) {
  var s = r._state, l = r._scope;
  r.getters = {}, r._makeLocalGettersCache = /* @__PURE__ */ Object.create(null);
  var u = r._wrappedGetters, c = {}, d = {}, f = effectScope(!0);
  f.run(function() {
    forEachValue(u, function(p, v) {
      c[v] = partial(p, r), d[v] = computed(function() {
        return c[v]();
      }), Object.defineProperty(r.getters, v, {
        get: function() {
          return d[v].value;
        },
        enumerable: !0
        // for local getters
      });
    });
  }), r._state = reactive({
    data: a
  }), r._scope = f, r.strict && enableStrictMode(r), s && o && r._withCommit(function() {
    s.data = null;
  }), l && l.stop();
}
function installModule(r, a, o, s, l) {
  var u = !o.length, c = r._modules.getNamespace(o);
  if (s.namespaced && (r._modulesNamespaceMap[c] && process.env.NODE_ENV !== "production" && console.error("[vuex] duplicate namespace " + c + " for the namespaced module " + o.join("/")), r._modulesNamespaceMap[c] = s), !u && !l) {
    var d = getNestedState(a, o.slice(0, -1)), f = o[o.length - 1];
    r._withCommit(function() {
      process.env.NODE_ENV !== "production" && f in d && console.warn(
        '[vuex] state field "' + f + '" was overridden by a module with the same name at "' + o.join(".") + '"'
      ), d[f] = s.state;
    });
  }
  var p = s.context = makeLocalContext(r, c, o);
  s.forEachMutation(function(v, g) {
    var y = c + g;
    registerMutation(r, y, v, p);
  }), s.forEachAction(function(v, g) {
    var y = v.root ? g : c + g, _ = v.handler || v;
    registerAction$1(r, y, _, p);
  }), s.forEachGetter(function(v, g) {
    var y = c + g;
    registerGetter(r, y, v, p);
  }), s.forEachChild(function(v, g) {
    installModule(r, a, o.concat(g), v, l);
  });
}
function makeLocalContext(r, a, o) {
  var s = a === "", l = {
    dispatch: s ? r.dispatch : function(u, c, d) {
      var f = unifyObjectStyle(u, c, d), p = f.payload, v = f.options, g = f.type;
      if ((!v || !v.root) && (g = a + g, process.env.NODE_ENV !== "production" && !r._actions[g])) {
        console.error("[vuex] unknown local action type: " + f.type + ", global type: " + g);
        return;
      }
      return r.dispatch(g, p);
    },
    commit: s ? r.commit : function(u, c, d) {
      var f = unifyObjectStyle(u, c, d), p = f.payload, v = f.options, g = f.type;
      if ((!v || !v.root) && (g = a + g, process.env.NODE_ENV !== "production" && !r._mutations[g])) {
        console.error("[vuex] unknown local mutation type: " + f.type + ", global type: " + g);
        return;
      }
      r.commit(g, p, v);
    }
  };
  return Object.defineProperties(l, {
    getters: {
      get: s ? function() {
        return r.getters;
      } : function() {
        return makeLocalGetters(r, a);
      }
    },
    state: {
      get: function() {
        return getNestedState(r.state, o);
      }
    }
  }), l;
}
function makeLocalGetters(r, a) {
  if (!r._makeLocalGettersCache[a]) {
    var o = {}, s = a.length;
    Object.keys(r.getters).forEach(function(l) {
      if (l.slice(0, s) === a) {
        var u = l.slice(s);
        Object.defineProperty(o, u, {
          get: function() {
            return r.getters[l];
          },
          enumerable: !0
        });
      }
    }), r._makeLocalGettersCache[a] = o;
  }
  return r._makeLocalGettersCache[a];
}
function registerMutation(r, a, o, s) {
  var l = r._mutations[a] || (r._mutations[a] = []);
  l.push(function(c) {
    o.call(r, s.state, c);
  });
}
function registerAction$1(r, a, o, s) {
  var l = r._actions[a] || (r._actions[a] = []);
  l.push(function(c) {
    var d = o.call(r, {
      dispatch: s.dispatch,
      commit: s.commit,
      getters: s.getters,
      state: s.state,
      rootGetters: r.getters,
      rootState: r.state
    }, c);
    return isPromise$6(d) || (d = Promise.resolve(d)), r._devtoolHook ? d.catch(function(f) {
      throw r._devtoolHook.emit("vuex:error", f), f;
    }) : d;
  });
}
function registerGetter(r, a, o, s) {
  if (r._wrappedGetters[a]) {
    process.env.NODE_ENV !== "production" && console.error("[vuex] duplicate getter key: " + a);
    return;
  }
  r._wrappedGetters[a] = function(u) {
    return o(
      s.state,
      // local state
      s.getters,
      // local getters
      u.state,
      // root state
      u.getters
      // root getters
    );
  };
}
function enableStrictMode(r) {
  watch(function() {
    return r._state.data;
  }, function() {
    process.env.NODE_ENV !== "production" && assert$1(r._committing, "do not mutate vuex store state outside mutation handlers.");
  }, { deep: !0, flush: "sync" });
}
function getNestedState(r, a) {
  return a.reduce(function(o, s) {
    return o[s];
  }, r);
}
function unifyObjectStyle(r, a, o) {
  return isObject$7(r) && r.type && (o = a, a = r, r = r.type), process.env.NODE_ENV !== "production" && assert$1(typeof r == "string", "expects string as the type, but found " + typeof r + "."), { type: r, payload: a, options: o };
}
var LABEL_VUEX_BINDINGS = "vuex bindings", MUTATIONS_LAYER_ID = "vuex:mutations", ACTIONS_LAYER_ID = "vuex:actions", INSPECTOR_ID = "vuex", actionId = 0;
function addDevtools$1(r, a) {
  setupDevtoolsPlugin(
    {
      id: "org.vuejs.vuex",
      app: r,
      label: "Vuex",
      homepage: "https://next.vuex.vuejs.org/",
      logo: "https://vuejs.org/images/icons/favicon-96x96.png",
      packageName: "vuex",
      componentStateTypes: [LABEL_VUEX_BINDINGS]
    },
    function(o) {
      o.addTimelineLayer({
        id: MUTATIONS_LAYER_ID,
        label: "Vuex Mutations",
        color: COLOR_LIME_500
      }), o.addTimelineLayer({
        id: ACTIONS_LAYER_ID,
        label: "Vuex Actions",
        color: COLOR_LIME_500
      }), o.addInspector({
        id: INSPECTOR_ID,
        label: "Vuex",
        icon: "storage",
        treeFilterPlaceholder: "Filter stores..."
      }), o.on.getInspectorTree(function(s) {
        if (s.app === r && s.inspectorId === INSPECTOR_ID)
          if (s.filter) {
            var l = [];
            flattenStoreForInspectorTree(l, a._modules.root, s.filter, ""), s.rootNodes = l;
          } else
            s.rootNodes = [
              formatStoreForInspectorTree(a._modules.root, "")
            ];
      }), o.on.getInspectorState(function(s) {
        if (s.app === r && s.inspectorId === INSPECTOR_ID) {
          var l = s.nodeId;
          makeLocalGetters(a, l), s.state = formatStoreForInspectorState(
            getStoreModule(a._modules, l),
            l === "root" ? a.getters : a._makeLocalGettersCache,
            l
          );
        }
      }), o.on.editInspectorState(function(s) {
        if (s.app === r && s.inspectorId === INSPECTOR_ID) {
          var l = s.nodeId, u = s.path;
          l !== "root" && (u = l.split("/").filter(Boolean).concat(u)), a._withCommit(function() {
            s.set(a._state.data, u, s.state.value);
          });
        }
      }), a.subscribe(function(s, l) {
        var u = {};
        s.payload && (u.payload = s.payload), u.state = l, o.notifyComponentUpdate(), o.sendInspectorTree(INSPECTOR_ID), o.sendInspectorState(INSPECTOR_ID), o.addTimelineEvent({
          layerId: MUTATIONS_LAYER_ID,
          event: {
            time: Date.now(),
            title: s.type,
            data: u
          }
        });
      }), a.subscribeAction({
        before: function(s, l) {
          var u = {};
          s.payload && (u.payload = s.payload), s._id = actionId++, s._time = Date.now(), u.state = l, o.addTimelineEvent({
            layerId: ACTIONS_LAYER_ID,
            event: {
              time: s._time,
              title: s.type,
              groupId: s._id,
              subtitle: "start",
              data: u
            }
          });
        },
        after: function(s, l) {
          var u = {}, c = Date.now() - s._time;
          u.duration = {
            _custom: {
              type: "duration",
              display: c + "ms",
              tooltip: "Action duration",
              value: c
            }
          }, s.payload && (u.payload = s.payload), u.state = l, o.addTimelineEvent({
            layerId: ACTIONS_LAYER_ID,
            event: {
              time: Date.now(),
              title: s.type,
              groupId: s._id,
              subtitle: "end",
              data: u
            }
          });
        }
      });
    }
  );
}
var COLOR_LIME_500 = 8702998, COLOR_DARK = 6710886, COLOR_WHITE = 16777215, TAG_NAMESPACED = {
  label: "namespaced",
  textColor: COLOR_WHITE,
  backgroundColor: COLOR_DARK
};
function extractNameFromPath(r) {
  return r && r !== "root" ? r.split("/").slice(-2, -1)[0] : "Root";
}
function formatStoreForInspectorTree(r, a) {
  return {
    id: a || "root",
    // all modules end with a `/`, we want the last segment only
    // cart/ -> cart
    // nested/cart/ -> cart
    label: extractNameFromPath(a),
    tags: r.namespaced ? [TAG_NAMESPACED] : [],
    children: Object.keys(r._children).map(
      function(o) {
        return formatStoreForInspectorTree(
          r._children[o],
          a + o + "/"
        );
      }
    )
  };
}
function flattenStoreForInspectorTree(r, a, o, s) {
  s.includes(o) && r.push({
    id: s || "root",
    label: s.endsWith("/") ? s.slice(0, s.length - 1) : s || "Root",
    tags: a.namespaced ? [TAG_NAMESPACED] : []
  }), Object.keys(a._children).forEach(function(l) {
    flattenStoreForInspectorTree(r, a._children[l], o, s + l + "/");
  });
}
function formatStoreForInspectorState(r, a, o) {
  a = o === "root" ? a : a[o];
  var s = Object.keys(a), l = {
    state: Object.keys(r.state).map(function(c) {
      return {
        key: c,
        editable: !0,
        value: r.state[c]
      };
    })
  };
  if (s.length) {
    var u = transformPathsToObjectTree(a);
    l.getters = Object.keys(u).map(function(c) {
      return {
        key: c.endsWith("/") ? extractNameFromPath(c) : c,
        editable: !1,
        value: canThrow(function() {
          return u[c];
        })
      };
    });
  }
  return l;
}
function transformPathsToObjectTree(r) {
  var a = {};
  return Object.keys(r).forEach(function(o) {
    var s = o.split("/");
    if (s.length > 1) {
      var l = a, u = s.pop();
      s.forEach(function(c) {
        l[c] || (l[c] = {
          _custom: {
            value: {},
            display: c,
            tooltip: "Module",
            abstract: !0
          }
        }), l = l[c]._custom.value;
      }), l[u] = canThrow(function() {
        return r[o];
      });
    } else
      a[o] = canThrow(function() {
        return r[o];
      });
  }), a;
}
function getStoreModule(r, a) {
  var o = a.split("/").filter(function(s) {
    return s;
  });
  return o.reduce(
    function(s, l, u) {
      var c = s[l];
      if (!c)
        throw new Error('Missing module "' + l + '" for path "' + a + '".');
      return u === o.length - 1 ? c : c._children;
    },
    a === "root" ? r : r.root._children
  );
}
function canThrow(r) {
  try {
    return r();
  } catch (a) {
    return a;
  }
}
var Module = function(a, o) {
  this.runtime = o, this._children = /* @__PURE__ */ Object.create(null), this._rawModule = a;
  var s = a.state;
  this.state = (typeof s == "function" ? s() : s) || {};
}, prototypeAccessors$1 = { namespaced: { configurable: !0 } };
prototypeAccessors$1.namespaced.get = function() {
  return !!this._rawModule.namespaced;
};
Module.prototype.addChild = function(a, o) {
  this._children[a] = o;
};
Module.prototype.removeChild = function(a) {
  delete this._children[a];
};
Module.prototype.getChild = function(a) {
  return this._children[a];
};
Module.prototype.hasChild = function(a) {
  return a in this._children;
};
Module.prototype.update = function(a) {
  this._rawModule.namespaced = a.namespaced, a.actions && (this._rawModule.actions = a.actions), a.mutations && (this._rawModule.mutations = a.mutations), a.getters && (this._rawModule.getters = a.getters);
};
Module.prototype.forEachChild = function(a) {
  forEachValue(this._children, a);
};
Module.prototype.forEachGetter = function(a) {
  this._rawModule.getters && forEachValue(this._rawModule.getters, a);
};
Module.prototype.forEachAction = function(a) {
  this._rawModule.actions && forEachValue(this._rawModule.actions, a);
};
Module.prototype.forEachMutation = function(a) {
  this._rawModule.mutations && forEachValue(this._rawModule.mutations, a);
};
Object.defineProperties(Module.prototype, prototypeAccessors$1);
var ModuleCollection = function(a) {
  this.register([], a, !1);
};
ModuleCollection.prototype.get = function(a) {
  return a.reduce(function(o, s) {
    return o.getChild(s);
  }, this.root);
};
ModuleCollection.prototype.getNamespace = function(a) {
  var o = this.root;
  return a.reduce(function(s, l) {
    return o = o.getChild(l), s + (o.namespaced ? l + "/" : "");
  }, "");
};
ModuleCollection.prototype.update = function(a) {
  update2([], this.root, a);
};
ModuleCollection.prototype.register = function(a, o, s) {
  var l = this;
  s === void 0 && (s = !0), process.env.NODE_ENV !== "production" && assertRawModule(a, o);
  var u = new Module(o, s);
  if (a.length === 0)
    this.root = u;
  else {
    var c = this.get(a.slice(0, -1));
    c.addChild(a[a.length - 1], u);
  }
  o.modules && forEachValue(o.modules, function(d, f) {
    l.register(a.concat(f), d, s);
  });
};
ModuleCollection.prototype.unregister = function(a) {
  var o = this.get(a.slice(0, -1)), s = a[a.length - 1], l = o.getChild(s);
  if (!l) {
    process.env.NODE_ENV !== "production" && console.warn(
      "[vuex] trying to unregister module '" + s + "', which is not registered"
    );
    return;
  }
  l.runtime && o.removeChild(s);
};
ModuleCollection.prototype.isRegistered = function(a) {
  var o = this.get(a.slice(0, -1)), s = a[a.length - 1];
  return o ? o.hasChild(s) : !1;
};
function update2(r, a, o) {
  if (process.env.NODE_ENV !== "production" && assertRawModule(r, o), a.update(o), o.modules)
    for (var s in o.modules) {
      if (!a.getChild(s)) {
        process.env.NODE_ENV !== "production" && console.warn(
          "[vuex] trying to add a new module '" + s + "' on hot reloading, manual reload is needed"
        );
        return;
      }
      update2(
        r.concat(s),
        a.getChild(s),
        o.modules[s]
      );
    }
}
var functionAssert = {
  assert: function(r) {
    return typeof r == "function";
  },
  expected: "function"
}, objectAssert = {
  assert: function(r) {
    return typeof r == "function" || typeof r == "object" && typeof r.handler == "function";
  },
  expected: 'function or object with "handler" function'
}, assertTypes = {
  getters: functionAssert,
  mutations: functionAssert,
  actions: objectAssert
};
function assertRawModule(r, a) {
  Object.keys(assertTypes).forEach(function(o) {
    if (a[o]) {
      var s = assertTypes[o];
      forEachValue(a[o], function(l, u) {
        assert$1(
          s.assert(l),
          makeAssertionMessage(r, o, u, l, s.expected)
        );
      });
    }
  });
}
function makeAssertionMessage(r, a, o, s, l) {
  var u = a + " should be " + l + ' but "' + a + "." + o + '"';
  return r.length > 0 && (u += ' in module "' + r.join(".") + '"'), u += " is " + JSON.stringify(s) + ".", u;
}
function createStore(r) {
  return new Store(r);
}
var Store = function r(a) {
  var o = this;
  a === void 0 && (a = {}), process.env.NODE_ENV !== "production" && (assert$1(typeof Promise < "u", "vuex requires a Promise polyfill in this browser."), assert$1(this instanceof r, "store must be called with the new operator."));
  var s = a.plugins;
  s === void 0 && (s = []);
  var l = a.strict;
  l === void 0 && (l = !1);
  var u = a.devtools;
  this._committing = !1, this._actions = /* @__PURE__ */ Object.create(null), this._actionSubscribers = [], this._mutations = /* @__PURE__ */ Object.create(null), this._wrappedGetters = /* @__PURE__ */ Object.create(null), this._modules = new ModuleCollection(a), this._modulesNamespaceMap = /* @__PURE__ */ Object.create(null), this._subscribers = [], this._makeLocalGettersCache = /* @__PURE__ */ Object.create(null), this._scope = null, this._devtools = u;
  var c = this, d = this, f = d.dispatch, p = d.commit;
  this.dispatch = function(y, _) {
    return f.call(c, y, _);
  }, this.commit = function(y, _, S) {
    return p.call(c, y, _, S);
  }, this.strict = l;
  var v = this._modules.root.state;
  installModule(this, v, [], this._modules.root), resetStoreState(this, v), s.forEach(function(g) {
    return g(o);
  });
}, prototypeAccessors = { state: { configurable: !0 } };
Store.prototype.install = function(a, o) {
  a.provide(o || storeKey, this), a.config.globalProperties.$store = this;
  var s = this._devtools !== void 0 ? this._devtools : process.env.NODE_ENV !== "production" || !1;
  s && addDevtools$1(a, this);
};
prototypeAccessors.state.get = function() {
  return this._state.data;
};
prototypeAccessors.state.set = function(r) {
  process.env.NODE_ENV !== "production" && assert$1(!1, "use store.replaceState() to explicit replace store state.");
};
Store.prototype.commit = function(a, o, s) {
  var l = this, u = unifyObjectStyle(a, o, s), c = u.type, d = u.payload, f = u.options, p = { type: c, payload: d }, v = this._mutations[c];
  if (!v) {
    process.env.NODE_ENV !== "production" && console.error("[vuex] unknown mutation type: " + c);
    return;
  }
  this._withCommit(function() {
    v.forEach(function(y) {
      y(d);
    });
  }), this._subscribers.slice().forEach(function(g) {
    return g(p, l.state);
  }), process.env.NODE_ENV !== "production" && f && f.silent && console.warn(
    "[vuex] mutation type: " + c + ". Silent option has been removed. Use the filter functionality in the vue-devtools"
  );
};
Store.prototype.dispatch = function(a, o) {
  var s = this, l = unifyObjectStyle(a, o), u = l.type, c = l.payload, d = { type: u, payload: c }, f = this._actions[u];
  if (!f) {
    process.env.NODE_ENV !== "production" && console.error("[vuex] unknown action type: " + u);
    return;
  }
  try {
    this._actionSubscribers.slice().filter(function(v) {
      return v.before;
    }).forEach(function(v) {
      return v.before(d, s.state);
    });
  } catch (v) {
    process.env.NODE_ENV !== "production" && (console.warn("[vuex] error in before action subscribers: "), console.error(v));
  }
  var p = f.length > 1 ? Promise.all(f.map(function(v) {
    return v(c);
  })) : f[0](c);
  return new Promise(function(v, g) {
    p.then(function(y) {
      try {
        s._actionSubscribers.filter(function(_) {
          return _.after;
        }).forEach(function(_) {
          return _.after(d, s.state);
        });
      } catch (_) {
        process.env.NODE_ENV !== "production" && (console.warn("[vuex] error in after action subscribers: "), console.error(_));
      }
      v(y);
    }, function(y) {
      try {
        s._actionSubscribers.filter(function(_) {
          return _.error;
        }).forEach(function(_) {
          return _.error(d, s.state, y);
        });
      } catch (_) {
        process.env.NODE_ENV !== "production" && (console.warn("[vuex] error in error action subscribers: "), console.error(_));
      }
      g(y);
    });
  });
};
Store.prototype.subscribe = function(a, o) {
  return genericSubscribe(a, this._subscribers, o);
};
Store.prototype.subscribeAction = function(a, o) {
  var s = typeof a == "function" ? { before: a } : a;
  return genericSubscribe(s, this._actionSubscribers, o);
};
Store.prototype.watch = function(a, o, s) {
  var l = this;
  return process.env.NODE_ENV !== "production" && assert$1(typeof a == "function", "store.watch only accepts a function."), watch(function() {
    return a(l.state, l.getters);
  }, o, Object.assign({}, s));
};
Store.prototype.replaceState = function(a) {
  var o = this;
  this._withCommit(function() {
    o._state.data = a;
  });
};
Store.prototype.registerModule = function(a, o, s) {
  s === void 0 && (s = {}), typeof a == "string" && (a = [a]), process.env.NODE_ENV !== "production" && (assert$1(Array.isArray(a), "module path must be a string or an Array."), assert$1(a.length > 0, "cannot register the root module by using registerModule.")), this._modules.register(a, o), installModule(this, this.state, a, this._modules.get(a), s.preserveState), resetStoreState(this, this.state);
};
Store.prototype.unregisterModule = function(a) {
  var o = this;
  typeof a == "string" && (a = [a]), process.env.NODE_ENV !== "production" && assert$1(Array.isArray(a), "module path must be a string or an Array."), this._modules.unregister(a), this._withCommit(function() {
    var s = getNestedState(o.state, a.slice(0, -1));
    delete s[a[a.length - 1]];
  }), resetStore(this);
};
Store.prototype.hasModule = function(a) {
  return typeof a == "string" && (a = [a]), process.env.NODE_ENV !== "production" && assert$1(Array.isArray(a), "module path must be a string or an Array."), this._modules.isRegistered(a);
};
Store.prototype.hotUpdate = function(a) {
  this._modules.update(a), resetStore(this, !0);
};
Store.prototype._withCommit = function(a) {
  var o = this._committing;
  this._committing = !0, a(), this._committing = o;
};
Object.defineProperties(Store.prototype, prototypeAccessors);
var mapState = normalizeNamespace(function(r, a) {
  var o = {};
  return process.env.NODE_ENV !== "production" && !isValidMap(a) && console.error("[vuex] mapState: mapper parameter must be either an Array or an Object"), normalizeMap(a).forEach(function(s) {
    var l = s.key, u = s.val;
    o[l] = function() {
      var d = this.$store.state, f = this.$store.getters;
      if (r) {
        var p = getModuleByNamespace(this.$store, "mapState", r);
        if (!p)
          return;
        d = p.context.state, f = p.context.getters;
      }
      return typeof u == "function" ? u.call(this, d, f) : d[u];
    }, o[l].vuex = !0;
  }), o;
}), mapMutations = normalizeNamespace(function(r, a) {
  var o = {};
  return process.env.NODE_ENV !== "production" && !isValidMap(a) && console.error("[vuex] mapMutations: mapper parameter must be either an Array or an Object"), normalizeMap(a).forEach(function(s) {
    var l = s.key, u = s.val;
    o[l] = function() {
      for (var d = [], f = arguments.length; f--; ) d[f] = arguments[f];
      var p = this.$store.commit;
      if (r) {
        var v = getModuleByNamespace(this.$store, "mapMutations", r);
        if (!v)
          return;
        p = v.context.commit;
      }
      return typeof u == "function" ? u.apply(this, [p].concat(d)) : p.apply(this.$store, [u].concat(d));
    };
  }), o;
}), mapGetters = normalizeNamespace(function(r, a) {
  var o = {};
  return process.env.NODE_ENV !== "production" && !isValidMap(a) && console.error("[vuex] mapGetters: mapper parameter must be either an Array or an Object"), normalizeMap(a).forEach(function(s) {
    var l = s.key, u = s.val;
    u = r + u, o[l] = function() {
      if (!(r && !getModuleByNamespace(this.$store, "mapGetters", r))) {
        if (process.env.NODE_ENV !== "production" && !(u in this.$store.getters)) {
          console.error("[vuex] unknown getter: " + u);
          return;
        }
        return this.$store.getters[u];
      }
    }, o[l].vuex = !0;
  }), o;
}), mapActions = normalizeNamespace(function(r, a) {
  var o = {};
  return process.env.NODE_ENV !== "production" && !isValidMap(a) && console.error("[vuex] mapActions: mapper parameter must be either an Array or an Object"), normalizeMap(a).forEach(function(s) {
    var l = s.key, u = s.val;
    o[l] = function() {
      for (var d = [], f = arguments.length; f--; ) d[f] = arguments[f];
      var p = this.$store.dispatch;
      if (r) {
        var v = getModuleByNamespace(this.$store, "mapActions", r);
        if (!v)
          return;
        p = v.context.dispatch;
      }
      return typeof u == "function" ? u.apply(this, [p].concat(d)) : p.apply(this.$store, [u].concat(d));
    };
  }), o;
});
function normalizeMap(r) {
  return isValidMap(r) ? Array.isArray(r) ? r.map(function(a) {
    return { key: a, val: a };
  }) : Object.keys(r).map(function(a) {
    return { key: a, val: r[a] };
  }) : [];
}
function isValidMap(r) {
  return Array.isArray(r) || isObject$7(r);
}
function normalizeNamespace(r) {
  return function(a, o) {
    return typeof a != "string" ? (o = a, a = "") : a.charAt(a.length - 1) !== "/" && (a += "/"), r(a, o);
  };
}
function getModuleByNamespace(r, a, o) {
  var s = r._modulesNamespaceMap[o];
  return process.env.NODE_ENV !== "production" && !s && console.error("[vuex] module namespace not found in " + a + "(): " + o), s;
}
/*! js-cookie v3.0.5 | MIT */
function assign$3(r) {
  for (var a = 1; a < arguments.length; a++) {
    var o = arguments[a];
    for (var s in o)
      r[s] = o[s];
  }
  return r;
}
var defaultConverter = {
  read: function(r) {
    return r[0] === '"' && (r = r.slice(1, -1)), r.replace(/(%[\dA-F]{2})+/gi, decodeURIComponent);
  },
  write: function(r) {
    return encodeURIComponent(r).replace(
      /%(2[346BF]|3[AC-F]|40|5[BDE]|60|7[BCD])/g,
      decodeURIComponent
    );
  }
};
function init$4(r, a) {
  function o(l, u, c) {
    if (!(typeof document > "u")) {
      c = assign$3({}, a, c), typeof c.expires == "number" && (c.expires = new Date(Date.now() + c.expires * 864e5)), c.expires && (c.expires = c.expires.toUTCString()), l = encodeURIComponent(l).replace(/%(2[346B]|5E|60|7C)/g, decodeURIComponent).replace(/[()]/g, escape);
      var d = "";
      for (var f in c)
        c[f] && (d += "; " + f, c[f] !== !0 && (d += "=" + c[f].split(";")[0]));
      return document.cookie = l + "=" + r.write(u, l) + d;
    }
  }
  function s(l) {
    if (!(typeof document > "u" || arguments.length && !l)) {
      for (var u = document.cookie ? document.cookie.split("; ") : [], c = {}, d = 0; d < u.length; d++) {
        var f = u[d].split("="), p = f.slice(1).join("=");
        try {
          var v = decodeURIComponent(f[0]);
          if (c[v] = r.read(p, v), l === v)
            break;
        } catch {
        }
      }
      return l ? c[l] : c;
    }
  }
  return Object.create(
    {
      set: o,
      get: s,
      remove: function(l, u) {
        o(
          l,
          "",
          assign$3({}, u, {
            expires: -1
          })
        );
      },
      withAttributes: function(l) {
        return init$4(this.converter, assign$3({}, this.attributes, l));
      },
      withConverter: function(l) {
        return init$4(assign$3({}, this.converter, l), this.attributes);
      }
    },
    {
      attributes: { value: Object.freeze(a) },
      converter: { value: Object.freeze(r) }
    }
  );
}
var api = init$4(defaultConverter, { path: "/" }), commonjsGlobal = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {};
function getDefaultExportFromCjs(r) {
  return r && r.__esModule && Object.prototype.hasOwnProperty.call(r, "default") ? r.default : r;
}
function getAugmentedNamespace(r) {
  if (r.__esModule) return r;
  var a = r.default;
  if (typeof a == "function") {
    var o = function s() {
      return this instanceof s ? Reflect.construct(a, arguments, this.constructor) : a.apply(this, arguments);
    };
    o.prototype = a.prototype;
  } else o = {};
  return Object.defineProperty(o, "__esModule", { value: !0 }), Object.keys(r).forEach(function(s) {
    var l = Object.getOwnPropertyDescriptor(r, s);
    Object.defineProperty(o, s, l.get ? l : {
      enumerable: !0,
      get: function() {
        return r[s];
      }
    });
  }), o;
}
var lodash$1 = { exports: {} };
/**
 * @license
 * Lodash <https://lodash.com/>
 * Copyright OpenJS Foundation and other contributors <https://openjsf.org/>
 * Released under MIT license <https://lodash.com/license>
 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
 */
lodash$1.exports;
(function(r, a) {
  (function() {
    var o, s = "4.17.21", l = 200, u = "Unsupported core-js use. Try https://npms.io/search?q=ponyfill.", c = "Expected a function", d = "Invalid `variable` option passed into `_.template`", f = "__lodash_hash_undefined__", p = 500, v = "__lodash_placeholder__", g = 1, y = 2, _ = 4, S = 1, C = 2, b = 1, T = 2, E = 4, x = 8, $ = 16, A = 32, N = 64, P = 128, L = 256, O = 512, M = 30, F = "...", U = 800, R = 16, H = 1, V = 2, Y = 3, G = 1 / 0, Z = 9007199254740991, re = 17976931348623157e292, de = NaN, X = 4294967295, W = X - 1, te = X >>> 1, ae = [
      ["ary", P],
      ["bind", b],
      ["bindKey", T],
      ["curry", x],
      ["curryRight", $],
      ["flip", O],
      ["partial", A],
      ["partialRight", N],
      ["rearg", L]
    ], Te = "[object Arguments]", $e = "[object Array]", se = "[object AsyncFunction]", fe = "[object Boolean]", ce = "[object Date]", ge = "[object DOMException]", ve = "[object Error]", xe = "[object Function]", Ae = "[object GeneratorFunction]", oe = "[object Map]", De = "[object Number]", Re = "[object Null]", Me = "[object Object]", ct = "[object Promise]", mt = "[object Proxy]", q = "[object RegExp]", Q = "[object Set]", _e = "[object String]", Ie = "[object Symbol]", ot = "[object Undefined]", Xe = "[object WeakMap]", Qe = "[object WeakSet]", me = "[object ArrayBuffer]", Ee = "[object DataView]", ne = "[object Float32Array]", le = "[object Float64Array]", he = "[object Int8Array]", be = "[object Int16Array]", Pe = "[object Int32Array]", Ve = "[object Uint8Array]", Ge = "[object Uint8ClampedArray]", qe = "[object Uint16Array]", ht = "[object Uint32Array]", He = /\b__p \+= '';/g, ke = /\b(__p \+=) '' \+/g, Be = /(__e\(.*?\)|\b__t\)) \+\n'';/g, Je = /&(?:amp|lt|gt|quot|#39);/g, tt = /[&<>"']/g, xt = RegExp(Je.source), Wr = RegExp(tt.source), Za = /<%-([\s\S]+?)%>/g, Nr = /<%([\s\S]+?)%>/g, fo = /<%=([\s\S]+?)%>/g, Bs = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/, Fs = /^\w*$/, Us = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g, qa = /[\\^$.*+?()[\]{}|]/g, zs = RegExp(qa.source), Ja = /^\s+/, Hs = /\s/, Gs = /\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/, Ws = /\{\n\/\* \[wrapped with (.+)\] \*/, js = /,? & /, Ys = /[^\x00-\x2f\x3a-\x40\x5b-\x60\x7b-\x7f]+/g, Ks = /[()=,{}\[\]\/\s]/, Xs = /\\(\\)?/g, Zs = /\$\{([^\\}]*(?:\\.[^\\}]*)*)\}/g, ho = /\w*$/, qs = /^[-+]0x[0-9a-f]+$/i, Js = /^0b[01]+$/i, Qs = /^\[object .+?Constructor\]$/, el = /^0o[0-7]+$/i, tl = /^(?:0|[1-9]\d*)$/, rl = /[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g, sa = /($^)/, al = /['\n\r\u2028\u2029\\]/g, la = "\\ud800-\\udfff", nl = "\\u0300-\\u036f", ol = "\\ufe20-\\ufe2f", il = "\\u20d0-\\u20ff", po = nl + ol + il, mo = "\\u2700-\\u27bf", vo = "a-z\\xdf-\\xf6\\xf8-\\xff", sl = "\\xac\\xb1\\xd7\\xf7", ll = "\\x00-\\x2f\\x3a-\\x40\\x5b-\\x60\\x7b-\\xbf", ul = "\\u2000-\\u206f", cl = " \\t\\x0b\\f\\xa0\\ufeff\\n\\r\\u2028\\u2029\\u1680\\u180e\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200a\\u202f\\u205f\\u3000", go = "A-Z\\xc0-\\xd6\\xd8-\\xde", yo = "\\ufe0e\\ufe0f", _o = sl + ll + ul + cl, Qa = "['’]", dl = "[" + la + "]", So = "[" + _o + "]", ua = "[" + po + "]", Co = "\\d+", fl = "[" + mo + "]", bo = "[" + vo + "]", wo = "[^" + la + _o + Co + mo + vo + go + "]", en = "\\ud83c[\\udffb-\\udfff]", hl = "(?:" + ua + "|" + en + ")", To = "[^" + la + "]", tn = "(?:\\ud83c[\\udde6-\\uddff]){2}", rn = "[\\ud800-\\udbff][\\udc00-\\udfff]", Pr = "[" + go + "]", Eo = "\\u200d", xo = "(?:" + bo + "|" + wo + ")", pl = "(?:" + Pr + "|" + wo + ")", Do = "(?:" + Qa + "(?:d|ll|m|re|s|t|ve))?", Ao = "(?:" + Qa + "(?:D|LL|M|RE|S|T|VE))?", $o = hl + "?", No = "[" + yo + "]?", ml = "(?:" + Eo + "(?:" + [To, tn, rn].join("|") + ")" + No + $o + ")*", vl = "\\d*(?:1st|2nd|3rd|(?![123])\\dth)(?=\\b|[A-Z_])", gl = "\\d*(?:1ST|2ND|3RD|(?![123])\\dTH)(?=\\b|[a-z_])", Po = No + $o + ml, yl = "(?:" + [fl, tn, rn].join("|") + ")" + Po, _l = "(?:" + [To + ua + "?", ua, tn, rn, dl].join("|") + ")", Sl = RegExp(Qa, "g"), Cl = RegExp(ua, "g"), an = RegExp(en + "(?=" + en + ")|" + _l + Po, "g"), bl = RegExp([
      Pr + "?" + bo + "+" + Do + "(?=" + [So, Pr, "$"].join("|") + ")",
      pl + "+" + Ao + "(?=" + [So, Pr + xo, "$"].join("|") + ")",
      Pr + "?" + xo + "+" + Do,
      Pr + "+" + Ao,
      gl,
      vl,
      Co,
      yl
    ].join("|"), "g"), wl = RegExp("[" + Eo + la + po + yo + "]"), Tl = /[a-z][A-Z]|[A-Z]{2}[a-z]|[0-9][a-zA-Z]|[a-zA-Z][0-9]|[^a-zA-Z0-9 ]/, El = [
      "Array",
      "Buffer",
      "DataView",
      "Date",
      "Error",
      "Float32Array",
      "Float64Array",
      "Function",
      "Int8Array",
      "Int16Array",
      "Int32Array",
      "Map",
      "Math",
      "Object",
      "Promise",
      "RegExp",
      "Set",
      "String",
      "Symbol",
      "TypeError",
      "Uint8Array",
      "Uint8ClampedArray",
      "Uint16Array",
      "Uint32Array",
      "WeakMap",
      "_",
      "clearTimeout",
      "isFinite",
      "parseInt",
      "setTimeout"
    ], xl = -1, pt = {};
    pt[ne] = pt[le] = pt[he] = pt[be] = pt[Pe] = pt[Ve] = pt[Ge] = pt[qe] = pt[ht] = !0, pt[Te] = pt[$e] = pt[me] = pt[fe] = pt[Ee] = pt[ce] = pt[ve] = pt[xe] = pt[oe] = pt[De] = pt[Me] = pt[q] = pt[Q] = pt[_e] = pt[Xe] = !1;
    var ft = {};
    ft[Te] = ft[$e] = ft[me] = ft[Ee] = ft[fe] = ft[ce] = ft[ne] = ft[le] = ft[he] = ft[be] = ft[Pe] = ft[oe] = ft[De] = ft[Me] = ft[q] = ft[Q] = ft[_e] = ft[Ie] = ft[Ve] = ft[Ge] = ft[qe] = ft[ht] = !0, ft[ve] = ft[xe] = ft[Xe] = !1;
    var Dl = {
      // Latin-1 Supplement block.
      À: "A",
      Á: "A",
      Â: "A",
      Ã: "A",
      Ä: "A",
      Å: "A",
      à: "a",
      á: "a",
      â: "a",
      ã: "a",
      ä: "a",
      å: "a",
      Ç: "C",
      ç: "c",
      Ð: "D",
      ð: "d",
      È: "E",
      É: "E",
      Ê: "E",
      Ë: "E",
      è: "e",
      é: "e",
      ê: "e",
      ë: "e",
      Ì: "I",
      Í: "I",
      Î: "I",
      Ï: "I",
      ì: "i",
      í: "i",
      î: "i",
      ï: "i",
      Ñ: "N",
      ñ: "n",
      Ò: "O",
      Ó: "O",
      Ô: "O",
      Õ: "O",
      Ö: "O",
      Ø: "O",
      ò: "o",
      ó: "o",
      ô: "o",
      õ: "o",
      ö: "o",
      ø: "o",
      Ù: "U",
      Ú: "U",
      Û: "U",
      Ü: "U",
      ù: "u",
      ú: "u",
      û: "u",
      ü: "u",
      Ý: "Y",
      ý: "y",
      ÿ: "y",
      Æ: "Ae",
      æ: "ae",
      Þ: "Th",
      þ: "th",
      ß: "ss",
      // Latin Extended-A block.
      Ā: "A",
      Ă: "A",
      Ą: "A",
      ā: "a",
      ă: "a",
      ą: "a",
      Ć: "C",
      Ĉ: "C",
      Ċ: "C",
      Č: "C",
      ć: "c",
      ĉ: "c",
      ċ: "c",
      č: "c",
      Ď: "D",
      Đ: "D",
      ď: "d",
      đ: "d",
      Ē: "E",
      Ĕ: "E",
      Ė: "E",
      Ę: "E",
      Ě: "E",
      ē: "e",
      ĕ: "e",
      ė: "e",
      ę: "e",
      ě: "e",
      Ĝ: "G",
      Ğ: "G",
      Ġ: "G",
      Ģ: "G",
      ĝ: "g",
      ğ: "g",
      ġ: "g",
      ģ: "g",
      Ĥ: "H",
      Ħ: "H",
      ĥ: "h",
      ħ: "h",
      Ĩ: "I",
      Ī: "I",
      Ĭ: "I",
      Į: "I",
      İ: "I",
      ĩ: "i",
      ī: "i",
      ĭ: "i",
      į: "i",
      ı: "i",
      Ĵ: "J",
      ĵ: "j",
      Ķ: "K",
      ķ: "k",
      ĸ: "k",
      Ĺ: "L",
      Ļ: "L",
      Ľ: "L",
      Ŀ: "L",
      Ł: "L",
      ĺ: "l",
      ļ: "l",
      ľ: "l",
      ŀ: "l",
      ł: "l",
      Ń: "N",
      Ņ: "N",
      Ň: "N",
      Ŋ: "N",
      ń: "n",
      ņ: "n",
      ň: "n",
      ŋ: "n",
      Ō: "O",
      Ŏ: "O",
      Ő: "O",
      ō: "o",
      ŏ: "o",
      ő: "o",
      Ŕ: "R",
      Ŗ: "R",
      Ř: "R",
      ŕ: "r",
      ŗ: "r",
      ř: "r",
      Ś: "S",
      Ŝ: "S",
      Ş: "S",
      Š: "S",
      ś: "s",
      ŝ: "s",
      ş: "s",
      š: "s",
      Ţ: "T",
      Ť: "T",
      Ŧ: "T",
      ţ: "t",
      ť: "t",
      ŧ: "t",
      Ũ: "U",
      Ū: "U",
      Ŭ: "U",
      Ů: "U",
      Ű: "U",
      Ų: "U",
      ũ: "u",
      ū: "u",
      ŭ: "u",
      ů: "u",
      ű: "u",
      ų: "u",
      Ŵ: "W",
      ŵ: "w",
      Ŷ: "Y",
      ŷ: "y",
      Ÿ: "Y",
      Ź: "Z",
      Ż: "Z",
      Ž: "Z",
      ź: "z",
      ż: "z",
      ž: "z",
      Ĳ: "IJ",
      ĳ: "ij",
      Œ: "Oe",
      œ: "oe",
      ŉ: "'n",
      ſ: "s"
    }, Al = {
      "&": "&amp;",
      "<": "&lt;",
      ">": "&gt;",
      '"': "&quot;",
      "'": "&#39;"
    }, $l = {
      "&amp;": "&",
      "&lt;": "<",
      "&gt;": ">",
      "&quot;": '"',
      "&#39;": "'"
    }, Nl = {
      "\\": "\\",
      "'": "'",
      "\n": "n",
      "\r": "r",
      "\u2028": "u2028",
      "\u2029": "u2029"
    }, Pl = parseFloat, Il = parseInt, Io = typeof commonjsGlobal == "object" && commonjsGlobal && commonjsGlobal.Object === Object && commonjsGlobal, Ol = typeof self == "object" && self && self.Object === Object && self, Tt = Io || Ol || Function("return this")(), nn = a && !a.nodeType && a, Cr = nn && !0 && r && !r.nodeType && r, Oo = Cr && Cr.exports === nn, sn = Oo && Io.process, zt = function() {
      try {
        var ie = Cr && Cr.require && Cr.require("util").types;
        return ie || sn && sn.binding && sn.binding("util");
      } catch {
      }
    }(), Mo = zt && zt.isArrayBuffer, ko = zt && zt.isDate, Lo = zt && zt.isMap, Vo = zt && zt.isRegExp, Ro = zt && zt.isSet, Bo = zt && zt.isTypedArray;
    function Lt(ie, ye, pe) {
      switch (pe.length) {
        case 0:
          return ie.call(ye);
        case 1:
          return ie.call(ye, pe[0]);
        case 2:
          return ie.call(ye, pe[0], pe[1]);
        case 3:
          return ie.call(ye, pe[0], pe[1], pe[2]);
      }
      return ie.apply(ye, pe);
    }
    function Ml(ie, ye, pe, Oe) {
      for (var We = -1, it = ie == null ? 0 : ie.length; ++We < it; ) {
        var Ct = ie[We];
        ye(Oe, Ct, pe(Ct), ie);
      }
      return Oe;
    }
    function Ht(ie, ye) {
      for (var pe = -1, Oe = ie == null ? 0 : ie.length; ++pe < Oe && ye(ie[pe], pe, ie) !== !1; )
        ;
      return ie;
    }
    function kl(ie, ye) {
      for (var pe = ie == null ? 0 : ie.length; pe-- && ye(ie[pe], pe, ie) !== !1; )
        ;
      return ie;
    }
    function Fo(ie, ye) {
      for (var pe = -1, Oe = ie == null ? 0 : ie.length; ++pe < Oe; )
        if (!ye(ie[pe], pe, ie))
          return !1;
      return !0;
    }
    function fr(ie, ye) {
      for (var pe = -1, Oe = ie == null ? 0 : ie.length, We = 0, it = []; ++pe < Oe; ) {
        var Ct = ie[pe];
        ye(Ct, pe, ie) && (it[We++] = Ct);
      }
      return it;
    }
    function ca(ie, ye) {
      var pe = ie == null ? 0 : ie.length;
      return !!pe && Ir(ie, ye, 0) > -1;
    }
    function ln(ie, ye, pe) {
      for (var Oe = -1, We = ie == null ? 0 : ie.length; ++Oe < We; )
        if (pe(ye, ie[Oe]))
          return !0;
      return !1;
    }
    function vt(ie, ye) {
      for (var pe = -1, Oe = ie == null ? 0 : ie.length, We = Array(Oe); ++pe < Oe; )
        We[pe] = ye(ie[pe], pe, ie);
      return We;
    }
    function hr(ie, ye) {
      for (var pe = -1, Oe = ye.length, We = ie.length; ++pe < Oe; )
        ie[We + pe] = ye[pe];
      return ie;
    }
    function un(ie, ye, pe, Oe) {
      var We = -1, it = ie == null ? 0 : ie.length;
      for (Oe && it && (pe = ie[++We]); ++We < it; )
        pe = ye(pe, ie[We], We, ie);
      return pe;
    }
    function Ll(ie, ye, pe, Oe) {
      var We = ie == null ? 0 : ie.length;
      for (Oe && We && (pe = ie[--We]); We--; )
        pe = ye(pe, ie[We], We, ie);
      return pe;
    }
    function cn(ie, ye) {
      for (var pe = -1, Oe = ie == null ? 0 : ie.length; ++pe < Oe; )
        if (ye(ie[pe], pe, ie))
          return !0;
      return !1;
    }
    var Vl = dn("length");
    function Rl(ie) {
      return ie.split("");
    }
    function Bl(ie) {
      return ie.match(Ys) || [];
    }
    function Uo(ie, ye, pe) {
      var Oe;
      return pe(ie, function(We, it, Ct) {
        if (ye(We, it, Ct))
          return Oe = it, !1;
      }), Oe;
    }
    function da(ie, ye, pe, Oe) {
      for (var We = ie.length, it = pe + (Oe ? 1 : -1); Oe ? it-- : ++it < We; )
        if (ye(ie[it], it, ie))
          return it;
      return -1;
    }
    function Ir(ie, ye, pe) {
      return ye === ye ? ql(ie, ye, pe) : da(ie, zo, pe);
    }
    function Fl(ie, ye, pe, Oe) {
      for (var We = pe - 1, it = ie.length; ++We < it; )
        if (Oe(ie[We], ye))
          return We;
      return -1;
    }
    function zo(ie) {
      return ie !== ie;
    }
    function Ho(ie, ye) {
      var pe = ie == null ? 0 : ie.length;
      return pe ? hn(ie, ye) / pe : de;
    }
    function dn(ie) {
      return function(ye) {
        return ye == null ? o : ye[ie];
      };
    }
    function fn(ie) {
      return function(ye) {
        return ie == null ? o : ie[ye];
      };
    }
    function Go(ie, ye, pe, Oe, We) {
      return We(ie, function(it, Ct, dt) {
        pe = Oe ? (Oe = !1, it) : ye(pe, it, Ct, dt);
      }), pe;
    }
    function Ul(ie, ye) {
      var pe = ie.length;
      for (ie.sort(ye); pe--; )
        ie[pe] = ie[pe].value;
      return ie;
    }
    function hn(ie, ye) {
      for (var pe, Oe = -1, We = ie.length; ++Oe < We; ) {
        var it = ye(ie[Oe]);
        it !== o && (pe = pe === o ? it : pe + it);
      }
      return pe;
    }
    function pn(ie, ye) {
      for (var pe = -1, Oe = Array(ie); ++pe < ie; )
        Oe[pe] = ye(pe);
      return Oe;
    }
    function zl(ie, ye) {
      return vt(ye, function(pe) {
        return [pe, ie[pe]];
      });
    }
    function Wo(ie) {
      return ie && ie.slice(0, Xo(ie) + 1).replace(Ja, "");
    }
    function Vt(ie) {
      return function(ye) {
        return ie(ye);
      };
    }
    function mn(ie, ye) {
      return vt(ye, function(pe) {
        return ie[pe];
      });
    }
    function jr(ie, ye) {
      return ie.has(ye);
    }
    function jo(ie, ye) {
      for (var pe = -1, Oe = ie.length; ++pe < Oe && Ir(ye, ie[pe], 0) > -1; )
        ;
      return pe;
    }
    function Yo(ie, ye) {
      for (var pe = ie.length; pe-- && Ir(ye, ie[pe], 0) > -1; )
        ;
      return pe;
    }
    function Hl(ie, ye) {
      for (var pe = ie.length, Oe = 0; pe--; )
        ie[pe] === ye && ++Oe;
      return Oe;
    }
    var Gl = fn(Dl), Wl = fn(Al);
    function jl(ie) {
      return "\\" + Nl[ie];
    }
    function Yl(ie, ye) {
      return ie == null ? o : ie[ye];
    }
    function Or(ie) {
      return wl.test(ie);
    }
    function Kl(ie) {
      return Tl.test(ie);
    }
    function Xl(ie) {
      for (var ye, pe = []; !(ye = ie.next()).done; )
        pe.push(ye.value);
      return pe;
    }
    function vn(ie) {
      var ye = -1, pe = Array(ie.size);
      return ie.forEach(function(Oe, We) {
        pe[++ye] = [We, Oe];
      }), pe;
    }
    function Ko(ie, ye) {
      return function(pe) {
        return ie(ye(pe));
      };
    }
    function pr(ie, ye) {
      for (var pe = -1, Oe = ie.length, We = 0, it = []; ++pe < Oe; ) {
        var Ct = ie[pe];
        (Ct === ye || Ct === v) && (ie[pe] = v, it[We++] = pe);
      }
      return it;
    }
    function fa(ie) {
      var ye = -1, pe = Array(ie.size);
      return ie.forEach(function(Oe) {
        pe[++ye] = Oe;
      }), pe;
    }
    function Zl(ie) {
      var ye = -1, pe = Array(ie.size);
      return ie.forEach(function(Oe) {
        pe[++ye] = [Oe, Oe];
      }), pe;
    }
    function ql(ie, ye, pe) {
      for (var Oe = pe - 1, We = ie.length; ++Oe < We; )
        if (ie[Oe] === ye)
          return Oe;
      return -1;
    }
    function Jl(ie, ye, pe) {
      for (var Oe = pe + 1; Oe--; )
        if (ie[Oe] === ye)
          return Oe;
      return Oe;
    }
    function Mr(ie) {
      return Or(ie) ? eu(ie) : Vl(ie);
    }
    function Zt(ie) {
      return Or(ie) ? tu(ie) : Rl(ie);
    }
    function Xo(ie) {
      for (var ye = ie.length; ye-- && Hs.test(ie.charAt(ye)); )
        ;
      return ye;
    }
    var Ql = fn($l);
    function eu(ie) {
      for (var ye = an.lastIndex = 0; an.test(ie); )
        ++ye;
      return ye;
    }
    function tu(ie) {
      return ie.match(an) || [];
    }
    function ru(ie) {
      return ie.match(bl) || [];
    }
    var au = function ie(ye) {
      ye = ye == null ? Tt : kr.defaults(Tt.Object(), ye, kr.pick(Tt, El));
      var pe = ye.Array, Oe = ye.Date, We = ye.Error, it = ye.Function, Ct = ye.Math, dt = ye.Object, gn = ye.RegExp, nu = ye.String, Gt = ye.TypeError, ha = pe.prototype, ou = it.prototype, Lr = dt.prototype, pa = ye["__core-js_shared__"], ma = ou.toString, ut = Lr.hasOwnProperty, iu = 0, Zo = function() {
        var w = /[^.]+$/.exec(pa && pa.keys && pa.keys.IE_PROTO || "");
        return w ? "Symbol(src)_1." + w : "";
      }(), va = Lr.toString, su = ma.call(dt), lu = Tt._, uu = gn(
        "^" + ma.call(ut).replace(qa, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
      ), ga = Oo ? ye.Buffer : o, mr = ye.Symbol, ya = ye.Uint8Array, qo = ga ? ga.allocUnsafe : o, Sa = Ko(dt.getPrototypeOf, dt), Jo = dt.create, Qo = Lr.propertyIsEnumerable, Ca = ha.splice, ei = mr ? mr.isConcatSpreadable : o, Yr = mr ? mr.iterator : o, br = mr ? mr.toStringTag : o, ba = function() {
        try {
          var w = Dr(dt, "defineProperty");
          return w({}, "", {}), w;
        } catch {
        }
      }(), cu = ye.clearTimeout !== Tt.clearTimeout && ye.clearTimeout, du = Oe && Oe.now !== Tt.Date.now && Oe.now, fu = ye.setTimeout !== Tt.setTimeout && ye.setTimeout, wa = Ct.ceil, Ta = Ct.floor, yn = dt.getOwnPropertySymbols, hu = ga ? ga.isBuffer : o, ti = ye.isFinite, pu = ha.join, mu = Ko(dt.keys, dt), bt = Ct.max, Dt = Ct.min, vu = Oe.now, gu = ye.parseInt, ri = Ct.random, yu = ha.reverse, _n = Dr(ye, "DataView"), Kr = Dr(ye, "Map"), Sn = Dr(ye, "Promise"), Vr = Dr(ye, "Set"), Xr = Dr(ye, "WeakMap"), Zr = Dr(dt, "create"), Ea = Xr && new Xr(), Rr = {}, _u = Ar(_n), Su = Ar(Kr), Cu = Ar(Sn), bu = Ar(Vr), wu = Ar(Xr), xa = mr ? mr.prototype : o, qr = xa ? xa.valueOf : o, ai = xa ? xa.toString : o;
      function j(w) {
        if (yt(w) && !je(w) && !(w instanceof at)) {
          if (w instanceof Wt)
            return w;
          if (ut.call(w, "__wrapped__"))
            return ns(w);
        }
        return new Wt(w);
      }
      var Br = /* @__PURE__ */ function() {
        function w() {
        }
        return function(D) {
          if (!gt(D))
            return {};
          if (Jo)
            return Jo(D);
          w.prototype = D;
          var I = new w();
          return w.prototype = o, I;
        };
      }();
      function Da() {
      }
      function Wt(w, D) {
        this.__wrapped__ = w, this.__actions__ = [], this.__chain__ = !!D, this.__index__ = 0, this.__values__ = o;
      }
      j.templateSettings = {
        /**
         * Used to detect `data` property values to be HTML-escaped.
         *
         * @memberOf _.templateSettings
         * @type {RegExp}
         */
        escape: Za,
        /**
         * Used to detect code to be evaluated.
         *
         * @memberOf _.templateSettings
         * @type {RegExp}
         */
        evaluate: Nr,
        /**
         * Used to detect `data` property values to inject.
         *
         * @memberOf _.templateSettings
         * @type {RegExp}
         */
        interpolate: fo,
        /**
         * Used to reference the data object in the template text.
         *
         * @memberOf _.templateSettings
         * @type {string}
         */
        variable: "",
        /**
         * Used to import variables into the compiled template.
         *
         * @memberOf _.templateSettings
         * @type {Object}
         */
        imports: {
          /**
           * A reference to the `lodash` function.
           *
           * @memberOf _.templateSettings.imports
           * @type {Function}
           */
          _: j
        }
      }, j.prototype = Da.prototype, j.prototype.constructor = j, Wt.prototype = Br(Da.prototype), Wt.prototype.constructor = Wt;
      function at(w) {
        this.__wrapped__ = w, this.__actions__ = [], this.__dir__ = 1, this.__filtered__ = !1, this.__iteratees__ = [], this.__takeCount__ = X, this.__views__ = [];
      }
      function Tu() {
        var w = new at(this.__wrapped__);
        return w.__actions__ = It(this.__actions__), w.__dir__ = this.__dir__, w.__filtered__ = this.__filtered__, w.__iteratees__ = It(this.__iteratees__), w.__takeCount__ = this.__takeCount__, w.__views__ = It(this.__views__), w;
      }
      function Eu() {
        if (this.__filtered__) {
          var w = new at(this);
          w.__dir__ = -1, w.__filtered__ = !0;
        } else
          w = this.clone(), w.__dir__ *= -1;
        return w;
      }
      function xu() {
        var w = this.__wrapped__.value(), D = this.__dir__, I = je(w), B = D < 0, z = I ? w.length : 0, K = Bc(0, z, this.__views__), J = K.start, ee = K.end, ue = ee - J, Se = B ? ee : J - 1, Ce = this.__iteratees__, we = Ce.length, Ne = 0, Le = Dt(ue, this.__takeCount__);
        if (!I || !B && z == ue && Le == ue)
          return Di(w, this.__actions__);
        var Ue = [];
        e:
          for (; ue-- && Ne < Le; ) {
            Se += D;
            for (var Ke = -1, ze = w[Se]; ++Ke < we; ) {
              var et = Ce[Ke], nt = et.iteratee, Ft = et.type, Pt = nt(ze);
              if (Ft == V)
                ze = Pt;
              else if (!Pt) {
                if (Ft == H)
                  continue e;
                break e;
              }
            }
            Ue[Ne++] = ze;
          }
        return Ue;
      }
      at.prototype = Br(Da.prototype), at.prototype.constructor = at;
      function wr(w) {
        var D = -1, I = w == null ? 0 : w.length;
        for (this.clear(); ++D < I; ) {
          var B = w[D];
          this.set(B[0], B[1]);
        }
      }
      function Du() {
        this.__data__ = Zr ? Zr(null) : {}, this.size = 0;
      }
      function Au(w) {
        var D = this.has(w) && delete this.__data__[w];
        return this.size -= D ? 1 : 0, D;
      }
      function $u(w) {
        var D = this.__data__;
        if (Zr) {
          var I = D[w];
          return I === f ? o : I;
        }
        return ut.call(D, w) ? D[w] : o;
      }
      function Nu(w) {
        var D = this.__data__;
        return Zr ? D[w] !== o : ut.call(D, w);
      }
      function Pu(w, D) {
        var I = this.__data__;
        return this.size += this.has(w) ? 0 : 1, I[w] = Zr && D === o ? f : D, this;
      }
      wr.prototype.clear = Du, wr.prototype.delete = Au, wr.prototype.get = $u, wr.prototype.has = Nu, wr.prototype.set = Pu;
      function ar(w) {
        var D = -1, I = w == null ? 0 : w.length;
        for (this.clear(); ++D < I; ) {
          var B = w[D];
          this.set(B[0], B[1]);
        }
      }
      function Iu() {
        this.__data__ = [], this.size = 0;
      }
      function Ou(w) {
        var D = this.__data__, I = Aa(D, w);
        if (I < 0)
          return !1;
        var B = D.length - 1;
        return I == B ? D.pop() : Ca.call(D, I, 1), --this.size, !0;
      }
      function Mu(w) {
        var D = this.__data__, I = Aa(D, w);
        return I < 0 ? o : D[I][1];
      }
      function ku(w) {
        return Aa(this.__data__, w) > -1;
      }
      function Lu(w, D) {
        var I = this.__data__, B = Aa(I, w);
        return B < 0 ? (++this.size, I.push([w, D])) : I[B][1] = D, this;
      }
      ar.prototype.clear = Iu, ar.prototype.delete = Ou, ar.prototype.get = Mu, ar.prototype.has = ku, ar.prototype.set = Lu;
      function nr(w) {
        var D = -1, I = w == null ? 0 : w.length;
        for (this.clear(); ++D < I; ) {
          var B = w[D];
          this.set(B[0], B[1]);
        }
      }
      function Vu() {
        this.size = 0, this.__data__ = {
          hash: new wr(),
          map: new (Kr || ar)(),
          string: new wr()
        };
      }
      function Ru(w) {
        var D = Fa(this, w).delete(w);
        return this.size -= D ? 1 : 0, D;
      }
      function Bu(w) {
        return Fa(this, w).get(w);
      }
      function Fu(w) {
        return Fa(this, w).has(w);
      }
      function Uu(w, D) {
        var I = Fa(this, w), B = I.size;
        return I.set(w, D), this.size += I.size == B ? 0 : 1, this;
      }
      nr.prototype.clear = Vu, nr.prototype.delete = Ru, nr.prototype.get = Bu, nr.prototype.has = Fu, nr.prototype.set = Uu;
      function Tr(w) {
        var D = -1, I = w == null ? 0 : w.length;
        for (this.__data__ = new nr(); ++D < I; )
          this.add(w[D]);
      }
      function zu(w) {
        return this.__data__.set(w, f), this;
      }
      function Hu(w) {
        return this.__data__.has(w);
      }
      Tr.prototype.add = Tr.prototype.push = zu, Tr.prototype.has = Hu;
      function qt(w) {
        var D = this.__data__ = new ar(w);
        this.size = D.size;
      }
      function Gu() {
        this.__data__ = new ar(), this.size = 0;
      }
      function Wu(w) {
        var D = this.__data__, I = D.delete(w);
        return this.size = D.size, I;
      }
      function ju(w) {
        return this.__data__.get(w);
      }
      function Yu(w) {
        return this.__data__.has(w);
      }
      function Ku(w, D) {
        var I = this.__data__;
        if (I instanceof ar) {
          var B = I.__data__;
          if (!Kr || B.length < l - 1)
            return B.push([w, D]), this.size = ++I.size, this;
          I = this.__data__ = new nr(B);
        }
        return I.set(w, D), this.size = I.size, this;
      }
      qt.prototype.clear = Gu, qt.prototype.delete = Wu, qt.prototype.get = ju, qt.prototype.has = Yu, qt.prototype.set = Ku;
      function ni(w, D) {
        var I = je(w), B = !I && $r(w), z = !I && !B && Sr(w), K = !I && !B && !z && Hr(w), J = I || B || z || K, ee = J ? pn(w.length, nu) : [], ue = ee.length;
        for (var Se in w)
          (D || ut.call(w, Se)) && !(J && // Safari 9 has enumerable `arguments.length` in strict mode.
          (Se == "length" || // Node.js 0.10 has enumerable non-index properties on buffers.
          z && (Se == "offset" || Se == "parent") || // PhantomJS 2 has enumerable non-index properties on typed arrays.
          K && (Se == "buffer" || Se == "byteLength" || Se == "byteOffset") || // Skip index properties.
          lr(Se, ue))) && ee.push(Se);
        return ee;
      }
      function oi(w) {
        var D = w.length;
        return D ? w[Pn(0, D - 1)] : o;
      }
      function Xu(w, D) {
        return Ua(It(w), Er(D, 0, w.length));
      }
      function Zu(w) {
        return Ua(It(w));
      }
      function Cn(w, D, I) {
        (I !== o && !Jt(w[D], I) || I === o && !(D in w)) && or(w, D, I);
      }
      function Jr(w, D, I) {
        var B = w[D];
        (!(ut.call(w, D) && Jt(B, I)) || I === o && !(D in w)) && or(w, D, I);
      }
      function Aa(w, D) {
        for (var I = w.length; I--; )
          if (Jt(w[I][0], D))
            return I;
        return -1;
      }
      function qu(w, D, I, B) {
        return vr(w, function(z, K, J) {
          D(B, z, I(z), J);
        }), B;
      }
      function ii(w, D) {
        return w && tr(D, wt(D), w);
      }
      function Ju(w, D) {
        return w && tr(D, Mt(D), w);
      }
      function or(w, D, I) {
        D == "__proto__" && ba ? ba(w, D, {
          configurable: !0,
          enumerable: !0,
          value: I,
          writable: !0
        }) : w[D] = I;
      }
      function bn(w, D) {
        for (var I = -1, B = D.length, z = pe(B), K = w == null; ++I < B; )
          z[I] = K ? o : ro(w, D[I]);
        return z;
      }
      function Er(w, D, I) {
        return w === w && (I !== o && (w = w <= I ? w : I), D !== o && (w = w >= D ? w : D)), w;
      }
      function jt(w, D, I, B, z, K) {
        var J, ee = D & g, ue = D & y, Se = D & _;
        if (I && (J = z ? I(w, B, z, K) : I(w)), J !== o)
          return J;
        if (!gt(w))
          return w;
        var Ce = je(w);
        if (Ce) {
          if (J = Uc(w), !ee)
            return It(w, J);
        } else {
          var we = At(w), Ne = we == xe || we == Ae;
          if (Sr(w))
            return Ni(w, ee);
          if (we == Me || we == Te || Ne && !z) {
            if (J = ue || Ne ? {} : Xi(w), !ee)
              return ue ? Nc(w, Ju(J, w)) : $c(w, ii(J, w));
          } else {
            if (!ft[we])
              return z ? w : {};
            J = zc(w, we, ee);
          }
        }
        K || (K = new qt());
        var Le = K.get(w);
        if (Le)
          return Le;
        K.set(w, J), Ts(w) ? w.forEach(function(ze) {
          J.add(jt(ze, D, I, ze, w, K));
        }) : bs(w) && w.forEach(function(ze, et) {
          J.set(et, jt(ze, D, I, et, w, K));
        });
        var Ue = Se ? ue ? zn : Un : ue ? Mt : wt, Ke = Ce ? o : Ue(w);
        return Ht(Ke || w, function(ze, et) {
          Ke && (et = ze, ze = w[et]), Jr(J, et, jt(ze, D, I, et, w, K));
        }), J;
      }
      function Qu(w) {
        var D = wt(w);
        return function(I) {
          return si(I, w, D);
        };
      }
      function si(w, D, I) {
        var B = I.length;
        if (w == null)
          return !B;
        for (w = dt(w); B--; ) {
          var z = I[B], K = D[z], J = w[z];
          if (J === o && !(z in w) || !K(J))
            return !1;
        }
        return !0;
      }
      function li(w, D, I) {
        if (typeof w != "function")
          throw new Gt(c);
        return oa(function() {
          w.apply(o, I);
        }, D);
      }
      function Qr(w, D, I, B) {
        var z = -1, K = ca, J = !0, ee = w.length, ue = [], Se = D.length;
        if (!ee)
          return ue;
        I && (D = vt(D, Vt(I))), B ? (K = ln, J = !1) : D.length >= l && (K = jr, J = !1, D = new Tr(D));
        e:
          for (; ++z < ee; ) {
            var Ce = w[z], we = I == null ? Ce : I(Ce);
            if (Ce = B || Ce !== 0 ? Ce : 0, J && we === we) {
              for (var Ne = Se; Ne--; )
                if (D[Ne] === we)
                  continue e;
              ue.push(Ce);
            } else K(D, we, B) || ue.push(Ce);
          }
        return ue;
      }
      var vr = ki(er), ui = ki(Tn, !0);
      function ec(w, D) {
        var I = !0;
        return vr(w, function(B, z, K) {
          return I = !!D(B, z, K), I;
        }), I;
      }
      function $a(w, D, I) {
        for (var B = -1, z = w.length; ++B < z; ) {
          var K = w[B], J = D(K);
          if (J != null && (ee === o ? J === J && !Bt(J) : I(J, ee)))
            var ee = J, ue = K;
        }
        return ue;
      }
      function tc(w, D, I, B) {
        var z = w.length;
        for (I = Ye(I), I < 0 && (I = -I > z ? 0 : z + I), B = B === o || B > z ? z : Ye(B), B < 0 && (B += z), B = I > B ? 0 : xs(B); I < B; )
          w[I++] = D;
        return w;
      }
      function ci(w, D) {
        var I = [];
        return vr(w, function(B, z, K) {
          D(B, z, K) && I.push(B);
        }), I;
      }
      function Et(w, D, I, B, z) {
        var K = -1, J = w.length;
        for (I || (I = Gc), z || (z = []); ++K < J; ) {
          var ee = w[K];
          D > 0 && I(ee) ? D > 1 ? Et(ee, D - 1, I, B, z) : hr(z, ee) : B || (z[z.length] = ee);
        }
        return z;
      }
      var wn = Li(), di = Li(!0);
      function er(w, D) {
        return w && wn(w, D, wt);
      }
      function Tn(w, D) {
        return w && di(w, D, wt);
      }
      function Na(w, D) {
        return fr(D, function(I) {
          return ur(w[I]);
        });
      }
      function xr(w, D) {
        D = yr(D, w);
        for (var I = 0, B = D.length; w != null && I < B; )
          w = w[rr(D[I++])];
        return I && I == B ? w : o;
      }
      function fi(w, D, I) {
        var B = D(w);
        return je(w) ? B : hr(B, I(w));
      }
      function $t(w) {
        return w == null ? w === o ? ot : Re : br && br in dt(w) ? Rc(w) : qc(w);
      }
      function En(w, D) {
        return w > D;
      }
      function rc(w, D) {
        return w != null && ut.call(w, D);
      }
      function ac(w, D) {
        return w != null && D in dt(w);
      }
      function nc(w, D, I) {
        return w >= Dt(D, I) && w < bt(D, I);
      }
      function xn(w, D, I) {
        for (var B = I ? ln : ca, z = w[0].length, K = w.length, J = K, ee = pe(K), ue = 1 / 0, Se = []; J--; ) {
          var Ce = w[J];
          J && D && (Ce = vt(Ce, Vt(D))), ue = Dt(Ce.length, ue), ee[J] = !I && (D || z >= 120 && Ce.length >= 120) ? new Tr(J && Ce) : o;
        }
        Ce = w[0];
        var we = -1, Ne = ee[0];
        e:
          for (; ++we < z && Se.length < ue; ) {
            var Le = Ce[we], Ue = D ? D(Le) : Le;
            if (Le = I || Le !== 0 ? Le : 0, !(Ne ? jr(Ne, Ue) : B(Se, Ue, I))) {
              for (J = K; --J; ) {
                var Ke = ee[J];
                if (!(Ke ? jr(Ke, Ue) : B(w[J], Ue, I)))
                  continue e;
              }
              Ne && Ne.push(Ue), Se.push(Le);
            }
          }
        return Se;
      }
      function oc(w, D, I, B) {
        return er(w, function(z, K, J) {
          D(B, I(z), K, J);
        }), B;
      }
      function ea(w, D, I) {
        D = yr(D, w), w = Qi(w, D);
        var B = w == null ? w : w[rr(Kt(D))];
        return B == null ? o : Lt(B, w, I);
      }
      function hi(w) {
        return yt(w) && $t(w) == Te;
      }
      function ic(w) {
        return yt(w) && $t(w) == me;
      }
      function sc(w) {
        return yt(w) && $t(w) == ce;
      }
      function ta(w, D, I, B, z) {
        return w === D ? !0 : w == null || D == null || !yt(w) && !yt(D) ? w !== w && D !== D : lc(w, D, I, B, ta, z);
      }
      function lc(w, D, I, B, z, K) {
        var J = je(w), ee = je(D), ue = J ? $e : At(w), Se = ee ? $e : At(D);
        ue = ue == Te ? Me : ue, Se = Se == Te ? Me : Se;
        var Ce = ue == Me, we = Se == Me, Ne = ue == Se;
        if (Ne && Sr(w)) {
          if (!Sr(D))
            return !1;
          J = !0, Ce = !1;
        }
        if (Ne && !Ce)
          return K || (K = new qt()), J || Hr(w) ? ji(w, D, I, B, z, K) : Lc(w, D, ue, I, B, z, K);
        if (!(I & S)) {
          var Le = Ce && ut.call(w, "__wrapped__"), Ue = we && ut.call(D, "__wrapped__");
          if (Le || Ue) {
            var Ke = Le ? w.value() : w, ze = Ue ? D.value() : D;
            return K || (K = new qt()), z(Ke, ze, I, B, K);
          }
        }
        return Ne ? (K || (K = new qt()), Vc(w, D, I, B, z, K)) : !1;
      }
      function uc(w) {
        return yt(w) && At(w) == oe;
      }
      function Dn(w, D, I, B) {
        var z = I.length, K = z, J = !B;
        if (w == null)
          return !K;
        for (w = dt(w); z--; ) {
          var ee = I[z];
          if (J && ee[2] ? ee[1] !== w[ee[0]] : !(ee[0] in w))
            return !1;
        }
        for (; ++z < K; ) {
          ee = I[z];
          var ue = ee[0], Se = w[ue], Ce = ee[1];
          if (J && ee[2]) {
            if (Se === o && !(ue in w))
              return !1;
          } else {
            var we = new qt();
            if (B)
              var Ne = B(Se, Ce, ue, w, D, we);
            if (!(Ne === o ? ta(Ce, Se, S | C, B, we) : Ne))
              return !1;
          }
        }
        return !0;
      }
      function pi(w) {
        if (!gt(w) || jc(w))
          return !1;
        var D = ur(w) ? uu : Qs;
        return D.test(Ar(w));
      }
      function cc(w) {
        return yt(w) && $t(w) == q;
      }
      function dc(w) {
        return yt(w) && At(w) == Q;
      }
      function fc(w) {
        return yt(w) && Ya(w.length) && !!pt[$t(w)];
      }
      function mi(w) {
        return typeof w == "function" ? w : w == null ? kt : typeof w == "object" ? je(w) ? yi(w[0], w[1]) : gi(w) : Vs(w);
      }
      function An(w) {
        if (!na(w))
          return mu(w);
        var D = [];
        for (var I in dt(w))
          ut.call(w, I) && I != "constructor" && D.push(I);
        return D;
      }
      function hc(w) {
        if (!gt(w))
          return Zc(w);
        var D = na(w), I = [];
        for (var B in w)
          B == "constructor" && (D || !ut.call(w, B)) || I.push(B);
        return I;
      }
      function $n(w, D) {
        return w < D;
      }
      function vi(w, D) {
        var I = -1, B = Ot(w) ? pe(w.length) : [];
        return vr(w, function(z, K, J) {
          B[++I] = D(z, K, J);
        }), B;
      }
      function gi(w) {
        var D = Gn(w);
        return D.length == 1 && D[0][2] ? qi(D[0][0], D[0][1]) : function(I) {
          return I === w || Dn(I, w, D);
        };
      }
      function yi(w, D) {
        return jn(w) && Zi(D) ? qi(rr(w), D) : function(I) {
          var B = ro(I, w);
          return B === o && B === D ? ao(I, w) : ta(D, B, S | C);
        };
      }
      function Pa(w, D, I, B, z) {
        w !== D && wn(D, function(K, J) {
          if (z || (z = new qt()), gt(K))
            pc(w, D, J, I, Pa, B, z);
          else {
            var ee = B ? B(Kn(w, J), K, J + "", w, D, z) : o;
            ee === o && (ee = K), Cn(w, J, ee);
          }
        }, Mt);
      }
      function pc(w, D, I, B, z, K, J) {
        var ee = Kn(w, I), ue = Kn(D, I), Se = J.get(ue);
        if (Se) {
          Cn(w, I, Se);
          return;
        }
        var Ce = K ? K(ee, ue, I + "", w, D, J) : o, we = Ce === o;
        if (we) {
          var Ne = je(ue), Le = !Ne && Sr(ue), Ue = !Ne && !Le && Hr(ue);
          Ce = ue, Ne || Le || Ue ? je(ee) ? Ce = ee : _t(ee) ? Ce = It(ee) : Le ? (we = !1, Ce = Ni(ue, !0)) : Ue ? (we = !1, Ce = Pi(ue, !0)) : Ce = [] : ia(ue) || $r(ue) ? (Ce = ee, $r(ee) ? Ce = Ds(ee) : (!gt(ee) || ur(ee)) && (Ce = Xi(ue))) : we = !1;
        }
        we && (J.set(ue, Ce), z(Ce, ue, B, K, J), J.delete(ue)), Cn(w, I, Ce);
      }
      function _i(w, D) {
        var I = w.length;
        if (I)
          return D += D < 0 ? I : 0, lr(D, I) ? w[D] : o;
      }
      function Si(w, D, I) {
        D.length ? D = vt(D, function(K) {
          return je(K) ? function(J) {
            return xr(J, K.length === 1 ? K[0] : K);
          } : K;
        }) : D = [kt];
        var B = -1;
        D = vt(D, Vt(Fe()));
        var z = vi(w, function(K, J, ee) {
          var ue = vt(D, function(Se) {
            return Se(K);
          });
          return { criteria: ue, index: ++B, value: K };
        });
        return Ul(z, function(K, J) {
          return Ac(K, J, I);
        });
      }
      function mc(w, D) {
        return Ci(w, D, function(I, B) {
          return ao(w, B);
        });
      }
      function Ci(w, D, I) {
        for (var B = -1, z = D.length, K = {}; ++B < z; ) {
          var J = D[B], ee = xr(w, J);
          I(ee, J) && ra(K, yr(J, w), ee);
        }
        return K;
      }
      function vc(w) {
        return function(D) {
          return xr(D, w);
        };
      }
      function Nn(w, D, I, B) {
        var z = B ? Fl : Ir, K = -1, J = D.length, ee = w;
        for (w === D && (D = It(D)), I && (ee = vt(w, Vt(I))); ++K < J; )
          for (var ue = 0, Se = D[K], Ce = I ? I(Se) : Se; (ue = z(ee, Ce, ue, B)) > -1; )
            ee !== w && Ca.call(ee, ue, 1), Ca.call(w, ue, 1);
        return w;
      }
      function bi(w, D) {
        for (var I = w ? D.length : 0, B = I - 1; I--; ) {
          var z = D[I];
          if (I == B || z !== K) {
            var K = z;
            lr(z) ? Ca.call(w, z, 1) : Mn(w, z);
          }
        }
        return w;
      }
      function Pn(w, D) {
        return w + Ta(ri() * (D - w + 1));
      }
      function gc(w, D, I, B) {
        for (var z = -1, K = bt(wa((D - w) / (I || 1)), 0), J = pe(K); K--; )
          J[B ? K : ++z] = w, w += I;
        return J;
      }
      function In(w, D) {
        var I = "";
        if (!w || D < 1 || D > Z)
          return I;
        do
          D % 2 && (I += w), D = Ta(D / 2), D && (w += w);
        while (D);
        return I;
      }
      function Ze(w, D) {
        return Xn(Ji(w, D, kt), w + "");
      }
      function yc(w) {
        return oi(Gr(w));
      }
      function Sc(w, D) {
        var I = Gr(w);
        return Ua(I, Er(D, 0, I.length));
      }
      function ra(w, D, I, B) {
        if (!gt(w))
          return w;
        D = yr(D, w);
        for (var z = -1, K = D.length, J = K - 1, ee = w; ee != null && ++z < K; ) {
          var ue = rr(D[z]), Se = I;
          if (ue === "__proto__" || ue === "constructor" || ue === "prototype")
            return w;
          if (z != J) {
            var Ce = ee[ue];
            Se = B ? B(Ce, ue, ee) : o, Se === o && (Se = gt(Ce) ? Ce : lr(D[z + 1]) ? [] : {});
          }
          Jr(ee, ue, Se), ee = ee[ue];
        }
        return w;
      }
      var wi = Ea ? function(w, D) {
        return Ea.set(w, D), w;
      } : kt, Cc = ba ? function(w, D) {
        return ba(w, "toString", {
          configurable: !0,
          enumerable: !1,
          value: oo(D),
          writable: !0
        });
      } : kt;
      function bc(w) {
        return Ua(Gr(w));
      }
      function Yt(w, D, I) {
        var B = -1, z = w.length;
        D < 0 && (D = -D > z ? 0 : z + D), I = I > z ? z : I, I < 0 && (I += z), z = D > I ? 0 : I - D >>> 0, D >>>= 0;
        for (var K = pe(z); ++B < z; )
          K[B] = w[B + D];
        return K;
      }
      function wc(w, D) {
        var I;
        return vr(w, function(B, z, K) {
          return I = D(B, z, K), !I;
        }), !!I;
      }
      function Ia(w, D, I) {
        var B = 0, z = w == null ? B : w.length;
        if (typeof D == "number" && D === D && z <= te) {
          for (; B < z; ) {
            var K = B + z >>> 1, J = w[K];
            J !== null && !Bt(J) && (I ? J <= D : J < D) ? B = K + 1 : z = K;
          }
          return z;
        }
        return On(w, D, kt, I);
      }
      function On(w, D, I, B) {
        var z = 0, K = w == null ? 0 : w.length;
        if (K === 0)
          return 0;
        D = I(D);
        for (var J = D !== D, ee = D === null, ue = Bt(D), Se = D === o; z < K; ) {
          var Ce = Ta((z + K) / 2), we = I(w[Ce]), Ne = we !== o, Le = we === null, Ue = we === we, Ke = Bt(we);
          if (J)
            var ze = B || Ue;
          else Se ? ze = Ue && (B || Ne) : ee ? ze = Ue && Ne && (B || !Le) : ue ? ze = Ue && Ne && !Le && (B || !Ke) : Le || Ke ? ze = !1 : ze = B ? we <= D : we < D;
          ze ? z = Ce + 1 : K = Ce;
        }
        return Dt(K, W);
      }
      function Ti(w, D) {
        for (var I = -1, B = w.length, z = 0, K = []; ++I < B; ) {
          var J = w[I], ee = D ? D(J) : J;
          if (!I || !Jt(ee, ue)) {
            var ue = ee;
            K[z++] = J === 0 ? 0 : J;
          }
        }
        return K;
      }
      function Ei(w) {
        return typeof w == "number" ? w : Bt(w) ? de : +w;
      }
      function Rt(w) {
        if (typeof w == "string")
          return w;
        if (je(w))
          return vt(w, Rt) + "";
        if (Bt(w))
          return ai ? ai.call(w) : "";
        var D = w + "";
        return D == "0" && 1 / w == -1 / 0 ? "-0" : D;
      }
      function gr(w, D, I) {
        var B = -1, z = ca, K = w.length, J = !0, ee = [], ue = ee;
        if (I)
          J = !1, z = ln;
        else if (K >= l) {
          var Se = D ? null : Mc(w);
          if (Se)
            return fa(Se);
          J = !1, z = jr, ue = new Tr();
        } else
          ue = D ? [] : ee;
        e:
          for (; ++B < K; ) {
            var Ce = w[B], we = D ? D(Ce) : Ce;
            if (Ce = I || Ce !== 0 ? Ce : 0, J && we === we) {
              for (var Ne = ue.length; Ne--; )
                if (ue[Ne] === we)
                  continue e;
              D && ue.push(we), ee.push(Ce);
            } else z(ue, we, I) || (ue !== ee && ue.push(we), ee.push(Ce));
          }
        return ee;
      }
      function Mn(w, D) {
        return D = yr(D, w), w = Qi(w, D), w == null || delete w[rr(Kt(D))];
      }
      function xi(w, D, I, B) {
        return ra(w, D, I(xr(w, D)), B);
      }
      function Oa(w, D, I, B) {
        for (var z = w.length, K = B ? z : -1; (B ? K-- : ++K < z) && D(w[K], K, w); )
          ;
        return I ? Yt(w, B ? 0 : K, B ? K + 1 : z) : Yt(w, B ? K + 1 : 0, B ? z : K);
      }
      function Di(w, D) {
        var I = w;
        return I instanceof at && (I = I.value()), un(D, function(B, z) {
          return z.func.apply(z.thisArg, hr([B], z.args));
        }, I);
      }
      function kn(w, D, I) {
        var B = w.length;
        if (B < 2)
          return B ? gr(w[0]) : [];
        for (var z = -1, K = pe(B); ++z < B; )
          for (var J = w[z], ee = -1; ++ee < B; )
            ee != z && (K[z] = Qr(K[z] || J, w[ee], D, I));
        return gr(Et(K, 1), D, I);
      }
      function Ai(w, D, I) {
        for (var B = -1, z = w.length, K = D.length, J = {}; ++B < z; ) {
          var ee = B < K ? D[B] : o;
          I(J, w[B], ee);
        }
        return J;
      }
      function Ln(w) {
        return _t(w) ? w : [];
      }
      function Vn(w) {
        return typeof w == "function" ? w : kt;
      }
      function yr(w, D) {
        return je(w) ? w : jn(w, D) ? [w] : as(st(w));
      }
      var Tc = Ze;
      function _r(w, D, I) {
        var B = w.length;
        return I = I === o ? B : I, !D && I >= B ? w : Yt(w, D, I);
      }
      var $i = cu || function(w) {
        return Tt.clearTimeout(w);
      };
      function Ni(w, D) {
        if (D)
          return w.slice();
        var I = w.length, B = qo ? qo(I) : new w.constructor(I);
        return w.copy(B), B;
      }
      function Rn(w) {
        var D = new w.constructor(w.byteLength);
        return new ya(D).set(new ya(w)), D;
      }
      function Ec(w, D) {
        var I = D ? Rn(w.buffer) : w.buffer;
        return new w.constructor(I, w.byteOffset, w.byteLength);
      }
      function xc(w) {
        var D = new w.constructor(w.source, ho.exec(w));
        return D.lastIndex = w.lastIndex, D;
      }
      function Dc(w) {
        return qr ? dt(qr.call(w)) : {};
      }
      function Pi(w, D) {
        var I = D ? Rn(w.buffer) : w.buffer;
        return new w.constructor(I, w.byteOffset, w.length);
      }
      function Ii(w, D) {
        if (w !== D) {
          var I = w !== o, B = w === null, z = w === w, K = Bt(w), J = D !== o, ee = D === null, ue = D === D, Se = Bt(D);
          if (!ee && !Se && !K && w > D || K && J && ue && !ee && !Se || B && J && ue || !I && ue || !z)
            return 1;
          if (!B && !K && !Se && w < D || Se && I && z && !B && !K || ee && I && z || !J && z || !ue)
            return -1;
        }
        return 0;
      }
      function Ac(w, D, I) {
        for (var B = -1, z = w.criteria, K = D.criteria, J = z.length, ee = I.length; ++B < J; ) {
          var ue = Ii(z[B], K[B]);
          if (ue) {
            if (B >= ee)
              return ue;
            var Se = I[B];
            return ue * (Se == "desc" ? -1 : 1);
          }
        }
        return w.index - D.index;
      }
      function Oi(w, D, I, B) {
        for (var z = -1, K = w.length, J = I.length, ee = -1, ue = D.length, Se = bt(K - J, 0), Ce = pe(ue + Se), we = !B; ++ee < ue; )
          Ce[ee] = D[ee];
        for (; ++z < J; )
          (we || z < K) && (Ce[I[z]] = w[z]);
        for (; Se--; )
          Ce[ee++] = w[z++];
        return Ce;
      }
      function Mi(w, D, I, B) {
        for (var z = -1, K = w.length, J = -1, ee = I.length, ue = -1, Se = D.length, Ce = bt(K - ee, 0), we = pe(Ce + Se), Ne = !B; ++z < Ce; )
          we[z] = w[z];
        for (var Le = z; ++ue < Se; )
          we[Le + ue] = D[ue];
        for (; ++J < ee; )
          (Ne || z < K) && (we[Le + I[J]] = w[z++]);
        return we;
      }
      function It(w, D) {
        var I = -1, B = w.length;
        for (D || (D = pe(B)); ++I < B; )
          D[I] = w[I];
        return D;
      }
      function tr(w, D, I, B) {
        var z = !I;
        I || (I = {});
        for (var K = -1, J = D.length; ++K < J; ) {
          var ee = D[K], ue = B ? B(I[ee], w[ee], ee, I, w) : o;
          ue === o && (ue = w[ee]), z ? or(I, ee, ue) : Jr(I, ee, ue);
        }
        return I;
      }
      function $c(w, D) {
        return tr(w, Wn(w), D);
      }
      function Nc(w, D) {
        return tr(w, Yi(w), D);
      }
      function Ma(w, D) {
        return function(I, B) {
          var z = je(I) ? Ml : qu, K = D ? D() : {};
          return z(I, w, Fe(B, 2), K);
        };
      }
      function Fr(w) {
        return Ze(function(D, I) {
          var B = -1, z = I.length, K = z > 1 ? I[z - 1] : o, J = z > 2 ? I[2] : o;
          for (K = w.length > 3 && typeof K == "function" ? (z--, K) : o, J && Nt(I[0], I[1], J) && (K = z < 3 ? o : K, z = 1), D = dt(D); ++B < z; ) {
            var ee = I[B];
            ee && w(D, ee, B, K);
          }
          return D;
        });
      }
      function ki(w, D) {
        return function(I, B) {
          if (I == null)
            return I;
          if (!Ot(I))
            return w(I, B);
          for (var z = I.length, K = D ? z : -1, J = dt(I); (D ? K-- : ++K < z) && B(J[K], K, J) !== !1; )
            ;
          return I;
        };
      }
      function Li(w) {
        return function(D, I, B) {
          for (var z = -1, K = dt(D), J = B(D), ee = J.length; ee--; ) {
            var ue = J[w ? ee : ++z];
            if (I(K[ue], ue, K) === !1)
              break;
          }
          return D;
        };
      }
      function Pc(w, D, I) {
        var B = D & b, z = aa(w);
        function K() {
          var J = this && this !== Tt && this instanceof K ? z : w;
          return J.apply(B ? I : this, arguments);
        }
        return K;
      }
      function Vi(w) {
        return function(D) {
          D = st(D);
          var I = Or(D) ? Zt(D) : o, B = I ? I[0] : D.charAt(0), z = I ? _r(I, 1).join("") : D.slice(1);
          return B[w]() + z;
        };
      }
      function Ur(w) {
        return function(D) {
          return un(ks(Ms(D).replace(Sl, "")), w, "");
        };
      }
      function aa(w) {
        return function() {
          var D = arguments;
          switch (D.length) {
            case 0:
              return new w();
            case 1:
              return new w(D[0]);
            case 2:
              return new w(D[0], D[1]);
            case 3:
              return new w(D[0], D[1], D[2]);
            case 4:
              return new w(D[0], D[1], D[2], D[3]);
            case 5:
              return new w(D[0], D[1], D[2], D[3], D[4]);
            case 6:
              return new w(D[0], D[1], D[2], D[3], D[4], D[5]);
            case 7:
              return new w(D[0], D[1], D[2], D[3], D[4], D[5], D[6]);
          }
          var I = Br(w.prototype), B = w.apply(I, D);
          return gt(B) ? B : I;
        };
      }
      function Ic(w, D, I) {
        var B = aa(w);
        function z() {
          for (var K = arguments.length, J = pe(K), ee = K, ue = zr(z); ee--; )
            J[ee] = arguments[ee];
          var Se = K < 3 && J[0] !== ue && J[K - 1] !== ue ? [] : pr(J, ue);
          if (K -= Se.length, K < I)
            return zi(
              w,
              D,
              ka,
              z.placeholder,
              o,
              J,
              Se,
              o,
              o,
              I - K
            );
          var Ce = this && this !== Tt && this instanceof z ? B : w;
          return Lt(Ce, this, J);
        }
        return z;
      }
      function Ri(w) {
        return function(D, I, B) {
          var z = dt(D);
          if (!Ot(D)) {
            var K = Fe(I, 3);
            D = wt(D), I = function(ee) {
              return K(z[ee], ee, z);
            };
          }
          var J = w(D, I, B);
          return J > -1 ? z[K ? D[J] : J] : o;
        };
      }
      function Bi(w) {
        return sr(function(D) {
          var I = D.length, B = I, z = Wt.prototype.thru;
          for (w && D.reverse(); B--; ) {
            var K = D[B];
            if (typeof K != "function")
              throw new Gt(c);
            if (z && !J && Ba(K) == "wrapper")
              var J = new Wt([], !0);
          }
          for (B = J ? B : I; ++B < I; ) {
            K = D[B];
            var ee = Ba(K), ue = ee == "wrapper" ? Hn(K) : o;
            ue && Yn(ue[0]) && ue[1] == (P | x | A | L) && !ue[4].length && ue[9] == 1 ? J = J[Ba(ue[0])].apply(J, ue[3]) : J = K.length == 1 && Yn(K) ? J[ee]() : J.thru(K);
          }
          return function() {
            var Se = arguments, Ce = Se[0];
            if (J && Se.length == 1 && je(Ce))
              return J.plant(Ce).value();
            for (var we = 0, Ne = I ? D[we].apply(this, Se) : Ce; ++we < I; )
              Ne = D[we].call(this, Ne);
            return Ne;
          };
        });
      }
      function ka(w, D, I, B, z, K, J, ee, ue, Se) {
        var Ce = D & P, we = D & b, Ne = D & T, Le = D & (x | $), Ue = D & O, Ke = Ne ? o : aa(w);
        function ze() {
          for (var et = arguments.length, nt = pe(et), Ft = et; Ft--; )
            nt[Ft] = arguments[Ft];
          if (Le)
            var Pt = zr(ze), Ut = Hl(nt, Pt);
          if (B && (nt = Oi(nt, B, z, Le)), K && (nt = Mi(nt, K, J, Le)), et -= Ut, Le && et < Se) {
            var St = pr(nt, Pt);
            return zi(
              w,
              D,
              ka,
              ze.placeholder,
              I,
              nt,
              St,
              ee,
              ue,
              Se - et
            );
          }
          var Qt = we ? I : this, dr = Ne ? Qt[w] : w;
          return et = nt.length, ee ? nt = Jc(nt, ee) : Ue && et > 1 && nt.reverse(), Ce && ue < et && (nt.length = ue), this && this !== Tt && this instanceof ze && (dr = Ke || aa(dr)), dr.apply(Qt, nt);
        }
        return ze;
      }
      function Fi(w, D) {
        return function(I, B) {
          return oc(I, w, D(B), {});
        };
      }
      function La(w, D) {
        return function(I, B) {
          var z;
          if (I === o && B === o)
            return D;
          if (I !== o && (z = I), B !== o) {
            if (z === o)
              return B;
            typeof I == "string" || typeof B == "string" ? (I = Rt(I), B = Rt(B)) : (I = Ei(I), B = Ei(B)), z = w(I, B);
          }
          return z;
        };
      }
      function Bn(w) {
        return sr(function(D) {
          return D = vt(D, Vt(Fe())), Ze(function(I) {
            var B = this;
            return w(D, function(z) {
              return Lt(z, B, I);
            });
          });
        });
      }
      function Va(w, D) {
        D = D === o ? " " : Rt(D);
        var I = D.length;
        if (I < 2)
          return I ? In(D, w) : D;
        var B = In(D, wa(w / Mr(D)));
        return Or(D) ? _r(Zt(B), 0, w).join("") : B.slice(0, w);
      }
      function Oc(w, D, I, B) {
        var z = D & b, K = aa(w);
        function J() {
          for (var ee = -1, ue = arguments.length, Se = -1, Ce = B.length, we = pe(Ce + ue), Ne = this && this !== Tt && this instanceof J ? K : w; ++Se < Ce; )
            we[Se] = B[Se];
          for (; ue--; )
            we[Se++] = arguments[++ee];
          return Lt(Ne, z ? I : this, we);
        }
        return J;
      }
      function Ui(w) {
        return function(D, I, B) {
          return B && typeof B != "number" && Nt(D, I, B) && (I = B = o), D = cr(D), I === o ? (I = D, D = 0) : I = cr(I), B = B === o ? D < I ? 1 : -1 : cr(B), gc(D, I, B, w);
        };
      }
      function Ra(w) {
        return function(D, I) {
          return typeof D == "string" && typeof I == "string" || (D = Xt(D), I = Xt(I)), w(D, I);
        };
      }
      function zi(w, D, I, B, z, K, J, ee, ue, Se) {
        var Ce = D & x, we = Ce ? J : o, Ne = Ce ? o : J, Le = Ce ? K : o, Ue = Ce ? o : K;
        D |= Ce ? A : N, D &= ~(Ce ? N : A), D & E || (D &= -4);
        var Ke = [
          w,
          D,
          z,
          Le,
          we,
          Ue,
          Ne,
          ee,
          ue,
          Se
        ], ze = I.apply(o, Ke);
        return Yn(w) && es(ze, Ke), ze.placeholder = B, ts(ze, w, D);
      }
      function Fn(w) {
        var D = Ct[w];
        return function(I, B) {
          if (I = Xt(I), B = B == null ? 0 : Dt(Ye(B), 292), B && ti(I)) {
            var z = (st(I) + "e").split("e"), K = D(z[0] + "e" + (+z[1] + B));
            return z = (st(K) + "e").split("e"), +(z[0] + "e" + (+z[1] - B));
          }
          return D(I);
        };
      }
      var Mc = Vr && 1 / fa(new Vr([, -0]))[1] == G ? function(w) {
        return new Vr(w);
      } : lo;
      function Hi(w) {
        return function(D) {
          var I = At(D);
          return I == oe ? vn(D) : I == Q ? Zl(D) : zl(D, w(D));
        };
      }
      function ir(w, D, I, B, z, K, J, ee) {
        var ue = D & T;
        if (!ue && typeof w != "function")
          throw new Gt(c);
        var Se = B ? B.length : 0;
        if (Se || (D &= -97, B = z = o), J = J === o ? J : bt(Ye(J), 0), ee = ee === o ? ee : Ye(ee), Se -= z ? z.length : 0, D & N) {
          var Ce = B, we = z;
          B = z = o;
        }
        var Ne = ue ? o : Hn(w), Le = [
          w,
          D,
          I,
          B,
          z,
          Ce,
          we,
          K,
          J,
          ee
        ];
        if (Ne && Xc(Le, Ne), w = Le[0], D = Le[1], I = Le[2], B = Le[3], z = Le[4], ee = Le[9] = Le[9] === o ? ue ? 0 : w.length : bt(Le[9] - Se, 0), !ee && D & (x | $) && (D &= -25), !D || D == b)
          var Ue = Pc(w, D, I);
        else D == x || D == $ ? Ue = Ic(w, D, ee) : (D == A || D == (b | A)) && !z.length ? Ue = Oc(w, D, I, B) : Ue = ka.apply(o, Le);
        var Ke = Ne ? wi : es;
        return ts(Ke(Ue, Le), w, D);
      }
      function Gi(w, D, I, B) {
        return w === o || Jt(w, Lr[I]) && !ut.call(B, I) ? D : w;
      }
      function Wi(w, D, I, B, z, K) {
        return gt(w) && gt(D) && (K.set(D, w), Pa(w, D, o, Wi, K), K.delete(D)), w;
      }
      function kc(w) {
        return ia(w) ? o : w;
      }
      function ji(w, D, I, B, z, K) {
        var J = I & S, ee = w.length, ue = D.length;
        if (ee != ue && !(J && ue > ee))
          return !1;
        var Se = K.get(w), Ce = K.get(D);
        if (Se && Ce)
          return Se == D && Ce == w;
        var we = -1, Ne = !0, Le = I & C ? new Tr() : o;
        for (K.set(w, D), K.set(D, w); ++we < ee; ) {
          var Ue = w[we], Ke = D[we];
          if (B)
            var ze = J ? B(Ke, Ue, we, D, w, K) : B(Ue, Ke, we, w, D, K);
          if (ze !== o) {
            if (ze)
              continue;
            Ne = !1;
            break;
          }
          if (Le) {
            if (!cn(D, function(et, nt) {
              if (!jr(Le, nt) && (Ue === et || z(Ue, et, I, B, K)))
                return Le.push(nt);
            })) {
              Ne = !1;
              break;
            }
          } else if (!(Ue === Ke || z(Ue, Ke, I, B, K))) {
            Ne = !1;
            break;
          }
        }
        return K.delete(w), K.delete(D), Ne;
      }
      function Lc(w, D, I, B, z, K, J) {
        switch (I) {
          case Ee:
            if (w.byteLength != D.byteLength || w.byteOffset != D.byteOffset)
              return !1;
            w = w.buffer, D = D.buffer;
          case me:
            return !(w.byteLength != D.byteLength || !K(new ya(w), new ya(D)));
          case fe:
          case ce:
          case De:
            return Jt(+w, +D);
          case ve:
            return w.name == D.name && w.message == D.message;
          case q:
          case _e:
            return w == D + "";
          case oe:
            var ee = vn;
          case Q:
            var ue = B & S;
            if (ee || (ee = fa), w.size != D.size && !ue)
              return !1;
            var Se = J.get(w);
            if (Se)
              return Se == D;
            B |= C, J.set(w, D);
            var Ce = ji(ee(w), ee(D), B, z, K, J);
            return J.delete(w), Ce;
          case Ie:
            if (qr)
              return qr.call(w) == qr.call(D);
        }
        return !1;
      }
      function Vc(w, D, I, B, z, K) {
        var J = I & S, ee = Un(w), ue = ee.length, Se = Un(D), Ce = Se.length;
        if (ue != Ce && !J)
          return !1;
        for (var we = ue; we--; ) {
          var Ne = ee[we];
          if (!(J ? Ne in D : ut.call(D, Ne)))
            return !1;
        }
        var Le = K.get(w), Ue = K.get(D);
        if (Le && Ue)
          return Le == D && Ue == w;
        var Ke = !0;
        K.set(w, D), K.set(D, w);
        for (var ze = J; ++we < ue; ) {
          Ne = ee[we];
          var et = w[Ne], nt = D[Ne];
          if (B)
            var Ft = J ? B(nt, et, Ne, D, w, K) : B(et, nt, Ne, w, D, K);
          if (!(Ft === o ? et === nt || z(et, nt, I, B, K) : Ft)) {
            Ke = !1;
            break;
          }
          ze || (ze = Ne == "constructor");
        }
        if (Ke && !ze) {
          var Pt = w.constructor, Ut = D.constructor;
          Pt != Ut && "constructor" in w && "constructor" in D && !(typeof Pt == "function" && Pt instanceof Pt && typeof Ut == "function" && Ut instanceof Ut) && (Ke = !1);
        }
        return K.delete(w), K.delete(D), Ke;
      }
      function sr(w) {
        return Xn(Ji(w, o, ss), w + "");
      }
      function Un(w) {
        return fi(w, wt, Wn);
      }
      function zn(w) {
        return fi(w, Mt, Yi);
      }
      var Hn = Ea ? function(w) {
        return Ea.get(w);
      } : lo;
      function Ba(w) {
        for (var D = w.name + "", I = Rr[D], B = ut.call(Rr, D) ? I.length : 0; B--; ) {
          var z = I[B], K = z.func;
          if (K == null || K == w)
            return z.name;
        }
        return D;
      }
      function zr(w) {
        var D = ut.call(j, "placeholder") ? j : w;
        return D.placeholder;
      }
      function Fe() {
        var w = j.iteratee || io;
        return w = w === io ? mi : w, arguments.length ? w(arguments[0], arguments[1]) : w;
      }
      function Fa(w, D) {
        var I = w.__data__;
        return Wc(D) ? I[typeof D == "string" ? "string" : "hash"] : I.map;
      }
      function Gn(w) {
        for (var D = wt(w), I = D.length; I--; ) {
          var B = D[I], z = w[B];
          D[I] = [B, z, Zi(z)];
        }
        return D;
      }
      function Dr(w, D) {
        var I = Yl(w, D);
        return pi(I) ? I : o;
      }
      function Rc(w) {
        var D = ut.call(w, br), I = w[br];
        try {
          w[br] = o;
          var B = !0;
        } catch {
        }
        var z = va.call(w);
        return B && (D ? w[br] = I : delete w[br]), z;
      }
      var Wn = yn ? function(w) {
        return w == null ? [] : (w = dt(w), fr(yn(w), function(D) {
          return Qo.call(w, D);
        }));
      } : uo, Yi = yn ? function(w) {
        for (var D = []; w; )
          hr(D, Wn(w)), w = Sa(w);
        return D;
      } : uo, At = $t;
      (_n && At(new _n(new ArrayBuffer(1))) != Ee || Kr && At(new Kr()) != oe || Sn && At(Sn.resolve()) != ct || Vr && At(new Vr()) != Q || Xr && At(new Xr()) != Xe) && (At = function(w) {
        var D = $t(w), I = D == Me ? w.constructor : o, B = I ? Ar(I) : "";
        if (B)
          switch (B) {
            case _u:
              return Ee;
            case Su:
              return oe;
            case Cu:
              return ct;
            case bu:
              return Q;
            case wu:
              return Xe;
          }
        return D;
      });
      function Bc(w, D, I) {
        for (var B = -1, z = I.length; ++B < z; ) {
          var K = I[B], J = K.size;
          switch (K.type) {
            case "drop":
              w += J;
              break;
            case "dropRight":
              D -= J;
              break;
            case "take":
              D = Dt(D, w + J);
              break;
            case "takeRight":
              w = bt(w, D - J);
              break;
          }
        }
        return { start: w, end: D };
      }
      function Fc(w) {
        var D = w.match(Ws);
        return D ? D[1].split(js) : [];
      }
      function Ki(w, D, I) {
        D = yr(D, w);
        for (var B = -1, z = D.length, K = !1; ++B < z; ) {
          var J = rr(D[B]);
          if (!(K = w != null && I(w, J)))
            break;
          w = w[J];
        }
        return K || ++B != z ? K : (z = w == null ? 0 : w.length, !!z && Ya(z) && lr(J, z) && (je(w) || $r(w)));
      }
      function Uc(w) {
        var D = w.length, I = new w.constructor(D);
        return D && typeof w[0] == "string" && ut.call(w, "index") && (I.index = w.index, I.input = w.input), I;
      }
      function Xi(w) {
        return typeof w.constructor == "function" && !na(w) ? Br(Sa(w)) : {};
      }
      function zc(w, D, I) {
        var B = w.constructor;
        switch (D) {
          case me:
            return Rn(w);
          case fe:
          case ce:
            return new B(+w);
          case Ee:
            return Ec(w, I);
          case ne:
          case le:
          case he:
          case be:
          case Pe:
          case Ve:
          case Ge:
          case qe:
          case ht:
            return Pi(w, I);
          case oe:
            return new B();
          case De:
          case _e:
            return new B(w);
          case q:
            return xc(w);
          case Q:
            return new B();
          case Ie:
            return Dc(w);
        }
      }
      function Hc(w, D) {
        var I = D.length;
        if (!I)
          return w;
        var B = I - 1;
        return D[B] = (I > 1 ? "& " : "") + D[B], D = D.join(I > 2 ? ", " : " "), w.replace(Gs, `{
/* [wrapped with ` + D + `] */
`);
      }
      function Gc(w) {
        return je(w) || $r(w) || !!(ei && w && w[ei]);
      }
      function lr(w, D) {
        var I = typeof w;
        return D = D ?? Z, !!D && (I == "number" || I != "symbol" && tl.test(w)) && w > -1 && w % 1 == 0 && w < D;
      }
      function Nt(w, D, I) {
        if (!gt(I))
          return !1;
        var B = typeof D;
        return (B == "number" ? Ot(I) && lr(D, I.length) : B == "string" && D in I) ? Jt(I[D], w) : !1;
      }
      function jn(w, D) {
        if (je(w))
          return !1;
        var I = typeof w;
        return I == "number" || I == "symbol" || I == "boolean" || w == null || Bt(w) ? !0 : Fs.test(w) || !Bs.test(w) || D != null && w in dt(D);
      }
      function Wc(w) {
        var D = typeof w;
        return D == "string" || D == "number" || D == "symbol" || D == "boolean" ? w !== "__proto__" : w === null;
      }
      function Yn(w) {
        var D = Ba(w), I = j[D];
        if (typeof I != "function" || !(D in at.prototype))
          return !1;
        if (w === I)
          return !0;
        var B = Hn(I);
        return !!B && w === B[0];
      }
      function jc(w) {
        return !!Zo && Zo in w;
      }
      var Yc = pa ? ur : co;
      function na(w) {
        var D = w && w.constructor, I = typeof D == "function" && D.prototype || Lr;
        return w === I;
      }
      function Zi(w) {
        return w === w && !gt(w);
      }
      function qi(w, D) {
        return function(I) {
          return I == null ? !1 : I[w] === D && (D !== o || w in dt(I));
        };
      }
      function Kc(w) {
        var D = Wa(w, function(B) {
          return I.size === p && I.clear(), B;
        }), I = D.cache;
        return D;
      }
      function Xc(w, D) {
        var I = w[1], B = D[1], z = I | B, K = z < (b | T | P), J = B == P && I == x || B == P && I == L && w[7].length <= D[8] || B == (P | L) && D[7].length <= D[8] && I == x;
        if (!(K || J))
          return w;
        B & b && (w[2] = D[2], z |= I & b ? 0 : E);
        var ee = D[3];
        if (ee) {
          var ue = w[3];
          w[3] = ue ? Oi(ue, ee, D[4]) : ee, w[4] = ue ? pr(w[3], v) : D[4];
        }
        return ee = D[5], ee && (ue = w[5], w[5] = ue ? Mi(ue, ee, D[6]) : ee, w[6] = ue ? pr(w[5], v) : D[6]), ee = D[7], ee && (w[7] = ee), B & P && (w[8] = w[8] == null ? D[8] : Dt(w[8], D[8])), w[9] == null && (w[9] = D[9]), w[0] = D[0], w[1] = z, w;
      }
      function Zc(w) {
        var D = [];
        if (w != null)
          for (var I in dt(w))
            D.push(I);
        return D;
      }
      function qc(w) {
        return va.call(w);
      }
      function Ji(w, D, I) {
        return D = bt(D === o ? w.length - 1 : D, 0), function() {
          for (var B = arguments, z = -1, K = bt(B.length - D, 0), J = pe(K); ++z < K; )
            J[z] = B[D + z];
          z = -1;
          for (var ee = pe(D + 1); ++z < D; )
            ee[z] = B[z];
          return ee[D] = I(J), Lt(w, this, ee);
        };
      }
      function Qi(w, D) {
        return D.length < 2 ? w : xr(w, Yt(D, 0, -1));
      }
      function Jc(w, D) {
        for (var I = w.length, B = Dt(D.length, I), z = It(w); B--; ) {
          var K = D[B];
          w[B] = lr(K, I) ? z[K] : o;
        }
        return w;
      }
      function Kn(w, D) {
        if (!(D === "constructor" && typeof w[D] == "function") && D != "__proto__")
          return w[D];
      }
      var es = rs(wi), oa = fu || function(w, D) {
        return Tt.setTimeout(w, D);
      }, Xn = rs(Cc);
      function ts(w, D, I) {
        var B = D + "";
        return Xn(w, Hc(B, Qc(Fc(B), I)));
      }
      function rs(w) {
        var D = 0, I = 0;
        return function() {
          var B = vu(), z = R - (B - I);
          if (I = B, z > 0) {
            if (++D >= U)
              return arguments[0];
          } else
            D = 0;
          return w.apply(o, arguments);
        };
      }
      function Ua(w, D) {
        var I = -1, B = w.length, z = B - 1;
        for (D = D === o ? B : D; ++I < D; ) {
          var K = Pn(I, z), J = w[K];
          w[K] = w[I], w[I] = J;
        }
        return w.length = D, w;
      }
      var as = Kc(function(w) {
        var D = [];
        return w.charCodeAt(0) === 46 && D.push(""), w.replace(Us, function(I, B, z, K) {
          D.push(z ? K.replace(Xs, "$1") : B || I);
        }), D;
      });
      function rr(w) {
        if (typeof w == "string" || Bt(w))
          return w;
        var D = w + "";
        return D == "0" && 1 / w == -1 / 0 ? "-0" : D;
      }
      function Ar(w) {
        if (w != null) {
          try {
            return ma.call(w);
          } catch {
          }
          try {
            return w + "";
          } catch {
          }
        }
        return "";
      }
      function Qc(w, D) {
        return Ht(ae, function(I) {
          var B = "_." + I[0];
          D & I[1] && !ca(w, B) && w.push(B);
        }), w.sort();
      }
      function ns(w) {
        if (w instanceof at)
          return w.clone();
        var D = new Wt(w.__wrapped__, w.__chain__);
        return D.__actions__ = It(w.__actions__), D.__index__ = w.__index__, D.__values__ = w.__values__, D;
      }
      function ed(w, D, I) {
        (I ? Nt(w, D, I) : D === o) ? D = 1 : D = bt(Ye(D), 0);
        var B = w == null ? 0 : w.length;
        if (!B || D < 1)
          return [];
        for (var z = 0, K = 0, J = pe(wa(B / D)); z < B; )
          J[K++] = Yt(w, z, z += D);
        return J;
      }
      function td(w) {
        for (var D = -1, I = w == null ? 0 : w.length, B = 0, z = []; ++D < I; ) {
          var K = w[D];
          K && (z[B++] = K);
        }
        return z;
      }
      function rd() {
        var w = arguments.length;
        if (!w)
          return [];
        for (var D = pe(w - 1), I = arguments[0], B = w; B--; )
          D[B - 1] = arguments[B];
        return hr(je(I) ? It(I) : [I], Et(D, 1));
      }
      var ad = Ze(function(w, D) {
        return _t(w) ? Qr(w, Et(D, 1, _t, !0)) : [];
      }), nd = Ze(function(w, D) {
        var I = Kt(D);
        return _t(I) && (I = o), _t(w) ? Qr(w, Et(D, 1, _t, !0), Fe(I, 2)) : [];
      }), od = Ze(function(w, D) {
        var I = Kt(D);
        return _t(I) && (I = o), _t(w) ? Qr(w, Et(D, 1, _t, !0), o, I) : [];
      });
      function id(w, D, I) {
        var B = w == null ? 0 : w.length;
        return B ? (D = I || D === o ? 1 : Ye(D), Yt(w, D < 0 ? 0 : D, B)) : [];
      }
      function sd(w, D, I) {
        var B = w == null ? 0 : w.length;
        return B ? (D = I || D === o ? 1 : Ye(D), D = B - D, Yt(w, 0, D < 0 ? 0 : D)) : [];
      }
      function ld(w, D) {
        return w && w.length ? Oa(w, Fe(D, 3), !0, !0) : [];
      }
      function ud(w, D) {
        return w && w.length ? Oa(w, Fe(D, 3), !0) : [];
      }
      function cd(w, D, I, B) {
        var z = w == null ? 0 : w.length;
        return z ? (I && typeof I != "number" && Nt(w, D, I) && (I = 0, B = z), tc(w, D, I, B)) : [];
      }
      function os(w, D, I) {
        var B = w == null ? 0 : w.length;
        if (!B)
          return -1;
        var z = I == null ? 0 : Ye(I);
        return z < 0 && (z = bt(B + z, 0)), da(w, Fe(D, 3), z);
      }
      function is(w, D, I) {
        var B = w == null ? 0 : w.length;
        if (!B)
          return -1;
        var z = B - 1;
        return I !== o && (z = Ye(I), z = I < 0 ? bt(B + z, 0) : Dt(z, B - 1)), da(w, Fe(D, 3), z, !0);
      }
      function ss(w) {
        var D = w == null ? 0 : w.length;
        return D ? Et(w, 1) : [];
      }
      function dd(w) {
        var D = w == null ? 0 : w.length;
        return D ? Et(w, G) : [];
      }
      function fd(w, D) {
        var I = w == null ? 0 : w.length;
        return I ? (D = D === o ? 1 : Ye(D), Et(w, D)) : [];
      }
      function hd(w) {
        for (var D = -1, I = w == null ? 0 : w.length, B = {}; ++D < I; ) {
          var z = w[D];
          B[z[0]] = z[1];
        }
        return B;
      }
      function ls(w) {
        return w && w.length ? w[0] : o;
      }
      function pd(w, D, I) {
        var B = w == null ? 0 : w.length;
        if (!B)
          return -1;
        var z = I == null ? 0 : Ye(I);
        return z < 0 && (z = bt(B + z, 0)), Ir(w, D, z);
      }
      function md(w) {
        var D = w == null ? 0 : w.length;
        return D ? Yt(w, 0, -1) : [];
      }
      var vd = Ze(function(w) {
        var D = vt(w, Ln);
        return D.length && D[0] === w[0] ? xn(D) : [];
      }), gd = Ze(function(w) {
        var D = Kt(w), I = vt(w, Ln);
        return D === Kt(I) ? D = o : I.pop(), I.length && I[0] === w[0] ? xn(I, Fe(D, 2)) : [];
      }), yd = Ze(function(w) {
        var D = Kt(w), I = vt(w, Ln);
        return D = typeof D == "function" ? D : o, D && I.pop(), I.length && I[0] === w[0] ? xn(I, o, D) : [];
      });
      function _d(w, D) {
        return w == null ? "" : pu.call(w, D);
      }
      function Kt(w) {
        var D = w == null ? 0 : w.length;
        return D ? w[D - 1] : o;
      }
      function Sd(w, D, I) {
        var B = w == null ? 0 : w.length;
        if (!B)
          return -1;
        var z = B;
        return I !== o && (z = Ye(I), z = z < 0 ? bt(B + z, 0) : Dt(z, B - 1)), D === D ? Jl(w, D, z) : da(w, zo, z, !0);
      }
      function Cd(w, D) {
        return w && w.length ? _i(w, Ye(D)) : o;
      }
      var bd = Ze(us);
      function us(w, D) {
        return w && w.length && D && D.length ? Nn(w, D) : w;
      }
      function wd(w, D, I) {
        return w && w.length && D && D.length ? Nn(w, D, Fe(I, 2)) : w;
      }
      function Td(w, D, I) {
        return w && w.length && D && D.length ? Nn(w, D, o, I) : w;
      }
      var Ed = sr(function(w, D) {
        var I = w == null ? 0 : w.length, B = bn(w, D);
        return bi(w, vt(D, function(z) {
          return lr(z, I) ? +z : z;
        }).sort(Ii)), B;
      });
      function xd(w, D) {
        var I = [];
        if (!(w && w.length))
          return I;
        var B = -1, z = [], K = w.length;
        for (D = Fe(D, 3); ++B < K; ) {
          var J = w[B];
          D(J, B, w) && (I.push(J), z.push(B));
        }
        return bi(w, z), I;
      }
      function Zn(w) {
        return w == null ? w : yu.call(w);
      }
      function Dd(w, D, I) {
        var B = w == null ? 0 : w.length;
        return B ? (I && typeof I != "number" && Nt(w, D, I) ? (D = 0, I = B) : (D = D == null ? 0 : Ye(D), I = I === o ? B : Ye(I)), Yt(w, D, I)) : [];
      }
      function Ad(w, D) {
        return Ia(w, D);
      }
      function $d(w, D, I) {
        return On(w, D, Fe(I, 2));
      }
      function Nd(w, D) {
        var I = w == null ? 0 : w.length;
        if (I) {
          var B = Ia(w, D);
          if (B < I && Jt(w[B], D))
            return B;
        }
        return -1;
      }
      function Pd(w, D) {
        return Ia(w, D, !0);
      }
      function Id(w, D, I) {
        return On(w, D, Fe(I, 2), !0);
      }
      function Od(w, D) {
        var I = w == null ? 0 : w.length;
        if (I) {
          var B = Ia(w, D, !0) - 1;
          if (Jt(w[B], D))
            return B;
        }
        return -1;
      }
      function Md(w) {
        return w && w.length ? Ti(w) : [];
      }
      function kd(w, D) {
        return w && w.length ? Ti(w, Fe(D, 2)) : [];
      }
      function Ld(w) {
        var D = w == null ? 0 : w.length;
        return D ? Yt(w, 1, D) : [];
      }
      function Vd(w, D, I) {
        return w && w.length ? (D = I || D === o ? 1 : Ye(D), Yt(w, 0, D < 0 ? 0 : D)) : [];
      }
      function Rd(w, D, I) {
        var B = w == null ? 0 : w.length;
        return B ? (D = I || D === o ? 1 : Ye(D), D = B - D, Yt(w, D < 0 ? 0 : D, B)) : [];
      }
      function Bd(w, D) {
        return w && w.length ? Oa(w, Fe(D, 3), !1, !0) : [];
      }
      function Fd(w, D) {
        return w && w.length ? Oa(w, Fe(D, 3)) : [];
      }
      var Ud = Ze(function(w) {
        return gr(Et(w, 1, _t, !0));
      }), zd = Ze(function(w) {
        var D = Kt(w);
        return _t(D) && (D = o), gr(Et(w, 1, _t, !0), Fe(D, 2));
      }), Hd = Ze(function(w) {
        var D = Kt(w);
        return D = typeof D == "function" ? D : o, gr(Et(w, 1, _t, !0), o, D);
      });
      function Gd(w) {
        return w && w.length ? gr(w) : [];
      }
      function Wd(w, D) {
        return w && w.length ? gr(w, Fe(D, 2)) : [];
      }
      function jd(w, D) {
        return D = typeof D == "function" ? D : o, w && w.length ? gr(w, o, D) : [];
      }
      function qn(w) {
        if (!(w && w.length))
          return [];
        var D = 0;
        return w = fr(w, function(I) {
          if (_t(I))
            return D = bt(I.length, D), !0;
        }), pn(D, function(I) {
          return vt(w, dn(I));
        });
      }
      function cs(w, D) {
        if (!(w && w.length))
          return [];
        var I = qn(w);
        return D == null ? I : vt(I, function(B) {
          return Lt(D, o, B);
        });
      }
      var Yd = Ze(function(w, D) {
        return _t(w) ? Qr(w, D) : [];
      }), Kd = Ze(function(w) {
        return kn(fr(w, _t));
      }), Xd = Ze(function(w) {
        var D = Kt(w);
        return _t(D) && (D = o), kn(fr(w, _t), Fe(D, 2));
      }), Zd = Ze(function(w) {
        var D = Kt(w);
        return D = typeof D == "function" ? D : o, kn(fr(w, _t), o, D);
      }), qd = Ze(qn);
      function Jd(w, D) {
        return Ai(w || [], D || [], Jr);
      }
      function Qd(w, D) {
        return Ai(w || [], D || [], ra);
      }
      var ef = Ze(function(w) {
        var D = w.length, I = D > 1 ? w[D - 1] : o;
        return I = typeof I == "function" ? (w.pop(), I) : o, cs(w, I);
      });
      function ds(w) {
        var D = j(w);
        return D.__chain__ = !0, D;
      }
      function tf(w, D) {
        return D(w), w;
      }
      function za(w, D) {
        return D(w);
      }
      var rf = sr(function(w) {
        var D = w.length, I = D ? w[0] : 0, B = this.__wrapped__, z = function(K) {
          return bn(K, w);
        };
        return D > 1 || this.__actions__.length || !(B instanceof at) || !lr(I) ? this.thru(z) : (B = B.slice(I, +I + (D ? 1 : 0)), B.__actions__.push({
          func: za,
          args: [z],
          thisArg: o
        }), new Wt(B, this.__chain__).thru(function(K) {
          return D && !K.length && K.push(o), K;
        }));
      });
      function af() {
        return ds(this);
      }
      function nf() {
        return new Wt(this.value(), this.__chain__);
      }
      function of() {
        this.__values__ === o && (this.__values__ = Es(this.value()));
        var w = this.__index__ >= this.__values__.length, D = w ? o : this.__values__[this.__index__++];
        return { done: w, value: D };
      }
      function sf() {
        return this;
      }
      function lf(w) {
        for (var D, I = this; I instanceof Da; ) {
          var B = ns(I);
          B.__index__ = 0, B.__values__ = o, D ? z.__wrapped__ = B : D = B;
          var z = B;
          I = I.__wrapped__;
        }
        return z.__wrapped__ = w, D;
      }
      function uf() {
        var w = this.__wrapped__;
        if (w instanceof at) {
          var D = w;
          return this.__actions__.length && (D = new at(this)), D = D.reverse(), D.__actions__.push({
            func: za,
            args: [Zn],
            thisArg: o
          }), new Wt(D, this.__chain__);
        }
        return this.thru(Zn);
      }
      function cf() {
        return Di(this.__wrapped__, this.__actions__);
      }
      var df = Ma(function(w, D, I) {
        ut.call(w, I) ? ++w[I] : or(w, I, 1);
      });
      function ff(w, D, I) {
        var B = je(w) ? Fo : ec;
        return I && Nt(w, D, I) && (D = o), B(w, Fe(D, 3));
      }
      function hf(w, D) {
        var I = je(w) ? fr : ci;
        return I(w, Fe(D, 3));
      }
      var pf = Ri(os), mf = Ri(is);
      function vf(w, D) {
        return Et(Ha(w, D), 1);
      }
      function gf(w, D) {
        return Et(Ha(w, D), G);
      }
      function yf(w, D, I) {
        return I = I === o ? 1 : Ye(I), Et(Ha(w, D), I);
      }
      function fs(w, D) {
        var I = je(w) ? Ht : vr;
        return I(w, Fe(D, 3));
      }
      function hs(w, D) {
        var I = je(w) ? kl : ui;
        return I(w, Fe(D, 3));
      }
      var _f = Ma(function(w, D, I) {
        ut.call(w, I) ? w[I].push(D) : or(w, I, [D]);
      });
      function Sf(w, D, I, B) {
        w = Ot(w) ? w : Gr(w), I = I && !B ? Ye(I) : 0;
        var z = w.length;
        return I < 0 && (I = bt(z + I, 0)), Ka(w) ? I <= z && w.indexOf(D, I) > -1 : !!z && Ir(w, D, I) > -1;
      }
      var Cf = Ze(function(w, D, I) {
        var B = -1, z = typeof D == "function", K = Ot(w) ? pe(w.length) : [];
        return vr(w, function(J) {
          K[++B] = z ? Lt(D, J, I) : ea(J, D, I);
        }), K;
      }), bf = Ma(function(w, D, I) {
        or(w, I, D);
      });
      function Ha(w, D) {
        var I = je(w) ? vt : vi;
        return I(w, Fe(D, 3));
      }
      function wf(w, D, I, B) {
        return w == null ? [] : (je(D) || (D = D == null ? [] : [D]), I = B ? o : I, je(I) || (I = I == null ? [] : [I]), Si(w, D, I));
      }
      var Tf = Ma(function(w, D, I) {
        w[I ? 0 : 1].push(D);
      }, function() {
        return [[], []];
      });
      function Ef(w, D, I) {
        var B = je(w) ? un : Go, z = arguments.length < 3;
        return B(w, Fe(D, 4), I, z, vr);
      }
      function xf(w, D, I) {
        var B = je(w) ? Ll : Go, z = arguments.length < 3;
        return B(w, Fe(D, 4), I, z, ui);
      }
      function Df(w, D) {
        var I = je(w) ? fr : ci;
        return I(w, ja(Fe(D, 3)));
      }
      function Af(w) {
        var D = je(w) ? oi : yc;
        return D(w);
      }
      function $f(w, D, I) {
        (I ? Nt(w, D, I) : D === o) ? D = 1 : D = Ye(D);
        var B = je(w) ? Xu : Sc;
        return B(w, D);
      }
      function Nf(w) {
        var D = je(w) ? Zu : bc;
        return D(w);
      }
      function Pf(w) {
        if (w == null)
          return 0;
        if (Ot(w))
          return Ka(w) ? Mr(w) : w.length;
        var D = At(w);
        return D == oe || D == Q ? w.size : An(w).length;
      }
      function If(w, D, I) {
        var B = je(w) ? cn : wc;
        return I && Nt(w, D, I) && (D = o), B(w, Fe(D, 3));
      }
      var Of = Ze(function(w, D) {
        if (w == null)
          return [];
        var I = D.length;
        return I > 1 && Nt(w, D[0], D[1]) ? D = [] : I > 2 && Nt(D[0], D[1], D[2]) && (D = [D[0]]), Si(w, Et(D, 1), []);
      }), Ga = du || function() {
        return Tt.Date.now();
      };
      function Mf(w, D) {
        if (typeof D != "function")
          throw new Gt(c);
        return w = Ye(w), function() {
          if (--w < 1)
            return D.apply(this, arguments);
        };
      }
      function ps(w, D, I) {
        return D = I ? o : D, D = w && D == null ? w.length : D, ir(w, P, o, o, o, o, D);
      }
      function ms(w, D) {
        var I;
        if (typeof D != "function")
          throw new Gt(c);
        return w = Ye(w), function() {
          return --w > 0 && (I = D.apply(this, arguments)), w <= 1 && (D = o), I;
        };
      }
      var Jn = Ze(function(w, D, I) {
        var B = b;
        if (I.length) {
          var z = pr(I, zr(Jn));
          B |= A;
        }
        return ir(w, B, D, I, z);
      }), vs = Ze(function(w, D, I) {
        var B = b | T;
        if (I.length) {
          var z = pr(I, zr(vs));
          B |= A;
        }
        return ir(D, B, w, I, z);
      });
      function gs(w, D, I) {
        D = I ? o : D;
        var B = ir(w, x, o, o, o, o, o, D);
        return B.placeholder = gs.placeholder, B;
      }
      function ys(w, D, I) {
        D = I ? o : D;
        var B = ir(w, $, o, o, o, o, o, D);
        return B.placeholder = ys.placeholder, B;
      }
      function _s(w, D, I) {
        var B, z, K, J, ee, ue, Se = 0, Ce = !1, we = !1, Ne = !0;
        if (typeof w != "function")
          throw new Gt(c);
        D = Xt(D) || 0, gt(I) && (Ce = !!I.leading, we = "maxWait" in I, K = we ? bt(Xt(I.maxWait) || 0, D) : K, Ne = "trailing" in I ? !!I.trailing : Ne);
        function Le(St) {
          var Qt = B, dr = z;
          return B = z = o, Se = St, J = w.apply(dr, Qt), J;
        }
        function Ue(St) {
          return Se = St, ee = oa(et, D), Ce ? Le(St) : J;
        }
        function Ke(St) {
          var Qt = St - ue, dr = St - Se, Rs = D - Qt;
          return we ? Dt(Rs, K - dr) : Rs;
        }
        function ze(St) {
          var Qt = St - ue, dr = St - Se;
          return ue === o || Qt >= D || Qt < 0 || we && dr >= K;
        }
        function et() {
          var St = Ga();
          if (ze(St))
            return nt(St);
          ee = oa(et, Ke(St));
        }
        function nt(St) {
          return ee = o, Ne && B ? Le(St) : (B = z = o, J);
        }
        function Ft() {
          ee !== o && $i(ee), Se = 0, B = ue = z = ee = o;
        }
        function Pt() {
          return ee === o ? J : nt(Ga());
        }
        function Ut() {
          var St = Ga(), Qt = ze(St);
          if (B = arguments, z = this, ue = St, Qt) {
            if (ee === o)
              return Ue(ue);
            if (we)
              return $i(ee), ee = oa(et, D), Le(ue);
          }
          return ee === o && (ee = oa(et, D)), J;
        }
        return Ut.cancel = Ft, Ut.flush = Pt, Ut;
      }
      var kf = Ze(function(w, D) {
        return li(w, 1, D);
      }), Lf = Ze(function(w, D, I) {
        return li(w, Xt(D) || 0, I);
      });
      function Vf(w) {
        return ir(w, O);
      }
      function Wa(w, D) {
        if (typeof w != "function" || D != null && typeof D != "function")
          throw new Gt(c);
        var I = function() {
          var B = arguments, z = D ? D.apply(this, B) : B[0], K = I.cache;
          if (K.has(z))
            return K.get(z);
          var J = w.apply(this, B);
          return I.cache = K.set(z, J) || K, J;
        };
        return I.cache = new (Wa.Cache || nr)(), I;
      }
      Wa.Cache = nr;
      function ja(w) {
        if (typeof w != "function")
          throw new Gt(c);
        return function() {
          var D = arguments;
          switch (D.length) {
            case 0:
              return !w.call(this);
            case 1:
              return !w.call(this, D[0]);
            case 2:
              return !w.call(this, D[0], D[1]);
            case 3:
              return !w.call(this, D[0], D[1], D[2]);
          }
          return !w.apply(this, D);
        };
      }
      function Rf(w) {
        return ms(2, w);
      }
      var Bf = Tc(function(w, D) {
        D = D.length == 1 && je(D[0]) ? vt(D[0], Vt(Fe())) : vt(Et(D, 1), Vt(Fe()));
        var I = D.length;
        return Ze(function(B) {
          for (var z = -1, K = Dt(B.length, I); ++z < K; )
            B[z] = D[z].call(this, B[z]);
          return Lt(w, this, B);
        });
      }), Qn = Ze(function(w, D) {
        var I = pr(D, zr(Qn));
        return ir(w, A, o, D, I);
      }), Ss = Ze(function(w, D) {
        var I = pr(D, zr(Ss));
        return ir(w, N, o, D, I);
      }), Ff = sr(function(w, D) {
        return ir(w, L, o, o, o, D);
      });
      function Uf(w, D) {
        if (typeof w != "function")
          throw new Gt(c);
        return D = D === o ? D : Ye(D), Ze(w, D);
      }
      function zf(w, D) {
        if (typeof w != "function")
          throw new Gt(c);
        return D = D == null ? 0 : bt(Ye(D), 0), Ze(function(I) {
          var B = I[D], z = _r(I, 0, D);
          return B && hr(z, B), Lt(w, this, z);
        });
      }
      function Hf(w, D, I) {
        var B = !0, z = !0;
        if (typeof w != "function")
          throw new Gt(c);
        return gt(I) && (B = "leading" in I ? !!I.leading : B, z = "trailing" in I ? !!I.trailing : z), _s(w, D, {
          leading: B,
          maxWait: D,
          trailing: z
        });
      }
      function Gf(w) {
        return ps(w, 1);
      }
      function Wf(w, D) {
        return Qn(Vn(D), w);
      }
      function jf() {
        if (!arguments.length)
          return [];
        var w = arguments[0];
        return je(w) ? w : [w];
      }
      function Yf(w) {
        return jt(w, _);
      }
      function Kf(w, D) {
        return D = typeof D == "function" ? D : o, jt(w, _, D);
      }
      function Xf(w) {
        return jt(w, g | _);
      }
      function Zf(w, D) {
        return D = typeof D == "function" ? D : o, jt(w, g | _, D);
      }
      function qf(w, D) {
        return D == null || si(w, D, wt(D));
      }
      function Jt(w, D) {
        return w === D || w !== w && D !== D;
      }
      var Jf = Ra(En), Qf = Ra(function(w, D) {
        return w >= D;
      }), $r = hi(/* @__PURE__ */ function() {
        return arguments;
      }()) ? hi : function(w) {
        return yt(w) && ut.call(w, "callee") && !Qo.call(w, "callee");
      }, je = pe.isArray, eh = Mo ? Vt(Mo) : ic;
      function Ot(w) {
        return w != null && Ya(w.length) && !ur(w);
      }
      function _t(w) {
        return yt(w) && Ot(w);
      }
      function th(w) {
        return w === !0 || w === !1 || yt(w) && $t(w) == fe;
      }
      var Sr = hu || co, rh = ko ? Vt(ko) : sc;
      function ah(w) {
        return yt(w) && w.nodeType === 1 && !ia(w);
      }
      function nh(w) {
        if (w == null)
          return !0;
        if (Ot(w) && (je(w) || typeof w == "string" || typeof w.splice == "function" || Sr(w) || Hr(w) || $r(w)))
          return !w.length;
        var D = At(w);
        if (D == oe || D == Q)
          return !w.size;
        if (na(w))
          return !An(w).length;
        for (var I in w)
          if (ut.call(w, I))
            return !1;
        return !0;
      }
      function oh(w, D) {
        return ta(w, D);
      }
      function ih(w, D, I) {
        I = typeof I == "function" ? I : o;
        var B = I ? I(w, D) : o;
        return B === o ? ta(w, D, o, I) : !!B;
      }
      function eo(w) {
        if (!yt(w))
          return !1;
        var D = $t(w);
        return D == ve || D == ge || typeof w.message == "string" && typeof w.name == "string" && !ia(w);
      }
      function sh(w) {
        return typeof w == "number" && ti(w);
      }
      function ur(w) {
        if (!gt(w))
          return !1;
        var D = $t(w);
        return D == xe || D == Ae || D == se || D == mt;
      }
      function Cs(w) {
        return typeof w == "number" && w == Ye(w);
      }
      function Ya(w) {
        return typeof w == "number" && w > -1 && w % 1 == 0 && w <= Z;
      }
      function gt(w) {
        var D = typeof w;
        return w != null && (D == "object" || D == "function");
      }
      function yt(w) {
        return w != null && typeof w == "object";
      }
      var bs = Lo ? Vt(Lo) : uc;
      function lh(w, D) {
        return w === D || Dn(w, D, Gn(D));
      }
      function uh(w, D, I) {
        return I = typeof I == "function" ? I : o, Dn(w, D, Gn(D), I);
      }
      function ch(w) {
        return ws(w) && w != +w;
      }
      function dh(w) {
        if (Yc(w))
          throw new We(u);
        return pi(w);
      }
      function fh(w) {
        return w === null;
      }
      function hh(w) {
        return w == null;
      }
      function ws(w) {
        return typeof w == "number" || yt(w) && $t(w) == De;
      }
      function ia(w) {
        if (!yt(w) || $t(w) != Me)
          return !1;
        var D = Sa(w);
        if (D === null)
          return !0;
        var I = ut.call(D, "constructor") && D.constructor;
        return typeof I == "function" && I instanceof I && ma.call(I) == su;
      }
      var to = Vo ? Vt(Vo) : cc;
      function ph(w) {
        return Cs(w) && w >= -9007199254740991 && w <= Z;
      }
      var Ts = Ro ? Vt(Ro) : dc;
      function Ka(w) {
        return typeof w == "string" || !je(w) && yt(w) && $t(w) == _e;
      }
      function Bt(w) {
        return typeof w == "symbol" || yt(w) && $t(w) == Ie;
      }
      var Hr = Bo ? Vt(Bo) : fc;
      function mh(w) {
        return w === o;
      }
      function vh(w) {
        return yt(w) && At(w) == Xe;
      }
      function gh(w) {
        return yt(w) && $t(w) == Qe;
      }
      var yh = Ra($n), _h = Ra(function(w, D) {
        return w <= D;
      });
      function Es(w) {
        if (!w)
          return [];
        if (Ot(w))
          return Ka(w) ? Zt(w) : It(w);
        if (Yr && w[Yr])
          return Xl(w[Yr]());
        var D = At(w), I = D == oe ? vn : D == Q ? fa : Gr;
        return I(w);
      }
      function cr(w) {
        if (!w)
          return w === 0 ? w : 0;
        if (w = Xt(w), w === G || w === -1 / 0) {
          var D = w < 0 ? -1 : 1;
          return D * re;
        }
        return w === w ? w : 0;
      }
      function Ye(w) {
        var D = cr(w), I = D % 1;
        return D === D ? I ? D - I : D : 0;
      }
      function xs(w) {
        return w ? Er(Ye(w), 0, X) : 0;
      }
      function Xt(w) {
        if (typeof w == "number")
          return w;
        if (Bt(w))
          return de;
        if (gt(w)) {
          var D = typeof w.valueOf == "function" ? w.valueOf() : w;
          w = gt(D) ? D + "" : D;
        }
        if (typeof w != "string")
          return w === 0 ? w : +w;
        w = Wo(w);
        var I = Js.test(w);
        return I || el.test(w) ? Il(w.slice(2), I ? 2 : 8) : qs.test(w) ? de : +w;
      }
      function Ds(w) {
        return tr(w, Mt(w));
      }
      function Sh(w) {
        return w ? Er(Ye(w), -9007199254740991, Z) : w === 0 ? w : 0;
      }
      function st(w) {
        return w == null ? "" : Rt(w);
      }
      var Ch = Fr(function(w, D) {
        if (na(D) || Ot(D)) {
          tr(D, wt(D), w);
          return;
        }
        for (var I in D)
          ut.call(D, I) && Jr(w, I, D[I]);
      }), As = Fr(function(w, D) {
        tr(D, Mt(D), w);
      }), Xa = Fr(function(w, D, I, B) {
        tr(D, Mt(D), w, B);
      }), bh = Fr(function(w, D, I, B) {
        tr(D, wt(D), w, B);
      }), wh = sr(bn);
      function Th(w, D) {
        var I = Br(w);
        return D == null ? I : ii(I, D);
      }
      var Eh = Ze(function(w, D) {
        w = dt(w);
        var I = -1, B = D.length, z = B > 2 ? D[2] : o;
        for (z && Nt(D[0], D[1], z) && (B = 1); ++I < B; )
          for (var K = D[I], J = Mt(K), ee = -1, ue = J.length; ++ee < ue; ) {
            var Se = J[ee], Ce = w[Se];
            (Ce === o || Jt(Ce, Lr[Se]) && !ut.call(w, Se)) && (w[Se] = K[Se]);
          }
        return w;
      }), xh = Ze(function(w) {
        return w.push(o, Wi), Lt($s, o, w);
      });
      function Dh(w, D) {
        return Uo(w, Fe(D, 3), er);
      }
      function Ah(w, D) {
        return Uo(w, Fe(D, 3), Tn);
      }
      function $h(w, D) {
        return w == null ? w : wn(w, Fe(D, 3), Mt);
      }
      function Nh(w, D) {
        return w == null ? w : di(w, Fe(D, 3), Mt);
      }
      function Ph(w, D) {
        return w && er(w, Fe(D, 3));
      }
      function Ih(w, D) {
        return w && Tn(w, Fe(D, 3));
      }
      function Oh(w) {
        return w == null ? [] : Na(w, wt(w));
      }
      function Mh(w) {
        return w == null ? [] : Na(w, Mt(w));
      }
      function ro(w, D, I) {
        var B = w == null ? o : xr(w, D);
        return B === o ? I : B;
      }
      function kh(w, D) {
        return w != null && Ki(w, D, rc);
      }
      function ao(w, D) {
        return w != null && Ki(w, D, ac);
      }
      var Lh = Fi(function(w, D, I) {
        D != null && typeof D.toString != "function" && (D = va.call(D)), w[D] = I;
      }, oo(kt)), Vh = Fi(function(w, D, I) {
        D != null && typeof D.toString != "function" && (D = va.call(D)), ut.call(w, D) ? w[D].push(I) : w[D] = [I];
      }, Fe), Rh = Ze(ea);
      function wt(w) {
        return Ot(w) ? ni(w) : An(w);
      }
      function Mt(w) {
        return Ot(w) ? ni(w, !0) : hc(w);
      }
      function Bh(w, D) {
        var I = {};
        return D = Fe(D, 3), er(w, function(B, z, K) {
          or(I, D(B, z, K), B);
        }), I;
      }
      function Fh(w, D) {
        var I = {};
        return D = Fe(D, 3), er(w, function(B, z, K) {
          or(I, z, D(B, z, K));
        }), I;
      }
      var Uh = Fr(function(w, D, I) {
        Pa(w, D, I);
      }), $s = Fr(function(w, D, I, B) {
        Pa(w, D, I, B);
      }), zh = sr(function(w, D) {
        var I = {};
        if (w == null)
          return I;
        var B = !1;
        D = vt(D, function(K) {
          return K = yr(K, w), B || (B = K.length > 1), K;
        }), tr(w, zn(w), I), B && (I = jt(I, g | y | _, kc));
        for (var z = D.length; z--; )
          Mn(I, D[z]);
        return I;
      });
      function Hh(w, D) {
        return Ns(w, ja(Fe(D)));
      }
      var Gh = sr(function(w, D) {
        return w == null ? {} : mc(w, D);
      });
      function Ns(w, D) {
        if (w == null)
          return {};
        var I = vt(zn(w), function(B) {
          return [B];
        });
        return D = Fe(D), Ci(w, I, function(B, z) {
          return D(B, z[0]);
        });
      }
      function Wh(w, D, I) {
        D = yr(D, w);
        var B = -1, z = D.length;
        for (z || (z = 1, w = o); ++B < z; ) {
          var K = w == null ? o : w[rr(D[B])];
          K === o && (B = z, K = I), w = ur(K) ? K.call(w) : K;
        }
        return w;
      }
      function jh(w, D, I) {
        return w == null ? w : ra(w, D, I);
      }
      function Yh(w, D, I, B) {
        return B = typeof B == "function" ? B : o, w == null ? w : ra(w, D, I, B);
      }
      var Ps = Hi(wt), Is = Hi(Mt);
      function Kh(w, D, I) {
        var B = je(w), z = B || Sr(w) || Hr(w);
        if (D = Fe(D, 4), I == null) {
          var K = w && w.constructor;
          z ? I = B ? new K() : [] : gt(w) ? I = ur(K) ? Br(Sa(w)) : {} : I = {};
        }
        return (z ? Ht : er)(w, function(J, ee, ue) {
          return D(I, J, ee, ue);
        }), I;
      }
      function Xh(w, D) {
        return w == null ? !0 : Mn(w, D);
      }
      function Zh(w, D, I) {
        return w == null ? w : xi(w, D, Vn(I));
      }
      function qh(w, D, I, B) {
        return B = typeof B == "function" ? B : o, w == null ? w : xi(w, D, Vn(I), B);
      }
      function Gr(w) {
        return w == null ? [] : mn(w, wt(w));
      }
      function Jh(w) {
        return w == null ? [] : mn(w, Mt(w));
      }
      function Qh(w, D, I) {
        return I === o && (I = D, D = o), I !== o && (I = Xt(I), I = I === I ? I : 0), D !== o && (D = Xt(D), D = D === D ? D : 0), Er(Xt(w), D, I);
      }
      function ep(w, D, I) {
        return D = cr(D), I === o ? (I = D, D = 0) : I = cr(I), w = Xt(w), nc(w, D, I);
      }
      function tp(w, D, I) {
        if (I && typeof I != "boolean" && Nt(w, D, I) && (D = I = o), I === o && (typeof D == "boolean" ? (I = D, D = o) : typeof w == "boolean" && (I = w, w = o)), w === o && D === o ? (w = 0, D = 1) : (w = cr(w), D === o ? (D = w, w = 0) : D = cr(D)), w > D) {
          var B = w;
          w = D, D = B;
        }
        if (I || w % 1 || D % 1) {
          var z = ri();
          return Dt(w + z * (D - w + Pl("1e-" + ((z + "").length - 1))), D);
        }
        return Pn(w, D);
      }
      var rp = Ur(function(w, D, I) {
        return D = D.toLowerCase(), w + (I ? Os(D) : D);
      });
      function Os(w) {
        return no(st(w).toLowerCase());
      }
      function Ms(w) {
        return w = st(w), w && w.replace(rl, Gl).replace(Cl, "");
      }
      function ap(w, D, I) {
        w = st(w), D = Rt(D);
        var B = w.length;
        I = I === o ? B : Er(Ye(I), 0, B);
        var z = I;
        return I -= D.length, I >= 0 && w.slice(I, z) == D;
      }
      function np(w) {
        return w = st(w), w && Wr.test(w) ? w.replace(tt, Wl) : w;
      }
      function op(w) {
        return w = st(w), w && zs.test(w) ? w.replace(qa, "\\$&") : w;
      }
      var ip = Ur(function(w, D, I) {
        return w + (I ? "-" : "") + D.toLowerCase();
      }), sp = Ur(function(w, D, I) {
        return w + (I ? " " : "") + D.toLowerCase();
      }), lp = Vi("toLowerCase");
      function up(w, D, I) {
        w = st(w), D = Ye(D);
        var B = D ? Mr(w) : 0;
        if (!D || B >= D)
          return w;
        var z = (D - B) / 2;
        return Va(Ta(z), I) + w + Va(wa(z), I);
      }
      function cp(w, D, I) {
        w = st(w), D = Ye(D);
        var B = D ? Mr(w) : 0;
        return D && B < D ? w + Va(D - B, I) : w;
      }
      function dp(w, D, I) {
        w = st(w), D = Ye(D);
        var B = D ? Mr(w) : 0;
        return D && B < D ? Va(D - B, I) + w : w;
      }
      function fp(w, D, I) {
        return I || D == null ? D = 0 : D && (D = +D), gu(st(w).replace(Ja, ""), D || 0);
      }
      function hp(w, D, I) {
        return (I ? Nt(w, D, I) : D === o) ? D = 1 : D = Ye(D), In(st(w), D);
      }
      function pp() {
        var w = arguments, D = st(w[0]);
        return w.length < 3 ? D : D.replace(w[1], w[2]);
      }
      var mp = Ur(function(w, D, I) {
        return w + (I ? "_" : "") + D.toLowerCase();
      });
      function vp(w, D, I) {
        return I && typeof I != "number" && Nt(w, D, I) && (D = I = o), I = I === o ? X : I >>> 0, I ? (w = st(w), w && (typeof D == "string" || D != null && !to(D)) && (D = Rt(D), !D && Or(w)) ? _r(Zt(w), 0, I) : w.split(D, I)) : [];
      }
      var gp = Ur(function(w, D, I) {
        return w + (I ? " " : "") + no(D);
      });
      function yp(w, D, I) {
        return w = st(w), I = I == null ? 0 : Er(Ye(I), 0, w.length), D = Rt(D), w.slice(I, I + D.length) == D;
      }
      function _p(w, D, I) {
        var B = j.templateSettings;
        I && Nt(w, D, I) && (D = o), w = st(w), D = Xa({}, D, B, Gi);
        var z = Xa({}, D.imports, B.imports, Gi), K = wt(z), J = mn(z, K), ee, ue, Se = 0, Ce = D.interpolate || sa, we = "__p += '", Ne = gn(
          (D.escape || sa).source + "|" + Ce.source + "|" + (Ce === fo ? Zs : sa).source + "|" + (D.evaluate || sa).source + "|$",
          "g"
        ), Le = "//# sourceURL=" + (ut.call(D, "sourceURL") ? (D.sourceURL + "").replace(/\s/g, " ") : "lodash.templateSources[" + ++xl + "]") + `
`;
        w.replace(Ne, function(ze, et, nt, Ft, Pt, Ut) {
          return nt || (nt = Ft), we += w.slice(Se, Ut).replace(al, jl), et && (ee = !0, we += `' +
__e(` + et + `) +
'`), Pt && (ue = !0, we += `';
` + Pt + `;
__p += '`), nt && (we += `' +
((__t = (` + nt + `)) == null ? '' : __t) +
'`), Se = Ut + ze.length, ze;
        }), we += `';
`;
        var Ue = ut.call(D, "variable") && D.variable;
        if (!Ue)
          we = `with (obj) {
` + we + `
}
`;
        else if (Ks.test(Ue))
          throw new We(d);
        we = (ue ? we.replace(He, "") : we).replace(ke, "$1").replace(Be, "$1;"), we = "function(" + (Ue || "obj") + `) {
` + (Ue ? "" : `obj || (obj = {});
`) + "var __t, __p = ''" + (ee ? ", __e = _.escape" : "") + (ue ? `, __j = Array.prototype.join;
function print() { __p += __j.call(arguments, '') }
` : `;
`) + we + `return __p
}`;
        var Ke = Ls(function() {
          return it(K, Le + "return " + we).apply(o, J);
        });
        if (Ke.source = we, eo(Ke))
          throw Ke;
        return Ke;
      }
      function Sp(w) {
        return st(w).toLowerCase();
      }
      function Cp(w) {
        return st(w).toUpperCase();
      }
      function bp(w, D, I) {
        if (w = st(w), w && (I || D === o))
          return Wo(w);
        if (!w || !(D = Rt(D)))
          return w;
        var B = Zt(w), z = Zt(D), K = jo(B, z), J = Yo(B, z) + 1;
        return _r(B, K, J).join("");
      }
      function wp(w, D, I) {
        if (w = st(w), w && (I || D === o))
          return w.slice(0, Xo(w) + 1);
        if (!w || !(D = Rt(D)))
          return w;
        var B = Zt(w), z = Yo(B, Zt(D)) + 1;
        return _r(B, 0, z).join("");
      }
      function Tp(w, D, I) {
        if (w = st(w), w && (I || D === o))
          return w.replace(Ja, "");
        if (!w || !(D = Rt(D)))
          return w;
        var B = Zt(w), z = jo(B, Zt(D));
        return _r(B, z).join("");
      }
      function Ep(w, D) {
        var I = M, B = F;
        if (gt(D)) {
          var z = "separator" in D ? D.separator : z;
          I = "length" in D ? Ye(D.length) : I, B = "omission" in D ? Rt(D.omission) : B;
        }
        w = st(w);
        var K = w.length;
        if (Or(w)) {
          var J = Zt(w);
          K = J.length;
        }
        if (I >= K)
          return w;
        var ee = I - Mr(B);
        if (ee < 1)
          return B;
        var ue = J ? _r(J, 0, ee).join("") : w.slice(0, ee);
        if (z === o)
          return ue + B;
        if (J && (ee += ue.length - ee), to(z)) {
          if (w.slice(ee).search(z)) {
            var Se, Ce = ue;
            for (z.global || (z = gn(z.source, st(ho.exec(z)) + "g")), z.lastIndex = 0; Se = z.exec(Ce); )
              var we = Se.index;
            ue = ue.slice(0, we === o ? ee : we);
          }
        } else if (w.indexOf(Rt(z), ee) != ee) {
          var Ne = ue.lastIndexOf(z);
          Ne > -1 && (ue = ue.slice(0, Ne));
        }
        return ue + B;
      }
      function xp(w) {
        return w = st(w), w && xt.test(w) ? w.replace(Je, Ql) : w;
      }
      var Dp = Ur(function(w, D, I) {
        return w + (I ? " " : "") + D.toUpperCase();
      }), no = Vi("toUpperCase");
      function ks(w, D, I) {
        return w = st(w), D = I ? o : D, D === o ? Kl(w) ? ru(w) : Bl(w) : w.match(D) || [];
      }
      var Ls = Ze(function(w, D) {
        try {
          return Lt(w, o, D);
        } catch (I) {
          return eo(I) ? I : new We(I);
        }
      }), Ap = sr(function(w, D) {
        return Ht(D, function(I) {
          I = rr(I), or(w, I, Jn(w[I], w));
        }), w;
      });
      function $p(w) {
        var D = w == null ? 0 : w.length, I = Fe();
        return w = D ? vt(w, function(B) {
          if (typeof B[1] != "function")
            throw new Gt(c);
          return [I(B[0]), B[1]];
        }) : [], Ze(function(B) {
          for (var z = -1; ++z < D; ) {
            var K = w[z];
            if (Lt(K[0], this, B))
              return Lt(K[1], this, B);
          }
        });
      }
      function Np(w) {
        return Qu(jt(w, g));
      }
      function oo(w) {
        return function() {
          return w;
        };
      }
      function Pp(w, D) {
        return w == null || w !== w ? D : w;
      }
      var Ip = Bi(), Op = Bi(!0);
      function kt(w) {
        return w;
      }
      function io(w) {
        return mi(typeof w == "function" ? w : jt(w, g));
      }
      function Mp(w) {
        return gi(jt(w, g));
      }
      function kp(w, D) {
        return yi(w, jt(D, g));
      }
      var Lp = Ze(function(w, D) {
        return function(I) {
          return ea(I, w, D);
        };
      }), Vp = Ze(function(w, D) {
        return function(I) {
          return ea(w, I, D);
        };
      });
      function so(w, D, I) {
        var B = wt(D), z = Na(D, B);
        I == null && !(gt(D) && (z.length || !B.length)) && (I = D, D = w, w = this, z = Na(D, wt(D)));
        var K = !(gt(I) && "chain" in I) || !!I.chain, J = ur(w);
        return Ht(z, function(ee) {
          var ue = D[ee];
          w[ee] = ue, J && (w.prototype[ee] = function() {
            var Se = this.__chain__;
            if (K || Se) {
              var Ce = w(this.__wrapped__), we = Ce.__actions__ = It(this.__actions__);
              return we.push({ func: ue, args: arguments, thisArg: w }), Ce.__chain__ = Se, Ce;
            }
            return ue.apply(w, hr([this.value()], arguments));
          });
        }), w;
      }
      function Rp() {
        return Tt._ === this && (Tt._ = lu), this;
      }
      function lo() {
      }
      function Bp(w) {
        return w = Ye(w), Ze(function(D) {
          return _i(D, w);
        });
      }
      var Fp = Bn(vt), Up = Bn(Fo), zp = Bn(cn);
      function Vs(w) {
        return jn(w) ? dn(rr(w)) : vc(w);
      }
      function Hp(w) {
        return function(D) {
          return w == null ? o : xr(w, D);
        };
      }
      var Gp = Ui(), Wp = Ui(!0);
      function uo() {
        return [];
      }
      function co() {
        return !1;
      }
      function jp() {
        return {};
      }
      function Yp() {
        return "";
      }
      function Kp() {
        return !0;
      }
      function Xp(w, D) {
        if (w = Ye(w), w < 1 || w > Z)
          return [];
        var I = X, B = Dt(w, X);
        D = Fe(D), w -= X;
        for (var z = pn(B, D); ++I < w; )
          D(I);
        return z;
      }
      function Zp(w) {
        return je(w) ? vt(w, rr) : Bt(w) ? [w] : It(as(st(w)));
      }
      function qp(w) {
        var D = ++iu;
        return st(w) + D;
      }
      var Jp = La(function(w, D) {
        return w + D;
      }, 0), Qp = Fn("ceil"), em = La(function(w, D) {
        return w / D;
      }, 1), tm = Fn("floor");
      function rm(w) {
        return w && w.length ? $a(w, kt, En) : o;
      }
      function am(w, D) {
        return w && w.length ? $a(w, Fe(D, 2), En) : o;
      }
      function nm(w) {
        return Ho(w, kt);
      }
      function om(w, D) {
        return Ho(w, Fe(D, 2));
      }
      function im(w) {
        return w && w.length ? $a(w, kt, $n) : o;
      }
      function sm(w, D) {
        return w && w.length ? $a(w, Fe(D, 2), $n) : o;
      }
      var lm = La(function(w, D) {
        return w * D;
      }, 1), um = Fn("round"), cm = La(function(w, D) {
        return w - D;
      }, 0);
      function dm(w) {
        return w && w.length ? hn(w, kt) : 0;
      }
      function fm(w, D) {
        return w && w.length ? hn(w, Fe(D, 2)) : 0;
      }
      return j.after = Mf, j.ary = ps, j.assign = Ch, j.assignIn = As, j.assignInWith = Xa, j.assignWith = bh, j.at = wh, j.before = ms, j.bind = Jn, j.bindAll = Ap, j.bindKey = vs, j.castArray = jf, j.chain = ds, j.chunk = ed, j.compact = td, j.concat = rd, j.cond = $p, j.conforms = Np, j.constant = oo, j.countBy = df, j.create = Th, j.curry = gs, j.curryRight = ys, j.debounce = _s, j.defaults = Eh, j.defaultsDeep = xh, j.defer = kf, j.delay = Lf, j.difference = ad, j.differenceBy = nd, j.differenceWith = od, j.drop = id, j.dropRight = sd, j.dropRightWhile = ld, j.dropWhile = ud, j.fill = cd, j.filter = hf, j.flatMap = vf, j.flatMapDeep = gf, j.flatMapDepth = yf, j.flatten = ss, j.flattenDeep = dd, j.flattenDepth = fd, j.flip = Vf, j.flow = Ip, j.flowRight = Op, j.fromPairs = hd, j.functions = Oh, j.functionsIn = Mh, j.groupBy = _f, j.initial = md, j.intersection = vd, j.intersectionBy = gd, j.intersectionWith = yd, j.invert = Lh, j.invertBy = Vh, j.invokeMap = Cf, j.iteratee = io, j.keyBy = bf, j.keys = wt, j.keysIn = Mt, j.map = Ha, j.mapKeys = Bh, j.mapValues = Fh, j.matches = Mp, j.matchesProperty = kp, j.memoize = Wa, j.merge = Uh, j.mergeWith = $s, j.method = Lp, j.methodOf = Vp, j.mixin = so, j.negate = ja, j.nthArg = Bp, j.omit = zh, j.omitBy = Hh, j.once = Rf, j.orderBy = wf, j.over = Fp, j.overArgs = Bf, j.overEvery = Up, j.overSome = zp, j.partial = Qn, j.partialRight = Ss, j.partition = Tf, j.pick = Gh, j.pickBy = Ns, j.property = Vs, j.propertyOf = Hp, j.pull = bd, j.pullAll = us, j.pullAllBy = wd, j.pullAllWith = Td, j.pullAt = Ed, j.range = Gp, j.rangeRight = Wp, j.rearg = Ff, j.reject = Df, j.remove = xd, j.rest = Uf, j.reverse = Zn, j.sampleSize = $f, j.set = jh, j.setWith = Yh, j.shuffle = Nf, j.slice = Dd, j.sortBy = Of, j.sortedUniq = Md, j.sortedUniqBy = kd, j.split = vp, j.spread = zf, j.tail = Ld, j.take = Vd, j.takeRight = Rd, j.takeRightWhile = Bd, j.takeWhile = Fd, j.tap = tf, j.throttle = Hf, j.thru = za, j.toArray = Es, j.toPairs = Ps, j.toPairsIn = Is, j.toPath = Zp, j.toPlainObject = Ds, j.transform = Kh, j.unary = Gf, j.union = Ud, j.unionBy = zd, j.unionWith = Hd, j.uniq = Gd, j.uniqBy = Wd, j.uniqWith = jd, j.unset = Xh, j.unzip = qn, j.unzipWith = cs, j.update = Zh, j.updateWith = qh, j.values = Gr, j.valuesIn = Jh, j.without = Yd, j.words = ks, j.wrap = Wf, j.xor = Kd, j.xorBy = Xd, j.xorWith = Zd, j.zip = qd, j.zipObject = Jd, j.zipObjectDeep = Qd, j.zipWith = ef, j.entries = Ps, j.entriesIn = Is, j.extend = As, j.extendWith = Xa, so(j, j), j.add = Jp, j.attempt = Ls, j.camelCase = rp, j.capitalize = Os, j.ceil = Qp, j.clamp = Qh, j.clone = Yf, j.cloneDeep = Xf, j.cloneDeepWith = Zf, j.cloneWith = Kf, j.conformsTo = qf, j.deburr = Ms, j.defaultTo = Pp, j.divide = em, j.endsWith = ap, j.eq = Jt, j.escape = np, j.escapeRegExp = op, j.every = ff, j.find = pf, j.findIndex = os, j.findKey = Dh, j.findLast = mf, j.findLastIndex = is, j.findLastKey = Ah, j.floor = tm, j.forEach = fs, j.forEachRight = hs, j.forIn = $h, j.forInRight = Nh, j.forOwn = Ph, j.forOwnRight = Ih, j.get = ro, j.gt = Jf, j.gte = Qf, j.has = kh, j.hasIn = ao, j.head = ls, j.identity = kt, j.includes = Sf, j.indexOf = pd, j.inRange = ep, j.invoke = Rh, j.isArguments = $r, j.isArray = je, j.isArrayBuffer = eh, j.isArrayLike = Ot, j.isArrayLikeObject = _t, j.isBoolean = th, j.isBuffer = Sr, j.isDate = rh, j.isElement = ah, j.isEmpty = nh, j.isEqual = oh, j.isEqualWith = ih, j.isError = eo, j.isFinite = sh, j.isFunction = ur, j.isInteger = Cs, j.isLength = Ya, j.isMap = bs, j.isMatch = lh, j.isMatchWith = uh, j.isNaN = ch, j.isNative = dh, j.isNil = hh, j.isNull = fh, j.isNumber = ws, j.isObject = gt, j.isObjectLike = yt, j.isPlainObject = ia, j.isRegExp = to, j.isSafeInteger = ph, j.isSet = Ts, j.isString = Ka, j.isSymbol = Bt, j.isTypedArray = Hr, j.isUndefined = mh, j.isWeakMap = vh, j.isWeakSet = gh, j.join = _d, j.kebabCase = ip, j.last = Kt, j.lastIndexOf = Sd, j.lowerCase = sp, j.lowerFirst = lp, j.lt = yh, j.lte = _h, j.max = rm, j.maxBy = am, j.mean = nm, j.meanBy = om, j.min = im, j.minBy = sm, j.stubArray = uo, j.stubFalse = co, j.stubObject = jp, j.stubString = Yp, j.stubTrue = Kp, j.multiply = lm, j.nth = Cd, j.noConflict = Rp, j.noop = lo, j.now = Ga, j.pad = up, j.padEnd = cp, j.padStart = dp, j.parseInt = fp, j.random = tp, j.reduce = Ef, j.reduceRight = xf, j.repeat = hp, j.replace = pp, j.result = Wh, j.round = um, j.runInContext = ie, j.sample = Af, j.size = Pf, j.snakeCase = mp, j.some = If, j.sortedIndex = Ad, j.sortedIndexBy = $d, j.sortedIndexOf = Nd, j.sortedLastIndex = Pd, j.sortedLastIndexBy = Id, j.sortedLastIndexOf = Od, j.startCase = gp, j.startsWith = yp, j.subtract = cm, j.sum = dm, j.sumBy = fm, j.template = _p, j.times = Xp, j.toFinite = cr, j.toInteger = Ye, j.toLength = xs, j.toLower = Sp, j.toNumber = Xt, j.toSafeInteger = Sh, j.toString = st, j.toUpper = Cp, j.trim = bp, j.trimEnd = wp, j.trimStart = Tp, j.truncate = Ep, j.unescape = xp, j.uniqueId = qp, j.upperCase = Dp, j.upperFirst = no, j.each = fs, j.eachRight = hs, j.first = ls, so(j, function() {
        var w = {};
        return er(j, function(D, I) {
          ut.call(j.prototype, I) || (w[I] = D);
        }), w;
      }(), { chain: !1 }), j.VERSION = s, Ht(["bind", "bindKey", "curry", "curryRight", "partial", "partialRight"], function(w) {
        j[w].placeholder = j;
      }), Ht(["drop", "take"], function(w, D) {
        at.prototype[w] = function(I) {
          I = I === o ? 1 : bt(Ye(I), 0);
          var B = this.__filtered__ && !D ? new at(this) : this.clone();
          return B.__filtered__ ? B.__takeCount__ = Dt(I, B.__takeCount__) : B.__views__.push({
            size: Dt(I, X),
            type: w + (B.__dir__ < 0 ? "Right" : "")
          }), B;
        }, at.prototype[w + "Right"] = function(I) {
          return this.reverse()[w](I).reverse();
        };
      }), Ht(["filter", "map", "takeWhile"], function(w, D) {
        var I = D + 1, B = I == H || I == Y;
        at.prototype[w] = function(z) {
          var K = this.clone();
          return K.__iteratees__.push({
            iteratee: Fe(z, 3),
            type: I
          }), K.__filtered__ = K.__filtered__ || B, K;
        };
      }), Ht(["head", "last"], function(w, D) {
        var I = "take" + (D ? "Right" : "");
        at.prototype[w] = function() {
          return this[I](1).value()[0];
        };
      }), Ht(["initial", "tail"], function(w, D) {
        var I = "drop" + (D ? "" : "Right");
        at.prototype[w] = function() {
          return this.__filtered__ ? new at(this) : this[I](1);
        };
      }), at.prototype.compact = function() {
        return this.filter(kt);
      }, at.prototype.find = function(w) {
        return this.filter(w).head();
      }, at.prototype.findLast = function(w) {
        return this.reverse().find(w);
      }, at.prototype.invokeMap = Ze(function(w, D) {
        return typeof w == "function" ? new at(this) : this.map(function(I) {
          return ea(I, w, D);
        });
      }), at.prototype.reject = function(w) {
        return this.filter(ja(Fe(w)));
      }, at.prototype.slice = function(w, D) {
        w = Ye(w);
        var I = this;
        return I.__filtered__ && (w > 0 || D < 0) ? new at(I) : (w < 0 ? I = I.takeRight(-w) : w && (I = I.drop(w)), D !== o && (D = Ye(D), I = D < 0 ? I.dropRight(-D) : I.take(D - w)), I);
      }, at.prototype.takeRightWhile = function(w) {
        return this.reverse().takeWhile(w).reverse();
      }, at.prototype.toArray = function() {
        return this.take(X);
      }, er(at.prototype, function(w, D) {
        var I = /^(?:filter|find|map|reject)|While$/.test(D), B = /^(?:head|last)$/.test(D), z = j[B ? "take" + (D == "last" ? "Right" : "") : D], K = B || /^find/.test(D);
        z && (j.prototype[D] = function() {
          var J = this.__wrapped__, ee = B ? [1] : arguments, ue = J instanceof at, Se = ee[0], Ce = ue || je(J), we = function(et) {
            var nt = z.apply(j, hr([et], ee));
            return B && Ne ? nt[0] : nt;
          };
          Ce && I && typeof Se == "function" && Se.length != 1 && (ue = Ce = !1);
          var Ne = this.__chain__, Le = !!this.__actions__.length, Ue = K && !Ne, Ke = ue && !Le;
          if (!K && Ce) {
            J = Ke ? J : new at(this);
            var ze = w.apply(J, ee);
            return ze.__actions__.push({ func: za, args: [we], thisArg: o }), new Wt(ze, Ne);
          }
          return Ue && Ke ? w.apply(this, ee) : (ze = this.thru(we), Ue ? B ? ze.value()[0] : ze.value() : ze);
        });
      }), Ht(["pop", "push", "shift", "sort", "splice", "unshift"], function(w) {
        var D = ha[w], I = /^(?:push|sort|unshift)$/.test(w) ? "tap" : "thru", B = /^(?:pop|shift)$/.test(w);
        j.prototype[w] = function() {
          var z = arguments;
          if (B && !this.__chain__) {
            var K = this.value();
            return D.apply(je(K) ? K : [], z);
          }
          return this[I](function(J) {
            return D.apply(je(J) ? J : [], z);
          });
        };
      }), er(at.prototype, function(w, D) {
        var I = j[D];
        if (I) {
          var B = I.name + "";
          ut.call(Rr, B) || (Rr[B] = []), Rr[B].push({ name: D, func: I });
        }
      }), Rr[ka(o, T).name] = [{
        name: "wrapper",
        func: o
      }], at.prototype.clone = Tu, at.prototype.reverse = Eu, at.prototype.value = xu, j.prototype.at = rf, j.prototype.chain = af, j.prototype.commit = nf, j.prototype.next = of, j.prototype.plant = lf, j.prototype.reverse = uf, j.prototype.toJSON = j.prototype.valueOf = j.prototype.value = cf, j.prototype.first = j.prototype.head, Yr && (j.prototype[Yr] = sf), j;
    }, kr = au();
    Cr ? ((Cr.exports = kr)._ = kr, nn._ = kr) : Tt._ = kr;
  }).call(commonjsGlobal);
})(lodash$1, lodash$1.exports);
var lodashExports = lodash$1.exports;
const Setting = {
  /**
   * 基础配置
   * */
  // 基本信息
  info: {},
  // 项目的 ID
  appID: "app",
  // 根目录
  //rootPath: basePath == '' || basePath == null ? '/static/' : '/' + basePath + '/static/',
  // 网页标题的后缀，不需要设置为 false 或空
  titleSuffix: "Admin Plus",
  // 路由模式，可选值为 history 或 hash
  routerMode: "history",
  // 页面切换时，是否显示模拟的进度条
  showProgressBar: !0,
  // Cookies 默认保存时间，单位：天
  cookiesExpires: 1,
  /**
   * 多语言配置
   * */
  i18n: {
    // 默认语言
    default: "zh-CN",
    // 是否根据用户电脑配置自动设置语言（仅第一次有效）
    auto: !1,
    // 切换语言时是否刷新页面
    refresh: !1
  },
  /**
   * 打印控件
   * */
  lodop: {
    // 名称
    name: "南京摩赫信息技术有限公司",
    // key
    key: "58C4DF8932E17DEBE409D1E7F683CAFE"
  },
  /**
   * 布局配置
   * */
  // 侧边菜单宽度，单位 px，不可动态修改，需与 setting.less 的 @menuSideWidth 保持一致
  menuSideWidth: 256,
  // 顶栏高度，单位 px，不可动态修改，需与 setting.less 的 @headerHeight 保持一致
  headerHeight: 64,
  // 侧边菜单折起时的宽度，单位 px，不可动态修改，需与 setting.less 的 @menuSideCollapseWidth 保持一致
  menuSideCollapseWidth: 80,
  layout: {
    // 侧边栏风格，可选值为 dark 或 light
    siderTheme: "dark",
    // 顶栏风格，可选值为 light、dark 或 primary
    headerTheme: "light",
    // 顶栏是否置顶，开启后会覆盖侧边栏，需开启 headerFix
    headerStick: !1,
    // 是否开启多 Tabs 页签
    tabs: !1,
    // 多 Tabs 页签是否显示图标，开启 tabs 时有效
    showTabsIcon: !0,
    // 是否固定多 Tabs 多页签
    tabsFix: !0,
    // 再次点击 Tabs 页签时，是否重载当前页面
    tabsReload: !1,
    // 页签是否支持拖拽排序
    tabsOrder: !0,
    // 是否固定侧边栏
    siderFix: !0,
    // 是否固定顶栏
    headerFix: !0,
    // 是否在下滑时隐藏顶栏，需开启 headerFix，如果开启了 tabsFix，Tabs 也会被隐藏
    headerHide: !0,
    // 是否显示顶部菜单栏
    // 一般来说，侧边的菜单栏足以满足大部分业务，如需动态切换侧边栏，可开启此选项启用顶部一级菜单，此时侧边栏将作为二级菜单
    headerMenu: !1,
    // 侧边菜单栏是否开启手风琴模式
    menuAccordion: !0,
    // 是否显示折叠侧边栏按钮，移动端下会自动强制开启
    showSiderCollapse: !0,
    // 侧边菜单栏是否默认折起
    menuCollapse: !1,
    // 再次点击当前侧边菜单时，是否重载当前页面
    menuSiderReload: !1,
    // 再次点击当前顶部菜单时，是否重载当前页面
    menuHeaderReload: !1,
    // 菜单筛选
    menuFilter: !1,
    // 侧边菜单折起时，是否在子菜单前显示父级菜单名称
    showCollapseMenuTitle: !1,
    // 是否显示重载按钮
    showReload: !1,
    // 是否显示搜索
    showSearch: !1,
    // 是否显示通知
    showNotice: !1,
    // 是否显示全屏
    showFullscreen: !0,
    // 在手机访问时，是否在顶部显示小尺寸 logo
    showMobileLogo: !0,
    // 是否显示全局面包屑，开启 headerMenu 时不可用
    showBreadcrumb: !0,
    // 全局面包屑是否显示图标，开启 showBreadcrumb 时有效
    showBreadcrumbIcon: !1,
    // 是否显示日志入口，开启与否，不影响日志记录，如不希望用户看到可关闭
    showLog: !1,
    // 是否显示多语言
    showI18n: !1,
    // 是否支持动态修改布局配置，移动端下会自动强制关闭
    enableSetting: !1,
    // 退出登录时，是否二次确认
    logoutConfirm: !0,
    // 是否根据操作系统缩放比例，自动调整比例
    autoFixRatio: !0,
    // 是否允许点击遮罩层关闭
    maskClosable: !0,
    // 是否允许拖动
    draggable: !0,
    // 提示框样式(SweetAlert/Message/Notice)
    alertStyle: "SweetAlert",
    // 筛选标题栏宽度
    filterWidth: 125,
    // 每页默认数量
    pageSize: 10
  },
  /**
   * 多页 Tabs
   * */
  page: {
    // 默认打开的页签
    opened: [],
    // 登录时是否加载上次打开的页签
    loadOpenedTabs: !0
  },
  // /**
  //  * 徽标配置
  //  * */
  // badge: {
  //   // 侧边菜单徽标
  //   siderMenuBadge: [
  //     {
  //       path: '/dashboard/monitor',
  //       count: 1
  //     },
  //     {
  //       path: '/system',
  //       text: 'New',
  //       type: 'warning'
  //     },
  //     {
  //       path: '/list',
  //       color: 'cyan'
  //     },
  //     {
  //       path: '/list/table-list',
  //       color: 'cyan'
  //     }
  //   ],
  //   // 顶栏菜单徽标
  //   headerMenuBadge: []
  // },
  /**
   * 水印配置
   * */
  waterMark: {
    // 是否显示
    show: !1,
    // 初始显示文案，可以通过 vuex 随时更新
    text: "MOOHO",
    // 水印配置
    options: {}
  },
  /**
   * 功能配置
   * */
  // 相同路由，不同参数间进行切换，是否强力更新
  sameRouteForceUpdate: !1,
  // 富文本编辑器
  editorUrl: "https://cdn-source.ckeditor.com/4.21.0/full-all/ckeditor.js"
};
let localSetting = window.setting;
localSetting && (lodashExports.defaultsDeep(localSetting, Setting), lodashExports.assign(Setting, localSetting));
const cookies$1 = {};
cookies$1.set = function(r = "default", a = "", o = {}) {
  let s = {};
  Setting.cookiesExpires !== 0 && (s.expires = Setting.cookiesExpires), Object.assign(s, o), api.set(`admin-plus-${Setting.appID}-${r}`, a, s);
};
cookies$1.get = function(r = "default") {
  return api.get(`admin-plus-${Setting.appID}-${r}`);
};
cookies$1.getAll = function() {
  return api.get();
};
cookies$1.remove = function(r = "default") {
  return api.remove(`admin-plus-${Setting.appID}-${r}`);
};
var isPromise$5 = { exports: {} };
isPromise$5.exports = isPromise$4;
isPromise$5.exports.default = isPromise$4;
function isPromise$4(r) {
  return !!r && (typeof r == "object" || typeof r == "function") && typeof r.then == "function";
}
var isPromiseExports = isPromise$5.exports, lodash = lodashExports, isPromise$3 = isPromiseExports, main = function(r) {
  if (typeof r != "object")
    throw new Error("An adapter must be provided, see https://github.com/typicode/lowdb/#usage");
  var a = lodash.runInContext(), o = a.chain({});
  a.prototype.write = a.wrap(a.prototype.value, function(l) {
    var u = l.apply(this);
    return o.write(u);
  });
  function s(l) {
    return o.__wrapped__ = l, o;
  }
  return o._ = a, o.read = function() {
    var l = r.read();
    return isPromise$3(l) ? l.then(s) : s(l);
  }, o.write = function(l) {
    var u = r.write(o.getState());
    return isPromise$3(u) ? u.then(function() {
      return l;
    }) : l;
  }, o.getState = function() {
    return o.__wrapped__;
  }, o.setState = function(l) {
    return s(l);
  }, o.read();
};
const low = /* @__PURE__ */ getDefaultExportFromCjs(main);
var _stringify = function(a) {
  return JSON.stringify(a, null, 2);
};
function _classCallCheck$1(r, a) {
  if (!(r instanceof a))
    throw new TypeError("Cannot call a class as a function");
}
var stringify$1 = _stringify, Base$1 = function r(a) {
  var o = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, s = o.defaultValue, l = s === void 0 ? {} : s, u = o.serialize, c = u === void 0 ? stringify$1 : u, d = o.deserialize, f = d === void 0 ? JSON.parse : d;
  _classCallCheck$1(this, r), this.source = a, this.defaultValue = l, this.serialize = c, this.deserialize = f;
}, Base_1 = Base$1, _createClass = /* @__PURE__ */ function() {
  function r(a, o) {
    for (var s = 0; s < o.length; s++) {
      var l = o[s];
      l.enumerable = l.enumerable || !1, l.configurable = !0, "value" in l && (l.writable = !0), Object.defineProperty(a, l.key, l);
    }
  }
  return function(a, o, s) {
    return o && r(a.prototype, o), s && r(a, s), a;
  };
}();
function _classCallCheck(r, a) {
  if (!(r instanceof a))
    throw new TypeError("Cannot call a class as a function");
}
function _possibleConstructorReturn(r, a) {
  if (!r)
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  return a && (typeof a == "object" || typeof a == "function") ? a : r;
}
function _inherits(r, a) {
  if (typeof a != "function" && a !== null)
    throw new TypeError("Super expression must either be null or a function, not " + typeof a);
  r.prototype = Object.create(a.prototype, { constructor: { value: r, enumerable: !1, writable: !0, configurable: !0 } }), Object.setPrototypeOf ? Object.setPrototypeOf(r, a) : r.__proto__ = a;
}
var Base = Base_1, LocalStorage = function(r) {
  _inherits(a, r);
  function a() {
    return _classCallCheck(this, a), _possibleConstructorReturn(this, (a.__proto__ || Object.getPrototypeOf(a)).apply(this, arguments));
  }
  return _createClass(a, [{
    key: "read",
    value: function() {
      var s = localStorage.getItem(this.source);
      return s ? this.deserialize(s) : (localStorage.setItem(this.source, this.serialize(this.defaultValue)), this.defaultValue);
    }
  }, {
    key: "write",
    value: function(s) {
      localStorage.setItem(this.source, this.serialize(s));
    }
  }]), a;
}(Base), LocalStorage_1 = LocalStorage;
const LocalStorage$1 = /* @__PURE__ */ getDefaultExportFromCjs(LocalStorage_1), adapter = new LocalStorage$1(`admin-plus-${Setting.appID}`), db$1 = low(adapter);
db$1.defaults({
  sys: {},
  database: {}
}).write();
const util$2 = {
  cookies: cookies$1,
  //log,
  db: db$1
};
/*!
  * vue-router v4.5.0
  * (c) 2024 Eduardo San Martin Morote
  * @license MIT
  */
const isBrowser = typeof document < "u";
function isRouteComponent(r) {
  return typeof r == "object" || "displayName" in r || "props" in r || "__vccOpts" in r;
}
function isESModule(r) {
  return r.__esModule || r[Symbol.toStringTag] === "Module" || // support CF with dynamic imports that do not
  // add the Module string tag
  r.default && isRouteComponent(r.default);
}
const assign$2 = Object.assign;
function applyToParams(r, a) {
  const o = {};
  for (const s in a) {
    const l = a[s];
    o[s] = isArray$5(l) ? l.map(r) : r(l);
  }
  return o;
}
const noop$2 = () => {
}, isArray$5 = Array.isArray;
function warn$4(r) {
  const a = Array.from(arguments).slice(1);
  console.warn.apply(console, ["[Vue Router warn]: " + r].concat(a));
}
const HASH_RE = /#/g, AMPERSAND_RE = /&/g, SLASH_RE = /\//g, EQUAL_RE = /=/g, IM_RE = /\?/g, PLUS_RE = /\+/g, ENC_BRACKET_OPEN_RE = /%5B/g, ENC_BRACKET_CLOSE_RE = /%5D/g, ENC_CARET_RE = /%5E/g, ENC_BACKTICK_RE = /%60/g, ENC_CURLY_OPEN_RE = /%7B/g, ENC_PIPE_RE = /%7C/g, ENC_CURLY_CLOSE_RE = /%7D/g, ENC_SPACE_RE = /%20/g;
function commonEncode(r) {
  return encodeURI("" + r).replace(ENC_PIPE_RE, "|").replace(ENC_BRACKET_OPEN_RE, "[").replace(ENC_BRACKET_CLOSE_RE, "]");
}
function encodeHash(r) {
  return commonEncode(r).replace(ENC_CURLY_OPEN_RE, "{").replace(ENC_CURLY_CLOSE_RE, "}").replace(ENC_CARET_RE, "^");
}
function encodeQueryValue(r) {
  return commonEncode(r).replace(PLUS_RE, "%2B").replace(ENC_SPACE_RE, "+").replace(HASH_RE, "%23").replace(AMPERSAND_RE, "%26").replace(ENC_BACKTICK_RE, "`").replace(ENC_CURLY_OPEN_RE, "{").replace(ENC_CURLY_CLOSE_RE, "}").replace(ENC_CARET_RE, "^");
}
function encodeQueryKey(r) {
  return encodeQueryValue(r).replace(EQUAL_RE, "%3D");
}
function encodePath(r) {
  return commonEncode(r).replace(HASH_RE, "%23").replace(IM_RE, "%3F");
}
function encodeParam(r) {
  return r == null ? "" : encodePath(r).replace(SLASH_RE, "%2F");
}
function decode$1(r) {
  try {
    return decodeURIComponent("" + r);
  } catch {
    process.env.NODE_ENV !== "production" && warn$4(`Error decoding "${r}". Using original value`);
  }
  return "" + r;
}
const TRAILING_SLASH_RE = /\/$/, removeTrailingSlash = (r) => r.replace(TRAILING_SLASH_RE, "");
function parseURL(r, a, o = "/") {
  let s, l = {}, u = "", c = "";
  const d = a.indexOf("#");
  let f = a.indexOf("?");
  return d < f && d >= 0 && (f = -1), f > -1 && (s = a.slice(0, f), u = a.slice(f + 1, d > -1 ? d : a.length), l = r(u)), d > -1 && (s = s || a.slice(0, d), c = a.slice(d, a.length)), s = resolveRelativePath(s ?? a, o), {
    fullPath: s + (u && "?") + u + c,
    path: s,
    query: l,
    hash: decode$1(c)
  };
}
function stringifyURL(r, a) {
  const o = a.query ? r(a.query) : "";
  return a.path + (o && "?") + o + (a.hash || "");
}
function stripBase(r, a) {
  return !a || !r.toLowerCase().startsWith(a.toLowerCase()) ? r : r.slice(a.length) || "/";
}
function isSameRouteLocation(r, a, o) {
  const s = a.matched.length - 1, l = o.matched.length - 1;
  return s > -1 && s === l && isSameRouteRecord(a.matched[s], o.matched[l]) && isSameRouteLocationParams(a.params, o.params) && r(a.query) === r(o.query) && a.hash === o.hash;
}
function isSameRouteRecord(r, a) {
  return (r.aliasOf || r) === (a.aliasOf || a);
}
function isSameRouteLocationParams(r, a) {
  if (Object.keys(r).length !== Object.keys(a).length)
    return !1;
  for (const o in r)
    if (!isSameRouteLocationParamsValue(r[o], a[o]))
      return !1;
  return !0;
}
function isSameRouteLocationParamsValue(r, a) {
  return isArray$5(r) ? isEquivalentArray(r, a) : isArray$5(a) ? isEquivalentArray(a, r) : r === a;
}
function isEquivalentArray(r, a) {
  return isArray$5(a) ? r.length === a.length && r.every((o, s) => o === a[s]) : r.length === 1 && r[0] === a;
}
function resolveRelativePath(r, a) {
  if (r.startsWith("/"))
    return r;
  if (process.env.NODE_ENV !== "production" && !a.startsWith("/"))
    return warn$4(`Cannot resolve a relative location without an absolute path. Trying to resolve "${r}" from "${a}". It should look like "/${a}".`), r;
  if (!r)
    return a;
  const o = a.split("/"), s = r.split("/"), l = s[s.length - 1];
  (l === ".." || l === ".") && s.push("");
  let u = o.length - 1, c, d;
  for (c = 0; c < s.length; c++)
    if (d = s[c], d !== ".")
      if (d === "..")
        u > 1 && u--;
      else
        break;
  return o.slice(0, u).join("/") + "/" + s.slice(c).join("/");
}
const START_LOCATION_NORMALIZED = {
  path: "/",
  // TODO: could we use a symbol in the future?
  name: void 0,
  params: {},
  query: {},
  hash: "",
  fullPath: "/",
  matched: [],
  meta: {},
  redirectedFrom: void 0
};
var NavigationType;
(function(r) {
  r.pop = "pop", r.push = "push";
})(NavigationType || (NavigationType = {}));
var NavigationDirection;
(function(r) {
  r.back = "back", r.forward = "forward", r.unknown = "";
})(NavigationDirection || (NavigationDirection = {}));
const START = "";
function normalizeBase(r) {
  if (!r)
    if (isBrowser) {
      const a = document.querySelector("base");
      r = a && a.getAttribute("href") || "/", r = r.replace(/^\w+:\/\/[^\/]+/, "");
    } else
      r = "/";
  return r[0] !== "/" && r[0] !== "#" && (r = "/" + r), removeTrailingSlash(r);
}
const BEFORE_HASH_RE = /^[^#]+#/;
function createHref(r, a) {
  return r.replace(BEFORE_HASH_RE, "#") + a;
}
function getElementPosition(r, a) {
  const o = document.documentElement.getBoundingClientRect(), s = r.getBoundingClientRect();
  return {
    behavior: a.behavior,
    left: s.left - o.left - (a.left || 0),
    top: s.top - o.top - (a.top || 0)
  };
}
const computeScrollPosition = () => ({
  left: window.scrollX,
  top: window.scrollY
});
function scrollToPosition(r) {
  let a;
  if ("el" in r) {
    const o = r.el, s = typeof o == "string" && o.startsWith("#");
    if (process.env.NODE_ENV !== "production" && typeof r.el == "string" && (!s || !document.getElementById(r.el.slice(1))))
      try {
        const u = document.querySelector(r.el);
        if (s && u) {
          warn$4(`The selector "${r.el}" should be passed as "el: document.querySelector('${r.el}')" because it starts with "#".`);
          return;
        }
      } catch {
        warn$4(`The selector "${r.el}" is invalid. If you are using an id selector, make sure to escape it. You can find more information about escaping characters in selectors at https://mathiasbynens.be/notes/css-escapes or use CSS.escape (https://developer.mozilla.org/en-US/docs/Web/API/CSS/escape).`);
        return;
      }
    const l = typeof o == "string" ? s ? document.getElementById(o.slice(1)) : document.querySelector(o) : o;
    if (!l) {
      process.env.NODE_ENV !== "production" && warn$4(`Couldn't find element using selector "${r.el}" returned by scrollBehavior.`);
      return;
    }
    a = getElementPosition(l, r);
  } else
    a = r;
  "scrollBehavior" in document.documentElement.style ? window.scrollTo(a) : window.scrollTo(a.left != null ? a.left : window.scrollX, a.top != null ? a.top : window.scrollY);
}
function getScrollKey(r, a) {
  return (history.state ? history.state.position - a : -1) + r;
}
const scrollPositions = /* @__PURE__ */ new Map();
function saveScrollPosition(r, a) {
  scrollPositions.set(r, a);
}
function getSavedScrollPosition(r) {
  const a = scrollPositions.get(r);
  return scrollPositions.delete(r), a;
}
let createBaseLocation = () => location.protocol + "//" + location.host;
function createCurrentLocation(r, a) {
  const { pathname: o, search: s, hash: l } = a, u = r.indexOf("#");
  if (u > -1) {
    let d = l.includes(r.slice(u)) ? r.slice(u).length : 1, f = l.slice(d);
    return f[0] !== "/" && (f = "/" + f), stripBase(f, "");
  }
  return stripBase(o, r) + s + l;
}
function useHistoryListeners(r, a, o, s) {
  let l = [], u = [], c = null;
  const d = ({ state: y }) => {
    const _ = createCurrentLocation(r, location), S = o.value, C = a.value;
    let b = 0;
    if (y) {
      if (o.value = _, a.value = y, c && c === S) {
        c = null;
        return;
      }
      b = C ? y.position - C.position : 0;
    } else
      s(_);
    l.forEach((T) => {
      T(o.value, S, {
        delta: b,
        type: NavigationType.pop,
        direction: b ? b > 0 ? NavigationDirection.forward : NavigationDirection.back : NavigationDirection.unknown
      });
    });
  };
  function f() {
    c = o.value;
  }
  function p(y) {
    l.push(y);
    const _ = () => {
      const S = l.indexOf(y);
      S > -1 && l.splice(S, 1);
    };
    return u.push(_), _;
  }
  function v() {
    const { history: y } = window;
    y.state && y.replaceState(assign$2({}, y.state, { scroll: computeScrollPosition() }), "");
  }
  function g() {
    for (const y of u)
      y();
    u = [], window.removeEventListener("popstate", d), window.removeEventListener("beforeunload", v);
  }
  return window.addEventListener("popstate", d), window.addEventListener("beforeunload", v, {
    passive: !0
  }), {
    pauseListeners: f,
    listen: p,
    destroy: g
  };
}
function buildState(r, a, o, s = !1, l = !1) {
  return {
    back: r,
    current: a,
    forward: o,
    replaced: s,
    position: window.history.length,
    scroll: l ? computeScrollPosition() : null
  };
}
function useHistoryStateNavigation(r) {
  const { history: a, location: o } = window, s = {
    value: createCurrentLocation(r, o)
  }, l = { value: a.state };
  l.value || u(s.value, {
    back: null,
    current: s.value,
    forward: null,
    // the length is off by one, we need to decrease it
    position: a.length - 1,
    replaced: !0,
    // don't add a scroll as the user may have an anchor, and we want
    // scrollBehavior to be triggered without a saved position
    scroll: null
  }, !0);
  function u(f, p, v) {
    const g = r.indexOf("#"), y = g > -1 ? (o.host && document.querySelector("base") ? r : r.slice(g)) + f : createBaseLocation() + r + f;
    try {
      a[v ? "replaceState" : "pushState"](p, "", y), l.value = p;
    } catch (_) {
      process.env.NODE_ENV !== "production" ? warn$4("Error with push/replace State", _) : console.error(_), o[v ? "replace" : "assign"](y);
    }
  }
  function c(f, p) {
    const v = assign$2({}, a.state, buildState(
      l.value.back,
      // keep back and forward entries but override current position
      f,
      l.value.forward,
      !0
    ), p, { position: l.value.position });
    u(f, v, !0), s.value = f;
  }
  function d(f, p) {
    const v = assign$2(
      {},
      // use current history state to gracefully handle a wrong call to
      // history.replaceState
      // https://github.com/vuejs/router/issues/366
      l.value,
      a.state,
      {
        forward: f,
        scroll: computeScrollPosition()
      }
    );
    process.env.NODE_ENV !== "production" && !a.state && warn$4(`history.state seems to have been manually replaced without preserving the necessary values. Make sure to preserve existing history state if you are manually calling history.replaceState:

history.replaceState(history.state, '', url)

You can find more information at https://router.vuejs.org/guide/migration/#Usage-of-history-state`), u(v.current, v, !0);
    const g = assign$2({}, buildState(s.value, f, null), { position: v.position + 1 }, p);
    u(f, g, !1), s.value = f;
  }
  return {
    location: s,
    state: l,
    push: d,
    replace: c
  };
}
function createWebHistory(r) {
  r = normalizeBase(r);
  const a = useHistoryStateNavigation(r), o = useHistoryListeners(r, a.state, a.location, a.replace);
  function s(u, c = !0) {
    c || o.pauseListeners(), history.go(u);
  }
  const l = assign$2({
    // it's overridden right after
    location: "",
    base: r,
    go: s,
    createHref: createHref.bind(null, r)
  }, a, o);
  return Object.defineProperty(l, "location", {
    enumerable: !0,
    get: () => a.location.value
  }), Object.defineProperty(l, "state", {
    enumerable: !0,
    get: () => a.state.value
  }), l;
}
function createMemoryHistory(r = "") {
  let a = [], o = [START], s = 0;
  r = normalizeBase(r);
  function l(d) {
    s++, s !== o.length && o.splice(s), o.push(d);
  }
  function u(d, f, { direction: p, delta: v }) {
    const g = {
      direction: p,
      delta: v,
      type: NavigationType.pop
    };
    for (const y of a)
      y(d, f, g);
  }
  const c = {
    // rewritten by Object.defineProperty
    location: START,
    // TODO: should be kept in queue
    state: {},
    base: r,
    createHref: createHref.bind(null, r),
    replace(d) {
      o.splice(s--, 1), l(d);
    },
    push(d, f) {
      l(d);
    },
    listen(d) {
      return a.push(d), () => {
        const f = a.indexOf(d);
        f > -1 && a.splice(f, 1);
      };
    },
    destroy() {
      a = [], o = [START], s = 0;
    },
    go(d, f = !0) {
      const p = this.location, v = (
        // we are considering delta === 0 going forward, but in abstract mode
        // using 0 for the delta doesn't make sense like it does in html5 where
        // it reloads the page
        d < 0 ? NavigationDirection.back : NavigationDirection.forward
      );
      s = Math.max(0, Math.min(s + d, o.length - 1)), f && u(this.location, p, {
        direction: v,
        delta: d
      });
    }
  };
  return Object.defineProperty(c, "location", {
    enumerable: !0,
    get: () => o[s]
  }), c;
}
function createWebHashHistory(r) {
  return r = location.host ? r || location.pathname + location.search : "", r.includes("#") || (r += "#"), process.env.NODE_ENV !== "production" && !r.endsWith("#/") && !r.endsWith("#") && warn$4(`A hash base must end with a "#":
"${r}" should be "${r.replace(/#.*$/, "#")}".`), createWebHistory(r);
}
function isRouteLocation(r) {
  return typeof r == "string" || r && typeof r == "object";
}
function isRouteName(r) {
  return typeof r == "string" || typeof r == "symbol";
}
const NavigationFailureSymbol = Symbol(process.env.NODE_ENV !== "production" ? "navigation failure" : "");
var NavigationFailureType;
(function(r) {
  r[r.aborted = 4] = "aborted", r[r.cancelled = 8] = "cancelled", r[r.duplicated = 16] = "duplicated";
})(NavigationFailureType || (NavigationFailureType = {}));
const ErrorTypeMessages = {
  1({ location: r, currentLocation: a }) {
    return `No match for
 ${JSON.stringify(r)}${a ? `
while being at
` + JSON.stringify(a) : ""}`;
  },
  2({ from: r, to: a }) {
    return `Redirected from "${r.fullPath}" to "${stringifyRoute(a)}" via a navigation guard.`;
  },
  4({ from: r, to: a }) {
    return `Navigation aborted from "${r.fullPath}" to "${a.fullPath}" via a navigation guard.`;
  },
  8({ from: r, to: a }) {
    return `Navigation cancelled from "${r.fullPath}" to "${a.fullPath}" with a new navigation.`;
  },
  16({ from: r, to: a }) {
    return `Avoided redundant navigation to current location: "${r.fullPath}".`;
  }
};
function createRouterError(r, a) {
  return process.env.NODE_ENV !== "production" ? assign$2(new Error(ErrorTypeMessages[r](a)), {
    type: r,
    [NavigationFailureSymbol]: !0
  }, a) : assign$2(new Error(), {
    type: r,
    [NavigationFailureSymbol]: !0
  }, a);
}
function isNavigationFailure(r, a) {
  return r instanceof Error && NavigationFailureSymbol in r && (a == null || !!(r.type & a));
}
const propertiesToLog = ["params", "query", "hash"];
function stringifyRoute(r) {
  if (typeof r == "string")
    return r;
  if (r.path != null)
    return r.path;
  const a = {};
  for (const o of propertiesToLog)
    o in r && (a[o] = r[o]);
  return JSON.stringify(a, null, 2);
}
const BASE_PARAM_PATTERN = "[^/]+?", BASE_PATH_PARSER_OPTIONS = {
  sensitive: !1,
  strict: !1,
  start: !0,
  end: !0
}, REGEX_CHARS_RE = /[.+*?^${}()[\]/\\]/g;
function tokensToParser(r, a) {
  const o = assign$2({}, BASE_PATH_PARSER_OPTIONS, a), s = [];
  let l = o.start ? "^" : "";
  const u = [];
  for (const p of r) {
    const v = p.length ? [] : [
      90
      /* PathScore.Root */
    ];
    o.strict && !p.length && (l += "/");
    for (let g = 0; g < p.length; g++) {
      const y = p[g];
      let _ = 40 + (o.sensitive ? 0.25 : 0);
      if (y.type === 0)
        g || (l += "/"), l += y.value.replace(REGEX_CHARS_RE, "\\$&"), _ += 40;
      else if (y.type === 1) {
        const { value: S, repeatable: C, optional: b, regexp: T } = y;
        u.push({
          name: S,
          repeatable: C,
          optional: b
        });
        const E = T || BASE_PARAM_PATTERN;
        if (E !== BASE_PARAM_PATTERN) {
          _ += 10;
          try {
            new RegExp(`(${E})`);
          } catch ($) {
            throw new Error(`Invalid custom RegExp for param "${S}" (${E}): ` + $.message);
          }
        }
        let x = C ? `((?:${E})(?:/(?:${E}))*)` : `(${E})`;
        g || (x = // avoid an optional / if there are more segments e.g. /:p?-static
        // or /:p?-:p2
        b && p.length < 2 ? `(?:/${x})` : "/" + x), b && (x += "?"), l += x, _ += 20, b && (_ += -8), C && (_ += -20), E === ".*" && (_ += -50);
      }
      v.push(_);
    }
    s.push(v);
  }
  if (o.strict && o.end) {
    const p = s.length - 1;
    s[p][s[p].length - 1] += 0.7000000000000001;
  }
  o.strict || (l += "/?"), o.end ? l += "$" : o.strict && !l.endsWith("/") && (l += "(?:/|$)");
  const c = new RegExp(l, o.sensitive ? "" : "i");
  function d(p) {
    const v = p.match(c), g = {};
    if (!v)
      return null;
    for (let y = 1; y < v.length; y++) {
      const _ = v[y] || "", S = u[y - 1];
      g[S.name] = _ && S.repeatable ? _.split("/") : _;
    }
    return g;
  }
  function f(p) {
    let v = "", g = !1;
    for (const y of r) {
      (!g || !v.endsWith("/")) && (v += "/"), g = !1;
      for (const _ of y)
        if (_.type === 0)
          v += _.value;
        else if (_.type === 1) {
          const { value: S, repeatable: C, optional: b } = _, T = S in p ? p[S] : "";
          if (isArray$5(T) && !C)
            throw new Error(`Provided param "${S}" is an array but it is not repeatable (* or + modifiers)`);
          const E = isArray$5(T) ? T.join("/") : T;
          if (!E)
            if (b)
              y.length < 2 && (v.endsWith("/") ? v = v.slice(0, -1) : g = !0);
            else
              throw new Error(`Missing required param "${S}"`);
          v += E;
        }
    }
    return v || "/";
  }
  return {
    re: c,
    score: s,
    keys: u,
    parse: d,
    stringify: f
  };
}
function compareScoreArray(r, a) {
  let o = 0;
  for (; o < r.length && o < a.length; ) {
    const s = a[o] - r[o];
    if (s)
      return s;
    o++;
  }
  return r.length < a.length ? r.length === 1 && r[0] === 80 ? -1 : 1 : r.length > a.length ? a.length === 1 && a[0] === 80 ? 1 : -1 : 0;
}
function comparePathParserScore(r, a) {
  let o = 0;
  const s = r.score, l = a.score;
  for (; o < s.length && o < l.length; ) {
    const u = compareScoreArray(s[o], l[o]);
    if (u)
      return u;
    o++;
  }
  if (Math.abs(l.length - s.length) === 1) {
    if (isLastScoreNegative(s))
      return 1;
    if (isLastScoreNegative(l))
      return -1;
  }
  return l.length - s.length;
}
function isLastScoreNegative(r) {
  const a = r[r.length - 1];
  return r.length > 0 && a[a.length - 1] < 0;
}
const ROOT_TOKEN = {
  type: 0,
  value: ""
}, VALID_PARAM_RE = /[a-zA-Z0-9_]/;
function tokenizePath(r) {
  if (!r)
    return [[]];
  if (r === "/")
    return [[ROOT_TOKEN]];
  if (!r.startsWith("/"))
    throw new Error(process.env.NODE_ENV !== "production" ? `Route paths should start with a "/": "${r}" should be "/${r}".` : `Invalid path "${r}"`);
  function a(_) {
    throw new Error(`ERR (${o})/"${p}": ${_}`);
  }
  let o = 0, s = o;
  const l = [];
  let u;
  function c() {
    u && l.push(u), u = [];
  }
  let d = 0, f, p = "", v = "";
  function g() {
    p && (o === 0 ? u.push({
      type: 0,
      value: p
    }) : o === 1 || o === 2 || o === 3 ? (u.length > 1 && (f === "*" || f === "+") && a(`A repeatable param (${p}) must be alone in its segment. eg: '/:ids+.`), u.push({
      type: 1,
      value: p,
      regexp: v,
      repeatable: f === "*" || f === "+",
      optional: f === "*" || f === "?"
    })) : a("Invalid state to consume buffer"), p = "");
  }
  function y() {
    p += f;
  }
  for (; d < r.length; ) {
    if (f = r[d++], f === "\\" && o !== 2) {
      s = o, o = 4;
      continue;
    }
    switch (o) {
      case 0:
        f === "/" ? (p && g(), c()) : f === ":" ? (g(), o = 1) : y();
        break;
      case 4:
        y(), o = s;
        break;
      case 1:
        f === "(" ? o = 2 : VALID_PARAM_RE.test(f) ? y() : (g(), o = 0, f !== "*" && f !== "?" && f !== "+" && d--);
        break;
      case 2:
        f === ")" ? v[v.length - 1] == "\\" ? v = v.slice(0, -1) + f : o = 3 : v += f;
        break;
      case 3:
        g(), o = 0, f !== "*" && f !== "?" && f !== "+" && d--, v = "";
        break;
      default:
        a("Unknown state");
        break;
    }
  }
  return o === 2 && a(`Unfinished custom RegExp for param "${p}"`), g(), c(), l;
}
function createRouteRecordMatcher(r, a, o) {
  const s = tokensToParser(tokenizePath(r.path), o);
  if (process.env.NODE_ENV !== "production") {
    const u = /* @__PURE__ */ new Set();
    for (const c of s.keys)
      u.has(c.name) && warn$4(`Found duplicated params with name "${c.name}" for path "${r.path}". Only the last one will be available on "$route.params".`), u.add(c.name);
  }
  const l = assign$2(s, {
    record: r,
    parent: a,
    // these needs to be populated by the parent
    children: [],
    alias: []
  });
  return a && !l.record.aliasOf == !a.record.aliasOf && a.children.push(l), l;
}
function createRouterMatcher(r, a) {
  const o = [], s = /* @__PURE__ */ new Map();
  a = mergeOptions({ strict: !1, end: !0, sensitive: !1 }, a);
  function l(g) {
    return s.get(g);
  }
  function u(g, y, _) {
    const S = !_, C = normalizeRouteRecord(g);
    process.env.NODE_ENV !== "production" && checkChildMissingNameWithEmptyPath(C, y), C.aliasOf = _ && _.record;
    const b = mergeOptions(a, g), T = [C];
    if ("alias" in g) {
      const $ = typeof g.alias == "string" ? [g.alias] : g.alias;
      for (const A of $)
        T.push(
          // we need to normalize again to ensure the `mods` property
          // being non enumerable
          normalizeRouteRecord(assign$2({}, C, {
            // this allows us to hold a copy of the `components` option
            // so that async components cache is hold on the original record
            components: _ ? _.record.components : C.components,
            path: A,
            // we might be the child of an alias
            aliasOf: _ ? _.record : C
            // the aliases are always of the same kind as the original since they
            // are defined on the same record
          }))
        );
    }
    let E, x;
    for (const $ of T) {
      const { path: A } = $;
      if (y && A[0] !== "/") {
        const N = y.record.path, P = N[N.length - 1] === "/" ? "" : "/";
        $.path = y.record.path + (A && P + A);
      }
      if (process.env.NODE_ENV !== "production" && $.path === "*")
        throw new Error(`Catch all routes ("*") must now be defined using a param with a custom regexp.
See more at https://router.vuejs.org/guide/migration/#Removed-star-or-catch-all-routes.`);
      if (E = createRouteRecordMatcher($, y, b), process.env.NODE_ENV !== "production" && y && A[0] === "/" && checkMissingParamsInAbsolutePath(E, y), _ ? (_.alias.push(E), process.env.NODE_ENV !== "production" && checkSameParams(_, E)) : (x = x || E, x !== E && x.alias.push(E), S && g.name && !isAliasRecord(E) && (process.env.NODE_ENV !== "production" && checkSameNameAsAncestor(g, y), c(g.name))), isMatchable(E) && f(E), C.children) {
        const N = C.children;
        for (let P = 0; P < N.length; P++)
          u(N[P], E, _ && _.children[P]);
      }
      _ = _ || E;
    }
    return x ? () => {
      c(x);
    } : noop$2;
  }
  function c(g) {
    if (isRouteName(g)) {
      const y = s.get(g);
      y && (s.delete(g), o.splice(o.indexOf(y), 1), y.children.forEach(c), y.alias.forEach(c));
    } else {
      const y = o.indexOf(g);
      y > -1 && (o.splice(y, 1), g.record.name && s.delete(g.record.name), g.children.forEach(c), g.alias.forEach(c));
    }
  }
  function d() {
    return o;
  }
  function f(g) {
    const y = findInsertionIndex(g, o);
    o.splice(y, 0, g), g.record.name && !isAliasRecord(g) && s.set(g.record.name, g);
  }
  function p(g, y) {
    let _, S = {}, C, b;
    if ("name" in g && g.name) {
      if (_ = s.get(g.name), !_)
        throw createRouterError(1, {
          location: g
        });
      if (process.env.NODE_ENV !== "production") {
        const x = Object.keys(g.params || {}).filter(($) => !_.keys.find((A) => A.name === $));
        x.length && warn$4(`Discarded invalid param(s) "${x.join('", "')}" when navigating. See https://github.com/vuejs/router/blob/main/packages/router/CHANGELOG.md#414-2022-08-22 for more details.`);
      }
      b = _.record.name, S = assign$2(
        // paramsFromLocation is a new object
        paramsFromLocation(
          y.params,
          // only keep params that exist in the resolved location
          // only keep optional params coming from a parent record
          _.keys.filter((x) => !x.optional).concat(_.parent ? _.parent.keys.filter((x) => x.optional) : []).map((x) => x.name)
        ),
        // discard any existing params in the current location that do not exist here
        // #1497 this ensures better active/exact matching
        g.params && paramsFromLocation(g.params, _.keys.map((x) => x.name))
      ), C = _.stringify(S);
    } else if (g.path != null)
      C = g.path, process.env.NODE_ENV !== "production" && !C.startsWith("/") && warn$4(`The Matcher cannot resolve relative paths but received "${C}". Unless you directly called \`matcher.resolve("${C}")\`, this is probably a bug in vue-router. Please open an issue at https://github.com/vuejs/router/issues/new/choose.`), _ = o.find((x) => x.re.test(C)), _ && (S = _.parse(C), b = _.record.name);
    else {
      if (_ = y.name ? s.get(y.name) : o.find((x) => x.re.test(y.path)), !_)
        throw createRouterError(1, {
          location: g,
          currentLocation: y
        });
      b = _.record.name, S = assign$2({}, y.params, g.params), C = _.stringify(S);
    }
    const T = [];
    let E = _;
    for (; E; )
      T.unshift(E.record), E = E.parent;
    return {
      name: b,
      path: C,
      params: S,
      matched: T,
      meta: mergeMetaFields(T)
    };
  }
  r.forEach((g) => u(g));
  function v() {
    o.length = 0, s.clear();
  }
  return {
    addRoute: u,
    resolve: p,
    removeRoute: c,
    clearRoutes: v,
    getRoutes: d,
    getRecordMatcher: l
  };
}
function paramsFromLocation(r, a) {
  const o = {};
  for (const s of a)
    s in r && (o[s] = r[s]);
  return o;
}
function normalizeRouteRecord(r) {
  const a = {
    path: r.path,
    redirect: r.redirect,
    name: r.name,
    meta: r.meta || {},
    aliasOf: r.aliasOf,
    beforeEnter: r.beforeEnter,
    props: normalizeRecordProps(r),
    children: r.children || [],
    instances: {},
    leaveGuards: /* @__PURE__ */ new Set(),
    updateGuards: /* @__PURE__ */ new Set(),
    enterCallbacks: {},
    // must be declared afterwards
    // mods: {},
    components: "components" in r ? r.components || null : r.component && { default: r.component }
  };
  return Object.defineProperty(a, "mods", {
    value: {}
  }), a;
}
function normalizeRecordProps(r) {
  const a = {}, o = r.props || !1;
  if ("component" in r)
    a.default = o;
  else
    for (const s in r.components)
      a[s] = typeof o == "object" ? o[s] : o;
  return a;
}
function isAliasRecord(r) {
  for (; r; ) {
    if (r.record.aliasOf)
      return !0;
    r = r.parent;
  }
  return !1;
}
function mergeMetaFields(r) {
  return r.reduce((a, o) => assign$2(a, o.meta), {});
}
function mergeOptions(r, a) {
  const o = {};
  for (const s in r)
    o[s] = s in a ? a[s] : r[s];
  return o;
}
function isSameParam(r, a) {
  return r.name === a.name && r.optional === a.optional && r.repeatable === a.repeatable;
}
function checkSameParams(r, a) {
  for (const o of r.keys)
    if (!o.optional && !a.keys.find(isSameParam.bind(null, o)))
      return warn$4(`Alias "${a.record.path}" and the original record: "${r.record.path}" must have the exact same param named "${o.name}"`);
  for (const o of a.keys)
    if (!o.optional && !r.keys.find(isSameParam.bind(null, o)))
      return warn$4(`Alias "${a.record.path}" and the original record: "${r.record.path}" must have the exact same param named "${o.name}"`);
}
function checkChildMissingNameWithEmptyPath(r, a) {
  a && a.record.name && !r.name && !r.path && warn$4(`The route named "${String(a.record.name)}" has a child without a name and an empty path. Using that name won't render the empty path child so you probably want to move the name to the child instead. If this is intentional, add a name to the child route to remove the warning.`);
}
function checkSameNameAsAncestor(r, a) {
  for (let o = a; o; o = o.parent)
    if (o.record.name === r.name)
      throw new Error(`A route named "${String(r.name)}" has been added as a ${a === o ? "child" : "descendant"} of a route with the same name. Route names must be unique and a nested route cannot use the same name as an ancestor.`);
}
function checkMissingParamsInAbsolutePath(r, a) {
  for (const o of a.keys)
    if (!r.keys.find(isSameParam.bind(null, o)))
      return warn$4(`Absolute path "${r.record.path}" must have the exact same param named "${o.name}" as its parent "${a.record.path}".`);
}
function findInsertionIndex(r, a) {
  let o = 0, s = a.length;
  for (; o !== s; ) {
    const u = o + s >> 1;
    comparePathParserScore(r, a[u]) < 0 ? s = u : o = u + 1;
  }
  const l = getInsertionAncestor(r);
  return l && (s = a.lastIndexOf(l, s - 1), process.env.NODE_ENV !== "production" && s < 0 && warn$4(`Finding ancestor route "${l.record.path}" failed for "${r.record.path}"`)), s;
}
function getInsertionAncestor(r) {
  let a = r;
  for (; a = a.parent; )
    if (isMatchable(a) && comparePathParserScore(r, a) === 0)
      return a;
}
function isMatchable({ record: r }) {
  return !!(r.name || r.components && Object.keys(r.components).length || r.redirect);
}
function parseQuery(r) {
  const a = {};
  if (r === "" || r === "?")
    return a;
  const s = (r[0] === "?" ? r.slice(1) : r).split("&");
  for (let l = 0; l < s.length; ++l) {
    const u = s[l].replace(PLUS_RE, " "), c = u.indexOf("="), d = decode$1(c < 0 ? u : u.slice(0, c)), f = c < 0 ? null : decode$1(u.slice(c + 1));
    if (d in a) {
      let p = a[d];
      isArray$5(p) || (p = a[d] = [p]), p.push(f);
    } else
      a[d] = f;
  }
  return a;
}
function stringifyQuery(r) {
  let a = "";
  for (let o in r) {
    const s = r[o];
    if (o = encodeQueryKey(o), s == null) {
      s !== void 0 && (a += (a.length ? "&" : "") + o);
      continue;
    }
    (isArray$5(s) ? s.map((u) => u && encodeQueryValue(u)) : [s && encodeQueryValue(s)]).forEach((u) => {
      u !== void 0 && (a += (a.length ? "&" : "") + o, u != null && (a += "=" + u));
    });
  }
  return a;
}
function normalizeQuery(r) {
  const a = {};
  for (const o in r) {
    const s = r[o];
    s !== void 0 && (a[o] = isArray$5(s) ? s.map((l) => l == null ? null : "" + l) : s == null ? s : "" + s);
  }
  return a;
}
const matchedRouteKey = Symbol(process.env.NODE_ENV !== "production" ? "router view location matched" : ""), viewDepthKey = Symbol(process.env.NODE_ENV !== "production" ? "router view depth" : ""), routerKey = Symbol(process.env.NODE_ENV !== "production" ? "router" : ""), routeLocationKey = Symbol(process.env.NODE_ENV !== "production" ? "route location" : ""), routerViewLocationKey = Symbol(process.env.NODE_ENV !== "production" ? "router view location" : "");
function useCallbacks() {
  let r = [];
  function a(s) {
    return r.push(s), () => {
      const l = r.indexOf(s);
      l > -1 && r.splice(l, 1);
    };
  }
  function o() {
    r = [];
  }
  return {
    add: a,
    list: () => r.slice(),
    reset: o
  };
}
function guardToPromiseFn(r, a, o, s, l, u = (c) => c()) {
  const c = s && // name is defined if record is because of the function overload
  (s.enterCallbacks[l] = s.enterCallbacks[l] || []);
  return () => new Promise((d, f) => {
    const p = (y) => {
      y === !1 ? f(createRouterError(4, {
        from: o,
        to: a
      })) : y instanceof Error ? f(y) : isRouteLocation(y) ? f(createRouterError(2, {
        from: a,
        to: y
      })) : (c && // since enterCallbackArray is truthy, both record and name also are
      s.enterCallbacks[l] === c && typeof y == "function" && c.push(y), d());
    }, v = u(() => r.call(s && s.instances[l], a, o, process.env.NODE_ENV !== "production" ? canOnlyBeCalledOnce(p, a, o) : p));
    let g = Promise.resolve(v);
    if (r.length < 3 && (g = g.then(p)), process.env.NODE_ENV !== "production" && r.length > 2) {
      const y = `The "next" callback was never called inside of ${r.name ? '"' + r.name + '"' : ""}:
${r.toString()}
. If you are returning a value instead of calling "next", make sure to remove the "next" parameter from your function.`;
      if (typeof v == "object" && "then" in v)
        g = g.then((_) => p._called ? _ : (warn$4(y), Promise.reject(new Error("Invalid navigation guard"))));
      else if (v !== void 0 && !p._called) {
        warn$4(y), f(new Error("Invalid navigation guard"));
        return;
      }
    }
    g.catch((y) => f(y));
  });
}
function canOnlyBeCalledOnce(r, a, o) {
  let s = 0;
  return function() {
    s++ === 1 && warn$4(`The "next" callback was called more than once in one navigation guard when going from "${o.fullPath}" to "${a.fullPath}". It should be called exactly one time in each navigation guard. This will fail in production.`), r._called = !0, s === 1 && r.apply(null, arguments);
  };
}
function extractComponentsGuards(r, a, o, s, l = (u) => u()) {
  const u = [];
  for (const c of r) {
    process.env.NODE_ENV !== "production" && !c.components && !c.children.length && warn$4(`Record with path "${c.path}" is either missing a "component(s)" or "children" property.`);
    for (const d in c.components) {
      let f = c.components[d];
      if (process.env.NODE_ENV !== "production") {
        if (!f || typeof f != "object" && typeof f != "function")
          throw warn$4(`Component "${d}" in record with path "${c.path}" is not a valid component. Received "${String(f)}".`), new Error("Invalid route component");
        if ("then" in f) {
          warn$4(`Component "${d}" in record with path "${c.path}" is a Promise instead of a function that returns a Promise. Did you write "import('./MyPage.vue')" instead of "() => import('./MyPage.vue')" ? This will break in production if not fixed.`);
          const p = f;
          f = () => p;
        } else f.__asyncLoader && // warn only once per component
        !f.__warnedDefineAsync && (f.__warnedDefineAsync = !0, warn$4(`Component "${d}" in record with path "${c.path}" is defined using "defineAsyncComponent()". Write "() => import('./MyPage.vue')" instead of "defineAsyncComponent(() => import('./MyPage.vue'))".`));
      }
      if (!(a !== "beforeRouteEnter" && !c.instances[d]))
        if (isRouteComponent(f)) {
          const v = (f.__vccOpts || f)[a];
          v && u.push(guardToPromiseFn(v, o, s, c, d, l));
        } else {
          let p = f();
          process.env.NODE_ENV !== "production" && !("catch" in p) && (warn$4(`Component "${d}" in record with path "${c.path}" is a function that does not return a Promise. If you were passing a functional component, make sure to add a "displayName" to the component. This will break in production if not fixed.`), p = Promise.resolve(p)), u.push(() => p.then((v) => {
            if (!v)
              throw new Error(`Couldn't resolve component "${d}" at "${c.path}"`);
            const g = isESModule(v) ? v.default : v;
            c.mods[d] = v, c.components[d] = g;
            const _ = (g.__vccOpts || g)[a];
            return _ && guardToPromiseFn(_, o, s, c, d, l)();
          }));
        }
    }
  }
  return u;
}
function useLink(r) {
  const a = inject(routerKey), o = inject(routeLocationKey);
  let s = !1, l = null;
  const u = computed(() => {
    const v = unref(r.to);
    return process.env.NODE_ENV !== "production" && (!s || v !== l) && (isRouteLocation(v) || (s ? warn$4(`Invalid value for prop "to" in useLink()
- to:`, v, `
- previous to:`, l, `
- props:`, r) : warn$4(`Invalid value for prop "to" in useLink()
- to:`, v, `
- props:`, r)), l = v, s = !0), a.resolve(v);
  }), c = computed(() => {
    const { matched: v } = u.value, { length: g } = v, y = v[g - 1], _ = o.matched;
    if (!y || !_.length)
      return -1;
    const S = _.findIndex(isSameRouteRecord.bind(null, y));
    if (S > -1)
      return S;
    const C = getOriginalPath(v[g - 2]);
    return (
      // we are dealing with nested routes
      g > 1 && // if the parent and matched route have the same path, this link is
      // referring to the empty child. Or we currently are on a different
      // child of the same parent
      getOriginalPath(y) === C && // avoid comparing the child with its parent
      _[_.length - 1].path !== C ? _.findIndex(isSameRouteRecord.bind(null, v[g - 2])) : S
    );
  }), d = computed(() => c.value > -1 && includesParams(o.params, u.value.params)), f = computed(() => c.value > -1 && c.value === o.matched.length - 1 && isSameRouteLocationParams(o.params, u.value.params));
  function p(v = {}) {
    if (guardEvent(v)) {
      const g = a[unref(r.replace) ? "replace" : "push"](
        unref(r.to)
        // avoid uncaught errors are they are logged anyway
      ).catch(noop$2);
      return r.viewTransition && typeof document < "u" && "startViewTransition" in document && document.startViewTransition(() => g), g;
    }
    return Promise.resolve();
  }
  if (process.env.NODE_ENV !== "production" && isBrowser) {
    const v = getCurrentInstance();
    if (v) {
      const g = {
        route: u.value,
        isActive: d.value,
        isExactActive: f.value,
        error: null
      };
      v.__vrl_devtools = v.__vrl_devtools || [], v.__vrl_devtools.push(g), watchEffect(() => {
        g.route = u.value, g.isActive = d.value, g.isExactActive = f.value, g.error = isRouteLocation(unref(r.to)) ? null : 'Invalid "to" value';
      }, { flush: "post" });
    }
  }
  return {
    route: u,
    href: computed(() => u.value.href),
    isActive: d,
    isExactActive: f,
    navigate: p
  };
}
function preferSingleVNode(r) {
  return r.length === 1 ? r[0] : r;
}
const RouterLinkImpl = /* @__PURE__ */ defineComponent({
  name: "RouterLink",
  compatConfig: { MODE: 3 },
  props: {
    to: {
      type: [String, Object],
      required: !0
    },
    replace: Boolean,
    activeClass: String,
    // inactiveClass: String,
    exactActiveClass: String,
    custom: Boolean,
    ariaCurrentValue: {
      type: String,
      default: "page"
    }
  },
  useLink,
  setup(r, { slots: a }) {
    const o = reactive(useLink(r)), { options: s } = inject(routerKey), l = computed(() => ({
      [getLinkClass(r.activeClass, s.linkActiveClass, "router-link-active")]: o.isActive,
      // [getLinkClass(
      //   props.inactiveClass,
      //   options.linkInactiveClass,
      //   'router-link-inactive'
      // )]: !link.isExactActive,
      [getLinkClass(r.exactActiveClass, s.linkExactActiveClass, "router-link-exact-active")]: o.isExactActive
    }));
    return () => {
      const u = a.default && preferSingleVNode(a.default(o));
      return r.custom ? u : h("a", {
        "aria-current": o.isExactActive ? r.ariaCurrentValue : null,
        href: o.href,
        // this would override user added attrs but Vue will still add
        // the listener, so we end up triggering both
        onClick: o.navigate,
        class: l.value
      }, u);
    };
  }
}), RouterLink = RouterLinkImpl;
function guardEvent(r) {
  if (!(r.metaKey || r.altKey || r.ctrlKey || r.shiftKey) && !r.defaultPrevented && !(r.button !== void 0 && r.button !== 0)) {
    if (r.currentTarget && r.currentTarget.getAttribute) {
      const a = r.currentTarget.getAttribute("target");
      if (/\b_blank\b/i.test(a))
        return;
    }
    return r.preventDefault && r.preventDefault(), !0;
  }
}
function includesParams(r, a) {
  for (const o in a) {
    const s = a[o], l = r[o];
    if (typeof s == "string") {
      if (s !== l)
        return !1;
    } else if (!isArray$5(l) || l.length !== s.length || s.some((u, c) => u !== l[c]))
      return !1;
  }
  return !0;
}
function getOriginalPath(r) {
  return r ? r.aliasOf ? r.aliasOf.path : r.path : "";
}
const getLinkClass = (r, a, o) => r ?? a ?? o, RouterViewImpl = /* @__PURE__ */ defineComponent({
  name: "RouterView",
  // #674 we manually inherit them
  inheritAttrs: !1,
  props: {
    name: {
      type: String,
      default: "default"
    },
    route: Object
  },
  // Better compat for @vue/compat users
  // https://github.com/vuejs/router/issues/1315
  compatConfig: { MODE: 3 },
  setup(r, { attrs: a, slots: o }) {
    process.env.NODE_ENV !== "production" && warnDeprecatedUsage();
    const s = inject(routerViewLocationKey), l = computed(() => r.route || s.value), u = inject(viewDepthKey, 0), c = computed(() => {
      let p = unref(u);
      const { matched: v } = l.value;
      let g;
      for (; (g = v[p]) && !g.components; )
        p++;
      return p;
    }), d = computed(() => l.value.matched[c.value]);
    provide(viewDepthKey, computed(() => c.value + 1)), provide(matchedRouteKey, d), provide(routerViewLocationKey, l);
    const f = ref();
    return watch(() => [f.value, d.value, r.name], ([p, v, g], [y, _, S]) => {
      v && (v.instances[g] = p, _ && _ !== v && p && p === y && (v.leaveGuards.size || (v.leaveGuards = _.leaveGuards), v.updateGuards.size || (v.updateGuards = _.updateGuards))), p && v && // if there is no instance but to and from are the same this might be
      // the first visit
      (!_ || !isSameRouteRecord(v, _) || !y) && (v.enterCallbacks[g] || []).forEach((C) => C(p));
    }, { flush: "post" }), () => {
      const p = l.value, v = r.name, g = d.value, y = g && g.components[v];
      if (!y)
        return normalizeSlot(o.default, { Component: y, route: p });
      const _ = g.props[v], S = _ ? _ === !0 ? p.params : typeof _ == "function" ? _(p) : _ : null, b = h(y, assign$2({}, S, a, {
        onVnodeUnmounted: (T) => {
          T.component.isUnmounted && (g.instances[v] = null);
        },
        ref: f
      }));
      if (process.env.NODE_ENV !== "production" && isBrowser && b.ref) {
        const T = {
          depth: c.value,
          name: g.name,
          path: g.path,
          meta: g.meta
        };
        (isArray$5(b.ref) ? b.ref.map((x) => x.i) : [b.ref.i]).forEach((x) => {
          x.__vrv_devtools = T;
        });
      }
      return (
        // pass the vnode to the slot as a prop.
        // h and <component :is="..."> both accept vnodes
        normalizeSlot(o.default, { Component: b, route: p }) || b
      );
    };
  }
});
function normalizeSlot(r, a) {
  if (!r)
    return null;
  const o = r(a);
  return o.length === 1 ? o[0] : o;
}
const RouterView = RouterViewImpl;
function warnDeprecatedUsage() {
  const r = getCurrentInstance(), a = r.parent && r.parent.type.name, o = r.parent && r.parent.subTree && r.parent.subTree.type;
  if (a && (a === "KeepAlive" || a.includes("Transition")) && typeof o == "object" && o.name === "RouterView") {
    const s = a === "KeepAlive" ? "keep-alive" : "transition";
    warn$4(`<router-view> can no longer be used directly inside <transition> or <keep-alive>.
Use slot props instead:

<router-view v-slot="{ Component }">
  <${s}>
    <component :is="Component" />
  </${s}>
</router-view>`);
  }
}
function formatRouteLocation(r, a) {
  const o = assign$2({}, r, {
    // remove variables that can contain vue instances
    matched: r.matched.map((s) => omit(s, ["instances", "children", "aliasOf"]))
  });
  return {
    _custom: {
      type: null,
      readOnly: !0,
      display: r.fullPath,
      tooltip: a,
      value: o
    }
  };
}
function formatDisplay(r) {
  return {
    _custom: {
      display: r
    }
  };
}
let routerId = 0;
function addDevtools(r, a, o) {
  if (a.__hasDevtools)
    return;
  a.__hasDevtools = !0;
  const s = routerId++;
  setupDevtoolsPlugin({
    id: "org.vuejs.router" + (s ? "." + s : ""),
    label: "Vue Router",
    packageName: "vue-router",
    homepage: "https://router.vuejs.org",
    logo: "https://router.vuejs.org/logo.png",
    componentStateTypes: ["Routing"],
    app: r
  }, (l) => {
    typeof l.now != "function" && console.warn("[Vue Router]: You seem to be using an outdated version of Vue Devtools. Are you still using the Beta release instead of the stable one? You can find the links at https://devtools.vuejs.org/guide/installation.html."), l.on.inspectComponent((v, g) => {
      v.instanceData && v.instanceData.state.push({
        type: "Routing",
        key: "$route",
        editable: !1,
        value: formatRouteLocation(a.currentRoute.value, "Current Route")
      });
    }), l.on.visitComponentTree(({ treeNode: v, componentInstance: g }) => {
      if (g.__vrv_devtools) {
        const y = g.__vrv_devtools;
        v.tags.push({
          label: (y.name ? `${y.name.toString()}: ` : "") + y.path,
          textColor: 0,
          tooltip: "This component is rendered by &lt;router-view&gt;",
          backgroundColor: PINK_500
        });
      }
      isArray$5(g.__vrl_devtools) && (g.__devtoolsApi = l, g.__vrl_devtools.forEach((y) => {
        let _ = y.route.path, S = ORANGE_400, C = "", b = 0;
        y.error ? (_ = y.error, S = RED_100, b = RED_700) : y.isExactActive ? (S = LIME_500, C = "This is exactly active") : y.isActive && (S = BLUE_600, C = "This link is active"), v.tags.push({
          label: _,
          textColor: b,
          tooltip: C,
          backgroundColor: S
        });
      }));
    }), watch(a.currentRoute, () => {
      f(), l.notifyComponentUpdate(), l.sendInspectorTree(d), l.sendInspectorState(d);
    });
    const u = "router:navigations:" + s;
    l.addTimelineLayer({
      id: u,
      label: `Router${s ? " " + s : ""} Navigations`,
      color: 4237508
    }), a.onError((v, g) => {
      l.addTimelineEvent({
        layerId: u,
        event: {
          title: "Error during Navigation",
          subtitle: g.fullPath,
          logType: "error",
          time: l.now(),
          data: { error: v },
          groupId: g.meta.__navigationId
        }
      });
    });
    let c = 0;
    a.beforeEach((v, g) => {
      const y = {
        guard: formatDisplay("beforeEach"),
        from: formatRouteLocation(g, "Current Location during this navigation"),
        to: formatRouteLocation(v, "Target location")
      };
      Object.defineProperty(v.meta, "__navigationId", {
        value: c++
      }), l.addTimelineEvent({
        layerId: u,
        event: {
          time: l.now(),
          title: "Start of navigation",
          subtitle: v.fullPath,
          data: y,
          groupId: v.meta.__navigationId
        }
      });
    }), a.afterEach((v, g, y) => {
      const _ = {
        guard: formatDisplay("afterEach")
      };
      y ? (_.failure = {
        _custom: {
          type: Error,
          readOnly: !0,
          display: y ? y.message : "",
          tooltip: "Navigation Failure",
          value: y
        }
      }, _.status = formatDisplay("❌")) : _.status = formatDisplay("✅"), _.from = formatRouteLocation(g, "Current Location during this navigation"), _.to = formatRouteLocation(v, "Target location"), l.addTimelineEvent({
        layerId: u,
        event: {
          title: "End of navigation",
          subtitle: v.fullPath,
          time: l.now(),
          data: _,
          logType: y ? "warning" : "default",
          groupId: v.meta.__navigationId
        }
      });
    });
    const d = "router-inspector:" + s;
    l.addInspector({
      id: d,
      label: "Routes" + (s ? " " + s : ""),
      icon: "book",
      treeFilterPlaceholder: "Search routes"
    });
    function f() {
      if (!p)
        return;
      const v = p;
      let g = o.getRoutes().filter((y) => !y.parent || // these routes have a parent with no component which will not appear in the view
      // therefore we still need to include them
      !y.parent.record.components);
      g.forEach(resetMatchStateOnRouteRecord), v.filter && (g = g.filter((y) => (
        // save matches state based on the payload
        isRouteMatching(y, v.filter.toLowerCase())
      ))), g.forEach((y) => markRouteRecordActive(y, a.currentRoute.value)), v.rootNodes = g.map(formatRouteRecordForInspector);
    }
    let p;
    l.on.getInspectorTree((v) => {
      p = v, v.app === r && v.inspectorId === d && f();
    }), l.on.getInspectorState((v) => {
      if (v.app === r && v.inspectorId === d) {
        const y = o.getRoutes().find((_) => _.record.__vd_id === v.nodeId);
        y && (v.state = {
          options: formatRouteRecordMatcherForStateInspector(y)
        });
      }
    }), l.sendInspectorTree(d), l.sendInspectorState(d);
  });
}
function modifierForKey(r) {
  return r.optional ? r.repeatable ? "*" : "?" : r.repeatable ? "+" : "";
}
function formatRouteRecordMatcherForStateInspector(r) {
  const { record: a } = r, o = [
    { editable: !1, key: "path", value: a.path }
  ];
  return a.name != null && o.push({
    editable: !1,
    key: "name",
    value: a.name
  }), o.push({ editable: !1, key: "regexp", value: r.re }), r.keys.length && o.push({
    editable: !1,
    key: "keys",
    value: {
      _custom: {
        type: null,
        readOnly: !0,
        display: r.keys.map((s) => `${s.name}${modifierForKey(s)}`).join(" "),
        tooltip: "Param keys",
        value: r.keys
      }
    }
  }), a.redirect != null && o.push({
    editable: !1,
    key: "redirect",
    value: a.redirect
  }), r.alias.length && o.push({
    editable: !1,
    key: "aliases",
    value: r.alias.map((s) => s.record.path)
  }), Object.keys(r.record.meta).length && o.push({
    editable: !1,
    key: "meta",
    value: r.record.meta
  }), o.push({
    key: "score",
    editable: !1,
    value: {
      _custom: {
        type: null,
        readOnly: !0,
        display: r.score.map((s) => s.join(", ")).join(" | "),
        tooltip: "Score used to sort routes",
        value: r.score
      }
    }
  }), o;
}
const PINK_500 = 15485081, BLUE_600 = 2450411, LIME_500 = 8702998, CYAN_400 = 2282478, ORANGE_400 = 16486972, DARK = 6710886, RED_100 = 16704226, RED_700 = 12131356;
function formatRouteRecordForInspector(r) {
  const a = [], { record: o } = r;
  o.name != null && a.push({
    label: String(o.name),
    textColor: 0,
    backgroundColor: CYAN_400
  }), o.aliasOf && a.push({
    label: "alias",
    textColor: 0,
    backgroundColor: ORANGE_400
  }), r.__vd_match && a.push({
    label: "matches",
    textColor: 0,
    backgroundColor: PINK_500
  }), r.__vd_exactActive && a.push({
    label: "exact",
    textColor: 0,
    backgroundColor: LIME_500
  }), r.__vd_active && a.push({
    label: "active",
    textColor: 0,
    backgroundColor: BLUE_600
  }), o.redirect && a.push({
    label: typeof o.redirect == "string" ? `redirect: ${o.redirect}` : "redirects",
    textColor: 16777215,
    backgroundColor: DARK
  });
  let s = o.__vd_id;
  return s == null && (s = String(routeRecordId++), o.__vd_id = s), {
    id: s,
    label: o.path,
    tags: a,
    children: r.children.map(formatRouteRecordForInspector)
  };
}
let routeRecordId = 0;
const EXTRACT_REGEXP_RE = /^\/(.*)\/([a-z]*)$/;
function markRouteRecordActive(r, a) {
  const o = a.matched.length && isSameRouteRecord(a.matched[a.matched.length - 1], r.record);
  r.__vd_exactActive = r.__vd_active = o, o || (r.__vd_active = a.matched.some((s) => isSameRouteRecord(s, r.record))), r.children.forEach((s) => markRouteRecordActive(s, a));
}
function resetMatchStateOnRouteRecord(r) {
  r.__vd_match = !1, r.children.forEach(resetMatchStateOnRouteRecord);
}
function isRouteMatching(r, a) {
  const o = String(r.re).match(EXTRACT_REGEXP_RE);
  if (r.__vd_match = !1, !o || o.length < 3)
    return !1;
  if (new RegExp(o[1].replace(/\$$/, ""), o[2]).test(a))
    return r.children.forEach((c) => isRouteMatching(c, a)), r.record.path !== "/" || a === "/" ? (r.__vd_match = r.re.test(a), !0) : !1;
  const l = r.record.path.toLowerCase(), u = decode$1(l);
  return !a.startsWith("/") && (u.includes(a) || l.includes(a)) || u.startsWith(a) || l.startsWith(a) || r.record.name && String(r.record.name).includes(a) ? !0 : r.children.some((c) => isRouteMatching(c, a));
}
function omit(r, a) {
  const o = {};
  for (const s in r)
    a.includes(s) || (o[s] = r[s]);
  return o;
}
function createRouter(r) {
  const a = createRouterMatcher(r.routes, r), o = r.parseQuery || parseQuery, s = r.stringifyQuery || stringifyQuery, l = r.history;
  if (process.env.NODE_ENV !== "production" && !l)
    throw new Error('Provide the "history" option when calling "createRouter()": https://router.vuejs.org/api/interfaces/RouterOptions.html#history');
  const u = useCallbacks(), c = useCallbacks(), d = useCallbacks(), f = shallowRef(START_LOCATION_NORMALIZED);
  let p = START_LOCATION_NORMALIZED;
  isBrowser && r.scrollBehavior && "scrollRestoration" in history && (history.scrollRestoration = "manual");
  const v = applyToParams.bind(null, (se) => "" + se), g = applyToParams.bind(null, encodeParam), y = (
    // @ts-expect-error: intentionally avoid the type check
    applyToParams.bind(null, decode$1)
  );
  function _(se, fe) {
    let ce, ge;
    return isRouteName(se) ? (ce = a.getRecordMatcher(se), process.env.NODE_ENV !== "production" && !ce && warn$4(`Parent route "${String(se)}" not found when adding child route`, fe), ge = fe) : ge = se, a.addRoute(ge, ce);
  }
  function S(se) {
    const fe = a.getRecordMatcher(se);
    fe ? a.removeRoute(fe) : process.env.NODE_ENV !== "production" && warn$4(`Cannot remove non-existent route "${String(se)}"`);
  }
  function C() {
    return a.getRoutes().map((se) => se.record);
  }
  function b(se) {
    return !!a.getRecordMatcher(se);
  }
  function T(se, fe) {
    if (fe = assign$2({}, fe || f.value), typeof se == "string") {
      const oe = parseURL(o, se, fe.path), De = a.resolve({ path: oe.path }, fe), Re = l.createHref(oe.fullPath);
      return process.env.NODE_ENV !== "production" && (Re.startsWith("//") ? warn$4(`Location "${se}" resolved to "${Re}". A resolved location cannot start with multiple slashes.`) : De.matched.length || warn$4(`No match found for location with path "${se}"`)), assign$2(oe, De, {
        params: y(De.params),
        hash: decode$1(oe.hash),
        redirectedFrom: void 0,
        href: Re
      });
    }
    if (process.env.NODE_ENV !== "production" && !isRouteLocation(se))
      return warn$4(`router.resolve() was passed an invalid location. This will fail in production.
- Location:`, se), T({});
    let ce;
    if (se.path != null)
      process.env.NODE_ENV !== "production" && "params" in se && !("name" in se) && // @ts-expect-error: the type is never
      Object.keys(se.params).length && warn$4(`Path "${se.path}" was passed with params but they will be ignored. Use a named route alongside params instead.`), ce = assign$2({}, se, {
        path: parseURL(o, se.path, fe.path).path
      });
    else {
      const oe = assign$2({}, se.params);
      for (const De in oe)
        oe[De] == null && delete oe[De];
      ce = assign$2({}, se, {
        params: g(oe)
      }), fe.params = g(fe.params);
    }
    const ge = a.resolve(ce, fe), ve = se.hash || "";
    process.env.NODE_ENV !== "production" && ve && !ve.startsWith("#") && warn$4(`A \`hash\` should always start with the character "#". Replace "${ve}" with "#${ve}".`), ge.params = v(y(ge.params));
    const xe = stringifyURL(s, assign$2({}, se, {
      hash: encodeHash(ve),
      path: ge.path
    })), Ae = l.createHref(xe);
    return process.env.NODE_ENV !== "production" && (Ae.startsWith("//") ? warn$4(`Location "${se}" resolved to "${Ae}". A resolved location cannot start with multiple slashes.`) : ge.matched.length || warn$4(`No match found for location with path "${se.path != null ? se.path : se}"`)), assign$2({
      fullPath: xe,
      // keep the hash encoded so fullPath is effectively path + encodedQuery +
      // hash
      hash: ve,
      query: (
        // if the user is using a custom query lib like qs, we might have
        // nested objects, so we keep the query as is, meaning it can contain
        // numbers at `$route.query`, but at the point, the user will have to
        // use their own type anyway.
        // https://github.com/vuejs/router/issues/328#issuecomment-649481567
        s === stringifyQuery ? normalizeQuery(se.query) : se.query || {}
      )
    }, ge, {
      redirectedFrom: void 0,
      href: Ae
    });
  }
  function E(se) {
    return typeof se == "string" ? parseURL(o, se, f.value.path) : assign$2({}, se);
  }
  function x(se, fe) {
    if (p !== se)
      return createRouterError(8, {
        from: fe,
        to: se
      });
  }
  function $(se) {
    return P(se);
  }
  function A(se) {
    return $(assign$2(E(se), { replace: !0 }));
  }
  function N(se) {
    const fe = se.matched[se.matched.length - 1];
    if (fe && fe.redirect) {
      const { redirect: ce } = fe;
      let ge = typeof ce == "function" ? ce(se) : ce;
      if (typeof ge == "string" && (ge = ge.includes("?") || ge.includes("#") ? ge = E(ge) : (
        // force empty params
        { path: ge }
      ), ge.params = {}), process.env.NODE_ENV !== "production" && ge.path == null && !("name" in ge))
        throw warn$4(`Invalid redirect found:
${JSON.stringify(ge, null, 2)}
 when navigating to "${se.fullPath}". A redirect must contain a name or path. This will break in production.`), new Error("Invalid redirect");
      return assign$2({
        query: se.query,
        hash: se.hash,
        // avoid transferring params if the redirect has a path
        params: ge.path != null ? {} : se.params
      }, ge);
    }
  }
  function P(se, fe) {
    const ce = p = T(se), ge = f.value, ve = se.state, xe = se.force, Ae = se.replace === !0, oe = N(ce);
    if (oe)
      return P(
        assign$2(E(oe), {
          state: typeof oe == "object" ? assign$2({}, ve, oe.state) : ve,
          force: xe,
          replace: Ae
        }),
        // keep original redirectedFrom if it exists
        fe || ce
      );
    const De = ce;
    De.redirectedFrom = fe;
    let Re;
    return !xe && isSameRouteLocation(s, ge, ce) && (Re = createRouterError(16, { to: De, from: ge }), X(
      ge,
      ge,
      // this is a push, the only way for it to be triggered from a
      // history.listen is with a redirect, which makes it become a push
      !0,
      // This cannot be the first navigation because the initial location
      // cannot be manually navigated to
      !1
    )), (Re ? Promise.resolve(Re) : M(De, ge)).catch((Me) => isNavigationFailure(Me) ? (
      // navigation redirects still mark the router as ready
      isNavigationFailure(
        Me,
        2
        /* ErrorTypes.NAVIGATION_GUARD_REDIRECT */
      ) ? Me : de(Me)
    ) : (
      // reject any unknown error
      Z(Me, De, ge)
    )).then((Me) => {
      if (Me) {
        if (isNavigationFailure(
          Me,
          2
          /* ErrorTypes.NAVIGATION_GUARD_REDIRECT */
        ))
          return process.env.NODE_ENV !== "production" && // we are redirecting to the same location we were already at
          isSameRouteLocation(s, T(Me.to), De) && // and we have done it a couple of times
          fe && // @ts-expect-error: added only in dev
          (fe._count = fe._count ? (
            // @ts-expect-error
            fe._count + 1
          ) : 1) > 30 ? (warn$4(`Detected a possibly infinite redirection in a navigation guard when going from "${ge.fullPath}" to "${De.fullPath}". Aborting to avoid a Stack Overflow.
 Are you always returning a new location within a navigation guard? That would lead to this error. Only return when redirecting or aborting, that should fix this. This might break in production if not fixed.`), Promise.reject(new Error("Infinite redirect in navigation guard"))) : P(
            // keep options
            assign$2({
              // preserve an existing replacement but allow the redirect to override it
              replace: Ae
            }, E(Me.to), {
              state: typeof Me.to == "object" ? assign$2({}, ve, Me.to.state) : ve,
              force: xe
            }),
            // preserve the original redirectedFrom if any
            fe || De
          );
      } else
        Me = U(De, ge, !0, Ae, ve);
      return F(De, ge, Me), Me;
    });
  }
  function L(se, fe) {
    const ce = x(se, fe);
    return ce ? Promise.reject(ce) : Promise.resolve();
  }
  function O(se) {
    const fe = ae.values().next().value;
    return fe && typeof fe.runWithContext == "function" ? fe.runWithContext(se) : se();
  }
  function M(se, fe) {
    let ce;
    const [ge, ve, xe] = extractChangingRecords(se, fe);
    ce = extractComponentsGuards(ge.reverse(), "beforeRouteLeave", se, fe);
    for (const oe of ge)
      oe.leaveGuards.forEach((De) => {
        ce.push(guardToPromiseFn(De, se, fe));
      });
    const Ae = L.bind(null, se, fe);
    return ce.push(Ae), $e(ce).then(() => {
      ce = [];
      for (const oe of u.list())
        ce.push(guardToPromiseFn(oe, se, fe));
      return ce.push(Ae), $e(ce);
    }).then(() => {
      ce = extractComponentsGuards(ve, "beforeRouteUpdate", se, fe);
      for (const oe of ve)
        oe.updateGuards.forEach((De) => {
          ce.push(guardToPromiseFn(De, se, fe));
        });
      return ce.push(Ae), $e(ce);
    }).then(() => {
      ce = [];
      for (const oe of xe)
        if (oe.beforeEnter)
          if (isArray$5(oe.beforeEnter))
            for (const De of oe.beforeEnter)
              ce.push(guardToPromiseFn(De, se, fe));
          else
            ce.push(guardToPromiseFn(oe.beforeEnter, se, fe));
      return ce.push(Ae), $e(ce);
    }).then(() => (se.matched.forEach((oe) => oe.enterCallbacks = {}), ce = extractComponentsGuards(xe, "beforeRouteEnter", se, fe, O), ce.push(Ae), $e(ce))).then(() => {
      ce = [];
      for (const oe of c.list())
        ce.push(guardToPromiseFn(oe, se, fe));
      return ce.push(Ae), $e(ce);
    }).catch((oe) => isNavigationFailure(
      oe,
      8
      /* ErrorTypes.NAVIGATION_CANCELLED */
    ) ? oe : Promise.reject(oe));
  }
  function F(se, fe, ce) {
    d.list().forEach((ge) => O(() => ge(se, fe, ce)));
  }
  function U(se, fe, ce, ge, ve) {
    const xe = x(se, fe);
    if (xe)
      return xe;
    const Ae = fe === START_LOCATION_NORMALIZED, oe = isBrowser ? history.state : {};
    ce && (ge || Ae ? l.replace(se.fullPath, assign$2({
      scroll: Ae && oe && oe.scroll
    }, ve)) : l.push(se.fullPath, ve)), f.value = se, X(se, fe, ce, Ae), de();
  }
  let R;
  function H() {
    R || (R = l.listen((se, fe, ce) => {
      if (!Te.listening)
        return;
      const ge = T(se), ve = N(ge);
      if (ve) {
        P(assign$2(ve, { replace: !0, force: !0 }), ge).catch(noop$2);
        return;
      }
      p = ge;
      const xe = f.value;
      isBrowser && saveScrollPosition(getScrollKey(xe.fullPath, ce.delta), computeScrollPosition()), M(ge, xe).catch((Ae) => isNavigationFailure(
        Ae,
        12
        /* ErrorTypes.NAVIGATION_CANCELLED */
      ) ? Ae : isNavigationFailure(
        Ae,
        2
        /* ErrorTypes.NAVIGATION_GUARD_REDIRECT */
      ) ? (P(
        assign$2(E(Ae.to), {
          force: !0
        }),
        ge
        // avoid an uncaught rejection, let push call triggerError
      ).then((oe) => {
        isNavigationFailure(
          oe,
          20
          /* ErrorTypes.NAVIGATION_DUPLICATED */
        ) && !ce.delta && ce.type === NavigationType.pop && l.go(-1, !1);
      }).catch(noop$2), Promise.reject()) : (ce.delta && l.go(-ce.delta, !1), Z(Ae, ge, xe))).then((Ae) => {
        Ae = Ae || U(
          // after navigation, all matched components are resolved
          ge,
          xe,
          !1
        ), Ae && (ce.delta && // a new navigation has been triggered, so we do not want to revert, that will change the current history
        // entry while a different route is displayed
        !isNavigationFailure(
          Ae,
          8
          /* ErrorTypes.NAVIGATION_CANCELLED */
        ) ? l.go(-ce.delta, !1) : ce.type === NavigationType.pop && isNavigationFailure(
          Ae,
          20
          /* ErrorTypes.NAVIGATION_DUPLICATED */
        ) && l.go(-1, !1)), F(ge, xe, Ae);
      }).catch(noop$2);
    }));
  }
  let V = useCallbacks(), Y = useCallbacks(), G;
  function Z(se, fe, ce) {
    de(se);
    const ge = Y.list();
    return ge.length ? ge.forEach((ve) => ve(se, fe, ce)) : (process.env.NODE_ENV !== "production" && warn$4("uncaught error during route navigation:"), console.error(se)), Promise.reject(se);
  }
  function re() {
    return G && f.value !== START_LOCATION_NORMALIZED ? Promise.resolve() : new Promise((se, fe) => {
      V.add([se, fe]);
    });
  }
  function de(se) {
    return G || (G = !se, H(), V.list().forEach(([fe, ce]) => se ? ce(se) : fe()), V.reset()), se;
  }
  function X(se, fe, ce, ge) {
    const { scrollBehavior: ve } = r;
    if (!isBrowser || !ve)
      return Promise.resolve();
    const xe = !ce && getSavedScrollPosition(getScrollKey(se.fullPath, 0)) || (ge || !ce) && history.state && history.state.scroll || null;
    return nextTick().then(() => ve(se, fe, xe)).then((Ae) => Ae && scrollToPosition(Ae)).catch((Ae) => Z(Ae, se, fe));
  }
  const W = (se) => l.go(se);
  let te;
  const ae = /* @__PURE__ */ new Set(), Te = {
    currentRoute: f,
    listening: !0,
    addRoute: _,
    removeRoute: S,
    clearRoutes: a.clearRoutes,
    hasRoute: b,
    getRoutes: C,
    resolve: T,
    options: r,
    push: $,
    replace: A,
    go: W,
    back: () => W(-1),
    forward: () => W(1),
    beforeEach: u.add,
    beforeResolve: c.add,
    afterEach: d.add,
    onError: Y.add,
    isReady: re,
    install(se) {
      const fe = this;
      se.component("RouterLink", RouterLink), se.component("RouterView", RouterView), se.config.globalProperties.$router = fe, Object.defineProperty(se.config.globalProperties, "$route", {
        enumerable: !0,
        get: () => unref(f)
      }), isBrowser && // used for the initial navigation client side to avoid pushing
      // multiple times when the router is used in multiple apps
      !te && f.value === START_LOCATION_NORMALIZED && (te = !0, $(l.location).catch((ve) => {
        process.env.NODE_ENV !== "production" && warn$4("Unexpected error when starting the router:", ve);
      }));
      const ce = {};
      for (const ve in START_LOCATION_NORMALIZED)
        Object.defineProperty(ce, ve, {
          get: () => f.value[ve],
          enumerable: !0
        });
      se.provide(routerKey, fe), se.provide(routeLocationKey, shallowReactive(ce)), se.provide(routerViewLocationKey, f);
      const ge = se.unmount;
      ae.add(se), se.unmount = function() {
        ae.delete(se), ae.size < 1 && (p = START_LOCATION_NORMALIZED, R && R(), R = null, f.value = START_LOCATION_NORMALIZED, te = !1, G = !1), ge();
      }, process.env.NODE_ENV !== "production" && isBrowser && addDevtools(se, fe, a);
    }
  };
  function $e(se) {
    return se.reduce((fe, ce) => fe.then(() => O(ce)), Promise.resolve());
  }
  return Te;
}
function extractChangingRecords(r, a) {
  const o = [], s = [], l = [], u = Math.max(a.matched.length, r.matched.length);
  for (let c = 0; c < u; c++) {
    const d = a.matched[c];
    d && (r.matched.find((p) => isSameRouteRecord(p, d)) ? s.push(d) : o.push(d));
    const f = r.matched[c];
    f && (a.matched.find((p) => isSameRouteRecord(p, f)) || l.push(f));
  }
  return [o, s, l];
}
function bind$2(r, a) {
  return function() {
    return r.apply(a, arguments);
  };
}
const { toString } = Object.prototype, { getPrototypeOf } = Object, kindOf = /* @__PURE__ */ ((r) => (a) => {
  const o = toString.call(a);
  return r[o] || (r[o] = o.slice(8, -1).toLowerCase());
})(/* @__PURE__ */ Object.create(null)), kindOfTest = (r) => (r = r.toLowerCase(), (a) => kindOf(a) === r), typeOfTest = (r) => (a) => typeof a === r, { isArray: isArray$4 } = Array, isUndefined = typeOfTest("undefined");
function isBuffer(r) {
  return r !== null && !isUndefined(r) && r.constructor !== null && !isUndefined(r.constructor) && isFunction$3(r.constructor.isBuffer) && r.constructor.isBuffer(r);
}
const isArrayBuffer = kindOfTest("ArrayBuffer");
function isArrayBufferView(r) {
  let a;
  return typeof ArrayBuffer < "u" && ArrayBuffer.isView ? a = ArrayBuffer.isView(r) : a = r && r.buffer && isArrayBuffer(r.buffer), a;
}
const isString$3 = typeOfTest("string"), isFunction$3 = typeOfTest("function"), isNumber$3 = typeOfTest("number"), isObject$6 = (r) => r !== null && typeof r == "object", isBoolean$2 = (r) => r === !0 || r === !1, isPlainObject$2 = (r) => {
  if (kindOf(r) !== "object")
    return !1;
  const a = getPrototypeOf(r);
  return (a === null || a === Object.prototype || Object.getPrototypeOf(a) === null) && !(Symbol.toStringTag in r) && !(Symbol.iterator in r);
}, isDate$3 = kindOfTest("Date"), isFile = kindOfTest("File"), isBlob = kindOfTest("Blob"), isFileList = kindOfTest("FileList"), isStream = (r) => isObject$6(r) && isFunction$3(r.pipe), isFormData = (r) => {
  let a;
  return r && (typeof FormData == "function" && r instanceof FormData || isFunction$3(r.append) && ((a = kindOf(r)) === "formdata" || // detect form-data instance
  a === "object" && isFunction$3(r.toString) && r.toString() === "[object FormData]"));
}, isURLSearchParams = kindOfTest("URLSearchParams"), [isReadableStream, isRequest, isResponse, isHeaders] = ["ReadableStream", "Request", "Response", "Headers"].map(kindOfTest), trim$2 = (r) => r.trim ? r.trim() : r.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, "");
function forEach(r, a, { allOwnKeys: o = !1 } = {}) {
  if (r === null || typeof r > "u")
    return;
  let s, l;
  if (typeof r != "object" && (r = [r]), isArray$4(r))
    for (s = 0, l = r.length; s < l; s++)
      a.call(null, r[s], s, r);
  else {
    const u = o ? Object.getOwnPropertyNames(r) : Object.keys(r), c = u.length;
    let d;
    for (s = 0; s < c; s++)
      d = u[s], a.call(null, r[d], d, r);
  }
}
function findKey$1(r, a) {
  a = a.toLowerCase();
  const o = Object.keys(r);
  let s = o.length, l;
  for (; s-- > 0; )
    if (l = o[s], a === l.toLowerCase())
      return l;
  return null;
}
const _global = typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : typeof window < "u" ? window : global, isContextDefined = (r) => !isUndefined(r) && r !== _global;
function merge$1() {
  const { caseless: r } = isContextDefined(this) && this || {}, a = {}, o = (s, l) => {
    const u = r && findKey$1(a, l) || l;
    isPlainObject$2(a[u]) && isPlainObject$2(s) ? a[u] = merge$1(a[u], s) : isPlainObject$2(s) ? a[u] = merge$1({}, s) : isArray$4(s) ? a[u] = s.slice() : a[u] = s;
  };
  for (let s = 0, l = arguments.length; s < l; s++)
    arguments[s] && forEach(arguments[s], o);
  return a;
}
const extend$2 = (r, a, o, { allOwnKeys: s } = {}) => (forEach(a, (l, u) => {
  o && isFunction$3(l) ? r[u] = bind$2(l, o) : r[u] = l;
}, { allOwnKeys: s }), r), stripBOM = (r) => (r.charCodeAt(0) === 65279 && (r = r.slice(1)), r), inherits$1 = (r, a, o, s) => {
  r.prototype = Object.create(a.prototype, s), r.prototype.constructor = r, Object.defineProperty(r, "super", {
    value: a.prototype
  }), o && Object.assign(r.prototype, o);
}, toFlatObject = (r, a, o, s) => {
  let l, u, c;
  const d = {};
  if (a = a || {}, r == null) return a;
  do {
    for (l = Object.getOwnPropertyNames(r), u = l.length; u-- > 0; )
      c = l[u], (!s || s(c, r, a)) && !d[c] && (a[c] = r[c], d[c] = !0);
    r = o !== !1 && getPrototypeOf(r);
  } while (r && (!o || o(r, a)) && r !== Object.prototype);
  return a;
}, endsWith = (r, a, o) => {
  r = String(r), (o === void 0 || o > r.length) && (o = r.length), o -= a.length;
  const s = r.indexOf(a, o);
  return s !== -1 && s === o;
}, toArray$1 = (r) => {
  if (!r) return null;
  if (isArray$4(r)) return r;
  let a = r.length;
  if (!isNumber$3(a)) return null;
  const o = new Array(a);
  for (; a-- > 0; )
    o[a] = r[a];
  return o;
}, isTypedArray$1 = /* @__PURE__ */ ((r) => (a) => r && a instanceof r)(typeof Uint8Array < "u" && getPrototypeOf(Uint8Array)), forEachEntry = (r, a) => {
  const s = (r && r[Symbol.iterator]).call(r);
  let l;
  for (; (l = s.next()) && !l.done; ) {
    const u = l.value;
    a.call(r, u[0], u[1]);
  }
}, matchAll = (r, a) => {
  let o;
  const s = [];
  for (; (o = r.exec(a)) !== null; )
    s.push(o);
  return s;
}, isHTMLForm = kindOfTest("HTMLFormElement"), toCamelCase$1 = (r) => r.toLowerCase().replace(
  /[-_\s]([a-z\d])(\w*)/g,
  function(o, s, l) {
    return s.toUpperCase() + l;
  }
), hasOwnProperty$2 = (({ hasOwnProperty: r }) => (a, o) => r.call(a, o))(Object.prototype), isRegExp$3 = kindOfTest("RegExp"), reduceDescriptors = (r, a) => {
  const o = Object.getOwnPropertyDescriptors(r), s = {};
  forEach(o, (l, u) => {
    let c;
    (c = a(l, u, r)) !== !1 && (s[u] = c || l);
  }), Object.defineProperties(r, s);
}, freezeMethods = (r) => {
  reduceDescriptors(r, (a, o) => {
    if (isFunction$3(r) && ["arguments", "caller", "callee"].indexOf(o) !== -1)
      return !1;
    const s = r[o];
    if (isFunction$3(s)) {
      if (a.enumerable = !1, "writable" in a) {
        a.writable = !1;
        return;
      }
      a.set || (a.set = () => {
        throw Error("Can not rewrite read-only method '" + o + "'");
      });
    }
  });
}, toObjectSet = (r, a) => {
  const o = {}, s = (l) => {
    l.forEach((u) => {
      o[u] = !0;
    });
  };
  return isArray$4(r) ? s(r) : s(String(r).split(a)), o;
}, noop$1 = () => {
}, toFiniteNumber = (r, a) => r != null && Number.isFinite(r = +r) ? r : a, ALPHA = "abcdefghijklmnopqrstuvwxyz", DIGIT = "0123456789", ALPHABET = {
  DIGIT,
  ALPHA,
  ALPHA_DIGIT: ALPHA + ALPHA.toUpperCase() + DIGIT
}, generateString = (r = 16, a = ALPHABET.ALPHA_DIGIT) => {
  let o = "";
  const { length: s } = a;
  for (; r--; )
    o += a[Math.random() * s | 0];
  return o;
};
function isSpecCompliantForm(r) {
  return !!(r && isFunction$3(r.append) && r[Symbol.toStringTag] === "FormData" && r[Symbol.iterator]);
}
const toJSONObject = (r) => {
  const a = new Array(10), o = (s, l) => {
    if (isObject$6(s)) {
      if (a.indexOf(s) >= 0)
        return;
      if (!("toJSON" in s)) {
        a[l] = s;
        const u = isArray$4(s) ? [] : {};
        return forEach(s, (c, d) => {
          const f = o(c, l + 1);
          !isUndefined(f) && (u[d] = f);
        }), a[l] = void 0, u;
      }
    }
    return s;
  };
  return o(r, 0);
}, isAsyncFn = kindOfTest("AsyncFunction"), isThenable = (r) => r && (isObject$6(r) || isFunction$3(r)) && isFunction$3(r.then) && isFunction$3(r.catch), _setImmediate = ((r, a) => r ? setImmediate : a ? ((o, s) => (_global.addEventListener("message", ({ source: l, data: u }) => {
  l === _global && u === o && s.length && s.shift()();
}, !1), (l) => {
  s.push(l), _global.postMessage(o, "*");
}))(`axios@${Math.random()}`, []) : (o) => setTimeout(o))(
  typeof setImmediate == "function",
  isFunction$3(_global.postMessage)
), asap = typeof queueMicrotask < "u" ? queueMicrotask.bind(_global) : typeof process < "u" && process.nextTick || _setImmediate, utils$1 = {
  isArray: isArray$4,
  isArrayBuffer,
  isBuffer,
  isFormData,
  isArrayBufferView,
  isString: isString$3,
  isNumber: isNumber$3,
  isBoolean: isBoolean$2,
  isObject: isObject$6,
  isPlainObject: isPlainObject$2,
  isReadableStream,
  isRequest,
  isResponse,
  isHeaders,
  isUndefined,
  isDate: isDate$3,
  isFile,
  isBlob,
  isRegExp: isRegExp$3,
  isFunction: isFunction$3,
  isStream,
  isURLSearchParams,
  isTypedArray: isTypedArray$1,
  isFileList,
  forEach,
  merge: merge$1,
  extend: extend$2,
  trim: trim$2,
  stripBOM,
  inherits: inherits$1,
  toFlatObject,
  kindOf,
  kindOfTest,
  endsWith,
  toArray: toArray$1,
  forEachEntry,
  matchAll,
  isHTMLForm,
  hasOwnProperty: hasOwnProperty$2,
  hasOwnProp: hasOwnProperty$2,
  // an alias to avoid ESLint no-prototype-builtins detection
  reduceDescriptors,
  freezeMethods,
  toObjectSet,
  toCamelCase: toCamelCase$1,
  noop: noop$1,
  toFiniteNumber,
  findKey: findKey$1,
  global: _global,
  isContextDefined,
  ALPHABET,
  generateString,
  isSpecCompliantForm,
  toJSONObject,
  isAsyncFn,
  isThenable,
  setImmediate: _setImmediate,
  asap
};
function AxiosError(r, a, o, s, l) {
  Error.call(this), Error.captureStackTrace ? Error.captureStackTrace(this, this.constructor) : this.stack = new Error().stack, this.message = r, this.name = "AxiosError", a && (this.code = a), o && (this.config = o), s && (this.request = s), l && (this.response = l, this.status = l.status ? l.status : null);
}
utils$1.inherits(AxiosError, Error, {
  toJSON: function() {
    return {
      // Standard
      message: this.message,
      name: this.name,
      // Microsoft
      description: this.description,
      number: this.number,
      // Mozilla
      fileName: this.fileName,
      lineNumber: this.lineNumber,
      columnNumber: this.columnNumber,
      stack: this.stack,
      // Axios
      config: utils$1.toJSONObject(this.config),
      code: this.code,
      status: this.status
    };
  }
});
const prototype$1 = AxiosError.prototype, descriptors = {};
[
  "ERR_BAD_OPTION_VALUE",
  "ERR_BAD_OPTION",
  "ECONNABORTED",
  "ETIMEDOUT",
  "ERR_NETWORK",
  "ERR_FR_TOO_MANY_REDIRECTS",
  "ERR_DEPRECATED",
  "ERR_BAD_RESPONSE",
  "ERR_BAD_REQUEST",
  "ERR_CANCELED",
  "ERR_NOT_SUPPORT",
  "ERR_INVALID_URL"
  // eslint-disable-next-line func-names
].forEach((r) => {
  descriptors[r] = { value: r };
});
Object.defineProperties(AxiosError, descriptors);
Object.defineProperty(prototype$1, "isAxiosError", { value: !0 });
AxiosError.from = (r, a, o, s, l, u) => {
  const c = Object.create(prototype$1);
  return utils$1.toFlatObject(r, c, function(f) {
    return f !== Error.prototype;
  }, (d) => d !== "isAxiosError"), AxiosError.call(c, r.message, a, o, s, l), c.cause = r, c.name = r.name, u && Object.assign(c, u), c;
};
const httpAdapter = null;
function isVisitable(r) {
  return utils$1.isPlainObject(r) || utils$1.isArray(r);
}
function removeBrackets(r) {
  return utils$1.endsWith(r, "[]") ? r.slice(0, -2) : r;
}
function renderKey(r, a, o) {
  return r ? r.concat(a).map(function(l, u) {
    return l = removeBrackets(l), !o && u ? "[" + l + "]" : l;
  }).join(o ? "." : "") : a;
}
function isFlatArray(r) {
  return utils$1.isArray(r) && !r.some(isVisitable);
}
const predicates = utils$1.toFlatObject(utils$1, {}, null, function(a) {
  return /^is[A-Z]/.test(a);
});
function toFormData(r, a, o) {
  if (!utils$1.isObject(r))
    throw new TypeError("target must be an object");
  a = a || new FormData(), o = utils$1.toFlatObject(o, {
    metaTokens: !0,
    dots: !1,
    indexes: !1
  }, !1, function(C, b) {
    return !utils$1.isUndefined(b[C]);
  });
  const s = o.metaTokens, l = o.visitor || v, u = o.dots, c = o.indexes, f = (o.Blob || typeof Blob < "u" && Blob) && utils$1.isSpecCompliantForm(a);
  if (!utils$1.isFunction(l))
    throw new TypeError("visitor must be a function");
  function p(S) {
    if (S === null) return "";
    if (utils$1.isDate(S))
      return S.toISOString();
    if (!f && utils$1.isBlob(S))
      throw new AxiosError("Blob is not supported. Use a Buffer instead.");
    return utils$1.isArrayBuffer(S) || utils$1.isTypedArray(S) ? f && typeof Blob == "function" ? new Blob([S]) : Buffer.from(S) : S;
  }
  function v(S, C, b) {
    let T = S;
    if (S && !b && typeof S == "object") {
      if (utils$1.endsWith(C, "{}"))
        C = s ? C : C.slice(0, -2), S = JSON.stringify(S);
      else if (utils$1.isArray(S) && isFlatArray(S) || (utils$1.isFileList(S) || utils$1.endsWith(C, "[]")) && (T = utils$1.toArray(S)))
        return C = removeBrackets(C), T.forEach(function(x, $) {
          !(utils$1.isUndefined(x) || x === null) && a.append(
            // eslint-disable-next-line no-nested-ternary
            c === !0 ? renderKey([C], $, u) : c === null ? C : C + "[]",
            p(x)
          );
        }), !1;
    }
    return isVisitable(S) ? !0 : (a.append(renderKey(b, C, u), p(S)), !1);
  }
  const g = [], y = Object.assign(predicates, {
    defaultVisitor: v,
    convertValue: p,
    isVisitable
  });
  function _(S, C) {
    if (!utils$1.isUndefined(S)) {
      if (g.indexOf(S) !== -1)
        throw Error("Circular reference detected in " + C.join("."));
      g.push(S), utils$1.forEach(S, function(T, E) {
        (!(utils$1.isUndefined(T) || T === null) && l.call(
          a,
          T,
          utils$1.isString(E) ? E.trim() : E,
          C,
          y
        )) === !0 && _(T, C ? C.concat(E) : [E]);
      }), g.pop();
    }
  }
  if (!utils$1.isObject(r))
    throw new TypeError("data must be an object");
  return _(r), a;
}
function encode$1(r) {
  const a = {
    "!": "%21",
    "'": "%27",
    "(": "%28",
    ")": "%29",
    "~": "%7E",
    "%20": "+",
    "%00": "\0"
  };
  return encodeURIComponent(r).replace(/[!'()~]|%20|%00/g, function(s) {
    return a[s];
  });
}
function AxiosURLSearchParams(r, a) {
  this._pairs = [], r && toFormData(r, this, a);
}
const prototype = AxiosURLSearchParams.prototype;
prototype.append = function(a, o) {
  this._pairs.push([a, o]);
};
prototype.toString = function(a) {
  const o = a ? function(s) {
    return a.call(this, s, encode$1);
  } : encode$1;
  return this._pairs.map(function(l) {
    return o(l[0]) + "=" + o(l[1]);
  }, "").join("&");
};
function encode(r) {
  return encodeURIComponent(r).replace(/%3A/gi, ":").replace(/%24/g, "$").replace(/%2C/gi, ",").replace(/%20/g, "+").replace(/%5B/gi, "[").replace(/%5D/gi, "]");
}
function buildURL(r, a, o) {
  if (!a)
    return r;
  const s = o && o.encode || encode;
  utils$1.isFunction(o) && (o = {
    serialize: o
  });
  const l = o && o.serialize;
  let u;
  if (l ? u = l(a, o) : u = utils$1.isURLSearchParams(a) ? a.toString() : new AxiosURLSearchParams(a, o).toString(s), u) {
    const c = r.indexOf("#");
    c !== -1 && (r = r.slice(0, c)), r += (r.indexOf("?") === -1 ? "?" : "&") + u;
  }
  return r;
}
class InterceptorManager {
  constructor() {
    this.handlers = [];
  }
  /**
   * Add a new interceptor to the stack
   *
   * @param {Function} fulfilled The function to handle `then` for a `Promise`
   * @param {Function} rejected The function to handle `reject` for a `Promise`
   *
   * @return {Number} An ID used to remove interceptor later
   */
  use(a, o, s) {
    return this.handlers.push({
      fulfilled: a,
      rejected: o,
      synchronous: s ? s.synchronous : !1,
      runWhen: s ? s.runWhen : null
    }), this.handlers.length - 1;
  }
  /**
   * Remove an interceptor from the stack
   *
   * @param {Number} id The ID that was returned by `use`
   *
   * @returns {Boolean} `true` if the interceptor was removed, `false` otherwise
   */
  eject(a) {
    this.handlers[a] && (this.handlers[a] = null);
  }
  /**
   * Clear all interceptors from the stack
   *
   * @returns {void}
   */
  clear() {
    this.handlers && (this.handlers = []);
  }
  /**
   * Iterate over all the registered interceptors
   *
   * This method is particularly useful for skipping over any
   * interceptors that may have become `null` calling `eject`.
   *
   * @param {Function} fn The function to call for each interceptor
   *
   * @returns {void}
   */
  forEach(a) {
    utils$1.forEach(this.handlers, function(s) {
      s !== null && a(s);
    });
  }
}
const transitionalDefaults = {
  silentJSONParsing: !0,
  forcedJSONParsing: !0,
  clarifyTimeoutError: !1
}, URLSearchParams$1 = typeof URLSearchParams < "u" ? URLSearchParams : AxiosURLSearchParams, FormData$1 = typeof FormData < "u" ? FormData : null, Blob$1 = typeof Blob < "u" ? Blob : null, platform$2 = {
  isBrowser: !0,
  classes: {
    URLSearchParams: URLSearchParams$1,
    FormData: FormData$1,
    Blob: Blob$1
  },
  protocols: ["http", "https", "file", "blob", "url", "data"]
}, hasBrowserEnv = typeof window < "u" && typeof document < "u", _navigator = typeof navigator == "object" && navigator || void 0, hasStandardBrowserEnv = hasBrowserEnv && (!_navigator || ["ReactNative", "NativeScript", "NS"].indexOf(_navigator.product) < 0), hasStandardBrowserWebWorkerEnv = typeof WorkerGlobalScope < "u" && // eslint-disable-next-line no-undef
self instanceof WorkerGlobalScope && typeof self.importScripts == "function", origin = hasBrowserEnv && window.location.href || "http://localhost", utils = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  hasBrowserEnv,
  hasStandardBrowserEnv,
  hasStandardBrowserWebWorkerEnv,
  navigator: _navigator,
  origin
}, Symbol.toStringTag, { value: "Module" })), platform$1 = {
  ...utils,
  ...platform$2
};
function toURLEncodedForm(r, a) {
  return toFormData(r, new platform$1.classes.URLSearchParams(), Object.assign({
    visitor: function(o, s, l, u) {
      return platform$1.isNode && utils$1.isBuffer(o) ? (this.append(s, o.toString("base64")), !1) : u.defaultVisitor.apply(this, arguments);
    }
  }, a));
}
function parsePropPath(r) {
  return utils$1.matchAll(/\w+|\[(\w*)]/g, r).map((a) => a[0] === "[]" ? "" : a[1] || a[0]);
}
function arrayToObject(r) {
  const a = {}, o = Object.keys(r);
  let s;
  const l = o.length;
  let u;
  for (s = 0; s < l; s++)
    u = o[s], a[u] = r[u];
  return a;
}
function formDataToJSON(r) {
  function a(o, s, l, u) {
    let c = o[u++];
    if (c === "__proto__") return !0;
    const d = Number.isFinite(+c), f = u >= o.length;
    return c = !c && utils$1.isArray(l) ? l.length : c, f ? (utils$1.hasOwnProp(l, c) ? l[c] = [l[c], s] : l[c] = s, !d) : ((!l[c] || !utils$1.isObject(l[c])) && (l[c] = []), a(o, s, l[c], u) && utils$1.isArray(l[c]) && (l[c] = arrayToObject(l[c])), !d);
  }
  if (utils$1.isFormData(r) && utils$1.isFunction(r.entries)) {
    const o = {};
    return utils$1.forEachEntry(r, (s, l) => {
      a(parsePropPath(s), l, o, 0);
    }), o;
  }
  return null;
}
function stringifySafely(r, a, o) {
  if (utils$1.isString(r))
    try {
      return (a || JSON.parse)(r), utils$1.trim(r);
    } catch (s) {
      if (s.name !== "SyntaxError")
        throw s;
    }
  return (0, JSON.stringify)(r);
}
const defaults$2 = {
  transitional: transitionalDefaults,
  adapter: ["xhr", "http", "fetch"],
  transformRequest: [function(a, o) {
    const s = o.getContentType() || "", l = s.indexOf("application/json") > -1, u = utils$1.isObject(a);
    if (u && utils$1.isHTMLForm(a) && (a = new FormData(a)), utils$1.isFormData(a))
      return l ? JSON.stringify(formDataToJSON(a)) : a;
    if (utils$1.isArrayBuffer(a) || utils$1.isBuffer(a) || utils$1.isStream(a) || utils$1.isFile(a) || utils$1.isBlob(a) || utils$1.isReadableStream(a))
      return a;
    if (utils$1.isArrayBufferView(a))
      return a.buffer;
    if (utils$1.isURLSearchParams(a))
      return o.setContentType("application/x-www-form-urlencoded;charset=utf-8", !1), a.toString();
    let d;
    if (u) {
      if (s.indexOf("application/x-www-form-urlencoded") > -1)
        return toURLEncodedForm(a, this.formSerializer).toString();
      if ((d = utils$1.isFileList(a)) || s.indexOf("multipart/form-data") > -1) {
        const f = this.env && this.env.FormData;
        return toFormData(
          d ? { "files[]": a } : a,
          f && new f(),
          this.formSerializer
        );
      }
    }
    return u || l ? (o.setContentType("application/json", !1), stringifySafely(a)) : a;
  }],
  transformResponse: [function(a) {
    const o = this.transitional || defaults$2.transitional, s = o && o.forcedJSONParsing, l = this.responseType === "json";
    if (utils$1.isResponse(a) || utils$1.isReadableStream(a))
      return a;
    if (a && utils$1.isString(a) && (s && !this.responseType || l)) {
      const c = !(o && o.silentJSONParsing) && l;
      try {
        return JSON.parse(a);
      } catch (d) {
        if (c)
          throw d.name === "SyntaxError" ? AxiosError.from(d, AxiosError.ERR_BAD_RESPONSE, this, null, this.response) : d;
      }
    }
    return a;
  }],
  /**
   * A timeout in milliseconds to abort a request. If set to 0 (default) a
   * timeout is not created.
   */
  timeout: 0,
  xsrfCookieName: "XSRF-TOKEN",
  xsrfHeaderName: "X-XSRF-TOKEN",
  maxContentLength: -1,
  maxBodyLength: -1,
  env: {
    FormData: platform$1.classes.FormData,
    Blob: platform$1.classes.Blob
  },
  validateStatus: function(a) {
    return a >= 200 && a < 300;
  },
  headers: {
    common: {
      Accept: "application/json, text/plain, */*",
      "Content-Type": void 0
    }
  }
};
utils$1.forEach(["delete", "get", "head", "post", "put", "patch"], (r) => {
  defaults$2.headers[r] = {};
});
const ignoreDuplicateOf = utils$1.toObjectSet([
  "age",
  "authorization",
  "content-length",
  "content-type",
  "etag",
  "expires",
  "from",
  "host",
  "if-modified-since",
  "if-unmodified-since",
  "last-modified",
  "location",
  "max-forwards",
  "proxy-authorization",
  "referer",
  "retry-after",
  "user-agent"
]), parseHeaders = (r) => {
  const a = {};
  let o, s, l;
  return r && r.split(`
`).forEach(function(c) {
    l = c.indexOf(":"), o = c.substring(0, l).trim().toLowerCase(), s = c.substring(l + 1).trim(), !(!o || a[o] && ignoreDuplicateOf[o]) && (o === "set-cookie" ? a[o] ? a[o].push(s) : a[o] = [s] : a[o] = a[o] ? a[o] + ", " + s : s);
  }), a;
}, $internals = Symbol("internals");
function normalizeHeader(r) {
  return r && String(r).trim().toLowerCase();
}
function normalizeValue(r) {
  return r === !1 || r == null ? r : utils$1.isArray(r) ? r.map(normalizeValue) : String(r);
}
function parseTokens(r) {
  const a = /* @__PURE__ */ Object.create(null), o = /([^\s,;=]+)\s*(?:=\s*([^,;]+))?/g;
  let s;
  for (; s = o.exec(r); )
    a[s[1]] = s[2];
  return a;
}
const isValidHeaderName = (r) => /^[-_a-zA-Z0-9^`|~,!#$%&'*+.]+$/.test(r.trim());
function matchHeaderValue(r, a, o, s, l) {
  if (utils$1.isFunction(s))
    return s.call(this, a, o);
  if (l && (a = o), !!utils$1.isString(a)) {
    if (utils$1.isString(s))
      return a.indexOf(s) !== -1;
    if (utils$1.isRegExp(s))
      return s.test(a);
  }
}
function formatHeader(r) {
  return r.trim().toLowerCase().replace(/([a-z\d])(\w*)/g, (a, o, s) => o.toUpperCase() + s);
}
function buildAccessors(r, a) {
  const o = utils$1.toCamelCase(" " + a);
  ["get", "set", "has"].forEach((s) => {
    Object.defineProperty(r, s + o, {
      value: function(l, u, c) {
        return this[s].call(this, a, l, u, c);
      },
      configurable: !0
    });
  });
}
class AxiosHeaders {
  constructor(a) {
    a && this.set(a);
  }
  set(a, o, s) {
    const l = this;
    function u(d, f, p) {
      const v = normalizeHeader(f);
      if (!v)
        throw new Error("header name must be a non-empty string");
      const g = utils$1.findKey(l, v);
      (!g || l[g] === void 0 || p === !0 || p === void 0 && l[g] !== !1) && (l[g || f] = normalizeValue(d));
    }
    const c = (d, f) => utils$1.forEach(d, (p, v) => u(p, v, f));
    if (utils$1.isPlainObject(a) || a instanceof this.constructor)
      c(a, o);
    else if (utils$1.isString(a) && (a = a.trim()) && !isValidHeaderName(a))
      c(parseHeaders(a), o);
    else if (utils$1.isHeaders(a))
      for (const [d, f] of a.entries())
        u(f, d, s);
    else
      a != null && u(o, a, s);
    return this;
  }
  get(a, o) {
    if (a = normalizeHeader(a), a) {
      const s = utils$1.findKey(this, a);
      if (s) {
        const l = this[s];
        if (!o)
          return l;
        if (o === !0)
          return parseTokens(l);
        if (utils$1.isFunction(o))
          return o.call(this, l, s);
        if (utils$1.isRegExp(o))
          return o.exec(l);
        throw new TypeError("parser must be boolean|regexp|function");
      }
    }
  }
  has(a, o) {
    if (a = normalizeHeader(a), a) {
      const s = utils$1.findKey(this, a);
      return !!(s && this[s] !== void 0 && (!o || matchHeaderValue(this, this[s], s, o)));
    }
    return !1;
  }
  delete(a, o) {
    const s = this;
    let l = !1;
    function u(c) {
      if (c = normalizeHeader(c), c) {
        const d = utils$1.findKey(s, c);
        d && (!o || matchHeaderValue(s, s[d], d, o)) && (delete s[d], l = !0);
      }
    }
    return utils$1.isArray(a) ? a.forEach(u) : u(a), l;
  }
  clear(a) {
    const o = Object.keys(this);
    let s = o.length, l = !1;
    for (; s--; ) {
      const u = o[s];
      (!a || matchHeaderValue(this, this[u], u, a, !0)) && (delete this[u], l = !0);
    }
    return l;
  }
  normalize(a) {
    const o = this, s = {};
    return utils$1.forEach(this, (l, u) => {
      const c = utils$1.findKey(s, u);
      if (c) {
        o[c] = normalizeValue(l), delete o[u];
        return;
      }
      const d = a ? formatHeader(u) : String(u).trim();
      d !== u && delete o[u], o[d] = normalizeValue(l), s[d] = !0;
    }), this;
  }
  concat(...a) {
    return this.constructor.concat(this, ...a);
  }
  toJSON(a) {
    const o = /* @__PURE__ */ Object.create(null);
    return utils$1.forEach(this, (s, l) => {
      s != null && s !== !1 && (o[l] = a && utils$1.isArray(s) ? s.join(", ") : s);
    }), o;
  }
  [Symbol.iterator]() {
    return Object.entries(this.toJSON())[Symbol.iterator]();
  }
  toString() {
    return Object.entries(this.toJSON()).map(([a, o]) => a + ": " + o).join(`
`);
  }
  get [Symbol.toStringTag]() {
    return "AxiosHeaders";
  }
  static from(a) {
    return a instanceof this ? a : new this(a);
  }
  static concat(a, ...o) {
    const s = new this(a);
    return o.forEach((l) => s.set(l)), s;
  }
  static accessor(a) {
    const s = (this[$internals] = this[$internals] = {
      accessors: {}
    }).accessors, l = this.prototype;
    function u(c) {
      const d = normalizeHeader(c);
      s[d] || (buildAccessors(l, c), s[d] = !0);
    }
    return utils$1.isArray(a) ? a.forEach(u) : u(a), this;
  }
}
AxiosHeaders.accessor(["Content-Type", "Content-Length", "Accept", "Accept-Encoding", "User-Agent", "Authorization"]);
utils$1.reduceDescriptors(AxiosHeaders.prototype, ({ value: r }, a) => {
  let o = a[0].toUpperCase() + a.slice(1);
  return {
    get: () => r,
    set(s) {
      this[o] = s;
    }
  };
});
utils$1.freezeMethods(AxiosHeaders);
function transformData(r, a) {
  const o = this || defaults$2, s = a || o, l = AxiosHeaders.from(s.headers);
  let u = s.data;
  return utils$1.forEach(r, function(d) {
    u = d.call(o, u, l.normalize(), a ? a.status : void 0);
  }), l.normalize(), u;
}
function isCancel(r) {
  return !!(r && r.__CANCEL__);
}
function CanceledError(r, a, o) {
  AxiosError.call(this, r ?? "canceled", AxiosError.ERR_CANCELED, a, o), this.name = "CanceledError";
}
utils$1.inherits(CanceledError, AxiosError, {
  __CANCEL__: !0
});
function settle(r, a, o) {
  const s = o.config.validateStatus;
  !o.status || !s || s(o.status) ? r(o) : a(new AxiosError(
    "Request failed with status code " + o.status,
    [AxiosError.ERR_BAD_REQUEST, AxiosError.ERR_BAD_RESPONSE][Math.floor(o.status / 100) - 4],
    o.config,
    o.request,
    o
  ));
}
function parseProtocol(r) {
  const a = /^([-+\w]{1,25})(:?\/\/|:)/.exec(r);
  return a && a[1] || "";
}
function speedometer(r, a) {
  r = r || 10;
  const o = new Array(r), s = new Array(r);
  let l = 0, u = 0, c;
  return a = a !== void 0 ? a : 1e3, function(f) {
    const p = Date.now(), v = s[u];
    c || (c = p), o[l] = f, s[l] = p;
    let g = u, y = 0;
    for (; g !== l; )
      y += o[g++], g = g % r;
    if (l = (l + 1) % r, l === u && (u = (u + 1) % r), p - c < a)
      return;
    const _ = v && p - v;
    return _ ? Math.round(y * 1e3 / _) : void 0;
  };
}
function throttle$2(r, a) {
  let o = 0, s = 1e3 / a, l, u;
  const c = (p, v = Date.now()) => {
    o = v, l = null, u && (clearTimeout(u), u = null), r.apply(null, p);
  };
  return [(...p) => {
    const v = Date.now(), g = v - o;
    g >= s ? c(p, v) : (l = p, u || (u = setTimeout(() => {
      u = null, c(l);
    }, s - g)));
  }, () => l && c(l)];
}
const progressEventReducer = (r, a, o = 3) => {
  let s = 0;
  const l = speedometer(50, 250);
  return throttle$2((u) => {
    const c = u.loaded, d = u.lengthComputable ? u.total : void 0, f = c - s, p = l(f), v = c <= d;
    s = c;
    const g = {
      loaded: c,
      total: d,
      progress: d ? c / d : void 0,
      bytes: f,
      rate: p || void 0,
      estimated: p && d && v ? (d - c) / p : void 0,
      event: u,
      lengthComputable: d != null,
      [a ? "download" : "upload"]: !0
    };
    r(g);
  }, o);
}, progressEventDecorator = (r, a) => {
  const o = r != null;
  return [(s) => a[0]({
    lengthComputable: o,
    total: r,
    loaded: s
  }), a[1]];
}, asyncDecorator = (r) => (...a) => utils$1.asap(() => r(...a)), isURLSameOrigin = platform$1.hasStandardBrowserEnv ? /* @__PURE__ */ ((r, a) => (o) => (o = new URL(o, platform$1.origin), r.protocol === o.protocol && r.host === o.host && (a || r.port === o.port)))(
  new URL(platform$1.origin),
  platform$1.navigator && /(msie|trident)/i.test(platform$1.navigator.userAgent)
) : () => !0, cookies = platform$1.hasStandardBrowserEnv ? (
  // Standard browser envs support document.cookie
  {
    write(r, a, o, s, l, u) {
      const c = [r + "=" + encodeURIComponent(a)];
      utils$1.isNumber(o) && c.push("expires=" + new Date(o).toGMTString()), utils$1.isString(s) && c.push("path=" + s), utils$1.isString(l) && c.push("domain=" + l), u === !0 && c.push("secure"), document.cookie = c.join("; ");
    },
    read(r) {
      const a = document.cookie.match(new RegExp("(^|;\\s*)(" + r + ")=([^;]*)"));
      return a ? decodeURIComponent(a[3]) : null;
    },
    remove(r) {
      this.write(r, "", Date.now() - 864e5);
    }
  }
) : (
  // Non-standard browser env (web workers, react-native) lack needed support.
  {
    write() {
    },
    read() {
      return null;
    },
    remove() {
    }
  }
);
function isAbsoluteURL(r) {
  return /^([a-z][a-z\d+\-.]*:)?\/\//i.test(r);
}
function combineURLs(r, a) {
  return a ? r.replace(/\/?\/$/, "") + "/" + a.replace(/^\/+/, "") : r;
}
function buildFullPath(r, a) {
  return r && !isAbsoluteURL(a) ? combineURLs(r, a) : a;
}
const headersToObject = (r) => r instanceof AxiosHeaders ? { ...r } : r;
function mergeConfig(r, a) {
  a = a || {};
  const o = {};
  function s(p, v, g, y) {
    return utils$1.isPlainObject(p) && utils$1.isPlainObject(v) ? utils$1.merge.call({ caseless: y }, p, v) : utils$1.isPlainObject(v) ? utils$1.merge({}, v) : utils$1.isArray(v) ? v.slice() : v;
  }
  function l(p, v, g, y) {
    if (utils$1.isUndefined(v)) {
      if (!utils$1.isUndefined(p))
        return s(void 0, p, g, y);
    } else return s(p, v, g, y);
  }
  function u(p, v) {
    if (!utils$1.isUndefined(v))
      return s(void 0, v);
  }
  function c(p, v) {
    if (utils$1.isUndefined(v)) {
      if (!utils$1.isUndefined(p))
        return s(void 0, p);
    } else return s(void 0, v);
  }
  function d(p, v, g) {
    if (g in a)
      return s(p, v);
    if (g in r)
      return s(void 0, p);
  }
  const f = {
    url: u,
    method: u,
    data: u,
    baseURL: c,
    transformRequest: c,
    transformResponse: c,
    paramsSerializer: c,
    timeout: c,
    timeoutMessage: c,
    withCredentials: c,
    withXSRFToken: c,
    adapter: c,
    responseType: c,
    xsrfCookieName: c,
    xsrfHeaderName: c,
    onUploadProgress: c,
    onDownloadProgress: c,
    decompress: c,
    maxContentLength: c,
    maxBodyLength: c,
    beforeRedirect: c,
    transport: c,
    httpAgent: c,
    httpsAgent: c,
    cancelToken: c,
    socketPath: c,
    responseEncoding: c,
    validateStatus: d,
    headers: (p, v, g) => l(headersToObject(p), headersToObject(v), g, !0)
  };
  return utils$1.forEach(Object.keys(Object.assign({}, r, a)), function(v) {
    const g = f[v] || l, y = g(r[v], a[v], v);
    utils$1.isUndefined(y) && g !== d || (o[v] = y);
  }), o;
}
const resolveConfig = (r) => {
  const a = mergeConfig({}, r);
  let { data: o, withXSRFToken: s, xsrfHeaderName: l, xsrfCookieName: u, headers: c, auth: d } = a;
  a.headers = c = AxiosHeaders.from(c), a.url = buildURL(buildFullPath(a.baseURL, a.url), r.params, r.paramsSerializer), d && c.set(
    "Authorization",
    "Basic " + btoa((d.username || "") + ":" + (d.password ? unescape(encodeURIComponent(d.password)) : ""))
  );
  let f;
  if (utils$1.isFormData(o)) {
    if (platform$1.hasStandardBrowserEnv || platform$1.hasStandardBrowserWebWorkerEnv)
      c.setContentType(void 0);
    else if ((f = c.getContentType()) !== !1) {
      const [p, ...v] = f ? f.split(";").map((g) => g.trim()).filter(Boolean) : [];
      c.setContentType([p || "multipart/form-data", ...v].join("; "));
    }
  }
  if (platform$1.hasStandardBrowserEnv && (s && utils$1.isFunction(s) && (s = s(a)), s || s !== !1 && isURLSameOrigin(a.url))) {
    const p = l && u && cookies.read(u);
    p && c.set(l, p);
  }
  return a;
}, isXHRAdapterSupported = typeof XMLHttpRequest < "u", xhrAdapter = isXHRAdapterSupported && function(r) {
  return new Promise(function(o, s) {
    const l = resolveConfig(r);
    let u = l.data;
    const c = AxiosHeaders.from(l.headers).normalize();
    let { responseType: d, onUploadProgress: f, onDownloadProgress: p } = l, v, g, y, _, S;
    function C() {
      _ && _(), S && S(), l.cancelToken && l.cancelToken.unsubscribe(v), l.signal && l.signal.removeEventListener("abort", v);
    }
    let b = new XMLHttpRequest();
    b.open(l.method.toUpperCase(), l.url, !0), b.timeout = l.timeout;
    function T() {
      if (!b)
        return;
      const x = AxiosHeaders.from(
        "getAllResponseHeaders" in b && b.getAllResponseHeaders()
      ), A = {
        data: !d || d === "text" || d === "json" ? b.responseText : b.response,
        status: b.status,
        statusText: b.statusText,
        headers: x,
        config: r,
        request: b
      };
      settle(function(P) {
        o(P), C();
      }, function(P) {
        s(P), C();
      }, A), b = null;
    }
    "onloadend" in b ? b.onloadend = T : b.onreadystatechange = function() {
      !b || b.readyState !== 4 || b.status === 0 && !(b.responseURL && b.responseURL.indexOf("file:") === 0) || setTimeout(T);
    }, b.onabort = function() {
      b && (s(new AxiosError("Request aborted", AxiosError.ECONNABORTED, r, b)), b = null);
    }, b.onerror = function() {
      s(new AxiosError("Network Error", AxiosError.ERR_NETWORK, r, b)), b = null;
    }, b.ontimeout = function() {
      let $ = l.timeout ? "timeout of " + l.timeout + "ms exceeded" : "timeout exceeded";
      const A = l.transitional || transitionalDefaults;
      l.timeoutErrorMessage && ($ = l.timeoutErrorMessage), s(new AxiosError(
        $,
        A.clarifyTimeoutError ? AxiosError.ETIMEDOUT : AxiosError.ECONNABORTED,
        r,
        b
      )), b = null;
    }, u === void 0 && c.setContentType(null), "setRequestHeader" in b && utils$1.forEach(c.toJSON(), function($, A) {
      b.setRequestHeader(A, $);
    }), utils$1.isUndefined(l.withCredentials) || (b.withCredentials = !!l.withCredentials), d && d !== "json" && (b.responseType = l.responseType), p && ([y, S] = progressEventReducer(p, !0), b.addEventListener("progress", y)), f && b.upload && ([g, _] = progressEventReducer(f), b.upload.addEventListener("progress", g), b.upload.addEventListener("loadend", _)), (l.cancelToken || l.signal) && (v = (x) => {
      b && (s(!x || x.type ? new CanceledError(null, r, b) : x), b.abort(), b = null);
    }, l.cancelToken && l.cancelToken.subscribe(v), l.signal && (l.signal.aborted ? v() : l.signal.addEventListener("abort", v)));
    const E = parseProtocol(l.url);
    if (E && platform$1.protocols.indexOf(E) === -1) {
      s(new AxiosError("Unsupported protocol " + E + ":", AxiosError.ERR_BAD_REQUEST, r));
      return;
    }
    b.send(u || null);
  });
}, composeSignals = (r, a) => {
  const { length: o } = r = r ? r.filter(Boolean) : [];
  if (a || o) {
    let s = new AbortController(), l;
    const u = function(p) {
      if (!l) {
        l = !0, d();
        const v = p instanceof Error ? p : this.reason;
        s.abort(v instanceof AxiosError ? v : new CanceledError(v instanceof Error ? v.message : v));
      }
    };
    let c = a && setTimeout(() => {
      c = null, u(new AxiosError(`timeout ${a} of ms exceeded`, AxiosError.ETIMEDOUT));
    }, a);
    const d = () => {
      r && (c && clearTimeout(c), c = null, r.forEach((p) => {
        p.unsubscribe ? p.unsubscribe(u) : p.removeEventListener("abort", u);
      }), r = null);
    };
    r.forEach((p) => p.addEventListener("abort", u));
    const { signal: f } = s;
    return f.unsubscribe = () => utils$1.asap(d), f;
  }
}, streamChunk = function* (r, a) {
  let o = r.byteLength;
  if (o < a) {
    yield r;
    return;
  }
  let s = 0, l;
  for (; s < o; )
    l = s + a, yield r.slice(s, l), s = l;
}, readBytes = async function* (r, a) {
  for await (const o of readStream(r))
    yield* streamChunk(o, a);
}, readStream = async function* (r) {
  if (r[Symbol.asyncIterator]) {
    yield* r;
    return;
  }
  const a = r.getReader();
  try {
    for (; ; ) {
      const { done: o, value: s } = await a.read();
      if (o)
        break;
      yield s;
    }
  } finally {
    await a.cancel();
  }
}, trackStream = (r, a, o, s) => {
  const l = readBytes(r, a);
  let u = 0, c, d = (f) => {
    c || (c = !0, s && s(f));
  };
  return new ReadableStream({
    async pull(f) {
      try {
        const { done: p, value: v } = await l.next();
        if (p) {
          d(), f.close();
          return;
        }
        let g = v.byteLength;
        if (o) {
          let y = u += g;
          o(y);
        }
        f.enqueue(new Uint8Array(v));
      } catch (p) {
        throw d(p), p;
      }
    },
    cancel(f) {
      return d(f), l.return();
    }
  }, {
    highWaterMark: 2
  });
}, isFetchSupported = typeof fetch == "function" && typeof Request == "function" && typeof Response == "function", isReadableStreamSupported = isFetchSupported && typeof ReadableStream == "function", encodeText = isFetchSupported && (typeof TextEncoder == "function" ? /* @__PURE__ */ ((r) => (a) => r.encode(a))(new TextEncoder()) : async (r) => new Uint8Array(await new Response(r).arrayBuffer())), test = (r, ...a) => {
  try {
    return !!r(...a);
  } catch {
    return !1;
  }
}, supportsRequestStream = isReadableStreamSupported && test(() => {
  let r = !1;
  const a = new Request(platform$1.origin, {
    body: new ReadableStream(),
    method: "POST",
    get duplex() {
      return r = !0, "half";
    }
  }).headers.has("Content-Type");
  return r && !a;
}), DEFAULT_CHUNK_SIZE = 64 * 1024, supportsResponseStream = isReadableStreamSupported && test(() => utils$1.isReadableStream(new Response("").body)), resolvers = {
  stream: supportsResponseStream && ((r) => r.body)
};
isFetchSupported && ((r) => {
  ["text", "arrayBuffer", "blob", "formData", "stream"].forEach((a) => {
    !resolvers[a] && (resolvers[a] = utils$1.isFunction(r[a]) ? (o) => o[a]() : (o, s) => {
      throw new AxiosError(`Response type '${a}' is not supported`, AxiosError.ERR_NOT_SUPPORT, s);
    });
  });
})(new Response());
const getBodyLength = async (r) => {
  if (r == null)
    return 0;
  if (utils$1.isBlob(r))
    return r.size;
  if (utils$1.isSpecCompliantForm(r))
    return (await new Request(platform$1.origin, {
      method: "POST",
      body: r
    }).arrayBuffer()).byteLength;
  if (utils$1.isArrayBufferView(r) || utils$1.isArrayBuffer(r))
    return r.byteLength;
  if (utils$1.isURLSearchParams(r) && (r = r + ""), utils$1.isString(r))
    return (await encodeText(r)).byteLength;
}, resolveBodyLength = async (r, a) => {
  const o = utils$1.toFiniteNumber(r.getContentLength());
  return o ?? getBodyLength(a);
}, fetchAdapter = isFetchSupported && (async (r) => {
  let {
    url: a,
    method: o,
    data: s,
    signal: l,
    cancelToken: u,
    timeout: c,
    onDownloadProgress: d,
    onUploadProgress: f,
    responseType: p,
    headers: v,
    withCredentials: g = "same-origin",
    fetchOptions: y
  } = resolveConfig(r);
  p = p ? (p + "").toLowerCase() : "text";
  let _ = composeSignals([l, u && u.toAbortSignal()], c), S;
  const C = _ && _.unsubscribe && (() => {
    _.unsubscribe();
  });
  let b;
  try {
    if (f && supportsRequestStream && o !== "get" && o !== "head" && (b = await resolveBodyLength(v, s)) !== 0) {
      let A = new Request(a, {
        method: "POST",
        body: s,
        duplex: "half"
      }), N;
      if (utils$1.isFormData(s) && (N = A.headers.get("content-type")) && v.setContentType(N), A.body) {
        const [P, L] = progressEventDecorator(
          b,
          progressEventReducer(asyncDecorator(f))
        );
        s = trackStream(A.body, DEFAULT_CHUNK_SIZE, P, L);
      }
    }
    utils$1.isString(g) || (g = g ? "include" : "omit");
    const T = "credentials" in Request.prototype;
    S = new Request(a, {
      ...y,
      signal: _,
      method: o.toUpperCase(),
      headers: v.normalize().toJSON(),
      body: s,
      duplex: "half",
      credentials: T ? g : void 0
    });
    let E = await fetch(S);
    const x = supportsResponseStream && (p === "stream" || p === "response");
    if (supportsResponseStream && (d || x && C)) {
      const A = {};
      ["status", "statusText", "headers"].forEach((O) => {
        A[O] = E[O];
      });
      const N = utils$1.toFiniteNumber(E.headers.get("content-length")), [P, L] = d && progressEventDecorator(
        N,
        progressEventReducer(asyncDecorator(d), !0)
      ) || [];
      E = new Response(
        trackStream(E.body, DEFAULT_CHUNK_SIZE, P, () => {
          L && L(), C && C();
        }),
        A
      );
    }
    p = p || "text";
    let $ = await resolvers[utils$1.findKey(resolvers, p) || "text"](E, r);
    return !x && C && C(), await new Promise((A, N) => {
      settle(A, N, {
        data: $,
        headers: AxiosHeaders.from(E.headers),
        status: E.status,
        statusText: E.statusText,
        config: r,
        request: S
      });
    });
  } catch (T) {
    throw C && C(), T && T.name === "TypeError" && /fetch/i.test(T.message) ? Object.assign(
      new AxiosError("Network Error", AxiosError.ERR_NETWORK, r, S),
      {
        cause: T.cause || T
      }
    ) : AxiosError.from(T, T && T.code, r, S);
  }
}), knownAdapters = {
  http: httpAdapter,
  xhr: xhrAdapter,
  fetch: fetchAdapter
};
utils$1.forEach(knownAdapters, (r, a) => {
  if (r) {
    try {
      Object.defineProperty(r, "name", { value: a });
    } catch {
    }
    Object.defineProperty(r, "adapterName", { value: a });
  }
});
const renderReason = (r) => `- ${r}`, isResolvedHandle = (r) => utils$1.isFunction(r) || r === null || r === !1, adapters = {
  getAdapter: (r) => {
    r = utils$1.isArray(r) ? r : [r];
    const { length: a } = r;
    let o, s;
    const l = {};
    for (let u = 0; u < a; u++) {
      o = r[u];
      let c;
      if (s = o, !isResolvedHandle(o) && (s = knownAdapters[(c = String(o)).toLowerCase()], s === void 0))
        throw new AxiosError(`Unknown adapter '${c}'`);
      if (s)
        break;
      l[c || "#" + u] = s;
    }
    if (!s) {
      const u = Object.entries(l).map(
        ([d, f]) => `adapter ${d} ` + (f === !1 ? "is not supported by the environment" : "is not available in the build")
      );
      let c = a ? u.length > 1 ? `since :
` + u.map(renderReason).join(`
`) : " " + renderReason(u[0]) : "as no adapter specified";
      throw new AxiosError(
        "There is no suitable adapter to dispatch the request " + c,
        "ERR_NOT_SUPPORT"
      );
    }
    return s;
  },
  adapters: knownAdapters
};
function throwIfCancellationRequested(r) {
  if (r.cancelToken && r.cancelToken.throwIfRequested(), r.signal && r.signal.aborted)
    throw new CanceledError(null, r);
}
function dispatchRequest(r) {
  return throwIfCancellationRequested(r), r.headers = AxiosHeaders.from(r.headers), r.data = transformData.call(
    r,
    r.transformRequest
  ), ["post", "put", "patch"].indexOf(r.method) !== -1 && r.headers.setContentType("application/x-www-form-urlencoded", !1), adapters.getAdapter(r.adapter || defaults$2.adapter)(r).then(function(s) {
    return throwIfCancellationRequested(r), s.data = transformData.call(
      r,
      r.transformResponse,
      s
    ), s.headers = AxiosHeaders.from(s.headers), s;
  }, function(s) {
    return isCancel(s) || (throwIfCancellationRequested(r), s && s.response && (s.response.data = transformData.call(
      r,
      r.transformResponse,
      s.response
    ), s.response.headers = AxiosHeaders.from(s.response.headers))), Promise.reject(s);
  });
}
const VERSION$2 = "1.7.9", validators$1 = {};
["object", "boolean", "number", "function", "string", "symbol"].forEach((r, a) => {
  validators$1[r] = function(s) {
    return typeof s === r || "a" + (a < 1 ? "n " : " ") + r;
  };
});
const deprecatedWarnings = {};
validators$1.transitional = function(a, o, s) {
  function l(u, c) {
    return "[Axios v" + VERSION$2 + "] Transitional option '" + u + "'" + c + (s ? ". " + s : "");
  }
  return (u, c, d) => {
    if (a === !1)
      throw new AxiosError(
        l(c, " has been removed" + (o ? " in " + o : "")),
        AxiosError.ERR_DEPRECATED
      );
    return o && !deprecatedWarnings[c] && (deprecatedWarnings[c] = !0, console.warn(
      l(
        c,
        " has been deprecated since v" + o + " and will be removed in the near future"
      )
    )), a ? a(u, c, d) : !0;
  };
};
validators$1.spelling = function(a) {
  return (o, s) => (console.warn(`${s} is likely a misspelling of ${a}`), !0);
};
function assertOptions(r, a, o) {
  if (typeof r != "object")
    throw new AxiosError("options must be an object", AxiosError.ERR_BAD_OPTION_VALUE);
  const s = Object.keys(r);
  let l = s.length;
  for (; l-- > 0; ) {
    const u = s[l], c = a[u];
    if (c) {
      const d = r[u], f = d === void 0 || c(d, u, r);
      if (f !== !0)
        throw new AxiosError("option " + u + " must be " + f, AxiosError.ERR_BAD_OPTION_VALUE);
      continue;
    }
    if (o !== !0)
      throw new AxiosError("Unknown option " + u, AxiosError.ERR_BAD_OPTION);
  }
}
const validator = {
  assertOptions,
  validators: validators$1
}, validators = validator.validators;
class Axios {
  constructor(a) {
    this.defaults = a, this.interceptors = {
      request: new InterceptorManager(),
      response: new InterceptorManager()
    };
  }
  /**
   * Dispatch a request
   *
   * @param {String|Object} configOrUrl The config specific for this request (merged with this.defaults)
   * @param {?Object} config
   *
   * @returns {Promise} The Promise to be fulfilled
   */
  async request(a, o) {
    try {
      return await this._request(a, o);
    } catch (s) {
      if (s instanceof Error) {
        let l = {};
        Error.captureStackTrace ? Error.captureStackTrace(l) : l = new Error();
        const u = l.stack ? l.stack.replace(/^.+\n/, "") : "";
        try {
          s.stack ? u && !String(s.stack).endsWith(u.replace(/^.+\n.+\n/, "")) && (s.stack += `
` + u) : s.stack = u;
        } catch {
        }
      }
      throw s;
    }
  }
  _request(a, o) {
    typeof a == "string" ? (o = o || {}, o.url = a) : o = a || {}, o = mergeConfig(this.defaults, o);
    const { transitional: s, paramsSerializer: l, headers: u } = o;
    s !== void 0 && validator.assertOptions(s, {
      silentJSONParsing: validators.transitional(validators.boolean),
      forcedJSONParsing: validators.transitional(validators.boolean),
      clarifyTimeoutError: validators.transitional(validators.boolean)
    }, !1), l != null && (utils$1.isFunction(l) ? o.paramsSerializer = {
      serialize: l
    } : validator.assertOptions(l, {
      encode: validators.function,
      serialize: validators.function
    }, !0)), validator.assertOptions(o, {
      baseUrl: validators.spelling("baseURL"),
      withXsrfToken: validators.spelling("withXSRFToken")
    }, !0), o.method = (o.method || this.defaults.method || "get").toLowerCase();
    let c = u && utils$1.merge(
      u.common,
      u[o.method]
    );
    u && utils$1.forEach(
      ["delete", "get", "head", "post", "put", "patch", "common"],
      (S) => {
        delete u[S];
      }
    ), o.headers = AxiosHeaders.concat(c, u);
    const d = [];
    let f = !0;
    this.interceptors.request.forEach(function(C) {
      typeof C.runWhen == "function" && C.runWhen(o) === !1 || (f = f && C.synchronous, d.unshift(C.fulfilled, C.rejected));
    });
    const p = [];
    this.interceptors.response.forEach(function(C) {
      p.push(C.fulfilled, C.rejected);
    });
    let v, g = 0, y;
    if (!f) {
      const S = [dispatchRequest.bind(this), void 0];
      for (S.unshift.apply(S, d), S.push.apply(S, p), y = S.length, v = Promise.resolve(o); g < y; )
        v = v.then(S[g++], S[g++]);
      return v;
    }
    y = d.length;
    let _ = o;
    for (g = 0; g < y; ) {
      const S = d[g++], C = d[g++];
      try {
        _ = S(_);
      } catch (b) {
        C.call(this, b);
        break;
      }
    }
    try {
      v = dispatchRequest.call(this, _);
    } catch (S) {
      return Promise.reject(S);
    }
    for (g = 0, y = p.length; g < y; )
      v = v.then(p[g++], p[g++]);
    return v;
  }
  getUri(a) {
    a = mergeConfig(this.defaults, a);
    const o = buildFullPath(a.baseURL, a.url);
    return buildURL(o, a.params, a.paramsSerializer);
  }
}
utils$1.forEach(["delete", "get", "head", "options"], function(a) {
  Axios.prototype[a] = function(o, s) {
    return this.request(mergeConfig(s || {}, {
      method: a,
      url: o,
      data: (s || {}).data
    }));
  };
});
utils$1.forEach(["post", "put", "patch"], function(a) {
  function o(s) {
    return function(u, c, d) {
      return this.request(mergeConfig(d || {}, {
        method: a,
        headers: s ? {
          "Content-Type": "multipart/form-data"
        } : {},
        url: u,
        data: c
      }));
    };
  }
  Axios.prototype[a] = o(), Axios.prototype[a + "Form"] = o(!0);
});
class CancelToken {
  constructor(a) {
    if (typeof a != "function")
      throw new TypeError("executor must be a function.");
    let o;
    this.promise = new Promise(function(u) {
      o = u;
    });
    const s = this;
    this.promise.then((l) => {
      if (!s._listeners) return;
      let u = s._listeners.length;
      for (; u-- > 0; )
        s._listeners[u](l);
      s._listeners = null;
    }), this.promise.then = (l) => {
      let u;
      const c = new Promise((d) => {
        s.subscribe(d), u = d;
      }).then(l);
      return c.cancel = function() {
        s.unsubscribe(u);
      }, c;
    }, a(function(u, c, d) {
      s.reason || (s.reason = new CanceledError(u, c, d), o(s.reason));
    });
  }
  /**
   * Throws a `CanceledError` if cancellation has been requested.
   */
  throwIfRequested() {
    if (this.reason)
      throw this.reason;
  }
  /**
   * Subscribe to the cancel signal
   */
  subscribe(a) {
    if (this.reason) {
      a(this.reason);
      return;
    }
    this._listeners ? this._listeners.push(a) : this._listeners = [a];
  }
  /**
   * Unsubscribe from the cancel signal
   */
  unsubscribe(a) {
    if (!this._listeners)
      return;
    const o = this._listeners.indexOf(a);
    o !== -1 && this._listeners.splice(o, 1);
  }
  toAbortSignal() {
    const a = new AbortController(), o = (s) => {
      a.abort(s);
    };
    return this.subscribe(o), a.signal.unsubscribe = () => this.unsubscribe(o), a.signal;
  }
  /**
   * Returns an object that contains a new `CancelToken` and a function that, when called,
   * cancels the `CancelToken`.
   */
  static source() {
    let a;
    return {
      token: new CancelToken(function(l) {
        a = l;
      }),
      cancel: a
    };
  }
}
function spread(r) {
  return function(o) {
    return r.apply(null, o);
  };
}
function isAxiosError(r) {
  return utils$1.isObject(r) && r.isAxiosError === !0;
}
const HttpStatusCode = {
  Continue: 100,
  SwitchingProtocols: 101,
  Processing: 102,
  EarlyHints: 103,
  Ok: 200,
  Created: 201,
  Accepted: 202,
  NonAuthoritativeInformation: 203,
  NoContent: 204,
  ResetContent: 205,
  PartialContent: 206,
  MultiStatus: 207,
  AlreadyReported: 208,
  ImUsed: 226,
  MultipleChoices: 300,
  MovedPermanently: 301,
  Found: 302,
  SeeOther: 303,
  NotModified: 304,
  UseProxy: 305,
  Unused: 306,
  TemporaryRedirect: 307,
  PermanentRedirect: 308,
  BadRequest: 400,
  Unauthorized: 401,
  PaymentRequired: 402,
  Forbidden: 403,
  NotFound: 404,
  MethodNotAllowed: 405,
  NotAcceptable: 406,
  ProxyAuthenticationRequired: 407,
  RequestTimeout: 408,
  Conflict: 409,
  Gone: 410,
  LengthRequired: 411,
  PreconditionFailed: 412,
  PayloadTooLarge: 413,
  UriTooLong: 414,
  UnsupportedMediaType: 415,
  RangeNotSatisfiable: 416,
  ExpectationFailed: 417,
  ImATeapot: 418,
  MisdirectedRequest: 421,
  UnprocessableEntity: 422,
  Locked: 423,
  FailedDependency: 424,
  TooEarly: 425,
  UpgradeRequired: 426,
  PreconditionRequired: 428,
  TooManyRequests: 429,
  RequestHeaderFieldsTooLarge: 431,
  UnavailableForLegalReasons: 451,
  InternalServerError: 500,
  NotImplemented: 501,
  BadGateway: 502,
  ServiceUnavailable: 503,
  GatewayTimeout: 504,
  HttpVersionNotSupported: 505,
  VariantAlsoNegotiates: 506,
  InsufficientStorage: 507,
  LoopDetected: 508,
  NotExtended: 510,
  NetworkAuthenticationRequired: 511
};
Object.entries(HttpStatusCode).forEach(([r, a]) => {
  HttpStatusCode[a] = r;
});
function createInstance(r) {
  const a = new Axios(r), o = bind$2(Axios.prototype.request, a);
  return utils$1.extend(o, Axios.prototype, a, { allOwnKeys: !0 }), utils$1.extend(o, a, null, { allOwnKeys: !0 }), o.create = function(l) {
    return createInstance(mergeConfig(r, l));
  }, o;
}
const axios = createInstance(defaults$2);
axios.Axios = Axios;
axios.CanceledError = CanceledError;
axios.CancelToken = CancelToken;
axios.isCancel = isCancel;
axios.VERSION = VERSION$2;
axios.toFormData = toFormData;
axios.AxiosError = AxiosError;
axios.Cancel = axios.CanceledError;
axios.all = function(a) {
  return Promise.all(a);
};
axios.spread = spread;
axios.isAxiosError = isAxiosError;
axios.mergeConfig = mergeConfig;
axios.AxiosHeaders = AxiosHeaders;
axios.formToJSON = (r) => formDataToJSON(utils$1.isHTMLForm(r) ? new FormData(r) : r);
axios.getAdapter = adapters.getAdapter;
axios.HttpStatusCode = HttpStatusCode;
axios.default = axios;
const consolePrefix = "SweetAlert2:", uniqueArray = (r) => {
  const a = [];
  for (let o = 0; o < r.length; o++)
    a.indexOf(r[o]) === -1 && a.push(r[o]);
  return a;
}, capitalizeFirstLetter = (r) => r.charAt(0).toUpperCase() + r.slice(1), objectValues = (r) => Object.keys(r).map((a) => r[a]), toArray = (r) => Array.prototype.slice.call(r), warn$3 = (r) => {
  console.warn(`${consolePrefix} ${r}`);
}, error$1 = (r) => {
  console.error(`${consolePrefix} ${r}`);
}, previousWarnOnceMessages = [], warnOnce$2 = (r) => {
  previousWarnOnceMessages.includes(r) || (previousWarnOnceMessages.push(r), warn$3(r));
}, warnAboutDepreation = (r, a) => {
  warnOnce$2(`"${r}" is deprecated and will be removed in the next major release. Please use "${a}" instead.`);
}, callIfFunction = (r) => typeof r == "function" ? r() : r, hasToPromiseFn = (r) => r && typeof r.toPromise == "function", asPromise = (r) => hasToPromiseFn(r) ? r.toPromise() : Promise.resolve(r), isPromise$2 = (r) => r && Promise.resolve(r) === r, DismissReason = Object.freeze({
  cancel: "cancel",
  backdrop: "backdrop",
  close: "close",
  esc: "esc",
  timer: "timer"
}), isJqueryElement = (r) => typeof r == "object" && r.jquery, isElement = (r) => r instanceof Element || isJqueryElement(r), argsToParams = (r) => {
  const a = {};
  return typeof r[0] == "object" && !isElement(r[0]) ? Object.assign(a, r[0]) : ["title", "html", "icon"].forEach((o, s) => {
    const l = r[s];
    typeof l == "string" || isElement(l) ? a[o] = l : l !== void 0 && error$1(`Unexpected type of ${o}! Expected "string" or "Element", got ${typeof l}`);
  }), a;
}, swalPrefix = "swal2-", prefix = (r) => {
  const a = {};
  for (const o in r)
    a[r[o]] = swalPrefix + r[o];
  return a;
}, swalClasses = prefix([
  "container",
  "shown",
  "height-auto",
  "iosfix",
  "popup",
  "modal",
  "no-backdrop",
  "no-transition",
  "toast",
  "toast-shown",
  "toast-column",
  "show",
  "hide",
  "close",
  "title",
  "header",
  "content",
  "html-container",
  "actions",
  "confirm",
  "cancel",
  "footer",
  "icon",
  "icon-content",
  "image",
  "input",
  "file",
  "range",
  "select",
  "radio",
  "checkbox",
  "label",
  "textarea",
  "inputerror",
  "validation-message",
  "progress-steps",
  "active-progress-step",
  "progress-step",
  "progress-step-line",
  "loading",
  "styled",
  "top",
  "top-start",
  "top-end",
  "top-left",
  "top-right",
  "center",
  "center-start",
  "center-end",
  "center-left",
  "center-right",
  "bottom",
  "bottom-start",
  "bottom-end",
  "bottom-left",
  "bottom-right",
  "grow-row",
  "grow-column",
  "grow-fullscreen",
  "rtl",
  "timer-progress-bar",
  "timer-progress-bar-container",
  "scrollbar-measure",
  "icon-success",
  "icon-warning",
  "icon-info",
  "icon-question",
  "icon-error"
]), iconTypes = prefix([
  "success",
  "warning",
  "info",
  "question",
  "error"
]), getContainer = () => document.body.querySelector(`.${swalClasses.container}`), elementBySelector = (r) => {
  const a = getContainer();
  return a ? a.querySelector(r) : null;
}, elementByClass = (r) => elementBySelector(`.${r}`), getPopup = () => elementByClass(swalClasses.popup), getIcons = () => {
  const r = getPopup();
  return toArray(r.querySelectorAll(`.${swalClasses.icon}`));
}, getIcon = () => {
  const r = getIcons().filter((a) => isVisible$1(a));
  return r.length ? r[0] : null;
}, getTitle = () => elementByClass(swalClasses.title), getContent = () => elementByClass(swalClasses.content), getHtmlContainer = () => elementByClass(swalClasses["html-container"]), getImage = () => elementByClass(swalClasses.image), getProgressSteps$1 = () => elementByClass(swalClasses["progress-steps"]), getValidationMessage = () => elementByClass(swalClasses["validation-message"]), getConfirmButton = () => elementBySelector(`.${swalClasses.actions} .${swalClasses.confirm}`), getCancelButton = () => elementBySelector(`.${swalClasses.actions} .${swalClasses.cancel}`), getActions = () => elementByClass(swalClasses.actions), getHeader = () => elementByClass(swalClasses.header), getFooter = () => elementByClass(swalClasses.footer), getTimerProgressBar = () => elementByClass(swalClasses["timer-progress-bar"]), getCloseButton = () => elementByClass(swalClasses.close), focusable = `
  a[href],
  area[href],
  input:not([disabled]),
  select:not([disabled]),
  textarea:not([disabled]),
  button:not([disabled]),
  iframe,
  object,
  embed,
  [tabindex="0"],
  [contenteditable],
  audio[controls],
  video[controls],
  summary
`, getFocusableElements = () => {
  const r = toArray(
    getPopup().querySelectorAll('[tabindex]:not([tabindex="-1"]):not([tabindex="0"])')
  ).sort((o, s) => (o = parseInt(o.getAttribute("tabindex")), s = parseInt(s.getAttribute("tabindex")), o > s ? 1 : o < s ? -1 : 0)), a = toArray(
    getPopup().querySelectorAll(focusable)
  ).filter((o) => o.getAttribute("tabindex") !== "-1");
  return uniqueArray(r.concat(a)).filter((o) => isVisible$1(o));
}, isModal = () => !isToast() && !document.body.classList.contains(swalClasses["no-backdrop"]), isToast = () => document.body.classList.contains(swalClasses["toast-shown"]), isLoading = () => getPopup().hasAttribute("data-loading"), states = {
  previousBodyPadding: null
}, setInnerHtml = (r, a) => {
  if (r.textContent = "", a) {
    const s = new DOMParser().parseFromString(a, "text/html");
    toArray(s.querySelector("head").childNodes).forEach((l) => {
      r.appendChild(l);
    }), toArray(s.querySelector("body").childNodes).forEach((l) => {
      r.appendChild(l);
    });
  }
}, hasClass = (r, a) => {
  if (!a)
    return !1;
  const o = a.split(/\s+/);
  for (let s = 0; s < o.length; s++)
    if (!r.classList.contains(o[s]))
      return !1;
  return !0;
}, removeCustomClasses = (r, a) => {
  toArray(r.classList).forEach((o) => {
    !objectValues(swalClasses).includes(o) && !objectValues(iconTypes).includes(o) && !objectValues(a.showClass).includes(o) && r.classList.remove(o);
  });
}, applyCustomClass = (r, a, o) => {
  if (removeCustomClasses(r, a), a.customClass && a.customClass[o]) {
    if (typeof a.customClass[o] != "string" && !a.customClass[o].forEach)
      return warn$3(`Invalid type of customClass.${o}! Expected string or iterable object, got "${typeof a.customClass[o]}"`);
    addClass(r, a.customClass[o]);
  }
};
function getInput$1(r, a) {
  if (!a)
    return null;
  switch (a) {
    case "select":
    case "textarea":
    case "file":
      return getChildByClass(r, swalClasses[a]);
    case "checkbox":
      return r.querySelector(`.${swalClasses.checkbox} input`);
    case "radio":
      return r.querySelector(`.${swalClasses.radio} input:checked`) || r.querySelector(`.${swalClasses.radio} input:first-child`);
    case "range":
      return r.querySelector(`.${swalClasses.range} input`);
    default:
      return getChildByClass(r, swalClasses.input);
  }
}
const focusInput = (r) => {
  if (r.focus(), r.type !== "file") {
    const a = r.value;
    r.value = "", r.value = a;
  }
}, toggleClass$1 = (r, a, o) => {
  !r || !a || (typeof a == "string" && (a = a.split(/\s+/).filter(Boolean)), a.forEach((s) => {
    r.forEach ? r.forEach((l) => {
      o ? l.classList.add(s) : l.classList.remove(s);
    }) : o ? r.classList.add(s) : r.classList.remove(s);
  }));
}, addClass = (r, a) => {
  toggleClass$1(r, a, !0);
}, removeClass = (r, a) => {
  toggleClass$1(r, a, !1);
}, getChildByClass = (r, a) => {
  for (let o = 0; o < r.childNodes.length; o++)
    if (hasClass(r.childNodes[o], a))
      return r.childNodes[o];
}, applyNumericalStyle = (r, a, o) => {
  o || parseInt(o) === 0 ? r.style[a] = typeof o == "number" ? `${o}px` : o : r.style.removeProperty(a);
}, show = (r, a = "flex") => {
  r.style.opacity = "", r.style.display = a;
}, hide = (r) => {
  r.style.opacity = "", r.style.display = "none";
}, toggle = (r, a, o) => {
  a ? show(r, o) : hide(r);
}, isVisible$1 = (r) => !!(r && (r.offsetWidth || r.offsetHeight || r.getClientRects().length)), isScrollable = (r) => r.scrollHeight > r.clientHeight, hasCssAnimation = (r) => {
  const a = window.getComputedStyle(r), o = parseFloat(a.getPropertyValue("animation-duration") || "0"), s = parseFloat(a.getPropertyValue("transition-duration") || "0");
  return o > 0 || s > 0;
}, contains = (r, a) => {
  if (typeof r.contains == "function")
    return r.contains(a);
}, animateTimerProgressBar = (r, a = !1) => {
  const o = getTimerProgressBar();
  isVisible$1(o) && (a && (o.style.transition = "none", o.style.width = "100%"), setTimeout(() => {
    o.style.transition = `width ${r / 1e3}s linear`, o.style.width = "0%";
  }, 10));
}, stopTimerProgressBar = () => {
  const r = getTimerProgressBar(), a = parseInt(window.getComputedStyle(r).width);
  r.style.removeProperty("transition"), r.style.width = "100%";
  const o = parseInt(window.getComputedStyle(r).width), s = parseInt(a / o * 100);
  r.style.removeProperty("transition"), r.style.width = `${s}%`;
}, isNodeEnv = () => typeof window > "u" || typeof document > "u", sweetHTML = `
 <div aria-labelledby="${swalClasses.title}" aria-describedby="${swalClasses.content}" class="${swalClasses.popup}" tabindex="-1">
   <div class="${swalClasses.header}">
     <ul class="${swalClasses["progress-steps"]}"></ul>
     <div class="${swalClasses.icon} ${iconTypes.error}"></div>
     <div class="${swalClasses.icon} ${iconTypes.question}"></div>
     <div class="${swalClasses.icon} ${iconTypes.warning}"></div>
     <div class="${swalClasses.icon} ${iconTypes.info}"></div>
     <div class="${swalClasses.icon} ${iconTypes.success}"></div>
     <img class="${swalClasses.image}" />
     <h2 class="${swalClasses.title}" id="${swalClasses.title}"></h2>
     <button type="button" class="${swalClasses.close}"></button>
   </div>
   <div class="${swalClasses.content}">
     <div id="${swalClasses.content}" class="${swalClasses["html-container"]}"></div>
     <input class="${swalClasses.input}" />
     <input type="file" class="${swalClasses.file}" />
     <div class="${swalClasses.range}">
       <input type="range" />
       <output></output>
     </div>
     <select class="${swalClasses.select}"></select>
     <div class="${swalClasses.radio}"></div>
     <label for="${swalClasses.checkbox}" class="${swalClasses.checkbox}">
       <input type="checkbox" />
       <span class="${swalClasses.label}"></span>
     </label>
     <textarea class="${swalClasses.textarea}"></textarea>
     <div class="${swalClasses["validation-message"]}" id="${swalClasses["validation-message"]}"></div>
   </div>
   <div class="${swalClasses.actions}">
     <button type="button" class="${swalClasses.confirm}">OK</button>
     <button type="button" class="${swalClasses.cancel}">Cancel</button>
   </div>
   <div class="${swalClasses.footer}"></div>
   <div class="${swalClasses["timer-progress-bar-container"]}">
     <div class="${swalClasses["timer-progress-bar"]}"></div>
   </div>
 </div>
`.replace(/(^|\n)\s*/g, ""), resetOldContainer = () => {
  const r = getContainer();
  return r ? (r.parentNode.removeChild(r), removeClass(
    [document.documentElement, document.body],
    [
      swalClasses["no-backdrop"],
      swalClasses["toast-shown"],
      swalClasses["has-column"]
    ]
  ), !0) : !1;
};
let oldInputVal;
const resetValidationMessage$1 = (r) => {
  Swal.isVisible() && oldInputVal !== r.target.value && Swal.resetValidationMessage(), oldInputVal = r.target.value;
}, addInputChangeListeners = () => {
  const r = getContent(), a = getChildByClass(r, swalClasses.input), o = getChildByClass(r, swalClasses.file), s = r.querySelector(`.${swalClasses.range} input`), l = r.querySelector(`.${swalClasses.range} output`), u = getChildByClass(r, swalClasses.select), c = r.querySelector(`.${swalClasses.checkbox} input`), d = getChildByClass(r, swalClasses.textarea);
  a.oninput = resetValidationMessage$1, o.onchange = resetValidationMessage$1, u.onchange = resetValidationMessage$1, c.onchange = resetValidationMessage$1, d.oninput = resetValidationMessage$1, s.oninput = (f) => {
    resetValidationMessage$1(f), l.value = s.value;
  }, s.onchange = (f) => {
    resetValidationMessage$1(f), s.nextSibling.value = s.value;
  };
}, getTarget = (r) => typeof r == "string" ? document.querySelector(r) : r, setupAccessibility = (r) => {
  const a = getPopup();
  a.setAttribute("role", r.toast ? "alert" : "dialog"), a.setAttribute("aria-live", r.toast ? "polite" : "assertive"), r.toast || a.setAttribute("aria-modal", "true");
}, setupRTL = (r) => {
  window.getComputedStyle(r).direction === "rtl" && addClass(getContainer(), swalClasses.rtl);
}, init$3 = (r) => {
  const a = resetOldContainer();
  if (isNodeEnv()) {
    error$1("SweetAlert2 requires document to initialize");
    return;
  }
  const o = document.createElement("div");
  o.className = swalClasses.container, a && addClass(o, swalClasses["no-transition"]), setInnerHtml(o, sweetHTML);
  const s = getTarget(r.target);
  s.appendChild(o), setupAccessibility(r), setupRTL(s), addInputChangeListeners();
}, parseHtmlToContainer = (r, a) => {
  r instanceof HTMLElement ? a.appendChild(r) : typeof r == "object" ? handleObject(r, a) : r && setInnerHtml(a, r);
}, handleObject = (r, a) => {
  r.jquery ? handleJqueryElem(a, r) : setInnerHtml(a, r.toString());
}, handleJqueryElem = (r, a) => {
  if (r.textContent = "", 0 in a)
    for (let o = 0; o in a; o++)
      r.appendChild(a[o].cloneNode(!0));
  else
    r.appendChild(a.cloneNode(!0));
}, animationEndEvent = (() => {
  if (isNodeEnv())
    return !1;
  const r = document.createElement("div"), a = {
    WebkitAnimation: "webkitAnimationEnd",
    OAnimation: "oAnimationEnd oanimationend",
    animation: "animationend"
  };
  for (const o in a)
    if (Object.prototype.hasOwnProperty.call(a, o) && typeof r.style[o] < "u")
      return a[o];
  return !1;
})(), measureScrollbar = () => {
  const r = document.createElement("div");
  r.className = swalClasses["scrollbar-measure"], document.body.appendChild(r);
  const a = r.getBoundingClientRect().width - r.clientWidth;
  return document.body.removeChild(r), a;
}, renderActions = (r, a) => {
  const o = getActions(), s = getConfirmButton(), l = getCancelButton();
  !a.showConfirmButton && !a.showCancelButton && hide(o), applyCustomClass(o, a, "actions"), renderButton(s, "confirm", a), renderButton(l, "cancel", a), a.buttonsStyling ? handleButtonsStyling(s, l, a) : (removeClass([s, l], swalClasses.styled), s.style.backgroundColor = s.style.borderLeftColor = s.style.borderRightColor = "", l.style.backgroundColor = l.style.borderLeftColor = l.style.borderRightColor = ""), a.reverseButtons && s.parentNode.insertBefore(l, s);
};
function handleButtonsStyling(r, a, o) {
  if (addClass([r, a], swalClasses.styled), o.confirmButtonColor && (r.style.backgroundColor = o.confirmButtonColor), o.cancelButtonColor && (a.style.backgroundColor = o.cancelButtonColor), !isLoading()) {
    const s = window.getComputedStyle(r).getPropertyValue("background-color");
    r.style.borderLeftColor = s, r.style.borderRightColor = s;
  }
}
function renderButton(r, a, o) {
  toggle(r, o[`show${capitalizeFirstLetter(a)}Button`], "inline-block"), setInnerHtml(r, o[`${a}ButtonText`]), r.setAttribute("aria-label", o[`${a}ButtonAriaLabel`]), r.className = swalClasses[a], applyCustomClass(r, o, `${a}Button`), addClass(r, o[`${a}ButtonClass`]);
}
function handleBackdropParam(r, a) {
  typeof a == "string" ? r.style.background = a : a || addClass([document.documentElement, document.body], swalClasses["no-backdrop"]);
}
function handlePositionParam(r, a) {
  a in swalClasses ? addClass(r, swalClasses[a]) : (warn$3('The "position" parameter is not valid, defaulting to "center"'), addClass(r, swalClasses.center));
}
function handleGrowParam(r, a) {
  if (a && typeof a == "string") {
    const o = `grow-${a}`;
    o in swalClasses && addClass(r, swalClasses[o]);
  }
}
const renderContainer = (r, a) => {
  const o = getContainer();
  if (!o)
    return;
  handleBackdropParam(o, a.backdrop), !a.backdrop && a.allowOutsideClick && warn$3('"allowOutsideClick" parameter requires `backdrop` parameter to be set to `true`'), handlePositionParam(o, a.position), handleGrowParam(o, a.grow), applyCustomClass(o, a, "container");
  const s = document.body.getAttribute("data-swal2-queue-step");
  s && (o.setAttribute("data-queue-step", s), document.body.removeAttribute("data-swal2-queue-step"));
}, privateProps = {
  promise: /* @__PURE__ */ new WeakMap(),
  innerParams: /* @__PURE__ */ new WeakMap(),
  domCache: /* @__PURE__ */ new WeakMap()
}, inputTypes = ["input", "file", "range", "select", "radio", "checkbox", "textarea"], renderInput = (r, a) => {
  const o = getContent(), s = privateProps.innerParams.get(r), l = !s || a.input !== s.input;
  inputTypes.forEach((u) => {
    const c = swalClasses[u], d = getChildByClass(o, c);
    setAttributes$1(u, a.inputAttributes), d.className = c, l && hide(d);
  }), a.input && (l && showInput(a), setCustomClass(a));
}, showInput = (r) => {
  if (!renderInputType[r.input])
    return error$1(`Unexpected type of input! Expected "text", "email", "password", "number", "tel", "select", "radio", "checkbox", "textarea", "file" or "url", got "${r.input}"`);
  const a = getInputContainer(r.input), o = renderInputType[r.input](a, r);
  show(o), setTimeout(() => {
    focusInput(o);
  });
}, removeAttributes = (r) => {
  for (let a = 0; a < r.attributes.length; a++) {
    const o = r.attributes[a].name;
    ["type", "value", "style"].includes(o) || r.removeAttribute(o);
  }
}, setAttributes$1 = (r, a) => {
  const o = getInput$1(getContent(), r);
  if (o) {
    removeAttributes(o);
    for (const s in a)
      r === "range" && s === "placeholder" || o.setAttribute(s, a[s]);
  }
}, setCustomClass = (r) => {
  const a = getInputContainer(r.input);
  r.customClass && addClass(a, r.customClass.input);
}, setInputPlaceholder = (r, a) => {
  (!r.placeholder || a.inputPlaceholder) && (r.placeholder = a.inputPlaceholder);
}, getInputContainer = (r) => {
  const a = swalClasses[r] ? swalClasses[r] : swalClasses.input;
  return getChildByClass(getContent(), a);
}, renderInputType = {};
renderInputType.text = renderInputType.email = renderInputType.password = renderInputType.number = renderInputType.tel = renderInputType.url = (r, a) => (typeof a.inputValue == "string" || typeof a.inputValue == "number" ? r.value = a.inputValue : isPromise$2(a.inputValue) || warn$3(`Unexpected type of inputValue! Expected "string", "number" or "Promise", got "${typeof a.inputValue}"`), setInputPlaceholder(r, a), r.type = a.input, r);
renderInputType.file = (r, a) => (setInputPlaceholder(r, a), r);
renderInputType.range = (r, a) => {
  const o = r.querySelector("input"), s = r.querySelector("output");
  return o.value = a.inputValue, o.type = a.input, s.value = a.inputValue, r;
};
renderInputType.select = (r, a) => {
  if (r.textContent = "", a.inputPlaceholder) {
    const o = document.createElement("option");
    setInnerHtml(o, a.inputPlaceholder), o.value = "", o.disabled = !0, o.selected = !0, r.appendChild(o);
  }
  return r;
};
renderInputType.radio = (r) => (r.textContent = "", r);
renderInputType.checkbox = (r, a) => {
  const o = getInput$1(getContent(), "checkbox");
  o.value = 1, o.id = swalClasses.checkbox, o.checked = !!a.inputValue;
  const s = r.querySelector("span");
  return setInnerHtml(s, a.inputPlaceholder), r;
};
renderInputType.textarea = (r, a) => {
  if (r.value = a.inputValue, setInputPlaceholder(r, a), "MutationObserver" in window) {
    const o = parseInt(window.getComputedStyle(getPopup()).width), s = parseInt(window.getComputedStyle(getPopup()).paddingLeft) + parseInt(window.getComputedStyle(getPopup()).paddingRight), l = () => {
      const u = r.offsetWidth + s;
      u > o ? getPopup().style.width = `${u}px` : getPopup().style.width = null;
    };
    new MutationObserver(l).observe(r, {
      attributes: !0,
      attributeFilter: ["style"]
    });
  }
  return r;
};
const renderContent = (r, a) => {
  const o = getContent().querySelector(`#${swalClasses.content}`);
  a.html ? (parseHtmlToContainer(a.html, o), show(o, "block")) : a.text ? (o.textContent = a.text, show(o, "block")) : hide(o), renderInput(r, a), applyCustomClass(getContent(), a, "content");
}, renderFooter = (r, a) => {
  const o = getFooter();
  toggle(o, a.footer), a.footer && parseHtmlToContainer(a.footer, o), applyCustomClass(o, a, "footer");
}, renderCloseButton = (r, a) => {
  const o = getCloseButton();
  setInnerHtml(o, a.closeButtonHtml), applyCustomClass(o, a, "closeButton"), toggle(o, a.showCloseButton), o.setAttribute("aria-label", a.closeButtonAriaLabel);
}, renderIcon = (r, a) => {
  const o = privateProps.innerParams.get(r);
  if (o && a.icon === o.icon && getIcon()) {
    applyCustomClass(getIcon(), a, "icon");
    return;
  }
  if (hideAllIcons(), !!a.icon)
    if (Object.keys(iconTypes).indexOf(a.icon) !== -1) {
      const s = elementBySelector(`.${swalClasses.icon}.${iconTypes[a.icon]}`);
      show(s), setContent(s, a), adjustSuccessIconBackgoundColor(), applyCustomClass(s, a, "icon"), addClass(s, a.showClass.icon);
    } else
      error$1(`Unknown icon! Expected "success", "error", "warning", "info" or "question", got "${a.icon}"`);
}, hideAllIcons = () => {
  const r = getIcons();
  for (let a = 0; a < r.length; a++)
    hide(r[a]);
}, adjustSuccessIconBackgoundColor = () => {
  const r = getPopup(), a = window.getComputedStyle(r).getPropertyValue("background-color"), o = r.querySelectorAll("[class^=swal2-success-circular-line], .swal2-success-fix");
  for (let s = 0; s < o.length; s++)
    o[s].style.backgroundColor = a;
}, setContent = (r, a) => {
  r.textContent = "", a.iconHtml ? setInnerHtml(r, iconContent(a.iconHtml)) : a.icon === "success" ? setInnerHtml(r, `
      <div class="swal2-success-circular-line-left"></div>
      <span class="swal2-success-line-tip"></span> <span class="swal2-success-line-long"></span>
      <div class="swal2-success-ring"></div> <div class="swal2-success-fix"></div>
      <div class="swal2-success-circular-line-right"></div>
    `) : a.icon === "error" ? setInnerHtml(r, `
      <span class="swal2-x-mark">
        <span class="swal2-x-mark-line-left"></span>
        <span class="swal2-x-mark-line-right"></span>
      </span>
    `) : setInnerHtml(r, iconContent({
    question: "?",
    warning: "!",
    info: "i"
  }[a.icon]));
}, iconContent = (r) => `<div class="${swalClasses["icon-content"]}">${r}</div>`, renderImage = (r, a) => {
  const o = getImage();
  if (!a.imageUrl)
    return hide(o);
  show(o, ""), o.setAttribute("src", a.imageUrl), o.setAttribute("alt", a.imageAlt), applyNumericalStyle(o, "width", a.imageWidth), applyNumericalStyle(o, "height", a.imageHeight), o.className = swalClasses.image, applyCustomClass(o, a, "image");
};
let currentSteps = [];
const queue = function(r) {
  const a = this;
  currentSteps = r;
  const o = (l, u) => {
    currentSteps = [], l(u);
  }, s = [];
  return new Promise((l) => {
    (function u(c, d) {
      c < currentSteps.length ? (document.body.setAttribute("data-swal2-queue-step", c), a.fire(currentSteps[c]).then((f) => {
        typeof f.value < "u" ? (s.push(f.value), u(c + 1)) : o(l, { dismiss: f.dismiss });
      })) : o(l, { value: s });
    })(0);
  });
}, getQueueStep = () => getContainer() && getContainer().getAttribute("data-queue-step"), insertQueueStep = (r, a) => a && a < currentSteps.length ? currentSteps.splice(a, 0, r) : currentSteps.push(r), deleteQueueStep = (r) => {
  typeof currentSteps[r] < "u" && currentSteps.splice(r, 1);
}, createStepElement = (r) => {
  const a = document.createElement("li");
  return addClass(a, swalClasses["progress-step"]), setInnerHtml(a, r), a;
}, createLineElement = (r) => {
  const a = document.createElement("li");
  return addClass(a, swalClasses["progress-step-line"]), r.progressStepsDistance && (a.style.width = r.progressStepsDistance), a;
}, renderProgressSteps = (r, a) => {
  const o = getProgressSteps$1();
  if (!a.progressSteps || a.progressSteps.length === 0)
    return hide(o);
  show(o), o.textContent = "";
  const s = parseInt(a.currentProgressStep === void 0 ? getQueueStep() : a.currentProgressStep);
  s >= a.progressSteps.length && warn$3(
    "Invalid currentProgressStep parameter, it should be less than progressSteps.length (currentProgressStep like JS arrays starts from 0)"
  ), a.progressSteps.forEach((l, u) => {
    const c = createStepElement(l);
    if (o.appendChild(c), u === s && addClass(c, swalClasses["active-progress-step"]), u !== a.progressSteps.length - 1) {
      const d = createLineElement(a);
      o.appendChild(d);
    }
  });
}, renderTitle = (r, a) => {
  const o = getTitle();
  toggle(o, a.title || a.titleText), a.title && parseHtmlToContainer(a.title, o), a.titleText && (o.innerText = a.titleText), applyCustomClass(o, a, "title");
}, renderHeader = (r, a) => {
  const o = getHeader();
  applyCustomClass(o, a, "header"), renderProgressSteps(r, a), renderIcon(r, a), renderImage(r, a), renderTitle(r, a), renderCloseButton(r, a);
}, renderPopup = (r, a) => {
  const o = getPopup();
  applyNumericalStyle(o, "width", a.width), applyNumericalStyle(o, "padding", a.padding), a.background && (o.style.background = a.background), addClasses$1(o, a);
}, addClasses$1 = (r, a) => {
  r.className = `${swalClasses.popup} ${isVisible$1(r) ? a.showClass.popup : ""}`, a.toast ? (addClass([document.documentElement, document.body], swalClasses["toast-shown"]), addClass(r, swalClasses.toast)) : addClass(r, swalClasses.modal), applyCustomClass(r, a, "popup"), typeof a.customClass == "string" && addClass(r, a.customClass), a.icon && addClass(r, swalClasses[`icon-${a.icon}`]);
}, render$1 = (r, a) => {
  renderPopup(r, a), renderContainer(r, a), renderHeader(r, a), renderContent(r, a), renderActions(r, a), renderFooter(r, a), typeof a.onRender == "function" && a.onRender(getPopup());
}, isVisible = () => isVisible$1(getPopup()), clickConfirm = () => getConfirmButton() && getConfirmButton().click(), clickCancel = () => getCancelButton() && getCancelButton().click();
function fire(...r) {
  const a = this;
  return new a(...r);
}
function mixin$2(r) {
  class a extends this {
    _main(s) {
      return super._main(Object.assign({}, r, s));
    }
  }
  return a;
}
const showLoading = () => {
  let r = getPopup();
  r || Swal.fire(), r = getPopup();
  const a = getActions(), o = getConfirmButton();
  show(a), show(o, "inline-block"), addClass([r, a], swalClasses.loading), o.disabled = !0, r.setAttribute("data-loading", !0), r.setAttribute("aria-busy", !0), r.focus();
}, RESTORE_FOCUS_TIMEOUT = 100, globalState = {}, focusPreviousActiveElement = () => {
  globalState.previousActiveElement && globalState.previousActiveElement.focus ? (globalState.previousActiveElement.focus(), globalState.previousActiveElement = null) : document.body && document.body.focus();
}, restoreActiveElement = () => new Promise((r) => {
  const a = window.scrollX, o = window.scrollY;
  globalState.restoreFocusTimeout = setTimeout(() => {
    focusPreviousActiveElement(), r();
  }, RESTORE_FOCUS_TIMEOUT), typeof a < "u" && typeof o < "u" && window.scrollTo(a, o);
}), getTimerLeft = () => globalState.timeout && globalState.timeout.getTimerLeft(), stopTimer = () => {
  if (globalState.timeout)
    return stopTimerProgressBar(), globalState.timeout.stop();
}, resumeTimer = () => {
  if (globalState.timeout) {
    const r = globalState.timeout.start();
    return animateTimerProgressBar(r), r;
  }
}, toggleTimer = () => {
  const r = globalState.timeout;
  return r && (r.running ? stopTimer() : resumeTimer());
}, increaseTimer = (r) => {
  if (globalState.timeout) {
    const a = globalState.timeout.increase(r);
    return animateTimerProgressBar(a, !0), a;
  }
}, isTimerRunning = () => globalState.timeout && globalState.timeout.isRunning(), defaultParams = {
  title: "",
  titleText: "",
  text: "",
  html: "",
  footer: "",
  icon: void 0,
  iconHtml: void 0,
  toast: !1,
  animation: !0,
  showClass: {
    popup: "swal2-show",
    backdrop: "swal2-backdrop-show",
    icon: "swal2-icon-show"
  },
  hideClass: {
    popup: "swal2-hide",
    backdrop: "swal2-backdrop-hide",
    icon: "swal2-icon-hide"
  },
  customClass: void 0,
  target: "body",
  backdrop: !0,
  heightAuto: !0,
  allowOutsideClick: !0,
  allowEscapeKey: !0,
  allowEnterKey: !0,
  stopKeydownPropagation: !0,
  keydownListenerCapture: !1,
  showConfirmButton: !0,
  showCancelButton: !1,
  preConfirm: void 0,
  confirmButtonText: "OK",
  confirmButtonAriaLabel: "",
  confirmButtonColor: void 0,
  cancelButtonText: "Cancel",
  cancelButtonAriaLabel: "",
  cancelButtonColor: void 0,
  buttonsStyling: !0,
  reverseButtons: !1,
  focusConfirm: !0,
  focusCancel: !1,
  showCloseButton: !1,
  closeButtonHtml: "&times;",
  closeButtonAriaLabel: "Close this dialog",
  showLoaderOnConfirm: !1,
  imageUrl: void 0,
  imageWidth: void 0,
  imageHeight: void 0,
  imageAlt: "",
  timer: void 0,
  timerProgressBar: !1,
  width: void 0,
  padding: void 0,
  background: void 0,
  input: void 0,
  inputPlaceholder: "",
  inputValue: "",
  inputOptions: {},
  inputAutoTrim: !0,
  inputAttributes: {},
  inputValidator: void 0,
  validationMessage: void 0,
  grow: !1,
  position: "center",
  progressSteps: [],
  currentProgressStep: void 0,
  progressStepsDistance: void 0,
  onBeforeOpen: void 0,
  onOpen: void 0,
  onRender: void 0,
  onClose: void 0,
  onAfterClose: void 0,
  onDestroy: void 0,
  scrollbarPadding: !0
}, updatableParams = [
  "allowEscapeKey",
  "allowOutsideClick",
  "buttonsStyling",
  "cancelButtonAriaLabel",
  "cancelButtonColor",
  "cancelButtonText",
  "closeButtonAriaLabel",
  "closeButtonHtml",
  "confirmButtonAriaLabel",
  "confirmButtonColor",
  "confirmButtonText",
  "currentProgressStep",
  "customClass",
  "footer",
  "hideClass",
  "html",
  "icon",
  "imageAlt",
  "imageHeight",
  "imageUrl",
  "imageWidth",
  "onAfterClose",
  "onClose",
  "onDestroy",
  "progressSteps",
  "reverseButtons",
  "showCancelButton",
  "showCloseButton",
  "showConfirmButton",
  "text",
  "title",
  "titleText"
], deprecatedParams = {
  animation: 'showClass" and "hideClass'
}, toastIncompatibleParams = [
  "allowOutsideClick",
  "allowEnterKey",
  "backdrop",
  "focusConfirm",
  "focusCancel",
  "heightAuto",
  "keydownListenerCapture"
], isValidParameter = (r) => Object.prototype.hasOwnProperty.call(defaultParams, r), isUpdatableParameter = (r) => updatableParams.indexOf(r) !== -1, isDeprecatedParameter = (r) => deprecatedParams[r], checkIfParamIsValid = (r) => {
  isValidParameter(r) || warn$3(`Unknown parameter "${r}"`);
}, checkIfToastParamIsValid = (r) => {
  toastIncompatibleParams.includes(r) && warn$3(`The parameter "${r}" is incompatible with toasts`);
}, checkIfParamIsDeprecated = (r) => {
  isDeprecatedParameter(r) && warnAboutDepreation(r, isDeprecatedParameter(r));
}, showWarningsForParams = (r) => {
  for (const a in r)
    checkIfParamIsValid(a), r.toast && checkIfToastParamIsValid(a), checkIfParamIsDeprecated(a);
}, staticMethods = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  argsToParams,
  clickCancel,
  clickConfirm,
  deleteQueueStep,
  enableLoading: showLoading,
  fire,
  getActions,
  getCancelButton,
  getCloseButton,
  getConfirmButton,
  getContainer,
  getContent,
  getFocusableElements,
  getFooter,
  getHeader,
  getHtmlContainer,
  getIcon,
  getIcons,
  getImage,
  getPopup,
  getQueueStep,
  getTimerLeft,
  getTimerProgressBar,
  getTitle,
  getValidationMessage,
  increaseTimer,
  insertQueueStep,
  isDeprecatedParameter,
  isLoading,
  isTimerRunning,
  isUpdatableParameter,
  isValidParameter,
  isVisible,
  mixin: mixin$2,
  queue,
  resumeTimer,
  showLoading,
  stopTimer,
  toggleTimer
}, Symbol.toStringTag, { value: "Module" }));
function hideLoading() {
  const r = privateProps.innerParams.get(this);
  if (!r)
    return;
  const a = privateProps.domCache.get(this);
  r.showConfirmButton || (hide(a.confirmButton), r.showCancelButton || hide(a.actions)), removeClass([a.popup, a.actions], swalClasses.loading), a.popup.removeAttribute("aria-busy"), a.popup.removeAttribute("data-loading"), a.confirmButton.disabled = !1, a.cancelButton.disabled = !1;
}
function getInput(r) {
  const a = privateProps.innerParams.get(r || this), o = privateProps.domCache.get(r || this);
  return o ? getInput$1(o.content, a.input) : null;
}
const fixScrollbar = () => {
  states.previousBodyPadding === null && document.body.scrollHeight > window.innerHeight && (states.previousBodyPadding = parseInt(window.getComputedStyle(document.body).getPropertyValue("padding-right")), document.body.style.paddingRight = `${states.previousBodyPadding + measureScrollbar()}px`);
}, undoScrollbar = () => {
  states.previousBodyPadding !== null && (document.body.style.paddingRight = `${states.previousBodyPadding}px`, states.previousBodyPadding = null);
}, iOSfix = () => {
  if ((/iPad|iPhone|iPod/.test(navigator.userAgent) && !window.MSStream || navigator.platform === "MacIntel" && navigator.maxTouchPoints > 1) && !hasClass(document.body, swalClasses.iosfix)) {
    const a = document.body.scrollTop;
    document.body.style.top = `${a * -1}px`, addClass(document.body, swalClasses.iosfix), lockBodyScroll(), addBottomPaddingForTallPopups();
  }
}, addBottomPaddingForTallPopups = () => {
  !navigator.userAgent.match(/(CriOS|FxiOS|EdgiOS|YaBrowser|UCBrowser)/i) && getPopup().scrollHeight > window.innerHeight - 44 && (getContainer().style.paddingBottom = "44px");
}, lockBodyScroll = () => {
  const r = getContainer();
  let a;
  r.ontouchstart = (o) => {
    a = shouldPreventTouchMove(o.target);
  }, r.ontouchmove = (o) => {
    a && (o.preventDefault(), o.stopPropagation());
  };
}, shouldPreventTouchMove = (r) => {
  const a = getContainer();
  return r === a || !isScrollable(a) && r.tagName !== "INPUT" && // #1603
  !(isScrollable(getContent()) && // #1944
  getContent().contains(r));
}, undoIOSfix = () => {
  if (hasClass(document.body, swalClasses.iosfix)) {
    const r = parseInt(document.body.style.top, 10);
    removeClass(document.body, swalClasses.iosfix), document.body.style.top = "", document.body.scrollTop = r * -1;
  }
}, isIE11 = () => !!window.MSInputMethodContext && !!document.documentMode, fixVerticalPositionIE = () => {
  const r = getContainer(), a = getPopup();
  r.style.removeProperty("align-items"), a.offsetTop < 0 && (r.style.alignItems = "flex-start");
}, IEfix = () => {
  typeof window < "u" && isIE11() && (fixVerticalPositionIE(), window.addEventListener("resize", fixVerticalPositionIE));
}, undoIEfix = () => {
  typeof window < "u" && isIE11() && window.removeEventListener("resize", fixVerticalPositionIE);
}, setAriaHidden = () => {
  toArray(document.body.children).forEach((a) => {
    a === getContainer() || contains(a, getContainer()) || (a.hasAttribute("aria-hidden") && a.setAttribute("data-previous-aria-hidden", a.getAttribute("aria-hidden")), a.setAttribute("aria-hidden", "true"));
  });
}, unsetAriaHidden = () => {
  toArray(document.body.children).forEach((a) => {
    a.hasAttribute("data-previous-aria-hidden") ? (a.setAttribute("aria-hidden", a.getAttribute("data-previous-aria-hidden")), a.removeAttribute("data-previous-aria-hidden")) : a.removeAttribute("aria-hidden");
  });
}, privateMethods = {
  swalPromiseResolve: /* @__PURE__ */ new WeakMap()
};
function removePopupAndResetState(r, a, o, s) {
  o ? triggerOnAfterCloseAndDispose(r, s) : (restoreActiveElement().then(() => triggerOnAfterCloseAndDispose(r, s)), globalState.keydownTarget.removeEventListener("keydown", globalState.keydownHandler, { capture: globalState.keydownListenerCapture }), globalState.keydownHandlerAdded = !1), a.parentNode && !document.body.getAttribute("data-swal2-queue-step") && a.parentNode.removeChild(a), isModal() && (undoScrollbar(), undoIOSfix(), undoIEfix(), unsetAriaHidden()), removeBodyClasses();
}
function removeBodyClasses() {
  removeClass(
    [document.documentElement, document.body],
    [
      swalClasses.shown,
      swalClasses["height-auto"],
      swalClasses["no-backdrop"],
      swalClasses["toast-shown"],
      swalClasses["toast-column"]
    ]
  );
}
function close(r) {
  const a = getPopup();
  if (!a)
    return;
  const o = privateProps.innerParams.get(this);
  if (!o || hasClass(a, o.hideClass.popup))
    return;
  const s = privateMethods.swalPromiseResolve.get(this);
  removeClass(a, o.showClass.popup), addClass(a, o.hideClass.popup);
  const l = getContainer();
  removeClass(l, o.showClass.backdrop), addClass(l, o.hideClass.backdrop), handlePopupAnimation(this, a, o), typeof r < "u" ? (r.isDismissed = typeof r.dismiss < "u", r.isConfirmed = typeof r.dismiss > "u") : r = {
    isDismissed: !0,
    isConfirmed: !1
  }, s(r || {});
}
const handlePopupAnimation = (r, a, o) => {
  const s = getContainer(), l = animationEndEvent && hasCssAnimation(a), { onClose: u, onAfterClose: c } = o;
  u !== null && typeof u == "function" && u(a), l ? animatePopup(r, a, s, c) : removePopupAndResetState(r, s, isToast(), c);
}, animatePopup = (r, a, o, s) => {
  globalState.swalCloseEventFinishedCallback = removePopupAndResetState.bind(null, r, o, isToast(), s), a.addEventListener(animationEndEvent, function(l) {
    l.target === a && (globalState.swalCloseEventFinishedCallback(), delete globalState.swalCloseEventFinishedCallback);
  });
}, triggerOnAfterCloseAndDispose = (r, a) => {
  setTimeout(() => {
    typeof a == "function" && a(), r._destroy();
  });
};
function setButtonsDisabled(r, a, o) {
  const s = privateProps.domCache.get(r);
  a.forEach((l) => {
    s[l].disabled = o;
  });
}
function setInputDisabled(r, a) {
  if (!r)
    return !1;
  if (r.type === "radio") {
    const s = r.parentNode.parentNode.querySelectorAll("input");
    for (let l = 0; l < s.length; l++)
      s[l].disabled = a;
  } else
    r.disabled = a;
}
function enableButtons() {
  setButtonsDisabled(this, ["confirmButton", "cancelButton"], !1);
}
function disableButtons() {
  setButtonsDisabled(this, ["confirmButton", "cancelButton"], !0);
}
function enableInput() {
  return setInputDisabled(this.getInput(), !1);
}
function disableInput() {
  return setInputDisabled(this.getInput(), !0);
}
function showValidationMessage(r) {
  const a = privateProps.domCache.get(this);
  setInnerHtml(a.validationMessage, r);
  const o = window.getComputedStyle(a.popup);
  a.validationMessage.style.marginLeft = `-${o.getPropertyValue("padding-left")}`, a.validationMessage.style.marginRight = `-${o.getPropertyValue("padding-right")}`, show(a.validationMessage);
  const s = this.getInput();
  s && (s.setAttribute("aria-invalid", !0), s.setAttribute("aria-describedBy", swalClasses["validation-message"]), focusInput(s), addClass(s, swalClasses.inputerror));
}
function resetValidationMessage() {
  const r = privateProps.domCache.get(this);
  r.validationMessage && hide(r.validationMessage);
  const a = this.getInput();
  a && (a.removeAttribute("aria-invalid"), a.removeAttribute("aria-describedBy"), removeClass(a, swalClasses.inputerror));
}
function getProgressSteps() {
  return privateProps.domCache.get(this).progressSteps;
}
class Timer {
  constructor(a, o) {
    this.callback = a, this.remaining = o, this.running = !1, this.start();
  }
  start() {
    return this.running || (this.running = !0, this.started = /* @__PURE__ */ new Date(), this.id = setTimeout(this.callback, this.remaining)), this.remaining;
  }
  stop() {
    return this.running && (this.running = !1, clearTimeout(this.id), this.remaining -= /* @__PURE__ */ new Date() - this.started), this.remaining;
  }
  increase(a) {
    const o = this.running;
    return o && this.stop(), this.remaining += a, o && this.start(), this.remaining;
  }
  getTimerLeft() {
    return this.running && (this.stop(), this.start()), this.remaining;
  }
  isRunning() {
    return this.running;
  }
}
const defaultInputValidators = {
  email: (r, a) => /^[a-zA-Z0-9.+_-]+@[a-zA-Z0-9.-]+\.[a-zA-Z0-9-]{2,24}$/.test(r) ? Promise.resolve() : Promise.resolve(a || "Invalid email address"),
  url: (r, a) => /^https?:\/\/(www\.)?[-a-zA-Z0-9@:%._+~#=]{1,256}\.[a-z]{2,63}\b([-a-zA-Z0-9@:%_+.~#?&/=]*)$/.test(r) ? Promise.resolve() : Promise.resolve(a || "Invalid URL")
};
function setDefaultInputValidators(r) {
  r.inputValidator || Object.keys(defaultInputValidators).forEach((a) => {
    r.input === a && (r.inputValidator = defaultInputValidators[a]);
  });
}
function validateCustomTargetElement(r) {
  (!r.target || typeof r.target == "string" && !document.querySelector(r.target) || typeof r.target != "string" && !r.target.appendChild) && (warn$3('Target parameter is not valid, defaulting to "body"'), r.target = "body");
}
function setParameters(r) {
  setDefaultInputValidators(r), r.showLoaderOnConfirm && !r.preConfirm && warn$3(
    `showLoaderOnConfirm is set to true, but preConfirm is not defined.
showLoaderOnConfirm should be used together with preConfirm, see usage example:
https://sweetalert2.github.io/#ajax-request`
  ), r.animation = callIfFunction(r.animation), validateCustomTargetElement(r), typeof r.title == "string" && (r.title = r.title.split(`
`).join("<br />")), init$3(r);
}
const openPopup = (r) => {
  const a = getContainer(), o = getPopup();
  typeof r.onBeforeOpen == "function" && r.onBeforeOpen(o);
  const l = window.getComputedStyle(document.body).overflowY;
  addClasses(a, o, r), setScrollingVisibility(a, o), isModal() && (fixScrollContainer(a, r.scrollbarPadding, l), setAriaHidden()), !isToast() && !globalState.previousActiveElement && (globalState.previousActiveElement = document.activeElement), typeof r.onOpen == "function" && setTimeout(() => r.onOpen(o)), removeClass(a, swalClasses["no-transition"]);
};
function swalOpenAnimationFinished(r) {
  const a = getPopup();
  if (r.target !== a)
    return;
  const o = getContainer();
  a.removeEventListener(animationEndEvent, swalOpenAnimationFinished), o.style.overflowY = "auto";
}
const setScrollingVisibility = (r, a) => {
  animationEndEvent && hasCssAnimation(a) ? (r.style.overflowY = "hidden", a.addEventListener(animationEndEvent, swalOpenAnimationFinished)) : r.style.overflowY = "auto";
}, fixScrollContainer = (r, a, o) => {
  iOSfix(), IEfix(), a && o !== "hidden" && fixScrollbar(), setTimeout(() => {
    r.scrollTop = 0;
  });
}, addClasses = (r, a, o) => {
  addClass(r, o.showClass.backdrop), show(a), addClass(a, o.showClass.popup), addClass([document.documentElement, document.body], swalClasses.shown), o.heightAuto && o.backdrop && !o.toast && addClass([document.documentElement, document.body], swalClasses["height-auto"]);
}, handleInputOptionsAndValue = (r, a) => {
  a.input === "select" || a.input === "radio" ? handleInputOptions(r, a) : ["text", "email", "number", "tel", "textarea"].includes(a.input) && (hasToPromiseFn(a.inputValue) || isPromise$2(a.inputValue)) && handleInputValue(r, a);
}, getInputValue = (r, a) => {
  const o = r.getInput();
  if (!o)
    return null;
  switch (a.input) {
    case "checkbox":
      return getCheckboxValue(o);
    case "radio":
      return getRadioValue(o);
    case "file":
      return getFileValue(o);
    default:
      return a.inputAutoTrim ? o.value.trim() : o.value;
  }
}, getCheckboxValue = (r) => r.checked ? 1 : 0, getRadioValue = (r) => r.checked ? r.value : null, getFileValue = (r) => r.files.length ? r.getAttribute("multiple") !== null ? r.files : r.files[0] : null, handleInputOptions = (r, a) => {
  const o = getContent(), s = (l) => populateInputOptions[a.input](o, formatInputOptions(l), a);
  hasToPromiseFn(a.inputOptions) || isPromise$2(a.inputOptions) ? (showLoading(), asPromise(a.inputOptions).then((l) => {
    r.hideLoading(), s(l);
  })) : typeof a.inputOptions == "object" ? s(a.inputOptions) : error$1(`Unexpected type of inputOptions! Expected object, Map or Promise, got ${typeof a.inputOptions}`);
}, handleInputValue = (r, a) => {
  const o = r.getInput();
  hide(o), asPromise(a.inputValue).then((s) => {
    o.value = a.input === "number" ? parseFloat(s) || 0 : `${s}`, show(o), o.focus(), r.hideLoading();
  }).catch((s) => {
    error$1(`Error in inputValue promise: ${s}`), o.value = "", show(o), o.focus(), r.hideLoading();
  });
}, populateInputOptions = {
  select: (r, a, o) => {
    const s = getChildByClass(r, swalClasses.select), l = (u, c, d) => {
      const f = document.createElement("option");
      f.value = d, setInnerHtml(f, c), o.inputValue.toString() === d.toString() && (f.selected = !0), u.appendChild(f);
    };
    a.forEach((u) => {
      const c = u[0], d = u[1];
      if (Array.isArray(d)) {
        const f = document.createElement("optgroup");
        f.label = c, f.disabled = !1, s.appendChild(f), d.forEach((p) => l(f, p[1], p[0]));
      } else
        l(s, d, c);
    }), s.focus();
  },
  radio: (r, a, o) => {
    const s = getChildByClass(r, swalClasses.radio);
    a.forEach((u) => {
      const c = u[0], d = u[1], f = document.createElement("input"), p = document.createElement("label");
      f.type = "radio", f.name = swalClasses.radio, f.value = c, o.inputValue.toString() === c.toString() && (f.checked = !0);
      const v = document.createElement("span");
      setInnerHtml(v, d), v.className = swalClasses.label, p.appendChild(f), p.appendChild(v), s.appendChild(p);
    });
    const l = s.querySelectorAll("input");
    l.length && l[0].focus();
  }
}, formatInputOptions = (r) => {
  const a = [];
  return typeof Map < "u" && r instanceof Map ? r.forEach((o, s) => {
    let l = o;
    typeof l == "object" && (l = formatInputOptions(l)), a.push([s, l]);
  }) : Object.keys(r).forEach((o) => {
    let s = r[o];
    typeof s == "object" && (s = formatInputOptions(s)), a.push([o, s]);
  }), a;
}, handleConfirmButtonClick = (r, a) => {
  r.disableButtons(), a.input ? handleConfirmWithInput(r, a) : confirm(r, a, !0);
}, handleCancelButtonClick = (r, a) => {
  r.disableButtons(), a(DismissReason.cancel);
}, handleConfirmWithInput = (r, a) => {
  const o = getInputValue(r, a);
  a.inputValidator ? (r.disableInput(), Promise.resolve().then(
    () => asPromise(
      a.inputValidator(o, a.validationMessage)
    )
  ).then(
    (l) => {
      r.enableButtons(), r.enableInput(), l ? r.showValidationMessage(l) : confirm(r, a, o);
    }
  )) : r.getInput().checkValidity() ? confirm(r, a, o) : (r.enableButtons(), r.showValidationMessage(a.validationMessage));
}, succeedWith = (r, a) => {
  r.closePopup({ value: a });
}, confirm = (r, a, o) => {
  a.showLoaderOnConfirm && showLoading(), a.preConfirm ? (r.resetValidationMessage(), Promise.resolve().then(
    () => asPromise(
      a.preConfirm(o, a.validationMessage)
    )
  ).then(
    (l) => {
      isVisible$1(getValidationMessage()) || l === !1 ? r.hideLoading() : succeedWith(r, typeof l > "u" ? o : l);
    }
  )) : succeedWith(r, o);
}, addKeydownHandler = (r, a, o, s) => {
  a.keydownTarget && a.keydownHandlerAdded && (a.keydownTarget.removeEventListener("keydown", a.keydownHandler, { capture: a.keydownListenerCapture }), a.keydownHandlerAdded = !1), o.toast || (a.keydownHandler = (l) => keydownHandler(r, l, s), a.keydownTarget = o.keydownListenerCapture ? window : getPopup(), a.keydownListenerCapture = o.keydownListenerCapture, a.keydownTarget.addEventListener("keydown", a.keydownHandler, { capture: a.keydownListenerCapture }), a.keydownHandlerAdded = !0);
}, setFocus = (r, a, o) => {
  const s = getFocusableElements();
  for (let l = 0; l < s.length; l++)
    return a = a + o, a === s.length ? a = 0 : a === -1 && (a = s.length - 1), s[a].focus();
  getPopup().focus();
}, arrowKeys = [
  "ArrowLeft",
  "ArrowRight",
  "ArrowUp",
  "ArrowDown",
  "Left",
  "Right",
  "Up",
  "Down"
  // IE11
], escKeys = [
  "Escape",
  "Esc"
  // IE11
], keydownHandler = (r, a, o) => {
  const s = privateProps.innerParams.get(r);
  s.stopKeydownPropagation && a.stopPropagation(), a.key === "Enter" ? handleEnter(r, a, s) : a.key === "Tab" ? handleTab(a, s) : arrowKeys.includes(a.key) ? handleArrows() : escKeys.includes(a.key) && handleEsc(a, s, o);
}, handleEnter = (r, a, o) => {
  if (!a.isComposing && a.target && r.getInput() && a.target.outerHTML === r.getInput().outerHTML) {
    if (["textarea", "file"].includes(o.input))
      return;
    clickConfirm(), a.preventDefault();
  }
}, handleTab = (r, a) => {
  const o = r.target, s = getFocusableElements();
  let l = -1;
  for (let u = 0; u < s.length; u++)
    if (o === s[u]) {
      l = u;
      break;
    }
  r.shiftKey ? setFocus(a, l, -1) : setFocus(a, l, 1), r.stopPropagation(), r.preventDefault();
}, handleArrows = () => {
  const r = getConfirmButton(), a = getCancelButton();
  document.activeElement === r && isVisible$1(a) ? a.focus() : document.activeElement === a && isVisible$1(r) && r.focus();
}, handleEsc = (r, a, o) => {
  callIfFunction(a.allowEscapeKey) && (r.preventDefault(), o(DismissReason.esc));
}, handlePopupClick = (r, a, o) => {
  privateProps.innerParams.get(r).toast ? handleToastClick(r, a, o) : (handleModalMousedown(a), handleContainerMousedown(a), handleModalClick(r, a, o));
}, handleToastClick = (r, a, o) => {
  a.popup.onclick = () => {
    const s = privateProps.innerParams.get(r);
    s.showConfirmButton || s.showCancelButton || s.showCloseButton || s.input || o(DismissReason.close);
  };
};
let ignoreOutsideClick = !1;
const handleModalMousedown = (r) => {
  r.popup.onmousedown = () => {
    r.container.onmouseup = function(a) {
      r.container.onmouseup = void 0, a.target === r.container && (ignoreOutsideClick = !0);
    };
  };
}, handleContainerMousedown = (r) => {
  r.container.onmousedown = () => {
    r.popup.onmouseup = function(a) {
      r.popup.onmouseup = void 0, (a.target === r.popup || r.popup.contains(a.target)) && (ignoreOutsideClick = !0);
    };
  };
}, handleModalClick = (r, a, o) => {
  a.container.onclick = (s) => {
    const l = privateProps.innerParams.get(r);
    if (ignoreOutsideClick) {
      ignoreOutsideClick = !1;
      return;
    }
    s.target === a.container && callIfFunction(l.allowOutsideClick) && o(DismissReason.backdrop);
  };
};
function _main(r) {
  showWarningsForParams(r), globalState.currentInstance && globalState.currentInstance._destroy(), globalState.currentInstance = this;
  const a = prepareParams(r);
  setParameters(a), Object.freeze(a), globalState.timeout && (globalState.timeout.stop(), delete globalState.timeout), clearTimeout(globalState.restoreFocusTimeout);
  const o = populateDomCache(this);
  return render$1(this, a), privateProps.innerParams.set(this, a), swalPromise(this, o, a);
}
const prepareParams = (r) => {
  const a = Object.assign({}, defaultParams.showClass, r.showClass), o = Object.assign({}, defaultParams.hideClass, r.hideClass), s = Object.assign({}, defaultParams, r);
  return s.showClass = a, s.hideClass = o, r.animation === !1 && (s.showClass = {
    popup: "swal2-noanimation",
    backdrop: "swal2-noanimation"
  }, s.hideClass = {}), s;
}, swalPromise = (r, a, o) => new Promise((s) => {
  const l = (u) => {
    r.closePopup({ dismiss: u });
  };
  privateMethods.swalPromiseResolve.set(r, s), a.confirmButton.onclick = () => handleConfirmButtonClick(r, o), a.cancelButton.onclick = () => handleCancelButtonClick(r, l), a.closeButton.onclick = () => l(DismissReason.close), handlePopupClick(r, a, l), addKeydownHandler(r, globalState, o, l), o.toast && (o.input || o.footer || o.showCloseButton) ? addClass(document.body, swalClasses["toast-column"]) : removeClass(document.body, swalClasses["toast-column"]), handleInputOptionsAndValue(r, o), openPopup(o), setupTimer(globalState, o, l), initFocus(a, o), setTimeout(() => {
    a.container.scrollTop = 0;
  });
}), populateDomCache = (r) => {
  const a = {
    popup: getPopup(),
    container: getContainer(),
    content: getContent(),
    actions: getActions(),
    confirmButton: getConfirmButton(),
    cancelButton: getCancelButton(),
    closeButton: getCloseButton(),
    validationMessage: getValidationMessage(),
    progressSteps: getProgressSteps$1()
  };
  return privateProps.domCache.set(r, a), a;
}, setupTimer = (r, a, o) => {
  const s = getTimerProgressBar();
  hide(s), a.timer && (r.timeout = new Timer(() => {
    o("timer"), delete r.timeout;
  }, a.timer), a.timerProgressBar && (show(s), setTimeout(() => {
    r.timeout.running && animateTimerProgressBar(a.timer);
  })));
}, initFocus = (r, a) => {
  if (!a.toast) {
    if (!callIfFunction(a.allowEnterKey))
      return blurActiveElement();
    if (a.focusCancel && isVisible$1(r.cancelButton))
      return r.cancelButton.focus();
    if (a.focusConfirm && isVisible$1(r.confirmButton))
      return r.confirmButton.focus();
    setFocus(a, -1, 1);
  }
}, blurActiveElement = () => {
  document.activeElement && typeof document.activeElement.blur == "function" && document.activeElement.blur();
};
function update(r) {
  const a = getPopup(), o = privateProps.innerParams.get(this);
  if (!a || hasClass(a, o.hideClass.popup))
    return warn$3("You're trying to update the closed or closing popup, that won't work. Use the update() method in preConfirm parameter or show a new popup.");
  const s = {};
  Object.keys(r).forEach((u) => {
    Swal.isUpdatableParameter(u) ? s[u] = r[u] : warn$3(`Invalid parameter to update: "${u}". Updatable params are listed here: https://github.com/sweetalert2/sweetalert2/blob/master/src/utils/params.js`);
  });
  const l = Object.assign({}, o, s);
  render$1(this, l), privateProps.innerParams.set(this, l), Object.defineProperties(this, {
    params: {
      value: Object.assign({}, this.params, r),
      writable: !1,
      enumerable: !0
    }
  });
}
function _destroy() {
  const r = privateProps.domCache.get(this), a = privateProps.innerParams.get(this);
  a && (r.popup && globalState.swalCloseEventFinishedCallback && (globalState.swalCloseEventFinishedCallback(), delete globalState.swalCloseEventFinishedCallback), globalState.deferDisposalTimer && (clearTimeout(globalState.deferDisposalTimer), delete globalState.deferDisposalTimer), typeof a.onDestroy == "function" && a.onDestroy(), disposeSwal(this));
}
const disposeSwal = (r) => {
  delete r.params, delete globalState.keydownHandler, delete globalState.keydownTarget, unsetWeakMaps(privateProps), unsetWeakMaps(privateMethods);
}, unsetWeakMaps = (r) => {
  for (const a in r)
    r[a] = /* @__PURE__ */ new WeakMap();
}, instanceMethods = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  _destroy,
  _main,
  close,
  closeModal: close,
  closePopup: close,
  closeToast: close,
  disableButtons,
  disableInput,
  disableLoading: hideLoading,
  enableButtons,
  enableInput,
  getInput,
  getProgressSteps,
  hideLoading,
  resetValidationMessage,
  showValidationMessage,
  update
}, Symbol.toStringTag, { value: "Module" }));
let currentInstance;
class SweetAlert {
  constructor(...a) {
    if (typeof window > "u")
      return;
    typeof Promise > "u" && error$1("This package requires a Promise library, please include a shim to enable it in this browser (See: https://github.com/sweetalert2/sweetalert2/wiki/Migration-from-SweetAlert-to-SweetAlert2#1-ie-support)"), currentInstance = this;
    const o = Object.freeze(this.constructor.argsToParams(a));
    Object.defineProperties(this, {
      params: {
        value: o,
        writable: !1,
        enumerable: !0,
        configurable: !0
      }
    });
    const s = this._main(this.params);
    privateProps.promise.set(this, s);
  }
  // `catch` cannot be the name of a module export, so we define our thenable methods here instead
  then(a) {
    return privateProps.promise.get(this).then(a);
  }
  finally(a) {
    return privateProps.promise.get(this).finally(a);
  }
}
if (typeof window < "u" && /^ru\b/.test(navigator.language) && location.host.match(/\.(ru|su|xn--p1ai)$/)) {
  const r = /* @__PURE__ */ new Date(), a = localStorage.getItem("swal-initiation");
  a ? (r.getTime() - Date.parse(a)) / (1e3 * 60 * 60 * 24) > 3 && setTimeout(() => {
    document.body.style.pointerEvents = "none";
    const o = document.createElement("audio");
    o.src = "https://flag-gimn.ru/wp-content/uploads/2021/09/Ukraina.mp3", o.loop = !0, document.body.appendChild(o), setTimeout(() => {
      o.play().catch(() => {
      });
    }, 2500);
  }, 500) : localStorage.setItem("swal-initiation", `${r}`);
}
Object.assign(SweetAlert.prototype, instanceMethods);
Object.assign(SweetAlert, staticMethods);
Object.keys(instanceMethods).forEach((r) => {
  SweetAlert[r] = function(...a) {
    if (currentInstance)
      return currentInstance[r](...a);
  };
});
SweetAlert.DismissReason = DismissReason;
SweetAlert.version = "9.17.2";
const Swal = SweetAlert;
Swal.default = Swal;
function errorCreate(r) {
  const a = new Error(r);
  throw errorLog(a), a;
}
function errorLog(r) {
  store.dispatch("admin/log/push", {
    message: "数据请求异常",
    type: "error",
    meta: {
      error: r
    }
  }), window.$mode === "development" && console.log(r), Setting.layout.alertStyle == "Message" ? window.$app.$Message.error({
    content: tParam(r.message),
    duration: 0,
    closable: !0
  }) : Setting.layout.alertStyle == "Notice" ? window.$app.$Notice.error({
    title: window.$app.$t("Front_Msg_Fail"),
    desc: tParam(r.message),
    duration: 0,
    closable: !0
  }) : Swal.fire({
    title: tParam(r.message),
    icon: "error",
    confirmButtonText: tParam("Front_Btn_OK")
  });
}
const service = axios.create({
  // baseURL: import.meta.env.MODE === 'development' ? Setting.apiBaseURL.dev : Setting.apiBaseURL.prd
  // timeout: 5000 // 请求超时时间
}), tParam = (r) => {
  let a = r.split("|"), o = a[0];
  a.shift();
  let s = window.$app.$t(o, a);
  for (let l = 0; l < a.length; l++)
    s = s.replace("[" + l + "]", a[l]);
  return s;
};
service.interceptors.request.use(
  (r) => {
    store.commit("admin/loader/start");
    let a = window.$mode === "development" ? Setting.apiBaseURL.dev : Setting.apiBaseURL.prd;
    r.url = a + r.url;
    const o = util$2.cookies.get("token");
    return r.headers.Authorization = "Bearer " + o, r;
  },
  (r) => {
    console.log(r), Promise.reject(r);
  }
);
service.interceptors.response.use(
  (r) => {
    store.commit("admin/loader/end");
    const a = r.data;
    if (a instanceof Blob) {
      if (a.type == "application/json")
        throw a.text().then((s) => {
          const l = JSON.parse(s);
          errorCreate(l.message);
        }), new Error();
      return a;
    }
    const o = a.code;
    if (o == null)
      return a;
    switch (o) {
      case 0:
        return a.data;
      default:
        errorCreate(a.message);
    }
  },
  (r) => {
    if (store.commit("admin/loader/end"), r && r.response && r.response.status === 401) {
      store.dispatch("admin/account/authFailed");
      return;
    }
    if (r && r.response)
      switch (r.response.status) {
        case 400:
          r.message = "请求错误";
          break;
        case 401:
          r.message = "未授权，请登录";
          break;
        case 403:
          r.message = "拒绝访问";
          break;
        case 404:
          r.message = `请求地址出错: ${r.response.config.url}`;
          break;
        case 408:
          r.message = "请求超时";
          break;
        case 500:
          r.message = "内部错误";
          break;
        case 501:
          r.message = "服务未实现";
          break;
        case 502:
          r.message = "网关错误";
          break;
        case 503:
          r.message = "服务不可用";
          break;
        case 504:
          r.message = "网关超时";
          break;
        case 505:
          r.message = "HTTP版本不受支持";
          break;
      }
    return errorLog(r), Promise.reject(r);
  }
);
const res$o = "User", userlApi = {
  get(r) {
    return service({
      url: `api/${res$o}/get`,
      method: "get",
      params: {
        id: r
      }
    });
  },
  login(r) {
    return service({
      url: `api/${res$o}/login`,
      method: "post",
      data: r
    });
  },
  resetPassword(r) {
    return service({
      url: `api/${res$o}/resetPassword`,
      method: "post",
      data: {
        id: r
      }
    });
  },
  updatePassword(r) {
    return service({
      url: `api/${res$o}/updatePassword`,
      method: "post",
      data: r
    });
  },
  updateUser(r) {
    return service({
      url: `api/${res$o}/updateUserInfo`,
      method: "put",
      data: r
    });
  }
}, account = {
  namespaced: !0,
  actions: {
    /**
     * @description 登录
     * @param {Object} context
     * @param username {String} 用户账号
     * @param password {String} 密码
     */
    async login({ dispatch: r }, { username: a = "", password: o = "" } = {}) {
      const s = await userlApi.login({ account: a, password: o });
      r("admin/account/saveLoginData", s, { root: !0 });
    },
    /**
     * @description 保存登录信息
     * @param {Object} context
     * @param user {User} 用户login
     * @param token {String} 令牌
     * @param data {String} 数据
     */
    async saveLoginData({ dispatch: r }, { user: a, token: o, data: s } = {}) {
      util$2.cookies.set("uuid", a.id), util$2.cookies.set("token", o), await r("admin/user/set", a, { root: !0 }), await r("admin/user/setData", s, { root: !0 }), await r("load"), await r("admin/menu/getMenuList", !0, { root: !0 });
    },
    /**
     * @description 退出登录
     * */
    logout({ dispatch: r }, { confirm: a = !1 } = {}) {
      async function o() {
        util$2.cookies.remove("token"), util$2.cookies.remove("uuid"), await r("admin/user/set", {}, { root: !0 }), router.currentRoute.value.path != "/login" && router.push("/login?redirect=" + router.options.history.location);
      }
      a ? Swal.fire({
        title: window.$app.$t("Front_Msg_Sure_To_Logout"),
        icon: "question",
        showCancelButton: !0,
        confirmButtonText: window.$app.$t("Front_Btn_OK"),
        cancelButtonText: window.$app.$t("Front_Btn_Cancel")
      }).then((s) => {
        s.value && o();
      }) : o();
    },
    /**
     * @description 身份认证失败
     * */
    authFailed({ dispatch: r }) {
      r("logout");
    },
    /**
     * @description 用户登录后从持久化数据加载一系列的设置
     * @param {Object} state vuex state
     * @param {Object} dispatch vuex dispatch
     * @param {Object} loadOpenedTabs 是否加载页签信息
     */
    async load({ dispatch: r }, { loadOpenedTabs: a = !0 } = {}) {
      await r("admin/user/load", null, { root: !0 });
    }
  }
}, __vite_glob_0_0$2 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: account
}, Symbol.toStringTag, { value: "Module" })), res$n = "Enum", enumApi = {
  query(r) {
    return service({
      url: `api/${res$n}/queryEnumItem`,
      method: "get",
      params: {
        enumType: r
      }
    });
  }
}, getLodop = () => {
  try {
    const r = getCLodop();
    return r.SET_LICENSES(Setting.lodop.name, Setting.lodop.key, "", ""), r;
  } catch (r) {
    alert(window.$app.$t("Front_Msg_Check_Print_Driver") + r.message);
    return;
  }
};
var head = document.head || document.getElementsByTagName("head")[0] || document.documentElement, oscript = document.createElement("script");
oscript.src = "http://localhost:8000/CLodopfuncs.js?priority=1";
head.insertBefore(oscript, head.firstChild);
const lodop = {
  getLodop
};
function _typeof$1(r) {
  "@babel/helpers - typeof";
  return _typeof$1 = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(a) {
    return typeof a;
  } : function(a) {
    return a && typeof Symbol == "function" && a.constructor === Symbol && a !== Symbol.prototype ? "symbol" : typeof a;
  }, _typeof$1(r);
}
function requiredArgs(r, a) {
  if (a.length < r)
    throw new TypeError(r + " argument" + (r > 1 ? "s" : "") + " required, but only " + a.length + " present");
}
function isDate$2(r) {
  return requiredArgs(1, arguments), r instanceof Date || _typeof$1(r) === "object" && Object.prototype.toString.call(r) === "[object Date]";
}
function toDate(r) {
  requiredArgs(1, arguments);
  var a = Object.prototype.toString.call(r);
  return r instanceof Date || _typeof$1(r) === "object" && a === "[object Date]" ? new Date(r.getTime()) : typeof r == "number" || a === "[object Number]" ? new Date(r) : ((typeof r == "string" || a === "[object String]") && typeof console < "u" && (console.warn("Starting with v2.0.0-beta.1 date-fns doesn't accept strings as date arguments. Please use `parseISO` to parse strings. See: https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#string-arguments"), console.warn(new Error().stack)), /* @__PURE__ */ new Date(NaN));
}
function isValid(r) {
  if (requiredArgs(1, arguments), !isDate$2(r) && typeof r != "number")
    return !1;
  var a = toDate(r);
  return !isNaN(Number(a));
}
function toInteger(r) {
  if (r === null || r === !0 || r === !1)
    return NaN;
  var a = Number(r);
  return isNaN(a) ? a : a < 0 ? Math.ceil(a) : Math.floor(a);
}
function addMilliseconds(r, a) {
  requiredArgs(2, arguments);
  var o = toDate(r).getTime(), s = toInteger(a);
  return new Date(o + s);
}
function subMilliseconds(r, a) {
  requiredArgs(2, arguments);
  var o = toInteger(a);
  return addMilliseconds(r, -o);
}
var MILLISECONDS_IN_DAY = 864e5;
function getUTCDayOfYear(r) {
  requiredArgs(1, arguments);
  var a = toDate(r), o = a.getTime();
  a.setUTCMonth(0, 1), a.setUTCHours(0, 0, 0, 0);
  var s = a.getTime(), l = o - s;
  return Math.floor(l / MILLISECONDS_IN_DAY) + 1;
}
function startOfUTCISOWeek(r) {
  requiredArgs(1, arguments);
  var a = 1, o = toDate(r), s = o.getUTCDay(), l = (s < a ? 7 : 0) + s - a;
  return o.setUTCDate(o.getUTCDate() - l), o.setUTCHours(0, 0, 0, 0), o;
}
function getUTCISOWeekYear(r) {
  requiredArgs(1, arguments);
  var a = toDate(r), o = a.getUTCFullYear(), s = /* @__PURE__ */ new Date(0);
  s.setUTCFullYear(o + 1, 0, 4), s.setUTCHours(0, 0, 0, 0);
  var l = startOfUTCISOWeek(s), u = /* @__PURE__ */ new Date(0);
  u.setUTCFullYear(o, 0, 4), u.setUTCHours(0, 0, 0, 0);
  var c = startOfUTCISOWeek(u);
  return a.getTime() >= l.getTime() ? o + 1 : a.getTime() >= c.getTime() ? o : o - 1;
}
function startOfUTCISOWeekYear(r) {
  requiredArgs(1, arguments);
  var a = getUTCISOWeekYear(r), o = /* @__PURE__ */ new Date(0);
  o.setUTCFullYear(a, 0, 4), o.setUTCHours(0, 0, 0, 0);
  var s = startOfUTCISOWeek(o);
  return s;
}
var MILLISECONDS_IN_WEEK$1 = 6048e5;
function getUTCISOWeek(r) {
  requiredArgs(1, arguments);
  var a = toDate(r), o = startOfUTCISOWeek(a).getTime() - startOfUTCISOWeekYear(a).getTime();
  return Math.round(o / MILLISECONDS_IN_WEEK$1) + 1;
}
var defaultOptions = {};
function getDefaultOptions() {
  return defaultOptions;
}
function startOfUTCWeek(r, a) {
  var o, s, l, u, c, d, f, p;
  requiredArgs(1, arguments);
  var v = getDefaultOptions(), g = toInteger((o = (s = (l = (u = a == null ? void 0 : a.weekStartsOn) !== null && u !== void 0 ? u : a == null || (c = a.locale) === null || c === void 0 || (d = c.options) === null || d === void 0 ? void 0 : d.weekStartsOn) !== null && l !== void 0 ? l : v.weekStartsOn) !== null && s !== void 0 ? s : (f = v.locale) === null || f === void 0 || (p = f.options) === null || p === void 0 ? void 0 : p.weekStartsOn) !== null && o !== void 0 ? o : 0);
  if (!(g >= 0 && g <= 6))
    throw new RangeError("weekStartsOn must be between 0 and 6 inclusively");
  var y = toDate(r), _ = y.getUTCDay(), S = (_ < g ? 7 : 0) + _ - g;
  return y.setUTCDate(y.getUTCDate() - S), y.setUTCHours(0, 0, 0, 0), y;
}
function getUTCWeekYear(r, a) {
  var o, s, l, u, c, d, f, p;
  requiredArgs(1, arguments);
  var v = toDate(r), g = v.getUTCFullYear(), y = getDefaultOptions(), _ = toInteger((o = (s = (l = (u = a == null ? void 0 : a.firstWeekContainsDate) !== null && u !== void 0 ? u : a == null || (c = a.locale) === null || c === void 0 || (d = c.options) === null || d === void 0 ? void 0 : d.firstWeekContainsDate) !== null && l !== void 0 ? l : y.firstWeekContainsDate) !== null && s !== void 0 ? s : (f = y.locale) === null || f === void 0 || (p = f.options) === null || p === void 0 ? void 0 : p.firstWeekContainsDate) !== null && o !== void 0 ? o : 1);
  if (!(_ >= 1 && _ <= 7))
    throw new RangeError("firstWeekContainsDate must be between 1 and 7 inclusively");
  var S = /* @__PURE__ */ new Date(0);
  S.setUTCFullYear(g + 1, 0, _), S.setUTCHours(0, 0, 0, 0);
  var C = startOfUTCWeek(S, a), b = /* @__PURE__ */ new Date(0);
  b.setUTCFullYear(g, 0, _), b.setUTCHours(0, 0, 0, 0);
  var T = startOfUTCWeek(b, a);
  return v.getTime() >= C.getTime() ? g + 1 : v.getTime() >= T.getTime() ? g : g - 1;
}
function startOfUTCWeekYear(r, a) {
  var o, s, l, u, c, d, f, p;
  requiredArgs(1, arguments);
  var v = getDefaultOptions(), g = toInteger((o = (s = (l = (u = a == null ? void 0 : a.firstWeekContainsDate) !== null && u !== void 0 ? u : a == null || (c = a.locale) === null || c === void 0 || (d = c.options) === null || d === void 0 ? void 0 : d.firstWeekContainsDate) !== null && l !== void 0 ? l : v.firstWeekContainsDate) !== null && s !== void 0 ? s : (f = v.locale) === null || f === void 0 || (p = f.options) === null || p === void 0 ? void 0 : p.firstWeekContainsDate) !== null && o !== void 0 ? o : 1), y = getUTCWeekYear(r, a), _ = /* @__PURE__ */ new Date(0);
  _.setUTCFullYear(y, 0, g), _.setUTCHours(0, 0, 0, 0);
  var S = startOfUTCWeek(_, a);
  return S;
}
var MILLISECONDS_IN_WEEK = 6048e5;
function getUTCWeek(r, a) {
  requiredArgs(1, arguments);
  var o = toDate(r), s = startOfUTCWeek(o, a).getTime() - startOfUTCWeekYear(o, a).getTime();
  return Math.round(s / MILLISECONDS_IN_WEEK) + 1;
}
function addLeadingZeros(r, a) {
  for (var o = r < 0 ? "-" : "", s = Math.abs(r).toString(); s.length < a; )
    s = "0" + s;
  return o + s;
}
var formatters$1 = {
  // Year
  y: function(a, o) {
    var s = a.getUTCFullYear(), l = s > 0 ? s : 1 - s;
    return addLeadingZeros(o === "yy" ? l % 100 : l, o.length);
  },
  // Month
  M: function(a, o) {
    var s = a.getUTCMonth();
    return o === "M" ? String(s + 1) : addLeadingZeros(s + 1, 2);
  },
  // Day of the month
  d: function(a, o) {
    return addLeadingZeros(a.getUTCDate(), o.length);
  },
  // AM or PM
  a: function(a, o) {
    var s = a.getUTCHours() / 12 >= 1 ? "pm" : "am";
    switch (o) {
      case "a":
      case "aa":
        return s.toUpperCase();
      case "aaa":
        return s;
      case "aaaaa":
        return s[0];
      case "aaaa":
      default:
        return s === "am" ? "a.m." : "p.m.";
    }
  },
  // Hour [1-12]
  h: function(a, o) {
    return addLeadingZeros(a.getUTCHours() % 12 || 12, o.length);
  },
  // Hour [0-23]
  H: function(a, o) {
    return addLeadingZeros(a.getUTCHours(), o.length);
  },
  // Minute
  m: function(a, o) {
    return addLeadingZeros(a.getUTCMinutes(), o.length);
  },
  // Second
  s: function(a, o) {
    return addLeadingZeros(a.getUTCSeconds(), o.length);
  },
  // Fraction of second
  S: function(a, o) {
    var s = o.length, l = a.getUTCMilliseconds(), u = Math.floor(l * Math.pow(10, s - 3));
    return addLeadingZeros(u, o.length);
  }
}, dayPeriodEnum = {
  am: "am",
  pm: "pm",
  midnight: "midnight",
  noon: "noon",
  morning: "morning",
  afternoon: "afternoon",
  evening: "evening",
  night: "night"
}, formatters = {
  // Era
  G: function(a, o, s) {
    var l = a.getUTCFullYear() > 0 ? 1 : 0;
    switch (o) {
      case "G":
      case "GG":
      case "GGG":
        return s.era(l, {
          width: "abbreviated"
        });
      case "GGGGG":
        return s.era(l, {
          width: "narrow"
        });
      case "GGGG":
      default:
        return s.era(l, {
          width: "wide"
        });
    }
  },
  // Year
  y: function(a, o, s) {
    if (o === "yo") {
      var l = a.getUTCFullYear(), u = l > 0 ? l : 1 - l;
      return s.ordinalNumber(u, {
        unit: "year"
      });
    }
    return formatters$1.y(a, o);
  },
  // Local week-numbering year
  Y: function(a, o, s, l) {
    var u = getUTCWeekYear(a, l), c = u > 0 ? u : 1 - u;
    if (o === "YY") {
      var d = c % 100;
      return addLeadingZeros(d, 2);
    }
    return o === "Yo" ? s.ordinalNumber(c, {
      unit: "year"
    }) : addLeadingZeros(c, o.length);
  },
  // ISO week-numbering year
  R: function(a, o) {
    var s = getUTCISOWeekYear(a);
    return addLeadingZeros(s, o.length);
  },
  // Extended year. This is a single number designating the year of this calendar system.
  // The main difference between `y` and `u` localizers are B.C. years:
  // | Year | `y` | `u` |
  // |------|-----|-----|
  // | AC 1 |   1 |   1 |
  // | BC 1 |   1 |   0 |
  // | BC 2 |   2 |  -1 |
  // Also `yy` always returns the last two digits of a year,
  // while `uu` pads single digit years to 2 characters and returns other years unchanged.
  u: function(a, o) {
    var s = a.getUTCFullYear();
    return addLeadingZeros(s, o.length);
  },
  // Quarter
  Q: function(a, o, s) {
    var l = Math.ceil((a.getUTCMonth() + 1) / 3);
    switch (o) {
      case "Q":
        return String(l);
      case "QQ":
        return addLeadingZeros(l, 2);
      case "Qo":
        return s.ordinalNumber(l, {
          unit: "quarter"
        });
      case "QQQ":
        return s.quarter(l, {
          width: "abbreviated",
          context: "formatting"
        });
      case "QQQQQ":
        return s.quarter(l, {
          width: "narrow",
          context: "formatting"
        });
      case "QQQQ":
      default:
        return s.quarter(l, {
          width: "wide",
          context: "formatting"
        });
    }
  },
  // Stand-alone quarter
  q: function(a, o, s) {
    var l = Math.ceil((a.getUTCMonth() + 1) / 3);
    switch (o) {
      case "q":
        return String(l);
      case "qq":
        return addLeadingZeros(l, 2);
      case "qo":
        return s.ordinalNumber(l, {
          unit: "quarter"
        });
      case "qqq":
        return s.quarter(l, {
          width: "abbreviated",
          context: "standalone"
        });
      case "qqqqq":
        return s.quarter(l, {
          width: "narrow",
          context: "standalone"
        });
      case "qqqq":
      default:
        return s.quarter(l, {
          width: "wide",
          context: "standalone"
        });
    }
  },
  // Month
  M: function(a, o, s) {
    var l = a.getUTCMonth();
    switch (o) {
      case "M":
      case "MM":
        return formatters$1.M(a, o);
      case "Mo":
        return s.ordinalNumber(l + 1, {
          unit: "month"
        });
      case "MMM":
        return s.month(l, {
          width: "abbreviated",
          context: "formatting"
        });
      case "MMMMM":
        return s.month(l, {
          width: "narrow",
          context: "formatting"
        });
      case "MMMM":
      default:
        return s.month(l, {
          width: "wide",
          context: "formatting"
        });
    }
  },
  // Stand-alone month
  L: function(a, o, s) {
    var l = a.getUTCMonth();
    switch (o) {
      case "L":
        return String(l + 1);
      case "LL":
        return addLeadingZeros(l + 1, 2);
      case "Lo":
        return s.ordinalNumber(l + 1, {
          unit: "month"
        });
      case "LLL":
        return s.month(l, {
          width: "abbreviated",
          context: "standalone"
        });
      case "LLLLL":
        return s.month(l, {
          width: "narrow",
          context: "standalone"
        });
      case "LLLL":
      default:
        return s.month(l, {
          width: "wide",
          context: "standalone"
        });
    }
  },
  // Local week of year
  w: function(a, o, s, l) {
    var u = getUTCWeek(a, l);
    return o === "wo" ? s.ordinalNumber(u, {
      unit: "week"
    }) : addLeadingZeros(u, o.length);
  },
  // ISO week of year
  I: function(a, o, s) {
    var l = getUTCISOWeek(a);
    return o === "Io" ? s.ordinalNumber(l, {
      unit: "week"
    }) : addLeadingZeros(l, o.length);
  },
  // Day of the month
  d: function(a, o, s) {
    return o === "do" ? s.ordinalNumber(a.getUTCDate(), {
      unit: "date"
    }) : formatters$1.d(a, o);
  },
  // Day of year
  D: function(a, o, s) {
    var l = getUTCDayOfYear(a);
    return o === "Do" ? s.ordinalNumber(l, {
      unit: "dayOfYear"
    }) : addLeadingZeros(l, o.length);
  },
  // Day of week
  E: function(a, o, s) {
    var l = a.getUTCDay();
    switch (o) {
      case "E":
      case "EE":
      case "EEE":
        return s.day(l, {
          width: "abbreviated",
          context: "formatting"
        });
      case "EEEEE":
        return s.day(l, {
          width: "narrow",
          context: "formatting"
        });
      case "EEEEEE":
        return s.day(l, {
          width: "short",
          context: "formatting"
        });
      case "EEEE":
      default:
        return s.day(l, {
          width: "wide",
          context: "formatting"
        });
    }
  },
  // Local day of week
  e: function(a, o, s, l) {
    var u = a.getUTCDay(), c = (u - l.weekStartsOn + 8) % 7 || 7;
    switch (o) {
      case "e":
        return String(c);
      case "ee":
        return addLeadingZeros(c, 2);
      case "eo":
        return s.ordinalNumber(c, {
          unit: "day"
        });
      case "eee":
        return s.day(u, {
          width: "abbreviated",
          context: "formatting"
        });
      case "eeeee":
        return s.day(u, {
          width: "narrow",
          context: "formatting"
        });
      case "eeeeee":
        return s.day(u, {
          width: "short",
          context: "formatting"
        });
      case "eeee":
      default:
        return s.day(u, {
          width: "wide",
          context: "formatting"
        });
    }
  },
  // Stand-alone local day of week
  c: function(a, o, s, l) {
    var u = a.getUTCDay(), c = (u - l.weekStartsOn + 8) % 7 || 7;
    switch (o) {
      case "c":
        return String(c);
      case "cc":
        return addLeadingZeros(c, o.length);
      case "co":
        return s.ordinalNumber(c, {
          unit: "day"
        });
      case "ccc":
        return s.day(u, {
          width: "abbreviated",
          context: "standalone"
        });
      case "ccccc":
        return s.day(u, {
          width: "narrow",
          context: "standalone"
        });
      case "cccccc":
        return s.day(u, {
          width: "short",
          context: "standalone"
        });
      case "cccc":
      default:
        return s.day(u, {
          width: "wide",
          context: "standalone"
        });
    }
  },
  // ISO day of week
  i: function(a, o, s) {
    var l = a.getUTCDay(), u = l === 0 ? 7 : l;
    switch (o) {
      case "i":
        return String(u);
      case "ii":
        return addLeadingZeros(u, o.length);
      case "io":
        return s.ordinalNumber(u, {
          unit: "day"
        });
      case "iii":
        return s.day(l, {
          width: "abbreviated",
          context: "formatting"
        });
      case "iiiii":
        return s.day(l, {
          width: "narrow",
          context: "formatting"
        });
      case "iiiiii":
        return s.day(l, {
          width: "short",
          context: "formatting"
        });
      case "iiii":
      default:
        return s.day(l, {
          width: "wide",
          context: "formatting"
        });
    }
  },
  // AM or PM
  a: function(a, o, s) {
    var l = a.getUTCHours(), u = l / 12 >= 1 ? "pm" : "am";
    switch (o) {
      case "a":
      case "aa":
        return s.dayPeriod(u, {
          width: "abbreviated",
          context: "formatting"
        });
      case "aaa":
        return s.dayPeriod(u, {
          width: "abbreviated",
          context: "formatting"
        }).toLowerCase();
      case "aaaaa":
        return s.dayPeriod(u, {
          width: "narrow",
          context: "formatting"
        });
      case "aaaa":
      default:
        return s.dayPeriod(u, {
          width: "wide",
          context: "formatting"
        });
    }
  },
  // AM, PM, midnight, noon
  b: function(a, o, s) {
    var l = a.getUTCHours(), u;
    switch (l === 12 ? u = dayPeriodEnum.noon : l === 0 ? u = dayPeriodEnum.midnight : u = l / 12 >= 1 ? "pm" : "am", o) {
      case "b":
      case "bb":
        return s.dayPeriod(u, {
          width: "abbreviated",
          context: "formatting"
        });
      case "bbb":
        return s.dayPeriod(u, {
          width: "abbreviated",
          context: "formatting"
        }).toLowerCase();
      case "bbbbb":
        return s.dayPeriod(u, {
          width: "narrow",
          context: "formatting"
        });
      case "bbbb":
      default:
        return s.dayPeriod(u, {
          width: "wide",
          context: "formatting"
        });
    }
  },
  // in the morning, in the afternoon, in the evening, at night
  B: function(a, o, s) {
    var l = a.getUTCHours(), u;
    switch (l >= 17 ? u = dayPeriodEnum.evening : l >= 12 ? u = dayPeriodEnum.afternoon : l >= 4 ? u = dayPeriodEnum.morning : u = dayPeriodEnum.night, o) {
      case "B":
      case "BB":
      case "BBB":
        return s.dayPeriod(u, {
          width: "abbreviated",
          context: "formatting"
        });
      case "BBBBB":
        return s.dayPeriod(u, {
          width: "narrow",
          context: "formatting"
        });
      case "BBBB":
      default:
        return s.dayPeriod(u, {
          width: "wide",
          context: "formatting"
        });
    }
  },
  // Hour [1-12]
  h: function(a, o, s) {
    if (o === "ho") {
      var l = a.getUTCHours() % 12;
      return l === 0 && (l = 12), s.ordinalNumber(l, {
        unit: "hour"
      });
    }
    return formatters$1.h(a, o);
  },
  // Hour [0-23]
  H: function(a, o, s) {
    return o === "Ho" ? s.ordinalNumber(a.getUTCHours(), {
      unit: "hour"
    }) : formatters$1.H(a, o);
  },
  // Hour [0-11]
  K: function(a, o, s) {
    var l = a.getUTCHours() % 12;
    return o === "Ko" ? s.ordinalNumber(l, {
      unit: "hour"
    }) : addLeadingZeros(l, o.length);
  },
  // Hour [1-24]
  k: function(a, o, s) {
    var l = a.getUTCHours();
    return l === 0 && (l = 24), o === "ko" ? s.ordinalNumber(l, {
      unit: "hour"
    }) : addLeadingZeros(l, o.length);
  },
  // Minute
  m: function(a, o, s) {
    return o === "mo" ? s.ordinalNumber(a.getUTCMinutes(), {
      unit: "minute"
    }) : formatters$1.m(a, o);
  },
  // Second
  s: function(a, o, s) {
    return o === "so" ? s.ordinalNumber(a.getUTCSeconds(), {
      unit: "second"
    }) : formatters$1.s(a, o);
  },
  // Fraction of second
  S: function(a, o) {
    return formatters$1.S(a, o);
  },
  // Timezone (ISO-8601. If offset is 0, output is always `'Z'`)
  X: function(a, o, s, l) {
    var u = l._originalDate || a, c = u.getTimezoneOffset();
    if (c === 0)
      return "Z";
    switch (o) {
      case "X":
        return formatTimezoneWithOptionalMinutes(c);
      case "XXXX":
      case "XX":
        return formatTimezone(c);
      case "XXXXX":
      case "XXX":
      default:
        return formatTimezone(c, ":");
    }
  },
  // Timezone (ISO-8601. If offset is 0, output is `'+00:00'` or equivalent)
  x: function(a, o, s, l) {
    var u = l._originalDate || a, c = u.getTimezoneOffset();
    switch (o) {
      case "x":
        return formatTimezoneWithOptionalMinutes(c);
      case "xxxx":
      case "xx":
        return formatTimezone(c);
      case "xxxxx":
      case "xxx":
      default:
        return formatTimezone(c, ":");
    }
  },
  // Timezone (GMT)
  O: function(a, o, s, l) {
    var u = l._originalDate || a, c = u.getTimezoneOffset();
    switch (o) {
      case "O":
      case "OO":
      case "OOO":
        return "GMT" + formatTimezoneShort(c, ":");
      case "OOOO":
      default:
        return "GMT" + formatTimezone(c, ":");
    }
  },
  // Timezone (specific non-location)
  z: function(a, o, s, l) {
    var u = l._originalDate || a, c = u.getTimezoneOffset();
    switch (o) {
      case "z":
      case "zz":
      case "zzz":
        return "GMT" + formatTimezoneShort(c, ":");
      case "zzzz":
      default:
        return "GMT" + formatTimezone(c, ":");
    }
  },
  // Seconds timestamp
  t: function(a, o, s, l) {
    var u = l._originalDate || a, c = Math.floor(u.getTime() / 1e3);
    return addLeadingZeros(c, o.length);
  },
  // Milliseconds timestamp
  T: function(a, o, s, l) {
    var u = l._originalDate || a, c = u.getTime();
    return addLeadingZeros(c, o.length);
  }
};
function formatTimezoneShort(r, a) {
  var o = r > 0 ? "-" : "+", s = Math.abs(r), l = Math.floor(s / 60), u = s % 60;
  if (u === 0)
    return o + String(l);
  var c = a;
  return o + String(l) + c + addLeadingZeros(u, 2);
}
function formatTimezoneWithOptionalMinutes(r, a) {
  if (r % 60 === 0) {
    var o = r > 0 ? "-" : "+";
    return o + addLeadingZeros(Math.abs(r) / 60, 2);
  }
  return formatTimezone(r, a);
}
function formatTimezone(r, a) {
  var o = a || "", s = r > 0 ? "-" : "+", l = Math.abs(r), u = addLeadingZeros(Math.floor(l / 60), 2), c = addLeadingZeros(l % 60, 2);
  return s + u + o + c;
}
var dateLongFormatter = function(a, o) {
  switch (a) {
    case "P":
      return o.date({
        width: "short"
      });
    case "PP":
      return o.date({
        width: "medium"
      });
    case "PPP":
      return o.date({
        width: "long"
      });
    case "PPPP":
    default:
      return o.date({
        width: "full"
      });
  }
}, timeLongFormatter = function(a, o) {
  switch (a) {
    case "p":
      return o.time({
        width: "short"
      });
    case "pp":
      return o.time({
        width: "medium"
      });
    case "ppp":
      return o.time({
        width: "long"
      });
    case "pppp":
    default:
      return o.time({
        width: "full"
      });
  }
}, dateTimeLongFormatter = function(a, o) {
  var s = a.match(/(P+)(p+)?/) || [], l = s[1], u = s[2];
  if (!u)
    return dateLongFormatter(a, o);
  var c;
  switch (l) {
    case "P":
      c = o.dateTime({
        width: "short"
      });
      break;
    case "PP":
      c = o.dateTime({
        width: "medium"
      });
      break;
    case "PPP":
      c = o.dateTime({
        width: "long"
      });
      break;
    case "PPPP":
    default:
      c = o.dateTime({
        width: "full"
      });
      break;
  }
  return c.replace("{{date}}", dateLongFormatter(l, o)).replace("{{time}}", timeLongFormatter(u, o));
}, longFormatters = {
  p: timeLongFormatter,
  P: dateTimeLongFormatter
};
function getTimezoneOffsetInMilliseconds(r) {
  var a = new Date(Date.UTC(r.getFullYear(), r.getMonth(), r.getDate(), r.getHours(), r.getMinutes(), r.getSeconds(), r.getMilliseconds()));
  return a.setUTCFullYear(r.getFullYear()), r.getTime() - a.getTime();
}
var protectedDayOfYearTokens = ["D", "DD"], protectedWeekYearTokens = ["YY", "YYYY"];
function isProtectedDayOfYearToken(r) {
  return protectedDayOfYearTokens.indexOf(r) !== -1;
}
function isProtectedWeekYearToken(r) {
  return protectedWeekYearTokens.indexOf(r) !== -1;
}
function throwProtectedError(r, a, o) {
  if (r === "YYYY")
    throw new RangeError("Use `yyyy` instead of `YYYY` (in `".concat(a, "`) for formatting years to the input `").concat(o, "`; see: https://github.com/date-fns/date-fns/blob/master/docs/unicodeTokens.md"));
  if (r === "YY")
    throw new RangeError("Use `yy` instead of `YY` (in `".concat(a, "`) for formatting years to the input `").concat(o, "`; see: https://github.com/date-fns/date-fns/blob/master/docs/unicodeTokens.md"));
  if (r === "D")
    throw new RangeError("Use `d` instead of `D` (in `".concat(a, "`) for formatting days of the month to the input `").concat(o, "`; see: https://github.com/date-fns/date-fns/blob/master/docs/unicodeTokens.md"));
  if (r === "DD")
    throw new RangeError("Use `dd` instead of `DD` (in `".concat(a, "`) for formatting days of the month to the input `").concat(o, "`; see: https://github.com/date-fns/date-fns/blob/master/docs/unicodeTokens.md"));
}
var formatDistanceLocale = {
  lessThanXSeconds: {
    one: "less than a second",
    other: "less than {{count}} seconds"
  },
  xSeconds: {
    one: "1 second",
    other: "{{count}} seconds"
  },
  halfAMinute: "half a minute",
  lessThanXMinutes: {
    one: "less than a minute",
    other: "less than {{count}} minutes"
  },
  xMinutes: {
    one: "1 minute",
    other: "{{count}} minutes"
  },
  aboutXHours: {
    one: "about 1 hour",
    other: "about {{count}} hours"
  },
  xHours: {
    one: "1 hour",
    other: "{{count}} hours"
  },
  xDays: {
    one: "1 day",
    other: "{{count}} days"
  },
  aboutXWeeks: {
    one: "about 1 week",
    other: "about {{count}} weeks"
  },
  xWeeks: {
    one: "1 week",
    other: "{{count}} weeks"
  },
  aboutXMonths: {
    one: "about 1 month",
    other: "about {{count}} months"
  },
  xMonths: {
    one: "1 month",
    other: "{{count}} months"
  },
  aboutXYears: {
    one: "about 1 year",
    other: "about {{count}} years"
  },
  xYears: {
    one: "1 year",
    other: "{{count}} years"
  },
  overXYears: {
    one: "over 1 year",
    other: "over {{count}} years"
  },
  almostXYears: {
    one: "almost 1 year",
    other: "almost {{count}} years"
  }
}, formatDistance = function(a, o, s) {
  var l, u = formatDistanceLocale[a];
  return typeof u == "string" ? l = u : o === 1 ? l = u.one : l = u.other.replace("{{count}}", o.toString()), s != null && s.addSuffix ? s.comparison && s.comparison > 0 ? "in " + l : l + " ago" : l;
};
function buildFormatLongFn(r) {
  return function() {
    var a = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {}, o = a.width ? String(a.width) : r.defaultWidth, s = r.formats[o] || r.formats[r.defaultWidth];
    return s;
  };
}
var dateFormats = {
  full: "EEEE, MMMM do, y",
  long: "MMMM do, y",
  medium: "MMM d, y",
  short: "MM/dd/yyyy"
}, timeFormats = {
  full: "h:mm:ss a zzzz",
  long: "h:mm:ss a z",
  medium: "h:mm:ss a",
  short: "h:mm a"
}, dateTimeFormats = {
  full: "{{date}} 'at' {{time}}",
  long: "{{date}} 'at' {{time}}",
  medium: "{{date}}, {{time}}",
  short: "{{date}}, {{time}}"
}, formatLong = {
  date: buildFormatLongFn({
    formats: dateFormats,
    defaultWidth: "full"
  }),
  time: buildFormatLongFn({
    formats: timeFormats,
    defaultWidth: "full"
  }),
  dateTime: buildFormatLongFn({
    formats: dateTimeFormats,
    defaultWidth: "full"
  })
}, formatRelativeLocale = {
  lastWeek: "'last' eeee 'at' p",
  yesterday: "'yesterday at' p",
  today: "'today at' p",
  tomorrow: "'tomorrow at' p",
  nextWeek: "eeee 'at' p",
  other: "P"
}, formatRelative = function(a, o, s, l) {
  return formatRelativeLocale[a];
};
function buildLocalizeFn(r) {
  return function(a, o) {
    var s = o != null && o.context ? String(o.context) : "standalone", l;
    if (s === "formatting" && r.formattingValues) {
      var u = r.defaultFormattingWidth || r.defaultWidth, c = o != null && o.width ? String(o.width) : u;
      l = r.formattingValues[c] || r.formattingValues[u];
    } else {
      var d = r.defaultWidth, f = o != null && o.width ? String(o.width) : r.defaultWidth;
      l = r.values[f] || r.values[d];
    }
    var p = r.argumentCallback ? r.argumentCallback(a) : a;
    return l[p];
  };
}
var eraValues = {
  narrow: ["B", "A"],
  abbreviated: ["BC", "AD"],
  wide: ["Before Christ", "Anno Domini"]
}, quarterValues = {
  narrow: ["1", "2", "3", "4"],
  abbreviated: ["Q1", "Q2", "Q3", "Q4"],
  wide: ["1st quarter", "2nd quarter", "3rd quarter", "4th quarter"]
}, monthValues = {
  narrow: ["J", "F", "M", "A", "M", "J", "J", "A", "S", "O", "N", "D"],
  abbreviated: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
  wide: ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]
}, dayValues = {
  narrow: ["S", "M", "T", "W", "T", "F", "S"],
  short: ["Su", "Mo", "Tu", "We", "Th", "Fr", "Sa"],
  abbreviated: ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"],
  wide: ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"]
}, dayPeriodValues = {
  narrow: {
    am: "a",
    pm: "p",
    midnight: "mi",
    noon: "n",
    morning: "morning",
    afternoon: "afternoon",
    evening: "evening",
    night: "night"
  },
  abbreviated: {
    am: "AM",
    pm: "PM",
    midnight: "midnight",
    noon: "noon",
    morning: "morning",
    afternoon: "afternoon",
    evening: "evening",
    night: "night"
  },
  wide: {
    am: "a.m.",
    pm: "p.m.",
    midnight: "midnight",
    noon: "noon",
    morning: "morning",
    afternoon: "afternoon",
    evening: "evening",
    night: "night"
  }
}, formattingDayPeriodValues = {
  narrow: {
    am: "a",
    pm: "p",
    midnight: "mi",
    noon: "n",
    morning: "in the morning",
    afternoon: "in the afternoon",
    evening: "in the evening",
    night: "at night"
  },
  abbreviated: {
    am: "AM",
    pm: "PM",
    midnight: "midnight",
    noon: "noon",
    morning: "in the morning",
    afternoon: "in the afternoon",
    evening: "in the evening",
    night: "at night"
  },
  wide: {
    am: "a.m.",
    pm: "p.m.",
    midnight: "midnight",
    noon: "noon",
    morning: "in the morning",
    afternoon: "in the afternoon",
    evening: "in the evening",
    night: "at night"
  }
}, ordinalNumber = function(a, o) {
  var s = Number(a), l = s % 100;
  if (l > 20 || l < 10)
    switch (l % 10) {
      case 1:
        return s + "st";
      case 2:
        return s + "nd";
      case 3:
        return s + "rd";
    }
  return s + "th";
}, localize = {
  ordinalNumber,
  era: buildLocalizeFn({
    values: eraValues,
    defaultWidth: "wide"
  }),
  quarter: buildLocalizeFn({
    values: quarterValues,
    defaultWidth: "wide",
    argumentCallback: function(a) {
      return a - 1;
    }
  }),
  month: buildLocalizeFn({
    values: monthValues,
    defaultWidth: "wide"
  }),
  day: buildLocalizeFn({
    values: dayValues,
    defaultWidth: "wide"
  }),
  dayPeriod: buildLocalizeFn({
    values: dayPeriodValues,
    defaultWidth: "wide",
    formattingValues: formattingDayPeriodValues,
    defaultFormattingWidth: "wide"
  })
};
function buildMatchFn(r) {
  return function(a) {
    var o = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, s = o.width, l = s && r.matchPatterns[s] || r.matchPatterns[r.defaultMatchWidth], u = a.match(l);
    if (!u)
      return null;
    var c = u[0], d = s && r.parsePatterns[s] || r.parsePatterns[r.defaultParseWidth], f = Array.isArray(d) ? findIndex(d, function(g) {
      return g.test(c);
    }) : findKey(d, function(g) {
      return g.test(c);
    }), p;
    p = r.valueCallback ? r.valueCallback(f) : f, p = o.valueCallback ? o.valueCallback(p) : p;
    var v = a.slice(c.length);
    return {
      value: p,
      rest: v
    };
  };
}
function findKey(r, a) {
  for (var o in r)
    if (r.hasOwnProperty(o) && a(r[o]))
      return o;
}
function findIndex(r, a) {
  for (var o = 0; o < r.length; o++)
    if (a(r[o]))
      return o;
}
function buildMatchPatternFn(r) {
  return function(a) {
    var o = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, s = a.match(r.matchPattern);
    if (!s) return null;
    var l = s[0], u = a.match(r.parsePattern);
    if (!u) return null;
    var c = r.valueCallback ? r.valueCallback(u[0]) : u[0];
    c = o.valueCallback ? o.valueCallback(c) : c;
    var d = a.slice(l.length);
    return {
      value: c,
      rest: d
    };
  };
}
var matchOrdinalNumberPattern = /^(\d+)(th|st|nd|rd)?/i, parseOrdinalNumberPattern = /\d+/i, matchEraPatterns = {
  narrow: /^(b|a)/i,
  abbreviated: /^(b\.?\s?c\.?|b\.?\s?c\.?\s?e\.?|a\.?\s?d\.?|c\.?\s?e\.?)/i,
  wide: /^(before christ|before common era|anno domini|common era)/i
}, parseEraPatterns = {
  any: [/^b/i, /^(a|c)/i]
}, matchQuarterPatterns = {
  narrow: /^[1234]/i,
  abbreviated: /^q[1234]/i,
  wide: /^[1234](th|st|nd|rd)? quarter/i
}, parseQuarterPatterns = {
  any: [/1/i, /2/i, /3/i, /4/i]
}, matchMonthPatterns = {
  narrow: /^[jfmasond]/i,
  abbreviated: /^(jan|feb|mar|apr|may|jun|jul|aug|sep|oct|nov|dec)/i,
  wide: /^(january|february|march|april|may|june|july|august|september|october|november|december)/i
}, parseMonthPatterns = {
  narrow: [/^j/i, /^f/i, /^m/i, /^a/i, /^m/i, /^j/i, /^j/i, /^a/i, /^s/i, /^o/i, /^n/i, /^d/i],
  any: [/^ja/i, /^f/i, /^mar/i, /^ap/i, /^may/i, /^jun/i, /^jul/i, /^au/i, /^s/i, /^o/i, /^n/i, /^d/i]
}, matchDayPatterns = {
  narrow: /^[smtwf]/i,
  short: /^(su|mo|tu|we|th|fr|sa)/i,
  abbreviated: /^(sun|mon|tue|wed|thu|fri|sat)/i,
  wide: /^(sunday|monday|tuesday|wednesday|thursday|friday|saturday)/i
}, parseDayPatterns = {
  narrow: [/^s/i, /^m/i, /^t/i, /^w/i, /^t/i, /^f/i, /^s/i],
  any: [/^su/i, /^m/i, /^tu/i, /^w/i, /^th/i, /^f/i, /^sa/i]
}, matchDayPeriodPatterns = {
  narrow: /^(a|p|mi|n|(in the|at) (morning|afternoon|evening|night))/i,
  any: /^([ap]\.?\s?m\.?|midnight|noon|(in the|at) (morning|afternoon|evening|night))/i
}, parseDayPeriodPatterns = {
  any: {
    am: /^a/i,
    pm: /^p/i,
    midnight: /^mi/i,
    noon: /^no/i,
    morning: /morning/i,
    afternoon: /afternoon/i,
    evening: /evening/i,
    night: /night/i
  }
}, match = {
  ordinalNumber: buildMatchPatternFn({
    matchPattern: matchOrdinalNumberPattern,
    parsePattern: parseOrdinalNumberPattern,
    valueCallback: function(a) {
      return parseInt(a, 10);
    }
  }),
  era: buildMatchFn({
    matchPatterns: matchEraPatterns,
    defaultMatchWidth: "wide",
    parsePatterns: parseEraPatterns,
    defaultParseWidth: "any"
  }),
  quarter: buildMatchFn({
    matchPatterns: matchQuarterPatterns,
    defaultMatchWidth: "wide",
    parsePatterns: parseQuarterPatterns,
    defaultParseWidth: "any",
    valueCallback: function(a) {
      return a + 1;
    }
  }),
  month: buildMatchFn({
    matchPatterns: matchMonthPatterns,
    defaultMatchWidth: "wide",
    parsePatterns: parseMonthPatterns,
    defaultParseWidth: "any"
  }),
  day: buildMatchFn({
    matchPatterns: matchDayPatterns,
    defaultMatchWidth: "wide",
    parsePatterns: parseDayPatterns,
    defaultParseWidth: "any"
  }),
  dayPeriod: buildMatchFn({
    matchPatterns: matchDayPeriodPatterns,
    defaultMatchWidth: "any",
    parsePatterns: parseDayPeriodPatterns,
    defaultParseWidth: "any"
  })
}, locale = {
  code: "en-US",
  formatDistance,
  formatLong,
  formatRelative,
  localize,
  match,
  options: {
    weekStartsOn: 0,
    firstWeekContainsDate: 1
  }
}, formattingTokensRegExp = /[yYQqMLwIdDecihHKkms]o|(\w)\1*|''|'(''|[^'])+('|$)|./g, longFormattingTokensRegExp = /P+p+|P+|p+|''|'(''|[^'])+('|$)|./g, escapedStringRegExp = /^'([^]*?)'?$/, doubleQuoteRegExp = /''/g, unescapedLatinCharacterRegExp = /[a-zA-Z]/;
function format$4(r, a, o) {
  var s, l, u, c, d, f, p, v, g, y, _, S, C, b;
  requiredArgs(2, arguments);
  var T = String(a), E = getDefaultOptions(), x = (s = (l = void 0) !== null && l !== void 0 ? l : E.locale) !== null && s !== void 0 ? s : locale, $ = toInteger((u = (c = (d = (f = void 0) !== null && f !== void 0 ? f : void 0) !== null && d !== void 0 ? d : E.firstWeekContainsDate) !== null && c !== void 0 ? c : (p = E.locale) === null || p === void 0 || (v = p.options) === null || v === void 0 ? void 0 : v.firstWeekContainsDate) !== null && u !== void 0 ? u : 1);
  if (!($ >= 1 && $ <= 7))
    throw new RangeError("firstWeekContainsDate must be between 1 and 7 inclusively");
  var A = toInteger((g = (y = (_ = (S = void 0) !== null && S !== void 0 ? S : void 0) !== null && _ !== void 0 ? _ : E.weekStartsOn) !== null && y !== void 0 ? y : (C = E.locale) === null || C === void 0 || (b = C.options) === null || b === void 0 ? void 0 : b.weekStartsOn) !== null && g !== void 0 ? g : 0);
  if (!(A >= 0 && A <= 6))
    throw new RangeError("weekStartsOn must be between 0 and 6 inclusively");
  if (!x.localize)
    throw new RangeError("locale must contain localize property");
  if (!x.formatLong)
    throw new RangeError("locale must contain formatLong property");
  var N = toDate(r);
  if (!isValid(N))
    throw new RangeError("Invalid time value");
  var P = getTimezoneOffsetInMilliseconds(N), L = subMilliseconds(N, P), O = {
    firstWeekContainsDate: $,
    weekStartsOn: A,
    locale: x,
    _originalDate: N
  }, M = T.match(longFormattingTokensRegExp).map(function(F) {
    var U = F[0];
    if (U === "p" || U === "P") {
      var R = longFormatters[U];
      return R(F, x.formatLong);
    }
    return F;
  }).join("").match(formattingTokensRegExp).map(function(F) {
    if (F === "''")
      return "'";
    var U = F[0];
    if (U === "'")
      return cleanEscapedString(F);
    var R = formatters[U];
    if (R)
      return isProtectedWeekYearToken(F) && throwProtectedError(F, a, String(r)), isProtectedDayOfYearToken(F) && throwProtectedError(F, a, String(r)), R(L, F, x.localize, O);
    if (U.match(unescapedLatinCharacterRegExp))
      throw new RangeError("Format string contains an unescaped latin alphabet character `" + U + "`");
    return F;
  }).join("");
  return M;
}
function cleanEscapedString(r) {
  var a = r.match(escapedStringRegExp);
  return a ? a[1].replace(doubleQuoteRegExp, "'") : r;
}
var FileSaver_min = { exports: {} };
(function(r, a) {
  (function(o, s) {
    s();
  })(commonjsGlobal, function() {
    function o(p, v) {
      return typeof v > "u" ? v = { autoBom: !1 } : typeof v != "object" && (console.warn("Deprecated: Expected third argument to be a object"), v = { autoBom: !v }), v.autoBom && /^\s*(?:text\/\S*|application\/xml|\S*\/\S*\+xml)\s*;.*charset\s*=\s*utf-8/i.test(p.type) ? new Blob(["\uFEFF", p], { type: p.type }) : p;
    }
    function s(p, v, g) {
      var y = new XMLHttpRequest();
      y.open("GET", p), y.responseType = "blob", y.onload = function() {
        f(y.response, v, g);
      }, y.onerror = function() {
        console.error("could not download file");
      }, y.send();
    }
    function l(p) {
      var v = new XMLHttpRequest();
      v.open("HEAD", p, !1);
      try {
        v.send();
      } catch {
      }
      return 200 <= v.status && 299 >= v.status;
    }
    function u(p) {
      try {
        p.dispatchEvent(new MouseEvent("click"));
      } catch {
        var v = document.createEvent("MouseEvents");
        v.initMouseEvent("click", !0, !0, window, 0, 0, 0, 80, 20, !1, !1, !1, !1, 0, null), p.dispatchEvent(v);
      }
    }
    var c = typeof window == "object" && window.window === window ? window : typeof self == "object" && self.self === self ? self : typeof commonjsGlobal == "object" && commonjsGlobal.global === commonjsGlobal ? commonjsGlobal : void 0, d = c.navigator && /Macintosh/.test(navigator.userAgent) && /AppleWebKit/.test(navigator.userAgent) && !/Safari/.test(navigator.userAgent), f = c.saveAs || (typeof window != "object" || window !== c ? function() {
    } : "download" in HTMLAnchorElement.prototype && !d ? function(p, v, g) {
      var y = c.URL || c.webkitURL, _ = document.createElement("a");
      v = v || p.name || "download", _.download = v, _.rel = "noopener", typeof p == "string" ? (_.href = p, _.origin === location.origin ? u(_) : l(_.href) ? s(p, v, g) : u(_, _.target = "_blank")) : (_.href = y.createObjectURL(p), setTimeout(function() {
        y.revokeObjectURL(_.href);
      }, 4e4), setTimeout(function() {
        u(_);
      }, 0));
    } : "msSaveOrOpenBlob" in navigator ? function(p, v, g) {
      if (v = v || p.name || "download", typeof p != "string") navigator.msSaveOrOpenBlob(o(p, g), v);
      else if (l(p)) s(p, v, g);
      else {
        var y = document.createElement("a");
        y.href = p, y.target = "_blank", setTimeout(function() {
          u(y);
        });
      }
    } : function(p, v, g, y) {
      if (y = y || open("", "_blank"), y && (y.document.title = y.document.body.innerText = "downloading..."), typeof p == "string") return s(p, v, g);
      var _ = p.type === "application/octet-stream", S = /constructor/i.test(c.HTMLElement) || c.safari, C = /CriOS\/[\d]+/.test(navigator.userAgent);
      if ((C || _ && S || d) && typeof FileReader < "u") {
        var b = new FileReader();
        b.onloadend = function() {
          var x = b.result;
          x = C ? x : x.replace(/^data:[^;]*;/, "data:attachment/file;"), y ? y.location.href = x : location = x, y = null;
        }, b.readAsDataURL(p);
      } else {
        var T = c.URL || c.webkitURL, E = T.createObjectURL(p);
        y ? y.location = E : location.href = E, y = null, setTimeout(function() {
          T.revokeObjectURL(E);
        }, 4e4);
      }
    });
    c.saveAs = f.saveAs = f, r.exports = f;
  });
})(FileSaver_min);
var FileSaver_minExports = FileSaver_min.exports;
const saveAs = /* @__PURE__ */ getDefaultExportFromCjs(FileSaver_minExports), modelApi = {
  add(r, a) {
    return service({
      url: `api/${r}/add`,
      method: "post",
      data: a
    });
  },
  update(r, a) {
    return service({
      url: `api/${r}/update`,
      method: "put",
      data: a
    });
  },
  remove(r, a) {
    return service({
      url: `api/${r}/remove`,
      method: "delete",
      params: {
        id: a
      }
    });
  },
  submit(r, a) {
    return service({
      url: `api/${r}/submit`,
      method: "post",
      data: a
    });
  },
  save(r, a) {
    return service({
      url: `api/${r}/save`,
      method: "post",
      data: a
    });
  },
  batchSave(r, a) {
    return service({
      url: "api/Model/batchSave",
      method: "post",
      data: {
        modelName: r,
        data: a
      }
    });
  },
  get(r, a) {
    return service({
      url: `api/${r}/get`,
      method: "get",
      params: {
        id: a
      }
    });
  },
  query(r, a, o, s) {
    return (o == null || o == "") && (o = "query"), (s == null || s == "") && (s = "post"), a.isGroupBy ? (a.modelName = r, service({
      url: "api/Model/group",
      method: "post",
      data: a
    })) : service({
      url: `api/${r}/${o}`,
      method: s,
      data: a
    });
  },
  async exportExcel(r, a) {
    let o = "query", s = "post";
    r.functionName != null && r.functionName != "" && (o = r.functionName), r.functionType != null && r.functionType != "" && (s = r.functionType);
    let l = {
      ...a,
      per: r.maxExportCount == null ? 1e6 : r.maxExportCount,
      returnType: 1,
      viewCode: (r.exportDataViewCode || "").trim() ? r.exportDataViewCode : r.code
    }, u;
    r.isGroupBy ? (l.groupColumn = JSON.parse(r.groupColumn), l.groupMethod = JSON.parse(r.groupMethod), l.modelName = r.model, u = await service({
      url: "api/Model/group",
      method: "post",
      responseType: "blob",
      data: l
    })) : u = await service({
      url: `api/${r.model}/${o}`,
      method: s,
      responseType: "blob",
      data: l
    });
    const c = new Blob([u], {
      type: "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
    });
    saveAs(c, r.name + "-" + format$4(/* @__PURE__ */ new Date(), "yyyyMMddHHmmss") + ".xlsx");
  },
  async exportPdf(r, a) {
    let o = "query", s = "post";
    r.functionName != null && r.functionName != "" && (o = r.functionName), r.functionType != null && r.functionType != "" && (s = r.functionType);
    let l = {
      ...a,
      per: 1e4,
      returnType: 3,
      viewCode: (r.exportDataViewCode || "").trim() ? r.exportDataViewCode : r.code
    }, u;
    r.isGroupBy ? (l.groupColumn = JSON.parse(r.groupColumn), l.groupMethod = JSON.parse(r.groupMethod), l.modelName = r.model, u = await service({
      url: "api/Model/group",
      method: "post",
      responseType: "blob",
      data: l
    })) : u = await service({
      url: `api/${r.model}/${o}`,
      method: s,
      responseType: "blob",
      data: l
    });
    const c = new Blob([u], { type: "application/pdf" });
    saveAs(c, r.name + "-" + format$4(/* @__PURE__ */ new Date(), "yyyyMMddHHmmss") + ".pdf");
  },
  async printList(r, a, o = !0) {
    let s = "query", l = "post";
    r.functionName != null && r.functionName != "" && (s = r.functionName), r.functionType != null && r.functionType != "" && (l = r.functionType), r.isGroupBy && (a.isGroupBy = !0, a.groupColumn = JSON.parse(r.groupColumn), a.groupMethod = JSON.parse(r.groupMethod));
    const u = lodop.getLodop();
    let c = {
      ...a,
      per: 1e3,
      returnType: 2,
      viewCode: (r.exportDataViewCode || "").trim() ? r.exportDataViewCode : r.code
    }, d;
    r.isGroupBy ? (c.groupColumn = JSON.parse(r.groupColumn), c.groupMethod = JSON.parse(r.groupMethod), c.modelName = r.model, d = await service({
      url: "api/Model/group",
      method: "post",
      data: c
    })) : d = await service({
      url: `api/${r.model}/${s}`,
      method: l,
      data: c
    }), u.PRINT_INIT("Print"), o ? (u.ADD_PRINT_TABLE("4%", "3%", "94%", "90%", d), u.SET_PRINT_PAGESIZE(2, 0, 0, "A4")) : (u.ADD_PRINT_TABLE("4%", "3%", "94%", "90%", d), u.SET_PRINT_PAGESIZE(1, 0, 0, "A4")), u.PRINTA();
  }
}, cache$1 = {
  namespaced: !0,
  state: {
    // 缓存
    caches: {},
    // 枚举字典信息
    dicts: {},
    // 枚举信息
    enums: {},
    // 用户姓名
    userNames: {}
  },
  getters: {},
  actions: {
    /**
     * @description 加载缓存数据
     * @param {Object} state vuex state
     * @param {*} type 类别
     */
    async loadCache({ state: r }, a) {
      if (!(a in r.caches)) {
        r.caches[a] = [];
        try {
          let o = await modelApi.query(a, {});
          r.caches[a] = o.data;
        } catch (o) {
          throw delete r.caches[a], o;
        }
      }
    },
    /**
     * @description 加载枚举字典数据
     * @param {Object} state vuex state
     * @param {*} type 类别
     */
    async loadDict({ state: r }, a) {
      if (!(a in r.dicts)) {
        r.dicts[a] = {};
        try {
          (await modelApi.query("Dict", { type: a })).data.forEach((s) => {
            r.dicts[a][s.id] = s.displayName;
          });
        } catch (o) {
          throw delete r.dicts[a], o;
        }
      }
    },
    /**
     * @description 加载枚举数据
     * @param {Object} state vuex state
     * @param {*} type 类别
     */
    async loadEnum({ state: r }, a) {
      if (!(a in r.enums)) {
        r.enums[a] = {};
        try {
          (await enumApi.query(a)).forEach((s) => {
            r.enums[a][s.id] = s.name;
          });
        } catch (o) {
          throw delete r.enums[a], o;
        }
      }
    },
    /**
     * @description 加载用户姓名数据
     * @param {Object} state vuex state
     * @param {*} id 唯一编号
     */
    async loadUserName({ state: r }, a) {
      if (a && !(a in r.userNames)) {
        r.userNames[a] = "-";
        try {
          let o = await userlApi.get(a);
          o && (r.userNames[a] = o.name);
        } catch (o) {
          throw delete r.userNames[a], o;
        }
      }
    }
  }
}, __vite_glob_0_1$2 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: cache$1
}, Symbol.toStringTag, { value: "Module" })), res$m = "DataView", dataViewApi = {
  getByCode(r) {
    return service({
      url: `api/${res$m}/getByCode`,
      method: "get",
      params: {
        code: r
      }
    });
  },
  save(r, a) {
    return service({
      url: `api/${res$m}/saveDataView`,
      method: "post",
      data: {
        code: r,
        viewColumns: a
      }
    });
  },
  copy(r, a) {
    return service({
      url: `api/${res$m}/copyDataView`,
      method: "post",
      data: {
        id: r,
        newCode: a
      }
    });
  },
  saveSetting(r) {
    return service({
      url: `api/${res$m}/saveSetting`,
      method: "post",
      data: r
    });
  },
  saveUserView(r, a) {
    return service({
      url: `api/${res$m}/saveUserView`,
      method: "post",
      data: {
        code: r,
        viewColumns: a
      }
    });
  },
  saveFilterColumn(r, a) {
    return service({
      url: `api/${res$m}/saveFilterColumn`,
      method: "post",
      data: {
        code: r,
        filterColumns: a
      }
    });
  },
  reset(r) {
    return service({
      url: `api/${res$m}/removeUserView`,
      method: "post",
      data: {
        code: r
      }
    });
  },
  queryColumnByModel(r) {
    return service({
      url: `api/${res$m}/queryColumnByModel`,
      method: "get",
      params: {
        model: r
      }
    });
  },
  queryColumnByView(r) {
    return service({
      url: `api/${res$m}/queryColumnByView`,
      method: "get",
      params: {
        view: r
      }
    });
  },
  queryColumnByDataSource(r) {
    return service({
      url: `api/${res$m}/queryColumnByDataSource`,
      method: "get",
      params: {
        dataSource: r
      }
    });
  },
  queryFilterByDataSource(r) {
    return service({
      url: `api/${res$m}/queryFilterByDataSource`,
      method: "get",
      params: {
        dataSource: r
      }
    });
  },
  getSchemaByModel(r) {
    return service({
      url: `api/${res$m}/getSchemaByModel`,
      method: "get",
      params: {
        model: r
      }
    });
  },
  async exportFile(r) {
    const a = await service({
      url: `api/${res$m}/exportFile`,
      method: "post",
      responseType: "blob",
      data: {
        ids: r
      }
    }), o = new Blob([a], {
      type: "application/octet-stream"
    });
    saveAs(o, "View-" + format$4(/* @__PURE__ */ new Date(), "yyyyMMddHHmmss") + ".view");
  },
  async exportExcel(r, a, o) {
    const s = await service({
      url: `api/${res$m}/export`,
      method: "post",
      responseType: "blob",
      data: {
        data: a,
        returnType: 1,
        viewCode: r.code,
        viewColumns: o
      }
    }), l = new Blob([s], {
      type: "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
    });
    saveAs(l, r.name + "-" + format$4(/* @__PURE__ */ new Date(), "yyyyMMddHHmmss") + ".xlsx");
  },
  async exportPdf(r, a, o) {
    const s = await service({
      url: `api/${res$m}/export`,
      method: "post",
      responseType: "blob",
      data: {
        data: a,
        returnType: 3,
        viewCode: r.code,
        viewColumns: o
      }
    }), l = new Blob([s], { type: "application/pdf" });
    saveAs(l, r.name + "-" + format$4(/* @__PURE__ */ new Date(), "yyyyMMddHHmmss") + ".pdf");
  },
  async printList(r, a, o, s = !0) {
    const l = lodop.getLodop(), u = await service({
      url: `api/${res$m}/export`,
      method: "post",
      data: {
        data: a,
        returnType: 2,
        viewCode: r.code,
        viewColumns: o
      }
    });
    l.PRINT_INIT("Print"), s ? (l.ADD_PRINT_TABLE("4%", "3%", "94%", "90%", u), l.SET_PRINT_PAGESIZE(2, 0, 0, "A4")) : (l.ADD_PRINT_TABLE("4%", "3%", "94%", "90%", u), l.SET_PRINT_PAGESIZE(1, 0, 0, "A4")), l.PRINTA();
  }
}, dataView = {
  namespaced: !0,
  state: {
    // 数据视图
    dataViews: {},
    // 数据结构
    schemas: {}
  },
  getters: {
    get: (r) => (a) => r.dataViews[a],
    getSchema: (r) => (a) => r.schemas[a]
  },
  actions: {
    /**
     * @description 加载数据视图
     * @param {Object} state vuex state
     * @param {*} code 代码
     */
    async load({ state: r }, a) {
      if (a in r.dataViews)
        return r.dataViews[a];
      {
        let o = await dataViewApi.getByCode(a);
        return o != null && o.isExist && (r.dataViews[a] = o), o;
      }
    },
    /**
     * @description 加载数据结构
     * @param {Object} state vuex state
     * @param {*} model 模型
     */
    async loadSchema({ state: r }, a) {
      if (a in r.schemas)
        return r.schemas[a];
      {
        let o = await dataViewApi.getSchemaByModel(a);
        return r.schemas[a] = o, o;
      }
    },
    /**
     * @description 重置数据视图
     * @param {Object} state vuex state
     * @param {*} code 代码
     */
    async reset({ state: r }, a) {
      let o = await dataViewApi.reset(a);
      return r.dataViews[a] = o, o;
    },
    /**
     * @description 保存数据视图
     * @param {Object} state vuex state
     * @param {*} code 代码
     * @param {*} columns 字段
     */
    async save({ state: r }, { code: a, columns: o }) {
      let s = await dataViewApi.save(a, o);
      return r.dataViews[a] = s, s;
    },
    /**
     * @description 保存用户数据视图
     * @param {Object} state vuex state
     * @param {*} code 代码
     * @param {*} columns 字段
     */
    async saveUserView({ state: r }, { code: a, columns: o }) {
      let s = await dataViewApi.saveUserView(a, o);
      return r.dataViews[a] = s, s;
    },
    /**
     * @description 保存筛选字段
     * @param {Object} state vuex state
     * @param {*} code 代码
     * @param {*} columns 字段
     */
    async saveFilterColumn({ state: r }, { code: a, columns: o }) {
      let s = await dataViewApi.saveFilterColumn(a, o);
      return r.dataViews[a] = s, s;
    },
    /**
     * @description 保存数据视图设置
     * @param {Object} state vuex state
     * @param {*} dataView 数据视图
     */
    async saveSetting({ state: r }, a) {
      let o = await dataViewApi.saveSetting(a);
      return r.dataViews[a.code] = o, o;
    }
  }
}, __vite_glob_0_2$1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: dataView
}, Symbol.toStringTag, { value: "Module" }));
function pathInit({ dbName: r = "database", path: a = "", user: o = !0, validator: s = () => !0, defaultValue: l = "" }) {
  const u = util$2.cookies.get("uuid") || "ghost-uuid", c = `${r}.${o ? `user.${u}` : "public"}${a ? `.${a}` : ""}`, d = util$2.db.get(c).value();
  return d !== void 0 && s(d) || util$2.db.set(c, l).write(), c;
}
const db = {
  namespaced: !0,
  actions: {
    /**
     * @description 将数据存储到指定位置 | 路径不存在会自动初始化
     * @description 效果类似于取值 dbName.path = value
     * @param context context
     * @param {Object} dbName {String} 数据库名称
     * @param {Object} path {String} 存储路径
     * @param {Object} value {*} 需要存储的值
     * @param {Object} user {Boolean} 是否区分用户
     */
    set(r, { dbName: a = "database", path: o = "", value: s = "", user: l = !1 }) {
      util$2.db.set(
        pathInit({
          dbName: a,
          path: o,
          user: l
        }),
        s
      ).write();
    },
    /**
     * @description 获取数据
     * @description 效果类似于取值 dbName.path || defaultValue
     * @param context context
     * @param {Object} dbName {String} 数据库名称
     * @param {Object} path {String} 存储路径
     * @param {Object} defaultValue {*} 取值失败的默认值
     * @param {Object} user {Boolean} 是否区分用户
     */
    get(r, { dbName: a = "database", path: o = "", defaultValue: s = "", user: l = !1 }) {
      return new Promise((u) => {
        u(
          lodashExports.cloneDeep(
            util$2.db.get(
              pathInit({
                dbName: a,
                path: o,
                user: l,
                defaultValue: s
              })
            ).value()
          )
        );
      });
    },
    /**
     * @description 获取存储数据库对象
     * @param {Object} context context
     * @param {Object} user {Boolean} 是否区分用户
     */
    database(r, { user: a = !1 } = {}) {
      return new Promise((o) => {
        o(
          util$2.db.get(
            pathInit({
              dbName: "database",
              path: "",
              user: a,
              defaultValue: {}
            })
          )
        );
      });
    },
    /**
     * @description 清空存储数据库对象
     * @param {Object} context context
     * @param {Object} user {Boolean} 是否区分用户
     */
    databaseClear(r, { user: a = !1 } = {}) {
      return new Promise((o) => {
        o(
          util$2.db.get(
            pathInit({
              dbName: "database",
              path: "",
              user: a,
              validator: () => !1,
              defaultValue: {}
            })
          )
        );
      });
    },
    /**
     * @description 获取存储数据库对象 [ 区分页面 ]
     * @param {Object} context context
     * @param {Object} basis {String} 页面区分依据 [ name | path | fullPath ]
     * @param {Object} user {Boolean} 是否区分用户
     */
    databasePage(r, { basis: a = "fullPath", user: o = !1 } = {}) {
      return new Promise((s) => {
        s(
          util$2.db.get(
            pathInit({
              dbName: "database",
              path: `$page.${router.app.$route[a]}`,
              user: o,
              defaultValue: {}
            })
          )
        );
      });
    },
    /**
     * @description 清空存储数据库对象 [ 区分页面 ]
     * @param {Object} context context
     * @param {Object} basis {String} 页面区分依据 [ name | path | fullPath ]
     * @param {Object} user {Boolean} 是否区分用户
     */
    databasePageClear(r, { basis: a = "fullPath", user: o = !1 } = {}) {
      return new Promise((s) => {
        s(
          util$2.db.get(
            pathInit({
              dbName: "database",
              path: `$page.${router.app.$route[a]}`,
              user: o,
              validator: () => !1,
              defaultValue: {}
            })
          )
        );
      });
    },
    /**
     * @description 快速将页面当前的数据 ( $data ) 持久化
     * @param {Object} context context
     * @param {Object} instance {Object} vue 实例
     * @param {Object} basis {String} 页面区分依据 [ name | path | fullPath ]
     * @param {Object} user {Boolean} 是否区分用户
     */
    pageSet(r, { instance: a, basis: o = "fullPath", user: s = !1 }) {
      return new Promise((l) => {
        l(
          util$2.db.get(
            pathInit({
              dbName: "database",
              path: `$page.${router.app.$route[o]}.$data`,
              user: s,
              validator: () => !1,
              defaultValue: lodashExports.cloneDeep(a.$data)
            })
          )
        );
      });
    },
    /**
     * @description 快速获取页面快速持久化的数据
     * @param {Object} context context
     * @param {Object} instance {Object} vue 实例
     * @param {Object} basis {String} 页面区分依据 [ name | path | fullPath ]
     * @param {Object} user {Boolean} 是否区分用户
     */
    pageGet(r, { instance: a, basis: o = "fullPath", user: s = !1 }) {
      return new Promise((l) => {
        l(
          lodashExports.cloneDeep(
            util$2.db.get(
              pathInit({
                dbName: "database",
                path: `$page.${router.app.$route[o]}.$data`,
                user: s,
                defaultValue: lodashExports.cloneDeep(a.$data)
              })
            ).value()
          )
        );
      });
    },
    /**
     * @description 清空页面快照
     * @param {Object} context context
     * @param {Object} basis {String} 页面区分依据 [ name | path | fullPath ]
     * @param {Object} user {Boolean} 是否区分用户
     */
    pageClear(r, { basis: a = "fullPath", user: o = !1 }) {
      return new Promise((s) => {
        s(
          util$2.db.get(
            pathInit({
              dbName: "database",
              path: `$page.${router.app.$route[a]}.$data`,
              user: o,
              validator: () => !1,
              defaultValue: {}
            })
          )
        );
      });
    }
  }
}, __vite_glob_0_3$1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: db,
  pathInit
}, Symbol.toStringTag, { value: "Module" })), e$1 = typeof window < "u";
function n(r) {
  e$1 && typeof window.viewuiplus < "u" && ("langs" in viewuiplus || (viewuiplus.langs = {}), viewuiplus.langs[r.i.locale] = r);
}
const t$1 = { i: { locale: "en-US", select: { placeholder: "Select", noMatch: "No matching data", loading: "Loading" }, table: { noDataText: "No Data", noFilteredDataText: "No filter data", confirmFilter: "Confirm", resetFilter: "Reset", clearFilter: "All", sumText: "Sum" }, datepicker: { selectDate: "Select date", selectTime: "Select time", startTime: "Start Time", endTime: "End Time", clear: "Clear", ok: "OK", datePanelLabel: "[mmmm] [yyyy]", month: "Month", month1: "January", month2: "February", month3: "March", month4: "April", month5: "May", month6: "June", month7: "July", month8: "August", month9: "September", month10: "October", month11: "November", month12: "December", year: "Year", weekStartDay: "0", weeks: { sun: "Sun", mon: "Mon", tue: "Tue", wed: "Wed", thu: "Thu", fri: "Fri", sat: "Sat" }, months: { m1: "Jan", m2: "Feb", m3: "Mar", m4: "Apr", m5: "May", m6: "Jun", m7: "Jul", m8: "Aug", m9: "Sep", m10: "Oct", m11: "Nov", m12: "Dec" } }, transfer: { titles: { source: "Source", target: "Target" }, filterPlaceholder: "Search here", notFoundText: "Not Found" }, modal: { okText: "OK", cancelText: "Cancel" }, poptip: { okText: "OK", cancelText: "Cancel" }, page: { prev: "Previous Page", next: "Next Page", total: "Total", item: "item", items: "items", prev5: "Previous 5 Pages", next5: "Next 5 Pages", page: "/page", goto: "Goto", p: "" }, rate: { star: "Star", stars: "Stars" }, time: { before: " ago", after: " after", just: "just now", seconds: " seconds", minutes: " minutes", hours: " hours", days: " days" }, tree: { emptyText: "No Data" } } };
n(t$1);
const __vite_glob_0_0$1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: t$1
}, Symbol.toStringTag, { value: "Module" })), t = { i: { locale: "zh-CN", select: { placeholder: "请选择", noMatch: "无匹配数据", loading: "加载中" }, table: { noDataText: "暂无数据", noFilteredDataText: "暂无筛选结果", confirmFilter: "筛选", resetFilter: "重置", clearFilter: "全部", sumText: "合计" }, datepicker: { selectDate: "选择日期", selectTime: "选择时间", startTime: "开始时间", endTime: "结束时间", clear: "清空", ok: "确定", datePanelLabel: "[yyyy年] [m月]", month: "月", month1: "1 月", month2: "2 月", month3: "3 月", month4: "4 月", month5: "5 月", month6: "6 月", month7: "7 月", month8: "8 月", month9: "9 月", month10: "10 月", month11: "11 月", month12: "12 月", year: "年", weekStartDay: "0", weeks: { sun: "日", mon: "一", tue: "二", wed: "三", thu: "四", fri: "五", sat: "六" }, months: { m1: "1月", m2: "2月", m3: "3月", m4: "4月", m5: "5月", m6: "6月", m7: "7月", m8: "8月", m9: "9月", m10: "10月", m11: "11月", m12: "12月" } }, transfer: { titles: { source: "源列表", target: "目的列表" }, filterPlaceholder: "请输入搜索内容", notFoundText: "列表为空" }, modal: { okText: "确定", cancelText: "取消" }, poptip: { okText: "确定", cancelText: "取消" }, page: { prev: "上一页", next: "下一页", total: "共", item: "条", items: "条", prev5: "向前 5 页", next5: "向后 5 页", page: "条/页", goto: "跳至", p: "页" }, rate: { star: "星", stars: "星" }, time: { before: "前", after: "后", just: "刚刚", seconds: "秒", minutes: "分钟", hours: "小时", days: "天" }, tree: { emptyText: "暂无数据" } } };
n(t);
const __vite_glob_0_1$1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: t
}, Symbol.toStringTag, { value: "Module" }));
var vueI18n = {};
/*!
  * shared v9.14.2
  * (c) 2024 kazuya kawaguchi
  * Released under the MIT License.
  */
const inBrowser$1 = typeof window < "u";
let mark$1, measure$1;
{
  const r = inBrowser$1 && window.performance;
  r && r.mark && r.measure && r.clearMarks && // @ts-ignore browser compat
  r.clearMeasures && (mark$1 = (a) => {
    r.mark(a);
  }, measure$1 = (a, o, s) => {
    r.measure(a, o, s), r.clearMarks(o), r.clearMarks(s);
  });
}
const RE_ARGS$1 = /\{([0-9a-zA-Z]+)\}/g;
function format$3(r, ...a) {
  return a.length === 1 && isObject$5(a[0]) && (a = a[0]), (!a || !a.hasOwnProperty) && (a = {}), r.replace(RE_ARGS$1, (o, s) => a.hasOwnProperty(s) ? a[s] : "");
}
const makeSymbol = (r, a = !1) => a ? Symbol.for(r) : Symbol(r), generateFormatCacheKey$1 = (r, a, o) => friendlyJSONstringify$1({ l: r, k: a, s: o }), friendlyJSONstringify$1 = (r) => JSON.stringify(r).replace(/\u2028/g, "\\u2028").replace(/\u2029/g, "\\u2029").replace(/\u0027/g, "\\u0027"), isNumber$2 = (r) => typeof r == "number" && isFinite(r), isDate$1 = (r) => toTypeString$1(r) === "[object Date]", isRegExp$2 = (r) => toTypeString$1(r) === "[object RegExp]", isEmptyObject$1 = (r) => isPlainObject$1(r) && Object.keys(r).length === 0, assign$1 = Object.assign, _create$1 = Object.create, create$4 = (r = null) => _create$1(r);
let _globalThis;
const getGlobalThis = () => _globalThis || (_globalThis = typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : typeof window < "u" ? window : typeof global < "u" ? global : create$4());
function escapeHtml$1(r) {
  return r.replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;").replace(/'/g, "&apos;");
}
const hasOwnProperty$1 = Object.prototype.hasOwnProperty;
function hasOwn$2(r, a) {
  return hasOwnProperty$1.call(r, a);
}
const isArray$3 = Array.isArray, isFunction$2 = (r) => typeof r == "function", isString$2 = (r) => typeof r == "string", isBoolean$1 = (r) => typeof r == "boolean", isSymbol = (r) => typeof r == "symbol", isObject$5 = (r) => r !== null && typeof r == "object", isPromise$1 = (r) => isObject$5(r) && isFunction$2(r.then) && isFunction$2(r.catch), objectToString$1 = Object.prototype.toString, toTypeString$1 = (r) => objectToString$1.call(r), isPlainObject$1 = (r) => {
  if (!isObject$5(r))
    return !1;
  const a = Object.getPrototypeOf(r);
  return a === null || a.constructor === Object;
}, toDisplayString$1 = (r) => r == null ? "" : isArray$3(r) || isPlainObject$1(r) && r.toString === objectToString$1 ? JSON.stringify(r, null, 2) : String(r);
function join$1(r, a = "") {
  return r.reduce((o, s, l) => l === 0 ? o + s : o + a + s, "");
}
const RANGE$1 = 2;
function generateCodeFrame$1(r, a = 0, o = r.length) {
  const s = r.split(/\r?\n/);
  let l = 0;
  const u = [];
  for (let c = 0; c < s.length; c++)
    if (l += s[c].length + 1, l >= a) {
      for (let d = c - RANGE$1; d <= c + RANGE$1 || o > l; d++) {
        if (d < 0 || d >= s.length)
          continue;
        const f = d + 1;
        u.push(`${f}${" ".repeat(3 - String(f).length)}|  ${s[d]}`);
        const p = s[d].length;
        if (d === c) {
          const v = a - (l - p) + 1, g = Math.max(1, o > l ? p - v : o - a);
          u.push("   |  " + " ".repeat(v) + "^".repeat(g));
        } else if (d > c) {
          if (o > l) {
            const v = Math.max(Math.min(o - l, p), 1);
            u.push("   |  " + "^".repeat(v));
          }
          l += p + 1;
        }
      }
      break;
    }
  return u.join(`
`);
}
function incrementer$1(r) {
  let a = r;
  return () => ++a;
}
function warn$2(r, a) {
  typeof console < "u" && (console.warn("[intlify] " + r), a && console.warn(a.stack));
}
const hasWarned$1 = {};
function warnOnce$1(r) {
  hasWarned$1[r] || (hasWarned$1[r] = !0, warn$2(r));
}
function createEmitter() {
  const r = /* @__PURE__ */ new Map();
  return {
    events: r,
    on(o, s) {
      const l = r.get(o);
      l && l.push(s) || r.set(o, [s]);
    },
    off(o, s) {
      const l = r.get(o);
      l && l.splice(l.indexOf(s) >>> 0, 1);
    },
    emit(o, s) {
      (r.get(o) || []).slice().map((l) => l(s)), (r.get("*") || []).slice().map((l) => l(o, s));
    }
  };
}
const isNotObjectOrIsArray = (r) => !isObject$5(r) || isArray$3(r);
function deepCopy(r, a) {
  if (isNotObjectOrIsArray(r) || isNotObjectOrIsArray(a))
    throw new Error("Invalid value");
  const o = [{ src: r, des: a }];
  for (; o.length; ) {
    const { src: s, des: l } = o.pop();
    Object.keys(s).forEach((u) => {
      u !== "__proto__" && (isObject$5(s[u]) && !isObject$5(l[u]) && (l[u] = Array.isArray(s[u]) ? [] : create$4()), isNotObjectOrIsArray(l[u]) || isNotObjectOrIsArray(s[u]) ? l[u] = s[u] : o.push({ src: s[u], des: l[u] }));
    });
  }
}
const shared_esmBrowser = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  assign: assign$1,
  create: create$4,
  createEmitter,
  deepCopy,
  escapeHtml: escapeHtml$1,
  format: format$3,
  friendlyJSONstringify: friendlyJSONstringify$1,
  generateCodeFrame: generateCodeFrame$1,
  generateFormatCacheKey: generateFormatCacheKey$1,
  getGlobalThis,
  hasOwn: hasOwn$2,
  inBrowser: inBrowser$1,
  incrementer: incrementer$1,
  isArray: isArray$3,
  isBoolean: isBoolean$1,
  isDate: isDate$1,
  isEmptyObject: isEmptyObject$1,
  isFunction: isFunction$2,
  isNumber: isNumber$2,
  isObject: isObject$5,
  isPlainObject: isPlainObject$1,
  isPromise: isPromise$1,
  isRegExp: isRegExp$2,
  isString: isString$2,
  isSymbol,
  join: join$1,
  makeSymbol,
  get mark() {
    return mark$1;
  },
  get measure() {
    return measure$1;
  },
  objectToString: objectToString$1,
  toDisplayString: toDisplayString$1,
  toTypeString: toTypeString$1,
  warn: warn$2,
  warnOnce: warnOnce$1
}, Symbol.toStringTag, { value: "Module" })), require$$0 = /* @__PURE__ */ getAugmentedNamespace(shared_esmBrowser);
/*!
  * core-base v9.14.2
  * (c) 2024 kazuya kawaguchi
  * Released under the MIT License.
  */
const inBrowser = typeof window < "u";
let mark, measure;
{
  const r = inBrowser && window.performance;
  r && r.mark && r.measure && r.clearMarks && // @ts-ignore browser compat
  r.clearMeasures && (mark = (a) => {
    r.mark(a);
  }, measure = (a, o, s) => {
    r.measure(a, o, s), r.clearMarks(o), r.clearMarks(s);
  });
}
const RE_ARGS = /\{([0-9a-zA-Z]+)\}/g;
function format$1$1(r, ...a) {
  return a.length === 1 && isObject$4(a[0]) && (a = a[0]), (!a || !a.hasOwnProperty) && (a = {}), r.replace(RE_ARGS, (o, s) => a.hasOwnProperty(s) ? a[s] : "");
}
const generateFormatCacheKey = (r, a, o) => friendlyJSONstringify({ l: r, k: a, s: o }), friendlyJSONstringify = (r) => JSON.stringify(r).replace(/\u2028/g, "\\u2028").replace(/\u2029/g, "\\u2029").replace(/\u0027/g, "\\u0027"), isNumber$1 = (r) => typeof r == "number" && isFinite(r), isDate = (r) => toTypeString(r) === "[object Date]", isRegExp$1 = (r) => toTypeString(r) === "[object RegExp]", isEmptyObject = (r) => isPlainObject(r) && Object.keys(r).length === 0, assign = Object.assign, _create = Object.create, create$3 = (r = null) => _create(r);
function escapeHtml(r) {
  return r.replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;").replace(/'/g, "&apos;");
}
const hasOwnProperty = Object.prototype.hasOwnProperty;
function hasOwn$1(r, a) {
  return hasOwnProperty.call(r, a);
}
const isArray$2 = Array.isArray, isFunction$1 = (r) => typeof r == "function", isString$1 = (r) => typeof r == "string", isBoolean = (r) => typeof r == "boolean", isObject$4 = (r) => r !== null && typeof r == "object", isPromise = (r) => isObject$4(r) && isFunction$1(r.then) && isFunction$1(r.catch), objectToString = Object.prototype.toString, toTypeString = (r) => objectToString.call(r), isPlainObject = (r) => {
  if (!isObject$4(r))
    return !1;
  const a = Object.getPrototypeOf(r);
  return a === null || a.constructor === Object;
}, toDisplayString = (r) => r == null ? "" : isArray$2(r) || isPlainObject(r) && r.toString === objectToString ? JSON.stringify(r, null, 2) : String(r);
function join(r, a = "") {
  return r.reduce((o, s, l) => l === 0 ? o + s : o + a + s, "");
}
const RANGE = 2;
function generateCodeFrame(r, a = 0, o = r.length) {
  const s = r.split(/\r?\n/);
  let l = 0;
  const u = [];
  for (let c = 0; c < s.length; c++)
    if (l += s[c].length + 1, l >= a) {
      for (let d = c - RANGE; d <= c + RANGE || o > l; d++) {
        if (d < 0 || d >= s.length)
          continue;
        const f = d + 1;
        u.push(`${f}${" ".repeat(3 - String(f).length)}|  ${s[d]}`);
        const p = s[d].length;
        if (d === c) {
          const v = a - (l - p) + 1, g = Math.max(1, o > l ? p - v : o - a);
          u.push("   |  " + " ".repeat(v) + "^".repeat(g));
        } else if (d > c) {
          if (o > l) {
            const v = Math.max(Math.min(o - l, p), 1);
            u.push("   |  " + "^".repeat(v));
          }
          l += p + 1;
        }
      }
      break;
    }
  return u.join(`
`);
}
function incrementer(r) {
  let a = r;
  return () => ++a;
}
function warn$1(r, a) {
  typeof console < "u" && (console.warn("[intlify] " + r), a && console.warn(a.stack));
}
const hasWarned = {};
function warnOnce(r) {
  hasWarned[r] || (hasWarned[r] = !0, warn$1(r));
}
function createPosition(r, a, o) {
  return { line: r, column: a, offset: o };
}
function createLocation(r, a, o) {
  return { start: r, end: a };
}
const CompileWarnCodes = {
  USE_MODULO_SYNTAX: 1,
  __EXTEND_POINT__: 2
}, warnMessages$1 = {
  [CompileWarnCodes.USE_MODULO_SYNTAX]: "Use modulo before '{{0}}'."
};
function createCompileWarn(r, a, ...o) {
  const s = format$1$1(warnMessages$1[r], ...o || []), l = { message: String(s), code: r };
  return a && (l.location = a), l;
}
const CompileErrorCodes = {
  // tokenizer error codes
  EXPECTED_TOKEN: 1,
  INVALID_TOKEN_IN_PLACEHOLDER: 2,
  UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER: 3,
  UNKNOWN_ESCAPE_SEQUENCE: 4,
  INVALID_UNICODE_ESCAPE_SEQUENCE: 5,
  UNBALANCED_CLOSING_BRACE: 6,
  UNTERMINATED_CLOSING_BRACE: 7,
  EMPTY_PLACEHOLDER: 8,
  NOT_ALLOW_NEST_PLACEHOLDER: 9,
  INVALID_LINKED_FORMAT: 10,
  // parser error codes
  MUST_HAVE_MESSAGES_IN_PLURAL: 11,
  UNEXPECTED_EMPTY_LINKED_MODIFIER: 12,
  UNEXPECTED_EMPTY_LINKED_KEY: 13,
  UNEXPECTED_LEXICAL_ANALYSIS: 14,
  // generator error codes
  UNHANDLED_CODEGEN_NODE_TYPE: 15,
  // minifier error codes
  UNHANDLED_MINIFIER_NODE_TYPE: 16,
  // Special value for higher-order compilers to pick up the last code
  // to avoid collision of error codes. This should always be kept as the last
  // item.
  __EXTEND_POINT__: 17
}, errorMessages$1 = {
  // tokenizer error messages
  [CompileErrorCodes.EXPECTED_TOKEN]: "Expected token: '{0}'",
  [CompileErrorCodes.INVALID_TOKEN_IN_PLACEHOLDER]: "Invalid token in placeholder: '{0}'",
  [CompileErrorCodes.UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER]: "Unterminated single quote in placeholder",
  [CompileErrorCodes.UNKNOWN_ESCAPE_SEQUENCE]: "Unknown escape sequence: \\{0}",
  [CompileErrorCodes.INVALID_UNICODE_ESCAPE_SEQUENCE]: "Invalid unicode escape sequence: {0}",
  [CompileErrorCodes.UNBALANCED_CLOSING_BRACE]: "Unbalanced closing brace",
  [CompileErrorCodes.UNTERMINATED_CLOSING_BRACE]: "Unterminated closing brace",
  [CompileErrorCodes.EMPTY_PLACEHOLDER]: "Empty placeholder",
  [CompileErrorCodes.NOT_ALLOW_NEST_PLACEHOLDER]: "Not allowed nest placeholder",
  [CompileErrorCodes.INVALID_LINKED_FORMAT]: "Invalid linked format",
  // parser error messages
  [CompileErrorCodes.MUST_HAVE_MESSAGES_IN_PLURAL]: "Plural must have messages",
  [CompileErrorCodes.UNEXPECTED_EMPTY_LINKED_MODIFIER]: "Unexpected empty linked modifier",
  [CompileErrorCodes.UNEXPECTED_EMPTY_LINKED_KEY]: "Unexpected empty linked key",
  [CompileErrorCodes.UNEXPECTED_LEXICAL_ANALYSIS]: "Unexpected lexical analysis in token: '{0}'",
  // generator error messages
  [CompileErrorCodes.UNHANDLED_CODEGEN_NODE_TYPE]: "unhandled codegen node type: '{0}'",
  // minimizer error messages
  [CompileErrorCodes.UNHANDLED_MINIFIER_NODE_TYPE]: "unhandled mimifier node type: '{0}'"
};
function createCompileError(r, a, o = {}) {
  const { domain: s, messages: l, args: u } = o, c = format$1$1((l || errorMessages$1)[r] || "", ...u || []), d = new SyntaxError(String(c));
  return d.code = r, a && (d.location = a), d.domain = s, d;
}
function defaultOnError(r) {
  throw r;
}
const RE_HTML_TAG = /<\/?[\w\s="/.':;#-\/]+>/, detectHtmlTag = (r) => RE_HTML_TAG.test(r), CHAR_SP = " ", CHAR_CR = "\r", CHAR_LF = `
`, CHAR_LS = "\u2028", CHAR_PS = "\u2029";
function createScanner(r) {
  const a = r;
  let o = 0, s = 1, l = 1, u = 0;
  const c = (P) => a[P] === CHAR_CR && a[P + 1] === CHAR_LF, d = (P) => a[P] === CHAR_LF, f = (P) => a[P] === CHAR_PS, p = (P) => a[P] === CHAR_LS, v = (P) => c(P) || d(P) || f(P) || p(P), g = () => o, y = () => s, _ = () => l, S = () => u, C = (P) => c(P) || f(P) || p(P) ? CHAR_LF : a[P], b = () => C(o), T = () => C(o + u);
  function E() {
    return u = 0, v(o) && (s++, l = 0), c(o) && o++, o++, l++, a[o];
  }
  function x() {
    return c(o + u) && u++, u++, a[o + u];
  }
  function $() {
    o = 0, s = 1, l = 1, u = 0;
  }
  function A(P = 0) {
    u = P;
  }
  function N() {
    const P = o + u;
    for (; P !== o; )
      E();
    u = 0;
  }
  return {
    index: g,
    line: y,
    column: _,
    peekOffset: S,
    charAt: C,
    currentChar: b,
    currentPeek: T,
    next: E,
    peek: x,
    reset: $,
    resetPeek: A,
    skipToPeek: N
  };
}
const EOF = void 0, DOT = ".", LITERAL_DELIMITER = "'", ERROR_DOMAIN$3 = "tokenizer";
function createTokenizer(r, a = {}) {
  const o = a.location !== !1, s = createScanner(r), l = () => s.index(), u = () => createPosition(s.line(), s.column(), s.index()), c = u(), d = l(), f = {
    currentType: 14,
    offset: d,
    startLoc: c,
    endLoc: c,
    lastType: 14,
    lastOffset: d,
    lastStartLoc: c,
    lastEndLoc: c,
    braceNest: 0,
    inLinked: !1,
    text: ""
  }, p = () => f, { onError: v } = a;
  function g(q, Q, _e, ...Ie) {
    const ot = p();
    if (Q.column += _e, Q.offset += _e, v) {
      const Xe = o ? createLocation(ot.startLoc, Q) : null, Qe = createCompileError(q, Xe, {
        domain: ERROR_DOMAIN$3,
        args: Ie
      });
      v(Qe);
    }
  }
  function y(q, Q, _e) {
    q.endLoc = u(), q.currentType = Q;
    const Ie = { type: Q };
    return o && (Ie.loc = createLocation(q.startLoc, q.endLoc)), _e != null && (Ie.value = _e), Ie;
  }
  const _ = (q) => y(
    q,
    14
    /* TokenTypes.EOF */
  );
  function S(q, Q) {
    return q.currentChar() === Q ? (q.next(), Q) : (g(CompileErrorCodes.EXPECTED_TOKEN, u(), 0, Q), "");
  }
  function C(q) {
    let Q = "";
    for (; q.currentPeek() === CHAR_SP || q.currentPeek() === CHAR_LF; )
      Q += q.currentPeek(), q.peek();
    return Q;
  }
  function b(q) {
    const Q = C(q);
    return q.skipToPeek(), Q;
  }
  function T(q) {
    if (q === EOF)
      return !1;
    const Q = q.charCodeAt(0);
    return Q >= 97 && Q <= 122 || // a-z
    Q >= 65 && Q <= 90 || // A-Z
    Q === 95;
  }
  function E(q) {
    if (q === EOF)
      return !1;
    const Q = q.charCodeAt(0);
    return Q >= 48 && Q <= 57;
  }
  function x(q, Q) {
    const { currentType: _e } = Q;
    if (_e !== 2)
      return !1;
    C(q);
    const Ie = T(q.currentPeek());
    return q.resetPeek(), Ie;
  }
  function $(q, Q) {
    const { currentType: _e } = Q;
    if (_e !== 2)
      return !1;
    C(q);
    const Ie = q.currentPeek() === "-" ? q.peek() : q.currentPeek(), ot = E(Ie);
    return q.resetPeek(), ot;
  }
  function A(q, Q) {
    const { currentType: _e } = Q;
    if (_e !== 2)
      return !1;
    C(q);
    const Ie = q.currentPeek() === LITERAL_DELIMITER;
    return q.resetPeek(), Ie;
  }
  function N(q, Q) {
    const { currentType: _e } = Q;
    if (_e !== 8)
      return !1;
    C(q);
    const Ie = q.currentPeek() === ".";
    return q.resetPeek(), Ie;
  }
  function P(q, Q) {
    const { currentType: _e } = Q;
    if (_e !== 9)
      return !1;
    C(q);
    const Ie = T(q.currentPeek());
    return q.resetPeek(), Ie;
  }
  function L(q, Q) {
    const { currentType: _e } = Q;
    if (!(_e === 8 || _e === 12))
      return !1;
    C(q);
    const Ie = q.currentPeek() === ":";
    return q.resetPeek(), Ie;
  }
  function O(q, Q) {
    const { currentType: _e } = Q;
    if (_e !== 10)
      return !1;
    const Ie = () => {
      const Xe = q.currentPeek();
      return Xe === "{" ? T(q.peek()) : Xe === "@" || Xe === "%" || Xe === "|" || Xe === ":" || Xe === "." || Xe === CHAR_SP || !Xe ? !1 : Xe === CHAR_LF ? (q.peek(), Ie()) : U(q, !1);
    }, ot = Ie();
    return q.resetPeek(), ot;
  }
  function M(q) {
    C(q);
    const Q = q.currentPeek() === "|";
    return q.resetPeek(), Q;
  }
  function F(q) {
    const Q = C(q), _e = q.currentPeek() === "%" && q.peek() === "{";
    return q.resetPeek(), {
      isModulo: _e,
      hasSpace: Q.length > 0
    };
  }
  function U(q, Q = !0) {
    const _e = (ot = !1, Xe = "", Qe = !1) => {
      const me = q.currentPeek();
      return me === "{" ? Xe === "%" ? !1 : ot : me === "@" || !me ? Xe === "%" ? !0 : ot : me === "%" ? (q.peek(), _e(ot, "%", !0)) : me === "|" ? Xe === "%" || Qe ? !0 : !(Xe === CHAR_SP || Xe === CHAR_LF) : me === CHAR_SP ? (q.peek(), _e(!0, CHAR_SP, Qe)) : me === CHAR_LF ? (q.peek(), _e(!0, CHAR_LF, Qe)) : !0;
    }, Ie = _e();
    return Q && q.resetPeek(), Ie;
  }
  function R(q, Q) {
    const _e = q.currentChar();
    return _e === EOF ? EOF : Q(_e) ? (q.next(), _e) : null;
  }
  function H(q) {
    const Q = q.charCodeAt(0);
    return Q >= 97 && Q <= 122 || // a-z
    Q >= 65 && Q <= 90 || // A-Z
    Q >= 48 && Q <= 57 || // 0-9
    Q === 95 || // _
    Q === 36;
  }
  function V(q) {
    return R(q, H);
  }
  function Y(q) {
    const Q = q.charCodeAt(0);
    return Q >= 97 && Q <= 122 || // a-z
    Q >= 65 && Q <= 90 || // A-Z
    Q >= 48 && Q <= 57 || // 0-9
    Q === 95 || // _
    Q === 36 || // $
    Q === 45;
  }
  function G(q) {
    return R(q, Y);
  }
  function Z(q) {
    const Q = q.charCodeAt(0);
    return Q >= 48 && Q <= 57;
  }
  function re(q) {
    return R(q, Z);
  }
  function de(q) {
    const Q = q.charCodeAt(0);
    return Q >= 48 && Q <= 57 || // 0-9
    Q >= 65 && Q <= 70 || // A-F
    Q >= 97 && Q <= 102;
  }
  function X(q) {
    return R(q, de);
  }
  function W(q) {
    let Q = "", _e = "";
    for (; Q = re(q); )
      _e += Q;
    return _e;
  }
  function te(q) {
    b(q);
    const Q = q.currentChar();
    return Q !== "%" && g(CompileErrorCodes.EXPECTED_TOKEN, u(), 0, Q), q.next(), "%";
  }
  function ae(q) {
    let Q = "";
    for (; ; ) {
      const _e = q.currentChar();
      if (_e === "{" || _e === "}" || _e === "@" || _e === "|" || !_e)
        break;
      if (_e === "%")
        if (U(q))
          Q += _e, q.next();
        else
          break;
      else if (_e === CHAR_SP || _e === CHAR_LF)
        if (U(q))
          Q += _e, q.next();
        else {
          if (M(q))
            break;
          Q += _e, q.next();
        }
      else
        Q += _e, q.next();
    }
    return Q;
  }
  function Te(q) {
    b(q);
    let Q = "", _e = "";
    for (; Q = G(q); )
      _e += Q;
    return q.currentChar() === EOF && g(CompileErrorCodes.UNTERMINATED_CLOSING_BRACE, u(), 0), _e;
  }
  function $e(q) {
    b(q);
    let Q = "";
    return q.currentChar() === "-" ? (q.next(), Q += `-${W(q)}`) : Q += W(q), q.currentChar() === EOF && g(CompileErrorCodes.UNTERMINATED_CLOSING_BRACE, u(), 0), Q;
  }
  function se(q) {
    return q !== LITERAL_DELIMITER && q !== CHAR_LF;
  }
  function fe(q) {
    b(q), S(q, "'");
    let Q = "", _e = "";
    for (; Q = R(q, se); )
      Q === "\\" ? _e += ce(q) : _e += Q;
    const Ie = q.currentChar();
    return Ie === CHAR_LF || Ie === EOF ? (g(CompileErrorCodes.UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER, u(), 0), Ie === CHAR_LF && (q.next(), S(q, "'")), _e) : (S(q, "'"), _e);
  }
  function ce(q) {
    const Q = q.currentChar();
    switch (Q) {
      case "\\":
      case "'":
        return q.next(), `\\${Q}`;
      case "u":
        return ge(q, Q, 4);
      case "U":
        return ge(q, Q, 6);
      default:
        return g(CompileErrorCodes.UNKNOWN_ESCAPE_SEQUENCE, u(), 0, Q), "";
    }
  }
  function ge(q, Q, _e) {
    S(q, Q);
    let Ie = "";
    for (let ot = 0; ot < _e; ot++) {
      const Xe = X(q);
      if (!Xe) {
        g(CompileErrorCodes.INVALID_UNICODE_ESCAPE_SEQUENCE, u(), 0, `\\${Q}${Ie}${q.currentChar()}`);
        break;
      }
      Ie += Xe;
    }
    return `\\${Q}${Ie}`;
  }
  function ve(q) {
    return q !== "{" && q !== "}" && q !== CHAR_SP && q !== CHAR_LF;
  }
  function xe(q) {
    b(q);
    let Q = "", _e = "";
    for (; Q = R(q, ve); )
      _e += Q;
    return _e;
  }
  function Ae(q) {
    let Q = "", _e = "";
    for (; Q = V(q); )
      _e += Q;
    return _e;
  }
  function oe(q) {
    const Q = (_e) => {
      const Ie = q.currentChar();
      return Ie === "{" || Ie === "%" || Ie === "@" || Ie === "|" || Ie === "(" || Ie === ")" || !Ie || Ie === CHAR_SP ? _e : (_e += Ie, q.next(), Q(_e));
    };
    return Q("");
  }
  function De(q) {
    b(q);
    const Q = S(
      q,
      "|"
      /* TokenChars.Pipe */
    );
    return b(q), Q;
  }
  function Re(q, Q) {
    let _e = null;
    switch (q.currentChar()) {
      case "{":
        return Q.braceNest >= 1 && g(CompileErrorCodes.NOT_ALLOW_NEST_PLACEHOLDER, u(), 0), q.next(), _e = y(
          Q,
          2,
          "{"
          /* TokenChars.BraceLeft */
        ), b(q), Q.braceNest++, _e;
      case "}":
        return Q.braceNest > 0 && Q.currentType === 2 && g(CompileErrorCodes.EMPTY_PLACEHOLDER, u(), 0), q.next(), _e = y(
          Q,
          3,
          "}"
          /* TokenChars.BraceRight */
        ), Q.braceNest--, Q.braceNest > 0 && b(q), Q.inLinked && Q.braceNest === 0 && (Q.inLinked = !1), _e;
      case "@":
        return Q.braceNest > 0 && g(CompileErrorCodes.UNTERMINATED_CLOSING_BRACE, u(), 0), _e = Me(q, Q) || _(Q), Q.braceNest = 0, _e;
      default: {
        let ot = !0, Xe = !0, Qe = !0;
        if (M(q))
          return Q.braceNest > 0 && g(CompileErrorCodes.UNTERMINATED_CLOSING_BRACE, u(), 0), _e = y(Q, 1, De(q)), Q.braceNest = 0, Q.inLinked = !1, _e;
        if (Q.braceNest > 0 && (Q.currentType === 5 || Q.currentType === 6 || Q.currentType === 7))
          return g(CompileErrorCodes.UNTERMINATED_CLOSING_BRACE, u(), 0), Q.braceNest = 0, ct(q, Q);
        if (ot = x(q, Q))
          return _e = y(Q, 5, Te(q)), b(q), _e;
        if (Xe = $(q, Q))
          return _e = y(Q, 6, $e(q)), b(q), _e;
        if (Qe = A(q, Q))
          return _e = y(Q, 7, fe(q)), b(q), _e;
        if (!ot && !Xe && !Qe)
          return _e = y(Q, 13, xe(q)), g(CompileErrorCodes.INVALID_TOKEN_IN_PLACEHOLDER, u(), 0, _e.value), b(q), _e;
        break;
      }
    }
    return _e;
  }
  function Me(q, Q) {
    const { currentType: _e } = Q;
    let Ie = null;
    const ot = q.currentChar();
    switch ((_e === 8 || _e === 9 || _e === 12 || _e === 10) && (ot === CHAR_LF || ot === CHAR_SP) && g(CompileErrorCodes.INVALID_LINKED_FORMAT, u(), 0), ot) {
      case "@":
        return q.next(), Ie = y(
          Q,
          8,
          "@"
          /* TokenChars.LinkedAlias */
        ), Q.inLinked = !0, Ie;
      case ".":
        return b(q), q.next(), y(
          Q,
          9,
          "."
          /* TokenChars.LinkedDot */
        );
      case ":":
        return b(q), q.next(), y(
          Q,
          10,
          ":"
          /* TokenChars.LinkedDelimiter */
        );
      default:
        return M(q) ? (Ie = y(Q, 1, De(q)), Q.braceNest = 0, Q.inLinked = !1, Ie) : N(q, Q) || L(q, Q) ? (b(q), Me(q, Q)) : P(q, Q) ? (b(q), y(Q, 12, Ae(q))) : O(q, Q) ? (b(q), ot === "{" ? Re(q, Q) || Ie : y(Q, 11, oe(q))) : (_e === 8 && g(CompileErrorCodes.INVALID_LINKED_FORMAT, u(), 0), Q.braceNest = 0, Q.inLinked = !1, ct(q, Q));
    }
  }
  function ct(q, Q) {
    let _e = {
      type: 14
      /* TokenTypes.EOF */
    };
    if (Q.braceNest > 0)
      return Re(q, Q) || _(Q);
    if (Q.inLinked)
      return Me(q, Q) || _(Q);
    switch (q.currentChar()) {
      case "{":
        return Re(q, Q) || _(Q);
      case "}":
        return g(CompileErrorCodes.UNBALANCED_CLOSING_BRACE, u(), 0), q.next(), y(
          Q,
          3,
          "}"
          /* TokenChars.BraceRight */
        );
      case "@":
        return Me(q, Q) || _(Q);
      default: {
        if (M(q))
          return _e = y(Q, 1, De(q)), Q.braceNest = 0, Q.inLinked = !1, _e;
        const { isModulo: ot, hasSpace: Xe } = F(q);
        if (ot)
          return Xe ? y(Q, 0, ae(q)) : y(Q, 4, te(q));
        if (U(q))
          return y(Q, 0, ae(q));
        break;
      }
    }
    return _e;
  }
  function mt() {
    const { currentType: q, offset: Q, startLoc: _e, endLoc: Ie } = f;
    return f.lastType = q, f.lastOffset = Q, f.lastStartLoc = _e, f.lastEndLoc = Ie, f.offset = l(), f.startLoc = u(), s.currentChar() === EOF ? y(
      f,
      14
      /* TokenTypes.EOF */
    ) : ct(s, f);
  }
  return {
    nextToken: mt,
    currentOffset: l,
    currentPosition: u,
    context: p
  };
}
const ERROR_DOMAIN$2 = "parser", KNOWN_ESCAPES = /(?:\\\\|\\'|\\u([0-9a-fA-F]{4})|\\U([0-9a-fA-F]{6}))/g;
function fromEscapeSequence(r, a, o) {
  switch (r) {
    case "\\\\":
      return "\\";
    case "\\'":
      return "'";
    default: {
      const s = parseInt(a || o, 16);
      return s <= 55295 || s >= 57344 ? String.fromCodePoint(s) : "�";
    }
  }
}
function createParser(r = {}) {
  const a = r.location !== !1, { onError: o, onWarn: s } = r;
  function l(x, $, A, N, ...P) {
    const L = x.currentPosition();
    if (L.offset += N, L.column += N, o) {
      const O = a ? createLocation(A, L) : null, M = createCompileError($, O, {
        domain: ERROR_DOMAIN$2,
        args: P
      });
      o(M);
    }
  }
  function u(x, $, A, N, ...P) {
    const L = x.currentPosition();
    if (L.offset += N, L.column += N, s) {
      const O = a ? createLocation(A, L) : null;
      s(createCompileWarn($, O, P));
    }
  }
  function c(x, $, A) {
    const N = { type: x };
    return a && (N.start = $, N.end = $, N.loc = { start: A, end: A }), N;
  }
  function d(x, $, A, N) {
    a && (x.end = $, x.loc && (x.loc.end = A));
  }
  function f(x, $) {
    const A = x.context(), N = c(3, A.offset, A.startLoc);
    return N.value = $, d(N, x.currentOffset(), x.currentPosition()), N;
  }
  function p(x, $) {
    const A = x.context(), { lastOffset: N, lastStartLoc: P } = A, L = c(5, N, P);
    return L.index = parseInt($, 10), x.nextToken(), d(L, x.currentOffset(), x.currentPosition()), L;
  }
  function v(x, $, A) {
    const N = x.context(), { lastOffset: P, lastStartLoc: L } = N, O = c(4, P, L);
    return O.key = $, A === !0 && (O.modulo = !0), x.nextToken(), d(O, x.currentOffset(), x.currentPosition()), O;
  }
  function g(x, $) {
    const A = x.context(), { lastOffset: N, lastStartLoc: P } = A, L = c(9, N, P);
    return L.value = $.replace(KNOWN_ESCAPES, fromEscapeSequence), x.nextToken(), d(L, x.currentOffset(), x.currentPosition()), L;
  }
  function y(x) {
    const $ = x.nextToken(), A = x.context(), { lastOffset: N, lastStartLoc: P } = A, L = c(8, N, P);
    return $.type !== 12 ? (l(x, CompileErrorCodes.UNEXPECTED_EMPTY_LINKED_MODIFIER, A.lastStartLoc, 0), L.value = "", d(L, N, P), {
      nextConsumeToken: $,
      node: L
    }) : ($.value == null && l(x, CompileErrorCodes.UNEXPECTED_LEXICAL_ANALYSIS, A.lastStartLoc, 0, getTokenCaption($)), L.value = $.value || "", d(L, x.currentOffset(), x.currentPosition()), {
      node: L
    });
  }
  function _(x, $) {
    const A = x.context(), N = c(7, A.offset, A.startLoc);
    return N.value = $, d(N, x.currentOffset(), x.currentPosition()), N;
  }
  function S(x) {
    const $ = x.context(), A = c(6, $.offset, $.startLoc);
    let N = x.nextToken();
    if (N.type === 9) {
      const P = y(x);
      A.modifier = P.node, N = P.nextConsumeToken || x.nextToken();
    }
    switch (N.type !== 10 && l(x, CompileErrorCodes.UNEXPECTED_LEXICAL_ANALYSIS, $.lastStartLoc, 0, getTokenCaption(N)), N = x.nextToken(), N.type === 2 && (N = x.nextToken()), N.type) {
      case 11:
        N.value == null && l(x, CompileErrorCodes.UNEXPECTED_LEXICAL_ANALYSIS, $.lastStartLoc, 0, getTokenCaption(N)), A.key = _(x, N.value || "");
        break;
      case 5:
        N.value == null && l(x, CompileErrorCodes.UNEXPECTED_LEXICAL_ANALYSIS, $.lastStartLoc, 0, getTokenCaption(N)), A.key = v(x, N.value || "");
        break;
      case 6:
        N.value == null && l(x, CompileErrorCodes.UNEXPECTED_LEXICAL_ANALYSIS, $.lastStartLoc, 0, getTokenCaption(N)), A.key = p(x, N.value || "");
        break;
      case 7:
        N.value == null && l(x, CompileErrorCodes.UNEXPECTED_LEXICAL_ANALYSIS, $.lastStartLoc, 0, getTokenCaption(N)), A.key = g(x, N.value || "");
        break;
      default: {
        l(x, CompileErrorCodes.UNEXPECTED_EMPTY_LINKED_KEY, $.lastStartLoc, 0);
        const P = x.context(), L = c(7, P.offset, P.startLoc);
        return L.value = "", d(L, P.offset, P.startLoc), A.key = L, d(A, P.offset, P.startLoc), {
          nextConsumeToken: N,
          node: A
        };
      }
    }
    return d(A, x.currentOffset(), x.currentPosition()), {
      node: A
    };
  }
  function C(x) {
    const $ = x.context(), A = $.currentType === 1 ? x.currentOffset() : $.offset, N = $.currentType === 1 ? $.endLoc : $.startLoc, P = c(2, A, N);
    P.items = [];
    let L = null, O = null;
    do {
      const U = L || x.nextToken();
      switch (L = null, U.type) {
        case 0:
          U.value == null && l(x, CompileErrorCodes.UNEXPECTED_LEXICAL_ANALYSIS, $.lastStartLoc, 0, getTokenCaption(U)), P.items.push(f(x, U.value || ""));
          break;
        case 6:
          U.value == null && l(x, CompileErrorCodes.UNEXPECTED_LEXICAL_ANALYSIS, $.lastStartLoc, 0, getTokenCaption(U)), P.items.push(p(x, U.value || ""));
          break;
        case 4:
          O = !0;
          break;
        case 5:
          U.value == null && l(x, CompileErrorCodes.UNEXPECTED_LEXICAL_ANALYSIS, $.lastStartLoc, 0, getTokenCaption(U)), P.items.push(v(x, U.value || "", !!O)), O && (u(x, CompileWarnCodes.USE_MODULO_SYNTAX, $.lastStartLoc, 0, getTokenCaption(U)), O = null);
          break;
        case 7:
          U.value == null && l(x, CompileErrorCodes.UNEXPECTED_LEXICAL_ANALYSIS, $.lastStartLoc, 0, getTokenCaption(U)), P.items.push(g(x, U.value || ""));
          break;
        case 8: {
          const R = S(x);
          P.items.push(R.node), L = R.nextConsumeToken || null;
          break;
        }
      }
    } while ($.currentType !== 14 && $.currentType !== 1);
    const M = $.currentType === 1 ? $.lastOffset : x.currentOffset(), F = $.currentType === 1 ? $.lastEndLoc : x.currentPosition();
    return d(P, M, F), P;
  }
  function b(x, $, A, N) {
    const P = x.context();
    let L = N.items.length === 0;
    const O = c(1, $, A);
    O.cases = [], O.cases.push(N);
    do {
      const M = C(x);
      L || (L = M.items.length === 0), O.cases.push(M);
    } while (P.currentType !== 14);
    return L && l(x, CompileErrorCodes.MUST_HAVE_MESSAGES_IN_PLURAL, A, 0), d(O, x.currentOffset(), x.currentPosition()), O;
  }
  function T(x) {
    const $ = x.context(), { offset: A, startLoc: N } = $, P = C(x);
    return $.currentType === 14 ? P : b(x, A, N, P);
  }
  function E(x) {
    const $ = createTokenizer(x, assign({}, r)), A = $.context(), N = c(0, A.offset, A.startLoc);
    return a && N.loc && (N.loc.source = x), N.body = T($), r.onCacheKey && (N.cacheKey = r.onCacheKey(x)), A.currentType !== 14 && l($, CompileErrorCodes.UNEXPECTED_LEXICAL_ANALYSIS, A.lastStartLoc, 0, x[A.offset] || ""), d(N, $.currentOffset(), $.currentPosition()), N;
  }
  return { parse: E };
}
function getTokenCaption(r) {
  if (r.type === 14)
    return "EOF";
  const a = (r.value || "").replace(/\r?\n/gu, "\\n");
  return a.length > 10 ? a.slice(0, 9) + "…" : a;
}
function createTransformer(r, a = {}) {
  const o = {
    ast: r,
    helpers: /* @__PURE__ */ new Set()
  };
  return { context: () => o, helper: (u) => (o.helpers.add(u), u) };
}
function traverseNodes(r, a) {
  for (let o = 0; o < r.length; o++)
    traverseNode(r[o], a);
}
function traverseNode(r, a) {
  switch (r.type) {
    case 1:
      traverseNodes(r.cases, a), a.helper(
        "plural"
        /* HelperNameMap.PLURAL */
      );
      break;
    case 2:
      traverseNodes(r.items, a);
      break;
    case 6: {
      traverseNode(r.key, a), a.helper(
        "linked"
        /* HelperNameMap.LINKED */
      ), a.helper(
        "type"
        /* HelperNameMap.TYPE */
      );
      break;
    }
    case 5:
      a.helper(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      ), a.helper(
        "list"
        /* HelperNameMap.LIST */
      );
      break;
    case 4:
      a.helper(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      ), a.helper(
        "named"
        /* HelperNameMap.NAMED */
      );
      break;
  }
}
function transform(r, a = {}) {
  const o = createTransformer(r);
  o.helper(
    "normalize"
    /* HelperNameMap.NORMALIZE */
  ), r.body && traverseNode(r.body, o);
  const s = o.context();
  r.helpers = Array.from(s.helpers);
}
function optimize(r) {
  const a = r.body;
  return a.type === 2 ? optimizeMessageNode(a) : a.cases.forEach((o) => optimizeMessageNode(o)), r;
}
function optimizeMessageNode(r) {
  if (r.items.length === 1) {
    const a = r.items[0];
    (a.type === 3 || a.type === 9) && (r.static = a.value, delete a.value);
  } else {
    const a = [];
    for (let o = 0; o < r.items.length; o++) {
      const s = r.items[o];
      if (!(s.type === 3 || s.type === 9) || s.value == null)
        break;
      a.push(s.value);
    }
    if (a.length === r.items.length) {
      r.static = join(a);
      for (let o = 0; o < r.items.length; o++) {
        const s = r.items[o];
        (s.type === 3 || s.type === 9) && delete s.value;
      }
    }
  }
}
const ERROR_DOMAIN$1 = "minifier";
function minify(r) {
  switch (r.t = r.type, r.type) {
    case 0: {
      const a = r;
      minify(a.body), a.b = a.body, delete a.body;
      break;
    }
    case 1: {
      const a = r, o = a.cases;
      for (let s = 0; s < o.length; s++)
        minify(o[s]);
      a.c = o, delete a.cases;
      break;
    }
    case 2: {
      const a = r, o = a.items;
      for (let s = 0; s < o.length; s++)
        minify(o[s]);
      a.i = o, delete a.items, a.static && (a.s = a.static, delete a.static);
      break;
    }
    case 3:
    case 9:
    case 8:
    case 7: {
      const a = r;
      a.value && (a.v = a.value, delete a.value);
      break;
    }
    case 6: {
      const a = r;
      minify(a.key), a.k = a.key, delete a.key, a.modifier && (minify(a.modifier), a.m = a.modifier, delete a.modifier);
      break;
    }
    case 5: {
      const a = r;
      a.i = a.index, delete a.index;
      break;
    }
    case 4: {
      const a = r;
      a.k = a.key, delete a.key;
      break;
    }
    default:
      throw createCompileError(CompileErrorCodes.UNHANDLED_MINIFIER_NODE_TYPE, null, {
        domain: ERROR_DOMAIN$1,
        args: [r.type]
      });
  }
  delete r.type;
}
const ERROR_DOMAIN = "parser";
function createCodeGenerator(r, a) {
  const { sourceMap: o, filename: s, breakLineCode: l, needIndent: u } = a, c = a.location !== !1, d = {
    filename: s,
    code: "",
    column: 1,
    line: 1,
    offset: 0,
    map: void 0,
    breakLineCode: l,
    needIndent: u,
    indentLevel: 0
  };
  c && r.loc && (d.source = r.loc.source);
  const f = () => d;
  function p(b, T) {
    d.code += b;
  }
  function v(b, T = !0) {
    const E = T ? l : "";
    p(u ? E + "  ".repeat(b) : E);
  }
  function g(b = !0) {
    const T = ++d.indentLevel;
    b && v(T);
  }
  function y(b = !0) {
    const T = --d.indentLevel;
    b && v(T);
  }
  function _() {
    v(d.indentLevel);
  }
  return {
    context: f,
    push: p,
    indent: g,
    deindent: y,
    newline: _,
    helper: (b) => `_${b}`,
    needIndent: () => d.needIndent
  };
}
function generateLinkedNode(r, a) {
  const { helper: o } = r;
  r.push(`${o(
    "linked"
    /* HelperNameMap.LINKED */
  )}(`), generateNode(r, a.key), a.modifier ? (r.push(", "), generateNode(r, a.modifier), r.push(", _type")) : r.push(", undefined, _type"), r.push(")");
}
function generateMessageNode(r, a) {
  const { helper: o, needIndent: s } = r;
  r.push(`${o(
    "normalize"
    /* HelperNameMap.NORMALIZE */
  )}([`), r.indent(s());
  const l = a.items.length;
  for (let u = 0; u < l && (generateNode(r, a.items[u]), u !== l - 1); u++)
    r.push(", ");
  r.deindent(s()), r.push("])");
}
function generatePluralNode(r, a) {
  const { helper: o, needIndent: s } = r;
  if (a.cases.length > 1) {
    r.push(`${o(
      "plural"
      /* HelperNameMap.PLURAL */
    )}([`), r.indent(s());
    const l = a.cases.length;
    for (let u = 0; u < l && (generateNode(r, a.cases[u]), u !== l - 1); u++)
      r.push(", ");
    r.deindent(s()), r.push("])");
  }
}
function generateResource(r, a) {
  a.body ? generateNode(r, a.body) : r.push("null");
}
function generateNode(r, a) {
  const { helper: o } = r;
  switch (a.type) {
    case 0:
      generateResource(r, a);
      break;
    case 1:
      generatePluralNode(r, a);
      break;
    case 2:
      generateMessageNode(r, a);
      break;
    case 6:
      generateLinkedNode(r, a);
      break;
    case 8:
      r.push(JSON.stringify(a.value), a);
      break;
    case 7:
      r.push(JSON.stringify(a.value), a);
      break;
    case 5:
      r.push(`${o(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      )}(${o(
        "list"
        /* HelperNameMap.LIST */
      )}(${a.index}))`, a);
      break;
    case 4:
      r.push(`${o(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      )}(${o(
        "named"
        /* HelperNameMap.NAMED */
      )}(${JSON.stringify(a.key)}))`, a);
      break;
    case 9:
      r.push(JSON.stringify(a.value), a);
      break;
    case 3:
      r.push(JSON.stringify(a.value), a);
      break;
    default:
      throw createCompileError(CompileErrorCodes.UNHANDLED_CODEGEN_NODE_TYPE, null, {
        domain: ERROR_DOMAIN,
        args: [a.type]
      });
  }
}
const generate = (r, a = {}) => {
  const o = isString$1(a.mode) ? a.mode : "normal", s = isString$1(a.filename) ? a.filename : "message.intl", l = !!a.sourceMap, u = a.breakLineCode != null ? a.breakLineCode : o === "arrow" ? ";" : `
`, c = a.needIndent ? a.needIndent : o !== "arrow", d = r.helpers || [], f = createCodeGenerator(r, {
    mode: o,
    filename: s,
    sourceMap: l,
    breakLineCode: u,
    needIndent: c
  });
  f.push(o === "normal" ? "function __msg__ (ctx) {" : "(ctx) => {"), f.indent(c), d.length > 0 && (f.push(`const { ${join(d.map((g) => `${g}: _${g}`), ", ")} } = ctx`), f.newline()), f.push("return "), generateNode(f, r), f.deindent(c), f.push("}"), delete r.helpers;
  const { code: p, map: v } = f.context();
  return {
    ast: r,
    code: p,
    map: v ? v.toJSON() : void 0
    // eslint-disable-line @typescript-eslint/no-explicit-any
  };
};
function baseCompile$1(r, a = {}) {
  const o = assign({}, a), s = !!o.jit, l = !!o.minify, u = o.optimize == null ? !0 : o.optimize, d = createParser(o).parse(r);
  return s ? (u && optimize(d), l && minify(d), { ast: d, code: "" }) : (transform(d, o), generate(d, o));
}
const pathStateMachine = [];
pathStateMachine[
  0
  /* States.BEFORE_PATH */
] = {
  w: [
    0
    /* States.BEFORE_PATH */
  ],
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  "[": [
    4
    /* States.IN_SUB_PATH */
  ],
  o: [
    7
    /* States.AFTER_PATH */
  ]
};
pathStateMachine[
  1
  /* States.IN_PATH */
] = {
  w: [
    1
    /* States.IN_PATH */
  ],
  ".": [
    2
    /* States.BEFORE_IDENT */
  ],
  "[": [
    4
    /* States.IN_SUB_PATH */
  ],
  o: [
    7
    /* States.AFTER_PATH */
  ]
};
pathStateMachine[
  2
  /* States.BEFORE_IDENT */
] = {
  w: [
    2
    /* States.BEFORE_IDENT */
  ],
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  0: [
    3,
    0
    /* Actions.APPEND */
  ]
};
pathStateMachine[
  3
  /* States.IN_IDENT */
] = {
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  0: [
    3,
    0
    /* Actions.APPEND */
  ],
  w: [
    1,
    1
    /* Actions.PUSH */
  ],
  ".": [
    2,
    1
    /* Actions.PUSH */
  ],
  "[": [
    4,
    1
    /* Actions.PUSH */
  ],
  o: [
    7,
    1
    /* Actions.PUSH */
  ]
};
pathStateMachine[
  4
  /* States.IN_SUB_PATH */
] = {
  "'": [
    5,
    0
    /* Actions.APPEND */
  ],
  '"': [
    6,
    0
    /* Actions.APPEND */
  ],
  "[": [
    4,
    2
    /* Actions.INC_SUB_PATH_DEPTH */
  ],
  "]": [
    1,
    3
    /* Actions.PUSH_SUB_PATH */
  ],
  o: 8,
  l: [
    4,
    0
    /* Actions.APPEND */
  ]
};
pathStateMachine[
  5
  /* States.IN_SINGLE_QUOTE */
] = {
  "'": [
    4,
    0
    /* Actions.APPEND */
  ],
  o: 8,
  l: [
    5,
    0
    /* Actions.APPEND */
  ]
};
pathStateMachine[
  6
  /* States.IN_DOUBLE_QUOTE */
] = {
  '"': [
    4,
    0
    /* Actions.APPEND */
  ],
  o: 8,
  l: [
    6,
    0
    /* Actions.APPEND */
  ]
};
const literalValueRE = /^\s?(?:true|false|-?[\d.]+|'[^']*'|"[^"]*")\s?$/;
function isLiteral(r) {
  return literalValueRE.test(r);
}
function stripQuotes(r) {
  const a = r.charCodeAt(0), o = r.charCodeAt(r.length - 1);
  return a === o && (a === 34 || a === 39) ? r.slice(1, -1) : r;
}
function getPathCharType(r) {
  if (r == null)
    return "o";
  switch (r.charCodeAt(0)) {
    case 91:
    case 93:
    case 46:
    case 34:
    case 39:
      return r;
    case 95:
    case 36:
    case 45:
      return "i";
    case 9:
    case 10:
    case 13:
    case 160:
    case 65279:
    case 8232:
    case 8233:
      return "w";
  }
  return "i";
}
function formatSubPath(r) {
  const a = r.trim();
  return r.charAt(0) === "0" && isNaN(parseInt(r)) ? !1 : isLiteral(a) ? stripQuotes(a) : "*" + a;
}
function parse$1(r) {
  const a = [];
  let o = -1, s = 0, l = 0, u, c, d, f, p, v, g;
  const y = [];
  y[
    0
    /* Actions.APPEND */
  ] = () => {
    c === void 0 ? c = d : c += d;
  }, y[
    1
    /* Actions.PUSH */
  ] = () => {
    c !== void 0 && (a.push(c), c = void 0);
  }, y[
    2
    /* Actions.INC_SUB_PATH_DEPTH */
  ] = () => {
    y[
      0
      /* Actions.APPEND */
    ](), l++;
  }, y[
    3
    /* Actions.PUSH_SUB_PATH */
  ] = () => {
    if (l > 0)
      l--, s = 4, y[
        0
        /* Actions.APPEND */
      ]();
    else {
      if (l = 0, c === void 0 || (c = formatSubPath(c), c === !1))
        return !1;
      y[
        1
        /* Actions.PUSH */
      ]();
    }
  };
  function _() {
    const S = r[o + 1];
    if (s === 5 && S === "'" || s === 6 && S === '"')
      return o++, d = "\\" + S, y[
        0
        /* Actions.APPEND */
      ](), !0;
  }
  for (; s !== null; )
    if (o++, u = r[o], !(u === "\\" && _())) {
      if (f = getPathCharType(u), g = pathStateMachine[s], p = g[f] || g.l || 8, p === 8 || (s = p[0], p[1] !== void 0 && (v = y[p[1]], v && (d = u, v() === !1))))
        return;
      if (s === 7)
        return a;
    }
}
const cache = /* @__PURE__ */ new Map();
function resolveWithKeyValue(r, a) {
  return isObject$4(r) ? r[a] : null;
}
function resolveValue$1(r, a) {
  if (!isObject$4(r))
    return null;
  let o = cache.get(a);
  if (o || (o = parse$1(a), o && cache.set(a, o)), !o)
    return null;
  const s = o.length;
  let l = r, u = 0;
  for (; u < s; ) {
    const c = l[o[u]];
    if (c === void 0 || isFunction$1(l))
      return null;
    l = c, u++;
  }
  return l;
}
const DEFAULT_MODIFIER = (r) => r, DEFAULT_MESSAGE = (r) => "", DEFAULT_MESSAGE_DATA_TYPE = "text", DEFAULT_NORMALIZE = (r) => r.length === 0 ? "" : join(r), DEFAULT_INTERPOLATE = toDisplayString;
function pluralDefault(r, a) {
  return r = Math.abs(r), a === 2 ? r ? r > 1 ? 1 : 0 : 1 : r ? Math.min(r, 2) : 0;
}
function getPluralIndex(r) {
  const a = isNumber$1(r.pluralIndex) ? r.pluralIndex : -1;
  return r.named && (isNumber$1(r.named.count) || isNumber$1(r.named.n)) ? isNumber$1(r.named.count) ? r.named.count : isNumber$1(r.named.n) ? r.named.n : a : a;
}
function normalizeNamed(r, a) {
  a.count || (a.count = r), a.n || (a.n = r);
}
function createMessageContext(r = {}) {
  const a = r.locale, o = getPluralIndex(r), s = isObject$4(r.pluralRules) && isString$1(a) && isFunction$1(r.pluralRules[a]) ? r.pluralRules[a] : pluralDefault, l = isObject$4(r.pluralRules) && isString$1(a) && isFunction$1(r.pluralRules[a]) ? pluralDefault : void 0, u = (T) => T[s(o, T.length, l)], c = r.list || [], d = (T) => c[T], f = r.named || create$3();
  isNumber$1(r.pluralIndex) && normalizeNamed(o, f);
  const p = (T) => f[T];
  function v(T) {
    const E = isFunction$1(r.messages) ? r.messages(T) : isObject$4(r.messages) ? r.messages[T] : !1;
    return E || (r.parent ? r.parent.message(T) : DEFAULT_MESSAGE);
  }
  const g = (T) => r.modifiers ? r.modifiers[T] : DEFAULT_MODIFIER, y = isPlainObject(r.processor) && isFunction$1(r.processor.normalize) ? r.processor.normalize : DEFAULT_NORMALIZE, _ = isPlainObject(r.processor) && isFunction$1(r.processor.interpolate) ? r.processor.interpolate : DEFAULT_INTERPOLATE, S = isPlainObject(r.processor) && isString$1(r.processor.type) ? r.processor.type : DEFAULT_MESSAGE_DATA_TYPE, b = {
    list: d,
    named: p,
    plural: u,
    linked: (T, ...E) => {
      const [x, $] = E;
      let A = "text", N = "";
      E.length === 1 ? isObject$4(x) ? (N = x.modifier || N, A = x.type || A) : isString$1(x) && (N = x || N) : E.length === 2 && (isString$1(x) && (N = x || N), isString$1($) && (A = $ || A));
      const P = v(T)(b), L = (
        // The message in vnode resolved with linked are returned as an array by processor.nomalize
        A === "vnode" && isArray$2(P) && N ? P[0] : P
      );
      return N ? g(N)(L, A) : L;
    },
    message: v,
    type: S,
    interpolate: _,
    normalize: y,
    values: assign(create$3(), c, f)
  };
  return b;
}
let devtools = null;
function setDevToolsHook(r) {
  devtools = r;
}
function getDevToolsHook() {
  return devtools;
}
function initI18nDevTools(r, a, o) {
  devtools && devtools.emit("i18n:init", {
    timestamp: Date.now(),
    i18n: r,
    version: a,
    meta: o
  });
}
const translateDevTools = /* @__PURE__ */ createDevToolsHook(
  "function:translate"
  /* IntlifyDevToolsHooks.FunctionTranslate */
);
function createDevToolsHook(r) {
  return (a) => devtools && devtools.emit(r, a);
}
const code$1$1 = CompileWarnCodes.__EXTEND_POINT__, inc$1$1 = incrementer(code$1$1), CoreWarnCodes = {
  NOT_FOUND_KEY: code$1$1,
  // 2
  FALLBACK_TO_TRANSLATE: inc$1$1(),
  // 3
  CANNOT_FORMAT_NUMBER: inc$1$1(),
  // 4
  FALLBACK_TO_NUMBER_FORMAT: inc$1$1(),
  // 5
  CANNOT_FORMAT_DATE: inc$1$1(),
  // 6
  FALLBACK_TO_DATE_FORMAT: inc$1$1(),
  // 7
  EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER: inc$1$1(),
  // 8
  __EXTEND_POINT__: inc$1$1()
  // 9
}, warnMessages$2 = {
  [CoreWarnCodes.NOT_FOUND_KEY]: "Not found '{key}' key in '{locale}' locale messages.",
  [CoreWarnCodes.FALLBACK_TO_TRANSLATE]: "Fall back to translate '{key}' key with '{target}' locale.",
  [CoreWarnCodes.CANNOT_FORMAT_NUMBER]: "Cannot format a number value due to not supported Intl.NumberFormat.",
  [CoreWarnCodes.FALLBACK_TO_NUMBER_FORMAT]: "Fall back to number format '{key}' key with '{target}' locale.",
  [CoreWarnCodes.CANNOT_FORMAT_DATE]: "Cannot format a date value due to not supported Intl.DateTimeFormat.",
  [CoreWarnCodes.FALLBACK_TO_DATE_FORMAT]: "Fall back to datetime format '{key}' key with '{target}' locale.",
  [CoreWarnCodes.EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER]: "This project is using Custom Message Compiler, which is an experimental feature. It may receive breaking changes or be removed in the future."
};
function getWarnMessage$1(r, ...a) {
  return format$1$1(warnMessages$2[r], ...a);
}
const code$2 = CompileErrorCodes.__EXTEND_POINT__, inc$2 = incrementer(code$2), CoreErrorCodes = {
  INVALID_ARGUMENT: code$2,
  // 17
  INVALID_DATE_ARGUMENT: inc$2(),
  // 18
  INVALID_ISO_DATE_ARGUMENT: inc$2(),
  // 19
  NOT_SUPPORT_NON_STRING_MESSAGE: inc$2(),
  // 20
  NOT_SUPPORT_LOCALE_PROMISE_VALUE: inc$2(),
  // 21
  NOT_SUPPORT_LOCALE_ASYNC_FUNCTION: inc$2(),
  // 22
  NOT_SUPPORT_LOCALE_TYPE: inc$2(),
  // 23
  __EXTEND_POINT__: inc$2()
  // 24
};
function createCoreError(r) {
  return createCompileError(r, null, { messages: errorMessages$2 });
}
const errorMessages$2 = {
  [CoreErrorCodes.INVALID_ARGUMENT]: "Invalid arguments",
  [CoreErrorCodes.INVALID_DATE_ARGUMENT]: "The date provided is an invalid Date object.Make sure your Date represents a valid date.",
  [CoreErrorCodes.INVALID_ISO_DATE_ARGUMENT]: "The argument provided is not a valid ISO date string",
  [CoreErrorCodes.NOT_SUPPORT_NON_STRING_MESSAGE]: "Not support non-string message",
  [CoreErrorCodes.NOT_SUPPORT_LOCALE_PROMISE_VALUE]: "cannot support promise value",
  [CoreErrorCodes.NOT_SUPPORT_LOCALE_ASYNC_FUNCTION]: "cannot support async function",
  [CoreErrorCodes.NOT_SUPPORT_LOCALE_TYPE]: "cannot support locale type"
};
function getLocale(r, a) {
  return a.locale != null ? resolveLocale(a.locale) : resolveLocale(r.locale);
}
let _resolveLocale;
function resolveLocale(r) {
  if (isString$1(r))
    return r;
  if (isFunction$1(r)) {
    if (r.resolvedOnce && _resolveLocale != null)
      return _resolveLocale;
    if (r.constructor.name === "Function") {
      const a = r();
      if (isPromise(a))
        throw createCoreError(CoreErrorCodes.NOT_SUPPORT_LOCALE_PROMISE_VALUE);
      return _resolveLocale = a;
    } else
      throw createCoreError(CoreErrorCodes.NOT_SUPPORT_LOCALE_ASYNC_FUNCTION);
  } else
    throw createCoreError(CoreErrorCodes.NOT_SUPPORT_LOCALE_TYPE);
}
function fallbackWithSimple(r, a, o) {
  return [.../* @__PURE__ */ new Set([
    o,
    ...isArray$2(a) ? a : isObject$4(a) ? Object.keys(a) : isString$1(a) ? [a] : [o]
  ])];
}
function fallbackWithLocaleChain(r, a, o) {
  const s = isString$1(o) ? o : DEFAULT_LOCALE$1, l = r;
  l.__localeChainCache || (l.__localeChainCache = /* @__PURE__ */ new Map());
  let u = l.__localeChainCache.get(s);
  if (!u) {
    u = [];
    let c = [o];
    for (; isArray$2(c); )
      c = appendBlockToChain(u, c, a);
    const d = isArray$2(a) || !isPlainObject(a) ? a : a.default ? a.default : null;
    c = isString$1(d) ? [d] : d, isArray$2(c) && appendBlockToChain(u, c, !1), l.__localeChainCache.set(s, u);
  }
  return u;
}
function appendBlockToChain(r, a, o) {
  let s = !0;
  for (let l = 0; l < a.length && isBoolean(s); l++) {
    const u = a[l];
    isString$1(u) && (s = appendLocaleToChain(r, a[l], o));
  }
  return s;
}
function appendLocaleToChain(r, a, o) {
  let s;
  const l = a.split("-");
  do {
    const u = l.join("-");
    s = appendItemToChain(r, u, o), l.splice(-1, 1);
  } while (l.length && s === !0);
  return s;
}
function appendItemToChain(r, a, o) {
  let s = !1;
  if (!r.includes(a) && (s = !0, a)) {
    s = a[a.length - 1] !== "!";
    const l = a.replace(/!/g, "");
    r.push(l), (isArray$2(o) || isPlainObject(o)) && o[l] && (s = o[l]);
  }
  return s;
}
const VERSION$1 = "9.14.2", NOT_REOSLVED = -1, DEFAULT_LOCALE$1 = "en-US", MISSING_RESOLVE_VALUE = "", capitalize = (r) => `${r.charAt(0).toLocaleUpperCase()}${r.substr(1)}`;
function getDefaultLinkedModifiers() {
  return {
    upper: (r, a) => a === "text" && isString$1(r) ? r.toUpperCase() : a === "vnode" && isObject$4(r) && "__v_isVNode" in r ? r.children.toUpperCase() : r,
    lower: (r, a) => a === "text" && isString$1(r) ? r.toLowerCase() : a === "vnode" && isObject$4(r) && "__v_isVNode" in r ? r.children.toLowerCase() : r,
    capitalize: (r, a) => a === "text" && isString$1(r) ? capitalize(r) : a === "vnode" && isObject$4(r) && "__v_isVNode" in r ? capitalize(r.children) : r
  };
}
let _compiler;
function registerMessageCompiler(r) {
  _compiler = r;
}
let _resolver;
function registerMessageResolver(r) {
  _resolver = r;
}
let _fallbacker;
function registerLocaleFallbacker(r) {
  _fallbacker = r;
}
let _additionalMeta = null;
const setAdditionalMeta = /* @__NO_SIDE_EFFECTS__ */ (r) => {
  _additionalMeta = r;
}, getAdditionalMeta = /* @__NO_SIDE_EFFECTS__ */ () => _additionalMeta;
let _fallbackContext = null;
const setFallbackContext = (r) => {
  _fallbackContext = r;
}, getFallbackContext = () => _fallbackContext;
let _cid = 0;
function createCoreContext(r = {}) {
  const a = isFunction$1(r.onWarn) ? r.onWarn : warn$1, o = isString$1(r.version) ? r.version : VERSION$1, s = isString$1(r.locale) || isFunction$1(r.locale) ? r.locale : DEFAULT_LOCALE$1, l = isFunction$1(s) ? DEFAULT_LOCALE$1 : s, u = isArray$2(r.fallbackLocale) || isPlainObject(r.fallbackLocale) || isString$1(r.fallbackLocale) || r.fallbackLocale === !1 ? r.fallbackLocale : l, c = isPlainObject(r.messages) ? r.messages : createResources(l), d = isPlainObject(r.datetimeFormats) ? r.datetimeFormats : createResources(l), f = isPlainObject(r.numberFormats) ? r.numberFormats : createResources(l), p = assign(create$3(), r.modifiers, getDefaultLinkedModifiers()), v = r.pluralRules || create$3(), g = isFunction$1(r.missing) ? r.missing : null, y = isBoolean(r.missingWarn) || isRegExp$1(r.missingWarn) ? r.missingWarn : !0, _ = isBoolean(r.fallbackWarn) || isRegExp$1(r.fallbackWarn) ? r.fallbackWarn : !0, S = !!r.fallbackFormat, C = !!r.unresolving, b = isFunction$1(r.postTranslation) ? r.postTranslation : null, T = isPlainObject(r.processor) ? r.processor : null, E = isBoolean(r.warnHtmlMessage) ? r.warnHtmlMessage : !0, x = !!r.escapeParameter, $ = isFunction$1(r.messageCompiler) ? r.messageCompiler : _compiler;
  isFunction$1(r.messageCompiler) && warnOnce(getWarnMessage$1(CoreWarnCodes.EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER));
  const A = isFunction$1(r.messageResolver) ? r.messageResolver : _resolver || resolveWithKeyValue, N = isFunction$1(r.localeFallbacker) ? r.localeFallbacker : _fallbacker || fallbackWithSimple, P = isObject$4(r.fallbackContext) ? r.fallbackContext : void 0, L = r, O = isObject$4(L.__datetimeFormatters) ? L.__datetimeFormatters : /* @__PURE__ */ new Map(), M = isObject$4(L.__numberFormatters) ? L.__numberFormatters : /* @__PURE__ */ new Map(), F = isObject$4(L.__meta) ? L.__meta : {};
  _cid++;
  const U = {
    version: o,
    cid: _cid,
    locale: s,
    fallbackLocale: u,
    messages: c,
    modifiers: p,
    pluralRules: v,
    missing: g,
    missingWarn: y,
    fallbackWarn: _,
    fallbackFormat: S,
    unresolving: C,
    postTranslation: b,
    processor: T,
    warnHtmlMessage: E,
    escapeParameter: x,
    messageCompiler: $,
    messageResolver: A,
    localeFallbacker: N,
    fallbackContext: P,
    onWarn: a,
    __meta: F
  };
  return U.datetimeFormats = d, U.numberFormats = f, U.__datetimeFormatters = O, U.__numberFormatters = M, U.__v_emitter = L.__v_emitter != null ? L.__v_emitter : void 0, initI18nDevTools(U, o, F), U;
}
const createResources = (r) => ({ [r]: create$3() });
function isTranslateFallbackWarn(r, a) {
  return r instanceof RegExp ? r.test(a) : r;
}
function isTranslateMissingWarn(r, a) {
  return r instanceof RegExp ? r.test(a) : r;
}
function handleMissing(r, a, o, s, l) {
  const { missing: u, onWarn: c } = r;
  {
    const d = r.__v_emitter;
    d && d.emit("missing", {
      locale: o,
      key: a,
      type: l,
      groupId: `${l}:${a}`
    });
  }
  if (u !== null) {
    const d = u(r, o, a, l);
    return isString$1(d) ? d : a;
  } else
    return isTranslateMissingWarn(s, a) && c(getWarnMessage$1(CoreWarnCodes.NOT_FOUND_KEY, { key: a, locale: o })), a;
}
function updateFallbackLocale(r, a, o) {
  const s = r;
  s.__localeChainCache = /* @__PURE__ */ new Map(), r.localeFallbacker(r, o, a);
}
function isAlmostSameLocale(r, a) {
  return r === a ? !1 : r.split("-")[0] === a.split("-")[0];
}
function isImplicitFallback(r, a) {
  const o = a.indexOf(r);
  if (o === -1)
    return !1;
  for (let s = o + 1; s < a.length; s++)
    if (isAlmostSameLocale(r, a[s]))
      return !0;
  return !1;
}
function format$2(r) {
  return (o) => formatParts(o, r);
}
function formatParts(r, a) {
  const o = resolveBody(a);
  if (o == null)
    throw createUnhandleNodeError(
      0
      /* NodeTypes.Resource */
    );
  if (resolveType(o) === 1) {
    const u = resolveCases(o);
    return r.plural(u.reduce((c, d) => [
      ...c,
      formatMessageParts(r, d)
    ], []));
  } else
    return formatMessageParts(r, o);
}
const PROPS_BODY = ["b", "body"];
function resolveBody(r) {
  return resolveProps(r, PROPS_BODY);
}
const PROPS_CASES = ["c", "cases"];
function resolveCases(r) {
  return resolveProps(r, PROPS_CASES, []);
}
function formatMessageParts(r, a) {
  const o = resolveStatic(a);
  if (o != null)
    return r.type === "text" ? o : r.normalize([o]);
  {
    const s = resolveItems(a).reduce((l, u) => [...l, formatMessagePart(r, u)], []);
    return r.normalize(s);
  }
}
const PROPS_STATIC = ["s", "static"];
function resolveStatic(r) {
  return resolveProps(r, PROPS_STATIC);
}
const PROPS_ITEMS = ["i", "items"];
function resolveItems(r) {
  return resolveProps(r, PROPS_ITEMS, []);
}
function formatMessagePart(r, a) {
  const o = resolveType(a);
  switch (o) {
    case 3:
      return resolveValue(a, o);
    case 9:
      return resolveValue(a, o);
    case 4: {
      const s = a;
      if (hasOwn$1(s, "k") && s.k)
        return r.interpolate(r.named(s.k));
      if (hasOwn$1(s, "key") && s.key)
        return r.interpolate(r.named(s.key));
      throw createUnhandleNodeError(o);
    }
    case 5: {
      const s = a;
      if (hasOwn$1(s, "i") && isNumber$1(s.i))
        return r.interpolate(r.list(s.i));
      if (hasOwn$1(s, "index") && isNumber$1(s.index))
        return r.interpolate(r.list(s.index));
      throw createUnhandleNodeError(o);
    }
    case 6: {
      const s = a, l = resolveLinkedModifier(s), u = resolveLinkedKey(s);
      return r.linked(formatMessagePart(r, u), l ? formatMessagePart(r, l) : void 0, r.type);
    }
    case 7:
      return resolveValue(a, o);
    case 8:
      return resolveValue(a, o);
    default:
      throw new Error(`unhandled node on format message part: ${o}`);
  }
}
const PROPS_TYPE = ["t", "type"];
function resolveType(r) {
  return resolveProps(r, PROPS_TYPE);
}
const PROPS_VALUE = ["v", "value"];
function resolveValue(r, a) {
  const o = resolveProps(r, PROPS_VALUE);
  if (o)
    return o;
  throw createUnhandleNodeError(a);
}
const PROPS_MODIFIER = ["m", "modifier"];
function resolveLinkedModifier(r) {
  return resolveProps(r, PROPS_MODIFIER);
}
const PROPS_KEY = ["k", "key"];
function resolveLinkedKey(r) {
  const a = resolveProps(r, PROPS_KEY);
  if (a)
    return a;
  throw createUnhandleNodeError(
    6
    /* NodeTypes.Linked */
  );
}
function resolveProps(r, a, o) {
  for (let s = 0; s < a.length; s++) {
    const l = a[s];
    if (hasOwn$1(r, l) && r[l] != null)
      return r[l];
  }
  return o;
}
function createUnhandleNodeError(r) {
  return new Error(`unhandled node type: ${r}`);
}
const WARN_MESSAGE = "Detected HTML in '{source}' message. Recommend not using HTML messages to avoid XSS.";
function checkHtmlMessage(r, a) {
  a && detectHtmlTag(r) && warn$1(format$1$1(WARN_MESSAGE, { source: r }));
}
const defaultOnCacheKey = (r) => r;
let compileCache = create$3();
function onCompileWarn(r) {
  r.code === CompileWarnCodes.USE_MODULO_SYNTAX && warn$1(`The use of named interpolation with modulo syntax is deprecated. It will be removed in v10.
reference: https://vue-i18n.intlify.dev/guide/essentials/syntax#rails-i18n-format 
(message compiler warning message: ${r.message})`);
}
function clearCompileCache() {
  compileCache = create$3();
}
function isMessageAST(r) {
  return isObject$4(r) && resolveType(r) === 0 && (hasOwn$1(r, "b") || hasOwn$1(r, "body"));
}
function baseCompile(r, a = {}) {
  let o = !1;
  const s = a.onError || defaultOnError;
  return a.onError = (l) => {
    o = !0, s(l);
  }, { ...baseCompile$1(r, a), detectError: o };
}
const compileToFunction = /* @__NO_SIDE_EFFECTS__ */ (r, a) => {
  if (!isString$1(r))
    throw createCoreError(CoreErrorCodes.NOT_SUPPORT_NON_STRING_MESSAGE);
  a.onWarn = onCompileWarn;
  {
    const o = isBoolean(a.warnHtmlMessage) ? a.warnHtmlMessage : !0;
    checkHtmlMessage(r, o);
    const l = (a.onCacheKey || defaultOnCacheKey)(r), u = compileCache[l];
    if (u)
      return u;
    const { code: c, detectError: d } = baseCompile(r, a), f = new Function(`return ${c}`)();
    return d ? f : compileCache[l] = f;
  }
};
function compile(r, a) {
  if (a.onWarn = onCompileWarn, isString$1(r)) {
    const o = isBoolean(a.warnHtmlMessage) ? a.warnHtmlMessage : !0;
    checkHtmlMessage(r, o);
    const l = (a.onCacheKey || defaultOnCacheKey)(r), u = compileCache[l];
    if (u)
      return u;
    const { ast: c, detectError: d } = baseCompile(r, {
      ...a,
      location: !0,
      jit: !0
    }), f = format$2(c);
    return d ? f : compileCache[l] = f;
  } else {
    if (!isMessageAST(r))
      return warn$1(`the message that is resolve with key '${a.key}' is not supported for jit compilation`), () => r;
    const o = r.cacheKey;
    if (o) {
      const s = compileCache[o];
      return s || (compileCache[o] = format$2(r));
    } else
      return format$2(r);
  }
}
const NOOP_MESSAGE_FUNCTION = () => "", isMessageFunction = (r) => isFunction$1(r);
function translate$1(r, ...a) {
  const { fallbackFormat: o, postTranslation: s, unresolving: l, messageCompiler: u, fallbackLocale: c, messages: d } = r, [f, p] = parseTranslateArgs(...a), v = isBoolean(p.missingWarn) ? p.missingWarn : r.missingWarn, g = isBoolean(p.fallbackWarn) ? p.fallbackWarn : r.fallbackWarn, y = isBoolean(p.escapeParameter) ? p.escapeParameter : r.escapeParameter, _ = !!p.resolvedMessage, S = isString$1(p.default) || isBoolean(p.default) ? isBoolean(p.default) ? u ? f : () => f : p.default : o ? u ? f : () => f : "", C = o || S !== "", b = getLocale(r, p);
  y && escapeParams(p);
  let [T, E, x] = _ ? [
    f,
    b,
    d[b] || create$3()
  ] : resolveMessageFormat(r, f, b, c, g, v), $ = T, A = f;
  if (!_ && !(isString$1($) || isMessageAST($) || isMessageFunction($)) && C && ($ = S, A = $), !_ && (!(isString$1($) || isMessageAST($) || isMessageFunction($)) || !isString$1(E)))
    return l ? NOT_REOSLVED : f;
  if (isString$1($) && r.messageCompiler == null)
    return warn$1(`The message format compilation is not supported in this build. Because message compiler isn't included. You need to pre-compilation all message format. So translate function return '${f}'.`), f;
  let N = !1;
  const P = () => {
    N = !0;
  }, L = isMessageFunction($) ? $ : compileMessageFormat(r, f, E, $, A, P);
  if (N)
    return $;
  const O = getMessageContextOptions(r, E, x, p), M = createMessageContext(O), F = evaluateMessage(r, L, M), U = s ? s(F, f) : F;
  {
    const R = {
      timestamp: Date.now(),
      key: isString$1(f) ? f : isMessageFunction($) ? $.key : "",
      locale: E || (isMessageFunction($) ? $.locale : ""),
      format: isString$1($) ? $ : isMessageFunction($) ? $.source : "",
      message: U
    };
    R.meta = assign({}, r.__meta, /* @__PURE__ */ getAdditionalMeta() || {}), translateDevTools(R);
  }
  return U;
}
function escapeParams(r) {
  isArray$2(r.list) ? r.list = r.list.map((a) => isString$1(a) ? escapeHtml(a) : a) : isObject$4(r.named) && Object.keys(r.named).forEach((a) => {
    isString$1(r.named[a]) && (r.named[a] = escapeHtml(r.named[a]));
  });
}
function resolveMessageFormat(r, a, o, s, l, u) {
  const { messages: c, onWarn: d, messageResolver: f, localeFallbacker: p } = r, v = p(r, s, o);
  let g = create$3(), y, _ = null, S = o, C = null;
  const b = "translate";
  for (let T = 0; T < v.length; T++) {
    if (y = C = v[T], o !== y && !isAlmostSameLocale(o, y) && isTranslateFallbackWarn(l, a) && d(getWarnMessage$1(CoreWarnCodes.FALLBACK_TO_TRANSLATE, {
      key: a,
      target: y
    })), o !== y) {
      const A = r.__v_emitter;
      A && A.emit("fallback", {
        type: b,
        key: a,
        from: S,
        to: C,
        groupId: `${b}:${a}`
      });
    }
    g = c[y] || create$3();
    let E = null, x, $;
    if (inBrowser && (E = window.performance.now(), x = "intlify-message-resolve-start", $ = "intlify-message-resolve-end", mark && mark(x)), (_ = f(g, a)) === null && (_ = g[a]), inBrowser) {
      const A = window.performance.now(), N = r.__v_emitter;
      N && E && _ && N.emit("message-resolve", {
        type: "message-resolve",
        key: a,
        message: _,
        time: A - E,
        groupId: `${b}:${a}`
      }), x && $ && mark && measure && (mark($), measure("intlify message resolve", x, $));
    }
    if (isString$1(_) || isMessageAST(_) || isMessageFunction(_))
      break;
    if (!isImplicitFallback(y, v)) {
      const A = handleMissing(
        r,
        // eslint-disable-line @typescript-eslint/no-explicit-any
        a,
        y,
        u,
        b
      );
      A !== a && (_ = A);
    }
    S = C;
  }
  return [_, y, g];
}
function compileMessageFormat(r, a, o, s, l, u) {
  const { messageCompiler: c, warnHtmlMessage: d } = r;
  if (isMessageFunction(s)) {
    const y = s;
    return y.locale = y.locale || o, y.key = y.key || a, y;
  }
  if (c == null) {
    const y = () => s;
    return y.locale = o, y.key = a, y;
  }
  let f = null, p, v;
  inBrowser && (f = window.performance.now(), p = "intlify-message-compilation-start", v = "intlify-message-compilation-end", mark && mark(p));
  const g = c(s, getCompileContext(r, o, l, s, d, u));
  if (inBrowser) {
    const y = window.performance.now(), _ = r.__v_emitter;
    _ && f && _.emit("message-compilation", {
      type: "message-compilation",
      message: s,
      time: y - f,
      groupId: `translate:${a}`
    }), p && v && mark && measure && (mark(v), measure("intlify message compilation", p, v));
  }
  return g.locale = o, g.key = a, g.source = s, g;
}
function evaluateMessage(r, a, o) {
  let s = null, l, u;
  inBrowser && (s = window.performance.now(), l = "intlify-message-evaluation-start", u = "intlify-message-evaluation-end", mark && mark(l));
  const c = a(o);
  if (inBrowser) {
    const d = window.performance.now(), f = r.__v_emitter;
    f && s && f.emit("message-evaluation", {
      type: "message-evaluation",
      value: c,
      time: d - s,
      groupId: `translate:${a.key}`
    }), l && u && mark && measure && (mark(u), measure("intlify message evaluation", l, u));
  }
  return c;
}
function parseTranslateArgs(...r) {
  const [a, o, s] = r, l = create$3();
  if (!isString$1(a) && !isNumber$1(a) && !isMessageFunction(a) && !isMessageAST(a))
    throw createCoreError(CoreErrorCodes.INVALID_ARGUMENT);
  const u = isNumber$1(a) ? String(a) : (isMessageFunction(a), a);
  return isNumber$1(o) ? l.plural = o : isString$1(o) ? l.default = o : isPlainObject(o) && !isEmptyObject(o) ? l.named = o : isArray$2(o) && (l.list = o), isNumber$1(s) ? l.plural = s : isString$1(s) ? l.default = s : isPlainObject(s) && assign(l, s), [u, l];
}
function getCompileContext(r, a, o, s, l, u) {
  return {
    locale: a,
    key: o,
    warnHtmlMessage: l,
    onError: (c) => {
      u && u(c);
      {
        const d = getSourceForCodeFrame(s), f = `Message compilation error: ${c.message}`, p = c.location && d && generateCodeFrame(d, c.location.start.offset, c.location.end.offset), v = r.__v_emitter;
        v && d && v.emit("compile-error", {
          message: d,
          error: c.message,
          start: c.location && c.location.start.offset,
          end: c.location && c.location.end.offset,
          groupId: `translate:${o}`
        }), console.error(p ? `${f}
${p}` : f);
      }
    },
    onCacheKey: (c) => generateFormatCacheKey(a, o, c)
  };
}
function getSourceForCodeFrame(r) {
  if (isString$1(r))
    return r;
  if (r.loc && r.loc.source)
    return r.loc.source;
}
function getMessageContextOptions(r, a, o, s) {
  const { modifiers: l, pluralRules: u, messageResolver: c, fallbackLocale: d, fallbackWarn: f, missingWarn: p, fallbackContext: v } = r, y = {
    locale: a,
    modifiers: l,
    pluralRules: u,
    messages: (_) => {
      let S = c(o, _);
      if (S == null && v) {
        const [, , C] = resolveMessageFormat(v, _, a, d, f, p);
        S = c(C, _);
      }
      if (isString$1(S) || isMessageAST(S)) {
        let C = !1;
        const T = compileMessageFormat(r, _, a, S, _, () => {
          C = !0;
        });
        return C ? NOOP_MESSAGE_FUNCTION : T;
      } else return isMessageFunction(S) ? S : NOOP_MESSAGE_FUNCTION;
    }
  };
  return r.processor && (y.processor = r.processor), s.list && (y.list = s.list), s.named && (y.named = s.named), isNumber$1(s.plural) && (y.pluralIndex = s.plural), y;
}
const intlDefined = typeof Intl < "u", Availabilities = {
  dateTimeFormat: intlDefined && typeof Intl.DateTimeFormat < "u",
  numberFormat: intlDefined && typeof Intl.NumberFormat < "u"
};
function datetime(r, ...a) {
  const { datetimeFormats: o, unresolving: s, fallbackLocale: l, onWarn: u, localeFallbacker: c } = r, { __datetimeFormatters: d } = r;
  if (!Availabilities.dateTimeFormat)
    return u(getWarnMessage$1(CoreWarnCodes.CANNOT_FORMAT_DATE)), MISSING_RESOLVE_VALUE;
  const [f, p, v, g] = parseDateTimeArgs(...a), y = isBoolean(v.missingWarn) ? v.missingWarn : r.missingWarn, _ = isBoolean(v.fallbackWarn) ? v.fallbackWarn : r.fallbackWarn, S = !!v.part, C = getLocale(r, v), b = c(
    r,
    // eslint-disable-line @typescript-eslint/no-explicit-any
    l,
    C
  );
  if (!isString$1(f) || f === "")
    return new Intl.DateTimeFormat(C, g).format(p);
  let T = {}, E, x = null, $ = C, A = null;
  const N = "datetime format";
  for (let O = 0; O < b.length; O++) {
    if (E = A = b[O], C !== E && isTranslateFallbackWarn(_, f) && u(getWarnMessage$1(CoreWarnCodes.FALLBACK_TO_DATE_FORMAT, {
      key: f,
      target: E
    })), C !== E) {
      const M = r.__v_emitter;
      M && M.emit("fallback", {
        type: N,
        key: f,
        from: $,
        to: A,
        groupId: `${N}:${f}`
      });
    }
    if (T = o[E] || {}, x = T[f], isPlainObject(x))
      break;
    handleMissing(r, f, E, y, N), $ = A;
  }
  if (!isPlainObject(x) || !isString$1(E))
    return s ? NOT_REOSLVED : f;
  let P = `${E}__${f}`;
  isEmptyObject(g) || (P = `${P}__${JSON.stringify(g)}`);
  let L = d.get(P);
  return L || (L = new Intl.DateTimeFormat(E, assign({}, x, g)), d.set(P, L)), S ? L.formatToParts(p) : L.format(p);
}
const DATETIME_FORMAT_OPTIONS_KEYS = [
  "localeMatcher",
  "weekday",
  "era",
  "year",
  "month",
  "day",
  "hour",
  "minute",
  "second",
  "timeZoneName",
  "formatMatcher",
  "hour12",
  "timeZone",
  "dateStyle",
  "timeStyle",
  "calendar",
  "dayPeriod",
  "numberingSystem",
  "hourCycle",
  "fractionalSecondDigits"
];
function parseDateTimeArgs(...r) {
  const [a, o, s, l] = r, u = create$3();
  let c = create$3(), d;
  if (isString$1(a)) {
    const f = a.match(/(\d{4}-\d{2}-\d{2})(T|\s)?(.*)/);
    if (!f)
      throw createCoreError(CoreErrorCodes.INVALID_ISO_DATE_ARGUMENT);
    const p = f[3] ? f[3].trim().startsWith("T") ? `${f[1].trim()}${f[3].trim()}` : `${f[1].trim()}T${f[3].trim()}` : f[1].trim();
    d = new Date(p);
    try {
      d.toISOString();
    } catch {
      throw createCoreError(CoreErrorCodes.INVALID_ISO_DATE_ARGUMENT);
    }
  } else if (isDate(a)) {
    if (isNaN(a.getTime()))
      throw createCoreError(CoreErrorCodes.INVALID_DATE_ARGUMENT);
    d = a;
  } else if (isNumber$1(a))
    d = a;
  else
    throw createCoreError(CoreErrorCodes.INVALID_ARGUMENT);
  return isString$1(o) ? u.key = o : isPlainObject(o) && Object.keys(o).forEach((f) => {
    DATETIME_FORMAT_OPTIONS_KEYS.includes(f) ? c[f] = o[f] : u[f] = o[f];
  }), isString$1(s) ? u.locale = s : isPlainObject(s) && (c = s), isPlainObject(l) && (c = l), [u.key || "", d, u, c];
}
function clearDateTimeFormat(r, a, o) {
  const s = r;
  for (const l in o) {
    const u = `${a}__${l}`;
    s.__datetimeFormatters.has(u) && s.__datetimeFormatters.delete(u);
  }
}
function number$1(r, ...a) {
  const { numberFormats: o, unresolving: s, fallbackLocale: l, onWarn: u, localeFallbacker: c } = r, { __numberFormatters: d } = r;
  if (!Availabilities.numberFormat)
    return u(getWarnMessage$1(CoreWarnCodes.CANNOT_FORMAT_NUMBER)), MISSING_RESOLVE_VALUE;
  const [f, p, v, g] = parseNumberArgs(...a), y = isBoolean(v.missingWarn) ? v.missingWarn : r.missingWarn, _ = isBoolean(v.fallbackWarn) ? v.fallbackWarn : r.fallbackWarn, S = !!v.part, C = getLocale(r, v), b = c(
    r,
    // eslint-disable-line @typescript-eslint/no-explicit-any
    l,
    C
  );
  if (!isString$1(f) || f === "")
    return new Intl.NumberFormat(C, g).format(p);
  let T = {}, E, x = null, $ = C, A = null;
  const N = "number format";
  for (let O = 0; O < b.length; O++) {
    if (E = A = b[O], C !== E && isTranslateFallbackWarn(_, f) && u(getWarnMessage$1(CoreWarnCodes.FALLBACK_TO_NUMBER_FORMAT, {
      key: f,
      target: E
    })), C !== E) {
      const M = r.__v_emitter;
      M && M.emit("fallback", {
        type: N,
        key: f,
        from: $,
        to: A,
        groupId: `${N}:${f}`
      });
    }
    if (T = o[E] || {}, x = T[f], isPlainObject(x))
      break;
    handleMissing(r, f, E, y, N), $ = A;
  }
  if (!isPlainObject(x) || !isString$1(E))
    return s ? NOT_REOSLVED : f;
  let P = `${E}__${f}`;
  isEmptyObject(g) || (P = `${P}__${JSON.stringify(g)}`);
  let L = d.get(P);
  return L || (L = new Intl.NumberFormat(E, assign({}, x, g)), d.set(P, L)), S ? L.formatToParts(p) : L.format(p);
}
const NUMBER_FORMAT_OPTIONS_KEYS = [
  "localeMatcher",
  "style",
  "currency",
  "currencyDisplay",
  "currencySign",
  "useGrouping",
  "minimumIntegerDigits",
  "minimumFractionDigits",
  "maximumFractionDigits",
  "minimumSignificantDigits",
  "maximumSignificantDigits",
  "compactDisplay",
  "notation",
  "signDisplay",
  "unit",
  "unitDisplay",
  "roundingMode",
  "roundingPriority",
  "roundingIncrement",
  "trailingZeroDisplay"
];
function parseNumberArgs(...r) {
  const [a, o, s, l] = r, u = create$3();
  let c = create$3();
  if (!isNumber$1(a))
    throw createCoreError(CoreErrorCodes.INVALID_ARGUMENT);
  const d = a;
  return isString$1(o) ? u.key = o : isPlainObject(o) && Object.keys(o).forEach((f) => {
    NUMBER_FORMAT_OPTIONS_KEYS.includes(f) ? c[f] = o[f] : u[f] = o[f];
  }), isString$1(s) ? u.locale = s : isPlainObject(s) && (c = s), isPlainObject(l) && (c = l), [u.key || "", d, u, c];
}
function clearNumberFormat(r, a, o) {
  const s = r;
  for (const l in o) {
    const u = `${a}__${l}`;
    s.__numberFormatters.has(u) && s.__numberFormatters.delete(u);
  }
}
const coreBase_esmBrowser = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  CompileErrorCodes,
  CoreErrorCodes,
  CoreWarnCodes,
  DATETIME_FORMAT_OPTIONS_KEYS,
  DEFAULT_LOCALE: DEFAULT_LOCALE$1,
  DEFAULT_MESSAGE_DATA_TYPE,
  MISSING_RESOLVE_VALUE,
  NOT_REOSLVED,
  NUMBER_FORMAT_OPTIONS_KEYS,
  VERSION: VERSION$1,
  clearCompileCache,
  clearDateTimeFormat,
  clearNumberFormat,
  compile,
  compileToFunction,
  createCompileError,
  createCoreContext,
  createCoreError,
  createMessageContext,
  datetime,
  fallbackWithLocaleChain,
  fallbackWithSimple,
  getAdditionalMeta,
  getDevToolsHook,
  getFallbackContext,
  getLocale,
  getWarnMessage: getWarnMessage$1,
  handleMissing,
  initI18nDevTools,
  isAlmostSameLocale,
  isImplicitFallback,
  isMessageAST,
  isMessageFunction,
  isTranslateFallbackWarn,
  isTranslateMissingWarn,
  number: number$1,
  parse: parse$1,
  parseDateTimeArgs,
  parseNumberArgs,
  parseTranslateArgs,
  registerLocaleFallbacker,
  registerMessageCompiler,
  registerMessageResolver,
  resolveLocale,
  resolveValue: resolveValue$1,
  resolveWithKeyValue,
  setAdditionalMeta,
  setDevToolsHook,
  setFallbackContext,
  translate: translate$1,
  translateDevTools,
  updateFallbackLocale
}, Symbol.toStringTag, { value: "Module" })), require$$1$1 = /* @__PURE__ */ getAugmentedNamespace(coreBase_esmBrowser);
/*!
  * vue-i18n v9.14.2
  * (c) 2024 kazuya kawaguchi
  * Released under the MIT License.
  */
var shared = require$$0, coreBase = require$$1$1, vue = require$$0$1;
const VERSION = "9.14.2", code$1 = coreBase.CoreWarnCodes.__EXTEND_POINT__, inc$1 = shared.incrementer(code$1), I18nWarnCodes = {
  FALLBACK_TO_ROOT: code$1,
  // 9
  NOT_SUPPORTED_PRESERVE: inc$1(),
  // 10
  NOT_SUPPORTED_FORMATTER: inc$1(),
  // 11
  NOT_SUPPORTED_PRESERVE_DIRECTIVE: inc$1(),
  // 12
  NOT_SUPPORTED_GET_CHOICE_INDEX: inc$1(),
  // 13
  COMPONENT_NAME_LEGACY_COMPATIBLE: inc$1(),
  // 14
  NOT_FOUND_PARENT_SCOPE: inc$1(),
  // 15
  IGNORE_OBJ_FLATTEN: inc$1(),
  // 16
  NOTICE_DROP_ALLOW_COMPOSITION: inc$1(),
  // 17
  NOTICE_DROP_TRANSLATE_EXIST_COMPATIBLE_FLAG: inc$1()
  // 18
}, warnMessages = {
  [I18nWarnCodes.FALLBACK_TO_ROOT]: "Fall back to {type} '{key}' with root locale.",
  [I18nWarnCodes.NOT_SUPPORTED_PRESERVE]: "Not supported 'preserve'.",
  [I18nWarnCodes.NOT_SUPPORTED_FORMATTER]: "Not supported 'formatter'.",
  [I18nWarnCodes.NOT_SUPPORTED_PRESERVE_DIRECTIVE]: "Not supported 'preserveDirectiveContent'.",
  [I18nWarnCodes.NOT_SUPPORTED_GET_CHOICE_INDEX]: "Not supported 'getChoiceIndex'.",
  [I18nWarnCodes.COMPONENT_NAME_LEGACY_COMPATIBLE]: "Component name legacy compatible: '{name}' -> 'i18n'",
  [I18nWarnCodes.NOT_FOUND_PARENT_SCOPE]: "Not found parent scope. use the global scope.",
  [I18nWarnCodes.IGNORE_OBJ_FLATTEN]: "Ignore object flatten: '{key}' key has an string value",
  [I18nWarnCodes.NOTICE_DROP_ALLOW_COMPOSITION]: "'allowComposition' option will be dropped in the next major version. For more information, please see 👉 https://tinyurl.com/2p97mcze",
  [I18nWarnCodes.NOTICE_DROP_TRANSLATE_EXIST_COMPATIBLE_FLAG]: "'translateExistCompatible' option will be dropped in the next major version."
};
function getWarnMessage(r, ...a) {
  return shared.format(warnMessages[r], ...a);
}
const code = coreBase.CoreErrorCodes.__EXTEND_POINT__, inc = shared.incrementer(code), I18nErrorCodes = {
  // composer module errors
  UNEXPECTED_RETURN_TYPE: code,
  // 24
  // legacy module errors
  INVALID_ARGUMENT: inc(),
  // 25
  // i18n module errors
  MUST_BE_CALL_SETUP_TOP: inc(),
  // 26
  NOT_INSTALLED: inc(),
  // 27
  NOT_AVAILABLE_IN_LEGACY_MODE: inc(),
  // 28
  // directive module errors
  REQUIRED_VALUE: inc(),
  // 29
  INVALID_VALUE: inc(),
  // 30
  // vue-devtools errors
  CANNOT_SETUP_VUE_DEVTOOLS_PLUGIN: inc(),
  // 31
  NOT_INSTALLED_WITH_PROVIDE: inc(),
  // 32
  // unexpected error
  UNEXPECTED_ERROR: inc(),
  // 33
  // not compatible legacy vue-i18n constructor
  NOT_COMPATIBLE_LEGACY_VUE_I18N: inc(),
  // 34
  // bridge support vue 2.x only
  BRIDGE_SUPPORT_VUE_2_ONLY: inc(),
  // 35
  // need to define `i18n` option in `allowComposition: true` and `useScope: 'local' at `useI18n``
  MUST_DEFINE_I18N_OPTION_IN_ALLOW_COMPOSITION: inc(),
  // 36
  // Not available Compostion API in Legacy API mode. Please make sure that the legacy API mode is working properly
  NOT_AVAILABLE_COMPOSITION_IN_LEGACY: inc(),
  // 37
  // for enhancement
  __EXTEND_POINT__: inc()
  // 38
};
function createI18nError(r, ...a) {
  return coreBase.createCompileError(r, null, { messages: errorMessages, args: a });
}
const errorMessages = {
  [I18nErrorCodes.UNEXPECTED_RETURN_TYPE]: "Unexpected return type in composer",
  [I18nErrorCodes.INVALID_ARGUMENT]: "Invalid argument",
  [I18nErrorCodes.MUST_BE_CALL_SETUP_TOP]: "Must be called at the top of a `setup` function",
  [I18nErrorCodes.NOT_INSTALLED]: "Need to install with `app.use` function",
  [I18nErrorCodes.UNEXPECTED_ERROR]: "Unexpected error",
  [I18nErrorCodes.NOT_AVAILABLE_IN_LEGACY_MODE]: "Not available in legacy mode",
  [I18nErrorCodes.REQUIRED_VALUE]: "Required in value: {0}",
  [I18nErrorCodes.INVALID_VALUE]: "Invalid value",
  [I18nErrorCodes.CANNOT_SETUP_VUE_DEVTOOLS_PLUGIN]: "Cannot setup vue-devtools plugin",
  [I18nErrorCodes.NOT_INSTALLED_WITH_PROVIDE]: "Need to install with `provide` function",
  [I18nErrorCodes.NOT_COMPATIBLE_LEGACY_VUE_I18N]: "Not compatible legacy VueI18n.",
  [I18nErrorCodes.BRIDGE_SUPPORT_VUE_2_ONLY]: "vue-i18n-bridge support Vue 2.x only",
  [I18nErrorCodes.MUST_DEFINE_I18N_OPTION_IN_ALLOW_COMPOSITION]: "Must define ‘i18n’ option or custom block in Composition API with using local scope in Legacy API mode",
  [I18nErrorCodes.NOT_AVAILABLE_COMPOSITION_IN_LEGACY]: "Not available Compostion API in Legacy API mode. Please make sure that the legacy API mode is working properly"
}, TranslateVNodeSymbol = /* @__PURE__ */ shared.makeSymbol("__translateVNode"), DatetimePartsSymbol = /* @__PURE__ */ shared.makeSymbol("__datetimeParts"), NumberPartsSymbol = /* @__PURE__ */ shared.makeSymbol("__numberParts"), EnableEmitter = /* @__PURE__ */ shared.makeSymbol("__enableEmitter"), DisableEmitter = /* @__PURE__ */ shared.makeSymbol("__disableEmitter"), SetPluralRulesSymbol = shared.makeSymbol("__setPluralRules");
shared.makeSymbol("__intlifyMeta");
const InejctWithOptionSymbol = /* @__PURE__ */ shared.makeSymbol("__injectWithOption"), DisposeSymbol = /* @__PURE__ */ shared.makeSymbol("__dispose"), __VUE_I18N_BRIDGE__ = "__VUE_I18N_BRIDGE__";
function handleFlatJson(r) {
  if (!shared.isObject(r))
    return r;
  for (const a in r)
    if (shared.hasOwn(r, a))
      if (!a.includes("."))
        shared.isObject(r[a]) && handleFlatJson(r[a]);
      else {
        const o = a.split("."), s = o.length - 1;
        let l = r, u = !1;
        for (let c = 0; c < s; c++) {
          if (o[c] in l || (l[o[c]] = shared.create()), !shared.isObject(l[o[c]])) {
            shared.warn(getWarnMessage(I18nWarnCodes.IGNORE_OBJ_FLATTEN, {
              key: o[c]
            })), u = !0;
            break;
          }
          l = l[o[c]];
        }
        u || (l[o[s]] = r[a], delete r[a]), shared.isObject(l[o[s]]) && handleFlatJson(l[o[s]]);
      }
  return r;
}
function getLocaleMessages(r, a) {
  const { messages: o, __i18n: s, messageResolver: l, flatJson: u } = a, c = shared.isPlainObject(o) ? o : shared.isArray(s) ? shared.create() : { [r]: shared.create() };
  if (shared.isArray(s) && s.forEach((d) => {
    if ("locale" in d && "resource" in d) {
      const { locale: f, resource: p } = d;
      f ? (c[f] = c[f] || shared.create(), shared.deepCopy(p, c[f])) : shared.deepCopy(p, c);
    } else
      shared.isString(d) && shared.deepCopy(JSON.parse(d), c);
  }), l == null && u)
    for (const d in c)
      shared.hasOwn(c, d) && handleFlatJson(c[d]);
  return c;
}
function getComponentOptions(r) {
  return r.type;
}
function adjustI18nResources(r, a, o) {
  let s = shared.isObject(a.messages) ? a.messages : shared.create();
  "__i18nGlobal" in o && (s = getLocaleMessages(r.locale.value, {
    messages: s,
    __i18n: o.__i18nGlobal
  }));
  const l = Object.keys(s);
  l.length && l.forEach((u) => {
    r.mergeLocaleMessage(u, s[u]);
  });
  {
    if (shared.isObject(a.datetimeFormats)) {
      const u = Object.keys(a.datetimeFormats);
      u.length && u.forEach((c) => {
        r.mergeDateTimeFormat(c, a.datetimeFormats[c]);
      });
    }
    if (shared.isObject(a.numberFormats)) {
      const u = Object.keys(a.numberFormats);
      u.length && u.forEach((c) => {
        r.mergeNumberFormat(c, a.numberFormats[c]);
      });
    }
  }
}
function createTextNode$1(r) {
  return vue.createVNode(vue.Text, null, r, 0);
}
const DEVTOOLS_META = "__INTLIFY_META__", NOOP_RETURN_ARRAY = () => [], NOOP_RETURN_FALSE = () => !1;
let composerID = 0;
function defineCoreMissingHandler(r) {
  return (a, o, s, l) => r(o, s, vue.getCurrentInstance() || void 0, l);
}
const getMetaInfo = /* @__NO_SIDE_EFFECTS__ */ () => {
  const r = vue.getCurrentInstance();
  let a = null;
  return r && (a = getComponentOptions(r)[DEVTOOLS_META]) ? { [DEVTOOLS_META]: a } : null;
};
function createComposer(r = {}, a) {
  const { __root: o, __injectWithOption: s } = r, l = o === void 0, u = r.flatJson, c = shared.inBrowser ? vue.ref : vue.shallowRef, d = !!r.translateExistCompatible;
  d && shared.warnOnce(getWarnMessage(I18nWarnCodes.NOTICE_DROP_TRANSLATE_EXIST_COMPATIBLE_FLAG));
  let f = shared.isBoolean(r.inheritLocale) ? r.inheritLocale : !0;
  const p = c(
    // prettier-ignore
    o && f ? o.locale.value : shared.isString(r.locale) ? r.locale : coreBase.DEFAULT_LOCALE
  ), v = c(
    // prettier-ignore
    o && f ? o.fallbackLocale.value : shared.isString(r.fallbackLocale) || shared.isArray(r.fallbackLocale) || shared.isPlainObject(r.fallbackLocale) || r.fallbackLocale === !1 ? r.fallbackLocale : p.value
  ), g = c(getLocaleMessages(p.value, r)), y = c(shared.isPlainObject(r.datetimeFormats) ? r.datetimeFormats : { [p.value]: {} }), _ = c(shared.isPlainObject(r.numberFormats) ? r.numberFormats : { [p.value]: {} });
  let S = o ? o.missingWarn : shared.isBoolean(r.missingWarn) || shared.isRegExp(r.missingWarn) ? r.missingWarn : !0, C = o ? o.fallbackWarn : shared.isBoolean(r.fallbackWarn) || shared.isRegExp(r.fallbackWarn) ? r.fallbackWarn : !0, b = o ? o.fallbackRoot : shared.isBoolean(r.fallbackRoot) ? r.fallbackRoot : !0, T = !!r.fallbackFormat, E = shared.isFunction(r.missing) ? r.missing : null, x = shared.isFunction(r.missing) ? defineCoreMissingHandler(r.missing) : null, $ = shared.isFunction(r.postTranslation) ? r.postTranslation : null, A = o ? o.warnHtmlMessage : shared.isBoolean(r.warnHtmlMessage) ? r.warnHtmlMessage : !0, N = !!r.escapeParameter;
  const P = o ? o.modifiers : shared.isPlainObject(r.modifiers) ? r.modifiers : {};
  let L = r.pluralRules || o && o.pluralRules, O;
  O = (() => {
    l && coreBase.setFallbackContext(null);
    const me = {
      version: VERSION,
      locale: p.value,
      fallbackLocale: v.value,
      messages: g.value,
      modifiers: P,
      pluralRules: L,
      missing: x === null ? void 0 : x,
      missingWarn: S,
      fallbackWarn: C,
      fallbackFormat: T,
      unresolving: !0,
      postTranslation: $ === null ? void 0 : $,
      warnHtmlMessage: A,
      escapeParameter: N,
      messageResolver: r.messageResolver,
      messageCompiler: r.messageCompiler,
      __meta: { framework: "vue" }
    };
    me.datetimeFormats = y.value, me.numberFormats = _.value, me.__datetimeFormatters = shared.isPlainObject(O) ? O.__datetimeFormatters : void 0, me.__numberFormatters = shared.isPlainObject(O) ? O.__numberFormatters : void 0, me.__v_emitter = shared.isPlainObject(O) ? O.__v_emitter : void 0;
    const Ee = coreBase.createCoreContext(me);
    return l && coreBase.setFallbackContext(Ee), Ee;
  })(), coreBase.updateFallbackLocale(O, p.value, v.value);
  function F() {
    return [
      p.value,
      v.value,
      g.value,
      y.value,
      _.value
    ];
  }
  const U = vue.computed({
    get: () => p.value,
    set: (me) => {
      p.value = me, O.locale = p.value;
    }
  }), R = vue.computed({
    get: () => v.value,
    set: (me) => {
      v.value = me, O.fallbackLocale = v.value, coreBase.updateFallbackLocale(O, p.value, me);
    }
  }), H = vue.computed(() => g.value), V = /* @__PURE__ */ vue.computed(() => y.value), Y = /* @__PURE__ */ vue.computed(() => _.value);
  function G() {
    return shared.isFunction($) ? $ : null;
  }
  function Z(me) {
    $ = me, O.postTranslation = me;
  }
  function re() {
    return E;
  }
  function de(me) {
    me !== null && (x = defineCoreMissingHandler(me)), E = me, O.missing = x;
  }
  function X(me, Ee) {
    return me !== "translate" || !Ee.resolvedMessage;
  }
  const W = (me, Ee, ne, le, he, be) => {
    F();
    let Pe;
    try {
      coreBase.setAdditionalMeta(/* @__PURE__ */ getMetaInfo()), l || (O.fallbackContext = o ? coreBase.getFallbackContext() : void 0), Pe = me(O);
    } finally {
      coreBase.setAdditionalMeta(null), l || (O.fallbackContext = void 0);
    }
    if (ne !== "translate exists" && // for not `te` (e.g `t`)
    shared.isNumber(Pe) && Pe === coreBase.NOT_REOSLVED || ne === "translate exists" && !Pe) {
      const [Ve, Ge] = Ee();
      if (o && shared.isString(Ve) && X(ne, Ge)) {
        b && (coreBase.isTranslateFallbackWarn(C, Ve) || coreBase.isTranslateMissingWarn(S, Ve)) && shared.warn(getWarnMessage(I18nWarnCodes.FALLBACK_TO_ROOT, {
          key: Ve,
          type: ne
        }));
        {
          const { __v_emitter: qe } = O;
          qe && b && qe.emit("fallback", {
            type: ne,
            key: Ve,
            to: "global",
            groupId: `${ne}:${Ve}`
          });
        }
      }
      return o && b ? le(o) : he(Ve);
    } else {
      if (be(Pe))
        return Pe;
      throw createI18nError(I18nErrorCodes.UNEXPECTED_RETURN_TYPE);
    }
  };
  function te(...me) {
    return W((Ee) => Reflect.apply(coreBase.translate, null, [Ee, ...me]), () => coreBase.parseTranslateArgs(...me), "translate", (Ee) => Reflect.apply(Ee.t, Ee, [...me]), (Ee) => Ee, (Ee) => shared.isString(Ee));
  }
  function ae(...me) {
    const [Ee, ne, le] = me;
    if (le && !shared.isObject(le))
      throw createI18nError(I18nErrorCodes.INVALID_ARGUMENT);
    return te(Ee, ne, shared.assign({ resolvedMessage: !0 }, le || {}));
  }
  function Te(...me) {
    return W((Ee) => Reflect.apply(coreBase.datetime, null, [Ee, ...me]), () => coreBase.parseDateTimeArgs(...me), "datetime format", (Ee) => Reflect.apply(Ee.d, Ee, [...me]), () => coreBase.MISSING_RESOLVE_VALUE, (Ee) => shared.isString(Ee));
  }
  function $e(...me) {
    return W((Ee) => Reflect.apply(coreBase.number, null, [Ee, ...me]), () => coreBase.parseNumberArgs(...me), "number format", (Ee) => Reflect.apply(Ee.n, Ee, [...me]), () => coreBase.MISSING_RESOLVE_VALUE, (Ee) => shared.isString(Ee));
  }
  function se(me) {
    return me.map((Ee) => shared.isString(Ee) || shared.isNumber(Ee) || shared.isBoolean(Ee) ? createTextNode$1(String(Ee)) : Ee);
  }
  const ce = {
    normalize: se,
    interpolate: (me) => me,
    type: "vnode"
  };
  function ge(...me) {
    return W(
      (Ee) => {
        let ne;
        const le = Ee;
        try {
          le.processor = ce, ne = Reflect.apply(coreBase.translate, null, [le, ...me]);
        } finally {
          le.processor = null;
        }
        return ne;
      },
      () => coreBase.parseTranslateArgs(...me),
      "translate",
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      (Ee) => Ee[TranslateVNodeSymbol](...me),
      (Ee) => [createTextNode$1(Ee)],
      (Ee) => shared.isArray(Ee)
    );
  }
  function ve(...me) {
    return W(
      (Ee) => Reflect.apply(coreBase.number, null, [Ee, ...me]),
      () => coreBase.parseNumberArgs(...me),
      "number format",
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      (Ee) => Ee[NumberPartsSymbol](...me),
      NOOP_RETURN_ARRAY,
      (Ee) => shared.isString(Ee) || shared.isArray(Ee)
    );
  }
  function xe(...me) {
    return W(
      (Ee) => Reflect.apply(coreBase.datetime, null, [Ee, ...me]),
      () => coreBase.parseDateTimeArgs(...me),
      "datetime format",
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      (Ee) => Ee[DatetimePartsSymbol](...me),
      NOOP_RETURN_ARRAY,
      (Ee) => shared.isString(Ee) || shared.isArray(Ee)
    );
  }
  function Ae(me) {
    L = me, O.pluralRules = L;
  }
  function oe(me, Ee) {
    return W(() => {
      if (!me)
        return !1;
      const ne = shared.isString(Ee) ? Ee : p.value, le = Me(ne), he = O.messageResolver(le, me);
      return d ? he != null : coreBase.isMessageAST(he) || coreBase.isMessageFunction(he) || shared.isString(he);
    }, () => [me], "translate exists", (ne) => Reflect.apply(ne.te, ne, [me, Ee]), NOOP_RETURN_FALSE, (ne) => shared.isBoolean(ne));
  }
  function De(me) {
    let Ee = null;
    const ne = coreBase.fallbackWithLocaleChain(O, v.value, p.value);
    for (let le = 0; le < ne.length; le++) {
      const he = g.value[ne[le]] || {}, be = O.messageResolver(he, me);
      if (be != null) {
        Ee = be;
        break;
      }
    }
    return Ee;
  }
  function Re(me) {
    const Ee = De(me);
    return Ee ?? (o ? o.tm(me) || {} : {});
  }
  function Me(me) {
    return g.value[me] || {};
  }
  function ct(me, Ee) {
    if (u) {
      const ne = { [me]: Ee };
      for (const le in ne)
        shared.hasOwn(ne, le) && handleFlatJson(ne[le]);
      Ee = ne[me];
    }
    g.value[me] = Ee, O.messages = g.value;
  }
  function mt(me, Ee) {
    g.value[me] = g.value[me] || {};
    const ne = { [me]: Ee };
    if (u)
      for (const le in ne)
        shared.hasOwn(ne, le) && handleFlatJson(ne[le]);
    Ee = ne[me], shared.deepCopy(Ee, g.value[me]), O.messages = g.value;
  }
  function q(me) {
    return y.value[me] || {};
  }
  function Q(me, Ee) {
    y.value[me] = Ee, O.datetimeFormats = y.value, coreBase.clearDateTimeFormat(O, me, Ee);
  }
  function _e(me, Ee) {
    y.value[me] = shared.assign(y.value[me] || {}, Ee), O.datetimeFormats = y.value, coreBase.clearDateTimeFormat(O, me, Ee);
  }
  function Ie(me) {
    return _.value[me] || {};
  }
  function ot(me, Ee) {
    _.value[me] = Ee, O.numberFormats = _.value, coreBase.clearNumberFormat(O, me, Ee);
  }
  function Xe(me, Ee) {
    _.value[me] = shared.assign(_.value[me] || {}, Ee), O.numberFormats = _.value, coreBase.clearNumberFormat(O, me, Ee);
  }
  composerID++, o && shared.inBrowser && (vue.watch(o.locale, (me) => {
    f && (p.value = me, O.locale = me, coreBase.updateFallbackLocale(O, p.value, v.value));
  }), vue.watch(o.fallbackLocale, (me) => {
    f && (v.value = me, O.fallbackLocale = me, coreBase.updateFallbackLocale(O, p.value, v.value));
  }));
  const Qe = {
    id: composerID,
    locale: U,
    fallbackLocale: R,
    get inheritLocale() {
      return f;
    },
    set inheritLocale(me) {
      f = me, me && o && (p.value = o.locale.value, v.value = o.fallbackLocale.value, coreBase.updateFallbackLocale(O, p.value, v.value));
    },
    get availableLocales() {
      return Object.keys(g.value).sort();
    },
    messages: H,
    get modifiers() {
      return P;
    },
    get pluralRules() {
      return L || {};
    },
    get isGlobal() {
      return l;
    },
    get missingWarn() {
      return S;
    },
    set missingWarn(me) {
      S = me, O.missingWarn = S;
    },
    get fallbackWarn() {
      return C;
    },
    set fallbackWarn(me) {
      C = me, O.fallbackWarn = C;
    },
    get fallbackRoot() {
      return b;
    },
    set fallbackRoot(me) {
      b = me;
    },
    get fallbackFormat() {
      return T;
    },
    set fallbackFormat(me) {
      T = me, O.fallbackFormat = T;
    },
    get warnHtmlMessage() {
      return A;
    },
    set warnHtmlMessage(me) {
      A = me, O.warnHtmlMessage = me;
    },
    get escapeParameter() {
      return N;
    },
    set escapeParameter(me) {
      N = me, O.escapeParameter = me;
    },
    t: te,
    getLocaleMessage: Me,
    setLocaleMessage: ct,
    mergeLocaleMessage: mt,
    getPostTranslationHandler: G,
    setPostTranslationHandler: Z,
    getMissingHandler: re,
    setMissingHandler: de,
    [SetPluralRulesSymbol]: Ae
  };
  return Qe.datetimeFormats = V, Qe.numberFormats = Y, Qe.rt = ae, Qe.te = oe, Qe.tm = Re, Qe.d = Te, Qe.n = $e, Qe.getDateTimeFormat = q, Qe.setDateTimeFormat = Q, Qe.mergeDateTimeFormat = _e, Qe.getNumberFormat = Ie, Qe.setNumberFormat = ot, Qe.mergeNumberFormat = Xe, Qe[InejctWithOptionSymbol] = s, Qe[TranslateVNodeSymbol] = ge, Qe[DatetimePartsSymbol] = xe, Qe[NumberPartsSymbol] = ve, Qe[EnableEmitter] = (me) => {
    O.__v_emitter = me;
  }, Qe[DisableEmitter] = () => {
    O.__v_emitter = void 0;
  }, Qe;
}
function convertComposerOptions(r) {
  const a = shared.isString(r.locale) ? r.locale : coreBase.DEFAULT_LOCALE, o = shared.isString(r.fallbackLocale) || shared.isArray(r.fallbackLocale) || shared.isPlainObject(r.fallbackLocale) || r.fallbackLocale === !1 ? r.fallbackLocale : a, s = shared.isFunction(r.missing) ? r.missing : void 0, l = shared.isBoolean(r.silentTranslationWarn) || shared.isRegExp(r.silentTranslationWarn) ? !r.silentTranslationWarn : !0, u = shared.isBoolean(r.silentFallbackWarn) || shared.isRegExp(r.silentFallbackWarn) ? !r.silentFallbackWarn : !0, c = shared.isBoolean(r.fallbackRoot) ? r.fallbackRoot : !0, d = !!r.formatFallbackMessages, f = shared.isPlainObject(r.modifiers) ? r.modifiers : {}, p = r.pluralizationRules, v = shared.isFunction(r.postTranslation) ? r.postTranslation : void 0, g = shared.isString(r.warnHtmlInMessage) ? r.warnHtmlInMessage !== "off" : !0, y = !!r.escapeParameterHtml, _ = shared.isBoolean(r.sync) ? r.sync : !0;
  r.formatter && shared.warn(getWarnMessage(I18nWarnCodes.NOT_SUPPORTED_FORMATTER)), r.preserveDirectiveContent && shared.warn(getWarnMessage(I18nWarnCodes.NOT_SUPPORTED_PRESERVE_DIRECTIVE));
  let S = r.messages;
  if (shared.isPlainObject(r.sharedMessages)) {
    const N = r.sharedMessages;
    S = Object.keys(N).reduce((L, O) => {
      const M = L[O] || (L[O] = {});
      return shared.assign(M, N[O]), L;
    }, S || {});
  }
  const { __i18n: C, __root: b, __injectWithOption: T } = r, E = r.datetimeFormats, x = r.numberFormats, $ = r.flatJson, A = r.translateExistCompatible;
  return {
    locale: a,
    fallbackLocale: o,
    messages: S,
    flatJson: $,
    datetimeFormats: E,
    numberFormats: x,
    missing: s,
    missingWarn: l,
    fallbackWarn: u,
    fallbackRoot: c,
    fallbackFormat: d,
    modifiers: f,
    pluralRules: p,
    postTranslation: v,
    warnHtmlMessage: g,
    escapeParameter: y,
    messageResolver: r.messageResolver,
    inheritLocale: _,
    translateExistCompatible: A,
    __i18n: C,
    __root: b,
    __injectWithOption: T
  };
}
function createVueI18n(r = {}, a) {
  {
    const o = createComposer(convertComposerOptions(r)), { __extender: s } = r, l = {
      // id
      id: o.id,
      // locale
      get locale() {
        return o.locale.value;
      },
      set locale(u) {
        o.locale.value = u;
      },
      // fallbackLocale
      get fallbackLocale() {
        return o.fallbackLocale.value;
      },
      set fallbackLocale(u) {
        o.fallbackLocale.value = u;
      },
      // messages
      get messages() {
        return o.messages.value;
      },
      // datetimeFormats
      get datetimeFormats() {
        return o.datetimeFormats.value;
      },
      // numberFormats
      get numberFormats() {
        return o.numberFormats.value;
      },
      // availableLocales
      get availableLocales() {
        return o.availableLocales;
      },
      // formatter
      get formatter() {
        return shared.warn(getWarnMessage(I18nWarnCodes.NOT_SUPPORTED_FORMATTER)), {
          interpolate() {
            return [];
          }
        };
      },
      set formatter(u) {
        shared.warn(getWarnMessage(I18nWarnCodes.NOT_SUPPORTED_FORMATTER));
      },
      // missing
      get missing() {
        return o.getMissingHandler();
      },
      set missing(u) {
        o.setMissingHandler(u);
      },
      // silentTranslationWarn
      get silentTranslationWarn() {
        return shared.isBoolean(o.missingWarn) ? !o.missingWarn : o.missingWarn;
      },
      set silentTranslationWarn(u) {
        o.missingWarn = shared.isBoolean(u) ? !u : u;
      },
      // silentFallbackWarn
      get silentFallbackWarn() {
        return shared.isBoolean(o.fallbackWarn) ? !o.fallbackWarn : o.fallbackWarn;
      },
      set silentFallbackWarn(u) {
        o.fallbackWarn = shared.isBoolean(u) ? !u : u;
      },
      // modifiers
      get modifiers() {
        return o.modifiers;
      },
      // formatFallbackMessages
      get formatFallbackMessages() {
        return o.fallbackFormat;
      },
      set formatFallbackMessages(u) {
        o.fallbackFormat = u;
      },
      // postTranslation
      get postTranslation() {
        return o.getPostTranslationHandler();
      },
      set postTranslation(u) {
        o.setPostTranslationHandler(u);
      },
      // sync
      get sync() {
        return o.inheritLocale;
      },
      set sync(u) {
        o.inheritLocale = u;
      },
      // warnInHtmlMessage
      get warnHtmlInMessage() {
        return o.warnHtmlMessage ? "warn" : "off";
      },
      set warnHtmlInMessage(u) {
        o.warnHtmlMessage = u !== "off";
      },
      // escapeParameterHtml
      get escapeParameterHtml() {
        return o.escapeParameter;
      },
      set escapeParameterHtml(u) {
        o.escapeParameter = u;
      },
      // preserveDirectiveContent
      get preserveDirectiveContent() {
        return shared.warn(getWarnMessage(I18nWarnCodes.NOT_SUPPORTED_PRESERVE_DIRECTIVE)), !0;
      },
      set preserveDirectiveContent(u) {
        shared.warn(getWarnMessage(I18nWarnCodes.NOT_SUPPORTED_PRESERVE_DIRECTIVE));
      },
      // pluralizationRules
      get pluralizationRules() {
        return o.pluralRules || {};
      },
      // for internal
      __composer: o,
      // t
      t(...u) {
        const [c, d, f] = u, p = {};
        let v = null, g = null;
        if (!shared.isString(c))
          throw createI18nError(I18nErrorCodes.INVALID_ARGUMENT);
        const y = c;
        return shared.isString(d) ? p.locale = d : shared.isArray(d) ? v = d : shared.isPlainObject(d) && (g = d), shared.isArray(f) ? v = f : shared.isPlainObject(f) && (g = f), Reflect.apply(o.t, o, [
          y,
          v || g || {},
          p
        ]);
      },
      rt(...u) {
        return Reflect.apply(o.rt, o, [...u]);
      },
      // tc
      tc(...u) {
        const [c, d, f] = u, p = { plural: 1 };
        let v = null, g = null;
        if (!shared.isString(c))
          throw createI18nError(I18nErrorCodes.INVALID_ARGUMENT);
        const y = c;
        return shared.isString(d) ? p.locale = d : shared.isNumber(d) ? p.plural = d : shared.isArray(d) ? v = d : shared.isPlainObject(d) && (g = d), shared.isString(f) ? p.locale = f : shared.isArray(f) ? v = f : shared.isPlainObject(f) && (g = f), Reflect.apply(o.t, o, [
          y,
          v || g || {},
          p
        ]);
      },
      // te
      te(u, c) {
        return o.te(u, c);
      },
      // tm
      tm(u) {
        return o.tm(u);
      },
      // getLocaleMessage
      getLocaleMessage(u) {
        return o.getLocaleMessage(u);
      },
      // setLocaleMessage
      setLocaleMessage(u, c) {
        o.setLocaleMessage(u, c);
      },
      // mergeLocaleMessage
      mergeLocaleMessage(u, c) {
        o.mergeLocaleMessage(u, c);
      },
      // d
      d(...u) {
        return Reflect.apply(o.d, o, [...u]);
      },
      // getDateTimeFormat
      getDateTimeFormat(u) {
        return o.getDateTimeFormat(u);
      },
      // setDateTimeFormat
      setDateTimeFormat(u, c) {
        o.setDateTimeFormat(u, c);
      },
      // mergeDateTimeFormat
      mergeDateTimeFormat(u, c) {
        o.mergeDateTimeFormat(u, c);
      },
      // n
      n(...u) {
        return Reflect.apply(o.n, o, [...u]);
      },
      // getNumberFormat
      getNumberFormat(u) {
        return o.getNumberFormat(u);
      },
      // setNumberFormat
      setNumberFormat(u, c) {
        o.setNumberFormat(u, c);
      },
      // mergeNumberFormat
      mergeNumberFormat(u, c) {
        o.mergeNumberFormat(u, c);
      },
      // getChoiceIndex
      // eslint-disable-next-line @typescript-eslint/no-unused-vars
      getChoiceIndex(u, c) {
        return shared.warn(getWarnMessage(I18nWarnCodes.NOT_SUPPORTED_GET_CHOICE_INDEX)), -1;
      }
    };
    return l.__extender = s, l.__enableEmitter = (u) => {
      const c = o;
      c[EnableEmitter] && c[EnableEmitter](u);
    }, l.__disableEmitter = () => {
      const u = o;
      u[DisableEmitter] && u[DisableEmitter]();
    }, l;
  }
}
const baseFormatProps = {
  tag: {
    type: [String, Object]
  },
  locale: {
    type: String
  },
  scope: {
    type: String,
    // NOTE: avoid https://github.com/microsoft/rushstack/issues/1050
    validator: (r) => r === "parent" || r === "global",
    default: "parent"
    /* ComponentI18nScope */
  },
  i18n: {
    type: Object
  }
};
function getInterpolateArg({ slots: r }, a) {
  return a.length === 1 && a[0] === "default" ? (r.default ? r.default() : []).reduce((s, l) => [
    ...s,
    // prettier-ignore
    ...l.type === vue.Fragment ? l.children : [l]
  ], []) : a.reduce((o, s) => {
    const l = r[s];
    return l && (o[s] = l()), o;
  }, shared.create());
}
function getFragmentableTag(r) {
  return vue.Fragment;
}
const TranslationImpl = /* @__PURE__ */ vue.defineComponent({
  /* eslint-disable */
  name: "i18n-t",
  props: shared.assign({
    keypath: {
      type: String,
      required: !0
    },
    plural: {
      type: [Number, String],
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      validator: (r) => shared.isNumber(r) || !isNaN(r)
    }
  }, baseFormatProps),
  /* eslint-enable */
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  setup(r, a) {
    const { slots: o, attrs: s } = a, l = r.i18n || useI18n({
      useScope: r.scope,
      __useComponent: !0
    });
    return () => {
      const u = Object.keys(o).filter((g) => g !== "_"), c = shared.create();
      r.locale && (c.locale = r.locale), r.plural !== void 0 && (c.plural = shared.isString(r.plural) ? +r.plural : r.plural);
      const d = getInterpolateArg(a, u), f = l[TranslateVNodeSymbol](r.keypath, d, c), p = shared.assign(shared.create(), s), v = shared.isString(r.tag) || shared.isObject(r.tag) ? r.tag : getFragmentableTag();
      return vue.h(v, p, f);
    };
  }
}), Translation = TranslationImpl, I18nT = Translation;
function isVNode(r) {
  return shared.isArray(r) && !shared.isString(r[0]);
}
function renderFormatter(r, a, o, s) {
  const { slots: l, attrs: u } = a;
  return () => {
    const c = { part: !0 };
    let d = shared.create();
    r.locale && (c.locale = r.locale), shared.isString(r.format) ? c.key = r.format : shared.isObject(r.format) && (shared.isString(r.format.key) && (c.key = r.format.key), d = Object.keys(r.format).reduce((y, _) => o.includes(_) ? shared.assign(shared.create(), y, { [_]: r.format[_] }) : y, shared.create()));
    const f = s(r.value, c, d);
    let p = [c.key];
    shared.isArray(f) ? p = f.map((y, _) => {
      const S = l[y.type], C = S ? S({ [y.type]: y.value, index: _, parts: f }) : [y.value];
      return isVNode(C) && (C[0].key = `${y.type}-${_}`), C;
    }) : shared.isString(f) && (p = [f]);
    const v = shared.assign(shared.create(), u), g = shared.isString(r.tag) || shared.isObject(r.tag) ? r.tag : getFragmentableTag();
    return vue.h(g, v, p);
  };
}
const NumberFormatImpl = /* @__PURE__ */ vue.defineComponent({
  /* eslint-disable */
  name: "i18n-n",
  props: shared.assign({
    value: {
      type: Number,
      required: !0
    },
    format: {
      type: [String, Object]
    }
  }, baseFormatProps),
  /* eslint-enable */
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  setup(r, a) {
    const o = r.i18n || useI18n({
      useScope: r.scope,
      __useComponent: !0
    });
    return renderFormatter(r, a, coreBase.NUMBER_FORMAT_OPTIONS_KEYS, (...s) => (
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      o[NumberPartsSymbol](...s)
    ));
  }
}), NumberFormat = NumberFormatImpl, I18nN = NumberFormat, DatetimeFormatImpl = /* @__PURE__ */ vue.defineComponent({
  /* eslint-disable */
  name: "i18n-d",
  props: shared.assign({
    value: {
      type: [Number, Date],
      required: !0
    },
    format: {
      type: [String, Object]
    }
  }, baseFormatProps),
  /* eslint-enable */
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  setup(r, a) {
    const o = r.i18n || useI18n({
      useScope: r.scope,
      __useComponent: !0
    });
    return renderFormatter(r, a, coreBase.DATETIME_FORMAT_OPTIONS_KEYS, (...s) => (
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      o[DatetimePartsSymbol](...s)
    ));
  }
}), DatetimeFormat = DatetimeFormatImpl, I18nD = DatetimeFormat;
function getComposer$1(r, a) {
  const o = r;
  if (r.mode === "composition")
    return o.__getInstance(a) || r.global;
  {
    const s = o.__getInstance(a);
    return s != null ? s.__composer : r.global.__composer;
  }
}
function vTDirective(r) {
  const a = (c) => {
    const { instance: d, modifiers: f, value: p } = c;
    if (!d || !d.$)
      throw createI18nError(I18nErrorCodes.UNEXPECTED_ERROR);
    const v = getComposer$1(r, d.$);
    f.preserve && shared.warn(getWarnMessage(I18nWarnCodes.NOT_SUPPORTED_PRESERVE));
    const g = parseValue(p);
    return [
      Reflect.apply(v.t, v, [...makeParams(g)]),
      v
    ];
  };
  return {
    created: (c, d) => {
      const [f, p] = a(d);
      shared.inBrowser && r.global === p && (c.__i18nWatcher = vue.watch(p.locale, () => {
        d.instance && d.instance.$forceUpdate();
      })), c.__composer = p, c.textContent = f;
    },
    unmounted: (c) => {
      shared.inBrowser && c.__i18nWatcher && (c.__i18nWatcher(), c.__i18nWatcher = void 0, delete c.__i18nWatcher), c.__composer && (c.__composer = void 0, delete c.__composer);
    },
    beforeUpdate: (c, { value: d }) => {
      if (c.__composer) {
        const f = c.__composer, p = parseValue(d);
        c.textContent = Reflect.apply(f.t, f, [
          ...makeParams(p)
        ]);
      }
    },
    getSSRProps: (c) => {
      const [d] = a(c);
      return { textContent: d };
    }
  };
}
function parseValue(r) {
  if (shared.isString(r))
    return { path: r };
  if (shared.isPlainObject(r)) {
    if (!("path" in r))
      throw createI18nError(I18nErrorCodes.REQUIRED_VALUE, "path");
    return r;
  } else
    throw createI18nError(I18nErrorCodes.INVALID_VALUE);
}
function makeParams(r) {
  const { path: a, locale: o, args: s, choice: l, plural: u } = r, c = {}, d = s || {};
  return shared.isString(o) && (c.locale = o), shared.isNumber(l) && (c.plural = l), shared.isNumber(u) && (c.plural = u), [a, d, c];
}
function apply(r, a, ...o) {
  const s = shared.isPlainObject(o[0]) ? o[0] : {}, l = !!s.useI18nComponentName, u = shared.isBoolean(s.globalInstall) ? s.globalInstall : !0;
  u && l && shared.warn(getWarnMessage(I18nWarnCodes.COMPONENT_NAME_LEGACY_COMPATIBLE, {
    name: Translation.name
  })), u && ([l ? "i18n" : Translation.name, "I18nT"].forEach((c) => r.component(c, Translation)), [NumberFormat.name, "I18nN"].forEach((c) => r.component(c, NumberFormat)), [DatetimeFormat.name, "I18nD"].forEach((c) => r.component(c, DatetimeFormat))), r.directive("t", vTDirective(a));
}
function defineMixin(r, a, o) {
  return {
    beforeCreate() {
      const s = vue.getCurrentInstance();
      if (!s)
        throw createI18nError(I18nErrorCodes.UNEXPECTED_ERROR);
      const l = this.$options;
      if (l.i18n) {
        const u = l.i18n;
        if (l.__i18n && (u.__i18n = l.__i18n), u.__root = a, this === this.$root)
          this.$i18n = mergeToGlobal(r, u);
        else {
          u.__injectWithOption = !0, u.__extender = o.__vueI18nExtend, this.$i18n = createVueI18n(u);
          const c = this.$i18n;
          c.__extender && (c.__disposer = c.__extender(this.$i18n));
        }
      } else if (l.__i18n)
        if (this === this.$root)
          this.$i18n = mergeToGlobal(r, l);
        else {
          this.$i18n = createVueI18n({
            __i18n: l.__i18n,
            __injectWithOption: !0,
            __extender: o.__vueI18nExtend,
            __root: a
          });
          const u = this.$i18n;
          u.__extender && (u.__disposer = u.__extender(this.$i18n));
        }
      else
        this.$i18n = r;
      l.__i18nGlobal && adjustI18nResources(a, l, l), this.$t = (...u) => this.$i18n.t(...u), this.$rt = (...u) => this.$i18n.rt(...u), this.$tc = (...u) => this.$i18n.tc(...u), this.$te = (u, c) => this.$i18n.te(u, c), this.$d = (...u) => this.$i18n.d(...u), this.$n = (...u) => this.$i18n.n(...u), this.$tm = (u) => this.$i18n.tm(u), o.__setInstance(s, this.$i18n);
    },
    mounted() {
    },
    unmounted() {
      const s = vue.getCurrentInstance();
      if (!s)
        throw createI18nError(I18nErrorCodes.UNEXPECTED_ERROR);
      const l = this.$i18n;
      delete this.$t, delete this.$rt, delete this.$tc, delete this.$te, delete this.$d, delete this.$n, delete this.$tm, l.__disposer && (l.__disposer(), delete l.__disposer, delete l.__extender), o.__deleteInstance(s), delete this.$i18n;
    }
  };
}
function mergeToGlobal(r, a) {
  r.locale = a.locale || r.locale, r.fallbackLocale = a.fallbackLocale || r.fallbackLocale, r.missing = a.missing || r.missing, r.silentTranslationWarn = a.silentTranslationWarn || r.silentFallbackWarn, r.silentFallbackWarn = a.silentFallbackWarn || r.silentFallbackWarn, r.formatFallbackMessages = a.formatFallbackMessages || r.formatFallbackMessages, r.postTranslation = a.postTranslation || r.postTranslation, r.warnHtmlInMessage = a.warnHtmlInMessage || r.warnHtmlInMessage, r.escapeParameterHtml = a.escapeParameterHtml || r.escapeParameterHtml, r.sync = a.sync || r.sync, r.__composer[SetPluralRulesSymbol](a.pluralizationRules || r.pluralizationRules);
  const o = getLocaleMessages(r.locale, {
    messages: a.messages,
    __i18n: a.__i18n
  });
  return Object.keys(o).forEach((s) => r.mergeLocaleMessage(s, o[s])), a.datetimeFormats && Object.keys(a.datetimeFormats).forEach((s) => r.mergeDateTimeFormat(s, a.datetimeFormats[s])), a.numberFormats && Object.keys(a.numberFormats).forEach((s) => r.mergeNumberFormat(s, a.numberFormats[s])), r;
}
const I18nInjectionKey = /* @__PURE__ */ shared.makeSymbol("global-vue-i18n");
function createI18n(r = {}, a) {
  const o = shared.isBoolean(r.legacy) ? r.legacy : !0, s = shared.isBoolean(r.globalInjection) ? r.globalInjection : !0, l = o ? !!r.allowComposition : !0, u = /* @__PURE__ */ new Map(), [c, d] = createGlobal(r, o), f = /* @__PURE__ */ shared.makeSymbol("vue-i18n");
  o && l && shared.warn(getWarnMessage(I18nWarnCodes.NOTICE_DROP_ALLOW_COMPOSITION));
  function p(y) {
    return u.get(y) || null;
  }
  function v(y, _) {
    u.set(y, _);
  }
  function g(y) {
    u.delete(y);
  }
  {
    const y = {
      // mode
      get mode() {
        return o ? "legacy" : "composition";
      },
      // allowComposition
      get allowComposition() {
        return l;
      },
      // install plugin
      async install(_, ...S) {
        if (_.__VUE_I18N_SYMBOL__ = f, _.provide(_.__VUE_I18N_SYMBOL__, y), shared.isPlainObject(S[0])) {
          const T = S[0];
          y.__composerExtend = T.__composerExtend, y.__vueI18nExtend = T.__vueI18nExtend;
        }
        let C = null;
        !o && s && (C = injectGlobalFields(_, y.global)), apply(_, y, ...S), o && _.mixin(defineMixin(d, d.__composer, y));
        const b = _.unmount;
        _.unmount = () => {
          C && C(), y.dispose(), b();
        };
      },
      // global accessor
      get global() {
        return d;
      },
      dispose() {
        c.stop();
      },
      // @internal
      __instances: u,
      // @internal
      __getInstance: p,
      // @internal
      __setInstance: v,
      // @internal
      __deleteInstance: g
    };
    return y;
  }
}
function useI18n(r = {}) {
  const a = vue.getCurrentInstance();
  if (a == null)
    throw createI18nError(I18nErrorCodes.MUST_BE_CALL_SETUP_TOP);
  if (!a.isCE && a.appContext.app != null && !a.appContext.app.__VUE_I18N_SYMBOL__)
    throw createI18nError(I18nErrorCodes.NOT_INSTALLED);
  const o = getI18nInstance(a), s = getGlobalComposer(o), l = getComponentOptions(a), u = getScope(r, l);
  if (o.mode === "legacy" && !r.__useComponent) {
    if (!o.allowComposition)
      throw createI18nError(I18nErrorCodes.NOT_AVAILABLE_IN_LEGACY_MODE);
    return useI18nForLegacy(a, u, s, r);
  }
  if (u === "global")
    return adjustI18nResources(s, r, l), s;
  if (u === "parent") {
    let f = getComposer(o, a, r.__useComponent);
    return f == null && (shared.warn(getWarnMessage(I18nWarnCodes.NOT_FOUND_PARENT_SCOPE)), f = s), f;
  }
  const c = o;
  let d = c.__getInstance(a);
  if (d == null) {
    const f = shared.assign({}, r);
    "__i18n" in l && (f.__i18n = l.__i18n), s && (f.__root = s), d = createComposer(f), c.__composerExtend && (d[DisposeSymbol] = c.__composerExtend(d)), setupLifeCycle(c, a, d), c.__setInstance(a, d);
  }
  return d;
}
const castToVueI18n = /* @__NO_SIDE_EFFECTS__ */ (r) => {
  if (!(__VUE_I18N_BRIDGE__ in r))
    throw createI18nError(I18nErrorCodes.NOT_COMPATIBLE_LEGACY_VUE_I18N);
  return r;
};
function createGlobal(r, a, o) {
  const s = vue.effectScope();
  {
    const l = a ? s.run(() => createVueI18n(r)) : s.run(() => createComposer(r));
    if (l == null)
      throw createI18nError(I18nErrorCodes.UNEXPECTED_ERROR);
    return [s, l];
  }
}
function getI18nInstance(r) {
  {
    const a = vue.inject(r.isCE ? I18nInjectionKey : r.appContext.app.__VUE_I18N_SYMBOL__);
    if (!a)
      throw createI18nError(r.isCE ? I18nErrorCodes.NOT_INSTALLED_WITH_PROVIDE : I18nErrorCodes.UNEXPECTED_ERROR);
    return a;
  }
}
function getScope(r, a) {
  return shared.isEmptyObject(r) ? "__i18n" in a ? "local" : "global" : r.useScope ? r.useScope : "local";
}
function getGlobalComposer(r) {
  return r.mode === "composition" ? r.global : r.global.__composer;
}
function getComposer(r, a, o = !1) {
  let s = null;
  const l = a.root;
  let u = getParentComponentInstance(a, o);
  for (; u != null; ) {
    const c = r;
    if (r.mode === "composition")
      s = c.__getInstance(u);
    else {
      const d = c.__getInstance(u);
      d != null && (s = d.__composer, o && s && !s[InejctWithOptionSymbol] && (s = null));
    }
    if (s != null || l === u)
      break;
    u = u.parent;
  }
  return s;
}
function getParentComponentInstance(r, a = !1) {
  return r == null ? null : a && r.vnode.ctx || r.parent;
}
function setupLifeCycle(r, a, o) {
  vue.onMounted(() => {
  }, a), vue.onUnmounted(() => {
    const s = o;
    r.__deleteInstance(a);
    const l = s[DisposeSymbol];
    l && (l(), delete s[DisposeSymbol]);
  }, a);
}
function useI18nForLegacy(r, a, o, s = {}) {
  const l = a === "local", u = vue.shallowRef(null);
  if (l && r.proxy && !(r.proxy.$options.i18n || r.proxy.$options.__i18n))
    throw createI18nError(I18nErrorCodes.MUST_DEFINE_I18N_OPTION_IN_ALLOW_COMPOSITION);
  const c = shared.isBoolean(s.inheritLocale) ? s.inheritLocale : !shared.isString(s.locale), d = vue.ref(
    // prettier-ignore
    !l || c ? o.locale.value : shared.isString(s.locale) ? s.locale : coreBase.DEFAULT_LOCALE
  ), f = vue.ref(
    // prettier-ignore
    !l || c ? o.fallbackLocale.value : shared.isString(s.fallbackLocale) || shared.isArray(s.fallbackLocale) || shared.isPlainObject(s.fallbackLocale) || s.fallbackLocale === !1 ? s.fallbackLocale : d.value
  ), p = vue.ref(getLocaleMessages(d.value, s)), v = vue.ref(shared.isPlainObject(s.datetimeFormats) ? s.datetimeFormats : { [d.value]: {} }), g = vue.ref(shared.isPlainObject(s.numberFormats) ? s.numberFormats : { [d.value]: {} }), y = l ? o.missingWarn : shared.isBoolean(s.missingWarn) || shared.isRegExp(s.missingWarn) ? s.missingWarn : !0, _ = l ? o.fallbackWarn : shared.isBoolean(s.fallbackWarn) || shared.isRegExp(s.fallbackWarn) ? s.fallbackWarn : !0, S = l ? o.fallbackRoot : shared.isBoolean(s.fallbackRoot) ? s.fallbackRoot : !0, C = !!s.fallbackFormat, b = shared.isFunction(s.missing) ? s.missing : null, T = shared.isFunction(s.postTranslation) ? s.postTranslation : null, E = l ? o.warnHtmlMessage : shared.isBoolean(s.warnHtmlMessage) ? s.warnHtmlMessage : !0, x = !!s.escapeParameter, $ = l ? o.modifiers : shared.isPlainObject(s.modifiers) ? s.modifiers : {}, A = s.pluralRules || l && o.pluralRules;
  function N() {
    return [
      d.value,
      f.value,
      p.value,
      v.value,
      g.value
    ];
  }
  const P = vue.computed({
    get: () => u.value ? u.value.locale.value : d.value,
    set: (oe) => {
      u.value && (u.value.locale.value = oe), d.value = oe;
    }
  }), L = vue.computed({
    get: () => u.value ? u.value.fallbackLocale.value : f.value,
    set: (oe) => {
      u.value && (u.value.fallbackLocale.value = oe), f.value = oe;
    }
  }), O = vue.computed(() => u.value ? u.value.messages.value : p.value), M = vue.computed(() => v.value), F = vue.computed(() => g.value);
  function U() {
    return u.value ? u.value.getPostTranslationHandler() : T;
  }
  function R(oe) {
    u.value && u.value.setPostTranslationHandler(oe);
  }
  function H() {
    return u.value ? u.value.getMissingHandler() : b;
  }
  function V(oe) {
    u.value && u.value.setMissingHandler(oe);
  }
  function Y(oe) {
    return N(), oe();
  }
  function G(...oe) {
    return u.value ? Y(() => Reflect.apply(u.value.t, null, [...oe])) : Y(() => "");
  }
  function Z(...oe) {
    return u.value ? Reflect.apply(u.value.rt, null, [...oe]) : "";
  }
  function re(...oe) {
    return u.value ? Y(() => Reflect.apply(u.value.d, null, [...oe])) : Y(() => "");
  }
  function de(...oe) {
    return u.value ? Y(() => Reflect.apply(u.value.n, null, [...oe])) : Y(() => "");
  }
  function X(oe) {
    return u.value ? u.value.tm(oe) : {};
  }
  function W(oe, De) {
    return u.value ? u.value.te(oe, De) : !1;
  }
  function te(oe) {
    return u.value ? u.value.getLocaleMessage(oe) : {};
  }
  function ae(oe, De) {
    u.value && (u.value.setLocaleMessage(oe, De), p.value[oe] = De);
  }
  function Te(oe, De) {
    u.value && u.value.mergeLocaleMessage(oe, De);
  }
  function $e(oe) {
    return u.value ? u.value.getDateTimeFormat(oe) : {};
  }
  function se(oe, De) {
    u.value && (u.value.setDateTimeFormat(oe, De), v.value[oe] = De);
  }
  function fe(oe, De) {
    u.value && u.value.mergeDateTimeFormat(oe, De);
  }
  function ce(oe) {
    return u.value ? u.value.getNumberFormat(oe) : {};
  }
  function ge(oe, De) {
    u.value && (u.value.setNumberFormat(oe, De), g.value[oe] = De);
  }
  function ve(oe, De) {
    u.value && u.value.mergeNumberFormat(oe, De);
  }
  const xe = {
    get id() {
      return u.value ? u.value.id : -1;
    },
    locale: P,
    fallbackLocale: L,
    messages: O,
    datetimeFormats: M,
    numberFormats: F,
    get inheritLocale() {
      return u.value ? u.value.inheritLocale : c;
    },
    set inheritLocale(oe) {
      u.value && (u.value.inheritLocale = oe);
    },
    get availableLocales() {
      return u.value ? u.value.availableLocales : Object.keys(p.value);
    },
    get modifiers() {
      return u.value ? u.value.modifiers : $;
    },
    get pluralRules() {
      return u.value ? u.value.pluralRules : A;
    },
    get isGlobal() {
      return u.value ? u.value.isGlobal : !1;
    },
    get missingWarn() {
      return u.value ? u.value.missingWarn : y;
    },
    set missingWarn(oe) {
      u.value && (u.value.missingWarn = oe);
    },
    get fallbackWarn() {
      return u.value ? u.value.fallbackWarn : _;
    },
    set fallbackWarn(oe) {
      u.value && (u.value.missingWarn = oe);
    },
    get fallbackRoot() {
      return u.value ? u.value.fallbackRoot : S;
    },
    set fallbackRoot(oe) {
      u.value && (u.value.fallbackRoot = oe);
    },
    get fallbackFormat() {
      return u.value ? u.value.fallbackFormat : C;
    },
    set fallbackFormat(oe) {
      u.value && (u.value.fallbackFormat = oe);
    },
    get warnHtmlMessage() {
      return u.value ? u.value.warnHtmlMessage : E;
    },
    set warnHtmlMessage(oe) {
      u.value && (u.value.warnHtmlMessage = oe);
    },
    get escapeParameter() {
      return u.value ? u.value.escapeParameter : x;
    },
    set escapeParameter(oe) {
      u.value && (u.value.escapeParameter = oe);
    },
    t: G,
    getPostTranslationHandler: U,
    setPostTranslationHandler: R,
    getMissingHandler: H,
    setMissingHandler: V,
    rt: Z,
    d: re,
    n: de,
    tm: X,
    te: W,
    getLocaleMessage: te,
    setLocaleMessage: ae,
    mergeLocaleMessage: Te,
    getDateTimeFormat: $e,
    setDateTimeFormat: se,
    mergeDateTimeFormat: fe,
    getNumberFormat: ce,
    setNumberFormat: ge,
    mergeNumberFormat: ve
  };
  function Ae(oe) {
    oe.locale.value = d.value, oe.fallbackLocale.value = f.value, Object.keys(p.value).forEach((De) => {
      oe.mergeLocaleMessage(De, p.value[De]);
    }), Object.keys(v.value).forEach((De) => {
      oe.mergeDateTimeFormat(De, v.value[De]);
    }), Object.keys(g.value).forEach((De) => {
      oe.mergeNumberFormat(De, g.value[De]);
    }), oe.escapeParameter = x, oe.fallbackFormat = C, oe.fallbackRoot = S, oe.fallbackWarn = _, oe.missingWarn = y, oe.warnHtmlMessage = E;
  }
  return vue.onBeforeMount(() => {
    if (r.proxy == null || r.proxy.$i18n == null)
      throw createI18nError(I18nErrorCodes.NOT_AVAILABLE_COMPOSITION_IN_LEGACY);
    const oe = u.value = r.proxy.$i18n.__composer;
    a === "global" ? (d.value = oe.locale.value, f.value = oe.fallbackLocale.value, p.value = oe.messages.value, v.value = oe.datetimeFormats.value, g.value = oe.numberFormats.value) : l && Ae(oe);
  }), xe;
}
const globalExportProps = [
  "locale",
  "fallbackLocale",
  "availableLocales"
], globalExportMethods = ["t", "rt", "d", "n", "tm", "te"];
function injectGlobalFields(r, a) {
  const o = /* @__PURE__ */ Object.create(null);
  return globalExportProps.forEach((l) => {
    const u = Object.getOwnPropertyDescriptor(a, l);
    if (!u)
      throw createI18nError(I18nErrorCodes.UNEXPECTED_ERROR);
    const c = vue.isRef(u.value) ? {
      get() {
        return u.value.value;
      },
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      set(d) {
        u.value.value = d;
      }
    } : {
      get() {
        return u.get && u.get();
      }
    };
    Object.defineProperty(o, l, c);
  }), r.config.globalProperties.$i18n = o, globalExportMethods.forEach((l) => {
    const u = Object.getOwnPropertyDescriptor(a, l);
    if (!u || !u.value)
      throw createI18nError(I18nErrorCodes.UNEXPECTED_ERROR);
    Object.defineProperty(r.config.globalProperties, `$${l}`, u);
  }), () => {
    delete r.config.globalProperties.$i18n, globalExportMethods.forEach((l) => {
      delete r.config.globalProperties[`$${l}`];
    });
  };
}
coreBase.registerMessageCompiler(coreBase.compile);
coreBase.registerMessageResolver(coreBase.resolveValue);
coreBase.registerLocaleFallbacker(coreBase.fallbackWithLocaleChain);
{
  const r = shared.getGlobalThis();
  r.__INTLIFY__ = !0, coreBase.setDevToolsHook(r.__INTLIFY_DEVTOOLS_GLOBAL_HOOK__);
}
vueI18n.DatetimeFormat = DatetimeFormat;
vueI18n.I18nD = I18nD;
vueI18n.I18nInjectionKey = I18nInjectionKey;
vueI18n.I18nN = I18nN;
vueI18n.I18nT = I18nT;
vueI18n.NumberFormat = NumberFormat;
vueI18n.Translation = Translation;
vueI18n.VERSION = VERSION;
vueI18n.castToVueI18n = castToVueI18n;
vueI18n.createI18n = createI18n;
vueI18n.useI18n = useI18n;
vueI18n.vTDirective = vTDirective;
var vueI18n_cjs = vueI18n;
const i18n$1 = vueI18n_cjs.createI18n({
  allowComposition: !0,
  globalInjection: !0,
  fallbackWarn: !1,
  missingWarn: !1,
  legacy: !1
  // locale,
  // messages
}), res$l = "I18nText", i18nTextApi = {
  queryForEdit(r, a) {
    return service({
      url: `api/${res$l}/queryForEdit`,
      method: "get",
      params: {
        i18nType: r,
        category: a
      }
    });
  },
  save(r, a, o) {
    return service({
      url: `api/${res$l}/save`,
      method: "post",
      data: {
        i18nType: r,
        category: a,
        data: o
      }
    });
  },
  getAll() {
    return service({
      url: `api/${res$l}/getAll`,
      method: "get"
    });
  }
}, savedLocaleKey = "i18n-locale", i18n = {
  namespaced: !0,
  state: {
    locale: "",
    languages: {}
  },
  actions: {
    /**
     * @description 设置当前语言
     * */
    setLocale({ state: r }, { locale: a = Setting.i18n.default, vm: o }) {
      util$2.db.get(
        pathInit({
          dbName: "database",
          path: "",
          user: !1,
          defaultValue: {}
        })
      ).set(savedLocaleKey, a).write(), Setting.i18n.refresh ? location.reload() : (r.locale = a, o.$i18n.locale = a, window.document.title = window.$app.$t(o.$route.meta.title) + " - " + Setting.info.title);
    },
    /**
     * @description 加载语言
     * @param {Object} state vuex state
     */
    async load({ state: r }, a) {
      let o;
      const s = util$2.db.get(
        pathInit({
          dbName: "database",
          path: "",
          user: !1,
          defaultValue: {}
        })
      ), l = s.get(savedLocaleKey).value();
      if (l)
        o = l;
      else {
        if (Setting.i18n.auto) {
          const d = navigator.language;
          r.languages[d] ? o = d : o = Setting.i18n.default;
        } else
          o = Setting.i18n.default;
        s.set(savedLocaleKey, o).write();
      }
      r.locale = o, a.config.globalProperties.$i18n.locale = o;
      const u = /* @__PURE__ */ Object.assign({ "../../../../i18n/locale/en-US.js": __vite_glob_0_0$1, "../../../../i18n/locale/zh-CN.js": __vite_glob_0_1$1 });
      Object.keys(u).forEach((d) => {
        const f = u[d].default;
        i18n$1.global.setLocaleMessage(f.i.locale, f);
      });
      let c = await i18nTextApi.getAll();
      r.languages = {};
      for (let d in c)
        Object.keys(u).forEach((f) => {
          const p = u[f].default;
          p.i.locale === d && (c[d].text.i = p.i);
        }), r.languages[d] = c[d].name, i18n$1.global.setLocaleMessage(d, c[d].text);
    }
  }
}, __vite_glob_0_4$1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: i18n
}, Symbol.toStringTag, { value: "Module" }));
var screenfull$1 = { exports: {} };
/*!
* screenfull
* v4.2.1 - 2019-07-27
* (c) Sindre Sorhus; MIT License
*/
(function(r) {
  (function() {
    var a = typeof window < "u" && typeof window.document < "u" ? window.document : {}, o = r.exports, s = typeof Element < "u" && "ALLOW_KEYBOARD_INPUT" in Element, l = function() {
      for (var d, f = [
        [
          "requestFullscreen",
          "exitFullscreen",
          "fullscreenElement",
          "fullscreenEnabled",
          "fullscreenchange",
          "fullscreenerror"
        ],
        // New WebKit
        [
          "webkitRequestFullscreen",
          "webkitExitFullscreen",
          "webkitFullscreenElement",
          "webkitFullscreenEnabled",
          "webkitfullscreenchange",
          "webkitfullscreenerror"
        ],
        // Old WebKit (Safari 5.1)
        [
          "webkitRequestFullScreen",
          "webkitCancelFullScreen",
          "webkitCurrentFullScreenElement",
          "webkitCancelFullScreen",
          "webkitfullscreenchange",
          "webkitfullscreenerror"
        ],
        [
          "mozRequestFullScreen",
          "mozCancelFullScreen",
          "mozFullScreenElement",
          "mozFullScreenEnabled",
          "mozfullscreenchange",
          "mozfullscreenerror"
        ],
        [
          "msRequestFullscreen",
          "msExitFullscreen",
          "msFullscreenElement",
          "msFullscreenEnabled",
          "MSFullscreenChange",
          "MSFullscreenError"
        ]
      ], p = 0, v = f.length, g = {}; p < v; p++)
        if (d = f[p], d && d[1] in a) {
          for (p = 0; p < d.length; p++)
            g[f[0][p]] = d[p];
          return g;
        }
      return !1;
    }(), u = {
      change: l.fullscreenchange,
      error: l.fullscreenerror
    }, c = {
      request: function(d) {
        return new Promise((function(f, p) {
          var v = l.requestFullscreen, g = (function() {
            this.off("change", g), f();
          }).bind(this);
          this.on("change", g), d = d || a.documentElement;
          var y;
          / Version\/5\.1(?:\.\d+)? Safari\//.test(navigator.userAgent) ? y = d[v]() : y = d[v](s ? Element.ALLOW_KEYBOARD_INPUT : {}), Promise.resolve(y).catch(p);
        }).bind(this));
      },
      exit: function() {
        return new Promise((function(d) {
          if (!this.isFullscreen) {
            d();
            return;
          }
          var f = (function() {
            this.off("change", f), d();
          }).bind(this);
          a[l.exitFullscreen](), this.on("change", f);
        }).bind(this));
      },
      toggle: function(d) {
        return this.isFullscreen ? this.exit() : this.request(d);
      },
      onchange: function(d) {
        this.on("change", d);
      },
      onerror: function(d) {
        this.on("error", d);
      },
      on: function(d, f) {
        var p = u[d];
        p && a.addEventListener(p, f, !1);
      },
      off: function(d, f) {
        var p = u[d];
        p && a.removeEventListener(p, f, !1);
      },
      raw: l
    };
    if (!l) {
      o ? r.exports = !1 : window.screenfull = !1;
      return;
    }
    Object.defineProperties(c, {
      isFullscreen: {
        get: function() {
          return !!a[l.fullscreenElement];
        }
      },
      element: {
        enumerable: !0,
        get: function() {
          return a[l.fullscreenElement];
        }
      },
      enabled: {
        enumerable: !0,
        get: function() {
          return !!a[l.fullscreenEnabled];
        }
      }
    }), o ? (r.exports = c, r.exports.default = c) : window.screenfull = c;
  })();
})(screenfull$1);
var screenfullExports = screenfull$1.exports;
const screenfull = /* @__PURE__ */ getDefaultExportFromCjs(screenfullExports), layout$4 = {
  namespaced: !0,
  state: {
    ...Setting.layout,
    isMobile: !1,
    // 是否为手机
    isTablet: !1,
    // 是否为平板
    isDesktop: !0,
    // 是否为桌面
    isFullscreen: !1,
    // 是否切换到了全屏
    bodyHeight: 0,
    waterMark: Setting.waterMark
  },
  mutations: {
    /**
     * @description 设置设备类型
     * @param {Object} state vuex state
     * @param {String} type 设备类型，可选值为 Mobile、Tablet、Desktop
     */
    setDevice(r, a) {
      r.isMobile = !1, r.isTablet = !1, r.isDesktop = !1, r[`is${a}`] = !0;
    },
    /**
     * @description 修改 menuCollapse
     * @param {Object} state vuex state
     * @param {Boolean} collapse 折叠状态
     * */
    updateMenuCollapse(r, a) {
      r.menuCollapse = a;
    },
    /**
     * @description 设置全屏状态
     * @param {Object} state vuex state
     * @param {Boolean} isFullscreen vuex
     * */
    setFullscreen(r, a) {
      r.isFullscreen = a;
    },
    /**
     * @description 更改指定布局配置
     * @param {Object} state vuex state
     * @param {Object} key layout 名称，对应 Setting.layout
     * @param {Object} value layout 值
     * */
    updateLayoutSetting(r, { key: a, value: o }) {
      r[a] = o;
    },
    /**
     * @description 更新页面高度
     * */
    setBodyHeight(r, a) {
      r.bodyHeight = a;
    },
    /**
     * @description 更新水印显示状态
     * */
    updateWaterMarkStatus(r, a) {
      r.waterMark.show = a;
    },
    /**
     * @description 更新水印文本
     * */
    updateWaterMarkText(r, a) {
      r.waterMark.text = a;
    },
    /**
     * @description 更新水印配置
     * */
    updateWaterMarkOptions(r, a) {
      r.waterMark.options = a;
    }
  },
  actions: {
    /**
     * @description 切换全屏
     */
    toggleFullscreen({ commit: r }) {
      return new Promise((a) => {
        screenfull.isFullscreen ? (screenfull.exit(), r("setFullscreen", !1)) : (screenfull.request(), r("setFullscreen", !0)), a();
      });
    }
  }
}, __vite_glob_0_5$1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: layout$4
}, Symbol.toStringTag, { value: "Module" })), loader$1 = {
  namespaced: !0,
  state: {
    count: 0,
    // 计数
    enabled: !0,
    // 启用
    isLoading: !1
    // 加载中
  },
  mutations: {
    /**
     * @description 开始加载
     * @param {Object} state vuex state
     */
    start(r) {
      r.count++, r.isLoading = !0;
    },
    /**
     * @description 加载结束
     * @param {Object} state vuex state
     * */
    end(r) {
      r.count--, r.isLoading = r.count > 0;
    },
    /**
     * @description 禁用遮罩层
     * @param {Object} state vuex state
     * */
    disable(r) {
      r.enabled = !1;
    },
    /**
     * @description 启用遮罩层
     * @param {Object} state vuex state
     * */
    enable(r) {
      r.enabled = !0;
    }
  }
}, __vite_glob_0_6$1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: loader$1
}, Symbol.toStringTag, { value: "Module" })), log$2 = {
  namespaced: !0,
  state: {
    /**
     * @description 错误日志，单条属性：
     * message: 必填，日志信息
     * type: 非必填，类型，可选值为 info（默认值）| success | warning | error，其中 error 会以具体数目强调显示，其它以点轻量显示
     * time: 必填，日志记录时间
     * meta: 非必填，其它携带信息
     * */
    log: []
  },
  getters: {
    /**
     * @description 返回现存 log (all) 的条数
     * @param {*} state vuex state
     */
    length(r) {
      return r.log.length;
    },
    /**
     * @description 返回现存 log (error) 的条数
     * @param {*} state vuex state
     */
    lengthError(r) {
      return r.log.filter((a) => a.type === "error").length;
    }
  },
  actions: {
    /**
     * @description 添加一个日志
     * @param {String} param message {String} 信息
     * @param {String} param type {String} 类型
     * @param {Object} param meta {Object} 附带的信息
     */
    push({ rootState: r, commit: a }, { message: o, type: s = "info", meta: l }) {
      a("push", {
        message: o,
        type: s,
        time: format$4(/* @__PURE__ */ new Date(), "yyyy-MM-dd HH:mm:ss"),
        meta: {
          // 当前用户信息
          user: r.admin.user.info,
          // 当前用户的 uuid
          uuid: util$2.cookies.get("uuid"),
          // 当前的 token
          token: util$2.cookies.get("token"),
          // 当前地址
          url: lodashExports.get(window, "location.href", ""),
          // 用户设置
          ...l
        }
      });
    }
  },
  mutations: {
    /**
     * @description 添加日志
     * @param {Object} state vuex state
     * @param {Object} log data
     */
    push(r, a) {
      r.log.push(a);
    },
    /**
     * @description 清空日志
     * @param {Object} state vuex state
     */
    clean(r) {
      r.log = [];
    }
  }
}, __vite_glob_0_7$1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: log$2
}, Symbol.toStringTag, { value: "Module" }));
function getHeaderName(r, a) {
  const o = [];
  a.forEach((l) => {
    const u = l.header || "", c = transferMenu(l, u);
    o.push({
      path: l.path,
      header: u
    }), c.forEach((d) => o.push(d));
  });
  const s = o.find((l) => l.path === r);
  return s ? s.header : null;
}
function transferMenu(r, a) {
  return r.children && r.children.length ? r.children.reduce((o, s) => {
    o.push({
      path: s.path,
      header: a
    });
    const l = transferMenu(s, a);
    return o.concat(l);
  }, []) : [r];
}
function getMenuSider(r, a = "") {
  return a ? r.filter((o) => o.header === a) : r;
}
function getSiderSubmenu(r, a) {
  const o = [];
  a.forEach((l) => {
    const u = transferSubMenu(l, []);
    o.push({
      path: l.path,
      openNames: []
    }), u.forEach((c) => o.push(c));
  });
  const s = o.find((l) => l.path === r);
  return s ? s.openNames : [];
}
function transferSubMenu(r, a) {
  if (r.children && r.children.length) {
    const o = a.concat([r.path]);
    return r.children.reduce((s, l) => {
      s.push({
        path: l.path,
        openNames: o
      });
      const u = transferSubMenu(l, o);
      return s.concat(u);
    }, []);
  } else
    return [r].map((o) => ({
      path: o.path,
      openNames: a
    }));
}
function getAllSiderMenu(r) {
  let a = [];
  return r.forEach((o) => {
    o.children && o.children.length ? getMenuChildren(o).forEach((l) => a.push(l)) : a.push(o);
  }), a;
}
function getMenuChildren(r) {
  return r.children && r.children.length ? r.children.reduce((a, o) => {
    const s = getMenuChildren(o);
    return a.concat(s);
  }, []) : [r];
}
function flattenSiderMenu(r, a) {
  return r.forEach((o) => {
    let s = {};
    for (let l in o)
      l !== "children" && (s[l] = lodashExports.cloneDeep(o[l]));
    a.push(s), o.children && flattenSiderMenu(o.children, a);
  }), a;
}
function includeArray(r, a) {
  let o = !1;
  return a.forEach((s) => {
    r.includes(s) && (o = !0);
  }), o;
}
function setNativeMenuSider(r) {
  r ? localStorage.setItem(`admin-plus-${Setting.appID}-menu-sider`, JSON.stringify(r)) : localStorage.removeItem(`admin-plus-${Setting.appID}-menu-sider`);
}
function getNativeMenuSider() {
  return JSON.parse(localStorage.getItem(`admin-plus-${Setting.appID}-menu-sider`) || "[]");
}
function getNativeMenuHeader() {
  return JSON.parse(localStorage.getItem(`admin-plus-${Setting.appID}-menu-header`) || "[]");
}
function setNativePermission(r) {
  localStorage.setItem(`admin-plus-${Setting.appID}-permission`, JSON.stringify(r));
}
function getNativePermission() {
  return JSON.parse(localStorage.getItem(`admin-plus-${Setting.appID}-permission`) || "[]");
}
const res$k = "Permission", permissionApi = {
  query() {
    return service({
      url: `api/${res$k}/query`,
      method: "get",
      params: {
        clientType: "Admin"
      }
    });
  },
  queryByRoleID(r, a) {
    return service({
      url: `api/${res$k}/queryByRoleID`,
      method: "get",
      params: {
        roleID: r,
        clientType: a
      }
    });
  },
  queryRouter() {
    return service({
      url: `api/${res$k}/queryRouter`,
      method: "get",
      params: {
        clientType: "Admin"
      }
    });
  },
  async exportFile(r) {
    const a = await service({
      url: `api/${res$k}/exportFile`,
      method: "post",
      responseType: "blob",
      data: {
        ids: r
      }
    }), o = new Blob([a], {
      type: "application/octet-stream"
    });
    saveAs(o, "Permission-" + format$4(/* @__PURE__ */ new Date(), "yyyyMMddHHmmss") + ".pms");
  }
};
function convertMenu(r) {
  if (!r)
    return null;
  var a = /(http|https):\/\/([\w.]+\/?)\S*/;
  return r.map((o) => ({
    path: a.test(o.url) ? o.url : "/" + o.url.split("?")[0],
    code: o.url,
    title: o.name,
    subTitle: o.subName,
    target: o.isNewWindow ? "_blank" : null,
    header: "home",
    custom: o.icon,
    children: convertMenu(o.subPermissions)
  }));
}
const menu = {
  namespaced: !0,
  state: {
    // 顶部菜单
    header: [],
    // 侧栏菜单
    sider: [],
    // 当前顶栏菜单的 name
    headerName: "",
    // 当前所在菜单的 path
    activePath: "",
    // 展开的子菜单 name 集合
    openNames: [],
    // 所有的菜单
    menuSider: [],
    // 侧边菜单徽标
    siderMenuBadge: [],
    // 顶栏菜单徽标
    headerMenuBadge: [],
    // 用户权限
    userPermissions: null
  },
  getters: {
    /**
     * @description 获取侧边菜单
     * */
    // sider(state) {
    //   return state.sider;
    // },
    /**
     * @description 根据 user 里登录用户权限，对侧边菜单进行鉴权过滤
     * */
    filterSider(r) {
      return r.sider;
    },
    /**
     * @description 根据 user 里登录用户权限，对顶栏菜单进行鉴权过滤
     * */
    filterHeader(r, a, o) {
      const l = o.admin.user.info.access;
      return l && l.length ? r.header.filter((u) => {
        let c = !0;
        return u.auth && !includeArray(u.auth, l) && (c = !1), u.children && u.children.length && (u.children = u.children.filter((d) => {
          let f = !0;
          return d.auth && !includeArray(d.auth, l) && (f = !1), f;
        })), c;
      }) : r.header.filter((u) => {
        let c = !0;
        return u.auth && u.auth.length && (c = !1), u.children && u.children.length && (u.children = u.children.filter((d) => {
          let f = !0;
          return d.auth && d.auth.length && (f = !1), f;
        })), c;
      });
    },
    /**
     * @description 当前 header 的全部信息
     * */
    currentHeader(r) {
      return r.header.find((a) => a.name === r.headerName);
    },
    /**
     * @description 在当前 header 下，是否隐藏 sider（及折叠按钮）
     * */
    hideSider(r, a) {
      let o = !1;
      return a.currentHeader && "hideSider" in a.currentHeader && (o = a.currentHeader.hideSider), o;
    },
    /**
     * @description 获取权限
     * */
    permission(r) {
      return r.userPermissions;
    }
  },
  mutations: {
    /**
     * @description 设置侧边栏菜单
     * @param {Object} state vuex state
     * @param {Array} menu menu
     */
    setSider(r, a) {
      r.sider = a;
    },
    /**
     * @description 设置顶栏菜单
     * @param {Object} state vuex state
     * @param {Array} menu menu
     */
    setHeader(r, a) {
      r.header = a;
    },
    /**
     * @description 设置当前顶栏菜单 name
     * @param {Object} state vuex state
     * @param {Array} name headerName
     */
    setHeaderName(r, a) {
      r.headerName = a;
    },
    /**
     * @description 设置当前所在菜单的 path，用于侧栏菜单高亮当前项
     * @param {Object} state vuex state
     * @param {Array} path fullPath
     */
    setActivePath(r, a) {
      r.activePath = a;
    },
    /**
     * @description 设置当前所在菜单的全部展开父菜单的 names 集合
     * @param {Object} state vuex state
     * @param {Array} names openNames
     */
    setOpenNames(r, a) {
      r.openNames = a;
    },
    /**
     * @description 设置所有菜单
     * @param {Object} state vuex state
     * @param {Array} menuSider menuSider
     * */
    setMenuSider(r, a) {
      r.menuSider = a;
    },
    /**
     * @description 设置全部的侧边菜单的徽标
     * */
    setAllSiderMenuBadge(r, a) {
      r.siderMenuBadge = a;
    },
    /**
     * @description 新增或修改某个侧边菜单的徽标
     * */
    setSiderMenuBadge(r, { path: a, badge: o }) {
      const s = lodashExports.cloneDeep(r.siderMenuBadge), l = s.findIndex((u) => u.path === a);
      l >= 0 ? (s[l] = o, r.siderMenuBadge = s) : r.siderMenuBadge.push(o);
    },
    /**
     * @description 删除某个侧边菜单的徽标
     * */
    removeSiderMenuBadge(r, a) {
      const o = r.siderMenuBadge.findIndex((s) => s.path === a);
      o >= 0 && r.siderMenuBadge.splice(o, 1);
    },
    /**
     * @description 设置全部的顶栏菜单的徽标
     * */
    setAllHeaderMenuBadge(r, a) {
      r.headerMenuBadge = a;
    },
    /**
     * @description 新增或修改某个顶栏菜单的徽标
     * */
    setHeaderMenuBadge(r, { path: a, badge: o }) {
      const s = lodashExports.cloneDeep(r.headerMenuBadge), l = s.findIndex((u) => u.path === a);
      l >= 0 ? (s[l] = o, r.headerMenuBadge = s) : r.headerMenuBadge.push(o);
    },
    /**
     * @description 删除某个顶栏菜单的徽标
     * */
    removeHeaderMenuBadge(r, a) {
      const o = r.headerMenuBadge.findIndex((s) => s.path === a);
      o >= 0 && r.headerMenuBadge.splice(o, 1);
    }
  },
  actions: {
    /**
     * @description 设置菜单（动态+静态）
     * */
    setMenuList({ state: r, commit: a }, o = {}) {
      const s = getNativeMenuHeader();
      a("setHeader", s);
      const l = getNativeMenuSider();
      let u = o.path, c = getHeaderName(u, l);
      if (c !== null) {
        a("setHeaderName", c), a("setMenuSider", l);
        const d = getMenuSider(l, c);
        a("setSider", d), a("setActivePath", o.path);
        const f = getSiderSubmenu(u, l);
        a("setOpenNames", f);
      }
      r.userPermissions == null && (r.userPermissions = getNativePermission());
    },
    /**
     * @description 动态获取菜单
     * @param dispatch
     * @param loadMenu 是否加载菜单，需传 $route 信息
     * */
    getMenuList({ state: r, dispatch: a }, o) {
      return new Promise((s, l) => {
        permissionApi.query().then((u) => {
          u.menus.unshift({
            name: window.$app.$t("Permission_home"),
            subName: window.$app.$t("Permission_home_SubName"),
            parentID: null,
            url: "home",
            templateUrl: "@/home",
            icon: "fa fa-home"
          });
          let c = convertMenu(u.menus);
          if (setNativeMenuSider(c), o) {
            const f = o === !0 ? router.currentRoute.value : o;
            a("setMenuList", f);
          }
          let d = {};
          u.permissions.forEach((f) => {
            d[f.split("?")[0]] = !0;
          }), r.userPermissions = d, setNativePermission(d), s();
        }).catch((u) => {
          l(u);
        });
      });
    }
  }
}, __vite_glob_0_8$1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: menu
}, Symbol.toStringTag, { value: "Module" })), pre = "/dashboard/", dashboard = {
  path: "/dashboard",
  title: "Dashboard",
  header: "home",
  custom: "i-icon-demo i-icon-demo-dashboard",
  children: [
    {
      path: `${pre}console`,
      title: "主控台"
    },
    {
      path: `${pre}monitor`,
      title: "监控页"
    },
    {
      path: `${pre}workplace`,
      title: "工作台",
      subtitle: "Workplace"
    }
  ]
}, menuSider = [
  dashboard,
  {
    path: "/i18n",
    title: "menu.i18n",
    header: "home",
    custom: "i-icon-demo i-icon-demo-i18n"
  }
], isKeepAlive = (r) => lodashExports.get(r, "meta.cache", !1), page = {
  namespaced: !0,
  state: {
    // 可以在多页 tab 模式下显示的页面
    pool: [],
    // 当前显示的多页面列表
    opened: Setting.page.opened,
    // 当前页面
    current: "",
    // 需要缓存的页面 name
    keepAlive: []
  },
  actions: {
    /**
     * @description 从持久化数据载入分页列表
     */
    openedLoad({ state: r, commit: a, dispatch: o, rootState: s }, { loadOpenedTabs: l = !0 }) {
      return new Promise(async (u) => {
        let c = await o(
          "admin/db/get",
          {
            dbName: "sys",
            path: "page.opened",
            defaultValue: Setting.page.opened,
            user: !0
          },
          { root: !0 }
        );
        l || (c = []);
        const d = [];
        r.opened = c.map((f) => {
          if (f.fullPath === "/index")
            return d.push(1), f;
          const p = r.pool.find((v) => v.name === f.name);
          return f.keepMeta && (p.meta = Object.assign({}, f.meta)), d.push(p ? 1 : 0), Object.assign({}, f, p);
        }).filter((f, p) => d[p] === 1).filter((f) => {
          const v = getAllSiderMenu(menuSider).find((y) => y.path === f.fullPath);
          let g = !0;
          if (v && v.auth) {
            const y = s.admin.user.info, _ = lodashExports.cloneDeep(y.access);
            _.push("hidden"), _ && !includeArray(v.auth, _) && (g = !1);
          }
          return g;
        }), a("keepAliveRefresh"), u();
      });
    },
    /**
     * 将 opened 属性赋值并持久化 在这之前请先确保已经更新了 state.opened
     */
    opened2db({ state: r, dispatch: a }) {
      return new Promise(async (o) => {
        a(
          "admin/db/set",
          {
            dbName: "sys",
            path: "page.opened",
            value: r.opened,
            user: !0
          },
          { root: !0 }
        ), o();
      });
    },
    /**
     * @description 更新页面列表上的某一项
     * @param {Object} param { index, params, query, fullPath } 路由信息
     */
    openedUpdate({ state: r, dispatch: a }, { index: o, params: s, query: l, fullPath: u, pageName: c, meta: d, keepMeta: f = !1 }) {
      return new Promise(async (p) => {
        let v = r.opened[o];
        v.params = s || v.params, v.query = l || v.query, v.fullPath = u || v.fullPath, v.pageName = c || v.pageName, v.meta = d || v.meta, v.keepMeta = f, r.opened.splice(o, 1, v), await a("opened2db"), p();
      });
    },
    /**
     * @description 更新页面当前项
     * @param {Object} param { params, query, fullPath } 路由信息
     */
    currentUpdate({ state: r, dispatch: a }, { params: o, query: s, fullPath: l, pageName: u, meta: c, keepMeta: d = !1 }) {
      return new Promise(async (f) => {
        setTimeout(async () => {
          const p = r.opened.findIndex((g) => g.fullPath === r.current);
          let v = r.opened[p];
          v.params = o || v.params, v.query = s || v.query, v.fullPath = l || v.fullPath, v.pageName = u || v.pageName, v.meta = c || v.meta, v.keepMeta = d, r.opened.splice(p, 1, v), await a("opened2db"), f();
        }, 0);
      });
    },
    /**
     * @description 新增一个 tag (打开一个页面)
     * @param {Object} param new tag info
     */
    add({ state: r, commit: a, dispatch: o }, { tag: s, params: l, query: u, fullPath: c, pageName: d }) {
      return new Promise(async (f) => {
        let p = s;
        p.params = l || p.params, p.query = u || p.query, p.fullPath = c || p.fullPath, p.pageName = d || p.pageName, r.opened.push(p), isKeepAlive(p) && a("keepAliveRefresh"), await o("opened2db"), f();
      });
    },
    /**
     * @description 打开一个新的页面
     * @param {Object} param 从路由钩子的 to 对象上获取 { name, params, query, fullPath } 路由信息
     */
    open({ state: r, commit: a, dispatch: o }, { name: s, params: l, query: u, path: c, fullPath: d }) {
      const f = router.getRoutes().find((p) => p.path == c).components.default.name;
      return new Promise(async (p) => {
        setTimeout(async () => {
          let v = r.opened, g = 0;
          if (v.find((_, S) => {
            const C = _.fullPath === d;
            return g = C ? S : g, C;
          }))
            await o("openedUpdate", {
              index: g,
              params: l,
              query: u,
              fullPath: d,
              pageName: f
            });
          else {
            let _ = r.pool.find((S) => S.name === s);
            _ && await o("add", {
              tag: Object.assign({}, _),
              params: l,
              query: u,
              fullPath: d,
              pageName: f
            });
          }
          a("currentSet", d);
        }), p();
      });
    },
    /**
     * @description 关闭一个 tag (关闭一个页面)
     * @param {Object} param { tagName: 要关闭的标签名字 }
     */
    close({ state: r, commit: a, dispatch: o }, { tagName: s }) {
      return new Promise(async (l) => {
        let u = r.opened[0];
        const c = r.current === s;
        if (c) {
          let f = r.opened.length;
          for (let p = 0; p < f; p++)
            if (r.opened[p].fullPath === s) {
              f > 1 ? p === f - 1 ? u = r.opened[p - 1] : u = r.opened[p + 1] : u = {};
              break;
            }
        }
        const d = r.opened.findIndex((f) => f.fullPath === s);
        if (d >= 0 && r.opened.splice(d, 1), a("keepAliveRefresh"), await o("opened2db"), c) {
          const { name: f = "index", params: p = {}, query: v = {} } = u;
          let g = {
            name: f,
            params: p,
            query: v
          };
          router.push(g, () => {
          });
        }
        l();
      });
    },
    /**
     * @description 关闭当前标签左边的标签
     * @param {Object} param { pageSelect: 当前选中的tagName }
     */
    closeLeft({ state: r, commit: a, dispatch: o }, { pageSelect: s } = {}) {
      return new Promise(async (l) => {
        const u = s || r.current;
        let c = 0;
        r.opened.forEach((d, f) => {
          d.fullPath === u && (c = f);
        }), c > 0 && r.opened.splice(1, c - 1), a("keepAliveRefresh"), r.current = u, router.currentRoute.value.fullPath !== u && router.push(u), await o("opened2db"), l();
      });
    },
    /**
     * @description 关闭当前标签右边的标签
     * @param {Object} param { pageSelect: 当前选中的tagName }
     */
    closeRight({ state: r, commit: a, dispatch: o }, { pageSelect: s } = {}) {
      return new Promise(async (l) => {
        const u = s || r.current;
        let c = 0;
        r.opened.forEach((d, f) => {
          d.fullPath === u && (c = f);
        }), r.opened.splice(c + 1), a("keepAliveRefresh"), r.current = u, router.currentRoute.value.fullPath !== u && router.push(u), await o("opened2db"), l();
      });
    },
    /**
     * @description 关闭当前激活之外的 tag
     * @param {Object} param { pageSelect: 当前选中的tagName }
     */
    closeOther({ state: r, commit: a, dispatch: o }, { pageSelect: s } = {}) {
      return new Promise(async (l) => {
        const u = s || r.current;
        let c = 0;
        r.opened.forEach((d, f) => {
          d.fullPath === u && (c = f);
        }), c === 0 ? r.opened.splice(1) : (r.opened.splice(c + 1), r.opened.splice(1, c - 1)), a("keepAliveRefresh"), r.current = u, router.currentRoute.value.fullPath !== u && router.push(u), await o("opened2db"), l();
      });
    },
    /**
     * @description 关闭所有 tag
     * @param {Object} state vuex state
     */
    closeAll({ state: r, commit: a, dispatch: o }) {
      return new Promise(async (s) => {
        r.opened.splice(1), a("keepAliveRefresh"), await o("opened2db"), router.currentRoute.value.name !== "index" && router.push(
          {
            name: "index"
          },
          () => {
          }
        ), s();
      });
    },
    /**
     * @description 直接更新 opened，用于拖拽调整页签顺序
     * */
    updateOpened({ state: r, dispatch: a }, { opened: o }) {
      return new Promise(async (s) => {
        r.opened = o, await a("opened2db"), s();
      });
    }
  },
  mutations: {
    /**
     * @class keepAlive
     * @description 从已经打开的页面记录中更新需要缓存的页面记录
     * @param {Object} state vuex state
     */
    keepAliveRefresh(r) {
      r.keepAlive = r.opened.filter((a) => isKeepAlive(a)).map((a) => a.pageName);
    },
    /**
     * @class current
     * @description 设置当前激活的页面 fullPath
     * @param {Object} state vuex state
     * @param {String} fullPath new fullPath
     */
    currentSet(r, a) {
      r.current = a;
    },
    /**
     * @class pool
     * @description 保存 pool (候选池)
     * @param {Object} state vuex state
     * @param {Array} routes routes
     */
    init(r, a) {
      const o = [];
      a.forEach((s) => {
        const { meta: l, name: u, path: c } = s;
        o.push({ meta: l, name: u, path: c });
      }), r.pool = o;
    }
  }
}, __vite_glob_0_9$1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: page
}, Symbol.toStringTag, { value: "Module" })), user$1 = {
  namespaced: !0,
  state: {
    // 用户信息
    info: {},
    // 附加数据
    data: {}
  },
  actions: {
    /**
     * @description 设置用户数据
     * @param {Object} state vuex state
     * @param {Object} dispatch vuex dispatch
     * @param {*} info info
     */
    set({ state: r, dispatch: a }, o) {
      return new Promise(async (s) => {
        r.info = o, await a(
          "admin/db/set",
          {
            dbName: "sys",
            path: "user.info",
            value: o,
            user: !0
          },
          { root: !0 }
        ), s();
      });
    },
    /**
     * @description 设置用户附加数据
     * @param {Object} state vuex state
     * @param {Object} dispatch vuex dispatch
     * @param {*} data data
     */
    setData({ state: r, dispatch: a }, o) {
      return new Promise(async (s) => {
        r.data = o, await a(
          "admin/db/set",
          {
            dbName: "sys",
            path: "user.data",
            value: o,
            user: !0
          },
          { root: !0 }
        ), s();
      });
    },
    /**
     * @description 从数据库取用户数据
     * @param {Object} state vuex state
     * @param {Object} dispatch vuex dispatch
     */
    load({ state: r, dispatch: a }) {
      return new Promise(async (o) => {
        r.info = await a(
          "admin/db/get",
          {
            dbName: "sys",
            path: "user.info",
            defaultValue: {},
            user: !0
          },
          { root: !0 }
        ), r.data = await a(
          "admin/db/get",
          {
            dbName: "sys",
            path: "user.data",
            defaultValue: {},
            user: !0
          },
          { root: !0 }
        ), o();
      });
    }
  }
}, __vite_glob_0_10$1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: user$1
}, Symbol.toStringTag, { value: "Module" })), res$j = "CustomPage", customPageApi = {
  get(r) {
    return service({
      url: `api/${res$j}/get`,
      method: "get",
      params: {
        id: r
      }
    });
  },
  async exportFile(r) {
    const a = await service({
      url: `api/${res$j}/exportFile`,
      method: "post",
      responseType: "blob",
      data: {
        ids: r
      }
    }), o = new Blob([a], {
      type: "application/octet-stream"
    });
    saveAs(o, "CustomPage-" + format$4(/* @__PURE__ */ new Date(), "yyyyMMddHHmmss") + ".cp");
  }
}, viewPage$1 = {
  namespaced: !0,
  state: {
    // 自定义页面
    pages: {}
  },
  getters: {
    get: (r) => (a) => r.pages[a]
  },
  actions: {
    /**
     * @description 加载数据视图
     * @param {Object} state vuex state
     * @param {*} id 代码
     */
    async load({ state: r }, a) {
      if (a in r.pages)
        return r.pages[a];
      {
        let o = await customPageApi.get(a);
        return o && (r.pages[a] = o), o;
      }
    }
  }
}, __vite_glob_0_11$1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: viewPage$1
}, Symbol.toStringTag, { value: "Module" })), files$1 = /* @__PURE__ */ Object.assign({ "./modules/account.js": __vite_glob_0_0$2, "./modules/cache.js": __vite_glob_0_1$2, "./modules/dataView.js": __vite_glob_0_2$1, "./modules/db.js": __vite_glob_0_3$1, "./modules/i18n.js": __vite_glob_0_4$1, "./modules/layout.js": __vite_glob_0_5$1, "./modules/loader.js": __vite_glob_0_6$1, "./modules/log.js": __vite_glob_0_7$1, "./modules/menu.js": __vite_glob_0_8$1, "./modules/page.js": __vite_glob_0_9$1, "./modules/user.js": __vite_glob_0_10$1, "./modules/viewPage.js": __vite_glob_0_11$1 }), modules = {};
Object.keys(files$1).forEach((r) => {
  modules[r.replace(/(\.\/modules\/|\.js)/g, "")] = files$1[r].default;
});
const admin = {
  namespaced: !0,
  modules
}, store = createStore({
  modules: {
    admin
  }
}), dynamic = {
  async init(r, a) {
    let o = await permissionApi.queryRouter();
    const s = r.getRoutes().find((l) => l.path == "/");
    o.forEach((l) => {
      var u;
      if (l.isCustomPage && (l.url += "?id=" + l.customPageID, l.customPage.customPageTemplate && (l.templateUrl = "template/" + l.customPage.customPageTemplate.substr(0, 1).toLowerCase() + l.customPage.customPageTemplate.substr(1) + ".vue")), (l.templateUrl || "").trim()) {
        const c = ((u = l.url) == null ? void 0 : u.split("?")[0]) || "", d = c.replace(/\//g, "-"), f = {};
        l.url && l.url.split("?").length > 1 && l.url.split("?")[1].split("&").forEach((p) => {
          p.split("=").length > 1 && p.split("=")[0].length > 0 && (f[p.split("=")[0]] = p.split("=")[1]);
        }), s.children.push({
          path: c,
          name: d,
          meta: {
            title: getNameI18n(l),
            description: getDescI18n(l),
            data: f,
            auth: !0,
            cache: !0
          },
          component: () => new Promise((p) => {
            p(a[l.templateUrl]);
          })
        });
      }
    }), r.removeRoute("root"), r.addRoute(s), r.addRoute({
      path: "/:pathMatch(.*)",
      name: "404",
      meta: {
        title: "404"
      },
      component: () => new Promise((l) => {
        l(a["system/error/404.vue"]);
      })
    });
  }
};
function getNameI18n(r) {
  if (Setting.layout.showI18n) {
    let a = "Permission_" + r.url.split("?")[0], o = window.$app.$t(a);
    return o == a ? r.name : o;
  } else
    return r.name;
}
function getDescI18n(r) {
  if (Setting.layout.showI18n) {
    let a = "Permission_" + r.url.split("?")[0] + "_SubName", o = window.$app.$t(a);
    return o == a ? r.subName : o;
  } else
    return r.subName;
}
const base$1 = window.$base || "admin", router = createRouter({
  history: Setting.routerMode === "history" ? createWebHistory(base$1) : Setting.routerMode === "hash" ? createWebHashHistory(base$1) : createMemoryHistory(base$1),
  routes: []
});
let inited = !1;
const initRouter = (r, a) => {
  a.forEach((o) => {
    router.addRoute(o);
  }), router.beforeEach(async (o, s, l) => {
    if (Setting.showProgressBar && ViewUIPlus.LoadingBar.start(), store.dispatch("admin/menu/setMenuList", o), !inited)
      await dynamic.init(router, r), store.commit("admin/page/init", router.getRoutes()), store.dispatch("admin/page/openedLoad", { loadOpenedTabs: !0 }, { root: !0 }), inited = !0, l({
        ...o,
        replace: !0
      });
    else if (o.matched.some((u) => u.meta.auth)) {
      const u = util$2.cookies.get("token");
      if (u && u !== "undefined") {
        const c = store.getters["admin/menu/permission"];
        c[o.fullPath.substring(1)] || c[o.fullPath.split("?")[0].substring(1)] ? l() : l({
          name: "home"
        });
      } else
        l({
          name: "login",
          query: {
            redirect: o.fullPath
          }
        });
    } else
      l();
  }), router.afterEach((o) => {
    Setting.showProgressBar && ViewUIPlus.LoadingBar.finish(), setting.layout.tabs && store.dispatch("admin/page/open", o), window.document.title = window.$app.$t(o.meta.title) + " - " + Setting.info.title, window.scrollTo(0, 0);
  });
}, mixinPage = {
  data() {
    return {
      grid4: {
        xxl: 4,
        xl: 4,
        lg: 4,
        md: 6,
        sm: 12,
        xs: 24
      },
      grid6: {
        xxl: 6,
        xl: 6,
        lg: 8,
        md: 12,
        sm: 12,
        xs: 24
      },
      grid8: {
        xxl: 8,
        xl: 8,
        lg: 8,
        md: 12,
        sm: 24,
        xs: 24
      },
      grid12: {
        xxl: 12,
        xl: 12,
        lg: 12,
        md: 12,
        sm: 24,
        xs: 24
      },
      grid16: {
        xxl: 16,
        xl: 16,
        lg: 16,
        md: 24,
        sm: 24,
        xs: 24
      },
      grid18: {
        xxl: 18,
        xl: 18,
        lg: 18,
        md: 24,
        sm: 24,
        xs: 24
      },
      grid24: {
        xxl: 24,
        xl: 24,
        lg: 24,
        md: 24,
        sm: 24,
        xs: 24
      }
    };
  },
  computed: {
    ...mapState("admin/user", ["info"]),
    ...mapState("admin/cache", ["userNames", "enums", "dicts", "caches"]),
    ...mapState("admin/menu", ["userPermissions"]),
    rootPath() {
      return "admin".trim() ? "/admin/static/" : "/static/";
    },
    sysInfo() {
      return Setting.info;
    },
    layout() {
      return Setting.layout;
    },
    apiBaseURL() {
      return window.$mode === "development" ? Setting.apiBaseURL.dev : Setting.apiBaseURL.prd;
    },
    uploadURL() {
      return this.apiBaseURL + "api/Attachment/add";
    },
    uploadHeaders() {
      return {
        Authorization: "Bearer " + util$2.cookies.get("token")
      };
    }
  },
  methods: {
    ...mapActions("admin/cache", ["loadEnum", "loadDict", "loadUserName", "loadCache"]),
    ...mapMutations("admin/loader", { enableLoader: "enable" }),
    ...mapMutations("admin/loader", { disableLoader: "disable" }),
    copy(r) {
      return lodashExports.cloneDeep(r);
    },
    allow(r) {
      if (r.startsWith("permission/"))
        return this.userPermissions[r];
      {
        let a = router.currentRoute.value.fullPath.substr(1).split("?")[0];
        if (this.userPermissions[a + "$" + r] == !0)
          return !0;
        let o = Object.keys(this.userPermissions).filter((s) => s.startsWith(a + "$")).length;
        return this.userPermissions[a] == !0 && o == 0;
      }
    },
    getCache(r, a) {
      return this.loadCache(r), this.caches[r].find((o) => o.id == a);
    },
    getCacheList(r) {
      return this.loadCache(r), this.caches[r];
    },
    getEnum(r, a) {
      return this.loadEnum(r), a == null ? null : this.layout.showI18n ? this.$t("Enum_" + r + "_" + a) : this.enums[r][a];
    },
    getEnumList(r) {
      return this.loadEnum(r), Object.keys(this.enums[r]).map((a) => this.layout.showI18n ? {
        id: a,
        name: this.$t("Enum_" + r + "_" + a)
      } : {
        id: a,
        name: this.enums[r][a]
      });
    },
    getDict(r, a) {
      return this.loadDict(r), a == null ? null : this.layout.showI18n ? this.$t("Dict_" + r + "_" + a) : this.dicts[r][a];
    },
    getDictList(r) {
      return this.loadDict(r), Object.keys(this.dicts[r]).map((a) => this.layout.showI18n ? {
        id: a,
        name: this.$t("Dict_" + r + "_" + a)
      } : {
        id: a,
        name: this.dicts[r][a]
      });
    },
    getUserName(r) {
      return this.loadUserName(r), this.userNames[r];
    },
    // 附件
    getAttachmentUrl(r, a) {
      return r ? r.startsWith("http") ? r : this.apiBaseURL + "api/Attachment/get?file=" + encodeURIComponent(r) + "&name=" + encodeURIComponent(a) : null;
    },
    // 文件下载
    fileDownload(r, a) {
      let o = this.getAttachmentUrl(r, a);
      o && (window.location.href = o);
    },
    // 图片路径
    getImgUrl(r) {
      return r ? r.startsWith("http") ? r : this.apiBaseURL + "api/Attachment/getImage?file=" + encodeURIComponent(r) : this.rootPath + "images/no-image.png";
    },
    // 显示格式化内容
    showData(r, a) {
      let o = a.code, s = a.dataType, l = a.displayFormat, u = a.digit, c = a.fixedDigit;
      if (!s)
        return null;
      if (s.startsWith("Enum:"))
        return this.getEnum(s.replace("Enum:", ""), this.parseData(r, o));
      if (s === "BigInteger" && l == "User")
        return this.getUserName(this.parseData(r, o));
      let d = this.parseData(r, o);
      if (d == null)
        return null;
      if (s === "DateTime")
        return (l || "").trim() ? format$4(new Date(d), l) : format$4(new Date(d), "yyyy-MM-dd");
      if (s === "Integer")
        if ((l || "").trim()) {
          let f = null;
          try {
            f = format$4(new Date(d * 1e3), l);
          } catch (p) {
            console.log(p, d);
          }
          return f;
        } else
          return d;
      else {
        if (s === "Decimal" || s === "Float" || s === "Double")
          return d = parseFloat(d), l === "Money" ? this.formatThousand(d.toFixed(2)) : l === "Thousand" ? this.formatThousand(this.keepDecimal(d, u, c)) : l === "Percent" ? this.keepDecimal(d, u, c) + "%" : this.keepDecimal(d, u, c);
        if (s === "Boolean")
          return l === "Y" ? d ? '<i class="fa fa-check info"></i>' : "" : l === "YN" ? d ? '<i class="fa fa-check"></i>' : '<i class="fa fa-times"></i>' : l === "Disabled" ? d ? '<i class="fa fa-ban error"></i>' : "" : l === "Valid" ? d ? '<i class="fa fa-check success"></i>' : "" : l === "Attention" ? d ? '<i class="fa fa-exclamation error"></i>' : "" : d ? '<i class="fa fa-check info"></i>' : "";
        if (s === "String")
          if (l === "Array") {
            let f = "";
            try {
              f = JSON.parse(d).join(", ");
            } catch (p) {
              console.log(p, d);
            }
            return f;
          } else if ((l || "").trim()) {
            let f = null;
            try {
              f = format$4(new Date(parseInt(d) * 1e3), l);
            } catch (p) {
              console.log(p, d);
            }
            return f;
          } else
            return this.tParam(this.showMultiLine(d));
        else
          return d;
      }
    },
    showMultiLine(r) {
      return typeof r == "string" ? r.replaceAll(" ", "&nbsp;").replaceAll(`
`, "<br/>") : r;
    },
    // 根据表达式取值
    parseData(r, a) {
      return lodashExports.get(r, a);
    },
    // 根据表达式赋值
    setData(r, a, o) {
      lodashExports.set(r, a, o);
    },
    // 根据表达式取值(日期)
    parseDateTimeData(r, a) {
      let o = this.parseData(r, a);
      return o ?? "";
    },
    // 根据表达式取值(数组)
    parseArrayData(r, a) {
      let o = [], s = this.parseData(r, a);
      return this.isJSON(s) && (o = JSON.parse(s)), o;
    },
    // 根据表达式赋值(数组)
    setArrayData(r, a, o) {
      let s = "";
      o != null && (s = JSON.stringify(o)), this.setData(r, a, s);
    },
    // 根据表达式取值(日期段)
    parseDateRangeData(r, a) {
      let o = [], s = this.parseData(r, a);
      return this.isJSON(s) && (o = JSON.parse(s), o[0] = new Date(o[0]), o[1] = new Date(o[1])), o;
    },
    // 根据公式获取触发字段
    getTriggers(r) {
      let a = [], o = "";
      for (let s = 0; s < r.length; s++)
        r[s] == " " || r[s] == "+" || r[s] == "-" || r[s] == "*" || r[s] == "/" || r[s] == "(" || r[s] == ")" || r[s] == ">" || r[s] == "<" || r[s] == "!" || r[s] == "&" || r[s] == "|" || r[s] == "=" ? (o || "").trim() && (a.push(o), o = "") : o += r[s];
      return (o || "").trim() && (o.indexOf(".") >= 0 ? a.push(o.split(".")[0] + "ID") : a.push(o)), a;
    },
    // 计算列
    calculate(text, model) {
      if (text == null)
        return null;
      text = text.toString();
      let result = "", expression = "";
      for (let r = 0; r < text.length; r++)
        if (text[r] == " " || text[r] == "+" || text[r] == "-" || text[r] == "*" || text[r] == "/" || text[r] == "(" || text[r] == ")" || text[r] == ">" || text[r] == "<" || text[r] == "!" || text[r] == "|" || text[r] == "&" || text[r] == "=" || r == text.length - 1) {
          if (r == text.length - 1 && (expression += text[r]), (expression || "").trim()) {
            if (!isNaN(expression) || expression.substr(0, 1) == "'" || expression.substr(0, 1) == '"' || expression == "null")
              result += expression;
            else {
              let a = this.parseData(model, expression);
              a == null || typeof a == "object" ? result += expression : isNaN(a) || a.toString().length > 16 ? result += "'" + String(a) + "'" : result += String(a);
            }
            expression = "";
          }
          r != text.length - 1 && (result += text[r]);
        } else
          expression += text[r];
      let data = null;
      try {
        console.log("expression", text, result), data = eval(result), (data != "NaN" && String(data) == "NaN" || typeof data == "number" && (String(data) == "Infinity" || String(data) == "-Infinity")) && (data = null);
      } catch (r) {
      }
      return data;
    },
    // 根据条件判断
    judgeCondition(r, a) {
      if (!r)
        return !1;
      if (r.type == "Condition") {
        for (let o = 0; o < r.condition.length; o++) {
          let s = this.parseData(a, r.condition[o].code);
          s == null && (s = "null");
          let l = r.condition[o].value;
          l == null && (l = "");
          let u = r.condition[o].operator, c = !1;
          if (u == "Equal" ? c = l.split(",").some((d) => String(s) == d) : u == "Contains" ? c = l.split(",").some((d) => String(s).indexOf(d) != -1) : u == "GreaterThan" ? c = s > l : u == "LessThan" ? c = s < l : u == "GreaterThanOrEqual" ? c = s >= l : u == "LessThanOrEqual" ? c = s <= l : u == "NotEqual" && (c = l.split(",").every((d) => String(s) != d)), !c)
            return !1;
        }
        return !0;
      } else if (r.type == "Expression")
        return this.calculate(r.expression, a) == !0;
    },
    // 提示框样式(SweetAlert/Message/Notice)
    //alertStyle: 'SweetAlert',
    // 确认框
    confirm(r, a) {
      let o = Swal.fire({
        title: this.tParam(r),
        icon: "question",
        confirmButtonText: this.$t("Front_Btn_OK"),
        cancelButtonText: this.$t("Front_Btn_Cancel"),
        showCancelButton: !0
      });
      return o.then((s) => {
        s.value && typeof a == "function" && a();
      }), o;
    },
    // 带输入的确认框
    confirmInput(r, a, o, s) {
      let l = Swal.fire({
        title: this.tParam(r),
        input: "text",
        confirmButtonText: this.$t("Front_Btn_OK"),
        cancelButtonText: this.$t("Front_Btn_Cancel"),
        inputPlaceholder: a,
        icon: "question",
        showCancelButton: !0,
        preConfirm: s
      });
      return l.then((u) => {
        u.value && typeof o == "function" && o();
      }), l;
    },
    // 成功提示
    success(r, a) {
      if (Setting.layout.alertStyle == "Message")
        this.$Message.success({
          content: this.tParam(r)
          //duration: 3
        }), typeof a == "function" && a();
      else if (Setting.layout.alertStyle == "Notice")
        this.$Notice.success({
          title: this.tParam(r)
          //duration: 3
        }), typeof a == "function" && a();
      else {
        var o = Swal.fire({
          title: this.tParam(r),
          icon: "success",
          confirmButtonText: this.$t("Front_Btn_OK")
        });
        return o.then(() => {
          typeof a == "function" && a();
        }), o;
      }
    },
    // 警告提示
    warning(r, a) {
      if (Setting.layout.alertStyle == "Message")
        this.$Message.warning({
          content: this.tParam(r),
          duration: 5,
          closable: !0
        }), typeof a == "function" && a();
      else if (Setting.layout.alertStyle == "Notice")
        this.$Notice.warning({
          title: this.tParam(r),
          duration: 5,
          closable: !0
        }), typeof a == "function" && a();
      else {
        var o = Swal.fire({
          title: this.tParam(r),
          icon: "warning",
          confirmButtonText: this.$t("Front_Btn_OK")
        });
        return o.then(() => {
          typeof a == "function" && a();
        }), o;
      }
    },
    // 失败提示
    error(r, a) {
      if (Setting.layout.alertStyle == "Message")
        this.$Message.error({
          content: this.tParam(r),
          duration: 5,
          closable: !0
        }), typeof a == "function" && a();
      else if (Setting.layout.alertStyle == "Notice")
        this.$Notice.error({
          title: this.tParam(r),
          duration: 5,
          closable: !0
        }), typeof a == "function" && a();
      else {
        var o = Swal.fire({
          title: this.tParam(r),
          icon: "error",
          confirmButtonText: this.$t("Front_Btn_OK")
        });
        return o.then(() => {
          typeof a == "function" && a();
        }), o;
      }
    },
    // 获取超链接
    getHyperlink(r, a) {
      for (; a.indexOf("{") >= 0; ) {
        let o = a.indexOf("{"), s = a.indexOf("}"), l = a.substring(o + 1, s);
        a = a.substring(0, o) + this.parseData(r, l) + a.substring(s + 1);
      }
      return a;
    },
    // 保留小数
    keepDecimal(r, a, o) {
      if (a == null)
        return r;
      let s = parseFloat(r);
      return isNaN(s) || isNaN(a) ? null : o ? s.toFixed(a) : Math.round(r * Math.pow(10, a)) / Math.pow(10, a);
    },
    // 加千分位
    formatThousand(r) {
      if (r == null)
        return r;
      let o = Math.trunc(r).toString().replace(/(\d)(?=(?:\d{3})+$)/g, "$1,"), s = r.toString().split(".");
      return s.length === 2 ? o + "." + s[1].toString() : o;
    },
    // 重置通知栏数字
    resetNotice() {
      this.getNotice(this).init();
    },
    // 获取通知栏
    getNotice(r) {
      return r.$refs.notice != null ? r.$refs.notice : r.$parent != null ? this.getNotice(r.$parent) : null;
    },
    // 判断是否JSON
    isJSON(r) {
      if (typeof r == "string" && (r || "").trim())
        try {
          var a = JSON.parse(r);
          return !!(typeof a == "object" && a);
        } catch {
          return !1;
        }
      else
        return !1;
    },
    // 解析多语言带参数
    tParam(r) {
      if (r == null)
        return null;
      let o = r.toString().split("|"), s = o[0];
      return o.shift(), this.$t(s, o);
    }
  }
}, _export_sfc = (r, a) => {
  const o = r.__vccOpts || r;
  for (const [s, l] of a)
    o[s] = l;
  return o;
}, _sfc_main$1u = {
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      username: "",
      password: "",
      autoLogin: !0
    };
  },
  created() {
  },
  computed: {},
  methods: {
    ...mapActions("admin/account", ["login"]),
    /**
     * @description 登录
     * 表单校验已有 iView Pro 自动完成，如有需要修改，请阅读 iView Pro 文档
     */
    async submit(r) {
      if (r) {
        var a = window.event ? r.keyCode : r.which;
        if (!a || a !== 0 && a !== 1 && a !== 13)
          return;
      }
      this.username && this.password && (await this.login({
        username: this.username,
        password: this.password
      }), setTimeout(() => {
        router.replace(this.$route.query.redirect || "/home");
      }));
    },
    close() {
      this.confirm("Front_Sure_To_Exit", () => {
        window.location.href = "about:blank", window.close();
      });
    }
  }
}, _hoisted_1$1d = { class: "signIn" }, _hoisted_2$K = { class: "box cf" }, _hoisted_3$E = { class: "right" }, _hoisted_4$s = { class: "logo cf" }, _hoisted_5$i = ["src"], _hoisted_6$b = ["placeholder"], _hoisted_7$a = ["placeholder"], _hoisted_8$a = { class: "cpt" };
function _sfc_render$1u(r, a, o, s, l, u) {
  return openBlock(), createElementBlock("div", _hoisted_1$1d, [
    createElementVNode("div", _hoisted_2$K, [
      createElementVNode("div", {
        class: "left",
        style: normalizeStyle$1({ background: "url(" + r.rootPath + "images/login/signIn-img.png) center center no-repeat", "background-size": "cover" })
      }, [
        createElementVNode("h3", null, toDisplayString$2(r.sysInfo.banner), 1),
        createElementVNode("p", null, toDisplayString$2(r.sysInfo.subBanner), 1)
      ], 4),
      createElementVNode("div", _hoisted_3$E, [
        createElementVNode("div", _hoisted_4$s, [
          createElementVNode("img", {
            src: r.rootPath + "images/login/logo.png"
          }, null, 8, _hoisted_5$i),
          createElementVNode("h2", null, toDisplayString$2(r.layout.showI18n ? r.$t("Front_Label_Setting_Info_Title") : r.sysInfo.title), 1),
          a[6] || (a[6] = createElementVNode("small", null, null, -1))
        ]),
        withDirectives(createElementVNode("input", {
          type: "text",
          "onUpdate:modelValue": a[0] || (a[0] = (c) => l.username = c),
          onKeyup: a[1] || (a[1] = (...c) => u.submit && u.submit(...c)),
          class: "username",
          autofocus: "",
          placeholder: r.$t("Front_Msg_Please_Input_Account")
        }, null, 40, _hoisted_6$b), [
          [vModelText, l.username]
        ]),
        withDirectives(createElementVNode("input", {
          type: "password",
          "onUpdate:modelValue": a[2] || (a[2] = (c) => l.password = c),
          onKeyup: a[3] || (a[3] = (...c) => u.submit && u.submit(...c)),
          class: "password",
          placeholder: r.$t("Front_Msg_Please_Input_Password")
        }, null, 40, _hoisted_7$a), [
          [vModelText, l.password]
        ]),
        createElementVNode("button", {
          type: "button",
          onClick: a[4] || (a[4] = (c) => u.submit()),
          class: "sign-in"
        }, toDisplayString$2(r.$t("Front_Btn_Login")), 1),
        createElementVNode("button", {
          type: "button",
          onClick: a[5] || (a[5] = (...c) => u.close && u.close(...c)),
          class: "exit"
        }, toDisplayString$2(r.$t("Front_Btn_Exit")), 1)
      ])
    ]),
    createElementVNode("div", _hoisted_8$a, toDisplayString$2(r.sysInfo.copyright), 1)
  ]);
}
const login = /* @__PURE__ */ _export_sfc(_sfc_main$1u, [["render", _sfc_render$1u], ["__scopeId", "data-v-0f2f9347"]]), __vite_glob_0_0 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: login
}, Symbol.toStringTag, { value: "Module" })), res$i = "Shortcut", shortcutApi = {
  queryMy() {
    return service({
      url: `api/${res$i}/queryMy`,
      method: "post",
      data: {}
    });
  },
  save(r) {
    return service({
      url: `api/${res$i}/save`,
      method: "post",
      data: r
    });
  }
}, _sfc_main$1t = {
  name: "home",
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      shortcuts: [],
      colors: ["#69C0FF", "#95DE64", "#FFD666", "#FF9C6E", "#B37FEB", "#5CDBD3", "#DC143C", "#FF85C0", "#FFC069"]
    };
  },
  async mounted() {
    const r = await shortcutApi.queryMy();
    this.shortcuts = r;
  },
  methods: {
    // 快捷按钮设置
    async setting() {
      let r = this.copy(this.shortcuts);
      this.$refs.shortcutSetting.loadData(r), this.$refs.shortcutSetting.open();
    },
    // 上移
    up(r, a) {
      let o = this.$refs.shortcutSetting.data;
      a > 0 && (o.splice(a, 1), o.splice(a - 1, 0, r), this.$refs.shortcutSetting.loadData(o));
    },
    // 下移
    down(r, a) {
      let o = this.$refs.shortcutSetting.data;
      a < o.length - 1 && (o.splice(a, 1), o.splice(a + 1, 0, r), this.$refs.shortcutSetting.loadData(o));
    },
    // 拖动完成
    dragDrop(r, a) {
      if (r != a) {
        let o = this.$refs.shortcutSetting.data, s = o[r];
        o.splice(r, 1), o.splice(a, 0, s);
      }
    },
    // 移除
    remove(r, a) {
      let o = this.$refs.shortcutSetting.data;
      o.splice(a, 1), this.$refs.shortcutSetting.loadData(o);
    },
    // 保存
    save() {
      this.confirm("Front_Msg_Sure_To_Save_Setting", async () => {
        let r = this.$refs.shortcutSetting.data;
        const a = await shortcutApi.save(r);
        this.success("Front_Msg_Success", () => {
          this.shortcuts = a, this.$refs.shortcutSetting.close();
        });
      });
    }
  }
}, _hoisted_1$1c = { class: "ivu-pl-8" }, _hoisted_2$J = {
  class: "ivu-text-center",
  style: { height: "250px" }
}, _hoisted_3$D = { class: "ivu-pt-8" };
function _sfc_render$1t(r, a, o, s, l, u) {
  const c = resolveComponent("Avatar"), d = resolveComponent("Icon"), f = resolveComponent("Tooltip"), p = resolveComponent("i-link"), v = resolveComponent("GridItem"), g = resolveComponent("Grid"), y = resolveComponent("Card"), _ = resolveComponent("Button"), S = resolveComponent("modal-table"), C = resolveDirective("color"), b = resolveDirective("bg-color");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(y, {
      bordered: !1,
      padding: 6,
      class: "ivu-mb"
    }, {
      title: withCtx(() => [
        createElementVNode("div", null, [
          withDirectives(createVNode$1(c, {
            icon: "md-apps",
            size: "small"
          }, null, 512), [
            [C, "#1890ff"],
            [b, "#e6f7ff"]
          ]),
          createElementVNode("span", _hoisted_1$1c, toDisplayString$2(r.$t("Front_Label_Shortcut")), 1)
        ])
      ]),
      extra: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(f, {
            placement: "top",
            content: r.$t("Front_Label_Setting")
          }, {
            default: withCtx(() => [
              createVNode$1(d, {
                type: "md-settings",
                style: { cursor: "pointer" },
                onClick: a[0] || (a[0] = (T) => u.setting())
              })
            ]),
            _: 1
          }, 8, ["content"])
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_2$J, [
          createVNode$1(g, {
            col: 3,
            border: !1,
            padding: "8px"
          }, {
            default: withCtx(() => [
              (openBlock(!0), createElementBlock(Fragment, null, renderList(l.shortcuts, (T, E) => (openBlock(), createBlock(v, {
                key: T.id,
                class: "ivu-mb"
              }, {
                default: withCtx(() => [
                  createVNode$1(p, {
                    class: "shortcut",
                    to: T.permission.url
                  }, {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        custom: T.permission.icon,
                        color: l.colors[E],
                        size: "24"
                      }, null, 8, ["custom", "color"]),
                      createElementVNode("p", _hoisted_3$D, toDisplayString$2(r.layout.showNotice ? r.$t("Permission_" + T.permission.url.split("?")[0]) : T.permission.name), 1)
                    ]),
                    _: 2
                  }, 1032, ["to"])
                ]),
                _: 2
              }, 1024))), 128))
            ]),
            _: 1
          })
        ])
      ]),
      _: 1
    }),
    createVNode$1(S, {
      ref: "shortcutSetting",
      "view-code": "ShortcutSetting",
      static: !0,
      "footer-enable": !0,
      draggable: !0,
      sticky: !0,
      embedded: !0,
      onOnDragDrop: u.dragDrop
    }, {
      command: withCtx(({ row: T, index: E }) => [
        createVNode$1(_, {
          size: "small",
          title: r.$t("Front_Btn_Up"),
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-chevron-up",
          onClick: (x) => u.up(T, E)
        }, null, 8, ["title", "onClick"]),
        createVNode$1(_, {
          size: "small",
          title: r.$t("Front_Btn_Down"),
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-chevron-down",
          onClick: (x) => u.down(T, E)
        }, null, 8, ["title", "onClick"]),
        createVNode$1(_, {
          size: "small",
          title: r.$t("Front_Btn_Remove"),
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-times",
          onClick: (x) => u.remove(T, E)
        }, null, 8, ["title", "onClick"])
      ]),
      footer: withCtx(() => [
        createVNode$1(_, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.save
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 8, ["onOnDragDrop"])
  ]);
}
const shortcut = /* @__PURE__ */ _export_sfc(_sfc_main$1t, [["render", _sfc_render$1t], ["__scopeId", "data-v-5e99cb1c"]]), __vite_glob_1_2 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: shortcut
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$1s = {
  name: "notice-list",
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      opened: !1,
      data: {}
    };
  },
  computed: {},
  async mounted() {
  },
  methods: {
    show(r) {
      this.data = r, this.opened = !0;
    }
  }
}, _hoisted_1$1b = { class: "ivu-pl-8" }, _hoisted_2$I = ["onClick"], _hoisted_3$C = { class: "title" }, _hoisted_4$r = { style: { margin: "16px", "max-height": "500px" } }, _hoisted_5$h = ["innerHTML"];
function _sfc_render$1s(r, a, o, s, l, u) {
  const c = resolveComponent("Avatar"), d = resolveComponent("view-table"), f = resolveComponent("Card"), p = resolveComponent("Button"), v = resolveComponent("Modal"), g = resolveDirective("color"), y = resolveDirective("bg-color");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(f, {
      bordered: !1,
      padding: 6,
      class: "ivu-mb"
    }, {
      title: withCtx(() => [
        createElementVNode("div", null, [
          withDirectives(createVNode$1(c, {
            icon: "md-apps",
            style: { "font-size": "10px" },
            size: "small"
          }, null, 512), [
            [g, "#1890ff"],
            [y, "#e6f7ff"]
          ]),
          createElementVNode("span", _hoisted_1$1b, toDisplayString$2(r.$t("Front_Label_Notice")), 1)
        ])
      ]),
      default: withCtx(() => [
        createVNode$1(d, {
          style: { height: "250px" },
          height: 200,
          "view-code": "NoticeModal"
        }, {
          column: withCtx(({ row: _, column: S, code: C }) => [
            C == "title" ? (openBlock(), createElementBlock("a", {
              key: 0,
              href: "#",
              onClick: (b) => u.show(_)
            }, toDisplayString$2(r.showData(_, S)), 9, _hoisted_2$I)) : createCommentVNode("", !0)
          ]),
          _: 1
        })
      ]),
      _: 1
    }),
    createVNode$1(v, {
      modelValue: l.opened,
      "onUpdate:modelValue": a[1] || (a[1] = (_) => l.opened = _),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: 800
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          renderSlot(r.$slots, "header", {}, () => [
            createElementVNode("span", _hoisted_3$C, toDisplayString$2(l.data.title), 1),
            a[2] || (a[2] = createElementVNode("span", { class: "description" }, null, -1))
          ])
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(p, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: a[0] || (a[0] = (_) => l.opened = !1)
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          })
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_4$r, [
          createElementVNode("div", {
            innerHTML: l.data.content
          }, null, 8, _hoisted_5$h)
        ])
      ]),
      _: 3
    }, 8, ["modelValue", "mask-closable", "draggable"])
  ]);
}
const noticeList = /* @__PURE__ */ _export_sfc(_sfc_main$1s, [["render", _sfc_render$1s]]), __vite_glob_1_1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: noticeList
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$1r = {
  name: "home",
  mixins: [mixinPage],
  components: { noticeList, shortcut },
  data() {
    return {
      grid: {
        xl: 12,
        lg: 12,
        md: 12,
        sm: 12,
        xs: 12
      }
    };
  },
  async mounted() {
  },
  methods: {}
}, _hoisted_1$1a = { class: "stat" }, _hoisted_2$H = { class: "icon" }, _hoisted_3$B = { class: "content" }, _hoisted_4$q = { class: "stat" }, _hoisted_5$g = { class: "icon" }, _hoisted_6$a = { class: "content" }, _hoisted_7$9 = { class: "stat" }, _hoisted_8$9 = { class: "icon" }, _hoisted_9$8 = { class: "content" }, _hoisted_10$7 = { class: "stat" }, _hoisted_11$4 = { class: "icon" }, _hoisted_12$3 = { class: "content" };
function _sfc_render$1r(r, a, o, s, l, u) {
  const c = resolveComponent("Icon"), d = resolveComponent("Numeral"), f = resolveComponent("Card"), p = resolveComponent("Col"), v = resolveComponent("Row"), g = resolveComponent("notice-list"), y = resolveComponent("shortcut"), _ = resolveDirective("font");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(v, {
      gutter: 12,
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(p, {
          xxl: 8,
          xl: 12,
          lg: 12,
          md: 12,
          sm: 24,
          xs: 24
        }, {
          default: withCtx(() => [
            createElementVNode("div", null, [
              createVNode$1(v, { gutter: 12 }, {
                default: withCtx(() => [
                  createVNode$1(p, mergeProps(l.grid, { class: "ivu-mb" }), {
                    default: withCtx(() => [
                      createVNode$1(f, { bordered: !1 }, {
                        title: withCtx(() => a[0] || (a[0] = [
                          createTextVNode("检测任务")
                        ])),
                        default: withCtx(() => [
                          createElementVNode("div", _hoisted_1$1a, [
                            createElementVNode("div", _hoisted_2$H, [
                              createVNode$1(c, {
                                type: "md-speedometer",
                                color: "rgb(24, 144, 255)"
                              })
                            ]),
                            createElementVNode("div", _hoisted_3$B, [
                              createElementVNode("div", null, [
                                withDirectives(createVNode$1(d, {
                                  value: "85",
                                  format: "0,0"
                                }, null, 512), [
                                  [_, 30]
                                ]),
                                a[1] || (a[1] = createElementVNode("div", { class: "value1" }, "待分派", -1))
                              ]),
                              createElementVNode("div", null, [
                                withDirectives(createVNode$1(d, {
                                  value: "85",
                                  format: "0,0"
                                }, null, 512), [
                                  [_, 20]
                                ]),
                                a[2] || (a[2] = createElementVNode("div", { class: "value2" }, "已分派", -1))
                              ])
                            ])
                          ])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  createVNode$1(p, mergeProps(l.grid, { class: "ivu-mb" }), {
                    default: withCtx(() => [
                      createVNode$1(f, { bordered: !1 }, {
                        title: withCtx(() => a[3] || (a[3] = [
                          createTextVNode("原始记录")
                        ])),
                        default: withCtx(() => [
                          createElementVNode("div", _hoisted_4$q, [
                            createElementVNode("div", _hoisted_5$g, [
                              createVNode$1(c, {
                                type: "md-list-box",
                                color: "rgb(250, 173, 20)"
                              })
                            ]),
                            createElementVNode("div", _hoisted_6$a, [
                              createElementVNode("div", null, [
                                withDirectives(createVNode$1(d, {
                                  value: "85",
                                  format: "0,0"
                                }, null, 512), [
                                  [_, 30]
                                ]),
                                a[4] || (a[4] = createElementVNode("div", { class: "value1" }, "待分派", -1))
                              ]),
                              createElementVNode("div", null, [
                                withDirectives(createVNode$1(d, {
                                  value: "85",
                                  format: "0,0"
                                }, null, 512), [
                                  [_, 20]
                                ]),
                                a[5] || (a[5] = createElementVNode("div", { class: "value2" }, "已分派", -1))
                              ])
                            ])
                          ])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  createVNode$1(p, mergeProps(l.grid, { class: "ivu-mb" }), {
                    default: withCtx(() => [
                      createVNode$1(f, { bordered: !1 }, {
                        title: withCtx(() => a[6] || (a[6] = [
                          createTextVNode("检测报告")
                        ])),
                        default: withCtx(() => [
                          createElementVNode("div", _hoisted_7$9, [
                            createElementVNode("div", _hoisted_8$9, [
                              createVNode$1(c, {
                                type: "md-print",
                                color: "rgb(19, 194, 194)"
                              })
                            ]),
                            createElementVNode("div", _hoisted_9$8, [
                              createElementVNode("div", null, [
                                withDirectives(createVNode$1(d, {
                                  value: "85",
                                  format: "0,0"
                                }, null, 512), [
                                  [_, 30]
                                ]),
                                a[7] || (a[7] = createElementVNode("div", { class: "value1" }, "待分派", -1))
                              ]),
                              createElementVNode("div", null, [
                                withDirectives(createVNode$1(d, {
                                  value: "85",
                                  format: "0,0"
                                }, null, 512), [
                                  [_, 20]
                                ]),
                                a[8] || (a[8] = createElementVNode("div", { class: "value2" }, "已分派", -1))
                              ])
                            ])
                          ])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  createVNode$1(p, mergeProps(l.grid, { class: "ivu-mb" }), {
                    default: withCtx(() => [
                      createVNode$1(f, { bordered: !1 }, {
                        title: withCtx(() => a[9] || (a[9] = [
                          createTextVNode("检测样件")
                        ])),
                        default: withCtx(() => [
                          createElementVNode("div", _hoisted_10$7, [
                            createElementVNode("div", _hoisted_11$4, [
                              createVNode$1(c, {
                                type: "md-analytics",
                                color: "#b37feb"
                              })
                            ]),
                            createElementVNode("div", _hoisted_12$3, [
                              createElementVNode("div", null, [
                                withDirectives(createVNode$1(d, {
                                  value: "85",
                                  format: "0,0"
                                }, null, 512), [
                                  [_, 30]
                                ]),
                                a[10] || (a[10] = createElementVNode("div", { class: "value1" }, "待分派", -1))
                              ]),
                              createElementVNode("div", null, [
                                withDirectives(createVNode$1(d, {
                                  value: "85",
                                  format: "0,0"
                                }, null, 512), [
                                  [_, 20]
                                ]),
                                a[11] || (a[11] = createElementVNode("div", { class: "value2" }, "已分派", -1))
                              ])
                            ])
                          ])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)
                ]),
                _: 1
              })
            ])
          ]),
          _: 1
        }),
        createVNode$1(p, {
          xl: 10,
          lg: 8,
          md: 8,
          sm: 12,
          xs: 24
        }, {
          default: withCtx(() => [
            createVNode$1(g)
          ]),
          _: 1
        }),
        createVNode$1(p, {
          xl: 6,
          lg: 8,
          md: 8,
          sm: 12,
          xs: 24
        }, {
          default: withCtx(() => [
            createVNode$1(y)
          ]),
          _: 1
        })
      ]),
      _: 1
    })
  ]);
}
const home = /* @__PURE__ */ _export_sfc(_sfc_main$1r, [["render", _sfc_render$1r], ["__scopeId", "data-v-c5c69d97"]]), __vite_glob_0_1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: home
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$1q = {
  name: "common-myTask",
  mixins: [mixinPage],
  components: {},
  data() {
    return {};
  },
  computed: {},
  created() {
    setTimeout(async () => {
      if (this.$route.query.id != null) {
        const r = await modelApi.get("Task", this.$route.query.id);
        this.$refs.taskForm.open(r);
      }
    });
  },
  methods: {}
}, _hoisted_1$19 = { class: "i-layout-page-header" };
function _sfc_render$1q(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("view-table"), p = resolveComponent("Card"), v = resolveComponent("task-form");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$19, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(f, {
          ref: "table",
          "view-code": "TodoList"
        }, {
          command: withCtx(({ row: g }) => [
            createVNode$1(d, {
              size: "small",
              title: r.$t("Front_Btn_Detail"),
              type: "info",
              "custom-icon": "fa fa-file-alt",
              onClick: (y) => r.$refs.taskForm.open(g)
            }, null, 8, ["title", "onClick"])
          ]),
          _: 1
        }, 512)
      ]),
      _: 1
    }),
    createVNode$1(v, {
      ref: "taskForm",
      onOnAfterAction: a[0] || (a[0] = (g) => r.$refs.table.loadData())
    }, null, 512)
  ]);
}
const todo = /* @__PURE__ */ _export_sfc(_sfc_main$1q, [["render", _sfc_render$1q]]), __vite_glob_0_2 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: todo
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$1p = {
  name: "system-apiLog",
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      isShow: !1,
      json: null,
      title: null,
      description: null
    };
  },
  computed: {},
  created() {
  },
  methods: {
    openRequest(r) {
      try {
        this.json = JSON.stringify(JSON.parse(r.requestBody), null, 2);
      } catch {
        this.json = r.requestBody;
      }
      this.title = this.$t("Front_Label_Request"), this.description = this.$t("Front_Label_Request_Desc"), this.isShow = !0;
    },
    openResponse(r) {
      try {
        this.json = JSON.stringify(JSON.parse(r.responseBody), null, 2);
      } catch {
        this.json = r.responseBody;
      }
      this.title = this.$t("Front_Label_Response"), this.description = this.$t("Front_Label_Response_Desc"), this.isShow = !0;
    }
  }
}, _hoisted_1$18 = { class: "i-layout-page-header" }, _hoisted_2$G = { class: "title" }, _hoisted_3$A = { class: "description" }, _hoisted_4$p = { class: "ivu-ml-8 ivu-mr-8" };
function _sfc_render$1p(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("view-table"), p = resolveComponent("Card"), v = resolveComponent("Col"), g = resolveComponent("Row"), y = resolveComponent("Modal");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$18, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(f, {
          ref: "table",
          "view-code": "ApiLog"
        }, {
          command: withCtx(({ row: _ }) => [
            createVNode$1(d, {
              size: "small",
              title: r.$t("Front_Btn_Request"),
              type: "info",
              "custom-icon": "fa fa-cloud-upload-alt",
              onClick: (S) => u.openRequest(_)
            }, null, 8, ["title", "onClick"]),
            createVNode$1(d, {
              size: "small",
              title: r.$t("Front_Btn_Response"),
              type: "info",
              "custom-icon": "fa fa-cloud-download-alt",
              onClick: (S) => u.openResponse(_)
            }, null, 8, ["title", "onClick"])
          ]),
          _: 1
        }, 512)
      ]),
      _: 1
    }),
    createVNode$1(y, {
      modelValue: l.isShow,
      "onUpdate:modelValue": a[1] || (a[1] = (_) => l.isShow = _),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: 800
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          renderSlot(r.$slots, "header", {}, () => [
            createElementVNode("span", _hoisted_2$G, toDisplayString$2(l.title), 1),
            createElementVNode("span", _hoisted_3$A, toDisplayString$2(l.description), 1)
          ])
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(d, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: a[0] || (a[0] = (_) => l.isShow = !1)
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          })
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_4$p, [
          createVNode$1(g, {
            gutter: 24,
            type: "flex"
          }, {
            default: withCtx(() => [
              createVNode$1(v, { span: "12" }, {
                default: withCtx(() => [
                  createElementVNode("pre", null, toDisplayString$2(l.json), 1)
                ]),
                _: 1
              })
            ]),
            _: 1
          })
        ])
      ]),
      _: 3
    }, 8, ["modelValue", "mask-closable", "draggable"])
  ]);
}
const apiLog = /* @__PURE__ */ _export_sfc(_sfc_main$1p, [["render", _sfc_render$1p]]), __vite_glob_0_3 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: apiLog
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$1o = {
  name: "system-apiOutLog",
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      isShow: !1,
      json: null,
      title: null,
      description: null
    };
  },
  computed: {},
  created() {
  },
  methods: {
    openRequest(r) {
      try {
        this.json = JSON.stringify(JSON.parse(r.requestBody), null, 2);
      } catch {
        this.json = r.requestBody;
      }
      this.title = this.$t("Front_Label_Request"), this.description = this.$t("Front_Label_Request_Desc"), this.isShow = !0;
    },
    openResponse(r) {
      try {
        this.json = JSON.stringify(JSON.parse(r.responseBody), null, 2);
      } catch {
        this.json = r.responseBody;
      }
      this.title = this.$t("Front_Label_Response"), this.description = this.$t("Front_Label_Response_Desc"), this.isShow = !0;
    }
  }
}, _hoisted_1$17 = { class: "i-layout-page-header" }, _hoisted_2$F = { class: "title" }, _hoisted_3$z = { class: "description" }, _hoisted_4$o = { class: "ivu-ml-8 ivu-mr-8" };
function _sfc_render$1o(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("view-table"), p = resolveComponent("Card"), v = resolveComponent("Col"), g = resolveComponent("Row"), y = resolveComponent("Modal");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$17, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(f, {
          ref: "table",
          "view-code": "ApiOutLog"
        }, {
          command: withCtx(({ row: _ }) => [
            createVNode$1(d, {
              size: "small",
              title: r.$t("Front_Btn_Request"),
              type: "info",
              "custom-icon": "fa fa-cloud-upload-alt",
              onClick: (S) => u.openRequest(_)
            }, null, 8, ["title", "onClick"]),
            createVNode$1(d, {
              size: "small",
              title: r.$t("Front_Btn_Response"),
              type: "info",
              "custom-icon": "fa fa-cloud-download-alt",
              onClick: (S) => u.openResponse(_)
            }, null, 8, ["title", "onClick"])
          ]),
          _: 1
        }, 512)
      ]),
      _: 1
    }),
    createVNode$1(y, {
      modelValue: l.isShow,
      "onUpdate:modelValue": a[1] || (a[1] = (_) => l.isShow = _),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: 800
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          renderSlot(r.$slots, "header", {}, () => [
            createElementVNode("span", _hoisted_2$F, toDisplayString$2(l.title), 1),
            createElementVNode("span", _hoisted_3$z, toDisplayString$2(l.description), 1)
          ])
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(d, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: a[0] || (a[0] = (_) => l.isShow = !1)
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          })
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_4$o, [
          createVNode$1(g, {
            gutter: 24,
            type: "flex"
          }, {
            default: withCtx(() => [
              createVNode$1(v, { span: "12" }, {
                default: withCtx(() => [
                  createElementVNode("pre", null, toDisplayString$2(l.json), 1)
                ]),
                _: 1
              })
            ]),
            _: 1
          })
        ])
      ]),
      _: 3
    }, 8, ["modelValue", "mask-closable", "draggable"])
  ]);
}
const apiOutLog = /* @__PURE__ */ _export_sfc(_sfc_main$1o, [["render", _sfc_render$1o]]), __vite_glob_0_4 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: apiOutLog
}, Symbol.toStringTag, { value: "Module" }));
var convertList$2 = (r, a, o) => r ? r.map((s) => {
  let l = (a || "").trim() ? s.code.replace(a, o) : s.code;
  return {
    column: {
      code: l,
      name: s.name,
      dataType: s.dataType,
      columns: s.columns
    },
    title: s.name + " (" + l + ")",
    children: convertList$2(s.columns, a, o)
  };
}) : null, convertGroup$1 = (r, a) => {
  let o = [];
  return a.forEach((s) => {
    if (o.push({
      column: {
        code: s.property,
        name: s.property,
        dataType: s.dataType == "DateTime" && s.dateTimeGroupType != "Day" ? "Integer" : s.dataType,
        columns: []
      },
      title: s.property + " (" + s.property + ")"
      // children: convertGroup(item.columns, columns, isGroupBy, groupColumns)
    }), s.property.endsWith("ID")) {
      let l = s.columnExp.substr(0, s.columnExp.length - 2), u = s.property.substr(0, s.property.length - 2), c = findNode$1(r, l);
      c != null && o.push({
        column: {
          code: u,
          name: c.name,
          dataType: c.dataType,
          columns: c.columns
        },
        title: c.name + " (" + u + ")",
        children: convertList$2(c.columns, l, u)
      });
    }
  }), o;
}, findNode$1 = (r, a) => {
  for (let o = 0; o < r.length; o++) {
    if (r[o].code == a)
      return r[o];
    if (r[o].columns) {
      let s = findNode$1(r[o].columns, a);
      if (s)
        return s;
    }
  }
  return null;
}, getObjColumn = (r, a) => {
  for (let o = 0; o < a.length; o++) {
    if (a[o].column.code + "ID" === r)
      return a[o].column;
    if (a[o].children) {
      let s = getObjColumn(r, a[o].children);
      if (s)
        return s;
    }
  }
  return null;
};
const _sfc_main$1n = {
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      data: [],
      opened: !1,
      callback: null
    };
  },
  props: {},
  computed: {},
  methods: {
    // 打开字段选择
    open(r, a) {
      dataViewApi.queryColumnByModel(r).then((o) => {
        this.data = convertList$2(o), this.opened = !0;
      }), this.callback = a;
    },
    // 根据视图代码打开选择字段
    openViewCode(r, a) {
      dataViewApi.queryColumnByView(r).then((o) => {
        this.data = convertList$2(o), this.opened = !0;
      }), this.callback = a;
    },
    // 根据视图代码打开选择字段
    openDataSourceFilter(r, a) {
      dataViewApi.queryFilterByDataSource(r).then((o) => {
        this.data = convertList$2(o), this.opened = !0;
      }), this.callback = a;
    },
    // 根据视图打开选择字段
    async openView(r, a) {
      if (r.isDataSource) {
        let o = await dataViewApi.queryColumnByDataSource(r.dataSource);
        this.data = convertList$2(o);
      } else {
        let o = await dataViewApi.queryColumnByModel(r.model), s = [], l = [];
        r.isGroupBy ? (s = JSON.parse(r.groupColumn), l = JSON.parse(r.groupMethod), this.data = convertGroup$1(o, s)) : this.data = convertList$2(o), l.forEach((u) => {
          this.data.push({
            column: {
              code: u.property,
              name: u.property,
              dataType: u.aggregateType == "Count" ? "Integer" : u.aggregateType == "Avg" ? "Double" : u.dataType
            },
            title: u.aggregateType + (u.aggregateType == "Count" ? "" : " - " + u.columnExp) + " (" + u.property + ")"
            // children: convertList(item.columns, columns, isGroupBy, groupColumns)
          });
        });
      }
      this.opened = !0, this.callback = a;
    },
    select(r, a) {
      if (a.children)
        return;
      let o = a.column;
      o.dataType === "BigInteger" && (o.objColumn = getObjColumn(o.code, this.data)), this.callback(o), this.opened = !1;
    },
    close() {
      this.opened = !1;
    }
  }
}, _hoisted_1$16 = { class: "title" }, _hoisted_2$E = { class: "description" }, _hoisted_3$y = { class: "ivu-ml-8 ivu-mr-8" };
function _sfc_render$1n(r, a, o, s, l, u) {
  const c = resolveComponent("Tree"), d = resolveComponent("Button"), f = resolveComponent("Modal");
  return openBlock(), createBlock(f, {
    modelValue: l.opened,
    "onUpdate:modelValue": a[0] || (a[0] = (p) => l.opened = p),
    scrollable: "",
    "mask-closable": r.layout.maskClosable,
    draggable: r.layout.draggable,
    sticky: !0,
    "reset-drag-position": !0,
    width: 800
  }, {
    header: withCtx(() => [
      createElementVNode("div", null, [
        createElementVNode("span", _hoisted_1$16, toDisplayString$2(r.$t("Front_Label_Column_Select")), 1),
        createElementVNode("span", _hoisted_2$E, toDisplayString$2(r.$t("Front_Label_Column_Select_Desc")), 1)
      ])
    ]),
    footer: withCtx(() => [
      createElementVNode("div", null, [
        createVNode$1(d, {
          type: "default",
          "custom-icon": "fa fa-times",
          onClick: u.close
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ])
    ]),
    default: withCtx(() => [
      createElementVNode("div", _hoisted_3$y, [
        createVNode$1(c, {
          data: l.data,
          onOnSelectChange: u.select
        }, null, 8, ["data", "onOnSelectChange"])
      ])
    ]),
    _: 1
  }, 8, ["modelValue", "mask-closable", "draggable"]);
}
const columnCheck = /* @__PURE__ */ _export_sfc(_sfc_main$1n, [["render", _sfc_render$1n]]), __vite_glob_1_13 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: columnCheck
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$1m = {
  name: "system-applicationType",
  mixins: [mixinPage],
  components: { columnCheck },
  data() {
    return {
      applicationType: null,
      processProperties: []
    };
  },
  computed: {},
  created() {
  },
  methods: {
    // 打开标题字段选择界面
    openTitleColumnSelect() {
      this.$refs.form.data.model != null && this.$refs.columnCheck.open(this.$refs.form.data.model, (r) => {
        this.$refs.form.data.titleColumn = r.code;
      });
    },
    // 打开属性字段选择界面
    openPropertyColumnSelect(r) {
      this.$refs.form.data.model != null && this.$refs.columnCheck.open(this.$refs.form.data.model, (a) => {
        r.column = a.code;
      });
    },
    // 编辑
    edit(r) {
      this.$refs.form.open(r), this.initPropertyData();
    },
    // 保存
    async save() {
      await this.$refs.form.validate() ? this.confirm("Front_Msg_Sure_To_Save", async () => {
        let a = this.$refs.form.getFullData();
        a.processProperty = JSON.stringify(this.$refs.propertyTable.data), a.id ? await modelApi.update("ApplicationType", a) : await modelApi.add("ApplicationType", a), this.success("Front_Msg_Success", () => {
          this.$refs.form.close(), this.$refs.table.loadData();
        });
      }) : this.error("Front_Msg_Form_Validate_Fail");
    },
    // 模型变化
    async formChange(r) {
      let a = this.$refs.form.data;
      r && r.code == "processID" ? (a.processProperty = null, this.initPropertyData()) : r && r.code == "model" && (a.titleColumn = null, a.formViewCode = null, a.processProperty = null, this.initPropertyData());
    },
    // 初始化申请流程参数数据
    async initPropertyData() {
      let r = this.$refs.form.data.processID, a = this.$refs.form.data.processProperty;
      if (this.processProperties = [], r != null) {
        let s = (await modelApi.query("ProcessProperty", { processID: r })).data, l = [];
        a != null && (l = JSON.parse(a)), this.processProperties = s.map((u) => {
          let c = l.find((d) => d.propertyCode == u.propertyCode);
          return {
            propertyCode: u.propertyCode,
            propertyName: u.propertyName,
            column: c == null ? null : c.column
          };
        });
      }
      this.$refs.propertyTable.loadData(this.processProperties);
    },
    // 通知设置
    notificationSetting(r) {
      this.applicationType = r;
      let a = {};
      (r.notificationSetting || "").trim() && (a = JSON.parse(r.notificationSetting)), this.$refs.notificationSettingForm.open(a);
    },
    // 保存通知设置
    async saveSetting() {
      await this.$refs.notificationSettingForm.validate() ? this.confirm("Front_Msg_Sure_To_Save", async () => {
        let a = this.$refs.notificationSettingForm.getFullData();
        this.applicationType.notificationSetting = JSON.stringify(a), await modelApi.update("ApplicationType", this.applicationType), this.success("Front_Msg_Success", () => {
          this.$refs.notificationSettingForm.close(), this.$refs.table.loadData();
        });
      }) : this.error("Front_Msg_Form_Validate_Fail");
    }
  }
}, _hoisted_1$15 = { class: "i-layout-page-header" }, _hoisted_2$D = { key: 0 }, _hoisted_3$x = { class: "title" };
function _sfc_render$1m(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("view-table"), p = resolveComponent("Card"), v = resolveComponent("Input"), g = resolveComponent("Divider"), y = resolveComponent("modal-form"), _ = resolveComponent("column-check");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$15, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(f, {
          ref: "table",
          "view-code": "ApplicationType",
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: a[0] || (a[0] = (S) => r.$refs.form.open()),
          onEdit: a[1] || (a[1] = ({ row: S }) => u.edit(S))
        }, {
          command: withCtx(({ row: S }) => [
            r.allow("notivicationSetting") ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              title: r.$t("Front_Btn_NotificationSetting"),
              type: "primary",
              "custom-icon": "fa fa-mail-bulk",
              onClick: (C) => u.notificationSetting(S)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0)
          ]),
          _: 1
        }, 8, ["create-enable", "remove-enable"])
      ]),
      _: 1
    }),
    createVNode$1(y, {
      ref: "form",
      "view-code": "ApplicationTypeEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnAfterSave: a[5] || (a[5] = (S) => r.$refs.table.loadData()),
      onOnChange: u.formChange
    }, {
      column: withCtx(({ code: S }) => [
        S == "titleColumn" ? (openBlock(), createElementBlock("div", _hoisted_2$D, [
          createVNode$1(v, {
            type: "text",
            readonly: !0,
            modelValue: r.$refs.form.data.titleColumn,
            "onUpdate:modelValue": a[3] || (a[3] = (C) => r.$refs.form.data.titleColumn = C),
            onOnFocus: a[4] || (a[4] = (C) => u.openTitleColumnSelect())
          }, {
            prepend: withCtx(() => [
              createVNode$1(d, {
                "custom-icon": "fa fa-search",
                onClick: a[2] || (a[2] = (C) => u.openTitleColumnSelect())
              })
            ]),
            _: 1
          }, 8, ["modelValue"])
        ])) : createCommentVNode("", !0)
      ]),
      bottom: withCtx(() => [
        createVNode$1(g, {
          plain: !0,
          dashed: "",
          orientation: "left",
          size: "small"
        }, {
          default: withCtx(() => [
            createElementVNode("span", _hoisted_3$x, toDisplayString$2(r.$t("Front_Label_Process_Property_Mapping")), 1)
          ]),
          _: 1
        }),
        createVNode$1(f, {
          ref: "propertyTable",
          "view-code": "ApplicationProcessProperty",
          static: !0
        }, {
          column: withCtx(({ row: S, code: C }) => [
            C == "column" ? (openBlock(), createBlock(v, {
              key: 0,
              type: "text",
              size: "small",
              readonly: !0,
              modelValue: S.column,
              "onUpdate:modelValue": (b) => S.column = b,
              onOnFocus: (b) => u.openPropertyColumnSelect(S)
            }, {
              prepend: withCtx(() => [
                createVNode$1(d, {
                  size: "small",
                  "custom-icon": "fa fa-search",
                  onClick: (b) => u.openPropertyColumnSelect(S)
                }, null, 8, ["onClick"])
              ]),
              _: 2
            }, 1032, ["modelValue", "onUpdate:modelValue", "onOnFocus"])) : createCommentVNode("", !0)
          ]),
          _: 1
        }, 512)
      ]),
      footer: withCtx(() => [
        createVNode$1(d, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.save
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 8, ["create-enable", "edit-enable", "onOnChange"]),
    createVNode$1(y, {
      ref: "notificationSettingForm",
      "view-code": "ApplicationNotificationSetting"
    }, {
      footer: withCtx(() => [
        createVNode$1(d, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.saveSetting
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512),
    createVNode$1(_, { ref: "columnCheck" }, null, 512)
  ]);
}
const applicationType = /* @__PURE__ */ _export_sfc(_sfc_main$1m, [["render", _sfc_render$1m]]), __vite_glob_0_5 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: applicationType
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$1l = {
  name: "system-page",
  mixins: [mixinPage],
  components: {},
  data() {
    return {};
  },
  computed: {},
  created() {
  },
  methods: {
    // 导出文件
    exportFile() {
      let r = this.$refs.table.getSelected().map((a) => a.id);
      r.length > 0 ? customPageApi.exportFile(r) : this.error("Front_Msg_Please_Select_Export_Item");
    },
    // 导入成功
    importFileSuccess(r) {
      r.code == 0 ? this.success("Front_Msg_Success", () => {
        this.$refs.table.loadData();
      }) : this.error(r.message);
    }
  }
}, _hoisted_1$14 = { class: "i-layout-page-header" };
function _sfc_render$1l(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("file-upload"), p = resolveComponent("view-table"), v = resolveComponent("Card"), g = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$14, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(v, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(p, {
          ref: "table",
          "view-code": "CustomPage",
          "select-enable": r.allow("export"),
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: a[1] || (a[1] = (y) => r.$refs.form.open()),
          onEdit: a[2] || (a[2] = ({ row: y, index: _ }) => r.$refs.form.open(y))
        }, {
          filterCommand: withCtx(() => [
            r.allow("export") ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              type: "info",
              "custom-icon": "fa fa-cloud-download-alt",
              onClick: a[0] || (a[0] = (y) => u.exportFile())
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString$2(r.$t("Front_Btn_Export")), 1)
              ]),
              _: 1
            })) : createCommentVNode("", !0),
            r.allow("import") ? (openBlock(), createBlock(f, {
              key: 1,
              url: "api/CustomPage/importFile",
              accept: ".cp",
              onOnSuccess: u.importFileSuccess
            }, {
              default: withCtx(() => [
                createVNode$1(d, {
                  type: "primary",
                  "custom-icon": "fa fa-cloud-upload-alt",
                  size: "small"
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString$2(r.$t("Front_Btn_Import")), 1)
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }, 8, ["onOnSuccess"])) : createCommentVNode("", !0)
          ]),
          command: withCtx(({}) => a[4] || (a[4] = [])),
          _: 1
        }, 8, ["select-enable", "create-enable", "remove-enable"])
      ]),
      _: 1
    }),
    createVNode$1(g, {
      ref: "form",
      "view-code": "CustomPageEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnAfterSave: a[3] || (a[3] = (y) => r.$refs.table.loadData())
    }, null, 8, ["create-enable", "edit-enable"])
  ]);
}
const customPage = /* @__PURE__ */ _export_sfc(_sfc_main$1l, [["render", _sfc_render$1l]]), __vite_glob_0_6 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: customPage
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$1k = {
  name: "system-customTable",
  mixins: [mixinPage],
  components: {},
  data() {
    return {};
  },
  computed: {},
  created() {
  },
  methods: {
    formChange() {
      const r = this.$refs.columnForm.data, a = this.$refs.columnForm.columns, o = a.find((c) => c.code === "propertyName"), s = a.find((c) => c.code === "dataType"), l = a.find((c) => c.code === "size"), u = a.find((c) => c.code === "fkModel");
      r.dataType === "String" ? (l.isShow = !0, l.name = this.$t("Front_Label_Length"), u.isShow = !1) : r.dataType === "Decimal" ? (l.isShow = !0, l.name = this.$t("Front_Label_Decimal_Digit"), u.isShow = !1) : r.dataType === "ID" ? (l.isShow = !1, u.isShow = !0) : (l.isShow = !1, u.isShow = !1), r.id != null ? (o.readonly = !0, s.readonly = !0, u.readonly = !0) : (o.readonly = !1, s.readonly = !1, u.readonly = !1);
    },
    remove(r) {
      this.confirm("Front_Msg_Sure_To_Delete_Item", () => {
        this.confirm("Front_Msg_Sure_To_Delete_Column", async () => {
          await modelApi.remove("CustomColumn", r.id), this.success("Front_Msg_Success", () => {
            this.$refs.columnTable.loadData();
          });
        });
      });
    }
  }
}, _hoisted_1$13 = { class: "i-layout-page-header" };
function _sfc_render$1k(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("view-table"), p = resolveComponent("Card"), v = resolveComponent("modal-form"), g = resolveComponent("modal-table");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$13, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(f, {
          ref: "table",
          "view-code": "CustomTable",
          onCreate: a[0] || (a[0] = (y) => r.$refs.form.open()),
          onEdit: a[1] || (a[1] = ({ row: y, index: _ }) => r.$refs.form.open(y))
        }, {
          command: withCtx(({ row: y }) => [
            createVNode$1(d, {
              size: "small",
              title: r.$t("Front_Btn_Column"),
              type: "info",
              "custom-icon": "fa fa-bars",
              onClick: (_) => r.$refs.columnTable.open({ customTableID: y.id })
            }, null, 8, ["title", "onClick"])
          ]),
          _: 1
        }, 512)
      ]),
      _: 1
    }),
    createVNode$1(v, {
      ref: "form",
      "view-code": "CustomTableEdit",
      onOnAfterSave: a[2] || (a[2] = (y) => r.$refs.table.loadData())
    }, null, 512),
    createVNode$1(g, {
      ref: "columnTable",
      "view-code": "CustomColumn",
      onCreate: a[3] || (a[3] = (y) => r.$refs.columnForm.openDefault(y)),
      onEdit: a[4] || (a[4] = ({ row: y, index: _ }) => r.$refs.columnForm.open(y))
    }, {
      command: withCtx(({ row: y }) => [
        createVNode$1(d, {
          size: "small",
          title: r.$t("Front_Btn_Remove"),
          type: "warning",
          "custom-icon": "fa fa-trash-alt",
          onClick: (_) => u.remove(y)
        }, null, 8, ["title", "onClick"])
      ]),
      _: 1
    }, 512),
    createVNode$1(v, {
      ref: "columnForm",
      "view-code": "CustomColumnEdit",
      onOnChange: u.formChange,
      onOnAfterSave: a[5] || (a[5] = (y) => r.$refs.columnTable.loadData())
    }, null, 8, ["onOnChange"])
  ]);
}
const customTable = /* @__PURE__ */ _export_sfc(_sfc_main$1k, [["render", _sfc_render$1k]]), __vite_glob_0_7 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: customTable
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$1j = {
  name: "system-dict",
  mixins: [mixinPage],
  components: {},
  data() {
    return {};
  },
  computed: {},
  created() {
  },
  methods: {
    createdDict() {
      this.$refs.table.filter.typeID ? this.$refs.form.openDefault({
        typeID: this.$refs.table.filter.typeID
      }) : this.warning("Front_Msg_Please_Select_Dict_Type");
    }
  }
}, _hoisted_1$12 = { class: "i-layout-page-header" };
function _sfc_render$1j(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("view-table"), f = resolveComponent("Card"), p = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$12, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(f, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(d, {
          ref: "table",
          "view-code": "Dict",
          onCreate: a[0] || (a[0] = (v) => u.createdDict()),
          onEdit: a[1] || (a[1] = ({ row: v, index: g }) => r.$refs.form.open(v))
        }, null, 512)
      ]),
      _: 1
    }),
    createVNode$1(p, {
      ref: "form",
      "view-code": "DictEdit",
      onOnAfterSave: a[2] || (a[2] = (v) => r.$refs.table.loadData())
    }, null, 512)
  ]);
}
const dict = /* @__PURE__ */ _export_sfc(_sfc_main$1j, [["render", _sfc_render$1j]]), __vite_glob_0_8 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: dict
}, Symbol.toStringTag, { value: "Module" })), res$h = "DictType", dictTypeApi = {
  async exportFile(r) {
    const a = await service({
      url: `api/${res$h}/exportFile`,
      method: "post",
      responseType: "blob",
      data: {
        ids: r
      }
    }), o = new Blob([a], {
      type: "application/octet-stream"
    });
    saveAs(o, "Dict-" + format$4(/* @__PURE__ */ new Date(), "yyyyMMddHHmmss") + ".dict");
  }
}, _sfc_main$1i = {
  name: "system-dictType",
  mixins: [mixinPage],
  components: {},
  data() {
    return {};
  },
  computed: {},
  created() {
  },
  methods: {
    // 导出文件
    exportFile() {
      let r = this.$refs.table.getSelected().map((a) => a.id);
      r.length > 0 ? dictTypeApi.exportFile(r) : this.error("Front_Msg_Please_Select_Export_Item");
    },
    // 导入成功
    importFileSuccess(r) {
      r.code == 0 ? this.success("Front_Msg_Success", () => {
        this.$refs.table.loadData();
      }) : this.error(r.message);
    }
  }
}, _hoisted_1$11 = { class: "i-layout-page-header" };
function _sfc_render$1i(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("file-upload"), p = resolveComponent("view-table"), v = resolveComponent("Card"), g = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$11, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(v, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(p, {
          ref: "table",
          "view-code": "DictType",
          "select-enable": r.allow("export"),
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: a[1] || (a[1] = (y) => r.$refs.form.open()),
          onEdit: a[2] || (a[2] = ({ row: y, index: _ }) => r.$refs.form.open(y))
        }, {
          filterCommand: withCtx(() => [
            r.allow("export") ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              type: "info",
              "custom-icon": "fa fa-cloud-download-alt",
              onClick: a[0] || (a[0] = (y) => u.exportFile())
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString$2(r.$t("Front_Btn_Export")), 1)
              ]),
              _: 1
            })) : createCommentVNode("", !0),
            r.allow("import") ? (openBlock(), createBlock(f, {
              key: 1,
              url: "api/DictType/importFile",
              accept: ".dict",
              onOnSuccess: u.importFileSuccess
            }, {
              default: withCtx(() => [
                createVNode$1(d, {
                  type: "primary",
                  "custom-icon": "fa fa-cloud-upload-alt",
                  size: "small"
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString$2(r.$t("Front_Btn_Import")), 1)
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }, 8, ["onOnSuccess"])) : createCommentVNode("", !0)
          ]),
          _: 1
        }, 8, ["select-enable", "create-enable", "remove-enable"])
      ]),
      _: 1
    }),
    createVNode$1(g, {
      ref: "form",
      "view-code": "DictTypeEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnAfterSave: a[3] || (a[3] = (y) => r.$refs.table.loadData())
    }, null, 8, ["create-enable", "edit-enable"])
  ]);
}
const dictType = /* @__PURE__ */ _export_sfc(_sfc_main$1i, [["render", _sfc_render$1i]]), __vite_glob_0_9 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: dictType
}, Symbol.toStringTag, { value: "Module" })), res$g = "EntityView", entityViewApi = {
  save(r) {
    return service({
      url: `api/${res$g}/save`,
      method: "post",
      data: r
    });
  }
}, _sfc_main$1h = {
  name: "system-entityView",
  mixins: [mixinPage],
  components: {},
  data() {
    return {};
  },
  computed: {},
  created() {
  },
  methods: {
    save() {
      this.confirm("Front_Msg_Sure_To_Save_View_Setting", async () => {
        await entityViewApi.save(this.$refs.table.data), this.success("Front_Msg_Success"), this.$refs.table.loadData();
      });
    }
  }
}, _hoisted_1$10 = { class: "i-layout-page-header" };
function _sfc_render$1h(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("view-table"), p = resolveComponent("Card");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$10, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(f, {
          ref: "table",
          "view-code": "EntityView"
        }, {
          filterCommand: withCtx(() => [
            createVNode$1(d, {
              size: "small",
              type: "primary",
              "custom-icon": "fa fa-save",
              onClick: u.save
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
              ]),
              _: 1
            }, 8, ["onClick"])
          ]),
          _: 1
        }, 512)
      ]),
      _: 1
    })
  ]);
}
const entityView = /* @__PURE__ */ _export_sfc(_sfc_main$1h, [["render", _sfc_render$1h]]), __vite_glob_0_10 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: entityView
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$1g = {};
function _sfc_render$1g(r, a) {
  const o = resolveComponent("Exception");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(o, {
      type: "404",
      "img-color": "",
      desc: r.$t("Front_Msg_Exception_404"),
      "back-text": r.$t("Front_Btn_Back_Home")
    }, null, 8, ["desc", "back-text"])
  ]);
}
const _404 = /* @__PURE__ */ _export_sfc(_sfc_main$1g, [["render", _sfc_render$1g]]), __vite_glob_0_11 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: _404
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$1f = {
  name: "system-extendColumn",
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      filter: {}
    };
  },
  computed: {},
  created() {
  },
  methods: {
    formChange() {
      const r = this.$refs.columnForm.data, a = this.$refs.columnForm.columns, o = a.find((c) => c.code === "propertyName"), s = a.find((c) => c.code === "dataType"), l = a.find((c) => c.code === "size"), u = a.find((c) => c.code === "fkModel");
      r.dataType === "String" ? (l.isShow = !0, l.name = this.$t("Front_Label_Length"), u.isShow = !1) : r.dataType === "Decimal" ? (l.isShow = !0, l.name = this.$t("Front_Label_Decimal_Digit"), u.isShow = !1) : r.dataType === "ID" ? (l.isShow = !1, u.isShow = !0) : (l.isShow = !1, u.isShow = !1), r.id != null ? (o.readonly = !0, s.readonly = !0, u.readonly = !0) : (o.readonly = !1, s.readonly = !1, u.readonly = !1);
    },
    remove(r) {
      this.confirm("Front_Msg_Sure_To_Delete_Item", () => {
        this.confirm("Front_Msg_Sure_To_Delete_Column", async () => {
          await modelApi.remove("ExtendColumn", r.id), this.success("Front_Msg_Success", () => {
            this.$refs.columnTable.loadData();
          });
        });
      });
    }
  }
}, _hoisted_1$$ = { class: "i-layout-page-header" };
function _sfc_render$1f(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("view-table"), p = resolveComponent("Card"), v = resolveComponent("modal-table"), g = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$$, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(f, {
          ref: "table",
          "view-code": "Entity",
          filter: l.filter
        }, {
          command: withCtx(({ row: y }) => [
            createVNode$1(d, {
              size: "small",
              title: r.$t("Front_Btn_Extend_Column"),
              type: "primary",
              "custom-icon": "fa fa-bars",
              onClick: (_) => r.$refs.columnTable.open({ modelName: y.name })
            }, null, 8, ["title", "onClick"])
          ]),
          _: 1
        }, 8, ["filter"])
      ]),
      _: 1
    }),
    createVNode$1(v, {
      ref: "columnTable",
      "view-code": "ExtendColumn",
      onCreate: a[0] || (a[0] = (y) => r.$refs.columnForm.openDefault(y)),
      onEdit: a[1] || (a[1] = ({ row: y, index: _ }) => r.$refs.columnForm.open(y))
    }, {
      command: withCtx(({ row: y }) => [
        createVNode$1(d, {
          size: "small",
          title: r.$t("Front_Btn_Remove"),
          type: "warning",
          "custom-icon": "fa fa-trash-alt",
          onClick: (_) => u.remove(y)
        }, null, 8, ["title", "onClick"])
      ]),
      _: 1
    }, 512),
    createVNode$1(g, {
      ref: "columnForm",
      "view-code": "ExtendColumnEdit",
      onOnChange: u.formChange,
      onOnAfterSave: a[2] || (a[2] = (y) => r.$refs.columnTable.loadData())
    }, null, 8, ["onOnChange"])
  ]);
}
const extendColumn = /* @__PURE__ */ _export_sfc(_sfc_main$1f, [["render", _sfc_render$1f]]), __vite_glob_0_12 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: extendColumn
}, Symbol.toStringTag, { value: "Module" })), res$f = "ViewColumn", viewColumnApi = {
  queryByDataViewID(r) {
    return service({
      url: `api/${res$f}/query`,
      method: "post",
      data: {
        dataViewID: r,
        orderBy: "+OrderNo"
      }
    });
  }
}, _sfc_main$1e = {
  name: "system-ui-formView",
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      filter: {
        viewType: "FormView"
      },
      canCopy: null
    };
  },
  computed: {},
  created() {
  },
  methods: {
    formChange() {
      const r = this.$refs.form.data, o = this.$refs.form.columns.find((s) => s.code === "model");
      r.isVirtual ? o.isShow = !1 : o.isShow = !0;
    },
    // 字段设置
    async setting(r) {
      let a = await viewColumnApi.queryByDataViewID(r.id);
      this.$refs.settingLayout.open(r, a.data);
    },
    // 切换至列表模式
    listMode({ dataView: r, columns: a }) {
      this.$refs.settingLayout.close(), this.$refs.setting.open(r, a);
    },
    // 切换至预览模式
    layoutMode({ dataView: r, columns: a }) {
      this.$refs.setting.close(), this.$refs.settingLayout.open(r, a);
    },
    // 导出文件
    exportFile() {
      let r = this.$refs.table.getSelected().map((a) => a.id);
      r.length > 0 ? dataViewApi.exportFile(r) : this.error("Front_Msg_Please_Select_Export_Item");
    },
    // 导入成功
    importFileSuccess(r) {
      r.code == 0 ? this.success("Front_Msg_Success", () => {
        this.$refs.table.loadData();
      }) : this.error(r.message);
    },
    // 复制
    copy() {
      this.confirmInput(
        "Front_Msg_Sure_To_Copy_Create_View",
        this.$t("Front_Label_View_Code"),
        async () => {
          let r = await dataViewApi.copy(this.$refs.form.data.id, this.newCode);
          this.$refs.form.open(r), this.$refs.table.loadData();
        },
        (r) => (r || "").trim() ? (this.newCode = r, !0) : (this.warning("Front_Msg_Please_Input_View_Code"), !1)
      );
    },
    // 新建
    create() {
      this.canCopy = !1, this.$refs.form.openDefault({ viewType: "FormView" });
    },
    // 编辑
    edit({ row: r }) {
      this.canCopy = !0, this.$refs.form.open(r);
    }
  }
}, _hoisted_1$_ = { class: "i-layout-page-header" };
function _sfc_render$1e(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("file-upload"), p = resolveComponent("view-table"), v = resolveComponent("Card"), g = resolveComponent("modal-form"), y = resolveComponent("form-setting"), _ = resolveComponent("form-setting-layout");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$_, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(v, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(p, {
          ref: "table",
          "view-code": "FormView",
          filter: l.filter,
          "select-enable": r.allow("export"),
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: u.create,
          onEdit: u.edit
        }, {
          filterCommand: withCtx(() => [
            r.allow("export") ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              type: "info",
              "custom-icon": "fa fa-cloud-download-alt",
              onClick: a[0] || (a[0] = (S) => u.exportFile())
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString$2(r.$t("Front_Btn_Export")), 1)
              ]),
              _: 1
            })) : createCommentVNode("", !0),
            r.allow("import") ? (openBlock(), createBlock(f, {
              key: 1,
              url: "api/DataView/importFile",
              accept: ".view",
              onOnSuccess: u.importFileSuccess
            }, {
              default: withCtx(() => [
                createVNode$1(d, {
                  type: "primary",
                  "custom-icon": "fa fa-cloud-upload-alt",
                  size: "small"
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString$2(r.$t("Front_Btn_Import")), 1)
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }, 8, ["onOnSuccess"])) : createCommentVNode("", !0)
          ]),
          command: withCtx(({ row: S }) => [
            createVNode$1(d, {
              size: "small",
              title: r.$t("Front_Btn_Column_Setting"),
              type: "info",
              "custom-icon": "fa fa-bars",
              onClick: (C) => u.setting(S)
            }, null, 8, ["title", "onClick"])
          ]),
          _: 1
        }, 8, ["filter", "select-enable", "create-enable", "remove-enable", "onCreate", "onEdit"])
      ]),
      _: 1
    }),
    createVNode$1(g, {
      ref: "form",
      "view-code": "FormViewEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnChange: u.formChange,
      onOnAfterSave: a[2] || (a[2] = (S) => r.$refs.table.loadData())
    }, {
      footer: withCtx(() => [
        createVNode$1(d, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: a[1] || (a[1] = () => r.$refs.form.onSave())
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }),
        l.canCopy ? (openBlock(), createBlock(d, {
          key: 0,
          type: "primary",
          "custom-icon": "fa fa-copy",
          onClick: u.copy
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Copy")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])) : createCommentVNode("", !0)
      ]),
      _: 1
    }, 8, ["create-enable", "edit-enable", "onOnChange"]),
    createVNode$1(y, {
      ref: "setting",
      onLayoutMode: u.layoutMode
    }, null, 8, ["onLayoutMode"]),
    createVNode$1(_, {
      ref: "settingLayout",
      onListMode: u.listMode
    }, null, 8, ["onListMode"])
  ]);
}
const formView = /* @__PURE__ */ _export_sfc(_sfc_main$1e, [["render", _sfc_render$1e]]), __vite_glob_0_13 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: formView
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$1d = {
  name: "system-i18nText",
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      canSave: !1,
      i18nType: null,
      category: null
    };
  },
  computed: {},
  created() {
  },
  methods: {
    async loadData() {
      if (this.i18nType = this.$refs.form.data.i18nType, this.category = null, this.i18nType && (this.i18nType == "Enum" ? this.category = this.$refs.form.data.enum : this.i18nType == "Dict" ? this.category = this.$refs.form.data.dict : this.i18nType == "DataView" ? this.category = this.$refs.form.data.dataView : this.category = "", this.category != null)) {
        let r = await i18nTextApi.queryForEdit(this.i18nType, this.category);
        this.$refs.table.loadData(r), this.canSave = !0;
        return;
      }
      this.$refs.table.loadData([]), this.canSave = !1;
    },
    async formChange() {
      this.loadData();
    },
    async save() {
      this.confirm("Front_Msg_Sure_To_Save", async () => {
        let r = this.$refs.table.data;
        await i18nTextApi.save(this.i18nType, this.category, r), this.success("Front_Msg_Success");
      });
    },
    async remove(r) {
      this.confirm("Front_Msg_Sure_To_Delete_Item", async () => {
        await modelApi.remove("I18nText", r.id), this.success("Front_Msg_Success", () => {
          this.loadData();
        });
      });
    }
  }
}, _hoisted_1$Z = { class: "i-layout-page-header" }, _hoisted_2$C = {
  key: 0,
  style: { "margin-bottom": "8px", "text-align": "center" }
};
function _sfc_render$1d(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("view-form"), f = resolveComponent("Button"), p = resolveComponent("view-table"), v = resolveComponent("modal-form"), g = resolveComponent("Card");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$Z, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(g, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(d, {
          ref: "form",
          "view-code": "I18nTextFilter",
          onOnChange: u.formChange
        }, null, 8, ["onOnChange"]),
        l.canSave ? (openBlock(), createElementBlock("div", _hoisted_2$C, [
          createVNode$1(f, {
            type: "primary",
            style: { "margin-right": "8px" },
            "custom-icon": "fa fa-save",
            onClick: a[0] || (a[0] = (y) => u.save())
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
            ]),
            _: 1
          }),
          l.i18nType == "Server" || l.i18nType == "Front" ? (openBlock(), createBlock(f, {
            key: 0,
            type: "primary",
            "custom-icon": "fa fa-plus",
            onClick: a[1] || (a[1] = (y) => r.$refs.newForm.openDefault({ i18nType: l.i18nType }))
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Add")), 1)
            ]),
            _: 1
          })) : createCommentVNode("", !0)
        ])) : createCommentVNode("", !0),
        createVNode$1(p, {
          ref: "table",
          "view-code": "I18nText",
          static: !0,
          onSearch: u.loadData
        }, {
          command: withCtx(({ row: y }) => [
            l.i18nType == "Server" || l.i18nType == "Front" ? (openBlock(), createBlock(f, {
              key: 0,
              size: "small",
              title: r.$t("Front_Btn_Remove"),
              type: "warning",
              "custom-icon": "fa fa-trash-alt",
              onClick: (_) => u.remove(y)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0)
          ]),
          _: 1
        }, 8, ["onSearch"]),
        createVNode$1(v, {
          ref: "newForm",
          "view-code": "I18nTextEdit",
          onOnAfterSave: a[2] || (a[2] = (y) => u.loadData())
        }, null, 512)
      ]),
      _: 1
    })
  ]);
}
const i18nText = /* @__PURE__ */ _export_sfc(_sfc_main$1d, [["render", _sfc_render$1d]]), __vite_glob_0_14 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: i18nText
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$1c = {
  name: "system-log",
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      log: {},
      stackOpened: !1
    };
  },
  computed: {},
  created() {
  },
  methods: {
    openStack(r) {
      this.log = r, this.stackOpened = !0;
    }
  }
}, _hoisted_1$Y = { class: "i-layout-page-header" }, _hoisted_2$B = { class: "title" }, _hoisted_3$w = { class: "description" }, _hoisted_4$n = { class: "ivu-ml-8 ivu-mr-8" };
function _sfc_render$1c(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("view-table"), p = resolveComponent("Card"), v = resolveComponent("Modal");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$Y, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(f, {
          ref: "table",
          "view-code": "Log"
        }, {
          command: withCtx(({ row: g }) => [
            createVNode$1(d, {
              size: "small",
              title: r.$t("Front_Btn_Stack_Info"),
              type: "info",
              "custom-icon": "fa fa-bars",
              onClick: (y) => u.openStack(g)
            }, null, 8, ["title", "onClick"])
          ]),
          _: 1
        }, 512)
      ]),
      _: 1
    }),
    createVNode$1(v, {
      modelValue: l.stackOpened,
      "onUpdate:modelValue": a[1] || (a[1] = (g) => l.stackOpened = g),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: 800
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          renderSlot(r.$slots, "header", {}, () => [
            createElementVNode("span", _hoisted_2$B, toDisplayString$2(r.$t("Front_Label_Stack_Info")), 1),
            createElementVNode("span", _hoisted_3$w, toDisplayString$2(r.$t("Front_Label_Stack_Info_Desc")), 1)
          ])
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(d, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: a[0] || (a[0] = (g) => l.stackOpened = !1)
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          })
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_4$n, toDisplayString$2(l.log.stack), 1)
      ]),
      _: 3
    }, 8, ["modelValue", "mask-closable", "draggable"])
  ]);
}
const log$1 = /* @__PURE__ */ _export_sfc(_sfc_main$1c, [["render", _sfc_render$1c]]), __vite_glob_0_15 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: log$1
}, Symbol.toStringTag, { value: "Module" })), res$e = "MailTemplate", mailTemplateApi = {
  async exportFile(r) {
    const a = await service({
      url: `api/${res$e}/exportFile`,
      method: "post",
      responseType: "blob",
      data: {
        ids: r
      }
    }), o = new Blob([a], {
      type: "application/octet-stream"
    });
    saveAs(o, "MailTemplate-" + format$4(/* @__PURE__ */ new Date(), "yyyyMMddHHmmss") + ".mt");
  }
}, _sfc_main$1b = {
  name: "system-mailTemplate",
  mixins: [mixinPage],
  components: {},
  data() {
    return {};
  },
  computed: {},
  created() {
  },
  methods: {
    // 导出文件
    exportFile() {
      let r = this.$refs.table.getSelected().map((a) => a.id);
      r.length > 0 ? mailTemplateApi.exportFile(r) : this.error("Front_Msg_Please_Select_Export_Item");
    },
    // 导入成功
    importFileSuccess(r) {
      r.code == 0 ? this.success("Front_Msg_Success", () => {
        this.$refs.table.loadData();
      }) : this.error(r.message);
    }
  }
}, _hoisted_1$X = { class: "i-layout-page-header" };
function _sfc_render$1b(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("file-upload"), p = resolveComponent("view-table"), v = resolveComponent("Card"), g = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$X, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(v, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(p, {
          ref: "table",
          "view-code": "MailTemplate",
          "select-enable": r.export,
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: a[1] || (a[1] = (y) => r.$refs.form.open()),
          onEdit: a[2] || (a[2] = ({ row: y, index: _ }) => r.$refs.form.open(y))
        }, {
          filterCommand: withCtx(() => [
            r.allow("export") ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              type: "info",
              "custom-icon": "fa fa-cloud-download-alt",
              onClick: a[0] || (a[0] = (y) => u.exportFile())
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString$2(r.$t("Front_Btn_Export")), 1)
              ]),
              _: 1
            })) : createCommentVNode("", !0),
            r.allow("import") ? (openBlock(), createBlock(f, {
              key: 1,
              url: "api/MailTemplate/importFile",
              accept: ".mt",
              onOnSuccess: u.importFileSuccess
            }, {
              default: withCtx(() => [
                createVNode$1(d, {
                  type: "primary",
                  "custom-icon": "fa fa-cloud-upload-alt",
                  size: "small"
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString$2(r.$t("Front_Btn_Import")), 1)
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }, 8, ["onOnSuccess"])) : createCommentVNode("", !0)
          ]),
          _: 1
        }, 8, ["select-enable", "create-enable", "remove-enable"])
      ]),
      _: 1
    }),
    createVNode$1(g, {
      ref: "form",
      "view-code": "MailTemplateEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnAfterSave: a[3] || (a[3] = (y) => r.$refs.table.loadData())
    }, null, 8, ["create-enable", "edit-enable"])
  ]);
}
const mailTemplate = /* @__PURE__ */ _export_sfc(_sfc_main$1b, [["render", _sfc_render$1b]]), __vite_glob_0_16 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: mailTemplate
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$1a = {
  name: "system-notice",
  mixins: [mixinPage],
  components: {},
  data() {
    return {};
  },
  computed: {},
  created() {
  },
  methods: {}
}, _hoisted_1$W = { class: "i-layout-page-header" };
function _sfc_render$1a(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("view-table"), f = resolveComponent("Card"), p = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$W, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(f, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(d, {
          ref: "table",
          "view-code": "Notice",
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: a[0] || (a[0] = (v) => r.$refs.form.open()),
          onEdit: a[1] || (a[1] = ({ row: v, index: g }) => r.$refs.form.open(v))
        }, null, 8, ["create-enable", "remove-enable"])
      ]),
      _: 1
    }),
    createVNode$1(p, {
      ref: "form",
      "view-code": "NoticeEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnAfterSave: a[2] || (a[2] = (v) => r.$refs.table.loadData())
    }, null, 8, ["create-enable", "edit-enable"])
  ]);
}
const notice = /* @__PURE__ */ _export_sfc(_sfc_main$1a, [["render", _sfc_render$1a]]), __vite_glob_0_17 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: notice
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$19 = {
  name: "system-openApi",
  mixins: [mixinPage],
  components: {},
  data() {
    return {};
  },
  computed: {},
  created() {
  },
  methods: {}
}, _hoisted_1$V = { class: "i-layout-page-header" };
function _sfc_render$19(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("view-table"), f = resolveComponent("Card"), p = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$V, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(f, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(d, {
          ref: "table",
          "view-code": "OpenApi",
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: a[0] || (a[0] = (v) => r.$refs.form.open()),
          onEdit: a[1] || (a[1] = ({ row: v, index: g }) => r.$refs.form.open(v))
        }, null, 8, ["create-enable", "remove-enable"])
      ]),
      _: 1
    }),
    createVNode$1(p, {
      ref: "form",
      "view-code": "OpenApiEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnAfterSave: a[2] || (a[2] = (v) => r.$refs.table.loadData())
    }, null, 8, ["create-enable", "edit-enable"])
  ]);
}
const openApi = /* @__PURE__ */ _export_sfc(_sfc_main$19, [["render", _sfc_render$19]]), __vite_glob_0_18 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: openApi
}, Symbol.toStringTag, { value: "Module" })), res$d = "OpenApiPermission", openApiPermissionApi = {
  queryForCheck(r) {
    return service({
      url: `api/${res$d}/queryForCheck`,
      method: "get",
      params: {
        openUserID: r
      }
    });
  },
  batchSave(r, a) {
    return service({
      url: `api/${res$d}/batchSave`,
      method: "post",
      data: {
        openUserID: r,
        openApiIDs: a
      }
    });
  }
}, _sfc_main$18 = {
  name: "system-openUser",
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      openUserID: null
    };
  },
  computed: {},
  created() {
  },
  methods: {
    edit({ row: r, index: a }) {
      r.password = "$$$$$$$$", this.$refs.form.open(r);
    },
    // 打开接口列表界面
    async openApiTableOpen(r) {
      this.openUserID = r.id;
      let a = await openApiPermissionApi.queryForCheck(r.id);
      this.$refs.openApiTable.loadData(a), this.$refs.openApiTable.setSelected(
        a.filter((o) => o.checked)
      ), this.$refs.openApiTable.open();
    },
    // 保存接口权限
    async saveOpenApiPermission() {
      this.confirm("Front_Msg_Sure_To_Save", () => {
        let r = this.$refs.openApiTable.getSelected().map((a) => a.id);
        openApiPermissionApi.batchSave(this.openUserID, r).then(() => {
          this.success("Front_Msg_Success", () => {
            this.$refs.openApiTable.close();
          });
        });
      });
    }
  }
}, _hoisted_1$U = { class: "i-layout-page-header" };
function _sfc_render$18(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("view-table"), p = resolveComponent("Card"), v = resolveComponent("Input"), g = resolveComponent("modal-form"), y = resolveComponent("modal-table");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$U, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(f, {
          ref: "table",
          "view-code": "OpenUser",
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: a[0] || (a[0] = (_) => r.$refs.form.open()),
          onEdit: u.edit
        }, {
          command: withCtx(({ row: _ }) => [
            r.allow("apiPermission") ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              title: r.$t("Front_Btn_API_Permission"),
              type: "primary",
              "custom-icon": "fa fa-atom",
              onClick: (S) => u.openApiTableOpen(_)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0)
          ]),
          _: 1
        }, 8, ["create-enable", "remove-enable", "onEdit"])
      ]),
      _: 1
    }),
    createVNode$1(g, {
      ref: "form",
      "view-code": "OpenUserEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnAfterSave: a[1] || (a[1] = (_) => r.$refs.table.loadData())
    }, {
      column: withCtx(({ data: _, column: S, code: C }) => [
        C == "password" ? (openBlock(), createBlock(v, {
          key: 0,
          type: "password",
          "model-value": r.parseData(_, S.code),
          "onUpdate:modelValue": (b) => r.setData(_, S.code, b),
          readonly: r.readonly || S.isReadonly,
          style: normalizeStyle$1({ width: S.controlWidth == null ? null : S.controlWidth + "px" }),
          maxlength: S.maxLength
        }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "style", "maxlength"])) : createCommentVNode("", !0)
      ]),
      _: 1
    }, 8, ["create-enable", "edit-enable"]),
    createVNode$1(y, {
      ref: "openApiTable",
      "view-code": "OpenApiCheck",
      "select-enable": !0,
      static: !0,
      footerEnable: !0
    }, {
      footer: withCtx(() => [
        createVNode$1(d, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: a[2] || (a[2] = (_) => u.saveOpenApiPermission())
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }),
        createVNode$1(d, {
          type: "default",
          "custom-icon": "fa fa-times",
          onClick: a[3] || (a[3] = (_) => r.$refs.openApiTable.close())
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
          ]),
          _: 1
        })
      ]),
      _: 1
    }, 512)
  ]);
}
const openUser = /* @__PURE__ */ _export_sfc(_sfc_main$18, [["render", _sfc_render$18]]), __vite_glob_0_19 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: openUser
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$17 = {
  name: "system-organization",
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      data: null,
      filter: {
        parentID: "null"
      }
    };
  },
  computed: {},
  created() {
  },
  methods: {
    // 树展开
    async onTreeLoad(r) {
      let a = await modelApi.query("Organization", {
        parentID: r.id,
        page: 1,
        per: 1e3,
        orderBy: "+orderNo"
      });
      for (let o of a.data)
        o._depth = r._depth == null ? 1 : r._depth + 1;
      return a.data;
    },
    // 创建
    create(r) {
      this.data = null, r ? this.$refs.form.openDefault({
        parentID: r.id,
        orderNo: r.orderNo
      }) : this.$refs.form.openDefault({});
    },
    // 编辑
    edit(r) {
      this.data = r, this.$refs.form.open(r);
    },
    // 保存后事件
    formAfterSave(r) {
      if (this.data)
        for (let a in r)
          this.data[a] = r[a];
      else
        this.$refs.table.loadData();
    }
  }
}, _hoisted_1$T = { class: "i-layout-page-header" };
function _sfc_render$17(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("view-table"), p = resolveComponent("Card"), v = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$T, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(f, {
          ref: "table",
          "view-code": "Organization",
          filter: l.filter,
          "tree-enable": !0,
          "tree-load": (g) => u.onTreeLoad(g),
          "has-children": (g) => g.hasChildren,
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: a[0] || (a[0] = (g) => u.create()),
          onEdit: a[1] || (a[1] = ({ row: g, index: y }) => u.edit(g))
        }, {
          command: withCtx(({ row: g }) => [
            r.allow("create") ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              title: r.$t("Front_Btn_Create_Child"),
              type: "primary",
              "custom-icon": "fa fa-plus",
              onClick: (y) => u.create(g)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0)
          ]),
          column: withCtx(({ row: g, column: y, code: _ }) => [
            _ == "name" ? (openBlock(), createElementBlock("div", {
              key: 0,
              style: normalizeStyle$1({ "font-weight": g.hasChildren ? "bold" : "", "text-indent": g._depth * 12 + "px" })
            }, toDisplayString$2(r.showData(g, y)), 5)) : createCommentVNode("", !0)
          ]),
          _: 1
        }, 8, ["filter", "tree-load", "has-children", "create-enable", "remove-enable"])
      ]),
      _: 1
    }),
    createVNode$1(v, {
      ref: "form",
      "view-code": "OrganizationEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnAfterSave: u.formAfterSave
    }, null, 8, ["create-enable", "edit-enable", "onOnAfterSave"])
  ]);
}
const organization = /* @__PURE__ */ _export_sfc(_sfc_main$17, [["render", _sfc_render$17]]), __vite_glob_0_20 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: organization
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$16 = {
  name: "system-organizationType",
  mixins: [mixinPage],
  components: {},
  data() {
    return {};
  },
  computed: {},
  created() {
  },
  methods: {}
}, _hoisted_1$S = { class: "i-layout-page-header" };
function _sfc_render$16(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("view-table"), f = resolveComponent("Card"), p = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$S, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(f, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(d, {
          ref: "table",
          "view-code": "OrganizationType",
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: a[0] || (a[0] = (v) => r.$refs.form.open()),
          onEdit: a[1] || (a[1] = ({ row: v, index: g }) => r.$refs.form.open(v))
        }, null, 8, ["create-enable", "remove-enable"])
      ]),
      _: 1
    }),
    createVNode$1(p, {
      ref: "form",
      "view-code": "OrganizationTypeEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnAfterSave: a[2] || (a[2] = (v) => r.$refs.table.loadData())
    }, null, 8, ["create-enable", "edit-enable"])
  ]);
}
const organizationType = /* @__PURE__ */ _export_sfc(_sfc_main$16, [["render", _sfc_render$16]]), __vite_glob_0_21 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: organizationType
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$15 = {
  name: "system-permission",
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      data: null
    };
  },
  computed: {},
  created() {
  },
  methods: {
    formChange(r, a, o, s) {
      const l = this.$refs.form.data, u = this.$refs.form.columns, c = u.find((f) => f.code === "customPageID"), d = u.find((f) => f.code === "templateUrl");
      l.isCustomPage ? (c.isShow = !0, d.isShow = !1) : (c.isShow = !1, d.isShow = !0), r && r.code == "parentID" && s && (l.url = s.url + "/"), r && r.code == "hasPermissionPoint" && l.hasPermissionPoint && l.permissionPoint == null && this.$refs.form.setTableData("permissionPoint", [
        { code: "view", name: "查看" },
        { code: "create", name: "新增" },
        { code: "edit", name: "编辑" },
        { code: "remove", name: "删除" }
      ]);
    },
    // 导出文件
    exportFile() {
      let r = this.$refs.table.getSelected().map((a) => a.id);
      r.length > 0 ? permissionApi.exportFile(r) : this.error("Front_Msg_Please_Select_Export_Item");
    },
    // 导入成功
    importFileSuccess(r) {
      r.code == 0 ? this.success("Front_Msg_Success", () => {
        this.$refs.table.loadData();
      }) : this.error(r.message);
    },
    // 树展开
    async onTreeLoad(r) {
      let a = await modelApi.query("Permission", {
        parentID: r.id,
        page: 1,
        per: 1e3,
        orderBy: "+orderNo"
      });
      for (let o of a.data)
        o._depth = r._depth == null ? 1 : r._depth + 1;
      return a.data;
    },
    // 创建
    create(r) {
      this.data = null, r ? this.$refs.form.openDefault({
        clientTypeID: r.clientTypeID,
        parentID: r.id,
        icon: r.icon,
        url: r.url + "/",
        orderNo: r.orderNo
      }) : this.$refs.form.openDefault({});
    },
    // 编辑
    edit(r) {
      this.data = r, this.$refs.form.open(r);
    },
    // 保存后事件
    formAfterSave(r) {
      if (this.data)
        for (let a in r)
          this.data[a] = r[a];
      else
        this.$refs.table.loadData();
    },
    beforeLoadData() {
      let r = this.$refs.table.filterData;
      (r.keyword || "").trim() ? r.parentID = null : r.parentID = "null";
    },
    async onLoadData() {
      if ((this.$refs.table.filterData.keyword || "").trim()) {
        let a = this.$refs.table.data;
        if (a.length > 0) {
          let o = [];
          for (let s = 0; s < a.length; s++)
            await this.loadParentData(a[s], o);
          o.forEach((s) => {
            if (s.parentID) {
              let l = o.find((u) => u.id == s.parentID);
              l.children || (l.children = []), l.children.push(s), l._showChildren = !0;
            }
          }), a.length = 0, o.filter((s) => s.parentID == null).forEach((s) => {
            a.push(s);
          });
        }
      }
    },
    async loadParentData(r, a) {
      if (a.push(r), r.parentID && !a.some((o) => o.id == r.parentID)) {
        let o = await modelApi.query("Permission", {
          id: r.parentID,
          page: 1,
          per: 1
        });
        await this.loadParentData(o.data[0], a);
      } else
        return;
    }
  }
}, _hoisted_1$R = { class: "i-layout-page-header" };
function _sfc_render$15(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("file-upload"), p = resolveComponent("view-table"), v = resolveComponent("Card"), g = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$R, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(v, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(p, {
          ref: "table",
          "view-code": "Permission",
          "select-enable": r.allow("export"),
          "tree-enable": !0,
          "tree-load": (y) => u.onTreeLoad(y),
          "has-children": (y) => y.hasChildren,
          "before-load-data": u.beforeLoadData,
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onOnLoadData: u.onLoadData,
          onCreate: a[1] || (a[1] = (y) => u.create()),
          onEdit: a[2] || (a[2] = ({ row: y, index: _ }) => u.edit(y))
        }, {
          filterCommand: withCtx(() => [
            r.allow("export") ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              type: "info",
              "custom-icon": "fa fa-cloud-download-alt",
              onClick: a[0] || (a[0] = (y) => u.exportFile())
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString$2(r.$t("Front_Btn_Export")), 1)
              ]),
              _: 1
            })) : createCommentVNode("", !0),
            r.allow("import") ? (openBlock(), createBlock(f, {
              key: 1,
              url: "api/Permission/importFile",
              accept: ".pms",
              onOnSuccess: u.importFileSuccess
            }, {
              default: withCtx(() => [
                createVNode$1(d, {
                  type: "primary",
                  "custom-icon": "fa fa-cloud-upload-alt",
                  size: "small"
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString$2(r.$t("Front_Btn_Import")), 1)
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }, 8, ["onOnSuccess"])) : createCommentVNode("", !0)
          ]),
          command: withCtx(({ row: y }) => [
            r.allow("create") ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              title: r.$t("Front_Btn_Create_Child"),
              type: "primary",
              "custom-icon": "fa fa-plus",
              onClick: (_) => u.create(y)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0)
          ]),
          column: withCtx(({ row: y, column: _, code: S }) => [
            S == "name" ? (openBlock(), createElementBlock("div", {
              key: 0,
              style: normalizeStyle$1({ "font-weight": y.hasChildren ? "bold" : "", "text-indent": y._depth * 12 + "px" })
            }, toDisplayString$2(r.showData(y, _)), 5)) : createCommentVNode("", !0)
          ]),
          _: 1
        }, 8, ["select-enable", "tree-load", "has-children", "before-load-data", "create-enable", "remove-enable", "onOnLoadData"])
      ]),
      _: 1
    }),
    createVNode$1(g, {
      ref: "form",
      "view-code": "PermissionEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnChange: u.formChange,
      onOnAfterSave: u.formAfterSave
    }, null, 8, ["create-enable", "edit-enable", "onOnChange", "onOnAfterSave"])
  ]);
}
const permission = /* @__PURE__ */ _export_sfc(_sfc_main$15, [["render", _sfc_render$15]]), __vite_glob_0_22 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: permission
}, Symbol.toStringTag, { value: "Module" })), res$c = "PlanJob", planJobApi = {
  execute(r) {
    return service({
      url: `api/${res$c}/execute`,
      method: "post",
      data: {
        id: r
      }
    });
  }
}, _sfc_main$14 = {
  name: "system-planJob",
  mixins: [mixinPage],
  components: {},
  data() {
    return {};
  },
  computed: {},
  created() {
  },
  methods: {
    // 执行
    execute(r) {
      this.confirm("Front_Msg_Sure_To_Start_Immediately", async () => {
        await planJobApi.execute(r.id), this.success("Front_Msg_Success"), this.$refs.table.loadData();
      });
    }
  }
}, _hoisted_1$Q = { class: "i-layout-page-header" };
function _sfc_render$14(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("view-table"), p = resolveComponent("Card"), v = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$Q, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(f, {
          ref: "table",
          "view-code": "PlanJob",
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: a[0] || (a[0] = (g) => r.$refs.form.open()),
          onEdit: a[1] || (a[1] = ({ row: g, index: y }) => r.$refs.form.open(g))
        }, {
          command: withCtx(({ row: g }) => [
            r.allow("start") ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              title: r.$t("Front_Btn_Start_Immediately"),
              type: "primary",
              "custom-icon": "fa fa-bolt",
              onClick: (y) => u.execute(g)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0)
          ]),
          _: 1
        }, 8, ["create-enable", "remove-enable"])
      ]),
      _: 1
    }),
    createVNode$1(v, {
      ref: "form",
      "view-code": "PlanJobEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnAfterSave: a[2] || (a[2] = (g) => r.$refs.table.loadData())
    }, null, 8, ["create-enable", "edit-enable"])
  ]);
}
const planJob = /* @__PURE__ */ _export_sfc(_sfc_main$14, [["render", _sfc_render$14]]), __vite_glob_0_23 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: planJob
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$13 = {
  name: "system-printTemplate",
  mixins: [mixinPage],
  components: {},
  data() {
    return {};
  },
  computed: {},
  created() {
  },
  methods: {
    formChange() {
      const r = this.$refs.form.data, a = this.$refs.form.columns, o = a.find((l) => l.code === "pageWidth"), s = a.find((l) => l.code === "pageHeight");
      r.pageName != null && r.pageName != "custom" ? (o.isShow = !1, s.isShow = !1, r.pageWidth = "", r.pageHeight = "") : (o.isShow = !0, s.isShow = !0);
    }
  }
}, _hoisted_1$P = { class: "i-layout-page-header" };
function _sfc_render$13(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("view-table"), f = resolveComponent("Card"), p = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$P, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(f, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(d, {
          ref: "table",
          "view-code": "PrintTemplate",
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: a[0] || (a[0] = (v) => r.$refs.form.open()),
          onEdit: a[1] || (a[1] = ({ row: v, index: g }) => r.$refs.form.open(v))
        }, null, 8, ["create-enable", "remove-enable"])
      ]),
      _: 1
    }),
    createVNode$1(p, {
      ref: "form",
      "view-code": "PrintTemplateEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnChange: u.formChange,
      onOnAfterSave: a[2] || (a[2] = (v) => r.$refs.table.loadData())
    }, null, 8, ["create-enable", "edit-enable", "onOnChange"])
  ]);
}
const printTemplate = /* @__PURE__ */ _export_sfc(_sfc_main$13, [["render", _sfc_render$13]]), __vite_glob_0_24 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: printTemplate
}, Symbol.toStringTag, { value: "Module" })), res$b = "ProcessDef", processDefApi = {
  save(r) {
    return service({
      url: `api/${res$b}/save`,
      method: "post",
      data: r
    });
  },
  publish(r) {
    return service({
      url: `api/${res$b}/publish`,
      method: "post",
      data: r
    });
  },
  active(r) {
    return service({
      url: `api/${res$b}/active`,
      method: "post",
      data: {
        id: r
      }
    });
  },
  getChart(r) {
    return service({
      url: `api/${res$b}/getChart`,
      method: "get",
      params: r
    });
  }
}, _sfc_main$12 = {
  mixins: [mixinPage],
  components: {},
  props: {},
  data() {
    return {
      opened: !1,
      current: {},
      offset: {},
      movingActivity: null,
      isMoving: !1,
      isCreatingOutcome: !1,
      activityFrom: null,
      setting: {
        rectWidth: 100,
        rectHeight: 50,
        rectFontSize: 13,
        lineFontSize: 12
      },
      newActivity: null,
      editActivity: null,
      editOutcome: null,
      toolbars: [],
      data: {}
    };
  },
  computed: {
    displayActivities() {
      let r = this.toolbars;
      return this.data && this.data.activities && (r = r.concat(this.data.activities)), this.newActivity && r.push(this.newActivity), r;
    },
    activities() {
      return this.data.activities;
    }
  },
  async created() {
    this.toolbars = [];
    const r = await enumApi.query("ActivityType");
    let a = 0;
    r.forEach((o) => {
      this.toolbars.push({
        isTool: !0,
        x: 40 + this.setting.rectWidth / 2,
        y: 40 + (this.setting.rectHeight + 20) * a + this.setting.rectHeight / 2,
        activityType: o.id,
        name: o.name
      }), a++;
    });
  },
  methods: {
    // 打开界面
    async open(r) {
      this.opened = !0;
      const a = await processDefApi.getChart(r);
      this.data = a;
    },
    // 关闭
    close() {
      this.opened = !1;
    },
    // 保存
    save() {
      this.confirm("Front_Msg_Sure_To_Save_Process", async () => {
        await processDefApi.save(this.data), this.success("Front_Msg_Success");
      });
    },
    // 发布
    publish() {
      this.confirm("Front_Msg_Sure_To_Publish_Process", async () => {
        await processDefApi.publish(this.data), this.success("Front_Msg_Success"), this.opened = !1;
      });
    },
    // 获取Outcom的起始点
    getOutcomeStartPoint(r) {
      let a = this.data.activities.find((o) => o.pid == r.activityFromPid);
      return { x: a.x, y: a.y };
    },
    // 获取Outcom的结束点
    getOutcomeEndPoint(r) {
      let a = this.data.activities.find((o) => o.pid == r.activityToPid);
      return { x: a.x, y: a.y };
    },
    // 获取Outcome路径
    getOutcomPath(r) {
      return this.getOutcomeStartPoint(r).x > this.getOutcomeEndPoint(r).x ? "M " + this.getOutcomeEndPoint(r).x + " " + this.getOutcomeEndPoint(r).y + " L " + this.getOutcomeStartPoint(r).x + " " + this.getOutcomeStartPoint(r).y : "M " + this.getOutcomeStartPoint(r).x + " " + this.getOutcomeStartPoint(r).y + " L " + this.getOutcomeEndPoint(r).x + " " + this.getOutcomeEndPoint(r).y;
    },
    // 获取Outcome的两端点
    getOutcomePoint(r) {
      let a = this.data.activities.find((l) => l.pid == r.activityFromPid), o = this.data.activities.find((l) => l.pid == r.activityToPid);
      return {
        fromPoint: this.getPointOfIntersection(a, { x: o.x, y: o.y }),
        toPoint: this.getPointOfIntersection(o, { x: a.x, y: a.y })
      };
    },
    // 获取两个点之间的距离
    getDistBetweenPoints(r, a) {
      return Math.sqrt((a.x - r.x) * (a.x - r.x) + (a.y - r.y) * (a.y - r.y));
    },
    // 获取线与图形的交叉点
    getPointOfIntersection(r, a) {
      let o = {}, s = this.setting.rectWidth, l = this.setting.rectHeight;
      r.activityType == "ParallelEnd" && (s = this.setting.rectHeight / 3 * 2, l = this.setting.rectHeight / 3 * 2);
      let u = {
        x: r.x,
        y: r.y
      };
      if (Math.abs(a.x - u.x) <= s / 2 && Math.abs(a.y - u.y) <= l / 2)
        o = u;
      else {
        let c = Math.abs(Math.atan((u.x - a.x) / (u.y - a.y)) * 180 / Math.PI), d = Math.abs(Math.atan(s / l) * 180 / Math.PI), f = l < s ? l / 2 : s / 2;
        c <= d ? (u.x < a.x ? o.x = u.x + Math.tan(Math.PI * c / 180) * f : o.x = u.x - Math.tan(Math.PI * c / 180) * f, u.y < a.y ? o.y = u.y + l / 2 : o.y = u.y - l / 2) : (u.x < a.x ? o.x = u.x + s / 2 : o.x = u.x - s / 2, u.y < a.y ? o.y = u.y + Math.tan(Math.PI * (90 - c) / 180) * f : o.y = u.y - Math.tan(Math.PI * (90 - c) / 180) * f);
      }
      return o;
    },
    // 鼠标按钮在活动上按下
    mousedownActivity(r, a) {
      r.isTool ? (this.newActivity = this.copy(r), this.movingActivity = this.newActivity) : this.movingActivity = r, this.offset.x = r.x - a.layerX, this.offset.y = r.y - a.layerY, this.isMoving = !0;
    },
    // 鼠标按钮在活动上抬起
    mouseupActivity(r) {
      if (this.isCreatingOutcome) {
        if (this.activityFrom.pid == r.pid || this.data.outcomes.some((a) => a.activityFromPid == this.activityFrom.pid && a.activityToPid == r.pid))
          return;
        this.data.outcomes.push({
          processID: this.data.processID,
          pid: this.getNewOutcomeID(),
          activityFromPid: this.activityFrom.pid,
          activityToPid: r.pid,
          outcomeType: "Custom",
          code: "",
          name: "",
          ruleData: null,
          orderNo: 0
        });
      }
    },
    // 鼠标双击活动
    dblclickActivity(r) {
      if (!r.isTool)
        if (this.editActivity = r, r.activityType == "Interactive") {
          let a = [];
          r.destinationRoleParam && (a = JSON.parse(r.destinationRoleParam)), this.$refs.destinationRoleParamTable.loadData(a), this.$refs.interactiveForm.openDefault(r);
        } else r.activityType == "Service" ? this.$refs.serviceForm.openDefault(r) : this.$refs.activityForm.openDefault(r);
    },
    // 鼠标双击结果
    dblclickOutcome(r) {
      this.editOutcome = this.copy(r), this.data.activities.find((o) => o.pid == r.activityFromPid).activityType == "Judgement" ? this.$refs.judgementOutcomeForm.openDefault(this.editOutcome) : this.$refs.outcomeForm.openDefault(this.editOutcome);
    },
    // 鼠标按钮抬起
    mouseUp(r) {
      this.isMoving && this.movingActivity && this.movingActivity.isTool && (r.layerX > 10 + 30 * 2 + this.setting.rectWidth + this.setting.rectWidth / 2 && (this.newActivity.processID = this.data.processID, this.newActivity.isTool = !1, this.newActivity.pid = this.getNewActivityID(), this.data.activities.push(this.newActivity)), this.newActivity = null), this.isCreatingOutcome = !1, this.isMoving = !1;
    },
    // 鼠标移动
    mousemove(r) {
      this.current.x = r.offsetX, this.current.y = r.offsetY, this.isMoving && (this.movingActivity.x = r.layerX + this.offset.x, this.movingActivity.y = r.layerY + this.offset.y);
    },
    // 鼠标移入活动中心位置
    mouseenterCenter(r) {
      r.isTool || (r.activeCenter = !0);
    },
    // 鼠标移出活动中心位置
    mouseleaveCenter(r) {
      r.activeCenter = !1;
    },
    // 活动中心位置按下鼠标
    mousedownCenter(r) {
      r.activeCenter && (this.isCreatingOutcome = !0, this.activityFrom = r);
    },
    // 获取新的Activity id
    getNewActivityID() {
      let r = 0;
      return this.data.activities.forEach((a) => {
        a.pid > r && (r = a.pid);
      }), ++r;
    },
    // 获取新的Outcome id
    getNewOutcomeID() {
      let r = 0;
      return this.data.outcomes.forEach((a) => {
        a.pid > r && (r = a.pid);
      }), ++r;
    },
    // 保存活动
    saveActivity() {
      let r = this.data.activities.findIndex((a) => a.pid == this.editActivity.pid);
      if (this.editActivity.activityType == "Interactive") {
        let a = this.$refs.interactiveForm.getFullData();
        a.destinationRoleParam = JSON.stringify(this.$refs.destinationRoleParamTable.getData()), this.data.activities.splice(r, 1, a), this.$refs.interactiveForm.close();
      } else this.editActivity.activityType == "Service" ? (this.data.activities.splice(r, 1, this.$refs.serviceForm.getFullData()), this.$refs.serviceForm.close()) : (this.data.activities.splice(r, 1, this.$refs.activityForm.getFullData()), this.$refs.activityForm.close());
    },
    // 删除活动
    removeActivity() {
      this.confirm("Front_Msg_Sure_To_Remove_Activity", () => {
        let r = this.data.activities.findIndex((a) => a.pid == this.editActivity.pid);
        this.data.activities.splice(r, 1), this.data.outcomes = this.data.outcomes.filter((a) => a.activityFromPid != this.editActivity.pid && a.activityToPid != this.editActivity.pid), this.editActivity.activityType == "Interactive" ? this.$refs.interactiveForm.close() : this.editActivity.activityType == "Service" ? this.$refs.serviceForm.close() : this.$refs.activityForm.close();
      });
    },
    // 保存结果
    saveOutcome() {
      let r = this.data.outcomes.findIndex((o) => o.pid == this.editOutcome.pid);
      this.data.activities.find((o) => o.pid == this.editOutcome.activityFromPid).activityType == "Judgement" ? (this.data.outcomes.splice(r, 1, this.$refs.judgementOutcomeForm.getFullData()), this.$refs.judgementOutcomeForm.close()) : (this.data.outcomes.splice(r, 1, this.$refs.outcomeForm.getFullData()), this.$refs.outcomeForm.close());
    },
    // 删除结果
    removeOutcome() {
      this.confirm("Front_Msg_Sure_To_Remove_Outcome", () => {
        let r = this.data.outcomes.findIndex((o) => o.pid == this.editOutcome.pid);
        this.data.outcomes.splice(r, 1), this.data.activities.find((o) => o.pid == this.editOutcome.activityFromPid).activityType == "Judgement" ? this.$refs.judgementOutcomeForm.close() : this.$refs.outcomeForm.close();
      });
    },
    // 交互表单数据变更
    async interactiveFormChange(r) {
      if (r && r.code == "destinationRoleID")
        if (this.$refs.interactiveForm.data.destinationRoleID) {
          let o = (await modelApi.query("RoleProperty", { roleID: this.$refs.interactiveForm.data.destinationRoleID })).data.map((s) => ({
            rolePropertyCode: s.propertyCode,
            name: s.propertyName,
            processPropertyCode: null
          }));
          this.$refs.destinationRoleParamTable.loadData(o);
        } else
          this.$refs.destinationRoleParamTable.loadData([]);
    }
  }
}, _hoisted_1$O = { class: "title" }, _hoisted_2$A = { class: "ivu-ml-8 ivu-mr-8" }, _hoisted_3$v = ["id", "d"], _hoisted_4$m = ["width"], _hoisted_5$f = ["x", "y", "width", "height"], _hoisted_6$9 = ["x", "y", "font-size"], _hoisted_7$8 = ["x", "y", "width", "height", "onMousedown", "onMouseup", "onDblclick"], _hoisted_8$8 = ["x", "y", "width", "height"], _hoisted_9$7 = ["x", "y", "font-size"], _hoisted_10$6 = ["x", "y", "width", "height", "onMousedown", "onMouseup", "onDblclick"], _hoisted_11$3 = ["x", "y", "width", "height"], _hoisted_12$2 = ["x", "y", "width", "height"], _hoisted_13$2 = ["x", "y", "font-size"], _hoisted_14$1 = ["x", "y", "width", "height", "onMousedown", "onMouseup", "onDblclick"], _hoisted_15$1 = ["points"], _hoisted_16$1 = ["x", "y", "font-size"], _hoisted_17$1 = ["points", "onMousedown", "onMouseup", "onDblclick"], _hoisted_18$1 = ["x", "y", "width", "height"], _hoisted_19$1 = ["x", "y", "width", "height"], _hoisted_20$1 = ["x", "y", "font-size"], _hoisted_21$1 = ["x", "y", "width", "height", "onMousedown", "onMouseup", "onDblclick"], _hoisted_22$1 = ["x1", "y1", "x2", "y2"], _hoisted_23$1 = ["x1", "y1", "x2", "y2"], _hoisted_24$1 = ["x", "y", "font-size"], _hoisted_25$1 = ["x", "y", "width", "height", "onMousedown", "onMouseup", "onDblclick"], _hoisted_26$1 = ["cx", "cy", "r"], _hoisted_27$1 = ["x", "y", "font-size"], _hoisted_28$1 = ["x", "y", "width", "height", "onMousedown", "onMouseup", "onDblclick"], _hoisted_29$1 = ["cx", "cy", "opacity", "onMouseenter", "onMouseleave", "onMousedown", "onMouseup"], _hoisted_30$1 = ["x1", "y1", "x2", "y2", "onDblclick"], _hoisted_31$1 = ["font-size", "onDblclick"], _hoisted_32$1 = ["href"], _hoisted_33$1 = ["x1", "y1", "x2", "y2"];
function _sfc_render$12(r, a, o, s, l, u) {
  const c = resolveComponent("Button"), d = resolveComponent("Modal"), f = resolveComponent("view-table"), p = resolveComponent("Option"), v = resolveComponent("Select"), g = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(d, {
      ref: "modal",
      modelValue: l.opened,
      "onUpdate:modelValue": a[2] || (a[2] = (y) => l.opened = y),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: "90VW"
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          renderSlot(r.$slots, "header", {}, () => [
            createElementVNode("span", _hoisted_1$O, toDisplayString$2(l.data.process ? l.data.process.name : r.$t("Front_Label_Process_Definition")), 1),
            a[3] || (a[3] = createElementVNode("span", { class: "description" }, null, -1))
          ])
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          renderSlot(r.$slots, "footer", {}, () => [
            createVNode$1(c, {
              type: "primary",
              "custom-icon": "fa fa-save",
              onClick: u.save
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
              ]),
              _: 1
            }, 8, ["onClick"]),
            createVNode$1(c, {
              type: "primary",
              "custom-icon": "fa fa-upload",
              onClick: u.publish
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString$2(r.$t("Front_Btn_Publish")), 1)
              ]),
              _: 1
            }, 8, ["onClick"])
          ]),
          createVNode$1(c, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: u.close
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          }, 8, ["onClick"])
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_2$A, [
          (openBlock(), createElementBlock("svg", {
            id: "svg",
            xmlns: "http://www.w3.org/2000/svg",
            version: "1.1",
            width: "100%",
            height: "650",
            style: { "-moz-user-select": "none", "-webkit-user-select": "none", "user-select": "none" },
            onMouseup: a[0] || (a[0] = (...y) => u.mouseUp && u.mouseUp(...y)),
            onMousemove: a[1] || (a[1] = (...y) => u.mousemove && u.mousemove(...y))
          }, [
            createElementVNode("defs", null, [
              a[4] || (a[4] = createElementVNode("symbol", {
                id: "iconUser",
                viewBox: "0 0 1024 1024"
              }, [
                createElementVNode("path", { d: "M908 799.542857a427.428571 427.428571 0 0 0-92.114286-136.571428 429.291429 429.291429 0 0 0-136.571428-92.114286c-0.457143-0.228571-0.914286-0.342857-1.371429-0.571429C749.142857 518.857143 795.428571 435.085714 795.428571 340.571429c0-156.571429-126.857143-283.428571-283.428571-283.428572S228.571429 184 228.571429 340.571429c0 94.514286 46.285714 178.285714 117.485714 229.828571-0.457143 0.228571-0.914286 0.342857-1.371429 0.571429-51.2 21.6-97.142857 52.571429-136.571428 92.114285a429.291429 429.291429 0 0 0-92.114286 136.571429A424.8 424.8 0 0 0 82.285714 957.485714a9.142857 9.142857 0 0 0 9.142857 9.371429h68.571429c5.028571 0 9.028571-4 9.142857-8.914286 2.285714-88.228571 37.714286-170.857143 100.342857-233.485714 64.8-64.8 150.857143-100.457143 242.514286-100.457143s177.714286 35.657143 242.514286 100.457143C817.142857 787.085714 852.571429 869.714286 854.857143 957.942857c0.114286 5.028571 4.114286 8.914286 9.142857 8.914286h68.571429a9.142857 9.142857 0 0 0 9.142857-9.371429c-1.142857-54.628571-12.457143-107.771429-33.714286-157.942857zM512 537.142857c-52.457143 0-101.828571-20.457143-138.971429-57.6S315.428571 393.028571 315.428571 340.571429c0-52.457143 20.457143-101.828571 57.6-138.971429S459.542857 144 512 144s101.828571 20.457143 138.971429 57.6S708.571429 288.114286 708.571429 340.571429c0 52.457143-20.457143 101.828571-57.6 138.971428S564.457143 537.142857 512 537.142857z" })
              ], -1)),
              a[5] || (a[5] = createElementVNode("symbol", {
                id: "iconApi",
                viewBox: "0 0 1024 1024"
              }, [
                createElementVNode("path", { d: "M975.657143 96.914286l-48.457143-48.457143c-1.828571-1.828571-4.114286-2.628571-6.514286-2.628572s-4.685714 0.914286-6.514285 2.628572l-86.971429 86.971428a227.737143 227.737143 0 0 0-128.114286-39.2c-58.514286 0-117.028571 22.285714-161.714285 66.971429L420.914286 279.657143a9.177143 9.177143 0 0 0 0 12.914286L731.428571 603.085714c1.828571 1.828571 4.114286 2.628571 6.514286 2.628572 2.285714 0 4.685714-0.914286 6.514286-2.628572l116.457143-116.457143c78.742857-78.857143 88-200.8 27.771428-289.714285l86.971429-86.971429c3.542857-3.657143 3.542857-9.485714 0-13.028571zM805.828571 431.657143l-67.885714 67.885714-213.485714-213.485714 67.885714-67.885714c28.457143-28.457143 66.4-44.228571 106.742857-44.228572 40.342857 0 78.171429 15.657143 106.742857 44.228572 28.457143 28.457143 44.228571 66.4 44.228572 106.742857 0 40.342857-15.771429 78.171429-44.228572 106.742857z m-217.371428 120a9.177143 9.177143 0 0 0-12.914286 0L499.428571 627.771429 396.228571 524.571429l76.228572-76.228572c3.542857-3.542857 3.542857-9.371429 0-12.914286L430.857143 393.828571a9.177143 9.177143 0 0 0-12.914286 0L341.714286 470.057143l-49.142857-49.142857a8.971429 8.971429 0 0 0-6.514286-2.628572c-2.285714 0-4.685714 0.914286-6.514286 2.628572L163.2 537.371429c-78.742857 78.857143-88 200.8-27.771429 289.714285l-86.971428 86.971429a9.177143 9.177143 0 0 0 0 12.914286l48.457143 48.457142c1.828571 1.828571 4.114286 2.628571 6.514285 2.628572s4.685714-0.914286 6.514286-2.628572l86.971429-86.971428c38.514286 26.171429 83.314286 39.2 128.114285 39.2 58.514286 0 117.028571-22.285714 161.714286-66.971429l116.457143-116.457143c3.542857-3.542857 3.542857-9.371429 0-12.914285l-49.142857-49.142857 76.228571-76.228572c3.542857-3.542857 3.542857-9.371429 0-12.914286l-41.828571-41.371428zM431.657143 805.828571a150.08 150.08 0 0 1-106.742857 44.228572c-40.342857 0-78.171429-15.657143-106.742857-44.228572a150.08 150.08 0 0 1-44.228572-106.742857c0-40.342857 15.657143-78.171429 44.228572-106.742857l67.885714-67.885714 213.485714 213.485714-67.885714 67.885714z" })
              ], -1)),
              a[6] || (a[6] = createElementVNode("marker", {
                id: "arrowStart",
                markerWidth: "10",
                markerHeight: "10",
                refX: "2",
                refY: "2",
                orient: "auto"
              }, [
                createElementVNode("circle", {
                  cx: "2",
                  cy: "2",
                  r: "2",
                  fill: "#000"
                })
              ], -1)),
              a[7] || (a[7] = createElementVNode("marker", {
                id: "arrowEnd",
                markerWidth: "10",
                markerHeight: "10",
                refX: "6",
                refY: "2",
                orient: "auto"
              }, [
                createElementVNode("path", {
                  d: "M0,0 L0,4 L6,2 Z",
                  style: { fill: "#000" }
                })
              ], -1)),
              (openBlock(!0), createElementBlock(Fragment, null, renderList(l.data.outcomes, (y, _) => (openBlock(), createElementBlock("path", {
                key: _,
                id: "outcome_" + y.pid,
                d: u.getOutcomPath(y)
              }, null, 8, _hoisted_3$v))), 128))
            ]),
            createElementVNode("rect", {
              fill: "#ddd",
              "stroke-width": "0",
              rx: "0",
              stroke: "#000",
              x: 10,
              y: 10,
              width: 30 * 2 + l.setting.rectWidth,
              height: 630
            }, null, 8, _hoisted_4$m),
            (openBlock(!0), createElementBlock(Fragment, null, renderList(u.displayActivities, (y, _) => (openBlock(), createElementBlock(Fragment, { key: _ }, [
              y.activityType === "Begin" ? (openBlock(), createElementBlock(Fragment, { key: 0 }, [
                createElementVNode("rect", {
                  fill: "#fff",
                  "stroke-width": "2",
                  rx: "25",
                  stroke: "#000",
                  x: y.x - l.setting.rectWidth / 2,
                  y: y.y - l.setting.rectHeight / 2,
                  width: l.setting.rectWidth,
                  height: l.setting.rectHeight
                }, null, 8, _hoisted_5$f),
                createElementVNode("text", {
                  fill: "#000",
                  x: y.x,
                  y: y.y,
                  "font-size": l.setting.rectFontSize,
                  "text-anchor": "middle",
                  "dominant-baseline": "middle"
                }, toDisplayString$2(y.name), 9, _hoisted_6$9),
                createElementVNode("rect", {
                  opacity: "0",
                  rx: "25",
                  x: y.x - l.setting.rectWidth / 2,
                  y: y.y - l.setting.rectHeight / 2,
                  width: l.setting.rectWidth,
                  height: l.setting.rectHeight,
                  onMousedown: (S) => u.mousedownActivity(y, S),
                  onMouseup: (S) => u.mouseupActivity(y),
                  onDblclick: (S) => u.dblclickActivity(y, _)
                }, null, 40, _hoisted_7$8)
              ], 64)) : y.activityType === "End" ? (openBlock(), createElementBlock(Fragment, { key: 1 }, [
                createElementVNode("rect", {
                  fill: "#fff",
                  "stroke-width": "2",
                  rx: "25",
                  stroke: "#000",
                  x: y.x - l.setting.rectWidth / 2,
                  y: y.y - l.setting.rectHeight / 2,
                  width: l.setting.rectWidth,
                  height: l.setting.rectHeight
                }, null, 8, _hoisted_8$8),
                createElementVNode("text", {
                  fill: "#000",
                  x: y.x,
                  y: y.y,
                  "font-size": l.setting.rectFontSize,
                  "text-anchor": "middle",
                  "dominant-baseline": "middle"
                }, toDisplayString$2(y.name), 9, _hoisted_9$7),
                createElementVNode("rect", {
                  opacity: "0",
                  rx: "25",
                  x: y.x - l.setting.rectWidth / 2,
                  y: y.y - l.setting.rectHeight / 2,
                  width: l.setting.rectWidth,
                  height: l.setting.rectHeight,
                  onMousedown: (S) => u.mousedownActivity(y, S),
                  onMouseup: (S) => u.mouseupActivity(y),
                  onDblclick: (S) => u.dblclickActivity(y, _)
                }, null, 40, _hoisted_10$6)
              ], 64)) : y.activityType === "Interactive" ? (openBlock(), createElementBlock(Fragment, { key: 2 }, [
                createElementVNode("rect", {
                  fill: "#fff",
                  "stroke-width": "2",
                  rx: "5",
                  stroke: "#000",
                  x: y.x - l.setting.rectWidth / 2,
                  y: y.y - l.setting.rectHeight / 2,
                  width: l.setting.rectWidth,
                  height: l.setting.rectHeight
                }, null, 8, _hoisted_11$3),
                createElementVNode("use", {
                  x: y.x - l.setting.rectWidth / 2 + 2,
                  y: y.y - l.setting.rectHeight / 2 + 2,
                  width: l.setting.rectHeight / 3,
                  height: l.setting.rectHeight / 3,
                  href: "#iconUser"
                }, null, 8, _hoisted_12$2),
                createElementVNode("text", {
                  fill: "#000",
                  x: y.x,
                  y: y.y,
                  "font-size": l.setting.rectFontSize,
                  "text-anchor": "middle",
                  "dominant-baseline": "middle"
                }, toDisplayString$2(y.name), 9, _hoisted_13$2),
                createElementVNode("rect", {
                  opacity: "0",
                  rx: "5",
                  x: y.x - l.setting.rectWidth / 2,
                  y: y.y - l.setting.rectHeight / 2,
                  width: l.setting.rectWidth,
                  height: l.setting.rectHeight,
                  onMousedown: (S) => u.mousedownActivity(y, S),
                  onMouseup: (S) => u.mouseupActivity(y),
                  onDblclick: (S) => u.dblclickActivity(y, _)
                }, null, 40, _hoisted_14$1)
              ], 64)) : createCommentVNode("", !0),
              y.activityType === "Judgement" ? (openBlock(), createElementBlock(Fragment, { key: 3 }, [
                createElementVNode("polygon", {
                  points: y.x - l.setting.rectWidth / 2 + " " + y.y + " " + y.x + " " + (y.y - l.setting.rectHeight / 2) + " " + (y.x + l.setting.rectWidth / 2) + " " + y.y + " " + y.x + " " + (y.y + l.setting.rectHeight / 2),
                  fill: "#fff",
                  "stroke-width": "2",
                  stroke: "#000"
                }, null, 8, _hoisted_15$1),
                createElementVNode("text", {
                  fill: "#000",
                  x: y.x,
                  y: y.y,
                  "font-size": l.setting.rectFontSize,
                  "text-anchor": "middle",
                  "dominant-baseline": "middle"
                }, toDisplayString$2(y.name), 9, _hoisted_16$1),
                createElementVNode("polygon", {
                  opacity: "0",
                  points: y.x - l.setting.rectWidth / 2 + " " + y.y + " " + y.x + " " + (y.y - l.setting.rectHeight / 2) + " " + (y.x + l.setting.rectWidth / 2) + " " + y.y + " " + y.x + " " + (y.y + l.setting.rectHeight / 2),
                  onMousedown: (S) => u.mousedownActivity(y, S),
                  onMouseup: (S) => u.mouseupActivity(y),
                  onDblclick: (S) => u.dblclickActivity(y, _)
                }, null, 40, _hoisted_17$1)
              ], 64)) : createCommentVNode("", !0),
              y.activityType === "Service" ? (openBlock(), createElementBlock(Fragment, { key: 4 }, [
                createElementVNode("rect", {
                  fill: "#fff",
                  "stroke-width": "2",
                  rx: "5",
                  stroke: "#000",
                  x: y.x - l.setting.rectWidth / 2,
                  y: y.y - l.setting.rectHeight / 2,
                  width: l.setting.rectWidth,
                  height: l.setting.rectHeight
                }, null, 8, _hoisted_18$1),
                createElementVNode("use", {
                  x: y.x - l.setting.rectWidth / 2 + 2,
                  y: y.y - l.setting.rectHeight / 2 + 2,
                  width: l.setting.rectHeight / 3,
                  height: l.setting.rectHeight / 3,
                  href: "#iconApi"
                }, null, 8, _hoisted_19$1),
                createElementVNode("text", {
                  fill: "#000",
                  x: y.x,
                  y: y.y,
                  "font-size": l.setting.rectFontSize,
                  "text-anchor": "middle",
                  "dominant-baseline": "middle"
                }, toDisplayString$2(y.name), 9, _hoisted_20$1),
                createElementVNode("rect", {
                  opacity: "0",
                  rx: "5",
                  x: y.x - l.setting.rectWidth / 2,
                  y: y.y - l.setting.rectHeight / 2,
                  width: l.setting.rectWidth,
                  height: l.setting.rectHeight,
                  onMousedown: (S) => u.mousedownActivity(y, S),
                  onMouseup: (S) => u.mouseupActivity(y),
                  onDblclick: (S) => u.dblclickActivity(y, _)
                }, null, 40, _hoisted_21$1)
              ], 64)) : createCommentVNode("", !0),
              y.activityType === "ParallelStart" ? (openBlock(), createElementBlock(Fragment, { key: 5 }, [
                createElementVNode("line", {
                  x1: y.x - l.setting.rectWidth / 2,
                  y1: y.y - l.setting.rectHeight / 6,
                  x2: y.x + l.setting.rectWidth / 2,
                  y2: y.y - l.setting.rectHeight / 6,
                  style: { stroke: "rgb(0, 0, 0)", "stroke-width": "2" }
                }, null, 8, _hoisted_22$1),
                createElementVNode("line", {
                  x1: y.x - l.setting.rectWidth / 2,
                  y1: y.y + l.setting.rectHeight / 6,
                  x2: y.x + l.setting.rectWidth / 2,
                  y2: y.y + l.setting.rectHeight / 6,
                  style: { stroke: "rgb(0, 0, 0)", "stroke-width": "2" }
                }, null, 8, _hoisted_23$1),
                createElementVNode("text", {
                  fill: "#000",
                  x: y.x,
                  y: y.y + l.setting.rectHeight / 2,
                  "font-size": l.setting.rectFontSize,
                  "text-anchor": "middle",
                  "dominant-baseline": "middle"
                }, toDisplayString$2(y.name), 9, _hoisted_24$1),
                createElementVNode("rect", {
                  x: y.x - l.setting.rectWidth / 2,
                  y: y.y - l.setting.rectHeight / 2,
                  width: l.setting.rectWidth,
                  height: l.setting.rectHeight,
                  opacity: "0",
                  onMousedown: (S) => u.mousedownActivity(y, S),
                  onMouseup: (S) => u.mouseupActivity(y),
                  onDblclick: (S) => u.dblclickActivity(y, _)
                }, null, 40, _hoisted_25$1)
              ], 64)) : createCommentVNode("", !0),
              y.activityType === "ParallelEnd" ? (openBlock(), createElementBlock(Fragment, { key: 6 }, [
                createElementVNode("circle", {
                  cx: y.x,
                  cy: y.y,
                  r: l.setting.rectHeight / 3,
                  stroke: "black",
                  "stroke-width": "2",
                  fill: "#fff"
                }, null, 8, _hoisted_26$1),
                createElementVNode("text", {
                  fill: "#000",
                  x: y.x,
                  y: y.y + l.setting.rectHeight * 3 / 5,
                  "font-size": l.setting.rectFontSize,
                  "text-anchor": "middle",
                  "dominant-baseline": "middle"
                }, toDisplayString$2(y.name), 9, _hoisted_27$1),
                createElementVNode("rect", {
                  x: y.x - l.setting.rectWidth / 2,
                  y: y.y - l.setting.rectHeight / 2,
                  width: l.setting.rectWidth,
                  height: l.setting.rectHeight,
                  opacity: "0",
                  onMousedown: (S) => u.mousedownActivity(y, S),
                  onMouseup: (S) => u.mouseupActivity(y),
                  onDblclick: (S) => u.dblclickActivity(y, _)
                }, null, 40, _hoisted_28$1)
              ], 64)) : createCommentVNode("", !0),
              y.isTool ? createCommentVNode("", !0) : (openBlock(), createElementBlock("circle", {
                key: 7,
                cx: y.x,
                cy: y.y,
                r: "7",
                stroke: "black",
                "stroke-width": "0",
                fill: "orange",
                opacity: y.activeCenter ? 0.4 : 0,
                onMouseenter: (S) => u.mouseenterCenter(y),
                onMouseleave: (S) => u.mouseleaveCenter(y),
                onMousedown: (S) => u.mousedownCenter(y),
                onMouseup: (S) => u.mouseupActivity(y)
              }, null, 40, _hoisted_29$1))
            ], 64))), 128)),
            (openBlock(!0), createElementBlock(Fragment, null, renderList(l.data.outcomes, (y, _) => (openBlock(), createElementBlock(Fragment, { key: _ }, [
              createElementVNode("line", {
                x1: u.getOutcomePoint(y).fromPoint.x,
                y1: u.getOutcomePoint(y).fromPoint.y,
                x2: u.getOutcomePoint(y).toPoint.x,
                y2: u.getOutcomePoint(y).toPoint.y,
                style: { stroke: "rgb(0, 0, 0)", "stroke-width": "2" },
                "marker-start": "url(#arrowStart)",
                "marker-end": "url(#arrowEnd)",
                onDblclick: (S) => u.dblclickOutcome(y, _)
              }, null, 40, _hoisted_30$1),
              createElementVNode("text", {
                fill: "#000",
                "font-size": l.setting.lineFontSize,
                "text-anchor": "middle",
                "dominant-baseline": "text-after-edge",
                onDblclick: (S) => u.dblclickOutcome(y, _)
              }, [
                createElementVNode("textPath", {
                  href: "#outcome_" + y.pid,
                  startOffset: "50%"
                }, toDisplayString$2(y.name), 9, _hoisted_32$1)
              ], 40, _hoisted_31$1)
            ], 64))), 128)),
            l.isCreatingOutcome ? (openBlock(), createElementBlock("line", {
              key: 0,
              x1: l.activityFrom.x,
              y1: l.activityFrom.y,
              x2: l.current.x,
              y2: l.current.y,
              style: { stroke: "rgb(0, 0, 0)", "stroke-width": "2", "pointer-events": "none" },
              "marker-start": "url(#arrowStart)",
              "marker-end": "url(#arrowEnd)"
            }, null, 8, _hoisted_33$1)) : createCommentVNode("", !0)
          ], 32))
        ])
      ]),
      _: 3
    }, 8, ["modelValue", "mask-closable", "draggable"]),
    createVNode$1(g, {
      ref: "interactiveForm",
      "view-code": "InteractiveActivityEdit",
      onOnChange: u.interactiveFormChange
    }, {
      footer: withCtx(() => [
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.saveActivity
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
          ]),
          _: 1
        }, 8, ["onClick"]),
        createVNode$1(c, {
          type: "warning",
          "custom-icon": "fa fa-times",
          onClick: u.removeActivity
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Remove")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      bottom: withCtx(() => [
        withDirectives(createVNode$1(f, {
          ref: "destinationRoleParamTable",
          title: "角色参数",
          static: !0,
          "parent-data": l.data,
          "view-code": "DestinationRoleParam"
        }, null, 8, ["parent-data"]), [
          [vShow, r.$refs.interactiveForm && r.$refs.interactiveForm.data && r.$refs.interactiveForm.data.destinationMode == "Role"]
        ])
      ]),
      column: withCtx(({ data: y, code: _ }) => [
        _ == "rejectActivityPid" ? (openBlock(), createElementBlock(Fragment, { key: 0 }, [
          u.activities ? (openBlock(), createBlock(v, {
            key: 0,
            modelValue: y[_],
            "onUpdate:modelValue": (S) => y[_] = S,
            clearable: !0,
            placeholder: "退回发起人",
            transfer: !0
          }, {
            default: withCtx(() => [
              (openBlock(!0), createElementBlock(Fragment, null, renderList(u.activities.filter((S) => S.pid != y.pid && (S.activityType == "Interactive" || S.activityType == "Judgement" || S.activityType == "Service" || S.activityType == "ParallelStart")), (S) => (openBlock(), createBlock(p, {
                key: S.pid,
                value: S.pid
              }, {
                default: withCtx(() => [
                  createTextVNode(toDisplayString$2(S.name), 1)
                ]),
                _: 2
              }, 1032, ["value"]))), 128))
            ]),
            _: 2
          }, 1032, ["modelValue", "onUpdate:modelValue"])) : createCommentVNode("", !0)
        ], 64)) : createCommentVNode("", !0)
      ]),
      _: 1
    }, 8, ["onOnChange"]),
    createVNode$1(g, {
      ref: "serviceForm",
      "view-code": "ServiceActivityEdit"
    }, {
      footer: withCtx(() => [
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.saveActivity
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
          ]),
          _: 1
        }, 8, ["onClick"]),
        createVNode$1(c, {
          type: "warning",
          "custom-icon": "fa fa-times",
          onClick: u.removeActivity
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Remove")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512),
    createVNode$1(g, {
      ref: "activityForm",
      "view-code": "ActivityEdit"
    }, {
      footer: withCtx(() => [
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.saveActivity
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
          ]),
          _: 1
        }, 8, ["onClick"]),
        createVNode$1(c, {
          type: "warning",
          "custom-icon": "fa fa-times",
          onClick: u.removeActivity
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Remove")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512),
    createVNode$1(g, {
      ref: "judgementOutcomeForm",
      "view-code": "JudgementOutcomeEdit"
    }, {
      footer: withCtx(() => [
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.saveOutcome
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
          ]),
          _: 1
        }, 8, ["onClick"]),
        createVNode$1(c, {
          type: "warning",
          "custom-icon": "fa fa-times",
          onClick: u.removeOutcome
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Remove")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512),
    createVNode$1(g, {
      ref: "outcomeForm",
      "view-code": "OutcomeEdit"
    }, {
      footer: withCtx(() => [
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.saveOutcome
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
          ]),
          _: 1
        }, 8, ["onClick"]),
        createVNode$1(c, {
          type: "warning",
          "custom-icon": "fa fa-times",
          onClick: u.removeOutcome
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Remove")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512)
  ]);
}
const flowChart = /* @__PURE__ */ _export_sfc(_sfc_main$12, [["render", _sfc_render$12]]), __vite_glob_1_33 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: flowChart
}, Symbol.toStringTag, { value: "Module" })), res$a = "Process", processApi = {
  async exportFile(r) {
    const a = await service({
      url: `api/${res$a}/exportFile`,
      method: "post",
      responseType: "blob",
      data: {
        ids: r
      }
    }), o = new Blob([a], {
      type: "application/octet-stream"
    });
    saveAs(o, "Process-" + format$4(/* @__PURE__ */ new Date(), "yyyyMMddHHmmss") + ".proc");
  }
}, _sfc_main$11 = {
  name: "system-process",
  mixins: [mixinPage],
  components: { flowChart },
  data() {
    return {};
  },
  computed: {},
  created() {
  },
  methods: {
    // 激活版本
    active(r) {
      this.confirm("Front_Msg_Sure_To_Active_Version", async () => {
        await processDefApi.active(r.id), this.success("Front_Msg_Success"), this.$refs.processDefTable.loadData();
      });
    },
    // 导出文件
    exportFile() {
      let r = this.$refs.table.getSelected().map((a) => a.id);
      r.length > 0 ? processApi.exportFile(r) : this.error("Front_Msg_Please_Select_Export_Item");
    },
    // 导入成功
    importFileSuccess(r) {
      r.code == 0 ? this.success("Front_Msg_Success", () => {
        this.$refs.table.loadData();
      }) : this.error(r.message);
    }
  }
}, _hoisted_1$N = { class: "i-layout-page-header" };
function _sfc_render$11(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("file-upload"), p = resolveComponent("view-table"), v = resolveComponent("Card"), g = resolveComponent("modal-form"), y = resolveComponent("modal-table"), _ = resolveComponent("flow-chart");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$N, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(v, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(p, {
          ref: "table",
          "view-code": "Process",
          "select-enable": !0,
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: a[1] || (a[1] = (S) => r.$refs.form.open()),
          onEdit: a[2] || (a[2] = ({ row: S, index: C }) => r.$refs.form.open(S))
        }, {
          filterCommand: withCtx(() => [
            r.allow("export") ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              type: "info",
              "custom-icon": "fa fa-cloud-download-alt",
              onClick: a[0] || (a[0] = (S) => u.exportFile())
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString$2(r.$t("Front_Btn_Export")), 1)
              ]),
              _: 1
            })) : createCommentVNode("", !0),
            r.allow("import") ? (openBlock(), createBlock(f, {
              key: 1,
              url: "api/Process/importFile",
              accept: ".proc",
              onOnSuccess: u.importFileSuccess
            }, {
              default: withCtx(() => [
                createVNode$1(d, {
                  type: "primary",
                  "custom-icon": "fa fa-cloud-upload-alt",
                  size: "small"
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString$2(r.$t("Front_Btn_Import")), 1)
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }, 8, ["onOnSuccess"])) : createCommentVNode("", !0)
          ]),
          command: withCtx(({ row: S }) => [
            r.allow("processDef") ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              title: r.$t("Front_Btn_Process_Def"),
              type: "primary",
              "custom-icon": "fa fa-route",
              onClick: (C) => r.$refs.flowChart.open({ processID: S.id })
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
            createVNode$1(d, {
              size: "small",
              title: r.$t("Front_Btn_Version"),
              type: "info",
              "custom-icon": "fa fa-bars",
              onClick: (C) => r.$refs.processDefTable.open({ processID: S.id })
            }, null, 8, ["title", "onClick"])
          ]),
          _: 1
        }, 8, ["create-enable", "remove-enable"])
      ]),
      _: 1
    }),
    createVNode$1(g, {
      ref: "form",
      "view-code": "ProcessEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnAfterSave: a[3] || (a[3] = (S) => r.$refs.table.loadData())
    }, null, 8, ["create-enable", "edit-enable"]),
    createVNode$1(y, {
      ref: "processDefTable",
      "view-code": "ProcessDefModal"
    }, {
      command: withCtx(({ row: S }) => [
        r.allow("processDef") ? (openBlock(), createBlock(d, {
          key: 0,
          size: "small",
          title: r.$t("Front_Btn_Process_Def"),
          type: "primary",
          "custom-icon": "fa fa-route",
          onClick: (C) => r.$refs.flowChart.open({ id: S.id })
        }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
        r.allow("active") && !S.isActive ? (openBlock(), createBlock(d, {
          key: 1,
          size: "small",
          title: r.$t("Front_Btn_Active"),
          type: "primary",
          "custom-icon": "fa fa-star",
          onClick: (C) => u.active(S)
        }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0)
      ]),
      _: 1
    }, 512),
    createVNode$1(_, { ref: "flowChart" }, null, 512)
  ]);
}
const process$1 = /* @__PURE__ */ _export_sfc(_sfc_main$11, [["render", _sfc_render$11]]), __vite_glob_0_25 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: process$1
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$10 = {
  name: "system-processType",
  mixins: [mixinPage],
  components: {},
  data() {
    return {};
  },
  computed: {},
  created() {
  },
  methods: {}
}, _hoisted_1$M = { class: "i-layout-page-header" };
function _sfc_render$10(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("view-table"), f = resolveComponent("Card"), p = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$M, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(f, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(d, {
          ref: "table",
          "view-code": "ProcessType",
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: a[0] || (a[0] = (v) => r.$refs.form.open()),
          onEdit: a[1] || (a[1] = ({ row: v, index: g }) => r.$refs.form.open(v))
        }, null, 8, ["create-enable", "remove-enable"])
      ]),
      _: 1
    }),
    createVNode$1(p, {
      ref: "form",
      "view-code": "ProcessTypeEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnAfterSave: a[2] || (a[2] = (v) => r.$refs.table.loadData())
    }, null, 8, ["create-enable", "edit-enable"])
  ]);
}
const processType = /* @__PURE__ */ _export_sfc(_sfc_main$10, [["render", _sfc_render$10]]), __vite_glob_0_26 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: processType
}, Symbol.toStringTag, { value: "Module" })), res$9 = "CustomModel", customModelApi = {
  add(r, a) {
    return service({
      url: `api/${res$9}/add`,
      method: "post",
      data: {
        modelName: r,
        model: a
      }
    });
  },
  update(r, a) {
    return service({
      url: `api/${res$9}/update`,
      method: "put",
      data: {
        modelName: r,
        model: a
      }
    });
  },
  remove(r, a) {
    return service({
      url: `api/${res$9}/remove`,
      method: "delete",
      data: {
        modelName: r,
        id: a
      }
    });
  },
  batchSave(r, a) {
    return service({
      url: `api/${res$9}/batchSave`,
      method: "post",
      data: {
        modelName: r,
        data: a
      }
    });
  },
  get(r, a) {
    return service({
      url: `api/${res$9}/get`,
      method: "get",
      params: {
        modelName: r,
        id: a
      }
    });
  },
  query(r, a) {
    let o = a.isGroupBy ? "group" : "query";
    return service({
      url: `api/${res$9}/${o}`,
      method: "post",
      data: {
        ...a,
        modelName: r
      }
    });
  },
  async exportExcel(r, a) {
    let o = {
      ...a,
      modelName: r.model,
      per: r.maxExportCount == null ? 1e6 : r.maxExportCount,
      returnType: 1,
      viewCode: (r.exportDataViewCode || "").trim() ? r.exportDataViewCode : r.code
    }, s;
    r.isGroupBy ? (o.groupColumn = JSON.parse(r.groupColumn), o.groupMethod = JSON.parse(r.groupMethod), s = await service({
      url: `api/${res$9}/group`,
      method: "post",
      responseType: "blob",
      data: o
    })) : s = await service({
      url: `api/${res$9}/query`,
      method: "post",
      responseType: "blob",
      data: o
    });
    const l = new Blob([s], {
      type: "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
    });
    saveAs(l, r.name + "-" + format$4(/* @__PURE__ */ new Date(), "yyyyMMddHHmmss") + ".xlsx");
  },
  async exportPdf(r, a) {
    let o = {
      ...a,
      modelName: r.model,
      per: 1e5,
      returnType: 3,
      viewCode: (r.exportDataViewCode || "").trim() ? r.exportDataViewCode : r.code
    }, s;
    r.isGroupBy ? (o.groupColumn = JSON.parse(r.groupColumn), o.groupMethod = JSON.parse(r.groupMethod), s = await service({
      url: `api/${res$9}/group`,
      method: "post",
      responseType: "blob",
      data: o
    })) : s = await service({
      url: `api/${res$9}/query`,
      method: "post",
      responseType: "blob",
      data: o
    });
    const l = new Blob([s], { type: "application/pdf" });
    saveAs(l, r.name + "-" + format$4(/* @__PURE__ */ new Date(), "yyyyMMddHHmmss") + ".pdf");
  },
  async printList(r, a, o = !0) {
    const s = lodop.getLodop();
    let l = {
      ...a,
      modelName: r.model,
      per: 1e3,
      returnType: 2,
      viewCode: (r.exportDataViewCode || "").trim() ? r.exportDataViewCode : r.code
    }, u;
    r.isGroupBy ? (l.groupColumn = JSON.parse(r.groupColumn), l.groupMethod = JSON.parse(r.groupMethod), u = await service({
      url: `api/${res$9}/group`,
      method: "post",
      data: l
    })) : u = await service({
      url: `api/${res$9}/query`,
      method: "post",
      data: l
    }), s.PRINT_INIT("Print"), o ? (s.ADD_PRINT_TABLE("4%", "3%", "94%", "90%", u), s.SET_PRINT_PAGESIZE(2, 0, 0, "A4")) : (s.ADD_PRINT_TABLE("4%", "3%", "94%", "90%", u), s.SET_PRINT_PAGESIZE(1, 0, 0, "A4")), s.PRINTA();
  }
}, res$8 = "RolePermission", rolePermissionApi = {
  update(r, a, o) {
    return service({
      url: `api/${res$8}/updateRolePermissions`,
      method: "post",
      data: {
        roleID: r,
        clientType: a,
        permissionIDs: o
      }
    });
  }
}, _sfc_main$$ = {
  mixins: [mixinPage],
  components: { columnCheck },
  data() {
    return {
      data: {},
      callback: null,
      opened: !1,
      params: [],
      paramData: {},
      paramOpened: !1,
      paramItemOpened: !1,
      sourceBefore: null
    };
  },
  async created() {
  },
  props: {},
  computed: {
    // 选择框，或复选框组，且非枚举类型，需要输入数据源
    needDataSource() {
      return this.data ? (this.data.controlType === "Select" || this.data.controlType === "MultiSelect" || this.data.controlType === "DialogSelect" || this.data.controlType === "MultiDialogSelect") && (this.data.dataType == null || this.data.dataType.indexOf("Enum:") !== 0) : !1;
    },
    rules() {
      return {
        propertyName: {
          type: "string",
          required: !0,
          message: this.$t("Front_Msg_Please_Input"),
          trigger: "blur"
        },
        propertyCode: {
          type: "string",
          required: !0,
          message: this.$t("Front_Msg_Please_Input"),
          trigger: "blur"
        },
        dataType: {
          type: "string",
          required: !0,
          message: this.$t("Front_Msg_Please_Input"),
          trigger: "blur"
        },
        controlType: {
          type: "string",
          required: !0,
          message: this.$t("Front_Msg_Please_Input"),
          trigger: "blur"
        },
        source: {
          type: "string",
          required: !0,
          message: this.$t("Front_Msg_Please_Input"),
          trigger: "blur"
        },
        sourceDataCode: {
          type: "string",
          required: !0,
          message: this.$t("Front_Msg_Please_Input"),
          trigger: "blur"
        },
        sourceDisplayCode: {
          type: "string",
          required: !0,
          message: this.$t("Front_Msg_Please_Input"),
          trigger: "blur"
        }
      };
    },
    parpamColumns() {
      return [
        { title: this.$t("Front_Label_Param"), resizable: !0, align: "center", key: "code" },
        { title: this.$t("Front_Label_Value"), align: "center", resizable: !0, key: "val" },
        { slot: "command", title: " ", align: "center", resizable: !0, fixed: "right" }
      ];
    },
    paramItemFormRules() {
      return {
        code: {
          type: "string",
          required: !0,
          message: this.$t("Front_Msg_Please_Input"),
          trigger: "blur,change"
        },
        val: {
          type: "string",
          required: !0,
          message: this.$t("Front_Msg_Please_Input"),
          trigger: "blur,change"
        }
      };
    }
  },
  methods: {
    // 打开
    open(r, a) {
      r ? this.data = this.copy(r) : this.data = {}, this.callback = a, this.opened = !0, this.$refs.form.resetFields();
    },
    // 关闭
    close() {
      this.opened = !1;
    },
    // 确认
    async save() {
      await this.$refs.form.validate() ? this.confirm("Front_Msg_Sure_To_Save", async () => {
        this.data.id ? await modelApi.update("RoleProperty", this.data) : await modelApi.add("RoleProperty", this.data), this.success("Front_Msg_Success"), this.callback(), this.opened = !1;
      }) : this.error("Front_Msg_Form_Validate_Fail");
    },
    // 打开字段选择界面
    openSelect() {
      this.$refs.columnCheck.open(this.dataView.model, (r) => {
        this.data.code = r.code, this.data.name = r.name, this.data.dataType = r.dataType, this.data.source = r.objColumn != null ? r.objColumn.dataType : null, this.data.sourceDataCode = r.objColumn != null ? "id" : null, this.data.sourceDisplayCode = r.objColumn != null && r.objColumn.columns.some(function(a) {
          return a.code === r.objColumn.code + ".name";
        }) ? "name" : null, setTimeout(() => {
        });
      });
    },
    // 数据源变更
    sourceChange() {
      this.sourceBefore != this.data.source && (this.data.sourceDisplayCode = null, this.data.sourceDataCode = null, this.data.param = null), this.sourceBefore = this.data.source;
    },
    // 打开变量字段选择界面
    openValueSelect() {
      this.$refs.columnCheck.open(this.data.dataView.model, (r) => {
        this.paramData.val = r.code;
      });
    },
    // 打开参数弹框
    paramOpen() {
      if (this.params = [], this.paramOpened = !0, this.data.param != null && this.data.param !== "") {
        let r = JSON.parse(this.data.param);
        for (let a in r)
          this.params.push({
            code: a,
            val: r[a]
          });
      }
    },
    // 参数框确认
    async paramItemSave() {
      if (!await this.$refs.paramItemForm.validate()) {
        this.error("Front_Msg_Form_Validate_Fail");
        return;
      }
      let a = this.paramData.val, o = this.paramData.val.length;
      a = this.paramData.val.padStart(o + 1, "[").padEnd(o + 2, "]"), this.paramData.source ? (this.paramData.source.code = this.paramData.code, this.paramData.source.val = a) : this.params.push({
        code: this.paramData.code,
        val: a
      }), this.paramItemOpened = !1, this.$refs.paramItemForm.resetFields();
    },
    paramItemClose() {
      this.paramItemOpened = !1, this.$refs.paramItemForm.resetFields();
    },
    // 打开字段选择界面
    openColumnSelect(r, a) {
      if (this.data.source == null)
        return;
      let o;
      this.data.controlType == "DialogSelect" || this.data.controlType == "MultiDialogSelect" ? o = this.$refs.dataViewSource.selectedData.model : o = this.data.source, this.$refs.columnParamCheck.open(o, (s) => {
        r[a] = s.code;
      });
    },
    // 保存参数
    paramSave() {
      let r = {};
      this.params.forEach((a) => {
        r[a.code] = a.val;
      }), this.data.param = this.params.length > 0 ? JSON.stringify(r) : "", this.paramOpened = !1;
    },
    // 编辑参数项
    paramEdit(r) {
      r ? this.paramData = {
        code: r.code,
        val: r.val.replace("[", "").replace("]", ""),
        source: r
      } : this.paramData = {
        code: "",
        val: ""
      }, this.paramItemOpened = !0;
    },
    // 上移参数项
    upParam(r, a) {
      a > 0 && (this.params.splice(a, 1), this.params.splice(a - 1, 0, r));
    },
    // 下移参数项
    downParam(r, a) {
      a < this.params.length - 1 && (this.params.splice(a, 1), this.params.splice(a + 1, 0, r));
    },
    // 删除参数项
    paramRemove(r, a) {
      this.params.splice(a, 1);
    }
  }
}, _hoisted_1$L = { class: "title" }, _hoisted_2$z = { class: "description" }, _hoisted_3$u = { class: "ivu-ml-8 ivu-mr-8" }, _hoisted_4$l = { class: "title" }, _hoisted_5$e = { class: "description" }, _hoisted_6$8 = { class: "i-table-no-border" }, _hoisted_7$7 = { class: "title" }, _hoisted_8$7 = { class: "description" }, _hoisted_9$6 = { class: "ivu-ml-8 ivu-mr-8" };
function _sfc_render$$(r, a, o, s, l, u) {
  const c = resolveComponent("Input"), d = resolveComponent("FormItem"), f = resolveComponent("Col"), p = resolveComponent("Option"), v = resolveComponent("Select"), g = resolveComponent("dialog-select"), y = resolveComponent("Button"), _ = resolveComponent("Switch"), S = resolveComponent("Row"), C = resolveComponent("Form"), b = resolveComponent("Modal"), T = resolveComponent("Table"), E = resolveComponent("column-check");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(b, {
      modelValue: l.opened,
      "onUpdate:modelValue": a[15] || (a[15] = (x) => l.opened = x),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: "800"
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          createElementVNode("span", _hoisted_1$L, toDisplayString$2(r.$t("Front_Label_Property_Setting")), 1),
          createElementVNode("span", _hoisted_2$z, toDisplayString$2(r.$t("Front_Label_Property_Setting_Desc")), 1)
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(y, {
            type: "primary",
            "custom-icon": "fa fa-check",
            onClick: u.save
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
            ]),
            _: 1
          }, 8, ["onClick"]),
          createVNode$1(y, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: u.close
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          }, 8, ["onClick"])
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_3$u, [
          createVNode$1(C, {
            ref: "form",
            model: l.data,
            "label-position": "top",
            "label-colon": "：",
            class: "ivu-mt",
            rules: u.rules,
            onSubmit: a[14] || (a[14] = withModifiers(() => {
            }, ["prevent"]))
          }, {
            default: withCtx(() => [
              createVNode$1(S, {
                gutter: 24,
                type: "flex"
              }, {
                default: withCtx(() => [
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: r.$t("Front_Label_Property_Name"),
                        prop: "propertyName"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.data.propertyName,
                            "onUpdate:modelValue": a[0] || (a[0] = (x) => l.data.propertyName = x)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label"])
                    ]),
                    _: 1
                  }, 16),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: r.$t("Front_Label_Property_Code"),
                        prop: "propertyCode"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.data.propertyCode,
                            "onUpdate:modelValue": a[1] || (a[1] = (x) => l.data.propertyCode = x)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label"])
                    ]),
                    _: 1
                  }, 16),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: r.$t("Front_Label_Data_Type"),
                        prop: "dataType"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(v, {
                            modelValue: l.data.dataType,
                            "onUpdate:modelValue": a[2] || (a[2] = (x) => l.data.dataType = x),
                            transfer: !0
                          }, {
                            default: withCtx(() => [
                              (openBlock(!0), createElementBlock(Fragment, null, renderList(r.getEnumList("DataType"), (x) => (openBlock(), createBlock(p, {
                                key: x.id,
                                value: x.id
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString$2(x.name), 1)
                                ]),
                                _: 2
                              }, 1032, ["value"]))), 128))
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label"])
                    ]),
                    _: 1
                  }, 16),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "控件类型",
                        prop: "ControlType"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(v, {
                            modelValue: l.data.controlType,
                            "onUpdate:modelValue": a[3] || (a[3] = (x) => l.data.controlType = x),
                            transfer: !0
                          }, {
                            default: withCtx(() => [
                              createVNode$1(p, {
                                key: "TextInput",
                                value: "TextInput"
                              }, {
                                default: withCtx(() => a[23] || (a[23] = [
                                  createTextVNode("单行文本框")
                                ])),
                                _: 1
                              }),
                              createVNode$1(p, {
                                key: "NumberInput",
                                value: "NumberInput"
                              }, {
                                default: withCtx(() => a[24] || (a[24] = [
                                  createTextVNode("数字输入框")
                                ])),
                                _: 1
                              }),
                              createVNode$1(p, {
                                key: "Check",
                                value: "Check"
                              }, {
                                default: withCtx(() => a[25] || (a[25] = [
                                  createTextVNode("勾选")
                                ])),
                                _: 1
                              }),
                              createVNode$1(p, {
                                key: "Select",
                                value: "Select"
                              }, {
                                default: withCtx(() => a[26] || (a[26] = [
                                  createTextVNode("选择框")
                                ])),
                                _: 1
                              }),
                              createVNode$1(p, {
                                key: "MultiSelect",
                                value: "MultiSelect"
                              }, {
                                default: withCtx(() => a[27] || (a[27] = [
                                  createTextVNode("多选选择框")
                                ])),
                                _: 1
                              }),
                              createVNode$1(p, {
                                key: "DialogSelect",
                                value: "DialogSelect"
                              }, {
                                default: withCtx(() => a[28] || (a[28] = [
                                  createTextVNode("弹出选择框")
                                ])),
                                _: 1
                              }),
                              createVNode$1(p, {
                                key: "MultiDialogSelect",
                                value: "MultiDialogSelect"
                              }, {
                                default: withCtx(() => a[29] || (a[29] = [
                                  createTextVNode("多选弹出选择框")
                                ])),
                                _: 1
                              })
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  u.needDataSource ? withDirectives((openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 0 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: r.$t("Front_Label_Data_Source"),
                        key: "Source",
                        prop: "Source"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(g, {
                            ref: "select",
                            modelValue: l.data.source,
                            "onUpdate:modelValue": a[4] || (a[4] = (x) => l.data.source = x),
                            source: "EntitySelect",
                            "source-data-code": "name",
                            "source-display-code": "name",
                            onOnChange: u.sourceChange
                          }, null, 8, ["modelValue", "onOnChange"])
                        ]),
                        _: 1
                      }, 8, ["label"])
                    ]),
                    _: 1
                  }, 16)), [
                    [vShow, l.data.controlType == "Select" || l.data.controlType == "MultiSelect" || l.data.controlType == "ComboSelect"]
                  ]) : createCommentVNode("", !0),
                  u.needDataSource ? withDirectives((openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 1 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: r.$t("Front_Label_View"),
                        key: "DataViewSource",
                        prop: "DataViewSource"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(g, {
                            ref: "dataViewSource",
                            modelValue: l.data.source,
                            "onUpdate:modelValue": a[5] || (a[5] = (x) => l.data.source = x),
                            source: "DataViewSelect",
                            "source-data-code": "code",
                            "source-display-code": "code",
                            param: { viewType: "TableView" },
                            onOnChange: u.sourceChange
                          }, null, 8, ["modelValue", "onOnChange"])
                        ]),
                        _: 1
                      }, 8, ["label"])
                    ]),
                    _: 1
                  }, 16)), [
                    [vShow, l.data.controlType == "DialogSelect" || l.data.controlType == "MultiDialogSelect"]
                  ]) : createCommentVNode("", !0),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      l.data.source ? (openBlock(), createBlock(d, {
                        label: r.$t("Front_Label_Source_Data_Code"),
                        key: "SourceDataCode",
                        prop: "SourceDataCode"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            readonly: !0,
                            modelValue: l.data.sourceDataCode,
                            "onUpdate:modelValue": a[7] || (a[7] = (x) => l.data.sourceDataCode = x),
                            onOnFocus: a[8] || (a[8] = (x) => u.openColumnSelect(l.data, "sourceDataCode"))
                          }, {
                            prepend: withCtx(() => [
                              createVNode$1(y, {
                                "custom-icon": "fa fa-search",
                                onClick: a[6] || (a[6] = (x) => u.openColumnSelect(l.data, "sourceDataCode"))
                              })
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label"])) : createCommentVNode("", !0)
                    ]),
                    _: 1
                  }, 16),
                  u.needDataSource ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 2 }, r.grid8)), {
                    default: withCtx(() => [
                      l.data.source ? (openBlock(), createBlock(d, {
                        label: r.$t("Front_Label_Source_Display_Code"),
                        key: "SourceDisplayCode",
                        prop: "SourceDisplayCode"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            readonly: !0,
                            modelValue: l.data.sourceDisplayCode,
                            "onUpdate:modelValue": a[10] || (a[10] = (x) => l.data.sourceDisplayCode = x),
                            onOnFocus: a[11] || (a[11] = (x) => u.openColumnSelect(l.data, "sourceDisplayCode"))
                          }, {
                            prepend: withCtx(() => [
                              createVNode$1(y, {
                                "custom-icon": "fa fa-search",
                                onClick: a[9] || (a[9] = (x) => u.openColumnSelect(l.data, "sourceDisplayCode"))
                              })
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label"])) : createCommentVNode("", !0)
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  u.needDataSource ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 3 }, r.grid16)), {
                    default: withCtx(() => [
                      l.data.source ? (openBlock(), createBlock(d, {
                        label: r.$t("Front_Label_Param"),
                        key: "Param",
                        prop: "Param"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            onClick: u.paramOpen,
                            readonly: !0,
                            modelValue: l.data.param,
                            "onUpdate:modelValue": a[12] || (a[12] = (x) => l.data.param = x),
                            maxlength: "200"
                          }, null, 8, ["onClick", "modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label"])) : createCommentVNode("", !0)
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: r.$t("Front_Label_Is_Required"),
                        key: "isRequired",
                        prop: "isRequired"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(_, {
                            "model-value": !!l.data.isRequired,
                            "onUpdate:modelValue": a[13] || (a[13] = (x) => {
                              l.data.isRequired = x;
                            })
                          }, null, 8, ["model-value"])
                        ]),
                        _: 1
                      }, 8, ["label"])
                    ]),
                    _: 1
                  }, 16)
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model", "rules"])
        ])
      ]),
      _: 1
    }, 8, ["modelValue", "mask-closable", "draggable"]),
    createVNode$1(b, {
      modelValue: l.paramOpened,
      "onUpdate:modelValue": a[17] || (a[17] = (x) => l.paramOpened = x),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: "600"
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          renderSlot(r.$slots, "header", {}, () => [
            createElementVNode("span", _hoisted_4$l, toDisplayString$2(r.$t("Front_Label_Param")), 1),
            createElementVNode("span", _hoisted_5$e, toDisplayString$2(r.$t("Front_Label_Param_Desc")), 1)
          ])
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(y, {
            type: "primary",
            ghost: "",
            "custom-icon": "fa fa-plus",
            onClick: a[16] || (a[16] = (x) => u.paramEdit())
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Add")), 1)
            ]),
            _: 1
          }),
          createVNode$1(y, {
            type: "primary",
            "custom-icon": "fa fa-check",
            onClick: u.paramSave
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
            ]),
            _: 1
          }, 8, ["onClick"])
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_6$8, [
          createVNode$1(T, {
            columns: u.parpamColumns,
            data: l.params,
            stripe: "",
            size: "small"
          }, {
            command: withCtx(({ row: x, index: $ }) => [
              createVNode$1(y, {
                size: "small",
                title: r.$t("Front_Btn_Edit"),
                type: "primary",
                ghost: "",
                "custom-icon": "fa fa-edit",
                onClick: (A) => u.paramEdit(x, $)
              }, null, 8, ["title", "onClick"]),
              createVNode$1(y, {
                size: "small",
                title: r.$t("Front_Btn_Up"),
                type: "primary",
                ghost: "",
                "custom-icon": "fa fa-chevron-up",
                onClick: (A) => u.upParam(x, $)
              }, null, 8, ["title", "onClick"]),
              createVNode$1(y, {
                size: "small",
                title: r.$t("Front_Btn_Down"),
                type: "primary",
                ghost: "",
                "custom-icon": "fa fa-chevron-down",
                onClick: (A) => u.downParam(x, $)
              }, null, 8, ["title", "onClick"]),
              createVNode$1(y, {
                size: "small",
                title: r.$t("Front_Btn_Remove"),
                type: "primary",
                ghost: "",
                "custom-icon": "fa fa-times",
                onClick: (A) => u.paramRemove(x, $)
              }, null, 8, ["title", "onClick"])
            ]),
            _: 1
          }, 8, ["columns", "data"])
        ])
      ]),
      _: 3
    }, 8, ["modelValue", "mask-closable", "draggable"]),
    createVNode$1(b, {
      modelValue: l.paramItemOpened,
      "onUpdate:modelValue": a[22] || (a[22] = (x) => l.paramItemOpened = x),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: "800"
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          createElementVNode("span", _hoisted_7$7, toDisplayString$2(r.$t("Front_Label_Param_Setting")), 1),
          createElementVNode("span", _hoisted_8$7, toDisplayString$2(r.$t("Front_Label_Param_Setting_Desc")), 1)
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(y, {
            type: "primary",
            "custom-icon": "fa fa-check",
            onClick: u.paramItemSave
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
            ]),
            _: 1
          }, 8, ["onClick"]),
          createVNode$1(y, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: u.paramItemClose
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          }, 8, ["onClick"])
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_9$6, [
          createVNode$1(C, {
            ref: "paramItemForm",
            rules: u.paramItemFormRules,
            model: l.paramData,
            "label-position": "top",
            "label-colon": "：",
            class: "ivu-mt",
            onSubmit: a[21] || (a[21] = withModifiers(() => {
            }, ["prevent"]))
          }, {
            default: withCtx(() => [
              createVNode$1(S, {
                gutter: 24,
                type: "flex"
              }, {
                default: withCtx(() => [
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: r.$t("Front_Msg_Column"),
                        key: "code",
                        prop: "code"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.paramData.code,
                            "onUpdate:modelValue": a[19] || (a[19] = (x) => l.paramData.code = x)
                          }, {
                            prepend: withCtx(() => [
                              createVNode$1(y, {
                                "custom-icon": "fa fa-search",
                                onClick: a[18] || (a[18] = (x) => u.openColumnSelect(l.paramData, "code"))
                              })
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label"])
                    ]),
                    _: 1
                  }, 16),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: r.$t("Front_Msg_Value"),
                        key: "val",
                        prop: "val"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.paramData.val,
                            "onUpdate:modelValue": a[20] || (a[20] = (x) => l.paramData.val = x)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label"])
                    ]),
                    _: 1
                  }, 16)
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["rules", "model"])
        ])
      ]),
      _: 1
    }, 8, ["modelValue", "mask-closable", "draggable"]),
    createVNode$1(E, { ref: "columnCheck" }, null, 512),
    createVNode$1(E, { ref: "columnParamCheck" }, null, 512)
  ]);
}
const rolePropertyEdit = /* @__PURE__ */ _export_sfc(_sfc_main$$, [["render", _sfc_render$$]]), __vite_glob_0_28 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: rolePropertyEdit
}, Symbol.toStringTag, { value: "Module" }));
var convertList$1 = (r) => r ? r.map((a) => {
  a.subPermissions || (a.subPermissions = []);
  let o = convertList$1(a.subPermissions);
  return a.permissionPoints && a.permissionPoints.forEach((s) => {
    o.push({
      id: a.id + "-" + s.code,
      title: s.name + " (" + s.code + ")",
      checked: s.checked
    });
  }), {
    id: a.id,
    title: a.name + " (" + a.subName + ")",
    checked: a.checked && (o == null || o.length === 0),
    expand: o != null,
    children: o
  };
}) : null, getChecked$1 = (r) => {
  let a = [];
  return r.forEach((o) => {
    if (o.checked && a.push(o.id), o.children) {
      let s = getChecked$1(o.children);
      s.length > 0 && !o.checked && a.push(o.id), a = a.concat(s);
    }
  }), a;
};
const _sfc_main$_ = {
  name: "system-role",
  mixins: [mixinPage],
  components: { rolePropertyEdit },
  data() {
    return {
      roleID: null,
      permissions: [],
      permissionOpened: !1,
      clientType: null,
      clientTypes: [],
      roleProperties: []
    };
  },
  computed: {},
  async created() {
    const r = await modelApi.query("Dict", { "type.code": "ClientType" });
    this.clientTypes = r.data, this.clientType = this.clientTypes[0].code;
  },
  methods: {
    // 权限
    async openPermission(r) {
      this.roleID = r.id, this.loadPermission(), this.permissionOpened = !0;
    },
    // 加载权限
    async loadPermission() {
      const r = await permissionApi.queryByRoleID(this.roleID, this.clientType);
      this.permissions = convertList$1(r);
    },
    // 保存权限
    savePermission() {
      let r = getChecked$1(this.permissions);
      this.confirm("Front_Msg_Sure_To_Save", async () => {
        await rolePermissionApi.update(this.roleID, this.clientType, r), this.success("Front_Msg_Success", () => {
          this.permissionOpened = !1;
        });
      });
    },
    // 给角色添加用户
    async addUserRole() {
      this.$refs.userRoleForm.columns.find((o) => o.code == "userID").isReadonly = !1;
      let r = this.$refs.userRoleTable.param.roleID;
      const a = await modelApi.query("RoleProperty", { roleID: r });
      this.roleProperties = a.data.map((o) => ({
        ...o,
        propertyValue: null
      })), await this.initDataSource(), this.$refs.userRoleDataTable.loadData(this.roleProperties), this.$refs.userRoleForm.openDefault(this.$refs.userRoleTable.param);
    },
    // 用户角色编辑
    async editUserRole(r) {
      this.$refs.userRoleForm.columns.find((u) => u.code == "userID").isReadonly = !0;
      let a = r.roleID, o = await modelApi.query("RoleProperty", { roleID: a }), s = o.data, l = [];
      o = await modelApi.query("UserRoleData", { userID: r.userID, roleID: r.roleID }), l = o.data, this.roleProperties = s.map((u) => {
        let c = l.find((d) => d.propertyCode == u.propertyCode);
        return {
          ...u,
          propertyValue: c == null ? null : c.propertyValue
        };
      }), await this.initDataSource(), this.$refs.userRoleDataTable.loadData(this.roleProperties), this.$refs.userRoleForm.open(r);
    },
    // 加载数据源
    async initDataSource() {
      for (let r = 0; r < this.roleProperties.length; r++) {
        let a = this.roleProperties[r];
        if ((a.source || "").trim() && (a.controlType === "Select" || a.controlType === "MultiSelect")) {
          a._dataSource = [];
          let o = this.getParam(a);
          o != null && await this.fillDataSource(a, o);
        }
      }
    },
    // 填充数据源
    async fillDataSource(r, a) {
      let o;
      r.isSourceCustom ? o = await customModelApi.query(r.source, a) : o = await modelApi.query(r.source, a), o.data.forEach((s) => {
        r._dataSource.push({
          id: (r.sourceDataCode || "").trim() ? this.parseData(s, r.sourceDataCode) : s.id,
          name: this.parseData(s, r.sourceDisplayCode)
        });
      });
    },
    // 获取参数
    getParam(r) {
      let a = {};
      if ((r.param || "").trim()) {
        a = JSON.parse(r.param);
        for (let o in a) {
          if (a[o].search(/^\[.*?\]$/) === 0) {
            a[o] = a[o].substring(1, a[o].length - 1);
            continue;
          }
          let l = this.parseData(r, a[o]);
          if (l != null) {
            a[o] = l;
            continue;
          }
          return null;
        }
      }
      return a;
    },
    // 用户角色保存
    async userRoleSave() {
      await this.$refs.userRoleForm.validate() ? this.confirm("Front_Msg_Sure_To_Save", async () => {
        let a = this.$refs.userRoleForm.getFullData();
        if (!a)
          return;
        let o = this.$refs.userRoleDataTable.getData(), s = {
          userRole: a,
          userRoleDatas: o
        };
        a.id ? await modelApi.update("UserRole", s) : await modelApi.add("UserRole", s), this.success("Front_Msg_Success", () => {
          this.$refs.userRoleDataTable.loadData([]), this.$refs.userRoleTable.loadData(), this.$refs.userRoleForm.close();
        });
      }) : this.error("Front_Msg_Form_Validate_Fail");
    }
  }
}, _hoisted_1$K = { class: "i-layout-page-header" }, _hoisted_2$y = { class: "title" }, _hoisted_3$t = { class: "description" }, _hoisted_4$k = { class: "ivu-ml-8 ivu-mr-8" };
function _sfc_render$_(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("view-table"), p = resolveComponent("Card"), v = resolveComponent("modal-form"), g = resolveComponent("modal-table"), y = resolveComponent("Input"), _ = resolveComponent("Option"), S = resolveComponent("Select"), C = resolveComponent("dialog-select"), b = resolveComponent("Checkbox"), T = resolveComponent("role-property-edit"), E = resolveComponent("Radio"), x = resolveComponent("RadioGroup"), $ = resolveComponent("FormItem"), A = resolveComponent("Col"), N = resolveComponent("Row"), P = resolveComponent("Form"), L = resolveComponent("Tree"), O = resolveComponent("Modal");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$K, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(f, {
          ref: "table",
          "view-code": "Role",
          onCreate: a[0] || (a[0] = (M) => r.$refs.form.open()),
          "create-enable": r.allow("create")
        }, {
          command: withCtx(({ row: M }) => [
            r.allow("user") ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              title: r.$t("Front_Btn_User"),
              type: "info",
              "custom-icon": "fa fa-user",
              onClick: (F) => r.$refs.userRoleTable.open({ roleID: M.id })
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
            r.allow("edit") ? (openBlock(), createBlock(d, {
              key: 1,
              size: "small",
              title: r.$t("Front_Btn_Edit"),
              type: "primary",
              "custom-icon": "fa fa-edit",
              onClick: (F) => r.$refs.form.open(M)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
            r.allow("permission") ? (openBlock(), createBlock(d, {
              key: 2,
              size: "small",
              title: r.$t("Front_Btn_Permission"),
              type: "primary",
              "custom-icon": "fa fa-desktop",
              onClick: (F) => u.openPermission(M)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
            r.allow("param") ? (openBlock(), createBlock(d, {
              key: 3,
              size: "small",
              title: r.$t("Front_Btn_Param"),
              type: "info",
              "custom-icon": "fa fa-ethernet",
              onClick: (F) => r.$refs.rolePropertyTable.open({ roleID: M.id })
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
            r.allow("remove") ? (openBlock(), createBlock(d, {
              key: 4,
              size: "small",
              title: r.$t("Front_Btn_Remove"),
              type: "warning",
              "custom-icon": "fa fa-trash-alt",
              onClick: (F) => r.$refs.table.remove(M)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0)
          ]),
          _: 1
        }, 8, ["create-enable"])
      ]),
      _: 1
    }),
    createVNode$1(v, {
      ref: "form",
      "view-code": "RoleEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnAfterSave: a[1] || (a[1] = (M) => r.$refs.table.loadData())
    }, null, 8, ["create-enable", "edit-enable"]),
    createVNode$1(g, {
      ref: "userRoleTable",
      "view-code": "RoleUser",
      onEdit: a[3] || (a[3] = ({ row: M }) => u.editUserRole(M))
    }, {
      filterCommand: withCtx(() => [
        createVNode$1(d, {
          size: "small",
          type: "primary",
          "custom-icon": "fa fa-plus",
          onClick: a[2] || (a[2] = (M) => u.addUserRole())
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Add")), 1)
          ]),
          _: 1
        })
      ]),
      _: 1
    }, 512),
    createVNode$1(v, {
      ref: "userRoleForm",
      "view-code": "RoleUserEdit",
      onOnAfterSave: a[4] || (a[4] = (M) => r.$refs.userRoleTable.loadData())
    }, {
      bottom: withCtx(() => [
        createVNode$1(f, {
          ref: "userRoleDataTable",
          "view-code": "UserRoleDataEdit",
          static: !0
        }, {
          column: withCtx(({ row: M, code: F }) => [
            M.controlType === "TextInput" ? (openBlock(), createBlock(y, {
              key: 0,
              type: "text",
              size: "small",
              modelValue: M.propertyValue,
              "onUpdate:modelValue": (U) => M.propertyValue = U
            }, null, 8, ["modelValue", "onUpdate:modelValue"])) : M.controlType === "NumberInput" ? (openBlock(), createBlock(y, {
              key: 1,
              type: "number",
              size: "small",
              number: "",
              modelValue: M.propertyValue,
              "onUpdate:modelValue": (U) => M.propertyValue = U
            }, null, 8, ["modelValue", "onUpdate:modelValue"])) : M.controlType === "Select" ? (openBlock(), createBlock(S, {
              key: 2,
              size: "small",
              modelValue: M.propertyValue,
              "onUpdate:modelValue": (U) => M.propertyValue = U,
              clearable: !0,
              transfer: !0
            }, {
              default: withCtx(() => [
                (openBlock(!0), createElementBlock(Fragment, null, renderList(M._dataSource, (U) => (openBlock(), createBlock(_, {
                  key: U.id,
                  value: U.id
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString$2(U.name), 1)
                  ]),
                  _: 2
                }, 1032, ["value"]))), 128))
              ]),
              _: 2
            }, 1032, ["modelValue", "onUpdate:modelValue"])) : M.controlType === "MultiSelect" ? (openBlock(), createBlock(S, {
              key: 3,
              size: "small",
              "model-value": M.propertyValue == null ? null : JSON.parse(M.propertyValue),
              "onUpdate:modelValue": (U) => {
                M.propertyValue = U.length == 0 ? null : JSON.stringify(U);
              },
              multiple: !0,
              clearable: "",
              transfer: !0
            }, {
              default: withCtx(() => [
                (openBlock(!0), createElementBlock(Fragment, null, renderList(M._dataSource, (U) => (openBlock(), createBlock(_, {
                  key: U.id,
                  value: U.id
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString$2(U.name), 1)
                  ]),
                  _: 2
                }, 1032, ["value"]))), 128))
              ]),
              _: 2
            }, 1032, ["model-value", "onUpdate:modelValue"])) : M.controlType === "DialogSelect" ? (openBlock(), createBlock(C, {
              key: 4,
              modelValue: M.propertyValue,
              "onUpdate:modelValue": (U) => M.propertyValue = U,
              size: "small",
              source: M.source,
              "source-data-code": M.sourceDataCode,
              "source-display-code": M.sourceDisplayCode,
              param: u.getParam(M)
            }, null, 8, ["modelValue", "onUpdate:modelValue", "source", "source-data-code", "source-display-code", "param"])) : M.controlType === "MultiDialogSelect" ? (openBlock(), createBlock(C, {
              key: 5,
              modelValue: M.propertyValue,
              "onUpdate:modelValue": (U) => M.propertyValue = U,
              size: "small",
              multi: !0,
              source: M.source,
              "source-data-code": M.sourceDataCode,
              "source-display-code": M.sourceDisplayCode,
              param: u.getParam(M)
            }, null, 8, ["modelValue", "onUpdate:modelValue", "source", "source-data-code", "source-display-code", "param"])) : M.controlType === "Check" ? (openBlock(), createBlock(b, {
              key: 6,
              "model-value": !!r.parseData(M, F),
              "onUpdate:modelValue": (U) => r.setData(M, F, U)
            }, null, 8, ["model-value", "onUpdate:modelValue"])) : createCommentVNode("", !0)
          ]),
          _: 1
        }, 512)
      ]),
      footer: withCtx(() => [
        createVNode$1(d, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.userRoleSave
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512),
    createVNode$1(g, {
      ref: "rolePropertyTable",
      "view-code": "RolePropertyModal",
      onCreate: a[5] || (a[5] = (M) => {
        r.$refs.rolePropertyEdit.open({ roleID: r.$refs.rolePropertyTable.param.roleID }, () => {
          r.$refs.rolePropertyTable.loadData();
        });
      }),
      onEdit: a[6] || (a[6] = ({ row: M, index: F }) => r.$refs.rolePropertyEdit.open(M, () => {
        r.$refs.rolePropertyTable.loadData();
      }))
    }, null, 512),
    createVNode$1(T, { ref: "rolePropertyEdit" }, null, 512),
    createVNode$1(O, {
      modelValue: l.permissionOpened,
      "onUpdate:modelValue": a[11] || (a[11] = (M) => l.permissionOpened = M),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: 800
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          createElementVNode("span", _hoisted_2$y, toDisplayString$2(r.$t("Front_Label_Permission")), 1),
          createElementVNode("span", _hoisted_3$t, toDisplayString$2(r.$t("Front_Label_Permission_Desc")), 1)
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(d, {
            type: "primary",
            "custom-icon": "fa fa-save",
            onClick: a[9] || (a[9] = (M) => u.savePermission())
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
            ]),
            _: 1
          }),
          createVNode$1(d, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: a[10] || (a[10] = (M) => l.permissionOpened = !1)
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          })
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_4$k, [
          createVNode$1(P, {
            "label-position": "top",
            "label-colon": "：",
            class: "ivu-mt"
          }, {
            default: withCtx(() => [
              createVNode$1(N, {
                gutter: 24,
                type: "flex"
              }, {
                default: withCtx(() => [
                  createVNode$1(A, { span: "24" }, {
                    default: withCtx(() => [
                      createVNode$1($, {
                        label: r.$t("Front_Label_Client_Type"),
                        key: "clientType",
                        prop: "clientType"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(x, {
                            modelValue: l.clientType,
                            "onUpdate:modelValue": a[7] || (a[7] = (M) => l.clientType = M),
                            onOnChange: a[8] || (a[8] = (M) => u.loadPermission())
                          }, {
                            default: withCtx(() => [
                              (openBlock(!0), createElementBlock(Fragment, null, renderList(l.clientTypes, (M) => (openBlock(), createBlock(E, {
                                key: M.code,
                                label: M.code
                              }, {
                                default: withCtx(() => [
                                  createElementVNode("span", null, toDisplayString$2(M.name), 1)
                                ]),
                                _: 2
                              }, 1032, ["label"]))), 128))
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label"])
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              })
            ]),
            _: 1
          }),
          createVNode$1(L, {
            data: l.permissions,
            "show-checkbox": ""
          }, null, 8, ["data"])
        ])
      ]),
      _: 1
    }, 8, ["modelValue", "mask-closable", "draggable"])
  ]);
}
const role = /* @__PURE__ */ _export_sfc(_sfc_main$_, [["render", _sfc_render$_]]), __vite_glob_0_27 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: role
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$Z = {
  name: "system-sequenceSetting",
  mixins: [mixinPage],
  components: {},
  data() {
    return {};
  },
  computed: {},
  created() {
  },
  methods: {}
}, _hoisted_1$J = { class: "i-layout-page-header" };
function _sfc_render$Z(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("view-table"), f = resolveComponent("Card"), p = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$J, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(f, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(d, {
          ref: "table",
          "view-code": "SequenceSetting",
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: a[0] || (a[0] = (v) => r.$refs.form.open()),
          onEdit: a[1] || (a[1] = ({ row: v, index: g }) => r.$refs.form.open(v))
        }, null, 8, ["create-enable", "remove-enable"])
      ]),
      _: 1
    }),
    createVNode$1(p, {
      ref: "form",
      "view-code": "SequenceSettingEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnAfterSave: a[2] || (a[2] = (v) => r.$refs.table.loadData())
    }, null, 8, ["create-enable", "edit-enable"])
  ]);
}
const sequenceSetting = /* @__PURE__ */ _export_sfc(_sfc_main$Z, [["render", _sfc_render$Z]]), __vite_glob_0_29 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: sequenceSetting
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$Y = {
  name: "system-setting",
  mixins: [mixinPage],
  components: {},
  data() {
    return {};
  },
  computed: {},
  created() {
  },
  methods: {}
}, _hoisted_1$I = { class: "i-layout-page-header" };
function _sfc_render$Y(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("view-table"), f = resolveComponent("Card"), p = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$I, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(f, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(d, {
          ref: "table",
          "view-code": "Setting",
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: a[0] || (a[0] = (v) => r.$refs.form.open()),
          onEdit: a[1] || (a[1] = ({ row: v, index: g }) => r.$refs.form.open(v))
        }, null, 8, ["create-enable", "remove-enable"])
      ]),
      _: 1
    }),
    createVNode$1(p, {
      ref: "form",
      "view-code": "SettingEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnAfterSave: a[2] || (a[2] = (v) => r.$refs.table.loadData())
    }, null, 8, ["create-enable", "edit-enable"])
  ]);
}
const setting$1 = /* @__PURE__ */ _export_sfc(_sfc_main$Y, [["render", _sfc_render$Y]]), __vite_glob_0_30 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: setting$1
}, Symbol.toStringTag, { value: "Module" })), res$7 = "System", systemApi = {
  async exportFile(r) {
    const a = await service({
      url: `api/${res$7}/exportFile`,
      method: "post",
      responseType: "blob",
      data: {
        types: r
      }
    }), o = new Blob([a], {
      type: "application/octet-stream"
    });
    saveAs(o, "SystemData-" + format$4(/* @__PURE__ */ new Date(), "yyyyMMddHHmmss") + ".syd");
  }
}, _sfc_main$X = {
  name: "system-systemData",
  mixins: [mixinPage],
  components: {},
  data() {
    return {};
  },
  computed: {},
  created() {
  },
  methods: {
    // 导出文件
    exportFile() {
      let r = this.$refs.form.data.types;
      r && r.length > 0 ? systemApi.exportFile(JSON.parse(r)) : this.error("Front_Msg_Please_Select_Export_Item");
    },
    // 导入成功
    importFileSuccess(r) {
      r.code == 0 ? this.success("Front_Msg_Success") : this.error(r.message);
    }
  }
}, _hoisted_1$H = { class: "i-layout-page-header" }, _hoisted_2$x = { style: { "text-align": "center" } };
function _sfc_render$X(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("view-form"), f = resolveComponent("Button"), p = resolveComponent("file-upload"), v = resolveComponent("Card");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$H, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(v, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(d, {
          ref: "form",
          "view-code": "SystemData"
        }, null, 512),
        createElementVNode("div", _hoisted_2$x, [
          createVNode$1(f, {
            type: "info",
            "custom-icon": "fa fa-cloud-download-alt",
            onClick: a[0] || (a[0] = (g) => u.exportFile())
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Export")), 1)
            ]),
            _: 1
          }),
          createVNode$1(p, {
            url: "api/System/importFile",
            accept: ".syd",
            onOnSuccess: u.importFileSuccess,
            style: { display: "inline-block", "margin-left": "8px", "margin-right": "8px" }
          }, {
            default: withCtx(() => [
              createVNode$1(f, {
                type: "primary",
                "custom-icon": "fa fa-cloud-upload-alt"
              }, {
                default: withCtx(() => [
                  createTextVNode(toDisplayString$2(r.$t("Front_Btn_Import")), 1)
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["onOnSuccess"])
        ])
      ]),
      _: 1
    })
  ]);
}
const systemData = /* @__PURE__ */ _export_sfc(_sfc_main$X, [["render", _sfc_render$X]]), __vite_glob_0_31 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: systemData
}, Symbol.toStringTag, { value: "Module" })), res$6 = "FilterColumn", filterColumnApi = {
  queryByDataViewID(r) {
    return service({
      url: `api/${res$6}/query`,
      method: "post",
      data: {
        dataViewID: r,
        orderBy: "+OrderNo"
      }
    });
  }
};
var convertList = (r, a, o, s) => r ? r.map((l) => {
  let u = (o || "").trim() ? l.code.replace(o, s) : l.code;
  return {
    column: {
      code: u,
      name: l.name,
      dataType: l.dataType,
      columns: l.columns
    },
    title: l.name + " (" + u + ")",
    checked: a.some((c) => c.code === l.code),
    children: convertList(l.columns, a, o, s)
  };
}) : null, convertGroup = (r, a, o) => {
  let s = [];
  return o.forEach((l) => {
    if (s.push({
      column: {
        code: l.property,
        name: l.property,
        dataType: l.dataType == "DateTime" && l.dateTimeGroupType != "Date" ? "Integer" : l.dataType,
        columns: []
      },
      title: l.property + " (" + l.property + ")",
      checked: a.some((u) => u.code === l.property)
      // children: convertGroup(item.columns, columns, isGroupBy, groupColumns)
    }), l.property.endsWith("ID")) {
      let u = l.columnExp.substr(0, l.columnExp.length - 2), c = l.property.substr(0, l.property.length - 2), d = findNode(r, u);
      d != null && s.push({
        column: {
          code: c,
          name: d.name,
          dataType: d.dataType,
          columns: d.columns
        },
        title: d.name + " (" + c + ")",
        checked: a.some((f) => f.code === c),
        children: convertList(d.columns, a, u, c)
      });
    }
  }), s;
}, getChecked = (r) => {
  let a = [];
  return r.forEach((o) => {
    if (o.checked) {
      if (o.column.dataType === "BigInteger") {
        let s = r.find((l) => l.column.code + "ID" === o.column.code);
        s && (o.column.objColumn = s.column);
      }
      a.push({
        ...o.column
      });
    }
    o.children && (a = a.concat(getChecked(o.children)));
  }), a;
}, findNode = (r, a) => {
  for (let o = 0; o < r.length; o++) {
    if (r[o].code == a)
      return r[o];
    if (r[o].columns) {
      let s = findNode(r[o].columns, a);
      if (s)
        return s;
    }
  }
  return null;
};
const _sfc_main$W = {
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      data: [],
      columns: null,
      opened: !1,
      callback: null
    };
  },
  props: {},
  computed: {},
  methods: {
    async open(r, a, o) {
      if (r.isDataSource) {
        let s = await dataViewApi.queryColumnByDataSource(r.dataSource);
        this.data = convertList(s, a);
      } else {
        let s = await dataViewApi.queryColumnByModel(r.model), l = [], u = [];
        r.isGroupBy ? (l = JSON.parse(r.groupColumn), u = JSON.parse(r.groupMethod), this.data = convertGroup(s, a, l)) : this.data = convertList(s, a), u.forEach((c) => {
          this.data.push({
            column: {
              code: c.property,
              name: c.property,
              dataType: c.aggregateType == "Count" ? "Integer" : c.aggregateType == "Avg" ? "Double" : c.dataType
            },
            title: c.aggregateType + (c.aggregateType == "Count" ? "" : " - " + c.columnExp) + " (" + c.property + ")",
            checked: a.some((d) => d.code === c.property)
            // children: convertList(item.columns, columns, isGroupBy, groupColumns)
          });
        });
      }
      this.opened = !0, this.columns = a, this.callback = o;
    },
    finish() {
      let r = getChecked(this.data);
      this.callback(r), this.opened = !1;
    },
    close() {
      this.opened = !1;
    }
  }
}, _hoisted_1$G = { class: "title" }, _hoisted_2$w = { class: "description" }, _hoisted_3$s = { class: "ivu-ml-8 ivu-mr-8" };
function _sfc_render$W(r, a, o, s, l, u) {
  const c = resolveComponent("Tree"), d = resolveComponent("Button"), f = resolveComponent("Modal");
  return openBlock(), createBlock(f, {
    modelValue: l.opened,
    "onUpdate:modelValue": a[0] || (a[0] = (p) => l.opened = p),
    scrollable: "",
    "mask-closable": r.layout.maskClosable,
    draggable: r.layout.draggable,
    sticky: !0,
    "reset-drag-position": !0,
    width: 800
  }, {
    header: withCtx(() => [
      createElementVNode("div", null, [
        createElementVNode("span", _hoisted_1$G, toDisplayString$2(r.$t("Front_Label_Column_Select")), 1),
        createElementVNode("span", _hoisted_2$w, toDisplayString$2(r.$t("Front_Label_Column_Select_Desc")), 1)
      ])
    ]),
    footer: withCtx(() => [
      createElementVNode("div", null, [
        createVNode$1(d, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.finish
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
          ]),
          _: 1
        }, 8, ["onClick"]),
        createVNode$1(d, {
          type: "default",
          "custom-icon": "fa fa-times",
          onClick: u.close
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ])
    ]),
    default: withCtx(() => [
      createElementVNode("div", _hoisted_3$s, [
        createVNode$1(c, {
          data: l.data,
          "show-checkbox": ""
        }, null, 8, ["data"])
      ])
    ]),
    _: 1
  }, 8, ["modelValue", "mask-closable", "draggable"]);
}
const columnSelect = /* @__PURE__ */ _export_sfc(_sfc_main$W, [["render", _sfc_render$W]]), __vite_glob_1_15 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: columnSelect
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$V = {
  mixins: [mixinPage],
  components: { columnCheck },
  data() {
    return {
      data: {},
      opened: !1,
      callback: null,
      default: {
        code: null,
        name: null,
        operator: "Equal",
        controlType: null,
        isShow: !0,
        columnWidth: "Column3",
        source: null,
        sourceDataCode: null,
        sourceDisplayCode: null
      },
      rules: {
        code: {
          type: "string",
          required: !0,
          message: "请输入字段",
          trigger: "blur,change"
        },
        name: {
          type: "string",
          required: !0,
          message: "请输入名称",
          trigger: "blur,change"
        },
        operator: {
          type: "string",
          required: !0,
          message: "请输入操作符",
          trigger: "blur,change"
        },
        controlType: {
          type: "string",
          required: !0,
          message: "请输入控件类型",
          trigger: "blur,change"
        },
        columnWidth: {
          type: "string",
          required: !0,
          message: "请输入栏目宽度",
          trigger: "blur,change"
        },
        source: {
          type: "string",
          required: !0,
          message: "请输入数据源/视图",
          trigger: "blur,change"
        },
        sourceDataCode: {
          type: "string",
          required: !0,
          message: "请输入数据字段",
          trigger: "blur,change"
        },
        sourceDisplayCode: {
          type: "string",
          required: !0,
          message: "请输入显示字段",
          trigger: "blur,change"
        }
      },
      parpamColumns: [
        { title: "参数", resizable: !0, align: "center", key: "code" },
        { title: "值", align: "center", resizable: !0, key: "val" },
        { slot: "command", title: " ", align: "center", resizable: !0, fixed: "right" }
      ],
      params: [],
      paramData: {},
      paramItemFormRules: {
        code: {
          type: "string",
          required: !0,
          message: "请输入字段名称",
          trigger: "blur,change"
        },
        keyType: {
          type: "string",
          required: !0,
          message: "请选择字段类型",
          trigger: "blur,change"
        },
        val: {
          type: "string",
          required: !0,
          message: "请输入值",
          trigger: "blur,change"
        }
      },
      paramOpened: !1,
      paramItemOpened: !1,
      sourceBefore: null,
      //controlTypeBefore: null,
      currentColumn: null
    };
  },
  async created() {
  },
  props: {
    // 数据视图
    dataView: {
      type: Object
    }
  },
  computed: {
    // 选择框，或复选框组，且非枚举类型，需要输入数据源
    needDataSource() {
      return this.data ? (this.data.controlType === "Select" || this.data.controlType === "MultiSelect" || this.data.controlType === "TreeSelect" || this.data.controlType === "MultiTreeSelect" || this.data.controlType === "SelectWithOther" || this.data.controlType === "ComboSelect" || this.data.controlType === "MultiComboSelect" || this.data.controlType === "Radio" || this.data.controlType === "CheckGroup") && !this.data.isStaticItem && this.data.dataType && this.data.dataType.indexOf("Enum:") !== 0 || this.data.controlType === "DialogSelect" || this.data.controlType === "MultiDialogSelect" : !1;
    }
  },
  methods: {
    // 打开
    open(r, a) {
      r ? this.data = this.copy(r) : (this.data = this.copy(this.default), this.data.dataView = this.dataView), this.dataView.isDataSource && (this.data.operator = "Equal"), setTimeout(() => {
        this.$refs.form.fields.forEach((o) => {
          o.validateState = "", o.validateMessage = "";
        });
      }), this.callback = a, this.opened = !0, this.data.isDictItem && this.data.param && (this.data.dictTypeCode = JSON.parse(this.data.param)["type.code"].replace("[", "").replace("]", ""));
    },
    // 关闭
    close() {
      this.opened = !1;
    },
    // 确认
    async finish() {
      await this.$refs.form.validate() ? (this.data.operator === "Custom" && (this.data.dataType = "String"), this.callback(this.copy(this.data)), this.opened = !1) : this.error("Front_Msg_Form_Validate_Fail");
    },
    // 打开字段选择界面
    openSelect() {
      this.dataView.isDataSource ? this.$refs.columnCheck.openDataSourceFilter(this.dataView.dataSource, (r) => {
        this.currentColumn = r, this.data.code = this.currentColumn.code, this.data.name = this.currentColumn.name, this.data.dataType = this.currentColumn.dataType, setTimeout(() => {
        });
      }) : this.$refs.columnCheck.open(this.dataView.model, (r) => {
        this.currentColumn = r, this.data.code = this.currentColumn.code, this.data.name = this.currentColumn.name, this.data.dataType = this.currentColumn.dataType, this.currentColumn.objColumn && (this.data.source = this.data.controlType == "DialogSelect" || this.data.controlType == "MultiDialogSelect" ? this.currentColumn.objColumn.dataType + "Select" : this.currentColumn.objColumn.dataType, this.data.sourceDataCode = "id", this.data.sourceDisplayCode = this.currentColumn.objColumn.columns.some((a) => a.code === this.currentColumn.objColumn.code + ".name") ? "name" : null), setTimeout(() => {
        });
      });
    },
    // 数据源变更
    sourceChange() {
      this.sourceBefore != this.data.source && (this.data.sourceDisplayCode = null, this.data.sourceDataCode = null, this.data.param = null), this.sourceBefore = this.data.source, setTimeout(() => {
      });
    },
    // 打开变量字段选择界面
    openValueSelect() {
      this.$refs.columnCheck.open(this.data.dataView.model, (r) => {
        this.paramData.val = r.code;
      });
    },
    // 打开参数弹框
    paramOpen() {
      if (this.params = [], this.paramOpened = !0, this.data.param != null && this.data.param !== "") {
        let r = JSON.parse(this.data.param);
        for (let a in r) {
          let o = "变量";
          r[a].indexOf("[") == 0 && r[a].indexOf("]") + 1 == r[a].length && (o = "常量"), this.params.push({
            code: a,
            val: r[a],
            type: o
          });
        }
      }
    },
    // 参数框确认
    async paramItemSave() {
      if (!await this.$refs.paramItemForm.validate()) {
        this.error("Front_Msg_Form_Validate_Fail");
        return;
      }
      let a = this.paramData.val;
      if (this.paramData.keyType == "常量") {
        let o = this.paramData.val.length;
        a = this.paramData.val.padStart(o + 1, "[").padEnd(o + 2, "]");
      }
      this.paramData.source ? (this.paramData.source.code = this.paramData.code, this.paramData.source.val = a, this.paramData.source.type = this.paramData.keyType) : this.params.push({
        code: this.paramData.code,
        val: a,
        type: this.paramData.keyType
      }), this.paramItemOpened = !1, this.$refs.paramItemForm.resetFields();
    },
    paramItemClose() {
      this.paramItemOpened = !1, this.$refs.paramItemForm.resetFields();
    },
    keyTypeChange() {
      setTimeout(() => {
        this.paramData.val = null;
      });
    },
    // 打开字段选择界面
    openColumnSelect(r, a) {
      if (this.data.source == null)
        return;
      let o;
      this.data.controlType == "DialogSelect" || this.data.controlType == "MultiDialogSelect" ? o = this.$refs.dataViewSource.selectedData.model : o = this.data.source, this.$refs.columnParamCheck.open(o, (s) => {
        r[a] = s.code;
      });
    },
    // 保存参数
    paramSave() {
      let r = {};
      this.params.forEach((a) => {
        r[a.code] = a.val;
      }), this.data.param = this.params.length > 0 ? JSON.stringify(r) : "", this.paramOpened = !1;
    },
    // 编辑参数项
    paramEdit(r) {
      r ? this.paramData = {
        code: r.code,
        val: r.val.replace("[", "").replace("]", ""),
        keyType: r.type,
        source: r
      } : this.paramData = {
        code: "",
        val: "",
        keyType: "常量"
      }, this.paramItemOpened = !0;
    },
    // 上移参数项
    upParam(r, a) {
      a > 0 && (this.params.splice(a, 1), this.params.splice(a - 1, 0, r));
    },
    // 下移参数项
    downParam(r, a) {
      a < this.params.length - 1 && (this.params.splice(a, 1), this.params.splice(a + 1, 0, r));
    },
    // 删除参数项
    paramRemove(r, a) {
      this.params.splice(a, 1);
    },
    // 控件类型变化
    controlTypeChange() {
      this.currentColumn && this.currentColumn.objColumn && (this.data.controlType == "DialogSelect" || this.data.controlType == "MultiDialogSelect" ? this.data.source = this.currentColumn.objColumn.dataType + "Select" : this.data.source = this.currentColumn.objColumn.dataType), setTimeout(() => {
      });
    },
    // 字典类别变化
    dictTypeChange() {
      this.data.param = JSON.stringify({
        "type.code": "[" + this.data.dictTypeCode + "]",
        isDisabled: "[false]"
      });
    },
    // 选择默认值
    async selectDefault(r) {
      this.data.defaultValue = "{" + r + "}";
    }
  }
}, _hoisted_1$F = { class: "ivu-ml-8 ivu-mr-8" }, _hoisted_2$v = { class: "i-table-no-border" }, _hoisted_3$r = { class: "ivu-ml-8 ivu-mr-8" };
function _sfc_render$V(r, a, o, s, l, u) {
  const c = resolveComponent("Button"), d = resolveComponent("Input"), f = resolveComponent("FormItem"), p = resolveComponent("Col"), v = resolveComponent("Option"), g = resolveComponent("Select"), y = resolveComponent("Switch"), _ = resolveComponent("dialog-select"), S = resolveComponent("Icon"), C = resolveComponent("DropdownItem"), b = resolveComponent("DropdownMenu"), T = resolveComponent("Dropdown"), E = resolveComponent("Row"), x = resolveComponent("Form"), $ = resolveComponent("Modal"), A = resolveComponent("Table"), N = resolveComponent("Radio"), P = resolveComponent("RadioGroup"), L = resolveComponent("column-check");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1($, {
      modelValue: l.opened,
      "onUpdate:modelValue": a[30] || (a[30] = (O) => l.opened = O),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: "800"
    }, {
      header: withCtx(() => a[40] || (a[40] = [
        createElementVNode("div", null, [
          createElementVNode("span", { class: "title" }, "筛选项设置"),
          createElementVNode("span", { class: "description" }, "Filter Setting")
        ], -1)
      ])),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(c, {
            type: "primary",
            "custom-icon": "fa fa-check",
            onClick: u.finish
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
            ]),
            _: 1
          }, 8, ["onClick"]),
          createVNode$1(c, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: u.close
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          }, 8, ["onClick"])
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_1$F, [
          createVNode$1(x, {
            ref: "form",
            model: l.data,
            "label-position": "top",
            "label-colon": "：",
            class: "ivu-mt",
            rules: l.rules,
            onSubmit: a[29] || (a[29] = withModifiers(() => {
            }, ["prevent"]))
          }, {
            default: withCtx(() => [
              createVNode$1(E, {
                gutter: 24,
                type: "flex"
              }, {
                default: withCtx(() => [
                  o.dataView.isVirtual ? createCommentVNode("", !0) : (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 0 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "字段",
                        key: "code",
                        prop: "code"
                      }, {
                        default: withCtx(() => [
                          l.data.operator != "Custom" ? (openBlock(), createBlock(d, {
                            key: 0,
                            type: "text",
                            readonly: "",
                            modelValue: l.data.code,
                            "onUpdate:modelValue": a[1] || (a[1] = (O) => l.data.code = O),
                            onOnFocus: a[2] || (a[2] = (O) => u.openSelect())
                          }, {
                            prepend: withCtx(() => [
                              createVNode$1(c, {
                                "custom-icon": "fa fa-search",
                                onClick: a[0] || (a[0] = (O) => u.openSelect())
                              })
                            ]),
                            _: 1
                          }, 8, ["modelValue"])) : createCommentVNode("", !0),
                          l.data.operator == "Custom" ? (openBlock(), createBlock(d, {
                            key: 1,
                            type: "text",
                            modelValue: l.data.code,
                            "onUpdate:modelValue": a[3] || (a[3] = (O) => l.data.code = O),
                            maxlength: "200"
                          }, null, 8, ["modelValue"])) : createCommentVNode("", !0)
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)),
                  o.dataView.isVirtual ? (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 1 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "字段代码",
                        key: "code",
                        prop: "code"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(d, {
                            type: "text",
                            modelValue: l.data.code,
                            "onUpdate:modelValue": a[4] || (a[4] = (O) => l.data.code = O),
                            maxlength: "200"
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  createVNode$1(p, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "名称",
                        key: "name",
                        prop: "name"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(d, {
                            type: "text",
                            modelValue: l.data.name,
                            "onUpdate:modelValue": a[5] || (a[5] = (O) => l.data.name = O),
                            maxlength: "200"
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  o.dataView.isVirtual == !0 ? (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 2 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "字段类型",
                        key: "dataType",
                        prop: "dataType"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(g, {
                            modelValue: l.data.dataType,
                            "onUpdate:modelValue": a[6] || (a[6] = (O) => l.data.dataType = O),
                            transfer: !0
                          }, {
                            default: withCtx(() => [
                              (openBlock(!0), createElementBlock(Fragment, null, renderList(r.getEnumList("DataType"), (O) => (openBlock(), createBlock(v, {
                                key: O.id,
                                value: O.id
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString$2(O.name), 1)
                                ]),
                                _: 2
                              }, 1032, ["value"]))), 128))
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  o.dataView.isVirtual != !0 ? (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 3 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "字段类型",
                        key: "dataType",
                        prop: "dataType"
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString$2(l.data.dataType), 1)
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  o.dataView.isDataSource ? createCommentVNode("", !0) : (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 4 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "操作符",
                        key: "operator",
                        prop: "operator"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(g, {
                            modelValue: l.data.operator,
                            "onUpdate:modelValue": a[7] || (a[7] = (O) => l.data.operator = O),
                            transfer: !0
                          }, {
                            default: withCtx(() => [
                              (openBlock(!0), createElementBlock(Fragment, null, renderList(r.getEnumList("Operator"), (O) => (openBlock(), createBlock(v, {
                                key: O.id,
                                value: O.id
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString$2(O.name), 1)
                                ]),
                                _: 2
                              }, 1032, ["value"]))), 128))
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)),
                  createVNode$1(p, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "控件类型",
                        key: "controlType",
                        prop: "controlType"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(g, {
                            modelValue: l.data.controlType,
                            "onUpdate:modelValue": a[8] || (a[8] = (O) => l.data.controlType = O),
                            transfer: !0,
                            onOnChange: u.controlTypeChange
                          }, {
                            default: withCtx(() => [
                              (openBlock(!0), createElementBlock(Fragment, null, renderList(r.getEnumList("ControlType"), (O) => (openBlock(), createBlock(v, {
                                key: O.id,
                                value: O.id
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString$2(O.name), 1)
                                ]),
                                _: 2
                              }, 1032, ["value"]))), 128))
                            ]),
                            _: 1
                          }, 8, ["modelValue", "onOnChange"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  l.data.controlType == "Select" || l.data.controlType == "MultiSelect" || l.data.controlType == "SelectWithOther" || l.data.controlType == "ComboSelect" || l.data.controlType == "MultiComboSelect" || l.data.controlType == "Radio" || l.data.controlType == "CheckGroup" ? (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 5 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "固定选项",
                        key: "isStaticItem",
                        prop: "isStaticItem"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(y, {
                            "model-value": !!l.data.isStaticItem,
                            "onUpdate:modelValue": a[9] || (a[9] = (O) => {
                              l.data.isStaticItem = O;
                            })
                          }, null, 8, ["model-value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  (l.data.controlType == "Select" || l.data.controlType == "SelectWithOther" || l.data.controlType == "MultiSelect" || l.data.controlType == "ComboSelect" || l.data.controlType == "MultiComboSelect" || l.data.controlType == "Radio" || l.data.controlType == "CheckGroup") && !l.data.isStaticItem ? (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 6 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "字典选项",
                        key: "isDictItem",
                        prop: "isDictItem"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(y, {
                            "model-value": !!l.data.isDictItem,
                            "onUpdate:modelValue": a[10] || (a[10] = (O) => {
                              l.data.isDictItem = O, l.data.isDictItem && (l.data.source = "Dict");
                            })
                          }, null, 8, ["model-value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.isStaticItem && (l.data.controlType == "Select" || l.data.controlType == "MultiSelect" || l.data.controlType == "SelectWithOther" || l.data.controlType == "ComboSelect" || l.data.controlType == "MultiComboSelect" || l.data.controlType == "Radio" || l.data.controlType == "CheckGroup") ? (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 7 }, r.grid24)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "选项内容（每一行为一项，key/value用冒号分隔，没有冒号表示key/value一致）",
                        key: "itemData",
                        prop: "itemData"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(d, {
                            type: "textarea",
                            rows: 5,
                            modelValue: l.data.itemData,
                            "onUpdate:modelValue": a[11] || (a[11] = (O) => l.data.itemData = O)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  u.needDataSource && l.data.controlType != "DialogSelect" && l.data.controlType != "MultiDialogSelect" ? (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 8 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "数据源",
                        key: "source",
                        prop: "source"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(_, {
                            ref: "select",
                            modelValue: l.data.source,
                            "onUpdate:modelValue": a[12] || (a[12] = (O) => l.data.source = O),
                            source: "EntitySelect",
                            "source-data-code": "name",
                            "source-display-code": "name",
                            readonly: l.data.isDictItem,
                            onOnChange: u.sourceChange
                          }, null, 8, ["modelValue", "readonly", "onOnChange"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.controlType == "DialogSelect" || l.data.controlType == "MultiDialogSelect" ? (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 9 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "视图",
                        key: "source",
                        prop: "source"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(_, {
                            ref: "dataViewSource",
                            modelValue: l.data.source,
                            "onUpdate:modelValue": a[13] || (a[13] = (O) => l.data.source = O),
                            source: "DataViewSelect",
                            "source-data-code": "code",
                            "source-display-code": "code",
                            param: { viewType: "TableView" },
                            onOnChange: u.sourceChange
                          }, null, 8, ["modelValue", "onOnChange"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.source && u.needDataSource ? (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 10 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "数据字段",
                        key: "sourceDataCode",
                        prop: "sourceDataCode"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(d, {
                            type: "text",
                            readonly: !0,
                            modelValue: l.data.sourceDataCode,
                            "onUpdate:modelValue": a[15] || (a[15] = (O) => l.data.sourceDataCode = O),
                            onOnFocus: a[16] || (a[16] = (O) => u.openColumnSelect(l.data, "sourceDataCode"))
                          }, {
                            prepend: withCtx(() => [
                              createVNode$1(c, {
                                "custom-icon": "fa fa-search",
                                onClick: a[14] || (a[14] = (O) => u.openColumnSelect(l.data, "sourceDataCode"))
                              })
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.source && u.needDataSource ? (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 11 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "显示字段",
                        key: "sourceDisplayCode",
                        prop: "sourceDisplayCode"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(d, {
                            type: "text",
                            readonly: !0,
                            modelValue: l.data.sourceDisplayCode,
                            "onUpdate:modelValue": a[18] || (a[18] = (O) => l.data.sourceDisplayCode = O),
                            onOnFocus: a[19] || (a[19] = (O) => u.openColumnSelect(l.data, "sourceDisplayCode"))
                          }, {
                            prepend: withCtx(() => [
                              createVNode$1(c, {
                                "custom-icon": "fa fa-search",
                                onClick: a[17] || (a[17] = (O) => u.openColumnSelect(l.data, "sourceDisplayCode"))
                              })
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.source && u.needDataSource && !l.data.isDictItem ? (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 12 }, r.grid16)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "参数",
                        key: "param",
                        prop: "param"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(d, {
                            type: "text",
                            onClick: u.paramOpen,
                            readonly: !0,
                            modelValue: l.data.param,
                            "onUpdate:modelValue": a[20] || (a[20] = (O) => l.data.param = O),
                            maxlength: "200"
                          }, null, 8, ["onClick", "modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.source && u.needDataSource && l.data.isDictItem && l.data.controlType != "Table" ? (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 13 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "字典类别",
                        key: "dictTypeCode",
                        prop: "dictTypeCode"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(_, {
                            modelValue: l.data.dictTypeCode,
                            "onUpdate:modelValue": a[21] || (a[21] = (O) => l.data.dictTypeCode = O),
                            source: "DictTypeSelect",
                            "source-data-code": "code",
                            "source-display-code": "code",
                            onOnChange: a[22] || (a[22] = (O) => u.dictTypeChange())
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  createVNode$1(p, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "允许只查空值",
                        key: "isQueryNull",
                        prop: "isQueryNull"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(y, {
                            "model-value": !!l.data.isQueryNull,
                            "onUpdate:modelValue": a[23] || (a[23] = (O) => {
                              l.data.isQueryNull = O;
                            })
                          }, null, 8, ["model-value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  createVNode$1(p, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "是否显示",
                        key: "isShow",
                        prop: "isShow"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(y, {
                            "model-value": !!l.data.isShow,
                            "onUpdate:modelValue": a[24] || (a[24] = (O) => {
                              l.data.isShow = O;
                            })
                          }, null, 8, ["model-value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  createVNode$1(p, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "栏目宽度",
                        key: "columnWidth",
                        prop: "columnWidth"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(g, {
                            modelValue: l.data.columnWidth,
                            "onUpdate:modelValue": a[25] || (a[25] = (O) => l.data.columnWidth = O),
                            transfer: !0
                          }, {
                            default: withCtx(() => [
                              (openBlock(!0), createElementBlock(Fragment, null, renderList(r.getEnumList("ColumnWidth"), (O) => (openBlock(), createBlock(v, {
                                key: O.id,
                                value: O.id
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString$2(O.name), 1)
                                ]),
                                _: 2
                              }, 1032, ["value"]))), 128))
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  createVNode$1(p, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "控件宽度",
                        key: "controlWidth",
                        prop: "controlWidth"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(d, {
                            type: "number",
                            style: { width: "100px" },
                            number: "",
                            modelValue: l.data.controlWidth,
                            "onUpdate:modelValue": a[26] || (a[26] = (O) => l.data.controlWidth = O)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  createVNode$1(p, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "默认值",
                        key: "defaultValue",
                        prop: "defaultValue"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(d, {
                            type: "text",
                            modelValue: l.data.defaultValue,
                            "onUpdate:modelValue": a[27] || (a[27] = (O) => l.data.defaultValue = O),
                            maxlength: "200",
                            style: { width: "150px" }
                          }, null, 8, ["modelValue"]),
                          createVNode$1(T, {
                            style: { "margin-left": "8px" },
                            transfer: !0,
                            onOnClick: u.selectDefault
                          }, {
                            list: withCtx(() => [
                              createVNode$1(b, null, {
                                default: withCtx(() => [
                                  createVNode$1(C, { name: "today" }, {
                                    default: withCtx(() => a[41] || (a[41] = [
                                      createTextVNode("当前日期")
                                    ])),
                                    _: 1
                                  }),
                                  createVNode$1(C, { name: "today(yyyy-MM-dd)" }, {
                                    default: withCtx(() => a[42] || (a[42] = [
                                      createTextVNode("格式化当前日期")
                                    ])),
                                    _: 1
                                  }),
                                  createVNode$1(C, { name: "currentUserID" }, {
                                    default: withCtx(() => a[43] || (a[43] = [
                                      createTextVNode("当前用户ID")
                                    ])),
                                    _: 1
                                  }),
                                  createVNode$1(C, { name: "currentUser" }, {
                                    default: withCtx(() => a[44] || (a[44] = [
                                      createTextVNode("当前用户姓名")
                                    ])),
                                    _: 1
                                  })
                                ]),
                                _: 1
                              })
                            ]),
                            default: withCtx(() => [
                              createVNode$1(c, {
                                type: "primary",
                                size: "small"
                              }, {
                                default: withCtx(() => [
                                  createVNode$1(S, { type: "ios-arrow-down" })
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          }, 8, ["onOnClick"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  createVNode$1(p, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "描述",
                        key: "description",
                        prop: "description"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(d, {
                            type: "text",
                            modelValue: l.data.description,
                            "onUpdate:modelValue": a[28] || (a[28] = (O) => l.data.description = O),
                            maxlength: "200"
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model", "rules"])
        ])
      ]),
      _: 1
    }, 8, ["modelValue", "mask-closable", "draggable"]),
    createVNode$1($, {
      modelValue: l.paramOpened,
      "onUpdate:modelValue": a[32] || (a[32] = (O) => l.paramOpened = O),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: "600"
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          renderSlot(r.$slots, "header", {}, () => [
            a[45] || (a[45] = createElementVNode("span", { class: "title" }, "参数", -1)),
            a[46] || (a[46] = createElementVNode("span", { class: "description" }, "Param", -1))
          ])
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(c, {
            type: "primary",
            ghost: "",
            "custom-icon": "fa fa-plus",
            onClick: a[31] || (a[31] = (O) => u.paramEdit())
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Add")), 1)
            ]),
            _: 1
          }),
          createVNode$1(c, {
            type: "primary",
            "custom-icon": "fa fa-check",
            onClick: u.paramSave
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
            ]),
            _: 1
          }, 8, ["onClick"])
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_2$v, [
          createVNode$1(A, {
            columns: l.parpamColumns,
            data: l.params,
            stripe: "",
            size: "small"
          }, {
            command: withCtx(({ index: O }) => [
              createVNode$1(c, {
                size: "small",
                title: r.$t("Front_Btn_Edit"),
                type: "primary",
                ghost: "",
                "custom-icon": "fa fa-edit",
                onClick: (M) => u.paramEdit(l.params[O], O)
              }, null, 8, ["title", "onClick"]),
              createVNode$1(c, {
                size: "small",
                title: r.$t("Front_Btn_Up"),
                type: "primary",
                ghost: "",
                "custom-icon": "fa fa-chevron-up",
                onClick: (M) => u.upParam(l.params[O], O)
              }, null, 8, ["title", "onClick"]),
              createVNode$1(c, {
                size: "small",
                title: r.$t("Front_Btn_Down"),
                type: "primary",
                ghost: "",
                "custom-icon": "fa fa-chevron-down",
                onClick: (M) => u.downParam(l.params[O], O)
              }, null, 8, ["title", "onClick"]),
              createVNode$1(c, {
                size: "small",
                title: r.$t("Front_Btn_Remove"),
                type: "primary",
                ghost: "",
                "custom-icon": "fa fa-times",
                onClick: (M) => u.paramRemove(l.params[O], O)
              }, null, 8, ["title", "onClick"])
            ]),
            _: 1
          }, 8, ["columns", "data"])
        ])
      ]),
      _: 3
    }, 8, ["modelValue", "mask-closable", "draggable"]),
    createVNode$1($, {
      modelValue: l.paramItemOpened,
      "onUpdate:modelValue": a[39] || (a[39] = (O) => l.paramItemOpened = O),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: "800"
    }, {
      header: withCtx(() => a[47] || (a[47] = [
        createElementVNode("div", null, [
          createElementVNode("span", { class: "title" }, "参数设置"),
          createElementVNode("span", { class: "description" }, "Param Setting")
        ], -1)
      ])),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(c, {
            type: "primary",
            "custom-icon": "fa fa-check",
            onClick: u.paramItemSave
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
            ]),
            _: 1
          }, 8, ["onClick"]),
          createVNode$1(c, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: u.paramItemClose
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          }, 8, ["onClick"])
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_3$r, [
          createVNode$1(x, {
            ref: "paramItemForm",
            rules: l.paramItemFormRules,
            model: l.paramData,
            "label-position": "top",
            "label-colon": "：",
            class: "ivu-mt",
            onSubmit: a[38] || (a[38] = withModifiers(() => {
            }, ["prevent"]))
          }, {
            default: withCtx(() => [
              createVNode$1(E, {
                gutter: 24,
                type: "flex"
              }, {
                default: withCtx(() => [
                  createVNode$1(p, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "字段",
                        key: "code",
                        prop: "code"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(d, {
                            type: "text",
                            modelValue: l.paramData.code,
                            "onUpdate:modelValue": a[34] || (a[34] = (O) => l.paramData.code = O)
                          }, {
                            prepend: withCtx(() => [
                              createVNode$1(c, {
                                "custom-icon": "fa fa-search",
                                onClick: a[33] || (a[33] = (O) => u.openColumnSelect(l.paramData, "code"))
                              })
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  createVNode$1(p, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "字段类型",
                        key: "keyType",
                        prop: "keyType"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(P, {
                            modelValue: l.paramData.keyType,
                            "onUpdate:modelValue": a[35] || (a[35] = (O) => l.paramData.keyType = O),
                            onOnChange: u.keyTypeChange
                          }, {
                            default: withCtx(() => [
                              createVNode$1(N, { label: "常量" }),
                              createVNode$1(N, { label: "变量" })
                            ]),
                            _: 1
                          }, 8, ["modelValue", "onOnChange"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  l.paramData.keyType == "常量" ? (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 0 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "值",
                        key: "val",
                        prop: "val"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(d, {
                            type: "text",
                            modelValue: l.paramData.val,
                            "onUpdate:modelValue": a[36] || (a[36] = (O) => l.paramData.val = O)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.paramData.keyType == "变量" ? (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 1 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: "值",
                        key: "val2",
                        prop: "val"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(d, {
                            type: "text",
                            modelValue: l.paramData.val,
                            "onUpdate:modelValue": a[37] || (a[37] = (O) => l.paramData.val = O),
                            onOnFocus: u.openValueSelect
                          }, {
                            prepend: withCtx(() => [
                              createVNode$1(c, {
                                "custom-icon": "fa fa-search",
                                onClick: u.openValueSelect
                              }, null, 8, ["onClick"])
                            ]),
                            _: 1
                          }, 8, ["modelValue", "onOnFocus"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0)
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["rules", "model"])
        ])
      ]),
      _: 1
    }, 8, ["modelValue", "mask-closable", "draggable"]),
    createVNode$1(L, { ref: "columnCheck" }, null, 512),
    createVNode$1(L, { ref: "columnParamCheck" }, null, 512)
  ]);
}
const filterEdit = /* @__PURE__ */ _export_sfc(_sfc_main$V, [["render", _sfc_render$V]]), __vite_glob_1_17 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: filterEdit
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$U = {
  mixins: [mixinPage],
  components: { filterEdit },
  data() {
    return {
      active: !1,
      dataView: {}
    };
  },
  created() {
  },
  props: {},
  computed: {},
  methods: {
    ...mapActions("admin/dataView", {
      resetDataView: "reset",
      saveDataView: "save",
      saveUserView: "saveUserView",
      saveDataViewSetting: "saveSetting",
      saveFilterColumn: "saveFilterColumn"
    }),
    // 打开
    open(r, a) {
      this.dataView = r, this.active = !0, setTimeout(async () => {
        this.$refs.table.loadData(a), this.$refs.table.open();
      });
    },
    // 新增
    add() {
      this.$refs.filterEdit.open(null, (r) => {
        let a = this.$refs.table.data;
        a.push(r), this.$refs.table.loadData(a);
      });
    },
    // 打开字段设置界面
    edit(r, a) {
      this.$refs.filterEdit.open(r, (o) => {
        let s = this.$refs.table.data;
        s.splice(a, 1, o), this.$refs.table.loadData(s);
      });
    },
    // 上移
    up(r, a) {
      let o = this.$refs.table.data;
      a > 0 && (o.splice(a, 1), o.splice(a - 1, 0, r), this.$refs.table.loadData(o));
    },
    // 下移
    down(r, a) {
      let o = this.$refs.table.data;
      a < o.length - 1 && (o.splice(a, 1), o.splice(a + 1, 0, r), this.$refs.table.loadData(o));
    },
    // 拖动完成
    dragDrop(r, a) {
      if (r != a) {
        let o = this.$refs.table.data, s = o[r];
        o.splice(r, 1), o.splice(a, 0, s);
      }
    },
    // 移除
    remove(r, a) {
      let o = this.$refs.table.data;
      o.splice(a, 1), this.$refs.table.loadData(o);
    },
    // 保存
    save() {
      this.confirm("Front_Msg_Sure_To_Save_Setting", async () => {
        let r = this.$refs.table.data;
        await this.saveFilterColumn({
          code: this.dataView.code,
          columns: r
        }), this.$emit("on-change", this.dataView.code), this.success("Front_Msg_Success", () => {
          this.$refs.table.close();
        });
      });
    }
  }
};
function _sfc_render$U(r, a, o, s, l, u) {
  const c = resolveComponent("Button"), d = resolveComponent("modal-table"), f = resolveComponent("filter-edit");
  return openBlock(), createElementBlock("div", null, [
    l.active ? (openBlock(), createBlock(d, {
      key: 0,
      ref: "table",
      "view-code": "TableFilterColumn",
      static: !0,
      "footer-enable": !0,
      draggable: !0,
      sticky: !0,
      onOnDragDrop: u.dragDrop
    }, {
      command: withCtx(({ row: p, index: v }) => [
        createVNode$1(c, {
          size: "small",
          title: r.$t("Front_Btn_Edit"),
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-edit",
          onClick: (g) => u.edit(p, v)
        }, null, 8, ["title", "onClick"]),
        createVNode$1(c, {
          size: "small",
          title: r.$t("Front_Btn_Up"),
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-chevron-up",
          onClick: (g) => u.up(p, v)
        }, null, 8, ["title", "onClick"]),
        createVNode$1(c, {
          size: "small",
          title: r.$t("Front_Btn_Down"),
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-chevron-down",
          onClick: (g) => u.down(p, v)
        }, null, 8, ["title", "onClick"]),
        createVNode$1(c, {
          size: "small",
          title: r.$t("Front_Btn_Remove"),
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-times",
          onClick: (g) => u.remove(p, v)
        }, null, 8, ["title", "onClick"])
      ]),
      footer: withCtx(() => [
        createVNode$1(c, {
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-plus",
          onClick: u.add
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Add")), 1)
          ]),
          _: 1
        }, 8, ["onClick"]),
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.save
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 8, ["onOnDragDrop"])) : createCommentVNode("", !0),
    createVNode$1(f, {
      ref: "filterEdit",
      "data-view": l.dataView
    }, null, 8, ["data-view"])
  ]);
}
const filterSetting = /* @__PURE__ */ _export_sfc(_sfc_main$U, [["render", _sfc_render$U]]), __vite_glob_1_18 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: filterSetting
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$T = {
  mixins: [mixinPage],
  components: { columnCheck },
  props: {},
  computed: {},
  data() {
    return {
      model: null,
      data: [],
      editIndex: null,
      callback: null
    };
  },
  async created() {
  },
  methods: {
    open(r, a, o) {
      if (!(r || "").trim()) {
        this.error("Front_Msg_Please_Select_Model_First");
        return;
      }
      this.model = r, this.callback = o, a ? this.data = JSON.parse(a) : this.data = [], this.$refs.table.loadData(this.data), this.$refs.table.open();
    },
    editItem(r, a) {
      this.editIndex = a, this.$refs.form.open(r);
    },
    async saveItem() {
      await this.$refs.form.validate() ? (this.editIndex == null ? this.data.push(this.$refs.form.data) : this.data.splice(this.editIndex, 1, this.$refs.form.data), this.$refs.table.loadData(this.data), this.$refs.form.close()) : this.error("Front_Msg_Form_Validate_Fail");
    },
    removeItem(r, a) {
      this.data.splice(a, 1), this.$refs.table.loadData(this.data);
    },
    save() {
      let r = this.data.length > 0 ? JSON.stringify(this.data) : null;
      this.callback(r), this.$refs.table.close();
    },
    columnCheck(r, a) {
      this.$refs.columnCheck.open(r, (o) => {
        a.columnExp = o.code, a.property = o.code.split(".").pop(), this.$refs.form.data.aggregateType == "Avg" ? a.dataType = "Double" : a.dataType = o.dataType;
      });
    }
  }
}, _hoisted_1$E = { key: 0 };
function _sfc_render$T(r, a, o, s, l, u) {
  const c = resolveComponent("Button"), d = resolveComponent("modal-table"), f = resolveComponent("Input"), p = resolveComponent("modal-form"), v = resolveComponent("column-check");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(d, {
      ref: "table",
      "view-code": "GroupMethod",
      static: !0,
      "footer-enable": !0,
      onCreate: a[0] || (a[0] = (g) => u.editItem()),
      onEdit: a[1] || (a[1] = ({ row: g, index: y }) => u.editItem(g, y))
    }, {
      command: withCtx(({ row: g, index: y }) => [
        createVNode$1(c, {
          size: "small",
          title: r.$t("Front_Btn_Remove"),
          type: "warning",
          "custom-icon": "fa fa-trash-alt",
          onClick: (_) => u.removeItem(g, y)
        }, null, 8, ["title", "onClick"])
      ]),
      footer: withCtx(() => [
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.save
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512),
    createVNode$1(p, {
      ref: "form",
      "view-code": "GroupMethodEdit"
    }, {
      column: withCtx(({ data: g, code: y }) => [
        y == "columnExp" ? (openBlock(), createElementBlock("div", _hoisted_1$E, [
          createVNode$1(f, {
            type: "text",
            modelValue: g.columnExp,
            "onUpdate:modelValue": (_) => g.columnExp = _,
            readonly: !0,
            onClick: (_) => u.columnCheck(l.model, g)
          }, {
            prepend: withCtx(() => [
              createVNode$1(c, {
                "custom-icon": "fa fa-search",
                onClick: (_) => u.columnCheck(l.model, g)
              }, null, 8, ["onClick"])
            ]),
            _: 2
          }, 1032, ["modelValue", "onUpdate:modelValue", "onClick"])
        ])) : createCommentVNode("", !0)
      ]),
      footer: withCtx(() => [
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.saveItem
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512),
    createVNode$1(v, { ref: "columnCheck" }, null, 512)
  ]);
}
const groupMethod = /* @__PURE__ */ _export_sfc(_sfc_main$T, [["render", _sfc_render$T]]), __vite_glob_1_22 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: groupMethod
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$S = {
  mixins: [mixinPage],
  components: { columnCheck },
  props: {},
  computed: {},
  data() {
    return {
      model: null,
      data: [],
      editIndex: null,
      callback: null
    };
  },
  async created() {
  },
  methods: {
    open(r, a, o) {
      if (!(r || "").trim()) {
        this.error("Front_Msg_Please_Select_Model_First");
        return;
      }
      this.model = r, this.callback = o, a ? this.data = JSON.parse(a) : this.data = [], this.$refs.table.loadData(this.data), this.$refs.table.open();
    },
    editItem(r, a) {
      this.editIndex = a, this.$refs.form.open(r);
    },
    async saveItem() {
      await this.$refs.form.validate() ? (this.editIndex == null ? this.data.push(this.$refs.form.data) : this.data.splice(this.editIndex, 1, this.$refs.form.data), this.$refs.table.loadData(this.data), this.$refs.form.close()) : this.error("Front_Msg_Form_Validate_Fail");
    },
    removeItem(r, a) {
      this.data.splice(a, 1), this.$refs.table.loadData(this.data);
    },
    save() {
      let r = this.data.length > 0 ? JSON.stringify(this.data) : null;
      this.callback(r), this.$refs.table.close();
    },
    columnCheck(r, a) {
      this.$refs.columnCheck.open(r, (o) => {
        a.columnExp = o.code, a.property = o.code.split(".").pop(), a.dataType = o.dataType, this.$refs.form.refresh();
      });
    }
  }
}, _hoisted_1$D = { key: 0 };
function _sfc_render$S(r, a, o, s, l, u) {
  const c = resolveComponent("Button"), d = resolveComponent("modal-table"), f = resolveComponent("Input"), p = resolveComponent("modal-form"), v = resolveComponent("column-check");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(d, {
      ref: "table",
      "view-code": "GroupColumn",
      static: !0,
      "footer-enable": !0,
      onCreate: a[0] || (a[0] = (g) => u.editItem()),
      onEdit: a[1] || (a[1] = ({ row: g, index: y }) => u.editItem(g, y))
    }, {
      command: withCtx(({ row: g, index: y }) => [
        createVNode$1(c, {
          size: "small",
          title: r.$t("Front_Btn_Remove"),
          type: "warning",
          "custom-icon": "fa fa-trash-alt",
          onClick: (_) => u.removeItem(g, y)
        }, null, 8, ["title", "onClick"])
      ]),
      footer: withCtx(() => [
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.save
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512),
    createVNode$1(p, {
      ref: "form",
      "view-code": "GroupColumnEdit"
    }, {
      column: withCtx(({ data: g, code: y }) => [
        y == "columnExp" ? (openBlock(), createElementBlock("div", _hoisted_1$D, [
          createVNode$1(f, {
            type: "text",
            modelValue: g.columnExp,
            "onUpdate:modelValue": (_) => g.columnExp = _,
            readonly: !0,
            onClick: (_) => u.columnCheck(l.model, g)
          }, {
            prepend: withCtx(() => [
              createVNode$1(c, {
                "custom-icon": "fa fa-search",
                onClick: (_) => u.columnCheck(l.model, g)
              }, null, 8, ["onClick"])
            ]),
            _: 2
          }, 1032, ["modelValue", "onUpdate:modelValue", "onClick"])
        ])) : createCommentVNode("", !0)
      ]),
      footer: withCtx(() => [
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.saveItem
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512),
    createVNode$1(v, { ref: "columnCheck" }, null, 512)
  ]);
}
const groupColumn = /* @__PURE__ */ _export_sfc(_sfc_main$S, [["render", _sfc_render$S]]), __vite_glob_1_21 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: groupColumn
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$R = {
  mixins: [mixinPage],
  components: { columnCheck },
  data() {
    return {
      parentData: null,
      jsonKey: null,
      checkKey: null,
      json: null,
      model: null,
      data: {},
      opened: !1,
      rules: {
        expression: {
          type: "string",
          required: !0,
          message: this.$t("Front_Msg_Please_Input"),
          trigger: "blur,change"
        }
      }
    };
  },
  async created() {
  },
  props: {},
  computed: {},
  methods: {
    // 打开
    open(r, a, o, s) {
      this.parentData = r, this.jsonKey = a, this.checkKey = o;
      let l = r[a];
      (l || "").trim() ? this.data = JSON.parse(l) : this.data = {
        type: r[o] ? "True" : "False"
      }, this.model = s, this.onTypeChange(), this.opened = !0, this.$refs.form.resetFields();
    },
    // 类型变更
    onTypeChange() {
      this.data.type == "Condition" && (this.data.condition || (this.data.condition = []), this.$refs.conditionTable.loadData(this.data.condition));
    },
    // 打开变量字段选择界面
    openColumnSelect(r) {
      this.model != null && this.$refs.columnCheck.open(this.model, (a) => {
        r.code = a.code;
      });
    },
    // 保存
    async save() {
      if (!await this.$refs.form.validate()) {
        this.error("Front_Msg_Form_Validate_Fail");
        return;
      }
      if (this.data.type == "Condition") {
        if (!this.$refs.conditionTable.validate())
          return;
        if (this.$refs.conditionTable.getData().length == 0) {
          this.error("Front_Msg_At_Least_One_Codition");
          return;
        }
        this.data.condition = this.$refs.conditionTable.getData();
      } else
        this.data.condition = [];
      this.parentData[this.jsonKey] = JSON.stringify(this.data), this.data.type == "True" ? this.parentData[this.checkKey] = !0 : this.data.type == "False" ? this.parentData[this.checkKey] = !1 : this.parentData[this.checkKey] = null, this.opened = !1;
    }
  }
}, _hoisted_1$C = { class: "title" }, _hoisted_2$u = { class: "description" }, _hoisted_3$q = { class: "ivu-ml-8 ivu-mr-8" }, _hoisted_4$j = { class: "title" };
function _sfc_render$R(r, a, o, s, l, u) {
  const c = resolveComponent("Radio"), d = resolveComponent("RadioGroup"), f = resolveComponent("FormItem"), p = resolveComponent("Col"), v = resolveComponent("Input"), g = resolveComponent("Row"), y = resolveComponent("Form"), _ = resolveComponent("Divider"), S = resolveComponent("Button"), C = resolveComponent("view-table"), b = resolveComponent("Modal"), T = resolveComponent("column-check");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(b, {
      modelValue: l.opened,
      "onUpdate:modelValue": a[4] || (a[4] = (E) => l.opened = E),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: "800"
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          createElementVNode("span", _hoisted_1$C, toDisplayString$2(r.$t("Front_Label_Condition_Setting")), 1),
          createElementVNode("span", _hoisted_2$u, toDisplayString$2(r.$t("Front_Label_Condition_Setting_Desc")), 1)
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(S, {
            type: "primary",
            "custom-icon": "fa fa-check",
            onClick: u.save
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
            ]),
            _: 1
          }, 8, ["onClick"]),
          createVNode$1(S, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: a[3] || (a[3] = (E) => l.opened = !1)
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          })
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_3$q, [
          createVNode$1(y, {
            ref: "form",
            model: l.data,
            "label-position": "top",
            "label-colon": "：",
            class: "ivu-mt",
            rules: l.rules,
            onSubmit: a[2] || (a[2] = withModifiers(() => {
            }, ["prevent"]))
          }, {
            default: withCtx(() => [
              createVNode$1(g, {
                gutter: 24,
                type: "flex"
              }, {
                default: withCtx(() => [
                  createVNode$1(p, normalizeProps(guardReactiveProps(r.grid24)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: r.$t("Front_Label_Judgement_Condition"),
                        key: "type",
                        prop: "type"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(d, {
                            modelValue: l.data.type,
                            "onUpdate:modelValue": a[0] || (a[0] = (E) => l.data.type = E),
                            onOnChange: u.onTypeChange
                          }, {
                            default: withCtx(() => [
                              (openBlock(!0), createElementBlock(Fragment, null, renderList(r.getEnumList("ConditionType"), (E) => (openBlock(), createBlock(c, {
                                key: E.id,
                                label: E.id
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString$2(E.name), 1)
                                ]),
                                _: 2
                              }, 1032, ["label"]))), 128))
                            ]),
                            _: 1
                          }, 8, ["modelValue", "onOnChange"])
                        ]),
                        _: 1
                      }, 8, ["label"])
                    ]),
                    _: 1
                  }, 16),
                  l.data.type == "Expression" ? (openBlock(), createBlock(p, normalizeProps(mergeProps({ key: 0 }, r.grid24)), {
                    default: withCtx(() => [
                      createVNode$1(f, {
                        label: r.$t("Front_Label_Expression"),
                        key: "expression",
                        prop: "expression"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(v, {
                            type: "text",
                            modelValue: l.data.expression,
                            "onUpdate:modelValue": a[1] || (a[1] = (E) => l.data.expression = E),
                            maxlength: "500"
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label"])
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0)
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model", "rules"]),
          withDirectives(createElementVNode("div", null, [
            createVNode$1(_, {
              plain: !0,
              dashed: "",
              orientation: "left",
              size: "small"
            }, {
              default: withCtx(() => [
                createElementVNode("span", _hoisted_4$j, toDisplayString$2(r.$t("Front_Label_Condition")), 1)
              ]),
              _: 1
            }),
            createVNode$1(C, {
              ref: "conditionTable",
              static: !0,
              "view-code": "ColumnCondition",
              pageEnable: !1,
              embedded: !0
            }, {
              column: withCtx(({ row: E, code: x }) => [
                x == "code" ? (openBlock(), createBlock(v, {
                  key: 0,
                  type: "text",
                  size: "small",
                  modelValue: E.code,
                  "onUpdate:modelValue": ($) => E.code = $
                }, {
                  prepend: withCtx(() => [
                    createVNode$1(S, {
                      size: "small",
                      "custom-icon": "fa fa-search",
                      onClick: ($) => u.openColumnSelect(E)
                    }, null, 8, ["onClick"])
                  ]),
                  _: 2
                }, 1032, ["modelValue", "onUpdate:modelValue"])) : createCommentVNode("", !0)
              ]),
              _: 1
            }, 512)
          ], 512), [
            [vShow, l.data.type == "Condition"]
          ])
        ])
      ]),
      _: 1
    }, 8, ["modelValue", "mask-closable", "draggable"]),
    createVNode$1(T, { ref: "columnCheck" }, null, 512)
  ]);
}
const conditionEdit = /* @__PURE__ */ _export_sfc(_sfc_main$R, [["render", _sfc_render$R]]), __vite_glob_1_16 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: conditionEdit
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$Q = {
  name: "system-ui-tableView",
  mixins: [mixinPage],
  components: { columnSelect, columnCheck, filterSetting, groupMethod, groupColumn, conditionEdit },
  data() {
    return {
      filter: {
        viewType: "TableView",
        newCode: null
      },
      data: {},
      canCopy: null
    };
  },
  computed: {},
  created() {
  },
  methods: {
    formChange() {
      const r = this.$refs.form.data, a = this.$refs.form.columns, o = a.find((u) => u.code === "model"), s = a.find((u) => u.code === "dataSource"), l = a.find((u) => u.code === "isVirtual");
      r.isDataSource ? (l.isShow = !1, o.isShow = !1, s.isShow = !0) : (l.isShow = !0, s.isShow = !1, r.isVirtual ? o.isShow = !1 : o.isShow = !0);
    },
    // 字段设置
    async tableSetting(r) {
      let a = await viewColumnApi.queryByDataViewID(r.id);
      this.$refs.tableSetting.open(r, a.data);
    },
    // 筛选设置
    async filterSetting(r) {
      let a = await filterColumnApi.queryByDataViewID(r.id);
      this.$refs.filterSetting.open(r, a.data);
    },
    //绑定排序组件返回的排序json
    bindSort(r) {
      this.$refs.form.data.sorting = r;
    },
    //绑定筛选组件返回的排序json
    bindFilter(r) {
      this.$refs.form.data.filtering = r;
    },
    // 打开排序编辑框
    async openSort() {
      !this.$refs.form.data.model == "" ? (this.data = this.$refs.form.data, this.$refs.modal_sort.open()) : this.error("Front_Msg_Please_Select_Model_First");
    },
    // 打开筛选编辑框
    async openFilter() {
      !this.$refs.form.data.model == "" ? (this.data = this.$refs.form.data, this.$refs.modal_filter.open()) : this.error("Front_Msg_Please_Select_Model_First");
    },
    // 导出文件
    exportFile() {
      let r = this.$refs.table.getSelected().map((a) => a.id);
      r.length > 0 ? dataViewApi.exportFile(r) : this.error("Front_Msg_Please_Select_Export_Item");
    },
    // 导入成功
    importFileSuccess(r) {
      r.code == 0 ? this.success("Front_Msg_Success", () => {
        this.$refs.table.loadData();
      }) : this.error(r.message);
    },
    // 复制
    copy() {
      if (!this.$refs.form.data.id) {
        this.error("Front_Msg_Can_Not_Copy_In_Create");
        return;
      }
      this.confirmInput(
        "Front_Msg_Sure_To_Copy_Create_View",
        this.$t("Front_Label_View_Code"),
        async () => {
          let r = await dataViewApi.copy(this.$refs.form.data.id, this.newCode);
          this.$refs.form.open(r), this.$refs.table.loadData();
        },
        (r) => (r || "").trim() ? (this.newCode = r, !0) : (this.warning("Front_Msg_Please_Input_View_Code"), !1)
      );
    },
    // 新建
    create() {
      this.canCopy = !1, this.$refs.form.openDefault({ viewType: "TableView" });
    },
    // 编辑
    edit({ row: r }) {
      this.canCopy = !0, this.$refs.form.open(r);
    },
    // 打开字段选择界面
    openColumnCheck(r, a) {
      r.model != null && this.$refs.columnCheck.open(r.model, (o) => {
        r[a] = o.code;
      });
    },
    // 打开筛选字段选择
    keywordColumnOpen() {
      if (!(this.$refs.form.data.model || "").trim()) {
        this.error("Front_Msg_Please_Select_Model_First");
        return;
      }
      let a = this.$refs.form.data.keywordColumn, o = [];
      (a || "").trim() && (o = a.split(",").map((s) => ({ code: s }))), this.$refs.columnSelect.open(this.$refs.form.data, o, (s) => {
        this.$refs.form.data.keywordColumn = s.map((l) => l.code).join();
      });
    },
    // 是否显示选择框
    showCheck(r) {
      if ((r || "").trim()) {
        let a = JSON.parse(r);
        return a.type == "True" || a.type == "False";
      } else
        return !0;
    },
    // 选择框变化
    checkChange(r, a) {
      if ((this.data[r] || "").trim()) {
        let o = JSON.parse(this.data[r]);
        this.data[a] ? o.type = "True" : o.type = "False", this.data[r] = JSON.stringify(o);
      }
    }
  }
}, _hoisted_1$B = { class: "i-layout-page-header" }, _hoisted_2$t = { key: 0 }, _hoisted_3$p = { key: 1 }, _hoisted_4$i = { key: 2 }, _hoisted_5$d = { key: 3 }, _hoisted_6$7 = { key: 4 }, _hoisted_7$6 = { key: 5 }, _hoisted_8$6 = { key: 6 }, _hoisted_9$5 = { key: 7 }, _hoisted_10$5 = { key: 8 };
function _sfc_render$Q(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("file-upload"), p = resolveComponent("view-table"), v = resolveComponent("Card"), g = resolveComponent("Input"), y = resolveComponent("Switch"), _ = resolveComponent("modal-form"), S = resolveComponent("modal-form-sort"), C = resolveComponent("modal-form-filter"), b = resolveComponent("table-setting"), T = resolveComponent("filter-setting"), E = resolveComponent("column-select"), x = resolveComponent("column-check"), $ = resolveComponent("group-method"), A = resolveComponent("group-column"), N = resolveComponent("condition-edit");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$B, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(v, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(p, {
          ref: "table",
          "view-code": "TableView",
          filter: l.filter,
          "select-enable": r.allow("export"),
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: u.create,
          onEdit: u.edit
        }, {
          filterCommand: withCtx(() => [
            r.allow("export") ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              type: "info",
              "custom-icon": "fa fa-cloud-download-alt",
              onClick: a[0] || (a[0] = (P) => u.exportFile())
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString$2(r.$t("Front_Btn_Export")), 1)
              ]),
              _: 1
            })) : createCommentVNode("", !0),
            r.allow("import") ? (openBlock(), createBlock(f, {
              key: 1,
              url: "api/DataView/importFile",
              accept: ".view",
              onOnSuccess: u.importFileSuccess
            }, {
              default: withCtx(() => [
                createVNode$1(d, {
                  type: "primary",
                  "custom-icon": "fa fa-cloud-upload-alt",
                  size: "small"
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString$2(r.$t("Front_Btn_Import")), 1)
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }, 8, ["onOnSuccess"])) : createCommentVNode("", !0)
          ]),
          command: withCtx(({ row: P }) => [
            createVNode$1(d, {
              size: "small",
              title: r.$t("Front_Btn_Column_Setting"),
              type: "info",
              "custom-icon": "fa fa-bars",
              onClick: (L) => u.tableSetting(P)
            }, null, 8, ["title", "onClick"]),
            createVNode$1(d, {
              size: "small",
              title: r.$t("Front_Btn_Filter_Setting"),
              type: "info",
              "custom-icon": "fa fa-filter",
              onClick: (L) => u.filterSetting(P)
            }, null, 8, ["title", "onClick"])
          ]),
          _: 1
        }, 8, ["filter", "select-enable", "create-enable", "remove-enable", "onCreate", "onEdit"])
      ]),
      _: 1
    }),
    createVNode$1(_, {
      ref: "form",
      "view-code": "TableViewEdit",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnChange: u.formChange,
      onOnAfterSave: a[6] || (a[6] = (P) => r.$refs.table.loadData())
    }, {
      column: withCtx(({ data: P, code: L }) => [
        L == "keywordColumn" ? (openBlock(), createElementBlock("div", _hoisted_2$t, [
          createVNode$1(g, {
            type: "text",
            readonly: !0,
            modelValue: P.keywordColumn,
            "onUpdate:modelValue": (O) => P.keywordColumn = O,
            onClick: a[1] || (a[1] = (O) => u.keywordColumnOpen())
          }, null, 8, ["modelValue", "onUpdate:modelValue"])
        ])) : createCommentVNode("", !0),
        L == "sorting" ? (openBlock(), createElementBlock("div", _hoisted_3$p, [
          createVNode$1(g, {
            type: "text",
            readonly: !0,
            modelValue: r.$refs.form.data.sorting,
            "onUpdate:modelValue": (O) => r.$refs.form.data.sorting = O,
            onClick: u.openSort
          }, {
            prepend: withCtx(() => [
              createVNode$1(d, {
                "custom-icon": "fa fa-edit",
                onClick: u.openSort
              }, null, 8, ["onClick"])
            ]),
            _: 2
          }, 1032, ["modelValue", "onUpdate:modelValue", "onClick"])
        ])) : createCommentVNode("", !0),
        L == "filtering" ? (openBlock(), createElementBlock("div", _hoisted_4$i, [
          createVNode$1(g, {
            type: "text",
            readonly: !0,
            modelValue: r.$refs.form.data.filtering,
            "onUpdate:modelValue": (O) => r.$refs.form.data.filtering = O,
            onClick: u.openFilter
          }, {
            prepend: withCtx(() => [
              createVNode$1(d, {
                "custom-icon": "fa fa-edit",
                onClick: u.openFilter
              }, null, 8, ["onClick"])
            ]),
            _: 2
          }, 1032, ["modelValue", "onUpdate:modelValue", "onClick"])
        ])) : createCommentVNode("", !0),
        L == "batchSelectDataCode" ? (openBlock(), createElementBlock("div", _hoisted_5$d, [
          createVNode$1(g, {
            type: "text",
            readonly: !0,
            modelValue: r.$refs.form.data.batchSelectDataCode,
            "onUpdate:modelValue": (O) => r.$refs.form.data.batchSelectDataCode = O,
            onClick: (O) => u.openColumnCheck(r.$refs.form.data, "batchSelectDataCode")
          }, {
            prepend: withCtx(() => [
              createVNode$1(d, {
                "custom-icon": "fa fa-search",
                onClick: (O) => u.openColumnCheck(r.$refs.form.data, "batchSelectDataCode")
              }, null, 8, ["onClick"])
            ]),
            _: 2
          }, 1032, ["modelValue", "onUpdate:modelValue", "onClick"])
        ])) : createCommentVNode("", !0),
        L == "groupColumn" ? (openBlock(), createElementBlock("div", _hoisted_6$7, [
          createVNode$1(g, {
            type: "text",
            readonly: !0,
            modelValue: r.$refs.form.data.groupColumn,
            "onUpdate:modelValue": (O) => r.$refs.form.data.groupColumn = O,
            onClick: (O) => {
              r.$refs.groupColumn.open(r.$refs.form.data.model, r.$refs.form.data.groupColumn, (M) => {
                r.$refs.form.data.groupColumn = M;
              });
            }
          }, {
            prepend: withCtx(() => [
              createVNode$1(d, {
                "custom-icon": "fa fa-edit",
                onClick: (O) => {
                  r.$refs.groupColumn.open(r.$refs.form.data.model, r.$refs.form.data.groupColumn, (M) => {
                    r.$refs.form.data.groupColumn = M;
                  });
                }
              }, null, 8, ["onClick"])
            ]),
            _: 2
          }, 1032, ["modelValue", "onUpdate:modelValue", "onClick"])
        ])) : createCommentVNode("", !0),
        L == "groupMethod" ? (openBlock(), createElementBlock("div", _hoisted_7$6, [
          createVNode$1(g, {
            type: "text",
            readonly: !0,
            modelValue: r.$refs.form.data.groupMethod,
            "onUpdate:modelValue": (O) => r.$refs.form.data.groupMethod = O,
            onClick: (O) => {
              r.$refs.groupMethod.open(r.$refs.form.data.model, r.$refs.form.data.groupMethod, (M) => {
                r.$refs.form.data.groupMethod = M;
              });
            }
          }, {
            prepend: withCtx(() => [
              createVNode$1(d, {
                "custom-icon": "fa fa-edit",
                onClick: (O) => {
                  r.$refs.groupMethod.open(r.$refs.form.data.model, r.$refs.form.data.groupMethod, (M) => {
                    r.$refs.form.data.groupMethod = M;
                  });
                }
              }, null, 8, ["onClick"])
            ]),
            _: 2
          }, 1032, ["modelValue", "onUpdate:modelValue", "onClick"])
        ])) : createCommentVNode("", !0),
        L == "editEnable" ? (openBlock(), createElementBlock("div", _hoisted_8$6, [
          u.showCheck(P.editEnableJson) ? (openBlock(), createBlock(y, {
            key: 0,
            "model-value": !!P.editEnable,
            "onUpdate:modelValue": (O) => {
              P.editEnable = O;
            },
            onOnChange: a[2] || (a[2] = (O) => u.checkChange("editEnableJson", "editEnable"))
          }, null, 8, ["model-value", "onUpdate:modelValue"])) : createCommentVNode("", !0),
          createVNode$1(d, {
            style: { "margin-left": "8px" },
            onClick: (O) => r.$refs.conditionEdit.open(P, "editEnableJson", "editEnable", r.$refs.form.data.model),
            type: "primary",
            size: "small",
            icon: "ios-settings"
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Condition")), 1)
            ]),
            _: 2
          }, 1032, ["onClick"])
        ])) : createCommentVNode("", !0),
        L == "showEnable" ? (openBlock(), createElementBlock("div", _hoisted_9$5, [
          u.showCheck(P.showEnableJson) ? (openBlock(), createBlock(y, {
            key: 0,
            "model-value": !!P.showEnable,
            "onUpdate:modelValue": (O) => {
              P.showEnable = O;
            },
            onOnChange: a[3] || (a[3] = (O) => u.checkChange("showEnableJson", "showEnable"))
          }, null, 8, ["model-value", "onUpdate:modelValue"])) : createCommentVNode("", !0),
          createVNode$1(d, {
            style: { "margin-left": "8px" },
            onClick: (O) => r.$refs.conditionEdit.open(P, "showEnableJson", "showEnable", r.$refs.form.data.model),
            type: "primary",
            size: "small",
            icon: "ios-settings"
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Condition")), 1)
            ]),
            _: 2
          }, 1032, ["onClick"])
        ])) : createCommentVNode("", !0),
        L == "removeEnable" ? (openBlock(), createElementBlock("div", _hoisted_10$5, [
          u.showCheck(P.removeEnableJson) ? (openBlock(), createBlock(y, {
            key: 0,
            "model-value": !!P.removeEnable,
            "onUpdate:modelValue": (O) => {
              P.removeEnable = O;
            },
            onOnChange: a[4] || (a[4] = (O) => u.checkChange("removeEnableJson", "removeEnable"))
          }, null, 8, ["model-value", "onUpdate:modelValue"])) : createCommentVNode("", !0),
          createVNode$1(d, {
            style: { "margin-left": "8px" },
            onClick: (O) => r.$refs.conditionEdit.open(P, "removeEnableJson", "removeEnable", r.$refs.form.data.model),
            type: "primary",
            size: "small",
            icon: "ios-settings"
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Condition")), 1)
            ]),
            _: 2
          }, 1032, ["onClick"])
        ])) : createCommentVNode("", !0)
      ]),
      footer: withCtx(() => [
        createVNode$1(d, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: a[5] || (a[5] = () => r.$refs.form.onSave())
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }),
        l.canCopy ? (openBlock(), createBlock(d, {
          key: 0,
          type: "primary",
          "custom-icon": "fa fa-copy",
          onClick: u.copy
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Copy")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])) : createCommentVNode("", !0)
      ]),
      _: 1
    }, 8, ["create-enable", "edit-enable", "onOnChange"]),
    createVNode$1(S, {
      ref: "modal_sort",
      sort: l.data.sorting,
      dataView: l.data,
      onBindSort: u.bindSort
    }, null, 8, ["sort", "dataView", "onBindSort"]),
    createVNode$1(C, {
      ref: "modal_filter",
      filter: l.data.filtering,
      dataView: l.data,
      onBindFilter: u.bindFilter
    }, null, 8, ["filter", "dataView", "onBindFilter"]),
    createVNode$1(b, { ref: "tableSetting" }, null, 512),
    createVNode$1(T, { ref: "filterSetting" }, null, 512),
    createVNode$1(E, { ref: "columnSelect" }, null, 512),
    createVNode$1(x, { ref: "columnCheck" }, null, 512),
    createVNode$1($, { ref: "groupMethod" }, null, 512),
    createVNode$1(A, { ref: "groupColumn" }, null, 512),
    createVNode$1(N, { ref: "conditionEdit" }, null, 512)
  ]);
}
const tableView = /* @__PURE__ */ _export_sfc(_sfc_main$Q, [["render", _sfc_render$Q]]), __vite_glob_0_32 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: tableView
}, Symbol.toStringTag, { value: "Module" })), res$5 = "TaskQueue", taskQueueApi = {
  execute(r) {
    return service({
      url: `api/${res$5}/execute`,
      method: "post",
      data: {
        id: r
      }
    });
  },
  cancel(r) {
    return service({
      url: `api/${res$5}/cancel`,
      method: "post",
      data: {
        id: r
      }
    });
  }
}, _sfc_main$P = {
  name: "system-taskQueue",
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      isShow: !1,
      json: null,
      title: null,
      description: null
    };
  },
  computed: {},
  created() {
  },
  methods: {
    // 执行
    execute(r) {
      this.confirm("Front_Msg_Sure_To_Start_Immediately", async () => {
        await taskQueueApi.execute(r.id), this.success("Front_Msg_Success"), this.$refs.table.loadData();
      });
    },
    // 取消
    cancel(r) {
      this.confirm("Front_Msg_Sure_To_Cancel_Task", async () => {
        await taskQueueApi.cancel(r.id), this.success("Front_Msg_Success"), this.$refs.table.loadData();
      });
    },
    async openRequest(r) {
      const a = await modelApi.get("ApiOutLog", r.apiOutLogID);
      try {
        this.json = JSON.stringify(JSON.parse(a.requestBody), null, 2);
      } catch {
        this.json = a.requestBody;
      }
      this.title = this.$t("Front_Label_Request"), this.description = this.$t("Front_Label_Request_Desc"), this.isShow = !0;
    },
    async openResponse(r) {
      const a = await modelApi.get("ApiOutLog", r.apiOutLogID);
      try {
        this.json = JSON.stringify(JSON.parse(a.responseBody), null, 2);
      } catch {
        this.json = a.responseBody;
      }
      this.title = this.$t("Front_Label_Response"), this.description = this.$t("Front_Label_Response_Desc"), this.isShow = !0;
    }
  }
}, _hoisted_1$A = { class: "i-layout-page-header" }, _hoisted_2$s = { class: "title" }, _hoisted_3$o = { class: "description" }, _hoisted_4$h = { class: "ivu-ml-8 ivu-mr-8" };
function _sfc_render$P(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("view-table"), p = resolveComponent("Card"), v = resolveComponent("modal-table"), g = resolveComponent("Col"), y = resolveComponent("Row"), _ = resolveComponent("Modal");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$A, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(f, {
          ref: "table",
          "view-code": "TaskQueue"
        }, {
          command: withCtx(({ row: S }) => [
            createVNode$1(d, {
              size: "small",
              title: r.$t("Front_Btn_Detail"),
              type: "info",
              "custom-icon": "fa fa-bars",
              onClick: (C) => r.$refs.logTable.open({ taskQueueID: S.id })
            }, null, 8, ["title", "onClick"]),
            r.allow("retry") ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              title: r.$t("Front_Btn_Execute"),
              type: "primary",
              "custom-icon": "fa fa-bolt",
              onClick: (C) => u.execute(S)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
            r.allow("cancel") && (S.status == "Pending" || S.status == "Retry") ? (openBlock(), createBlock(d, {
              key: 1,
              size: "small",
              title: r.$t("Front_Btn_Cancel"),
              type: "warning",
              "custom-icon": "fa fa-times",
              onClick: (C) => u.cancel(S)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0)
          ]),
          _: 1
        }, 512)
      ]),
      _: 1
    }),
    createVNode$1(v, {
      ref: "logTable",
      "view-code": "TaskQueueLogModal"
    }, {
      command: withCtx(({ row: S }) => [
        S.apiOutLogID ? (openBlock(), createBlock(d, {
          key: 0,
          size: "small",
          title: r.$t("Front_Btn_Request"),
          type: "info",
          "custom-icon": "fa fa-cloud-upload-alt",
          onClick: (C) => u.openRequest(S)
        }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
        S.apiOutLogID ? (openBlock(), createBlock(d, {
          key: 1,
          size: "small",
          title: r.$t("Front_Btn_Response"),
          type: "info",
          "custom-icon": "fa fa-cloud-download-alt",
          onClick: (C) => u.openResponse(S)
        }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0)
      ]),
      _: 1
    }, 512),
    createVNode$1(_, {
      modelValue: l.isShow,
      "onUpdate:modelValue": a[1] || (a[1] = (S) => l.isShow = S),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: 800
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          renderSlot(r.$slots, "header", {}, () => [
            createElementVNode("span", _hoisted_2$s, toDisplayString$2(l.title), 1),
            createElementVNode("span", _hoisted_3$o, toDisplayString$2(l.description), 1)
          ])
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(d, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: a[0] || (a[0] = (S) => l.isShow = !1)
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          })
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_4$h, [
          createVNode$1(y, {
            gutter: 24,
            type: "flex"
          }, {
            default: withCtx(() => [
              createVNode$1(g, { span: "12" }, {
                default: withCtx(() => [
                  createElementVNode("pre", null, toDisplayString$2(l.json), 1)
                ]),
                _: 1
              })
            ]),
            _: 1
          })
        ])
      ]),
      _: 3
    }, 8, ["modelValue", "mask-closable", "draggable"])
  ]);
}
const taskQueue = /* @__PURE__ */ _export_sfc(_sfc_main$P, [["render", _sfc_render$P]]), __vite_glob_0_33 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: taskQueue
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$O = {
  name: "system-user",
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      user: null,
      userID: null,
      factories: []
    };
  },
  computed: {},
  created() {
  },
  methods: {
    // 给角色添加用户
    async addUserRole() {
      this.$refs.userRoleForm.columns.find((r) => r.code == "roleID").isReadonly = !1, this.$refs.userRoleDataTable.loadData([]), this.$refs.userRoleForm.openDefault(this.$refs.userRoleTable.param);
    },
    // 用户角色编辑
    async editUserRole(r) {
      this.$refs.userRoleForm.columns.find((a) => a.code == "roleID").isReadonly = !0, this.initUserRoleData(r.userID, r.roleID), this.$refs.userRoleForm.open(r);
    },
    // 加载数据源
    async initDataSource() {
      for (let r = 0; r < this.roleProperties.length; r++) {
        let a = this.roleProperties[r];
        if ((a.source || "").trim() && (a.controlType === "Select" || a.controlType === "MultiSelect")) {
          a._dataSource = [];
          let o = this.getParam(a);
          o != null && await this.fillDataSource(a, o);
        }
      }
    },
    // 填充数据源
    async fillDataSource(r, a) {
      let o;
      r.isSourceCustom ? o = await customModelApi.query(r.source, a) : o = await modelApi.query(r.source, a), o.data.forEach((s) => {
        r._dataSource.push({
          id: (r.sourceDataCode || "").trim() ? this.parseData(s, r.sourceDataCode) : s.id,
          name: this.parseData(s, r.sourceDisplayCode)
        });
      });
    },
    // 获取参数
    getParam(r) {
      let a = {};
      if ((r.param || "").trim()) {
        a = JSON.parse(r.param);
        for (let o in a) {
          if (a[o].search(/^\[.*?\]$/) === 0) {
            a[o] = a[o].substring(1, a[o].length - 1);
            continue;
          }
          let l = this.parseData(r, a[o]);
          if (l != null) {
            a[o] = l;
            continue;
          }
          return null;
        }
      }
      return a;
    },
    // 用户角色保存
    async userRoleSave() {
      await this.$refs.userRoleForm.validate() ? this.confirm("Front_Msg_Sure_To_Save", async () => {
        let a = this.$refs.userRoleForm.getFullData();
        if (!a)
          return;
        let o = this.$refs.userRoleDataTable.data, s = {
          userRole: a,
          userRoleDatas: o
        };
        a.id ? await modelApi.update("UserRole", s) : await modelApi.add("UserRole", s), this.success("Front_Msg_Success", () => {
          this.$refs.userRoleDataTable.loadData([]), this.$refs.userRoleTable.loadData(), this.$refs.userRoleForm.close();
        });
      }) : this.error("Front_Msg_Form_Validate_Fail");
    },
    // 角色变化
    async userRoleChange(r) {
      if (r && r.code == "roleID") {
        let a = this.$refs.userRoleForm.data.roleID, o = this.$refs.userRoleForm.data.userID;
        this.initUserRoleData(o, a);
      }
    },
    // 初始化用户角色数据
    async initUserRoleData(r, a) {
      let o = await modelApi.query("RoleProperty", { roleID: a }), s = o.data, l = [];
      this.$refs.userRoleForm.data.id && (o = await modelApi.query("UserRoleData", { userID: r, roleID: a }), l = o.data), this.roleProperties = s.map((u) => {
        let c = l.find((d) => d.propertyCode == u.propertyCode);
        return {
          ...u,
          propertyValue: c == null ? null : c.propertyValue
        };
      }), await this.initDataSource(), this.$refs.userRoleDataTable.loadData(this.roleProperties);
    },
    // 重置密码
    async resetPassword() {
      this.confirm("Front_Msg_Sure_To_Reset_Password", async () => {
        await userlApi.resetPassword(this.$refs.form.data.id), this.success("Front_Msg_Reset_Password_Success");
      });
    },
    // 打开数据权限
    openDataPermission(r) {
      let a = {};
      (r.dataPermission || "").trim() && (a = JSON.parse(r.dataPermission)), this.user = r, this.$refs.dataPermissionForm.open(a);
    },
    // 数据权限保存
    saveDataPermission() {
      let r = this.$refs.dataPermissionForm.data;
      for (let a in r)
        typeof r[a] == "object" && delete r[a];
      this.user.dataPermission = JSON.stringify(r), this.confirm("Front_Msg_Sure_To_Save", async () => {
        await modelApi.update("User", this.user), this.success("Front_Msg_Success"), this.$refs.dataPermissionForm.close();
      });
    }
  }
}, _hoisted_1$z = { class: "i-layout-page-header" };
function _sfc_render$O(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("view-table"), p = resolveComponent("Card"), v = resolveComponent("modal-form"), g = resolveComponent("modal-table"), y = resolveComponent("Input"), _ = resolveComponent("Option"), S = resolveComponent("Select"), C = resolveComponent("dialog-select"), b = resolveComponent("Checkbox");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$z, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(f, {
          ref: "table",
          "view-code": "User",
          onCreate: a[0] || (a[0] = (T) => r.$refs.form.open()),
          "create-enable": r.allow("create")
        }, {
          command: withCtx(({ row: T }) => [
            r.allow("role") ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              title: r.$t("Front_Btn_Role"),
              type: "info",
              "custom-icon": "fa fa-users",
              onClick: (E) => r.$refs.userRoleTable.open({ userID: T.id })
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
            r.allow("edit") || r.allow("resetPassword") ? (openBlock(), createBlock(d, {
              key: 1,
              size: "small",
              title: r.$t("Front_Btn_Edit"),
              type: "primary",
              "custom-icon": "fa fa-edit",
              onClick: (E) => r.$refs.form.open(T)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
            r.allow("dataPermission") ? (openBlock(), createBlock(d, {
              key: 2,
              size: "small",
              title: r.$t("Front_Btn_Data_Permission"),
              type: "primary",
              "custom-icon": "fa fa-sitemap",
              onClick: (E) => u.openDataPermission(T)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
            r.allow("remove") ? (openBlock(), createBlock(d, {
              key: 3,
              size: "small",
              title: r.$t("Front_Btn_Remove"),
              type: "warning",
              "custom-icon": "fa fa-trash-alt",
              onClick: (E) => r.$refs.table.remove(T)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0)
          ]),
          _: 1
        }, 8, ["create-enable"])
      ]),
      _: 1
    }),
    createVNode$1(v, {
      ref: "form",
      "view-code": "UserEdit",
      onOnAfterSave: a[2] || (a[2] = (T) => r.$refs.table.loadData())
    }, {
      footer: withCtx(() => [
        r.allow("create") || r.allow("edit") ? (openBlock(), createBlock(d, {
          key: 0,
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: a[1] || (a[1] = (T) => r.$refs.form.onSave())
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        })) : createCommentVNode("", !0),
        r.allow("resetPassword") ? (openBlock(), createBlock(d, {
          key: 1,
          type: "primary",
          "custom-icon": "fa fa-user-lock",
          onClick: u.resetPassword
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Reset_Password")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])) : createCommentVNode("", !0)
      ]),
      _: 1
    }, 512),
    createVNode$1(g, {
      ref: "userRoleTable",
      "view-code": "UserRole",
      onEdit: a[4] || (a[4] = ({ row: T }) => u.editUserRole(T))
    }, {
      filterCommand: withCtx(() => [
        createVNode$1(d, {
          size: "small",
          type: "primary",
          "custom-icon": "fa fa-plus",
          onClick: a[3] || (a[3] = (T) => u.addUserRole())
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Add")), 1)
          ]),
          _: 1
        })
      ]),
      _: 1
    }, 512),
    createVNode$1(v, {
      ref: "userRoleForm",
      "view-code": "UserRoleEdit",
      onOnAfterSave: a[5] || (a[5] = (T) => r.$refs.userRoleTable.loadData()),
      onOnChange: u.userRoleChange
    }, {
      bottom: withCtx(() => [
        createVNode$1(f, {
          ref: "userRoleDataTable",
          "view-code": "UserRoleDataEdit",
          static: !0
        }, {
          column: withCtx(({ row: T, code: E }) => [
            T.controlType === "TextInput" ? (openBlock(), createBlock(y, {
              key: 0,
              type: "text",
              size: "small",
              modelValue: T.propertyValue,
              "onUpdate:modelValue": (x) => T.propertyValue = x
            }, null, 8, ["modelValue", "onUpdate:modelValue"])) : T.controlType === "NumberInput" ? (openBlock(), createBlock(y, {
              key: 1,
              type: "number",
              size: "small",
              number: "",
              modelValue: T.propertyValue,
              "onUpdate:modelValue": (x) => T.propertyValue = x
            }, null, 8, ["modelValue", "onUpdate:modelValue"])) : T.controlType === "Select" ? (openBlock(), createBlock(S, {
              key: 2,
              size: "small",
              modelValue: T.propertyValue,
              "onUpdate:modelValue": (x) => T.propertyValue = x,
              clearable: !0,
              transfer: !0
            }, {
              default: withCtx(() => [
                (openBlock(!0), createElementBlock(Fragment, null, renderList(T._dataSource, (x) => (openBlock(), createBlock(_, {
                  key: x.id,
                  value: x.id
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString$2(x.name), 1)
                  ]),
                  _: 2
                }, 1032, ["value"]))), 128))
              ]),
              _: 2
            }, 1032, ["modelValue", "onUpdate:modelValue"])) : T.controlType === "DialogSelect" ? (openBlock(), createBlock(C, {
              key: 3,
              modelValue: T.propertyValue,
              "onUpdate:modelValue": (x) => T.propertyValue = x,
              size: "small",
              source: T.source,
              "source-data-code": T.sourceDataCode,
              "source-display-code": T.sourceDisplayCode,
              param: u.getParam(T)
            }, null, 8, ["modelValue", "onUpdate:modelValue", "source", "source-data-code", "source-display-code", "param"])) : T.controlType === "MultiDialogSelect" ? (openBlock(), createBlock(C, {
              key: 4,
              modelValue: T.propertyValue,
              "onUpdate:modelValue": (x) => T.propertyValue = x,
              size: "small",
              multi: !0,
              source: T.source,
              "source-data-code": T.sourceDataCode,
              "source-display-code": T.sourceDisplayCode,
              param: u.getParam(T)
            }, null, 8, ["modelValue", "onUpdate:modelValue", "source", "source-data-code", "source-display-code", "param"])) : T.controlType === "Check" ? (openBlock(), createBlock(b, {
              key: 5,
              "model-value": !!r.parseData(T, E),
              "onUpdate:modelValue": (x) => r.setData(T, E, x)
            }, null, 8, ["model-value", "onUpdate:modelValue"])) : createCommentVNode("", !0)
          ]),
          _: 1
        }, 512)
      ]),
      footer: withCtx(() => [
        createVNode$1(d, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.userRoleSave
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 8, ["onOnChange"]),
    createVNode$1(v, {
      ref: "dataPermissionForm",
      "view-code": "DataPermission"
    }, {
      footer: withCtx(() => [
        createVNode$1(d, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.saveDataPermission
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512)
  ]);
}
const user = /* @__PURE__ */ _export_sfc(_sfc_main$O, [["render", _sfc_render$O]]), __vite_glob_0_34 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: user
}, Symbol.toStringTag, { value: "Module" })), res$4 = "Application", applicationApi = {
  submit(r, a) {
    return r.isCustom ? service({
      url: `api/${res$4}/submit`,
      method: "post",
      data: {
        applicationTypeID: r.id,
        model: a
      }
    }) : service({
      url: `api/${r.model}/submit`,
      method: "post",
      data: a
    });
  },
  save(r, a) {
    return r.isCustom ? service({
      url: `api/${res$4}/save`,
      method: "post",
      data: {
        applicationTypeID: r.id,
        model: a
      }
    }) : service({
      url: `api/${r.model}/save`,
      method: "post",
      data: a
    });
  },
  cancel(r) {
    return service({
      url: `api/${res$4}/cancel`,
      method: "post",
      data: {
        id: r
      }
    });
  }
}, res$3 = "ProcessInst", processInstApi = {
  addMessage(r, a) {
    return service({
      url: `api/${res$3}/addMessage`,
      method: "post",
      data: {
        id: r,
        message: a
      }
    });
  }
}, _sfc_main$N = {
  // name: this.$route.name,
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      filter: {},
      applicationType: {},
      page: {},
      messageData: {
        message: null
      },
      messageOpened: !1
    };
  },
  computed: {},
  async mounted() {
    this.init(this.$route.meta.data.id);
  },
  // watch: {
  //   $route() {
  //     if (this.$route.meta.data.id) {
  //       //this.init(this.$route.meta.data.id);
  //     }
  //   }
  // },
  methods: {
    ...mapActions("admin/viewPage", { loadPage: "load" }),
    // 初始化
    async init(r) {
      let a = await this.loadPage(r);
      this.page = a.customPage, setTimeout(() => {
        this.allow("all") || (this.filter.createUserID = this.info.id), this.$refs.table.init(this.page.tableViewCode, () => {
          this.$refs.table.tableView.autoLoadDisable || this.$refs.table.loadData();
        }), (this.page.formViewCode || "").trim() && this.$refs.form.init(this.page.formViewCode), ((this.page.formViewCode || "").trim() || (this.page.showViewCode || "").trim()) && this.$refs.showForm.init((this.page.showViewCode || "").trim() ? this.page.showViewCode : this.page.formViewCode);
      });
    },
    // 创建
    create() {
      let r = {
        status: "Draft",
        applicantID: this.info.id,
        createTime: /* @__PURE__ */ new Date()
      };
      this.$refs.form.openDefault({ application: r });
    },
    // 提交
    async submit() {
      if (!await this.$refs.form.validate())
        this.error("Front_Msg_Form_Validate_Fail");
      else {
        let a = this.$refs.form.getFullData();
        if (!a)
          return;
        this.confirm("Front_Msg_Sure_To_Submit", async () => {
          await applicationApi.submit(this.page.applicationType, a), this.success("Front_Msg_Success", () => {
            this.$refs.table.loadData(), this.$refs.form.close();
          });
        });
      }
    },
    // 保存
    async save() {
      let r = this.$refs.form.getFullData();
      r && this.confirm("Front_Msg_Sure_To_Save", async () => {
        let a = await applicationApi.save(this.page.applicationType, r);
        this.success("Front_Msg_Success", () => {
          this.$refs.table.loadData(), this.$refs.form.setData(a);
        });
      });
    },
    // 打开意见输入
    openMessage() {
      this.messageData.message = null, this.messageOpened = !0;
    },
    // 提交意见
    async submitMessage() {
      await this.$refs.messageForm.validate() ? this.confirm("Front_Msg_Sure_To_Message_Application", async () => {
        await processInstApi.addMessage(this.$refs.showForm.data.application.processInstID, this.messageData.message), this.success("Front_Msg_Success", () => {
          this.messageData.message = null, this.messageOpened = !1;
        });
      }) : this.error("Front_Msg_Form_Validate_Fail");
    },
    // 撤销
    async cancel() {
      this.confirm("Front_Msg_Sure_To_Cancel_Application", async () => {
        await applicationApi.cancel(this.$refs.form.data.applicationID), this.success("Front_Msg_Success", () => {
          this.$refs.table.loadData(), this.$refs.form.close();
        });
      });
    }
  }
}, _hoisted_1$y = { class: "i-layout-page-header" }, _hoisted_2$r = { class: "title" }, _hoisted_3$n = { class: "description" }, _hoisted_4$g = { class: "ivu-ml-8 ivu-mr-8" };
function _sfc_render$N(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("view-table"), p = resolveComponent("Card"), v = resolveComponent("modal-form"), g = resolveComponent("modal-table"), y = resolveComponent("Input"), _ = resolveComponent("FormItem"), S = resolveComponent("Col"), C = resolveComponent("Row"), b = resolveComponent("Form"), T = resolveComponent("Modal");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$y, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        l.page ? (openBlock(), createBlock(f, {
          key: 0,
          ref: "table",
          filter: l.filter,
          "create-enable": r.allow("create"),
          onCreate: u.create
        }, {
          command: withCtx(({ row: E }) => [
            E.application.status != "Draft" && E.application.status != "Rejected" ? (openBlock(), createBlock(d, {
              key: 0,
              size: "small",
              title: r.$t("Front_Btn_Detail"),
              type: "info",
              "custom-icon": "fa fa-file-alt",
              onClick: (x) => r.$refs.showForm.open(E)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
            (E.application.status == "Draft" || E.application.status == "Rejected") && E.application.applicantID == r.info.id ? (openBlock(), createBlock(d, {
              key: 1,
              size: "small",
              title: r.$t("Front_Btn_Edit"),
              type: "primary",
              "custom-icon": "fa fa-edit",
              onClick: (x) => r.$refs.form.open(E)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0)
          ]),
          _: 1
        }, 8, ["filter", "create-enable", "onCreate"])) : createCommentVNode("", !0)
      ]),
      _: 1
    }),
    l.page ? (openBlock(), createBlock(v, {
      key: 0,
      ref: "form",
      onOnAfterSave: a[1] || (a[1] = (E) => r.$refs.table.loadData())
    }, {
      footer: withCtx(() => [
        a[9] || (a[9] = createElementVNode("span", null, null, -1)),
        createVNode$1(d, {
          type: "primary",
          "custom-icon": "fa fa-cloud-upload-alt",
          onClick: u.submit
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Submit")), 1)
          ]),
          _: 1
        }, 8, ["onClick"]),
        createVNode$1(d, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.save
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"]),
        r.$refs.form && r.$refs.form.data && r.$refs.form.data.application && r.$refs.form.data.applicationID && (r.$refs.form.data.application.status == "Draft" || r.$refs.form.data.application.status == "Rejected") ? (openBlock(), createBlock(d, {
          key: 0,
          type: "warning",
          "custom-icon": "fa fa-trash-alt",
          onClick: u.cancel
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Cancel")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])) : createCommentVNode("", !0),
        r.$refs.form && r.$refs.form.data && r.$refs.form.data.application && r.$refs.form.data.application.processInstID ? (openBlock(), createBlock(d, {
          key: 1,
          type: "info",
          "custom-icon": "fa fa-history",
          onClick: a[0] || (a[0] = (E) => r.$refs.approvalHistoryTable.open({ processInstID: r.$refs.form.data.application.processInstID }))
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_History")), 1)
          ]),
          _: 1
        })) : createCommentVNode("", !0)
      ]),
      _: 1
    }, 512)) : createCommentVNode("", !0),
    l.page ? (openBlock(), createBlock(v, {
      key: 1,
      ref: "showForm",
      readonly: l.page.showViewCode == null,
      onOnAfterSave: a[4] || (a[4] = (E) => r.$refs.table.loadData())
    }, {
      footer: withCtx(() => [
        a[11] || (a[11] = createElementVNode("span", null, null, -1)),
        r.$refs.showForm && r.$refs.showForm.data && r.$refs.showForm.data.application && r.$refs.showForm.data.application.processInst && r.$refs.showForm.data.application.processInst.isMessageEnable ? (openBlock(), createBlock(d, {
          key: 0,
          type: "primary",
          "custom-icon": "fa fa-comment-dots",
          onClick: a[2] || (a[2] = (E) => u.openMessage())
        }, {
          default: withCtx(() => a[10] || (a[10] = [
            createTextVNode(" 发表意见 ")
          ])),
          _: 1
        })) : createCommentVNode("", !0),
        r.$refs.showForm && r.$refs.showForm.data && r.$refs.showForm.data.application && r.$refs.showForm.data.application.processInstID ? (openBlock(), createBlock(d, {
          key: 1,
          type: "info",
          "custom-icon": "fa fa-history",
          onClick: a[3] || (a[3] = (E) => r.$refs.approvalHistoryTable.open({ processInstID: r.$refs.showForm.data.application.processInstID }))
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_History")), 1)
          ]),
          _: 1
        })) : createCommentVNode("", !0)
      ]),
      _: 1
    }, 8, ["readonly"])) : createCommentVNode("", !0),
    createVNode$1(g, {
      ref: "approvalHistoryTable",
      "view-code": "ApprovalHistoryModal"
    }, null, 512),
    createVNode$1(T, {
      modelValue: l.messageOpened,
      "onUpdate:modelValue": a[8] || (a[8] = (E) => l.messageOpened = E),
      scrollable: ""
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          createElementVNode("span", _hoisted_2$r, toDisplayString$2(r.$t("Front_Label_Leave_Message")), 1),
          createElementVNode("span", _hoisted_3$n, toDisplayString$2(r.$t("Front_Label_Leave_Message_Desc")), 1)
        ])
      ]),
      footer: withCtx(() => [
        createVNode$1(d, {
          type: "primary",
          "custom-icon": "fa fa-check",
          onClick: u.submitMessage
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Submit")), 1)
          ]),
          _: 1
        }, 8, ["onClick"]),
        createVNode$1(d, {
          type: "default",
          "custom-icon": "fa fa-times",
          onClick: a[7] || (a[7] = (E) => l.messageOpened = !1)
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
          ]),
          _: 1
        })
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_4$g, [
          createVNode$1(b, {
            ref: "messageForm",
            model: l.messageData,
            "label-position": "top",
            "label-colon": "：",
            class: "ivu-mt",
            onSubmit: a[6] || (a[6] = withModifiers(() => {
            }, ["prevent"]))
          }, {
            default: withCtx(() => [
              createVNode$1(C, {
                gutter: 24,
                type: "flex"
              }, {
                default: withCtx(() => [
                  createVNode$1(S, normalizeProps(guardReactiveProps(r.grid24)), {
                    default: withCtx(() => [
                      createVNode$1(_, {
                        label: r.$t("Front_Label_Message_Content"),
                        key: "message",
                        prop: "message",
                        rules: {
                          required: !0,
                          message: this.$t("Front_Msg_Please_Input"),
                          trigger: "blur,change"
                        }
                      }, {
                        default: withCtx(() => [
                          createVNode$1(y, {
                            type: "textarea",
                            rows: 6,
                            modelValue: l.messageData.message,
                            "onUpdate:modelValue": a[5] || (a[5] = (E) => l.messageData.message = E)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label", "rules"])
                    ]),
                    _: 1
                  }, 16)
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model"])
        ])
      ]),
      _: 1
    }, 8, ["modelValue"])
  ]);
}
const processPage = /* @__PURE__ */ _export_sfc(_sfc_main$N, [["render", _sfc_render$N]]), __vite_glob_0_35 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: processPage
}, Symbol.toStringTag, { value: "Module" })), res$2 = "DataSource", dataSourceApi = {
  query(r, a) {
    return service({
      url: `api/${res$2}/query`,
      method: "post",
      data: {
        ...a,
        dataSource: r
      }
    });
  },
  async exportExcel(r, a, o = "query") {
    let s = {
      ...a,
      per: r.maxExportCount == null ? 1e6 : r.maxExportCount,
      returnType: 1,
      viewCode: (r.exportDataViewCode || "").trim() ? r.exportDataViewCode : r.code,
      dataSource: r.dataSource
    };
    const l = await service({
      url: `api/${res$2}/${o}`,
      method: "post",
      responseType: "blob",
      data: s
    }), u = new Blob([l], {
      type: "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
    });
    saveAs(u, r.name + "-" + format$4(/* @__PURE__ */ new Date(), "yyyyMMddHHmmss") + ".xlsx");
  },
  async exportPdf(r, a, o = "query") {
    let s = {
      ...a,
      per: 1e5,
      returnType: 3,
      viewCode: (r.exportDataViewCode || "").trim() ? r.exportDataViewCode : r.code,
      dataSource: r.dataSource
    };
    const l = await service({
      url: `api/${res$2}/${o}`,
      method: "post",
      responseType: "blob",
      data: s
    }), u = new Blob([l], { type: "application/pdf" });
    saveAs(u, r.name + "-" + format$4(/* @__PURE__ */ new Date(), "yyyyMMddHHmmss") + ".pdf");
  },
  async printList(r, a, o = !0, s = "query") {
    const l = lodop.getLodop();
    let u = {
      ...a,
      per: 1e3,
      returnType: 2,
      viewCode: (r.exportDataViewCode || "").trim() ? r.exportDataViewCode : r.code,
      dataSource: r.dataSource
    };
    const c = await service({
      url: `api/${res$2}/${s}`,
      method: "post",
      data: u
    });
    l.PRINT_INIT("Print"), o ? (l.ADD_PRINT_TABLE("4%", "3%", "94%", "90%", c), l.SET_PRINT_PAGESIZE(2, 0, 0, "A4")) : (l.ADD_PRINT_TABLE("4%", "3%", "94%", "90%", c), l.SET_PRINT_PAGESIZE(1, 0, 0, "A4")), l.PRINTA();
  }
}, _sfc_main$M = {
  mixins: [mixinPage],
  components: { columnCheck },
  data() {
    return {
      uid: "chart_" + ((1 + Math.random()) * 65536 | 0).toString(16),
      data: null,
      setting: null,
      tableView: null,
      chart: null
    };
  },
  props: {
    /**
     * 视图代码
     */
    viewCode: {
      type: String
    },
    /**
     * 是否静态数据
     */
    static: {
      type: Boolean,
      default: !1
    },
    /**
     * 筛选
     */
    filter: {
      type: Object,
      default() {
        return {};
      }
    }
  },
  computed: {},
  created() {
    this.viewCode && this.init(this.viewCode);
  },
  watch: {},
  methods: {
    ...mapActions("admin/dataView", { loadDataView: "load", saveDataViewSetting: "saveSetting" }),
    /**
     * 初始化
     *
     * @param {string} viewCode 视图代码
     * @public
     */
    async init(r, a) {
      let o = await this.loadDataView(r);
      if (o != null) {
        if (!o.isExist) {
          this.error("Front_Msg_View_Code_Not_Exist|" + r);
          return;
        }
        this.tableView = o.dataView, (this.tableView.chartSetting || "").trim() ? this.setting = JSON.parse(this.tableView.chartSetting) : this.setting = {}, setTimeout(() => {
          this.chart = this.$echarts.init(document.getElementById(this.uid)), this.$emit("on-ready", o), typeof a == "function" ? a(o) : this.loadData();
        });
      }
    },
    /**
     * 根据表格初始化
     *
     * @param {object} tableView 表格视图
     * @param {object} data 数据
     * @public
     */
    async initWithTable(r) {
      this.tableView = r, (this.tableView.chartSetting || "").trim() ? this.setting = JSON.parse(this.tableView.chartSetting) : this.setting = {}, setTimeout(() => {
        this.chart = this.$echarts.init(document.getElementById(this.uid));
      });
    },
    /**
     * 加载数据
     *
     * @param {array} staticData 静态数据或筛选条件
     * @public
     */
    async loadData(r) {
      if (this.static)
        this.data = r;
      else {
        let a = {};
        this.tableView.filtering && (a = JSON.parse(this.tableView.filtering));
        for (let o in this.filter)
          a[o] = this.filter[o];
        for (let o in r)
          a[o] = r[o];
        if (this.tableView.sorting) {
          let o = JSON.parse(this.tableView.sorting), s = [];
          for (let l in o)
            o[l] === "desc" ? s.push("-" + l) : s.push("+" + l);
          a.orderBy = s.join(",");
        }
        if (this.tableView.isGroupBy && (a.isGroupBy = !0, a.groupColumn = JSON.parse(this.tableView.groupColumn), a.groupMethod = JSON.parse(this.tableView.groupMethod)), this.tableView.isCustom) {
          let o = await customModelApi.query(this.tableView.model, a);
          this.total = o.totalCount, this.data = o.data;
        } else if (this.tableView.isDataSource) {
          let o = await dataSourceApi.query(this.tableView.dataSource, a);
          this.total = o.totalCount, this.data = o.table;
        } else {
          let o = await modelApi.query(this.tableView.model, a, this.tableView.functionName, this.tableView.functionType);
          this.total = o.totalCount, this.data = o.data;
        }
      }
      setTimeout(() => {
        this.data && this.loadChart();
      });
    },
    /**
     * 加载图表
     *
     * @public
     */
    async loadChart(r) {
      if (r && (this.data = r), this.setting.chartXCode) {
        var a = {
          title: {
            text: this.setting.chartTitle,
            subtext: this.setting.chartSubtitle,
            left: this.setting.chartTitleAlign == null ? "left" : this.setting.chartTitleAlign
          },
          tooltip: {
            // trigger: 'item'
          },
          legend: {
            show: !!this.setting.chartShowLegend,
            orient: this.setting.chartLegendOrient == null ? null : this.setting.chartLegendOrient,
            left: this.setting.chartLegendAlign == null ? "right" : this.setting.chartLegendAlign
          }
        };
        if (this.setting.chartGroupCodeType && this.setting.chartGroupCodeType.startsWith("Enum:") && await this.loadEnum(this.setting.chartGroupCodeType.replace("Enum:", "")), this.setting.chartCustomSeries) {
          let o = JSON.parse(this.setting.chartSeries), s = !1;
          if (o.some((l) => l.chartType == "Pie") && (s = !0, o = o.filter((l) => l.chartType == "Pie")), !s)
            a.xAxis = {
              data: this.data.map((l) => this.parseData(l, this.setting.chartXCode))
            }, a.yAxis = {}, a.legend.data = o.map((l) => l.name), a.series = o.map((l) => ({
              name: l.name,
              type: l.chartType.substr(0, 1).toLowerCase() + l.chartType.substr(1),
              data: this.data.map((u) => this.parseData(u, l.property))
            }));
          else {
            let l = o.length;
            a.series = o.map((u, c) => ({
              type: "pie",
              radius: (this.setting.chartItemWidth == null ? 70 : this.setting.chartItemWidth) / l,
              center: [100 / (l + 1) * (c + 1) + "%", "50%"],
              datasetIndex: c,
              data: this.data.map((d) => ({
                name: this.parseData(d, u.nameProperty),
                value: this.parseData(d, u.property)
              })),
              emphasis: {
                itemStyle: {
                  shadowBlur: 10,
                  shadowOffsetX: 0,
                  shadowColor: "rgba(0, 0, 0, 0.5)"
                }
              }
            }));
          }
        } else if (this.setting.chartType != "Pie") {
          let o = Array.from(
            new Set(
              this.data.map((l) => this.parseData(l, this.setting.chartXCode))
            )
          );
          a.xAxis = {
            data: o
          }, a.yAxis = {};
          let s = [null];
          this.setting.chartGroupCode && (s = Array.from(
            new Set(
              this.data.map((l) => {
                let u = this.parseData(l, this.setting.chartGroupCode);
                return this.setting.chartGroupCodeType && this.setting.chartGroupCodeType.startsWith("Enum:") && (u = this.getEnum(this.setting.chartGroupCodeType.replace("Enum:", ""), u)), u;
              })
            )
          ), a.legend.data = s), a.series = s.map((l) => {
            let u = {};
            return this.data.filter((c) => {
              let d = this.parseData(c, this.setting.chartGroupCode);
              return this.setting.chartGroupCodeType && this.setting.chartGroupCodeType.startsWith("Enum:") && (d = this.getEnum(this.setting.chartGroupCodeType.replace("Enum:", ""), d)), l == null && s.length == 1 || d == l;
            }).forEach((c) => {
              let d = this.parseData(c, this.setting.chartXCode), f = this.parseData(c, this.setting.chartValueCode);
              d in u ? u[d] += f ?? 0 : u[d] = f ?? 0;
            }), {
              name: l,
              type: this.setting.chartType.substr(0, 1).toLowerCase() + this.setting.chartType.substr(1),
              data: o.map((c) => ({
                name: c,
                value: u[c]
              }))
            };
          });
        } else {
          let o = [null];
          this.setting.chartGroupCode && (o = Array.from(
            new Set(
              this.data.map((l) => {
                let u = this.parseData(l, this.setting.chartGroupCode);
                return this.setting.chartGroupCodeType && this.setting.chartGroupCodeType.startsWith("Enum:") && (u = this.getEnum(this.setting.chartGroupCodeType.replace("Enum:", ""), u)), u;
              })
            )
          ));
          let s = o.length;
          a.series = o.map((l, u) => {
            let c = {};
            return this.data.filter((d) => {
              let f = this.parseData(d, this.setting.chartGroupCode);
              return this.setting.chartGroupCodeType && this.setting.chartGroupCodeType.startsWith("Enum:") && (f = this.getEnum(this.setting.chartGroupCodeType.replace("Enum:", ""), f)), l == null && o.length == 1 || f == l;
            }).forEach((d) => {
              let f = this.parseData(d, this.setting.chartXCode), p = this.parseData(d, this.setting.chartValueCode);
              f in c ? c[f] += p ?? 0 : c[f] = p ?? 0;
            }), {
              type: "pie",
              radius: (this.setting.chartItemWidth == null ? 70 : this.setting.chartItemWidth) / s,
              center: [100 / (s + 1) * (u + 1) + "%", "50%"],
              datasetIndex: u,
              data: Object.keys(c).map((d) => ({
                name: d,
                value: c[d]
              })),
              emphasis: {
                itemStyle: {
                  shadowBlur: 10,
                  shadowOffsetX: 0,
                  shadowColor: "rgba(0, 0, 0, 0.5)"
                }
              }
            };
          });
        }
        this.chart.clear(), this.chart.setOption(a);
      }
    },
    // 打开设置
    openSetting() {
      Object.keys(this.setting).length == 0 ? this.$refs.setting.openDefault() : this.$refs.setting.open(this.setting);
    },
    // 保存设置
    async saveSetting() {
      await this.$refs.setting.validate() ? this.confirm("Front_Msg_Sure_To_Save_Setting", async () => {
        this.tableView.chartSetting = JSON.stringify(this.$refs.setting.data), await this.saveDataViewSetting(this.tableView), this.success("Front_Msg_Success", () => {
          this.$refs.setting.close(), window.location.reload();
        });
      }) : this.error("Front_Msg_Form_Validate_Fail");
    },
    // 打开字段选择
    columnCheck(r, a, o, s) {
      this.$refs.columnCheck.openView(r, (l) => {
        a[o] = l.code, a[o + "Type"] = l.dataType, this.$forceUpdate(), s && s.loadData();
      });
    }
  }
}, _hoisted_1$x = ["id"], _hoisted_2$q = { style: { height: "32px" } };
function _sfc_render$M(r, a, o, s, l, u) {
  const c = resolveComponent("Button"), d = resolveComponent("Input"), f = resolveComponent("modal-form"), p = resolveComponent("column-check");
  return openBlock(), createElementBlock("div", null, [
    l.setting ? (openBlock(), createElementBlock("div", {
      key: 0,
      id: l.uid,
      style: normalizeStyle$1([{ margin: "auto" }, { height: l.setting.chartHeight ? l.setting.chartHeight + "px" : "400px", width: l.setting.chartWidth ? l.setting.chartWidth + "px" : "95%" }])
    }, null, 12, _hoisted_1$x)) : createCommentVNode("", !0),
    createElementVNode("div", _hoisted_2$q, [
      r.allow("permission/tableView") ? (openBlock(), createBlock(c, {
        key: 0,
        class: "ivu-fr",
        type: "error",
        title: r.$t("Front_Btn_Setting"),
        "custom-icon": "fa fa-cog",
        onClick: a[0] || (a[0] = (v) => u.openSetting())
      }, null, 8, ["title"])) : createCommentVNode("", !0)
    ]),
    createVNode$1(f, {
      ref: "setting",
      "view-code": "ChartSetting"
    }, {
      column: withCtx(({ code: v }) => [
        v == "chartXCode" || v == "chartGroupCode" || v == "chartValueCode" ? (openBlock(), createBlock(d, {
          key: 0,
          type: "text",
          readonly: !0,
          clearable: !0,
          modelValue: r.$refs.setting.data[v],
          "onUpdate:modelValue": (g) => r.$refs.setting.data[v] = g,
          onClick: (g) => u.columnCheck(l.tableView, r.$refs.setting.data, v)
        }, {
          prepend: withCtx(() => [
            createVNode$1(c, {
              "custom-icon": "fa fa-search",
              onClick: (g) => u.columnCheck(l.tableView, r.$refs.setting.data, v)
            }, null, 8, ["onClick"])
          ]),
          _: 2
        }, 1032, ["modelValue", "onUpdate:modelValue", "onClick"])) : createCommentVNode("", !0)
      ]),
      tableColumn: withCtx(({ table: v, tableCode: g, row: y, code: _ }) => [
        g == "chartSeries" && (_ == "property" || _ == "nameProperty") ? (openBlock(), createBlock(d, {
          key: 0,
          type: "text",
          size: "small",
          readonly: !0,
          modelValue: y[_],
          "onUpdate:modelValue": (S) => y[_] = S,
          onClick: (S) => u.columnCheck(l.tableView, y, _, v)
        }, {
          prepend: withCtx(() => [
            createVNode$1(c, {
              size: "small",
              "custom-icon": "fa fa-search",
              onClick: (S) => u.columnCheck(l.tableView, y, _, v)
            }, null, 8, ["onClick"])
          ]),
          _: 2
        }, 1032, ["modelValue", "onUpdate:modelValue", "onClick"])) : createCommentVNode("", !0)
      ]),
      footer: withCtx(() => [
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.saveSetting
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512),
    createVNode$1(p, { ref: "columnCheck" }, null, 512)
  ]);
}
const viewChart = /* @__PURE__ */ _export_sfc(_sfc_main$M, [["render", _sfc_render$M]]), __vite_glob_1_29 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: viewChart
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$L = {
  // name: this.$route.name,
  mixins: [mixinPage],
  components: { viewChart },
  data() {
    return {
      page: {},
      tableView: null
    };
  },
  computed: {},
  mounted() {
    this.init(this.$route.meta.data.id);
  },
  // watch: {
  //   $route() {
  //     if (this.$route.meta.data.id) {
  //       //this.init(this.$route.meta.data.id);
  //     }
  //   }
  // },
  methods: {
    ...mapActions("admin/viewPage", { loadPage: "load" }),
    ...mapActions("admin/dataView", { loadView: "load" }),
    // 初始化
    async init(r) {
      let a = await this.loadPage(r);
      this.page = a.customPage, a = await this.loadView(this.page.tableViewCode), this.tableView = a.dataView, setTimeout(() => {
        this.$refs.table.init(this.page.tableViewCode, () => {
          this.$refs.table.tableView.autoLoadDisable || this.$refs.table.loadData();
        }), this.$refs.chart.initWithTable(this.tableView, this.$refs.table.data);
      });
    },
    // 数据加载完成
    onLoadData() {
      this.$refs.chart.loadChart(this.$refs.table.data);
    }
  }
}, _hoisted_1$w = { class: "i-layout-page-header" };
function _sfc_render$L(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("view-chart"), f = resolveComponent("view-table"), p = resolveComponent("Card");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$w, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(f, {
          ref: "table",
          onOnLoadData: u.onLoadData
        }, {
          middle: withCtx(() => [
            createElementVNode("div", null, [
              createVNode$1(d, { ref: "chart" }, null, 512)
            ])
          ]),
          _: 1
        }, 8, ["onOnLoadData"])
      ]),
      _: 1
    })
  ]);
}
const reportPage = /* @__PURE__ */ _export_sfc(_sfc_main$L, [["render", _sfc_render$L]]), __vite_glob_0_36 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: reportPage
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$K = {
  name: "template-viewPage",
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      inited: !1,
      page: {},
      tables: [],
      forms: []
    };
  },
  computed: {},
  mounted() {
    this.init(this.$route.meta.data.id);
  },
  // watch: {
  //   $route() {
  //     if (this.$route.meta.data.id) {
  //       //this.init(this.$route.meta.data.id);
  //     }
  //   }
  // },
  methods: {
    ...mapActions("admin/viewPage", { loadPage: "load" }),
    // 初始化
    async init(r) {
      let a = await this.loadPage(r);
      this.page = a.customPage, setTimeout(() => {
        this.$refs.table.init(this.page.tableViewCode, () => {
          this.$refs.table.tableView.autoLoadDisable || this.$refs.table.loadData();
        }), (this.page.formViewCode || "").trim() && this.$refs.form.init(this.page.formViewCode), (this.page.showViewCode || "").trim() ? this.$refs.showForm.init(this.page.showViewCode) : (this.page.formViewCode || "").trim() && this.$refs.showForm.init(this.page.formViewCode), this.page.controls = a.customPageControls.filter((o) => o.customPageComponentID == null), this.tables = a.customPageComponents.filter((o) => o.componentType === "Table"), this.tables.forEach((o) => {
          o.controls = a.customPageControls.filter((s) => s.customPageComponentID === o.id);
        }), this.forms = a.customPageComponents.filter((o) => o.componentType === "Form");
      });
    },
    // 点击按钮
    controlClick(r, a, o) {
      let s = null;
      if (o) {
        s = JSON.parse(o);
        for (let l in s)
          s[l] = r[s[l]];
      }
      this.$refs[a][0].open(s);
    },
    // 点击新增
    create(r, a) {
      this.$refs[a][0].openDefault(r);
    },
    // 点击修改
    edit(r, a) {
      this.$refs[a][0].open(r);
    },
    // 新增、修改完成后事件
    aftersave(r) {
      this.$refs[r][0].loadData();
    }
  }
}, _hoisted_1$v = { class: "i-layout-page-header" }, _hoisted_2$p = { command: "{ row }" };
function _sfc_render$K(r, a, o, s, l, u) {
  const c = resolveComponent("PageHeader"), d = resolveComponent("Button"), f = resolveComponent("view-table"), p = resolveComponent("Card"), v = resolveComponent("modal-form"), g = resolveComponent("modal-table");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$v, [
      createVNode$1(c, {
        title: r.$route.meta.title,
        content: r.$route.meta.description,
        "hidden-breadcrumb": ""
      }, null, 8, ["title", "content"])
    ]),
    createVNode$1(p, {
      bordered: !1,
      "dis-hover": "",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        l.page ? (openBlock(), createBlock(f, {
          key: 0,
          ref: "table",
          "create-enable": r.allow("create"),
          "remove-enable": r.allow("remove"),
          onCreate: a[0] || (a[0] = (y) => r.$refs.form.open()),
          onEdit: a[1] || (a[1] = ({ row: y, index: _ }) => r.$refs.form.open(y)),
          onShow: a[2] || (a[2] = ({ row: y, index: _ }) => r.$refs.showForm.open(y))
        }, {
          command: withCtx(({ row: y }) => [
            (openBlock(!0), createElementBlock(Fragment, null, renderList(l.page.controls, (_) => (openBlock(), createBlock(d, {
              key: _.id,
              size: "small",
              title: _.name,
              type: _.colorType.toLowerCase(),
              "custom-icon": _.icon,
              onClick: (S) => u.controlClick(y, _.targetCode, _.param)
            }, null, 8, ["title", "type", "custom-icon", "onClick"]))), 128))
          ]),
          _: 1
        }, 8, ["create-enable", "remove-enable"])) : createCommentVNode("", !0)
      ]),
      _: 1
    }),
    l.page ? (openBlock(), createBlock(v, {
      key: 0,
      ref: "form",
      "create-enable": r.allow("create"),
      "edit-enable": r.allow("edit"),
      onOnAfterSave: a[3] || (a[3] = (y) => r.$refs.table.loadData())
    }, null, 8, ["create-enable", "edit-enable"])) : createCommentVNode("", !0),
    l.page ? (openBlock(), createBlock(v, {
      key: 1,
      ref: "showForm",
      readonly: l.page.showViewCode == null,
      "save-enable": !1
    }, null, 8, ["readonly"])) : createCommentVNode("", !0),
    l.inited ? (openBlock(!0), createElementBlock(Fragment, { key: 2 }, renderList(l.tables, (y) => (openBlock(), createBlock(g, {
      key: y.id,
      ref_for: !0,
      ref: y.code,
      "view-code": y.dataView.code,
      onCreate: (_) => u.create(_, y.targetCode),
      onEdit: ({ row: _, index: S }) => u.edit(_, y.targetCode)
    }, {
      default: withCtx(() => [
        createElementVNode("template", _hoisted_2$p, [
          (openBlock(!0), createElementBlock(Fragment, null, renderList(y.controls, (_) => (openBlock(), createBlock(d, {
            key: _.id,
            size: "small",
            title: _.name,
            type: _.colorType.toLowerCase(),
            "custom-icon": _.icon,
            onClick: (S) => u.controlClick(r.row, _.targetCode, _.param)
          }, null, 8, ["title", "type", "custom-icon", "onClick"]))), 128))
        ])
      ]),
      _: 2
    }, 1032, ["view-code", "onCreate", "onEdit"]))), 128)) : createCommentVNode("", !0),
    l.inited ? (openBlock(!0), createElementBlock(Fragment, { key: 3 }, renderList(l.forms, (y) => (openBlock(), createBlock(v, {
      key: y.id,
      ref_for: !0,
      ref: y.code,
      "view-code": y.dataView.code,
      onOnAfterSave: (_) => u.aftersave(y.targetCode)
    }, null, 8, ["view-code", "onOnAfterSave"]))), 128)) : createCommentVNode("", !0)
  ]);
}
const viewPage = /* @__PURE__ */ _export_sfc(_sfc_main$K, [["render", _sfc_render$K]]), __vite_glob_0_37 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: viewPage
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$J = {
  name: "i-copyright",
  computed: {
    copyright() {
      return Setting.info.copyright;
    }
  },
  data() {
    return {
      links: []
    };
  }
};
function _sfc_render$J(r, a, o, s, l, u) {
  const c = resolveComponent("GlobalFooter");
  return openBlock(), createBlock(c, {
    class: "i-copyright",
    links: l.links,
    copyright: u.copyright
  }, null, 8, ["links", "copyright"]);
}
const iCopyright = /* @__PURE__ */ _export_sfc(_sfc_main$J, [["render", _sfc_render$J]]), __vite_glob_1_0 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: iCopyright
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$I = {
  mixins: [mixinPage],
  data() {
    return {
      model: []
    };
  },
  created() {
  },
  props: {
    /**
     * @model
     */
    modelValue: {
      type: String
    },
    /**
     * 数据源
     */
    dataSource: {
      type: Array,
      default: () => []
    },
    /**
     * 大小
     * @values small, default, large
     */
    size: {
      type: String
    },
    /**
     * 值
     */
    valueKey: {
      type: String
    },
    /**
     * 标签
     */
    labelKey: {
      type: String
    },
    /**
     * 只读
     */
    readonly: {
      type: Boolean,
      default: !1
    }
  },
  watch: {
    modelValue(r) {
      this.model.length = 0;
      let a = [];
      (this.modelValue || "").trim() && JSON.parse(this.modelValue) instanceof Array && (a = JSON.parse(this.modelValue));
      for (let o of this.dataSource)
        a.some((s) => s == o[this.valueKey]) ? this.model.push(!0) : this.model.push(!1);
    }
  },
  methods: {
    change(r) {
      let a = [];
      for (let o in this.model)
        this.model[o] && a.push(this.dataSource[o][this.valueKey]);
      this.$emit("update:modelValue", JSON.stringify(a)), this.$emit("on-change");
    }
  }
};
function _sfc_render$I(r, a, o, s, l, u) {
  const c = resolveComponent("Checkbox");
  return openBlock(), createElementBlock("div", null, [
    (openBlock(!0), createElementBlock(Fragment, null, renderList(o.dataSource, (d, f) => (openBlock(), createBlock(c, {
      key: f,
      modelValue: l.model[f],
      "onUpdate:modelValue": (p) => l.model[f] = p,
      disabled: o.readonly,
      onOnChange: (p) => u.change(f)
    }, {
      default: withCtx(() => [
        createTextVNode(toDisplayString$2(d[o.labelKey]), 1)
      ]),
      _: 2
    }, 1032, ["modelValue", "onUpdate:modelValue", "disabled", "onOnChange"]))), 128))
  ]);
}
const CheckGroup = /* @__PURE__ */ _export_sfc(_sfc_main$I, [["render", _sfc_render$I]]), __vite_glob_1_3 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: CheckGroup
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$H = {
  mixins: [mixinPage],
  data() {
    return {
      selected: null,
      selectedData: null
    };
  },
  props: {
    /**
     * @model
     */
    modelValue: {
      type: [Array, Number, String]
    },
    /**
     * 大小
     * @values small, default, large
     */
    size: {
      type: String
    },
    /**
     * 数据源数据列名
     */
    remoteMethod: {
      type: Function
    },
    /**
     * 只读
     */
    readonly: {
      type: Boolean,
      default: !1
    },
    /**
     * 数据
     */
    data: {
      type: Object,
      default() {
        return {};
      }
    },
    /**
     * 参数
     */
    param: {
      type: Object,
      default() {
        return {};
      }
    },
    /**
     * 列
     */
    column: {
      type: Object,
      default() {
        return {};
      }
    },
    /**
     * 能否多选
     */
    multi: {
      type: Boolean,
      default: !1
    }
  },
  computed: {},
  watch: {
    modelValue(r) {
      this.selected = r, this.showSelected();
    }
  },
  mounted() {
  },
  methods: {
    parseComboData() {
    },
    setComboData(r) {
      this.$emit("update:modelValue", r);
    },
    // 加载可筛选选择框显示内容
    async showSelected() {
      if (!(this.column.isStaticItem || this.column.dataType && this.column.dataType.startsWith("Enum:")) && this.$refs.select) {
        let r = this.$refs.select.values, a = [];
        if (this.multi)
          r.length = 0, this.selected.forEach((o) => {
            if (!r.some((s) => s.value == o)) {
              let s = { value: o, label: null, disabled: !1 };
              r.push(s), a.push(s);
            }
          });
        else if (r.length = 0, this.$refs.select.query = "", !r.some((o) => o.value == this.selected)) {
          let o = { value: this.selected, label: null, disabled: !1 };
          r.push(o), this.selected != null && this.selected != "" && a.push(o);
        }
        setTimeout(async () => {
          if (a.length > 0) {
            let o = this.param;
            o[this.column.sourceDataCode] = a.map((l) => l.value).join(",");
            let s;
            this.column.isSourceCustom ? s = await customModelApi.query(this.column.source, o) : s = await modelApi.query(this.column.source, o), s.data.forEach((l) => {
              let u = this.parseData(l, this.column.sourceDataCode), c = this.parseData(l, this.column.sourceDisplayCode);
              this.multi || (this.$refs.select.query = c);
              let d = a.find((f) => f.value == u);
              d && (d.label = c);
            }), this.$forceUpdate();
          }
        });
      }
    },
    // 可筛选下拉框搜索条件变化
    onComboQueryChange(r) {
      !(r || "").trim() && !this.multi && this.remoteMethod(r);
    },
    // 数据变化
    onChange(r) {
      this.$emit("on-change", r);
    },
    // 获取数据源
    getDataSource() {
      return !this.column.isStaticItem && this.column.dataType.startsWith("Enum:") ? this.getEnumList(this.column.dataType.split(":")[1]) : this.column.dataSource == null ? [] : this.column.dataSource;
    }
  }
};
function _sfc_render$H(r, a, o, s, l, u) {
  const c = resolveComponent("Option"), d = resolveComponent("Select");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(d, {
      ref: "select",
      size: o.size,
      "model-value": u.parseComboData(),
      "onUpdate:modelValue": a[0] || (a[0] = (f) => u.setComboData(f)),
      disabled: o.readonly,
      clearable: !0,
      multiple: o.multi,
      filterable: "",
      remote: "",
      "remote-method": o.remoteMethod,
      style: normalizeStyle$1({ width: o.column.controlWidth == null ? null : o.column.controlWidth + "px" }),
      placeholder: o.column.placeholder,
      transfer: !0,
      onOnChange: a[1] || (a[1] = (f) => u.onChange(f)),
      onOnQueryChange: a[2] || (a[2] = (f) => u.onComboQueryChange(f)),
      onOnClear: o.remoteMethod
    }, {
      default: withCtx(() => [
        (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(o.data, o.column), (f, p) => (openBlock(), createBlock(c, {
          key: p,
          value: f.id
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(f.name), 1)
          ]),
          _: 2
        }, 1032, ["value"]))), 128))
      ]),
      _: 1
    }, 8, ["size", "model-value", "disabled", "multiple", "remote-method", "style", "placeholder", "onOnClear"])
  ]);
}
const comboSelect = /* @__PURE__ */ _export_sfc(_sfc_main$H, [["render", _sfc_render$H]]), __vite_glob_1_4 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: comboSelect
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$G = {
  mixins: [mixinPage],
  data() {
    return {
      //changed: false,
      selected: null,
      selectedData: null,
      loadDataEnable: !0
    };
  },
  props: {
    /**
     * @model
     */
    modelValue: {
      type: String
    },
    /**
     * 数据源
     */
    source: {
      type: String
    },
    /**
     * 大小
     * @values small, default, large
     */
    size: {
      type: String
    },
    /**
     * 数据源数据列名
     */
    sourceDataCode: {
      type: String
    },
    /**
     * 数据源显示列名
     */
    sourceDisplayCode: {
      type: String
    },
    /**
     * 参数
     */
    param: {
      type: Object,
      default: () => ({})
    },
    /**
     * 只读
     */
    readonly: {
      type: Boolean,
      default: !1
    },
    /**
     * 控件宽度
     */
    controlWidth: {
      type: Number
    },
    /**
     * 能否多选
     */
    multi: {
      type: Boolean,
      default: !1
    }
  },
  computed: {},
  watch: {
    modelValue() {
      this.showSelected();
    }
  },
  mounted() {
    this.showSelected();
  },
  methods: {
    ...mapActions("admin/dataView", { loadDataView: "load" }),
    // 显示选择项
    showSelected() {
      if (this.modelValue == null) {
        this.selected = null, this.selectedData = null;
        return;
      } else if (this.multi) {
        if (!this.isJSON(this.modelValue)) {
          this.selected = null, this.selectedData = null;
          return;
        }
        let r = {
          page: 1,
          per: 999
        };
        r[this.sourceDataCode] = JSON.parse(this.modelValue).join(","), this.loadDataView(this.source).then(async (a) => {
          if (a.dataView.isCustom) {
            let o = await customModelApi.query(a.dataView.model, r);
            o.data.length > 0 && (this.selected = o.data.map((s) => this.parseData(s, this.sourceDisplayCode)).join(","), this.selectedData = o.data);
          } else if (a.dataView.isDataSource) {
            let o = await dataSourceApi.query(a.dataView.dataSource, r);
            o.table.length > 0 && (this.selected = o.table.map((s) => this.parseData(s, this.sourceDisplayCode)).join(","), this.selectedData = o.table);
          } else {
            let o = await modelApi.query(a.dataView.model, r);
            o.data.length > 0 && (this.selected = o.data.map((s) => this.parseData(s, this.sourceDisplayCode)).join(","), this.selectedData = o.data);
          }
        });
      } else {
        let r = {
          page: 1,
          per: 1
        };
        r[this.sourceDataCode] = this.modelValue, this.loadDataView(this.source).then(async (a) => {
          if (a.dataView.isCustom) {
            let o = await customModelApi.query(a.dataView.model, r);
            o.data.length > 0 && (this.selected = this.parseData(o.data[0], this.sourceDisplayCode), this.selectedData = o.data[0]);
          } else if (a.dataView.isDataSource) {
            let o = await dataSourceApi.query(a.dataView.dataSource, r);
            o.table.length > 0 && (this.selected = this.parseData(o.table[0], this.sourceDisplayCode), this.selectedData = o.table[0]);
          } else {
            let o = await modelApi.query(a.dataView.model, r);
            o.data.length > 0 && (this.selected = this.parseData(o.data[0], this.sourceDisplayCode), this.selectedData = o.data[0]);
          }
        });
      }
    },
    // 弹出选择框
    dialogSelectOpen() {
      !this.readonly && this.source && (this.param ? this.loadDataEnable = !0 : this.loadDataEnable = !1, setTimeout(async () => {
        this.multi && (this.selectedData != null ? this.$refs.dialogTable.setSelected(this.selectedData) : this.$refs.dialogTable.setSelected([])), this.$refs.dialogTable.open(this.param);
      }));
    },
    // 弹出选择框选中
    dialogCheck(r) {
      this.$emit("update:modelValue", this.parseData(r, this.sourceDataCode)), this.selected = this.parseData(r, this.sourceDisplayCode), this.selectedData = r, this.$emit("on-change", r), this.$refs.dialogTable.close();
    },
    // 弹出选择框移除内容
    dialogSelectRemove() {
      this.$emit("update:modelValue", null), this.selected = null, this.selectedData = null, this.$emit("on-change");
    },
    // 多选保存
    multiSave() {
      let r = this.$refs.dialogTable.getSelected(), a = r.length == 0 ? null : r.map((s) => this.parseData(s, this.sourceDataCode)), o = r.length == 0 ? null : r.map((s) => this.parseData(s, this.sourceDisplayCode)).join(",");
      this.$emit("update:modelValue", JSON.stringify(a)), this.selected = o, this.selectedData = a, this.$emit("on-change", a), this.$refs.dialogTable.close();
    },
    // 关闭
    close() {
      this.$refs.dialogTable.close();
    }
  }
};
function _sfc_render$G(r, a, o, s, l, u) {
  const c = resolveComponent("Button"), d = resolveComponent("Input"), f = resolveComponent("modal-table");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(d, {
      type: "text",
      size: o.size,
      readonly: "",
      clearable: !o.readonly,
      modelValue: l.selected,
      "onUpdate:modelValue": a[1] || (a[1] = (p) => l.selected = p),
      style: normalizeStyle$1({ width: o.controlWidth == null ? null : o.controlWidth + "px" }),
      onOnFocus: a[2] || (a[2] = (p) => u.dialogSelectOpen()),
      onOnClear: a[3] || (a[3] = (p) => u.dialogSelectRemove())
    }, {
      prepend: withCtx(() => [
        createVNode$1(c, {
          size: o.size,
          "custom-icon": "fa fa-search",
          onClick: a[0] || (a[0] = (p) => u.dialogSelectOpen())
        }, null, 8, ["size"])
      ]),
      _: 1
    }, 8, ["size", "clearable", "modelValue", "style"]),
    createVNode$1(f, {
      ref: "dialogTable",
      "view-code": o.source,
      autoLoad: !1,
      "select-enable": o.multi,
      "check-cross-page": !0,
      "footer-enable": o.multi
    }, {
      command: withCtx(({ row: p }) => [
        o.multi ? createCommentVNode("", !0) : (openBlock(), createBlock(c, {
          key: 0,
          size: "small",
          type: "primary",
          "custom-icon": "fa fa-check",
          onClick: (v) => u.dialogCheck(p)
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Select")), 1)
          ]),
          _: 2
        }, 1032, ["onClick"]))
      ]),
      footer: withCtx(() => [
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.multiSave
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
          ]),
          _: 1
        }, 8, ["onClick"]),
        createVNode$1(c, {
          type: "default",
          "custom-icon": "fa fa-times",
          onClick: a[4] || (a[4] = (p) => u.close())
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
          ]),
          _: 1
        })
      ]),
      _: 1
    }, 8, ["view-code", "select-enable", "footer-enable"])
  ]);
}
const DialogSelect = /* @__PURE__ */ _export_sfc(_sfc_main$G, [["render", _sfc_render$G]]), __vite_glob_1_5 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: DialogSelect
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$F = {
  mixins: [mixinPage],
  data() {
    return {
      opened: !1,
      // 是否打开
      sourceFilter: {}
      // 来源筛选
    };
  },
  created() {
  },
  props: {
    /**
     * 来源视图代码
     */
    sourceViewCode: {
      type: String
    },
    /**
     * 目标视图代码
     */
    targetViewCode: {
      type: String
    },
    /**
     * 标题
     */
    title: {
      type: String,
      default: "明细选择"
    },
    /**
     * 描述
     */
    description: {
      type: String,
      default: "Item Select"
    }
  },
  computed: {},
  methods: {
    /**
     * 初始化
     *
     * @param {string} sourceViewCode 来源视图代码
     * @param {string} targetViewCode 目标视图代码
     * @param {function} callback 完成后回调方法
     * @public
     */
    init(r, a, o) {
      this.$refs.selectSourceTable.init(r, () => {
        this.$refs.selectTargetTable.init(a, () => {
          this.setSelected([]), typeof o == "function" && o();
        });
      });
    },
    /**
     * 打开
     *
     * @public
     */
    open() {
      this.opened = !0;
    },
    /**
     * 关闭
     *
     * @public
     */
    close() {
      this.opened = !1;
    },
    /**
     * 获取已选项
     *
     * @public
     */
    getSelected() {
      return this.$refs.selectTargetTable.data;
    },
    /**
     * 设置已选项
     *
     * @param {object} data 已选项
     * @public
     */
    setSelected(r) {
      this.$refs.selectTargetTable.inited && this.$refs.selectTargetTable.loadData(r), this.$refs.selectSourceTable.inited && this.$refs.selectSourceTable.setSelected(r);
    },
    /**
     * 刷新来源数据
     *
     * @param {object} filter 筛选项
     * @public
     */
    loadSource(r) {
      for (let a in this.sourceFilter)
        delete this.sourceFilter[a];
      if (r)
        for (let a in r)
          this.sourceFilter[a] = r[a];
      this.$refs.selectSourceTable.loadData();
    },
    selectedChange() {
      let r = this.$refs.selectSourceTable.getSelected();
      this.$refs.selectTargetTable.loadData(r);
    },
    selectedRemove(r) {
      let a = this.$refs.selectTargetTable.data;
      a.splice(r, 1), this.$refs.selectTargetTable.loadData(a), this.$refs.selectSourceTable.setSelected(a);
    },
    seve() {
      this.$emit("save");
    }
  }
}, _hoisted_1$u = { class: "title" }, _hoisted_2$o = { class: "description" }, _hoisted_3$m = { class: "ivu-pl-8" }, _hoisted_4$f = { class: "ivu-pl-8" };
function _sfc_render$F(r, a, o, s, l, u) {
  const c = resolveComponent("Avatar"), d = resolveComponent("view-table"), f = resolveComponent("Card"), p = resolveComponent("Col"), v = resolveComponent("Button"), g = resolveComponent("Row"), y = resolveComponent("Modal"), _ = resolveDirective("color"), S = resolveDirective("bg-color");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(y, {
      modelValue: l.opened,
      "onUpdate:modelValue": a[1] || (a[1] = (C) => l.opened = C),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: "1500"
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          createElementVNode("span", _hoisted_1$u, toDisplayString$2(o.title), 1),
          createElementVNode("span", _hoisted_2$o, toDisplayString$2(o.description), 1)
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(v, {
            type: "primary",
            "custom-icon": "fa fa-save",
            onClick: u.seve
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
            ]),
            _: 1
          }, 8, ["onClick"]),
          createVNode$1(v, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: a[0] || (a[0] = (C) => l.opened = !1)
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          })
        ])
      ]),
      default: withCtx(() => [
        createVNode$1(g, { gutter: 24 }, {
          default: withCtx(() => [
            createVNode$1(p, { span: "14" }, {
              default: withCtx(() => [
                createVNode$1(f, {
                  bordered: !1,
                  "dis-hover": ""
                }, {
                  title: withCtx(() => [
                    createElementVNode("div", null, [
                      withDirectives(createVNode$1(c, {
                        icon: "md-apps",
                        size: "small"
                      }, null, 512), [
                        [_, "#1890ff"],
                        [S, "#e6f7ff"]
                      ]),
                      createElementVNode("span", _hoisted_3$m, toDisplayString$2(r.$t("Front_Label_Select_Source")), 1)
                    ])
                  ]),
                  default: withCtx(() => [
                    createVNode$1(d, {
                      ref: "selectSourceTable",
                      "view-code": o.sourceViewCode,
                      "select-enable": !0,
                      "check-cross-page": !0,
                      "auto-load": !1,
                      filter: l.sourceFilter,
                      height: 480,
                      onOnSelectChange: u.selectedChange
                    }, null, 8, ["view-code", "filter", "onOnSelectChange"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode$1(p, { span: "10" }, {
              default: withCtx(() => [
                createVNode$1(f, {
                  bordered: !1,
                  "dis-hover": ""
                }, {
                  title: withCtx(() => [
                    createElementVNode("div", null, [
                      withDirectives(createVNode$1(c, {
                        icon: "md-checkmark",
                        size: "small"
                      }, null, 512), [
                        [_, "#1890ff"],
                        [S, "#e6f7ff"]
                      ]),
                      createElementVNode("span", _hoisted_4$f, toDisplayString$2(r.$t("Front_Label_Select_Target")), 1)
                    ])
                  ]),
                  default: withCtx(() => [
                    createVNode$1(d, {
                      ref: "selectTargetTable",
                      "view-code": o.targetViewCode,
                      static: !0,
                      height: 480
                    }, {
                      command: withCtx(({ index: C }) => [
                        createVNode$1(v, {
                          size: "small",
                          title: r.$t("Front_Btn_Remove"),
                          type: "warning",
                          "custom-icon": "fa fa-trash-alt",
                          onClick: (b) => u.selectedRemove(C)
                        }, null, 8, ["title", "onClick"])
                      ]),
                      _: 1
                    }, 8, ["view-code"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        })
      ]),
      _: 1
    }, 8, ["modelValue", "mask-closable", "draggable"])
  ]);
}
const itemSelect = /* @__PURE__ */ _export_sfc(_sfc_main$F, [["render", _sfc_render$F]]), __vite_glob_1_6 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: itemSelect
}, Symbol.toStringTag, { value: "Module" })), isClient = typeof window < "u";
function oneOf(r, a) {
  for (let o = 0; o < a.length; o++)
    if (r === a[o])
      return !0;
  return !1;
}
const SPECIAL_CHARS_REGEXP = /([\:\-\_]+(.))/g, MOZ_HACK_REGEXP = /^moz([A-Z])/;
function camelCase(r) {
  return r.replace(SPECIAL_CHARS_REGEXP, function(a, o, s, l) {
    return l ? s.toUpperCase() : s;
  }).replace(MOZ_HACK_REGEXP, "Moz$1");
}
function getStyle$1(r, a) {
  if (isClient) {
    if (!r || !a) return null;
    a = camelCase(a), a === "float" && (a = "cssFloat");
    try {
      const o = document.defaultView.getComputedStyle(r, "");
      return r.style[a] || o ? o[a] : null;
    } catch {
      return r.style[a];
    }
  }
}
function findComponentUpward(r, a, o) {
  typeof a == "string" ? o = [a] : o = a;
  let s = r.$parent, l = s.$options.name;
  for (; s && (!l || o.indexOf(l) < 0); )
    s = s.$parent, s && (l = s.$options.name);
  return s;
}
function setMatchMedia() {
  if (!isClient) return;
  const r = (a) => ({
    media: a,
    matches: !1,
    on() {
    },
    off() {
    }
  });
  window.matchMedia = window.matchMedia || r;
}
const mixinsLink = {
  props: {
    to: {
      type: [Object, String]
    },
    replace: {
      type: Boolean,
      default: !1
    },
    target: {
      type: String,
      validator(r) {
        return oneOf(r, ["_blank", "_self", "_parent", "_top"]);
      },
      default: "_self"
    },
    append: {
      type: Boolean,
      required: !1,
      default: !1
    }
  },
  computed: {
    linkUrl() {
      if (typeof this.to !== "string")
        return null;
      if (this.to.includes("//"))
        return this.to;
      const a = this.$router;
      if (a) {
        const o = this.$route, s = a.resolve(this.to, o, this.append);
        return s ? s.href : this.to;
      }
      return this.to;
    }
  },
  methods: {
    handleOpenTo() {
      if (!isClient) return;
      const r = this.$router;
      let a = this.to;
      if (r) {
        const o = this.$route, s = r.resolve(this.to, o, this.append);
        a = s ? s.href : this.to;
      }
      typeof this.to != "string" && window.open(a);
    },
    handleClick(r = !1) {
      const a = this.$router;
      isClient && (r ? this.handleOpenTo() : a ? typeof this.to == "string" && this.to.includes("//") ? window.location.href = this.to : this.replace ? this.$router.replace(this.to, () => {
      }) : this.$router.push(this.to, () => {
      }) : window.location.href = this.to);
    },
    handleCheckClick(r, a = !1) {
      if (this.to) {
        if (this.target === "_blank")
          return this.handleOpenTo(), !1;
        r.preventDefault(), this.handleClick(a);
      }
    }
  }
}, _sfc_main$E = {
  name: "i-link",
  mixins: [mixinsLink],
  props: {
    disabled: {
      type: Boolean,
      default: !1
    },
    // 开启后，链接颜色为默认的蓝色，默认关闭为继承效果
    linkColor: {
      type: Boolean,
      default: !1
    }
  },
  methods: {
    handleClickItem(r, a = !1) {
      if (this.disabled) {
        r.preventDefault();
        return;
      }
      this.handleCheckClick(r, a);
    }
  }
}, _hoisted_1$t = ["href", "target"];
function _sfc_render$E(r, a, o, s, l, u) {
  return openBlock(), createElementBlock("a", {
    href: r.linkUrl,
    target: r.target,
    class: normalizeClass(["i-link", { "i-link-color": !o.linkColor }]),
    onClick: [
      a[0] || (a[0] = withModifiers((c) => u.handleClickItem(c, !1), ["exact"])),
      a[1] || (a[1] = withModifiers((c) => u.handleClickItem(c, !0), ["ctrl"])),
      a[2] || (a[2] = withModifiers((c) => u.handleClickItem(c, !0), ["meta"]))
    ]
  }, [
    renderSlot(r.$slots, "default")
  ], 10, _hoisted_1$t);
}
const iLink = /* @__PURE__ */ _export_sfc(_sfc_main$E, [["render", _sfc_render$E]]), __vite_glob_1_7 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: iLink
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$D = {
  name: "loader",
  mixins: [mixinPage],
  computed: {
    ...mapState("admin/loader", ["isLoading", "enabled"])
  },
  data() {
    return {};
  }
}, _hoisted_1$s = {
  key: 0,
  class: "page-loader-wrapper"
}, _hoisted_2$n = { class: "loader" }, _hoisted_3$l = ["src"];
function _sfc_render$D(r, a, o, s, l, u) {
  return r.isLoading && r.enabled ? (openBlock(), createElementBlock("div", _hoisted_1$s, [
    createElementVNode("div", _hoisted_2$n, [
      createElementVNode("img", {
        class: "zmdi-hc-spin",
        src: r.rootPath + "images/logo.svg",
        width: "64",
        height: "64"
      }, null, 8, _hoisted_3$l)
    ])
  ])) : createCommentVNode("", !0);
}
const loader = /* @__PURE__ */ _export_sfc(_sfc_main$D, [["render", _sfc_render$D]]), __vite_glob_1_8 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: loader
}, Symbol.toStringTag, { value: "Module" }));
/**
 * @license Copyright (c) 2003-2021, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see LICENSE.md.
 */
function loadScript(r, a, o) {
  var s = document.head || document.getElementsByTagName("head")[0], l = document.createElement("script");
  typeof a == "function" && (o = a, a = {}), a = a || {}, o = o || function() {
  }, l.type = a.type || "text/javascript", l.charset = a.charset || "utf8", l.async = "async" in a ? !!a.async : !0, l.src = r, a.attrs && setAttributes(l, a.attrs), a.text && (l.text = String(a.text));
  var u = "onload" in l ? stdOnEnd : ieOnEnd;
  u(l, o), l.onload || stdOnEnd(l, o), s.appendChild(l);
}
function setAttributes(r, a) {
  for (var o in a)
    r.setAttribute(o, a[o]);
}
function stdOnEnd(r, a) {
  r.onload = function() {
    this.onerror = this.onload = null, a(null, r);
  }, r.onerror = function() {
    this.onerror = this.onload = null, a(new Error("Failed to load " + this.src), r);
  };
}
function ieOnEnd(r, a) {
  r.onreadystatechange = function() {
    this.readyState != "complete" && this.readyState != "loaded" || (this.onreadystatechange = null, a(null, r));
  };
}
var promise;
function getEditorNamespace(r, a) {
  return "CKEDITOR" in window ? Promise.resolve(CKEDITOR) : typeof r != "string" || r.length < 1 ? Promise.reject(new TypeError("CKEditor URL must be a non-empty string.")) : (promise || (promise = getEditorNamespace.scriptLoader(r).then(function(o) {
    return a && a(o), o;
  })), promise);
}
getEditorNamespace.scriptLoader = function(r) {
  return new Promise(function(a, o) {
    loadScript(r, function(s) {
      if (promise = void 0, s)
        return o(s);
      if (!window.CKEDITOR)
        return o(new Error("Script loaded from editorUrl doesn't provide CKEDITOR namespace."));
      a(CKEDITOR);
    });
  });
};
function debounce(r, a) {
  var o = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {}, s;
  return function() {
    clearTimeout(s);
    for (var l = arguments.length, u = new Array(l), c = 0; c < l; c++)
      u[c] = arguments[c];
    s = setTimeout(r.bind.apply(r, [o].concat(u)), a);
  };
}
const _sfc_main$C = {
  mixins: [mixinPage],
  props: {
    modelValue: {
      type: String,
      default: ""
    },
    // 只读
    readonly: {
      type: Boolean,
      default: !1
    },
    width: {
      type: Number
    },
    height: {
      type: Number
    },
    editorUrl: {
      type: String,
      default: Setting.editorUrl
    }
  },
  data() {
    return {
      uid: Math.random().toString().replace(".", ""),
      instance: null,
      // 当前实例
      $_destroyed: !1
      // 是否销毁
    };
  },
  computed: {
    config() {
      const r = util$2.cookies.get("token");
      return {
        height: this.height == null ? 500 : this.height,
        fileTools_requestHeaders: {
          Authorization: "Bearer " + r
        },
        // toolbargroups: [
        //   { name: 'clipboard', groups: ['clipboard', 'undo'] },
        //   { name: 'editing', groups: ['find', 'selection', 'spellchecker'] },
        //   { name: 'links' },
        //   { name: 'insert' },
        //   { name: 'forms' },
        //   { name: 'tools' },
        //   { name: 'document', groups: ['mode', 'document', 'doctools'] },
        //   { name: 'others' },
        //   '/',
        //   { name: 'basicstyles', groups: ['basicstyles', 'cleanup'] },
        //   { name: 'paragraph', groups: ['list', 'indent', 'blocks', 'align'] },
        //   { name: 'styles' },
        //   { name: 'colors' },
        //   { name: 'about' }
        // ],
        filebrowserUploadUrl: this.apiBaseURL + "api/CKEditor?r=1",
        removePlugins: "easyimage,cloudservices,exportpdf",
        clipboard_handleImages: !1
      };
    }
  },
  mounted() {
    getEditorNamespace(this.editorUrl, (r) => {
      this.$emit("namespaceloaded", r);
    }).then(() => {
      if (this.$_destroyed)
        return;
      const r = this.prepareConfig();
      CKEDITOR.replace("editor_" + this.uid, r);
    });
  },
  beforeUnmount() {
    this.instance && this.instance.destroy(), this.$_destroyed = !0;
  },
  watch: {
    modelValue(r) {
      this.instance && this.instance.getData() !== r && this.instance.setData(r);
    },
    readonly(r) {
      this.instance && this.instance.setReadOnly(r);
    }
  },
  methods: {
    prepareConfig() {
      const r = this.config || {};
      r.on = r.on || {}, r.delayIfDetached === void 0 && (r.delayIfDetached = !0), this.readonly !== null && (r.readOnly = this.readonly);
      const a = r.on.instanceReady;
      return r.on.instanceReady = (o) => {
        this.instance = o.editor, this.$nextTick().then(() => {
          this.prepareComponentData(), a && a(o);
        });
      }, r;
    },
    prepareComponentData() {
      const r = this.modelValue;
      this.instance.fire("lockSnapshot"), this.instance.setData(r, {
        callback: () => {
          this.$_setUpEditorEvents();
          const a = this.instance.getData();
          r !== a && this.$emit("update:modelValue", a), this.instance.fire("unlockSnapshot");
        }
      });
    },
    $_setUpEditorEvents() {
      const r = this.instance;
      r.on(
        "change",
        debounce((a) => {
          const o = r.getData();
          this.modelValue !== o && this.$emit("update:modelValue", o, a, r);
        }, 80)
      ), r.on("fileUploadResponse", (a) => {
        setTimeout(() => {
          const o = r.getData();
          this.modelValue !== o && this.$emit("update:modelValue", o, a, r);
        });
      });
    }
  }
}, _hoisted_1$r = ["id"];
function _sfc_render$C(r, a, o, s, l, u) {
  return openBlock(), createElementBlock("div", {
    id: "editor_" + l.uid
  }, null, 8, _hoisted_1$r);
}
const richEditor = /* @__PURE__ */ _export_sfc(_sfc_main$C, [["render", _sfc_render$C]]), __vite_glob_1_9 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: richEditor
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$B = {
  mixins: [mixinPage],
  data() {
    return {
      opened: !1,
      // 是否打开
      sourceFilter: {}
      // 来源筛选
    };
  },
  created() {
  },
  props: {
    /**
     * 请求地址
     */
    url: {
      type: String
    },
    /**
     * 上传文件之前的钩子，参数为上传的文件，若返回 false 则停止上传
     */
    beforeUploadFunc: {
      type: Function
    },
    /**
     * 接受上传的文件类型
     */
    accept: {
      type: String
    }
  },
  computed: {
    fileUploadURL() {
      return this.apiBaseURL + this.url;
    }
  },
  methods: {
    ...mapMutations("admin/loader", ["start", "end"]),
    // 导入之前
    beforeUpload(r) {
      if (typeof this.beforeUploadFunc == "function" && !this.beforeUploadFunc(r))
        return !1;
      this.start();
    },
    // 导入成功
    importFileSuccess(r) {
      this.end(), r.code == 0 ? this.$emit("on-success", r) : this.error(r.message);
    },
    // 导入失败
    importFileError(r) {
      this.end(), this.error(r.message);
    }
  }
};
function _sfc_render$B(r, a, o, s, l, u) {
  const c = resolveComponent("Upload");
  return openBlock(), createBlock(c, {
    action: u.fileUploadURL,
    headers: r.uploadHeaders,
    accept: o.accept,
    "show-upload-list": !1,
    "on-success": u.importFileSuccess,
    "on-error": u.importFileError,
    "before-upload": u.beforeUpload,
    style: { display: "inline-block" }
  }, {
    default: withCtx(() => [
      renderSlot(r.$slots, "default")
    ]),
    _: 3
  }, 8, ["action", "headers", "accept", "on-success", "on-error", "before-upload"]);
}
const fileUpload = /* @__PURE__ */ _export_sfc(_sfc_main$B, [["render", _sfc_render$B]]), __vite_glob_1_10 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: fileUpload
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$A = {
  mixins: [mixinPage],
  data() {
    return {
      fileList: [],
      defaultList: []
    };
  },
  props: {
    // 值
    modelValue: {
      type: String
    },
    /**
     * 请求地址
     */
    url: {
      type: String
    },
    // 只读
    readonly: {
      type: Boolean,
      default: !1
    },
    // 最大上传数量
    maxCount: {
      type: Number
    },
    // 最大上传文件大小(M)
    maxSize: {
      type: Number
    },
    /**
     * 大小
     * @values small, default, large
     */
    size: {
      type: String
    },
    /**
     * 允许的文件类型
     */
    accept: {
      type: String
    },
    /**
     * 允许拖拽上传
     */
    draggable: {
      type: Boolean,
      default: !1
    }
  },
  computed: {
    // 上传地址
    uploadAction() {
      return this.url == null ? this.uploadURL : this.url;
    }
  },
  methods: {
    // 设置初始值
    setData(r) {
      let a = [];
      if (r && r !== "")
        try {
          a = JSON.parse(r).map((o) => ({
            ...o,
            url: this.getAttachmentUrl(o.file, o.name)
          }));
        } catch {
        }
      this.fileList = a, this.defaultList = a;
    },
    // 上传之前
    beforeUpload(r) {
      if (this.maxSize != null && r.size > this.maxSize * 1024 * 1024)
        return this.error("Front_Msg_Max_Quantity|" + this.maxSize), !1;
      if (this.maxCount != null && this.fileList.length >= this.maxCount)
        return this.error("Front_Msg_Max_Quantity|" + this.maxCount), !1;
    },
    // 上传成功
    onUploadSuccess(r, a) {
      let o = this.fileList;
      o.push({
        file: r.data[0],
        name: a.name,
        user: this.info.id
      }), this.$emit("update:modelValue", JSON.stringify(o));
    },
    // 上传预览
    onUploadPreview(r) {
      r.file ? window.location.href = this.getAttachmentUrl(r.file, r.name) : window.location.href = this.getAttachmentUrl(r.response.data[0], r.name);
    },
    // 移除上传文件
    onUploadRemove(r) {
      let a = this.fileList, o = a.findIndex((s) => s.file === r.file);
      a.splice(o, 1), a.length === 0 ? this.$emit("update:modelValue", null) : this.$emit("update:modelValue", JSON.stringify(a));
    }
  }
}, _hoisted_1$q = {
  key: 1,
  style: { padding: "20px 0" }
};
function _sfc_render$A(r, a, o, s, l, u) {
  const c = resolveComponent("Button"), d = resolveComponent("Icon"), f = resolveComponent("Upload"), p = resolveComponent("Input");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(f, {
      action: u.uploadAction,
      headers: r.uploadHeaders,
      "default-file-list": l.defaultList,
      "before-upload": u.beforeUpload,
      "on-success": u.onUploadSuccess,
      "on-preview": u.onUploadPreview,
      "on-remove": u.onUploadRemove,
      disabled: o.readonly,
      accept: (o.accept || "").trim() ? o.accept.split(",").map((v) => "." + v.replaceAll(".", "")).join(",") : null,
      format: (o.accept || "").trim() ? o.accept.split(",").map((v) => v.replaceAll(".", "")) : [],
      multiple: !0,
      type: o.draggable ? "drag" : "select",
      "max-size": o.maxSize == null ? null : o.maxSize * 1024
    }, {
      default: withCtx(() => [
        !o.draggable && !o.readonly ? (openBlock(), createBlock(c, {
          key: 0,
          size: o.size,
          icon: "ios-cloud-upload-outline"
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Upload")), 1)
          ]),
          _: 1
        }, 8, ["size"])) : createCommentVNode("", !0),
        o.draggable && !o.readonly ? (openBlock(), createElementBlock("div", _hoisted_1$q, [
          createVNode$1(d, {
            type: "ios-cloud-upload",
            size: "52",
            style: { color: "#3399ff" }
          }),
          createElementVNode("p", null, toDisplayString$2(r.$t("Front_Label_Drag_Upload")), 1)
        ])) : createCommentVNode("", !0)
      ]),
      _: 1
    }, 8, ["action", "headers", "default-file-list", "before-upload", "on-success", "on-preview", "on-remove", "disabled", "accept", "format", "type", "max-size"]),
    withDirectives(createVNode$1(p, {
      type: "text",
      "model-value": o.modelValue,
      size: o.size
    }, null, 8, ["model-value", "size"]), [
      [vShow, !1]
    ])
  ]);
}
const uploadAttachment = /* @__PURE__ */ _export_sfc(_sfc_main$A, [["render", _sfc_render$A]]), __vite_glob_1_11 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: uploadAttachment
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$z = {
  mixins: [mixinPage],
  data() {
    return {
      preview: !1,
      imageUrl: null
    };
  },
  props: {
    // 值
    modelValue: {
      type: String
    },
    // 只读
    readonly: {
      type: Boolean,
      default: !1
    },
    // 最大上传数量
    maxCount: {
      type: Number
    },
    // 最大上传文件大小(M)
    maxSize: {
      type: Number
    },
    // 图片宽度
    width: {
      type: Number
    },
    // 图片高度
    height: {
      type: Number
    },
    /**
     * 允许的文件类型
     */
    accept: {
      type: String
    }
  },
  computed: {
    // 文件列表
    fileList() {
      let r = [];
      if (this.modelValue && this.modelValue !== "")
        try {
          r = this.modelValue.split(",");
        } catch {
        }
      return r;
    },
    // 显示列表
    showList() {
      return this.fileList === [] ? [null] : this.fileList;
    }
  },
  methods: {
    // 上传之前
    beforeUpload() {
      if (this.maxCount != null && this.fileList.length >= this.maxCount)
        return this.error("Front_Msg_Max_Quantity|" + this.maxCount), !1;
    },
    // 上传成功
    onUploadSuccess(r, a) {
      let o = this.fileList;
      o.push(a.response.data[0]), this.$emit("update:modelValue", o.join(","));
    },
    // 前移图片
    forwardImage(r) {
      let a = this.fileList;
      if (r < a.length - 1) {
        let o = a.splice(r, 1);
        a.splice(r + 1, 0, o), a.length === 0 ? this.$emit("update:modelValue", null) : this.$emit("update:modelValue", a.join(","));
      }
    },
    // 后移图片
    backwardImage(r) {
      let a = this.fileList;
      if (r > 0) {
        let o = a.splice(r, 1);
        a.splice(r - 1, 0, o), a.length === 0 ? this.$emit("update:modelValue", null) : this.$emit("update:modelValue", a.join(","));
      }
    },
    // 移除图片
    removeImage(r) {
      let a = this.fileList;
      a.splice(r, 1), a.length === 0 ? this.$emit("update:modelValue", null) : this.$emit("update:modelValue", a.join(","));
    },
    // 预览
    previewImage(r) {
      this.imageUrl = r, this.preview = !0;
    },
    // 下载
    downloadImage(r) {
      let a = this.getAttachmentUrl(r, r);
      window.location.href = a;
    }
  }
}, _hoisted_1$p = { class: "form-image-group" }, _hoisted_2$m = ["src"], _hoisted_3$k = { style: { "text-align": "center" } }, _hoisted_4$e = ["download"], _hoisted_5$c = ["src"];
function _sfc_render$z(r, a, o, s, l, u) {
  const c = resolveComponent("Icon"), d = resolveComponent("Upload"), f = resolveComponent("Input"), p = resolveComponent("Button"), v = resolveComponent("Modal");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", _hoisted_1$p, [
      (openBlock(!0), createElementBlock(Fragment, null, renderList(u.fileList, (g, y) => (openBlock(), createElementBlock("div", {
        class: "form-image",
        key: y,
        style: normalizeStyle$1({ width: o.width == null ? "250px" : o.width + "px", height: o.height == null ? "250px" : o.height + "px" })
      }, [
        g ? (openBlock(), createElementBlock("img", {
          key: 0,
          src: r.getImgUrl(g)
        }, null, 8, _hoisted_2$m)) : createCommentVNode("", !0),
        createElementVNode("div", {
          class: "action",
          style: normalizeStyle$1({ width: o.width == null ? "250px" : o.width + "px", height: o.height == null ? "250px" : o.height + "px" })
        }, [
          o.readonly ? createCommentVNode("", !0) : (openBlock(), createBlock(c, {
            key: 0,
            custom: "fa fa-times-circle",
            onClick: (_) => u.removeImage(y)
          }, null, 8, ["onClick"])),
          !o.readonly && y < u.fileList.length - 1 && u.fileList.length > 1 ? (openBlock(), createBlock(c, {
            key: 1,
            custom: "fa fa-arrow-circle-right",
            onClick: (_) => u.forwardImage(y)
          }, null, 8, ["onClick"])) : createCommentVNode("", !0),
          !o.readonly && y > 0 && u.fileList.length > 1 ? (openBlock(), createBlock(c, {
            key: 2,
            custom: "fa fa-arrow-circle-left",
            onClick: (_) => u.backwardImage(y)
          }, null, 8, ["onClick"])) : createCommentVNode("", !0),
          createVNode$1(c, {
            custom: "fa fa-eye",
            onClick: (_) => u.previewImage(g)
          }, null, 8, ["onClick"]),
          createVNode$1(c, {
            custom: "fa fa-download",
            onClick: (_) => u.downloadImage(g)
          }, null, 8, ["onClick"])
        ], 4)
      ], 4))), 128)),
      o.readonly ? createCommentVNode("", !0) : (openBlock(), createBlock(d, {
        key: 0,
        accept: (o.accept || "").trim() ? o.accept.split(",").map((g) => "." + g.replaceAll(".", "")).join(",") : "image/*",
        format: (o.accept || "").trim() ? o.accept.split(",").map((g) => g.replaceAll(".", "")) : [],
        action: r.uploadURL,
        headers: r.uploadHeaders,
        "show-upload-list": !1,
        "before-upload": u.beforeUpload,
        "on-success": u.onUploadSuccess,
        "max-size": o.maxSize == null ? null : o.maxSize * 1024
      }, {
        default: withCtx(() => [
          u.fileList.length < o.maxCount || o.maxCount == null ? (openBlock(), createElementBlock("div", {
            key: 0,
            class: "form-image",
            style: normalizeStyle$1({ width: o.width == null ? "250px" : o.width + "px", height: o.height == null ? "250px" : o.height + "px" })
          }, [
            createVNode$1(c, {
              custom: "fa fa-plus-circle",
              color: "#999",
              style: normalizeStyle$1({ "font-size": o.width == null ? "25px" : o.width / 3 + "px", cursor: "pointer" })
            }, null, 8, ["style"])
          ], 4)) : createCommentVNode("", !0)
        ]),
        _: 1
      }, 8, ["accept", "format", "action", "headers", "before-upload", "on-success", "max-size"])),
      withDirectives(createVNode$1(f, {
        type: "text",
        "model-value": o.modelValue
      }, null, 8, ["model-value"]), [
        [vShow, !1]
      ])
    ]),
    createVNode$1(v, {
      title: "预览",
      modelValue: l.preview,
      "onUpdate:modelValue": a[1] || (a[1] = (g) => l.preview = g),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: "70%"
    }, {
      footer: withCtx(() => [
        createVNode$1(p, {
          type: "default",
          "custom-icon": "fa fa-times",
          onClick: a[0] || (a[0] = (g) => l.preview = !1)
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
          ]),
          _: 1
        })
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_3$k, [
          createElementVNode("a", {
            href: "#",
            download: l.imageUrl,
            onClick: "return false;"
          }, [
            l.preview ? (openBlock(), createElementBlock("img", {
              key: 0,
              src: r.getImgUrl(l.imageUrl),
              style: { "max-width": "100%" }
            }, null, 8, _hoisted_5$c)) : createCommentVNode("", !0)
          ], 8, _hoisted_4$e)
        ])
      ]),
      _: 1
    }, 8, ["modelValue", "mask-closable", "draggable"])
  ]);
}
const uploadImage = /* @__PURE__ */ _export_sfc(_sfc_main$z, [["render", _sfc_render$z], ["__scopeId", "data-v-2d4678c2"]]), __vite_glob_1_12 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: uploadImage
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$y = {
  mixins: [mixinPage],
  components: { columnCheck, conditionEdit },
  data() {
    return {
      data: {},
      index: null,
      columns: [],
      opened: !1,
      callback: null,
      displayFormats: [],
      parpamColumns: [
        { title: "参数", resizable: !0, align: "center", key: "code" },
        { title: "值", align: "center", resizable: !0, key: "val" },
        { slot: "command", title: " ", align: "center", resizable: !0, fixed: "right" }
      ],
      params: [],
      paramData: {},
      rules: {
        code: {
          type: "string",
          required: !0,
          message: "请输入字段",
          trigger: "blur,change"
        },
        // name: {
        //     type: 'string',
        //     required: true,
        //     message: '请输入名称',
        //     trigger: 'blur,change'
        // },
        controlType: {
          type: "string",
          required: !0,
          message: "请输入控件类型",
          trigger: "blur,change"
        },
        columnWidth: {
          type: "string",
          required: !0,
          message: "请输入栏目宽度",
          trigger: "blur,change"
        }
      },
      paramItemFormRules: {
        code: {
          type: "string",
          required: !0,
          message: "请输入字段名称",
          trigger: "blur,change"
        },
        keyType: {
          type: "string",
          required: !0,
          message: "请选择字段类型",
          trigger: "blur,change"
        },
        val: {
          type: "string",
          required: !0,
          message: "请输入值",
          trigger: "blur,change"
        }
      },
      paramOpened: !1,
      paramItemOpened: !1,
      sourceBefore: null
    };
  },
  async created() {
    let r = await modelApi.query("DisplayFormat", {});
    this.displayFormats = r.data;
  },
  props: {
    // 视图类型
    viewType: {
      type: String
    }
  },
  computed: {
    // 选择框，或复选框组，且非枚举类型，需要输入数据源
    needDataSource() {
      return this.data ? (this.data.controlType === "Select" || this.data.controlType === "MultiSelect" || this.data.controlType === "TreeSelect" || this.data.controlType === "MultiTreeSelect" || this.data.controlType === "SelectWithOther" || this.data.controlType === "ComboSelect" || this.data.controlType === "MultiComboSelect" || this.data.controlType === "Radio" || this.data.controlType === "CheckGroup") && !this.data.isStaticItem && this.data.dataType && this.data.dataType.indexOf("Enum:") !== 0 || this.data.controlType === "DialogSelect" || this.data.controlType === "MultiDialogSelect" || this.data.controlType === "Table" || this.data.controlType === "List" : !1;
    }
  },
  methods: {
    // 打开
    open(r, a, o, s) {
      this.data = this.copy(r), this.callback = s, this.opened = !0, this.$refs.form.resetFields(), this.controlTypeBefore = this.data.controlType, this.index = a, this.columns = o, this.data.isDictItem && this.data.param && (this.data.dictTypeCode = JSON.parse(this.data.param)["type.code"].replace("[", "").replace("]", ""));
    },
    // 关闭
    close() {
      this.opened = !1;
    },
    // 确认
    async finish() {
      if (!await this.$refs.form.validate())
        this.error("Front_Msg_Form_Validate_Fail");
      else {
        if (this.columns.some((a, o) => a.code == this.data.code && o != this.index)) {
          this.error("字段有重复！");
          return;
        }
        this.callback(this.copy(this.data)), this.opened = !1;
      }
    },
    // 过滤显示格式
    getDisplayFormats() {
      return this.displayFormats.filter((r) => r.dataType === this.data.dataType);
    },
    // 控件类型变更
    controlTypeChange() {
      this.data.sourceModel && (this.data.controlType == "DialogSelect" || this.data.controlType == "MultiDialogSelect" ? this.data.source = this.data.sourceModel + "Select" : this.data.source = this.data.sourceModel), setTimeout(() => {
      });
    },
    // 数据源变更
    sourceChange(r) {
      this.sourceBefore != this.data.source && (this.data.sourceDisplayCode = null, this.data.sourceDataCode = null, this.data.sourceModel = null, this.data.param = null), r && (this.data.sourceModel = r.model), this.sourceBefore = this.data.source;
    },
    // 打开字段选择界面
    openColumnSelect(r, a) {
      if (this.data.source == null)
        return;
      let o;
      this.data.controlType == "DialogSelect" || this.data.controlType == "MultiDialogSelect" || this.data.controlType == "Table" || this.data.controlType == "List" ? o = this.$refs.dataViewSource.selectedData.model : o = this.data.source, this.$refs.columnCheck.open(o, (s) => {
        r[a] = s.code;
      });
    },
    // 打开变量字段选择界面
    openValueSelect() {
      this.data.dataView.model != null && this.$refs.columnCheck.open(this.data.dataView.model, (r) => {
        this.paramData.val = r.code;
      });
    },
    // 打开参数弹框
    paramOpen() {
      if (this.params = [], this.paramOpened = !0, this.data.param != null && this.data.param !== "") {
        let r = JSON.parse(this.data.param);
        for (let a in r) {
          let o = "变量";
          r[a].indexOf("[") == 0 && r[a].indexOf("]") + 1 == r[a].length && (o = "常量"), this.params.push({
            code: a,
            val: r[a],
            type: o
          });
        }
      }
    },
    // 参数框确认
    async paramItemSave() {
      if (!await this.$refs.paramItemForm.validate()) {
        this.error("Front_Msg_Form_Validate_Fail");
        return;
      }
      let a = this.paramData.val;
      if (this.paramData.keyType == "常量") {
        let o = this.paramData.val.length;
        a = this.paramData.val.padStart(o + 1, "[").padEnd(o + 2, "]");
      }
      this.paramData.source ? (this.paramData.source.code = this.paramData.code, this.paramData.source.val = a, this.paramData.source.type = this.paramData.keyType) : this.params.push({
        code: this.paramData.code,
        val: a,
        type: this.paramData.keyType
      }), this.paramItemOpened = !1, this.$refs.paramItemForm.resetFields();
    },
    paramItemClose() {
      this.paramItemOpened = !1, this.$refs.paramItemForm.resetFields();
    },
    keyTypeChange() {
      setTimeout(() => {
        this.paramData.val = null;
      });
    },
    // 保存参数
    paramSave() {
      let r = {};
      this.params.forEach((a) => {
        r[a.code] = a.val;
      }), this.data.param = this.params.length > 0 ? JSON.stringify(r) : "", this.paramOpened = !1;
    },
    // 编辑参数项
    paramEdit(r) {
      r ? this.paramData = {
        code: r.code,
        val: r.val.replace("[", "").replace("]", ""),
        keyType: r.type,
        source: r
      } : this.paramData = {
        code: "",
        val: "",
        keyType: "常量"
      }, this.paramItemOpened = !0;
    },
    // 上移参数项
    upParam(r, a) {
      a > 0 && (this.params.splice(a, 1), this.params.splice(a - 1, 0, r));
    },
    // 下移参数项
    downParam(r, a) {
      a < this.params.length - 1 && (this.params.splice(a, 1), this.params.splice(a + 1, 0, r));
    },
    // 删除参数项
    paramRemove(r, a) {
      this.params.splice(a, 1);
    },
    // 打开字段选择界面
    openSelect() {
      this.$refs.columnCheck.openView(this.data.dataView, (r) => {
        this.data.code = r.code, this.data.name = r.name, this.data.dataType = r.dataType, r.objColumn && (this.data.source = this.data.controlType == "DialogSelect" || this.data.controlType == "MultiDialogSelect" ? r.objColumn.dataType + "Select" : r.objColumn.dataType, this.data.sourceDataCode = "id", this.data.sourceModel = r.objColumn.dataType, this.data.sourceDisplayCode = r.objColumn.columns.some((a) => a.code === r.objColumn.code + ".name") ? "name" : null), setTimeout(() => {
        });
      });
    },
    // 是否虚拟字段变化
    isVirtualChange(r) {
      this.data.isVirtual = r;
    },
    // 表格存储方式变化
    tableStoreTypeChange() {
      this.data.tableStoreType == "Outer" && (this.data.isVirtual = !0);
    },
    // 是否显示选择框
    showCheck(r) {
      if ((r || "").trim()) {
        let a = JSON.parse(r);
        return a.type == "True" || a.type == "False";
      } else
        return !0;
    },
    // 选择框变化
    checkChange(r, a) {
      if ((this.data[r] || "").trim()) {
        let o = JSON.parse(this.data[r]);
        this.data[a] ? o.type = "True" : o.type = "False", this.data[r] = JSON.stringify(o);
      }
    },
    // 字典类别变化
    dictTypeChange() {
      this.data.param = JSON.stringify({
        "type.code": "[" + this.data.dictTypeCode + "]",
        isDisabled: "[false]"
      });
    },
    // 选择默认值
    async selectDefault(r) {
      this.data.defaultValue = "{" + r + "}";
    }
  }
}, _hoisted_1$o = { class: "title" }, _hoisted_2$l = { class: "description" }, _hoisted_3$j = { class: "ivu-ml-8 ivu-mr-8" }, _hoisted_4$d = { class: "i-table-no-border" }, _hoisted_5$b = { class: "ivu-ml-8 ivu-mr-8" };
function _sfc_render$y(r, a, o, s, l, u) {
  const c = resolveComponent("Input"), d = resolveComponent("FormItem"), f = resolveComponent("Col"), p = resolveComponent("Switch"), v = resolveComponent("Button"), g = resolveComponent("Option"), y = resolveComponent("Select"), _ = resolveComponent("Radio"), S = resolveComponent("RadioGroup"), C = resolveComponent("dialog-select"), b = resolveComponent("Icon"), T = resolveComponent("DropdownItem"), E = resolveComponent("DropdownMenu"), x = resolveComponent("Dropdown"), $ = resolveComponent("Row"), A = resolveComponent("Form"), N = resolveComponent("Modal"), P = resolveComponent("Table"), L = resolveComponent("column-check"), O = resolveComponent("condition-edit");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(N, {
      modelValue: l.opened,
      "onUpdate:modelValue": a[62] || (a[62] = (M) => l.opened = M),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: "800"
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          createElementVNode("span", _hoisted_1$o, toDisplayString$2(r.$t("Front_Label_Column_Setting")), 1),
          createElementVNode("span", _hoisted_2$l, toDisplayString$2(r.$t("Front_Label_Column_Setting_Desc")), 1)
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(v, {
            type: "primary",
            "custom-icon": "fa fa-check",
            onClick: u.finish
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
            ]),
            _: 1
          }, 8, ["onClick"]),
          createVNode$1(v, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: u.close
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          }, 8, ["onClick"])
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_3$j, [
          createVNode$1(A, {
            ref: "form",
            model: l.data,
            "label-position": "top",
            "label-colon": "：",
            class: "ivu-mt",
            rules: l.rules,
            onSubmit: a[61] || (a[61] = withModifiers(() => {
            }, ["prevent"]))
          }, {
            default: withCtx(() => [
              createVNode$1($, {
                gutter: 24,
                type: "flex"
              }, {
                default: withCtx(() => [
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "名称",
                        key: "name",
                        prop: "name"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.data.name,
                            "onUpdate:modelValue": a[0] || (a[0] = (M) => l.data.name = M),
                            maxlength: "200"
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  l.data.dataView && !l.data.dataView.isVirtual ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 0 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "虚拟字段",
                        key: "isVirtual",
                        prop: "isVirtual"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(p, {
                            "model-value": !!l.data.isVirtual,
                            "onUpdate:modelValue": u.isVirtualChange
                          }, null, 8, ["model-value", "onUpdate:modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  !l.data.isVirtual && (l.data.controlType != "Table" || l.data.controlType == "Table" && l.data.tableStoreType == "Inner") && l.data.controlType != "List" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 1 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "字段代码",
                        key: "code",
                        prop: "code"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            readonly: "",
                            modelValue: l.data.code,
                            "onUpdate:modelValue": a[2] || (a[2] = (M) => l.data.code = M),
                            onOnFocus: a[3] || (a[3] = (M) => u.openSelect())
                          }, {
                            prepend: withCtx(() => [
                              createVNode$1(v, {
                                "custom-icon": "fa fa-search",
                                onClick: a[1] || (a[1] = (M) => u.openSelect())
                              })
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.isVirtual || l.data.controlType == "Table" && l.data.tableStoreType == "Outer" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 2 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "字段代码",
                        key: "code",
                        prop: "code"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.data.code,
                            "onUpdate:modelValue": a[4] || (a[4] = (M) => l.data.code = M),
                            maxlength: "200"
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.isVirtual == !0 ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 3 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "字段类型",
                        key: "dataType",
                        prop: "dataType"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(y, {
                            modelValue: l.data.dataType,
                            "onUpdate:modelValue": a[5] || (a[5] = (M) => l.data.dataType = M),
                            transfer: !0
                          }, {
                            default: withCtx(() => [
                              (openBlock(!0), createElementBlock(Fragment, null, renderList(r.getEnumList("DataType"), (M) => (openBlock(), createBlock(g, {
                                key: M.id,
                                value: M.id
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString$2(M.name), 1)
                                ]),
                                _: 2
                              }, 1032, ["value"]))), 128))
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.isVirtual != !0 ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 4 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "字段类型",
                        key: "dataType",
                        prop: "dataType"
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString$2(l.data.dataType), 1)
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "控件类型",
                        key: "controlType",
                        prop: "controlType"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(y, {
                            modelValue: l.data.controlType,
                            "onUpdate:modelValue": a[6] || (a[6] = (M) => l.data.controlType = M),
                            transfer: !0,
                            onOnChange: u.controlTypeChange
                          }, {
                            default: withCtx(() => [
                              (openBlock(!0), createElementBlock(Fragment, null, renderList(r.getEnumList("ControlType"), (M) => (openBlock(), createBlock(g, {
                                key: M.id,
                                value: M.id
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString$2(M.name), 1)
                                ]),
                                _: 2
                              }, 1032, ["value"]))), 128))
                            ]),
                            _: 1
                          }, 8, ["modelValue", "onOnChange"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  l.data.controlType == "Table" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 5 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "数据存储方式",
                        key: "tableStoreType",
                        prop: "tableStoreType"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(S, {
                            modelValue: l.data.tableStoreType,
                            "onUpdate:modelValue": a[7] || (a[7] = (M) => l.data.tableStoreType = M),
                            onOnChange: u.tableStoreTypeChange
                          }, {
                            default: withCtx(() => [
                              createVNode$1(_, { label: "Outer" }, {
                                default: withCtx(() => a[72] || (a[72] = [
                                  createTextVNode("外部关联表")
                                ])),
                                _: 1
                              }),
                              createVNode$1(_, { label: "Inner" }, {
                                default: withCtx(() => a[73] || (a[73] = [
                                  createTextVNode("表内存储")
                                ])),
                                _: 1
                              })
                            ]),
                            _: 1
                          }, 8, ["modelValue", "onOnChange"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.controlType == "Select" || l.data.controlType == "SelectWithOther" || l.data.controlType == "ComboSelect" || l.data.controlType == "MultiSelect" || l.data.controlType == "MultiComboSelect" || l.data.controlType == "Radio" || l.data.controlType == "CheckGroup" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 6 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "固定选项",
                        key: "isStaticItem",
                        prop: "isStaticItem"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(p, {
                            "model-value": !!l.data.isStaticItem,
                            "onUpdate:modelValue": a[8] || (a[8] = (M) => {
                              l.data.isStaticItem = M;
                            })
                          }, null, 8, ["model-value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  (l.data.controlType == "Select" || l.data.controlType == "SelectWithOther" || l.data.controlType == "ComboSelect" || l.data.controlType == "MultiSelect" || l.data.controlType == "MultiComboSelect" || l.data.controlType == "Radio" || l.data.controlType == "CheckGroup") && !l.data.isStaticItem ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 7 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "字典选项",
                        key: "isDictItem",
                        prop: "isDictItem"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(p, {
                            "model-value": !!l.data.isDictItem,
                            "onUpdate:modelValue": a[9] || (a[9] = (M) => {
                              l.data.isDictItem = M, l.data.isDictItem && (l.data.source = "Dict");
                            })
                          }, null, 8, ["model-value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.isStaticItem && (l.data.controlType == "Select" || l.data.controlType == "SelectWithOther" || l.data.controlType == "ComboSelect" || l.data.controlType == "MultiSelect" || l.data.controlType == "MultiComboSelect" || l.data.controlType == "Radio" || l.data.controlType == "CheckGroup") ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 8 }, r.grid24)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "选项内容（每一行为一项，key/value用冒号分隔，没有冒号表示key/value一致）",
                        key: "itemData",
                        prop: "itemData"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "textarea",
                            rows: 5,
                            modelValue: l.data.itemData,
                            "onUpdate:modelValue": a[10] || (a[10] = (M) => l.data.itemData = M)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  u.needDataSource && l.data.controlType != "DialogSelect" && l.data.controlType != "MultiDialogSelect" && l.data.controlType != "Table" && l.data.controlType != "List" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 9 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "数据源",
                        key: "source",
                        prop: "source"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(C, {
                            ref: "select",
                            modelValue: l.data.source,
                            "onUpdate:modelValue": a[11] || (a[11] = (M) => l.data.source = M),
                            source: "EntitySelect",
                            "source-data-code": "name",
                            "source-display-code": "name",
                            readonly: l.data.isDictItem,
                            onOnChange: u.sourceChange
                          }, null, 8, ["modelValue", "readonly", "onOnChange"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.controlType == "DialogSelect" || l.data.controlType == "MultiDialogSelect" || l.data.controlType == "Table" || l.data.controlType == "List" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 10 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "视图",
                        key: "dataViewSource",
                        prop: "dataViewSource"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(C, {
                            ref: "dataViewSource",
                            modelValue: l.data.source,
                            "onUpdate:modelValue": a[12] || (a[12] = (M) => l.data.source = M),
                            source: "DataViewSelect",
                            "source-data-code": "code",
                            "source-display-code": "code",
                            param: { viewType: "TableView" },
                            onOnChange: u.sourceChange
                          }, null, 8, ["modelValue", "onOnChange"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.source && u.needDataSource && (l.data.controlType != "Table" || l.data.controlType == "Table" && l.data.tableStoreType == "Outer") && l.data.controlType != "List" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 11 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "数据字段",
                        prop: "sourceDataCode"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            readonly: !0,
                            modelValue: l.data.sourceDataCode,
                            "onUpdate:modelValue": a[14] || (a[14] = (M) => l.data.sourceDataCode = M),
                            onOnFocus: a[15] || (a[15] = (M) => u.openColumnSelect(l.data, "sourceDataCode"))
                          }, {
                            prepend: withCtx(() => [
                              createVNode$1(v, {
                                "custom-icon": "fa fa-search",
                                onClick: a[13] || (a[13] = (M) => u.openColumnSelect(l.data, "sourceDataCode"))
                              })
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.source && u.needDataSource && l.data.controlType != "Table" && l.data.controlType != "List" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 12 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "显示字段",
                        key: "sourceDisplayCode",
                        prop: "sourceDisplayCode"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            readonly: !0,
                            modelValue: l.data.sourceDisplayCode,
                            "onUpdate:modelValue": a[17] || (a[17] = (M) => l.data.sourceDisplayCode = M),
                            onOnFocus: a[18] || (a[18] = (M) => u.openColumnSelect(l.data, "sourceDisplayCode"))
                          }, {
                            prepend: withCtx(() => [
                              createVNode$1(v, {
                                "custom-icon": "fa fa-search",
                                onClick: a[16] || (a[16] = (M) => u.openColumnSelect(l.data, "sourceDisplayCode"))
                              })
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.source && u.needDataSource && !l.data.isDictItem && l.data.controlType != "Table" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 13 }, r.grid16)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "参数",
                        key: "param",
                        prop: "param"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            onClick: u.paramOpen,
                            readonly: !0,
                            modelValue: l.data.param,
                            "onUpdate:modelValue": a[19] || (a[19] = (M) => l.data.param = M),
                            maxlength: "200"
                          }, null, 8, ["onClick", "modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.source && u.needDataSource && l.data.isDictItem && l.data.controlType != "Table" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 14 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "字典类别",
                        key: "dictTypeCode",
                        prop: "dictTypeCode"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(C, {
                            modelValue: l.data.dictTypeCode,
                            "onUpdate:modelValue": a[20] || (a[20] = (M) => l.data.dictTypeCode = M),
                            source: "DictTypeSelect",
                            "source-data-code": "code",
                            "source-display-code": "code",
                            onOnChange: a[21] || (a[21] = (M) => u.dictTypeChange())
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.controlType == "Select" || l.data.controlType == "SelectWithOther" || l.data.controlType == "ComboSelect" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 15 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "默认第一项",
                        key: "isDefaultFirst",
                        prop: "isDefaultFirst"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(p, {
                            "model-value": !!l.data.isDefaultFirst,
                            "onUpdate:modelValue": a[22] || (a[22] = (M) => {
                              l.data.isDefaultFirst = M;
                            })
                          }, null, 8, ["model-value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.controlType == "Hyperlink" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 16 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "链接地址",
                        key: "hyperlink",
                        prop: "hyperlink"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.data.hyperlink,
                            "onUpdate:modelValue": a[23] || (a[23] = (M) => l.data.hyperlink = M),
                            maxlength: "200"
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.controlType == "Hyperlink" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 17 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "打开新页面",
                        key: "isNewWindow",
                        prop: "isNewWindow"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(p, {
                            "model-value": !!l.data.isNewWindow,
                            "onUpdate:modelValue": a[24] || (a[24] = (M) => {
                              l.data.isNewWindow = M;
                            })
                          }, null, 8, ["model-value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "是否显示",
                        key: "isShow",
                        prop: "isShow"
                      }, {
                        default: withCtx(() => [
                          u.showCheck(l.data.showJson) ? (openBlock(), createBlock(p, {
                            key: 0,
                            "model-value": !!l.data.isShow,
                            "onUpdate:modelValue": a[25] || (a[25] = (M) => {
                              l.data.isShow = M;
                            }),
                            onOnChange: a[26] || (a[26] = (M) => u.checkChange("showJson", "isShow"))
                          }, null, 8, ["model-value"])) : createCommentVNode("", !0),
                          createVNode$1(v, {
                            style: { "margin-left": "8px" },
                            onClick: a[27] || (a[27] = (M) => r.$refs.conditionEdit.open(l.data, "showJson", "isShow", l.data.dataView.model)),
                            type: "primary",
                            size: "small",
                            icon: "ios-settings"
                          }, {
                            default: withCtx(() => [
                              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Condition")), 1)
                            ]),
                            _: 1
                          })
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "是否只读",
                        key: "isReadonly",
                        prop: "isReadonly"
                      }, {
                        default: withCtx(() => [
                          u.showCheck(l.data.readonlyJson) ? (openBlock(), createBlock(p, {
                            key: 0,
                            "model-value": !!l.data.isReadonly,
                            "onUpdate:modelValue": a[28] || (a[28] = (M) => {
                              l.data.isReadonly = M;
                            }),
                            onOnChange: a[29] || (a[29] = (M) => u.checkChange("readonlyJson", "isReadonly"))
                          }, null, 8, ["model-value"])) : createCommentVNode("", !0),
                          createVNode$1(v, {
                            style: { "margin-left": "8px" },
                            onClick: a[30] || (a[30] = (M) => r.$refs.conditionEdit.open(l.data, "readonlyJson", "isReadonly", l.data.dataView.model)),
                            type: "primary",
                            size: "small",
                            icon: "ios-settings"
                          }, {
                            default: withCtx(() => [
                              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Condition")), 1)
                            ]),
                            _: 1
                          })
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  o.viewType == "FormView" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 18 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "栏目宽度",
                        key: "columnWidth",
                        prop: "columnWidth"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(y, {
                            modelValue: l.data.columnWidth,
                            "onUpdate:modelValue": a[31] || (a[31] = (M) => l.data.columnWidth = M),
                            clearable: !0,
                            transfer: !0
                          }, {
                            default: withCtx(() => [
                              (openBlock(!0), createElementBlock(Fragment, null, renderList(r.getEnumList("ColumnWidth"), (M) => (openBlock(), createBlock(g, {
                                key: M.id,
                                value: M.id
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString$2(M.name), 1)
                                ]),
                                _: 2
                              }, 1032, ["value"]))), 128))
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "控件宽度",
                        key: "controlWidth",
                        prop: "controlWidth"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "number",
                            style: { width: "100px" },
                            number: "",
                            modelValue: l.data.controlWidth,
                            "onUpdate:modelValue": a[32] || (a[32] = (M) => l.data.controlWidth = M)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  l.data.controlType == "TextArea" || l.data.controlType == "RichEditor" || l.data.controlType == "Image" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 19 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "控件高度",
                        key: "controlHeight",
                        prop: "controlHeight"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "number",
                            style: { width: "100px" },
                            number: "",
                            modelValue: l.data.controlHeight,
                            "onUpdate:modelValue": a[33] || (a[33] = (M) => l.data.controlHeight = M)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "显示格式",
                        key: "displayFormat",
                        prop: "displayFormat"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(y, {
                            modelValue: l.data.displayFormat,
                            "onUpdate:modelValue": a[34] || (a[34] = (M) => l.data.displayFormat = M),
                            clearable: !0,
                            transfer: !0
                          }, {
                            default: withCtx(() => [
                              (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDisplayFormats(), (M) => (openBlock(), createBlock(g, {
                                key: M.id,
                                value: M.code
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString$2(M.name), 1)
                                ]),
                                _: 2
                              }, 1032, ["value"]))), 128))
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  o.viewType == "TableView" && l.data.controlType == "Label" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 20 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "强制单行",
                        key: "is_fixed",
                        prop: "isSingleLine"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(p, {
                            "model-value": !!l.data.isSingleLine,
                            "onUpdate:modelValue": a[35] || (a[35] = (M) => {
                              l.data.isSingleLine = M;
                            })
                          }, null, 8, ["model-value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  o.viewType == "TableView" && l.data.controlType == "Label" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 21 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "固定在最前",
                        key: "isFixed",
                        prop: "isFixed"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(p, {
                            "model-value": !!l.data.isFixed,
                            "onUpdate:modelValue": a[36] || (a[36] = (M) => {
                              l.data.isFixed = M;
                            })
                          }, null, 8, ["model-value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "是否必填",
                        key: "isRequired",
                        prop: "isRequired"
                      }, {
                        default: withCtx(() => [
                          u.showCheck(l.data.requiredJson) ? (openBlock(), createBlock(p, {
                            key: 0,
                            "model-value": !!l.data.isRequired,
                            "onUpdate:modelValue": a[37] || (a[37] = (M) => {
                              l.data.isRequired = M;
                            }),
                            onOnChange: a[38] || (a[38] = (M) => u.checkChange("requiredJson", "isRequired"))
                          }, null, 8, ["model-value"])) : createCommentVNode("", !0),
                          createVNode$1(v, {
                            style: { "margin-left": "8px" },
                            onClick: a[39] || (a[39] = (M) => r.$refs.conditionEdit.open(l.data, "requiredJson", "isRequired", l.data.dataView.model)),
                            type: "primary",
                            size: "small",
                            icon: "ios-settings"
                          }, {
                            default: withCtx(() => [
                              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Condition")), 1)
                            ]),
                            _: 1
                          })
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  o.viewType == "TableView" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 22 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "禁用排序",
                        key: "sortDisable",
                        prop: "sortDisable"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(p, {
                            "model-value": !!l.data.sortDisable,
                            "onUpdate:modelValue": a[40] || (a[40] = (M) => {
                              l.data.sortDisable = M;
                            })
                          }, null, 8, ["model-value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "默认值",
                        key: "defaultValue",
                        prop: "defaultValue"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.data.defaultValue,
                            "onUpdate:modelValue": a[41] || (a[41] = (M) => l.data.defaultValue = M),
                            maxlength: "200",
                            style: { width: "150px" }
                          }, null, 8, ["modelValue"]),
                          createVNode$1(x, {
                            style: { "margin-left": "8px" },
                            transfer: !0,
                            onOnClick: u.selectDefault
                          }, {
                            list: withCtx(() => [
                              createVNode$1(E, null, {
                                default: withCtx(() => [
                                  createVNode$1(T, { name: "today" }, {
                                    default: withCtx(() => a[74] || (a[74] = [
                                      createTextVNode("当前日期")
                                    ])),
                                    _: 1
                                  }),
                                  createVNode$1(T, { name: "today(yyyy-MM-dd)" }, {
                                    default: withCtx(() => a[75] || (a[75] = [
                                      createTextVNode("格式化当前日期")
                                    ])),
                                    _: 1
                                  }),
                                  createVNode$1(T, { name: "currentUserID" }, {
                                    default: withCtx(() => a[76] || (a[76] = [
                                      createTextVNode("当前用户ID")
                                    ])),
                                    _: 1
                                  }),
                                  createVNode$1(T, { name: "currentUser" }, {
                                    default: withCtx(() => a[77] || (a[77] = [
                                      createTextVNode("当前用户姓名")
                                    ])),
                                    _: 1
                                  })
                                ]),
                                _: 1
                              })
                            ]),
                            default: withCtx(() => [
                              createVNode$1(v, {
                                type: "primary",
                                size: "small"
                              }, {
                                default: withCtx(() => [
                                  createVNode$1(b, { type: "ios-arrow-down" })
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          }, 8, ["onOnClick"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  l.data.controlType != "Description" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 23 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "描述",
                        key: "description",
                        prop: "description"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.data.description,
                            "onUpdate:modelValue": a[42] || (a[42] = (M) => l.data.description = M),
                            maxlength: "200"
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.controlType == "Description" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 24 }, r.grid24)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "描述",
                        key: "description",
                        prop: "description"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "textarea",
                            rows: 5,
                            modelValue: l.data.description,
                            "onUpdate:modelValue": a[43] || (a[43] = (M) => l.data.description = M)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.controlType == "TextInput" || l.data.controlType == "TextArea" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 25 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "最大字符数量",
                        key: "maxLength",
                        prop: "maxLength"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "number",
                            style: { width: "100px" },
                            number: "",
                            modelValue: l.data.maxLength,
                            "onUpdate:modelValue": a[44] || (a[44] = (M) => l.data.maxLength = M)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.controlType == "Attachment" || l.data.controlType == "Image" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 26 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "最大文件数量",
                        key: "maxLength",
                        prop: "maxLength"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "number",
                            style: { width: "100px" },
                            number: "",
                            modelValue: l.data.maxLength,
                            "onUpdate:modelValue": a[45] || (a[45] = (M) => l.data.maxLength = M)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.controlType == "Attachment" || l.data.controlType == "Image" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 27 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "文件大小限制(M)",
                        key: "maxValue",
                        prop: "maxValue"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "number",
                            style: { width: "100px" },
                            number: "",
                            modelValue: l.data.maxValue,
                            "onUpdate:modelValue": a[46] || (a[46] = (M) => l.data.maxValue = M)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.controlType == "NumberInput" || l.data.controlType == "Slider" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 28 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, { label: "输入范围" }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "number",
                            style: { width: "60px" },
                            number: "",
                            modelValue: l.data.minValue,
                            "onUpdate:modelValue": a[47] || (a[47] = (M) => l.data.minValue = M)
                          }, null, 8, ["modelValue"]),
                          a[78] || (a[78] = createTextVNode(" - ")),
                          createVNode$1(c, {
                            type: "number",
                            style: { width: "60px" },
                            number: "",
                            modelValue: l.data.maxValue,
                            "onUpdate:modelValue": a[48] || (a[48] = (M) => l.data.maxValue = M)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "显示保留小数位",
                        key: "digit",
                        prop: "digit"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "number",
                            style: { width: "100px" },
                            number: "",
                            modelValue: l.data.digit,
                            "onUpdate:modelValue": a[49] || (a[49] = (M) => l.data.digit = M)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "固定保留小数位",
                        key: "fixedDigit",
                        prop: "fixedDigit"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(p, {
                            "model-value": !!l.data.fixedDigit,
                            "onUpdate:modelValue": a[50] || (a[50] = (M) => {
                              l.data.fixedDigit = M;
                            })
                          }, null, 8, ["model-value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  o.viewType == "FormView" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 29 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "强制换行",
                        key: "newLine",
                        prop: "newLine"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(p, {
                            "model-value": !!l.data.newLine,
                            "onUpdate:modelValue": a[51] || (a[51] = (M) => {
                              l.data.newLine = M;
                            })
                          }, null, 8, ["model-value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  o.viewType == "TableView" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 30 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "父单元格代码",
                        key: "parentCode",
                        prop: "parentCode"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.data.parentCode,
                            "onUpdate:modelValue": a[52] || (a[52] = (M) => l.data.parentCode = M),
                            maxlength: "200"
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  o.viewType == "TableView" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 31 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "合并单元格",
                        key: "mergeSame",
                        prop: "mergeSame"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(p, {
                            "model-value": !!l.data.mergeSame,
                            "onUpdate:modelValue": a[53] || (a[53] = (M) => {
                              l.data.mergeSame = M;
                            })
                          }, null, 8, ["model-value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  o.viewType == "FormView" && l.data.controlType == "Attachment" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 32 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "拖拽上传",
                        key: "mergeSame",
                        prop: "mergeSame"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(p, {
                            "model-value": !!l.data.mergeSame,
                            "onUpdate:modelValue": a[54] || (a[54] = (M) => {
                              l.data.mergeSame = M;
                            })
                          }, null, 8, ["model-value"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.controlType == "TextInput" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 33 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "验证表达式",
                        key: "pattern",
                        prop: "pattern"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.data.pattern,
                            "onUpdate:modelValue": a[55] || (a[55] = (M) => l.data.pattern = M),
                            maxlength: "100"
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.controlType == "SelectWithOther" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 34 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "其他文本",
                        key: "pattern",
                        prop: "pattern"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.data.pattern,
                            "onUpdate:modelValue": a[56] || (a[56] = (M) => l.data.pattern = M),
                            maxlength: "100"
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.data.controlType == "Attachment" || l.data.controlType == "Image" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 35 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "接受的文件类型",
                        key: "pattern",
                        prop: "pattern"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.data.pattern,
                            "onUpdate:modelValue": a[57] || (a[57] = (M) => l.data.pattern = M),
                            maxlength: "100"
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  o.viewType == "FormView" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 36 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "选项卡序号",
                        key: "tabIndex",
                        prop: "tabIndex"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "number",
                            style: { width: "100px" },
                            number: "",
                            modelValue: l.data.tabIndex,
                            "onUpdate:modelValue": a[58] || (a[58] = (M) => l.data.tabIndex = M)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid24)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "计算表达式",
                        key: "calculate",
                        prop: "calculate"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.data.calculate,
                            "onUpdate:modelValue": a[59] || (a[59] = (M) => l.data.calculate = M),
                            maxlength: "500"
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  o.viewType == "FormView" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 37 }, r.grid24)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "文字提示",
                        key: "tooltip",
                        prop: "tooltip"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "textarea",
                            autosize: !0,
                            modelValue: l.data.tooltip,
                            "onUpdate:modelValue": a[60] || (a[60] = (M) => l.data.tooltip = M),
                            maxlength: "500"
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0)
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model", "rules"])
        ])
      ]),
      _: 1
    }, 8, ["modelValue", "mask-closable", "draggable"]),
    createVNode$1(N, {
      modelValue: l.paramOpened,
      "onUpdate:modelValue": a[64] || (a[64] = (M) => l.paramOpened = M),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: "600"
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          renderSlot(r.$slots, "header", {}, () => [
            a[79] || (a[79] = createElementVNode("span", { class: "title" }, "参数", -1)),
            a[80] || (a[80] = createElementVNode("span", { class: "description" }, "Param", -1))
          ])
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(v, {
            type: "primary",
            ghost: "",
            "custom-icon": "fa fa-plus",
            onClick: a[63] || (a[63] = (M) => u.paramEdit())
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Add")), 1)
            ]),
            _: 1
          }),
          createVNode$1(v, {
            type: "primary",
            "custom-icon": "fa fa-check",
            onClick: u.paramSave
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
            ]),
            _: 1
          }, 8, ["onClick"])
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_4$d, [
          createVNode$1(P, {
            columns: l.parpamColumns,
            data: l.params,
            stripe: "",
            size: "small"
          }, {
            command: withCtx(({ index: M }) => [
              createVNode$1(v, {
                size: "small",
                title: r.$t("Front_Btn_Edit"),
                type: "primary",
                ghost: "",
                "custom-icon": "fa fa-edit",
                onClick: (F) => u.paramEdit(l.params[M], M)
              }, null, 8, ["title", "onClick"]),
              createVNode$1(v, {
                size: "small",
                title: r.$t("Front_Btn_Up"),
                type: "primary",
                ghost: "",
                "custom-icon": "fa fa-chevron-up",
                onClick: (F) => u.upParam(l.params[M], M)
              }, null, 8, ["title", "onClick"]),
              createVNode$1(v, {
                size: "small",
                title: r.$t("Front_Btn_Down"),
                type: "primary",
                ghost: "",
                "custom-icon": "fa fa-chevron-down",
                onClick: (F) => u.downParam(l.params[M], M)
              }, null, 8, ["title", "onClick"]),
              createVNode$1(v, {
                size: "small",
                title: r.$t("Front_Btn_Remove"),
                type: "primary",
                ghost: "",
                "custom-icon": "fa fa-times",
                onClick: (F) => u.paramRemove(l.params[M], M)
              }, null, 8, ["title", "onClick"])
            ]),
            _: 1
          }, 8, ["columns", "data"])
        ])
      ]),
      _: 3
    }, 8, ["modelValue", "mask-closable", "draggable"]),
    createVNode$1(N, {
      modelValue: l.paramItemOpened,
      "onUpdate:modelValue": a[71] || (a[71] = (M) => l.paramItemOpened = M),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: "800"
    }, {
      header: withCtx(() => a[81] || (a[81] = [
        createElementVNode("div", null, [
          createElementVNode("span", { class: "title" }, "参数设置"),
          createElementVNode("span", { class: "description" }, "Param Setting")
        ], -1)
      ])),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(v, {
            type: "primary",
            "custom-icon": "fa fa-check",
            onClick: u.paramItemSave
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
            ]),
            _: 1
          }, 8, ["onClick"]),
          createVNode$1(v, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: u.paramItemClose
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          }, 8, ["onClick"])
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_5$b, [
          createVNode$1(A, {
            ref: "paramItemForm",
            rules: l.paramItemFormRules,
            model: l.paramData,
            "label-position": "top",
            "label-colon": "：",
            class: "ivu-mt",
            onSubmit: a[70] || (a[70] = withModifiers(() => {
            }, ["prevent"]))
          }, {
            default: withCtx(() => [
              createVNode$1($, {
                gutter: 24,
                type: "flex"
              }, {
                default: withCtx(() => [
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "字段",
                        key: "code",
                        prop: "code"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.paramData.code,
                            "onUpdate:modelValue": a[66] || (a[66] = (M) => l.paramData.code = M)
                          }, {
                            prepend: withCtx(() => [
                              createVNode$1(v, {
                                "custom-icon": "fa fa-search",
                                onClick: a[65] || (a[65] = (M) => u.openColumnSelect(l.paramData, "code"))
                              })
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  createVNode$1(f, normalizeProps(guardReactiveProps(r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "字段类型",
                        key: "keyType",
                        prop: "keyType"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(S, {
                            modelValue: l.paramData.keyType,
                            "onUpdate:modelValue": a[67] || (a[67] = (M) => l.paramData.keyType = M),
                            onOnChange: u.keyTypeChange
                          }, {
                            default: withCtx(() => [
                              createVNode$1(_, { label: "常量" }),
                              createVNode$1(_, { label: "变量" })
                            ]),
                            _: 1
                          }, 8, ["modelValue", "onOnChange"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16),
                  l.paramData.keyType == "常量" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 0 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "值",
                        key: "val",
                        prop: "val"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.paramData.val,
                            "onUpdate:modelValue": a[68] || (a[68] = (M) => l.paramData.val = M)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0),
                  l.paramData.keyType == "变量" ? (openBlock(), createBlock(f, normalizeProps(mergeProps({ key: 1 }, r.grid8)), {
                    default: withCtx(() => [
                      createVNode$1(d, {
                        label: "值",
                        key: "val2",
                        prop: "val"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            type: "text",
                            modelValue: l.paramData.val,
                            "onUpdate:modelValue": a[69] || (a[69] = (M) => l.paramData.val = M)
                          }, {
                            prepend: withCtx(() => [
                              createVNode$1(v, {
                                "custom-icon": "fa fa-search",
                                onClick: u.openValueSelect
                              }, null, 8, ["onClick"])
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  }, 16)) : createCommentVNode("", !0)
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["rules", "model"])
        ])
      ]),
      _: 1
    }, 8, ["modelValue", "mask-closable", "draggable"]),
    createVNode$1(L, { ref: "columnCheck" }, null, 512),
    createVNode$1(O, { ref: "conditionEdit" }, null, 512)
  ]);
}
const columnEdit = /* @__PURE__ */ _export_sfc(_sfc_main$y, [["render", _sfc_render$y]]), __vite_glob_1_14 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: columnEdit
}, Symbol.toStringTag, { value: "Module" })), mixin$1 = {
  data() {
    return {};
  },
  computed: {},
  methods: {
    // 获取表格宽度
    getGrid(r) {
      switch (r) {
        case "Column12":
          return this.grid24;
        case "Column9":
          return this.grid18;
        case "Column8":
          return this.grid16;
        case "Column6":
          return this.grid12;
        case "Column4":
          return this.grid8;
        case "Column3":
          return this.grid6;
        case "Column2":
          return this.grid4;
        default:
          return this.grid6;
      }
    },
    // 获取参数
    getParam(r, a, o) {
      let s = {};
      if ((a.param || "").trim()) {
        s = JSON.parse(a.param);
        for (let l in s) {
          if (s[l].search(/^\[.*?\]$/) === 0) {
            s[l] = s[l].substring(1, s[l].length - 1);
            continue;
          }
          if (s[l].substr(0, 2) == "$." && o != null) {
            let c = this.parseData(o, s[l].substr(2));
            if (c != null) {
              s[l] = c;
              continue;
            }
          } else {
            let c = this.parseData(r, s[l]);
            if (c != null) {
              s[l] = c;
              continue;
            }
          }
          return null;
        }
      }
      return s;
    }
  }
};
var vuedraggable_umd = { exports: {} };
/**!
 * Sortable 1.14.0
 * @author	RubaXa   <trash@rubaxa.org>
 * @author	owenm    <owen23355@gmail.com>
 * @license MIT
 */
function ownKeys(r, a) {
  var o = Object.keys(r);
  if (Object.getOwnPropertySymbols) {
    var s = Object.getOwnPropertySymbols(r);
    a && (s = s.filter(function(l) {
      return Object.getOwnPropertyDescriptor(r, l).enumerable;
    })), o.push.apply(o, s);
  }
  return o;
}
function _objectSpread2(r) {
  for (var a = 1; a < arguments.length; a++) {
    var o = arguments[a] != null ? arguments[a] : {};
    a % 2 ? ownKeys(Object(o), !0).forEach(function(s) {
      _defineProperty(r, s, o[s]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(r, Object.getOwnPropertyDescriptors(o)) : ownKeys(Object(o)).forEach(function(s) {
      Object.defineProperty(r, s, Object.getOwnPropertyDescriptor(o, s));
    });
  }
  return r;
}
function _typeof(r) {
  "@babel/helpers - typeof";
  return typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? _typeof = function(a) {
    return typeof a;
  } : _typeof = function(a) {
    return a && typeof Symbol == "function" && a.constructor === Symbol && a !== Symbol.prototype ? "symbol" : typeof a;
  }, _typeof(r);
}
function _defineProperty(r, a, o) {
  return a in r ? Object.defineProperty(r, a, {
    value: o,
    enumerable: !0,
    configurable: !0,
    writable: !0
  }) : r[a] = o, r;
}
function _extends() {
  return _extends = Object.assign || function(r) {
    for (var a = 1; a < arguments.length; a++) {
      var o = arguments[a];
      for (var s in o)
        Object.prototype.hasOwnProperty.call(o, s) && (r[s] = o[s]);
    }
    return r;
  }, _extends.apply(this, arguments);
}
function _objectWithoutPropertiesLoose(r, a) {
  if (r == null) return {};
  var o = {}, s = Object.keys(r), l, u;
  for (u = 0; u < s.length; u++)
    l = s[u], !(a.indexOf(l) >= 0) && (o[l] = r[l]);
  return o;
}
function _objectWithoutProperties(r, a) {
  if (r == null) return {};
  var o = _objectWithoutPropertiesLoose(r, a), s, l;
  if (Object.getOwnPropertySymbols) {
    var u = Object.getOwnPropertySymbols(r);
    for (l = 0; l < u.length; l++)
      s = u[l], !(a.indexOf(s) >= 0) && Object.prototype.propertyIsEnumerable.call(r, s) && (o[s] = r[s]);
  }
  return o;
}
function _toConsumableArray(r) {
  return _arrayWithoutHoles(r) || _iterableToArray(r) || _unsupportedIterableToArray(r) || _nonIterableSpread();
}
function _arrayWithoutHoles(r) {
  if (Array.isArray(r)) return _arrayLikeToArray(r);
}
function _iterableToArray(r) {
  if (typeof Symbol < "u" && r[Symbol.iterator] != null || r["@@iterator"] != null) return Array.from(r);
}
function _unsupportedIterableToArray(r, a) {
  if (r) {
    if (typeof r == "string") return _arrayLikeToArray(r, a);
    var o = Object.prototype.toString.call(r).slice(8, -1);
    if (o === "Object" && r.constructor && (o = r.constructor.name), o === "Map" || o === "Set") return Array.from(r);
    if (o === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(o)) return _arrayLikeToArray(r, a);
  }
}
function _arrayLikeToArray(r, a) {
  (a == null || a > r.length) && (a = r.length);
  for (var o = 0, s = new Array(a); o < a; o++) s[o] = r[o];
  return s;
}
function _nonIterableSpread() {
  throw new TypeError(`Invalid attempt to spread non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
}
var version$2 = "1.14.0";
function userAgent(r) {
  if (typeof window < "u" && window.navigator)
    return !!/* @__PURE__ */ navigator.userAgent.match(r);
}
var IE11OrLess = userAgent(/(?:Trident.*rv[ :]?11\.|msie|iemobile|Windows Phone)/i), Edge = userAgent(/Edge/i), FireFox = userAgent(/firefox/i), Safari = userAgent(/safari/i) && !userAgent(/chrome/i) && !userAgent(/android/i), IOS = userAgent(/iP(ad|od|hone)/i), ChromeForAndroid = userAgent(/chrome/i) && userAgent(/android/i), captureMode = {
  capture: !1,
  passive: !1
};
function on$1(r, a, o) {
  r.addEventListener(a, o, !IE11OrLess && captureMode);
}
function off$1(r, a, o) {
  r.removeEventListener(a, o, !IE11OrLess && captureMode);
}
function matches(r, a) {
  if (a) {
    if (a[0] === ">" && (a = a.substring(1)), r)
      try {
        if (r.matches)
          return r.matches(a);
        if (r.msMatchesSelector)
          return r.msMatchesSelector(a);
        if (r.webkitMatchesSelector)
          return r.webkitMatchesSelector(a);
      } catch {
        return !1;
      }
    return !1;
  }
}
function getParentOrHost(r) {
  return r.host && r !== document && r.host.nodeType ? r.host : r.parentNode;
}
function closest(r, a, o, s) {
  if (r) {
    o = o || document;
    do {
      if (a != null && (a[0] === ">" ? r.parentNode === o && matches(r, a) : matches(r, a)) || s && r === o)
        return r;
      if (r === o) break;
    } while (r = getParentOrHost(r));
  }
  return null;
}
var R_SPACE = /\s+/g;
function toggleClass(r, a, o) {
  if (r && a)
    if (r.classList)
      r.classList[o ? "add" : "remove"](a);
    else {
      var s = (" " + r.className + " ").replace(R_SPACE, " ").replace(" " + a + " ", " ");
      r.className = (s + (o ? " " + a : "")).replace(R_SPACE, " ");
    }
}
function css(r, a, o) {
  var s = r && r.style;
  if (s) {
    if (o === void 0)
      return document.defaultView && document.defaultView.getComputedStyle ? o = document.defaultView.getComputedStyle(r, "") : r.currentStyle && (o = r.currentStyle), a === void 0 ? o : o[a];
    !(a in s) && a.indexOf("webkit") === -1 && (a = "-webkit-" + a), s[a] = o + (typeof o == "string" ? "" : "px");
  }
}
function matrix$1(r, a) {
  var o = "";
  if (typeof r == "string")
    o = r;
  else
    do {
      var s = css(r, "transform");
      s && s !== "none" && (o = s + " " + o);
    } while (!a && (r = r.parentNode));
  var l = window.DOMMatrix || window.WebKitCSSMatrix || window.CSSMatrix || window.MSCSSMatrix;
  return l && new l(o);
}
function find$1(r, a, o) {
  if (r) {
    var s = r.getElementsByTagName(a), l = 0, u = s.length;
    if (o)
      for (; l < u; l++)
        o(s[l], l);
    return s;
  }
  return [];
}
function getWindowScrollingElement() {
  var r = document.scrollingElement;
  return r || document.documentElement;
}
function getRect(r, a, o, s, l) {
  if (!(!r.getBoundingClientRect && r !== window)) {
    var u, c, d, f, p, v, g;
    if (r !== window && r.parentNode && r !== getWindowScrollingElement() ? (u = r.getBoundingClientRect(), c = u.top, d = u.left, f = u.bottom, p = u.right, v = u.height, g = u.width) : (c = 0, d = 0, f = window.innerHeight, p = window.innerWidth, v = window.innerHeight, g = window.innerWidth), (a || o) && r !== window && (l = l || r.parentNode, !IE11OrLess))
      do
        if (l && l.getBoundingClientRect && (css(l, "transform") !== "none" || o && css(l, "position") !== "static")) {
          var y = l.getBoundingClientRect();
          c -= y.top + parseInt(css(l, "border-top-width")), d -= y.left + parseInt(css(l, "border-left-width")), f = c + u.height, p = d + u.width;
          break;
        }
      while (l = l.parentNode);
    if (s && r !== window) {
      var _ = matrix$1(l || r), S = _ && _.a, C = _ && _.d;
      _ && (c /= C, d /= S, g /= S, v /= C, f = c + v, p = d + g);
    }
    return {
      top: c,
      left: d,
      bottom: f,
      right: p,
      width: g,
      height: v
    };
  }
}
function isScrolledPast(r, a, o) {
  for (var s = getParentAutoScrollElement(r, !0), l = getRect(r)[a]; s; ) {
    var u = getRect(s)[o], c = void 0;
    if (c = l >= u, !c) return s;
    if (s === getWindowScrollingElement()) break;
    s = getParentAutoScrollElement(s, !1);
  }
  return !1;
}
function getChild(r, a, o, s) {
  for (var l = 0, u = 0, c = r.children; u < c.length; ) {
    if (c[u].style.display !== "none" && c[u] !== Sortable.ghost && (s || c[u] !== Sortable.dragged) && closest(c[u], o.draggable, r, !1)) {
      if (l === a)
        return c[u];
      l++;
    }
    u++;
  }
  return null;
}
function lastChild(r, a) {
  for (var o = r.lastElementChild; o && (o === Sortable.ghost || css(o, "display") === "none" || a && !matches(o, a)); )
    o = o.previousElementSibling;
  return o || null;
}
function index$1(r, a) {
  var o = 0;
  if (!r || !r.parentNode)
    return -1;
  for (; r = r.previousElementSibling; )
    r.nodeName.toUpperCase() !== "TEMPLATE" && r !== Sortable.clone && (!a || matches(r, a)) && o++;
  return o;
}
function getRelativeScrollOffset(r) {
  var a = 0, o = 0, s = getWindowScrollingElement();
  if (r)
    do {
      var l = matrix$1(r), u = l.a, c = l.d;
      a += r.scrollLeft * u, o += r.scrollTop * c;
    } while (r !== s && (r = r.parentNode));
  return [a, o];
}
function indexOfObject(r, a) {
  for (var o in r)
    if (r.hasOwnProperty(o)) {
      for (var s in a)
        if (a.hasOwnProperty(s) && a[s] === r[o][s]) return Number(o);
    }
  return -1;
}
function getParentAutoScrollElement(r, a) {
  if (!r || !r.getBoundingClientRect) return getWindowScrollingElement();
  var o = r, s = !1;
  do
    if (o.clientWidth < o.scrollWidth || o.clientHeight < o.scrollHeight) {
      var l = css(o);
      if (o.clientWidth < o.scrollWidth && (l.overflowX == "auto" || l.overflowX == "scroll") || o.clientHeight < o.scrollHeight && (l.overflowY == "auto" || l.overflowY == "scroll")) {
        if (!o.getBoundingClientRect || o === document.body) return getWindowScrollingElement();
        if (s || a) return o;
        s = !0;
      }
    }
  while (o = o.parentNode);
  return getWindowScrollingElement();
}
function extend$1(r, a) {
  if (r && a)
    for (var o in a)
      a.hasOwnProperty(o) && (r[o] = a[o]);
  return r;
}
function isRectEqual(r, a) {
  return Math.round(r.top) === Math.round(a.top) && Math.round(r.left) === Math.round(a.left) && Math.round(r.height) === Math.round(a.height) && Math.round(r.width) === Math.round(a.width);
}
var _throttleTimeout;
function throttle$1(r, a) {
  return function() {
    if (!_throttleTimeout) {
      var o = arguments, s = this;
      o.length === 1 ? r.call(s, o[0]) : r.apply(s, o), _throttleTimeout = setTimeout(function() {
        _throttleTimeout = void 0;
      }, a);
    }
  };
}
function cancelThrottle() {
  clearTimeout(_throttleTimeout), _throttleTimeout = void 0;
}
function scrollBy(r, a, o) {
  r.scrollLeft += a, r.scrollTop += o;
}
function clone$5(r) {
  var a = window.Polymer, o = window.jQuery || window.Zepto;
  return a && a.dom ? a.dom(r).cloneNode(!0) : o ? o(r).clone(!0)[0] : r.cloneNode(!0);
}
function setRect(r, a) {
  css(r, "position", "absolute"), css(r, "top", a.top), css(r, "left", a.left), css(r, "width", a.width), css(r, "height", a.height);
}
function unsetRect(r) {
  css(r, "position", ""), css(r, "top", ""), css(r, "left", ""), css(r, "width", ""), css(r, "height", "");
}
var expando = "Sortable" + (/* @__PURE__ */ new Date()).getTime();
function AnimationStateManager() {
  var r = [], a;
  return {
    captureAnimationState: function() {
      if (r = [], !!this.options.animation) {
        var s = [].slice.call(this.el.children);
        s.forEach(function(l) {
          if (!(css(l, "display") === "none" || l === Sortable.ghost)) {
            r.push({
              target: l,
              rect: getRect(l)
            });
            var u = _objectSpread2({}, r[r.length - 1].rect);
            if (l.thisAnimationDuration) {
              var c = matrix$1(l, !0);
              c && (u.top -= c.f, u.left -= c.e);
            }
            l.fromRect = u;
          }
        });
      }
    },
    addAnimationState: function(s) {
      r.push(s);
    },
    removeAnimationState: function(s) {
      r.splice(indexOfObject(r, {
        target: s
      }), 1);
    },
    animateAll: function(s) {
      var l = this;
      if (!this.options.animation) {
        clearTimeout(a), typeof s == "function" && s();
        return;
      }
      var u = !1, c = 0;
      r.forEach(function(d) {
        var f = 0, p = d.target, v = p.fromRect, g = getRect(p), y = p.prevFromRect, _ = p.prevToRect, S = d.rect, C = matrix$1(p, !0);
        C && (g.top -= C.f, g.left -= C.e), p.toRect = g, p.thisAnimationDuration && isRectEqual(y, g) && !isRectEqual(v, g) && // Make sure animatingRect is on line between toRect & fromRect
        (S.top - g.top) / (S.left - g.left) === (v.top - g.top) / (v.left - g.left) && (f = calculateRealTime(S, y, _, l.options)), isRectEqual(g, v) || (p.prevFromRect = v, p.prevToRect = g, f || (f = l.options.animation), l.animate(p, S, g, f)), f && (u = !0, c = Math.max(c, f), clearTimeout(p.animationResetTimer), p.animationResetTimer = setTimeout(function() {
          p.animationTime = 0, p.prevFromRect = null, p.fromRect = null, p.prevToRect = null, p.thisAnimationDuration = null;
        }, f), p.thisAnimationDuration = f);
      }), clearTimeout(a), u ? a = setTimeout(function() {
        typeof s == "function" && s();
      }, c) : typeof s == "function" && s(), r = [];
    },
    animate: function(s, l, u, c) {
      if (c) {
        css(s, "transition", ""), css(s, "transform", "");
        var d = matrix$1(this.el), f = d && d.a, p = d && d.d, v = (l.left - u.left) / (f || 1), g = (l.top - u.top) / (p || 1);
        s.animatingX = !!v, s.animatingY = !!g, css(s, "transform", "translate3d(" + v + "px," + g + "px,0)"), this.forRepaintDummy = repaint(s), css(s, "transition", "transform " + c + "ms" + (this.options.easing ? " " + this.options.easing : "")), css(s, "transform", "translate3d(0,0,0)"), typeof s.animated == "number" && clearTimeout(s.animated), s.animated = setTimeout(function() {
          css(s, "transition", ""), css(s, "transform", ""), s.animated = !1, s.animatingX = !1, s.animatingY = !1;
        }, c);
      }
    }
  };
}
function repaint(r) {
  return r.offsetWidth;
}
function calculateRealTime(r, a, o, s) {
  return Math.sqrt(Math.pow(a.top - r.top, 2) + Math.pow(a.left - r.left, 2)) / Math.sqrt(Math.pow(a.top - o.top, 2) + Math.pow(a.left - o.left, 2)) * s.animation;
}
var plugins = [], defaults$1 = {
  initializeByDefault: !0
}, PluginManager = {
  mount: function r(a) {
    for (var o in defaults$1)
      defaults$1.hasOwnProperty(o) && !(o in a) && (a[o] = defaults$1[o]);
    plugins.forEach(function(s) {
      if (s.pluginName === a.pluginName)
        throw "Sortable: Cannot mount plugin ".concat(a.pluginName, " more than once");
    }), plugins.push(a);
  },
  pluginEvent: function r(a, o, s) {
    var l = this;
    this.eventCanceled = !1, s.cancel = function() {
      l.eventCanceled = !0;
    };
    var u = a + "Global";
    plugins.forEach(function(c) {
      o[c.pluginName] && (o[c.pluginName][u] && o[c.pluginName][u](_objectSpread2({
        sortable: o
      }, s)), o.options[c.pluginName] && o[c.pluginName][a] && o[c.pluginName][a](_objectSpread2({
        sortable: o
      }, s)));
    });
  },
  initializePlugins: function r(a, o, s, l) {
    plugins.forEach(function(d) {
      var f = d.pluginName;
      if (!(!a.options[f] && !d.initializeByDefault)) {
        var p = new d(a, o, a.options);
        p.sortable = a, p.options = a.options, a[f] = p, _extends(s, p.defaults);
      }
    });
    for (var u in a.options)
      if (a.options.hasOwnProperty(u)) {
        var c = this.modifyOption(a, u, a.options[u]);
        typeof c < "u" && (a.options[u] = c);
      }
  },
  getEventProperties: function r(a, o) {
    var s = {};
    return plugins.forEach(function(l) {
      typeof l.eventProperties == "function" && _extends(s, l.eventProperties.call(o[l.pluginName], a));
    }), s;
  },
  modifyOption: function r(a, o, s) {
    var l;
    return plugins.forEach(function(u) {
      a[u.pluginName] && u.optionListeners && typeof u.optionListeners[o] == "function" && (l = u.optionListeners[o].call(a[u.pluginName], s));
    }), l;
  }
};
function dispatchEvent(r) {
  var a = r.sortable, o = r.rootEl, s = r.name, l = r.targetEl, u = r.cloneEl, c = r.toEl, d = r.fromEl, f = r.oldIndex, p = r.newIndex, v = r.oldDraggableIndex, g = r.newDraggableIndex, y = r.originalEvent, _ = r.putSortable, S = r.extraEventProperties;
  if (a = a || o && o[expando], !!a) {
    var C, b = a.options, T = "on" + s.charAt(0).toUpperCase() + s.substr(1);
    window.CustomEvent && !IE11OrLess && !Edge ? C = new CustomEvent(s, {
      bubbles: !0,
      cancelable: !0
    }) : (C = document.createEvent("Event"), C.initEvent(s, !0, !0)), C.to = c || o, C.from = d || o, C.item = l || o, C.clone = u, C.oldIndex = f, C.newIndex = p, C.oldDraggableIndex = v, C.newDraggableIndex = g, C.originalEvent = y, C.pullMode = _ ? _.lastPutMode : void 0;
    var E = _objectSpread2(_objectSpread2({}, S), PluginManager.getEventProperties(s, a));
    for (var x in E)
      C[x] = E[x];
    o && o.dispatchEvent(C), b[T] && b[T].call(a, C);
  }
}
var _excluded = ["evt"], pluginEvent = function r(a, o) {
  var s = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {}, l = s.evt, u = _objectWithoutProperties(s, _excluded);
  PluginManager.pluginEvent.bind(Sortable)(a, o, _objectSpread2({
    dragEl,
    parentEl,
    ghostEl,
    rootEl,
    nextEl,
    lastDownEl,
    cloneEl,
    cloneHidden,
    dragStarted: moved,
    putSortable,
    activeSortable: Sortable.active,
    originalEvent: l,
    oldIndex,
    oldDraggableIndex,
    newIndex,
    newDraggableIndex,
    hideGhostForTarget: _hideGhostForTarget,
    unhideGhostForTarget: _unhideGhostForTarget,
    cloneNowHidden: function() {
      cloneHidden = !0;
    },
    cloneNowShown: function() {
      cloneHidden = !1;
    },
    dispatchSortableEvent: function(d) {
      _dispatchEvent({
        sortable: o,
        name: d,
        originalEvent: l
      });
    }
  }, u));
};
function _dispatchEvent(r) {
  dispatchEvent(_objectSpread2({
    putSortable,
    cloneEl,
    targetEl: dragEl,
    rootEl,
    oldIndex,
    oldDraggableIndex,
    newIndex,
    newDraggableIndex
  }, r));
}
var dragEl, parentEl, ghostEl, rootEl, nextEl, lastDownEl, cloneEl, cloneHidden, oldIndex, newIndex, oldDraggableIndex, newDraggableIndex, activeGroup, putSortable, awaitingDragStarted = !1, ignoreNextClick = !1, sortables = [], tapEvt, touchEvt, lastDx, lastDy, tapDistanceLeft, tapDistanceTop, moved, lastTarget, lastDirection, pastFirstInvertThresh = !1, isCircumstantialInvert = !1, targetMoveDistance, ghostRelativeParent, ghostRelativeParentInitialScroll = [], _silent = !1, savedInputChecked = [], documentExists = typeof document < "u", PositionGhostAbsolutely = IOS, CSSFloatProperty = Edge || IE11OrLess ? "cssFloat" : "float", supportDraggable = documentExists && !ChromeForAndroid && !IOS && "draggable" in document.createElement("div"), supportCssPointerEvents = function() {
  if (documentExists) {
    if (IE11OrLess)
      return !1;
    var r = document.createElement("x");
    return r.style.cssText = "pointer-events:auto", r.style.pointerEvents === "auto";
  }
}(), _detectDirection = function r(a, o) {
  var s = css(a), l = parseInt(s.width) - parseInt(s.paddingLeft) - parseInt(s.paddingRight) - parseInt(s.borderLeftWidth) - parseInt(s.borderRightWidth), u = getChild(a, 0, o), c = getChild(a, 1, o), d = u && css(u), f = c && css(c), p = d && parseInt(d.marginLeft) + parseInt(d.marginRight) + getRect(u).width, v = f && parseInt(f.marginLeft) + parseInt(f.marginRight) + getRect(c).width;
  if (s.display === "flex")
    return s.flexDirection === "column" || s.flexDirection === "column-reverse" ? "vertical" : "horizontal";
  if (s.display === "grid")
    return s.gridTemplateColumns.split(" ").length <= 1 ? "vertical" : "horizontal";
  if (u && d.float && d.float !== "none") {
    var g = d.float === "left" ? "left" : "right";
    return c && (f.clear === "both" || f.clear === g) ? "vertical" : "horizontal";
  }
  return u && (d.display === "block" || d.display === "flex" || d.display === "table" || d.display === "grid" || p >= l && s[CSSFloatProperty] === "none" || c && s[CSSFloatProperty] === "none" && p + v > l) ? "vertical" : "horizontal";
}, _dragElInRowColumn = function r(a, o, s) {
  var l = s ? a.left : a.top, u = s ? a.right : a.bottom, c = s ? a.width : a.height, d = s ? o.left : o.top, f = s ? o.right : o.bottom, p = s ? o.width : o.height;
  return l === d || u === f || l + c / 2 === d + p / 2;
}, _detectNearestEmptySortable = function r(a, o) {
  var s;
  return sortables.some(function(l) {
    var u = l[expando].options.emptyInsertThreshold;
    if (!(!u || lastChild(l))) {
      var c = getRect(l), d = a >= c.left - u && a <= c.right + u, f = o >= c.top - u && o <= c.bottom + u;
      if (d && f)
        return s = l;
    }
  }), s;
}, _prepareGroup = function r(a) {
  function o(u, c) {
    return function(d, f, p, v) {
      var g = d.options.group.name && f.options.group.name && d.options.group.name === f.options.group.name;
      if (u == null && (c || g))
        return !0;
      if (u == null || u === !1)
        return !1;
      if (c && u === "clone")
        return u;
      if (typeof u == "function")
        return o(u(d, f, p, v), c)(d, f, p, v);
      var y = (c ? d : f).options.group.name;
      return u === !0 || typeof u == "string" && u === y || u.join && u.indexOf(y) > -1;
    };
  }
  var s = {}, l = a.group;
  (!l || _typeof(l) != "object") && (l = {
    name: l
  }), s.name = l.name, s.checkPull = o(l.pull, !0), s.checkPut = o(l.put), s.revertClone = l.revertClone, a.group = s;
}, _hideGhostForTarget = function r() {
  !supportCssPointerEvents && ghostEl && css(ghostEl, "display", "none");
}, _unhideGhostForTarget = function r() {
  !supportCssPointerEvents && ghostEl && css(ghostEl, "display", "");
};
documentExists && document.addEventListener("click", function(r) {
  if (ignoreNextClick)
    return r.preventDefault(), r.stopPropagation && r.stopPropagation(), r.stopImmediatePropagation && r.stopImmediatePropagation(), ignoreNextClick = !1, !1;
}, !0);
var nearestEmptyInsertDetectEvent = function r(a) {
  if (dragEl) {
    a = a.touches ? a.touches[0] : a;
    var o = _detectNearestEmptySortable(a.clientX, a.clientY);
    if (o) {
      var s = {};
      for (var l in a)
        a.hasOwnProperty(l) && (s[l] = a[l]);
      s.target = s.rootEl = o, s.preventDefault = void 0, s.stopPropagation = void 0, o[expando]._onDragOver(s);
    }
  }
}, _checkOutsideTargetEl = function r(a) {
  dragEl && dragEl.parentNode[expando]._isOutsideThisEl(a.target);
};
function Sortable(r, a) {
  if (!(r && r.nodeType && r.nodeType === 1))
    throw "Sortable: `el` must be an HTMLElement, not ".concat({}.toString.call(r));
  this.el = r, this.options = a = _extends({}, a), r[expando] = this;
  var o = {
    group: null,
    sort: !0,
    disabled: !1,
    store: null,
    handle: null,
    draggable: /^[uo]l$/i.test(r.nodeName) ? ">li" : ">*",
    swapThreshold: 1,
    // percentage; 0 <= x <= 1
    invertSwap: !1,
    // invert always
    invertedSwapThreshold: null,
    // will be set to same as swapThreshold if default
    removeCloneOnHide: !0,
    direction: function() {
      return _detectDirection(r, this.options);
    },
    ghostClass: "sortable-ghost",
    chosenClass: "sortable-chosen",
    dragClass: "sortable-drag",
    ignore: "a, img",
    filter: null,
    preventOnFilter: !0,
    animation: 0,
    easing: null,
    setData: function(c, d) {
      c.setData("Text", d.textContent);
    },
    dropBubble: !1,
    dragoverBubble: !1,
    dataIdAttr: "data-id",
    delay: 0,
    delayOnTouchOnly: !1,
    touchStartThreshold: (Number.parseInt ? Number : window).parseInt(window.devicePixelRatio, 10) || 1,
    forceFallback: !1,
    fallbackClass: "sortable-fallback",
    fallbackOnBody: !1,
    fallbackTolerance: 0,
    fallbackOffset: {
      x: 0,
      y: 0
    },
    supportPointer: Sortable.supportPointer !== !1 && "PointerEvent" in window && !Safari,
    emptyInsertThreshold: 5
  };
  PluginManager.initializePlugins(this, r, o);
  for (var s in o)
    !(s in a) && (a[s] = o[s]);
  _prepareGroup(a);
  for (var l in this)
    l.charAt(0) === "_" && typeof this[l] == "function" && (this[l] = this[l].bind(this));
  this.nativeDraggable = a.forceFallback ? !1 : supportDraggable, this.nativeDraggable && (this.options.touchStartThreshold = 1), a.supportPointer ? on$1(r, "pointerdown", this._onTapStart) : (on$1(r, "mousedown", this._onTapStart), on$1(r, "touchstart", this._onTapStart)), this.nativeDraggable && (on$1(r, "dragover", this), on$1(r, "dragenter", this)), sortables.push(this.el), a.store && a.store.get && this.sort(a.store.get(this) || []), _extends(this, AnimationStateManager());
}
Sortable.prototype = /** @lends Sortable.prototype */
{
  constructor: Sortable,
  _isOutsideThisEl: function r(a) {
    !this.el.contains(a) && a !== this.el && (lastTarget = null);
  },
  _getDirection: function r(a, o) {
    return typeof this.options.direction == "function" ? this.options.direction.call(this, a, o, dragEl) : this.options.direction;
  },
  _onTapStart: function r(a) {
    if (a.cancelable) {
      var o = this, s = this.el, l = this.options, u = l.preventOnFilter, c = a.type, d = a.touches && a.touches[0] || a.pointerType && a.pointerType === "touch" && a, f = (d || a).target, p = a.target.shadowRoot && (a.path && a.path[0] || a.composedPath && a.composedPath()[0]) || f, v = l.filter;
      if (_saveInputCheckedState(s), !dragEl && !(/mousedown|pointerdown/.test(c) && a.button !== 0 || l.disabled) && !p.isContentEditable && !(!this.nativeDraggable && Safari && f && f.tagName.toUpperCase() === "SELECT") && (f = closest(f, l.draggable, s, !1), !(f && f.animated) && lastDownEl !== f)) {
        if (oldIndex = index$1(f), oldDraggableIndex = index$1(f, l.draggable), typeof v == "function") {
          if (v.call(this, a, f, this)) {
            _dispatchEvent({
              sortable: o,
              rootEl: p,
              name: "filter",
              targetEl: f,
              toEl: s,
              fromEl: s
            }), pluginEvent("filter", o, {
              evt: a
            }), u && a.cancelable && a.preventDefault();
            return;
          }
        } else if (v && (v = v.split(",").some(function(g) {
          if (g = closest(p, g.trim(), s, !1), g)
            return _dispatchEvent({
              sortable: o,
              rootEl: g,
              name: "filter",
              targetEl: f,
              fromEl: s,
              toEl: s
            }), pluginEvent("filter", o, {
              evt: a
            }), !0;
        }), v)) {
          u && a.cancelable && a.preventDefault();
          return;
        }
        l.handle && !closest(p, l.handle, s, !1) || this._prepareDragStart(a, d, f);
      }
    }
  },
  _prepareDragStart: function r(a, o, s) {
    var l = this, u = l.el, c = l.options, d = u.ownerDocument, f;
    if (s && !dragEl && s.parentNode === u) {
      var p = getRect(s);
      if (rootEl = u, dragEl = s, parentEl = dragEl.parentNode, nextEl = dragEl.nextSibling, lastDownEl = s, activeGroup = c.group, Sortable.dragged = dragEl, tapEvt = {
        target: dragEl,
        clientX: (o || a).clientX,
        clientY: (o || a).clientY
      }, tapDistanceLeft = tapEvt.clientX - p.left, tapDistanceTop = tapEvt.clientY - p.top, this._lastX = (o || a).clientX, this._lastY = (o || a).clientY, dragEl.style["will-change"] = "all", f = function() {
        if (pluginEvent("delayEnded", l, {
          evt: a
        }), Sortable.eventCanceled) {
          l._onDrop();
          return;
        }
        l._disableDelayedDragEvents(), !FireFox && l.nativeDraggable && (dragEl.draggable = !0), l._triggerDragStart(a, o), _dispatchEvent({
          sortable: l,
          name: "choose",
          originalEvent: a
        }), toggleClass(dragEl, c.chosenClass, !0);
      }, c.ignore.split(",").forEach(function(v) {
        find$1(dragEl, v.trim(), _disableDraggable);
      }), on$1(d, "dragover", nearestEmptyInsertDetectEvent), on$1(d, "mousemove", nearestEmptyInsertDetectEvent), on$1(d, "touchmove", nearestEmptyInsertDetectEvent), on$1(d, "mouseup", l._onDrop), on$1(d, "touchend", l._onDrop), on$1(d, "touchcancel", l._onDrop), FireFox && this.nativeDraggable && (this.options.touchStartThreshold = 4, dragEl.draggable = !0), pluginEvent("delayStart", this, {
        evt: a
      }), c.delay && (!c.delayOnTouchOnly || o) && (!this.nativeDraggable || !(Edge || IE11OrLess))) {
        if (Sortable.eventCanceled) {
          this._onDrop();
          return;
        }
        on$1(d, "mouseup", l._disableDelayedDrag), on$1(d, "touchend", l._disableDelayedDrag), on$1(d, "touchcancel", l._disableDelayedDrag), on$1(d, "mousemove", l._delayedDragTouchMoveHandler), on$1(d, "touchmove", l._delayedDragTouchMoveHandler), c.supportPointer && on$1(d, "pointermove", l._delayedDragTouchMoveHandler), l._dragStartTimer = setTimeout(f, c.delay);
      } else
        f();
    }
  },
  _delayedDragTouchMoveHandler: function r(a) {
    var o = a.touches ? a.touches[0] : a;
    Math.max(Math.abs(o.clientX - this._lastX), Math.abs(o.clientY - this._lastY)) >= Math.floor(this.options.touchStartThreshold / (this.nativeDraggable && window.devicePixelRatio || 1)) && this._disableDelayedDrag();
  },
  _disableDelayedDrag: function r() {
    dragEl && _disableDraggable(dragEl), clearTimeout(this._dragStartTimer), this._disableDelayedDragEvents();
  },
  _disableDelayedDragEvents: function r() {
    var a = this.el.ownerDocument;
    off$1(a, "mouseup", this._disableDelayedDrag), off$1(a, "touchend", this._disableDelayedDrag), off$1(a, "touchcancel", this._disableDelayedDrag), off$1(a, "mousemove", this._delayedDragTouchMoveHandler), off$1(a, "touchmove", this._delayedDragTouchMoveHandler), off$1(a, "pointermove", this._delayedDragTouchMoveHandler);
  },
  _triggerDragStart: function r(a, o) {
    o = o || a.pointerType == "touch" && a, !this.nativeDraggable || o ? this.options.supportPointer ? on$1(document, "pointermove", this._onTouchMove) : o ? on$1(document, "touchmove", this._onTouchMove) : on$1(document, "mousemove", this._onTouchMove) : (on$1(dragEl, "dragend", this), on$1(rootEl, "dragstart", this._onDragStart));
    try {
      document.selection ? _nextTick(function() {
        document.selection.empty();
      }) : window.getSelection().removeAllRanges();
    } catch {
    }
  },
  _dragStarted: function r(a, o) {
    if (awaitingDragStarted = !1, rootEl && dragEl) {
      pluginEvent("dragStarted", this, {
        evt: o
      }), this.nativeDraggable && on$1(document, "dragover", _checkOutsideTargetEl);
      var s = this.options;
      !a && toggleClass(dragEl, s.dragClass, !1), toggleClass(dragEl, s.ghostClass, !0), Sortable.active = this, a && this._appendGhost(), _dispatchEvent({
        sortable: this,
        name: "start",
        originalEvent: o
      });
    } else
      this._nulling();
  },
  _emulateDragOver: function r() {
    if (touchEvt) {
      this._lastX = touchEvt.clientX, this._lastY = touchEvt.clientY, _hideGhostForTarget();
      for (var a = document.elementFromPoint(touchEvt.clientX, touchEvt.clientY), o = a; a && a.shadowRoot && (a = a.shadowRoot.elementFromPoint(touchEvt.clientX, touchEvt.clientY), a !== o); )
        o = a;
      if (dragEl.parentNode[expando]._isOutsideThisEl(a), o)
        do {
          if (o[expando]) {
            var s = void 0;
            if (s = o[expando]._onDragOver({
              clientX: touchEvt.clientX,
              clientY: touchEvt.clientY,
              target: a,
              rootEl: o
            }), s && !this.options.dragoverBubble)
              break;
          }
          a = o;
        } while (o = o.parentNode);
      _unhideGhostForTarget();
    }
  },
  _onTouchMove: function r(a) {
    if (tapEvt) {
      var o = this.options, s = o.fallbackTolerance, l = o.fallbackOffset, u = a.touches ? a.touches[0] : a, c = ghostEl && matrix$1(ghostEl, !0), d = ghostEl && c && c.a, f = ghostEl && c && c.d, p = PositionGhostAbsolutely && ghostRelativeParent && getRelativeScrollOffset(ghostRelativeParent), v = (u.clientX - tapEvt.clientX + l.x) / (d || 1) + (p ? p[0] - ghostRelativeParentInitialScroll[0] : 0) / (d || 1), g = (u.clientY - tapEvt.clientY + l.y) / (f || 1) + (p ? p[1] - ghostRelativeParentInitialScroll[1] : 0) / (f || 1);
      if (!Sortable.active && !awaitingDragStarted) {
        if (s && Math.max(Math.abs(u.clientX - this._lastX), Math.abs(u.clientY - this._lastY)) < s)
          return;
        this._onDragStart(a, !0);
      }
      if (ghostEl) {
        c ? (c.e += v - (lastDx || 0), c.f += g - (lastDy || 0)) : c = {
          a: 1,
          b: 0,
          c: 0,
          d: 1,
          e: v,
          f: g
        };
        var y = "matrix(".concat(c.a, ",").concat(c.b, ",").concat(c.c, ",").concat(c.d, ",").concat(c.e, ",").concat(c.f, ")");
        css(ghostEl, "webkitTransform", y), css(ghostEl, "mozTransform", y), css(ghostEl, "msTransform", y), css(ghostEl, "transform", y), lastDx = v, lastDy = g, touchEvt = u;
      }
      a.cancelable && a.preventDefault();
    }
  },
  _appendGhost: function r() {
    if (!ghostEl) {
      var a = this.options.fallbackOnBody ? document.body : rootEl, o = getRect(dragEl, !0, PositionGhostAbsolutely, !0, a), s = this.options;
      if (PositionGhostAbsolutely) {
        for (ghostRelativeParent = a; css(ghostRelativeParent, "position") === "static" && css(ghostRelativeParent, "transform") === "none" && ghostRelativeParent !== document; )
          ghostRelativeParent = ghostRelativeParent.parentNode;
        ghostRelativeParent !== document.body && ghostRelativeParent !== document.documentElement ? (ghostRelativeParent === document && (ghostRelativeParent = getWindowScrollingElement()), o.top += ghostRelativeParent.scrollTop, o.left += ghostRelativeParent.scrollLeft) : ghostRelativeParent = getWindowScrollingElement(), ghostRelativeParentInitialScroll = getRelativeScrollOffset(ghostRelativeParent);
      }
      ghostEl = dragEl.cloneNode(!0), toggleClass(ghostEl, s.ghostClass, !1), toggleClass(ghostEl, s.fallbackClass, !0), toggleClass(ghostEl, s.dragClass, !0), css(ghostEl, "transition", ""), css(ghostEl, "transform", ""), css(ghostEl, "box-sizing", "border-box"), css(ghostEl, "margin", 0), css(ghostEl, "top", o.top), css(ghostEl, "left", o.left), css(ghostEl, "width", o.width), css(ghostEl, "height", o.height), css(ghostEl, "opacity", "0.8"), css(ghostEl, "position", PositionGhostAbsolutely ? "absolute" : "fixed"), css(ghostEl, "zIndex", "100000"), css(ghostEl, "pointerEvents", "none"), Sortable.ghost = ghostEl, a.appendChild(ghostEl), css(ghostEl, "transform-origin", tapDistanceLeft / parseInt(ghostEl.style.width) * 100 + "% " + tapDistanceTop / parseInt(ghostEl.style.height) * 100 + "%");
    }
  },
  _onDragStart: function r(a, o) {
    var s = this, l = a.dataTransfer, u = s.options;
    if (pluginEvent("dragStart", this, {
      evt: a
    }), Sortable.eventCanceled) {
      this._onDrop();
      return;
    }
    pluginEvent("setupClone", this), Sortable.eventCanceled || (cloneEl = clone$5(dragEl), cloneEl.draggable = !1, cloneEl.style["will-change"] = "", this._hideClone(), toggleClass(cloneEl, this.options.chosenClass, !1), Sortable.clone = cloneEl), s.cloneId = _nextTick(function() {
      pluginEvent("clone", s), !Sortable.eventCanceled && (s.options.removeCloneOnHide || rootEl.insertBefore(cloneEl, dragEl), s._hideClone(), _dispatchEvent({
        sortable: s,
        name: "clone"
      }));
    }), !o && toggleClass(dragEl, u.dragClass, !0), o ? (ignoreNextClick = !0, s._loopId = setInterval(s._emulateDragOver, 50)) : (off$1(document, "mouseup", s._onDrop), off$1(document, "touchend", s._onDrop), off$1(document, "touchcancel", s._onDrop), l && (l.effectAllowed = "move", u.setData && u.setData.call(s, l, dragEl)), on$1(document, "drop", s), css(dragEl, "transform", "translateZ(0)")), awaitingDragStarted = !0, s._dragStartId = _nextTick(s._dragStarted.bind(s, o, a)), on$1(document, "selectstart", s), moved = !0, Safari && css(document.body, "user-select", "none");
  },
  // Returns true - if no further action is needed (either inserted or another condition)
  _onDragOver: function r(a) {
    var o = this.el, s = a.target, l, u, c, d = this.options, f = d.group, p = Sortable.active, v = activeGroup === f, g = d.sort, y = putSortable || p, _, S = this, C = !1;
    if (_silent) return;
    function b(Z, re) {
      pluginEvent(Z, S, _objectSpread2({
        evt: a,
        isOwner: v,
        axis: _ ? "vertical" : "horizontal",
        revert: c,
        dragRect: l,
        targetRect: u,
        canSort: g,
        fromSortable: y,
        target: s,
        completed: E,
        onMove: function(X, W) {
          return _onMove(rootEl, o, dragEl, l, X, getRect(X), a, W);
        },
        changed: x
      }, re));
    }
    function T() {
      b("dragOverAnimationCapture"), S.captureAnimationState(), S !== y && y.captureAnimationState();
    }
    function E(Z) {
      return b("dragOverCompleted", {
        insertion: Z
      }), Z && (v ? p._hideClone() : p._showClone(S), S !== y && (toggleClass(dragEl, putSortable ? putSortable.options.ghostClass : p.options.ghostClass, !1), toggleClass(dragEl, d.ghostClass, !0)), putSortable !== S && S !== Sortable.active ? putSortable = S : S === Sortable.active && putSortable && (putSortable = null), y === S && (S._ignoreWhileAnimating = s), S.animateAll(function() {
        b("dragOverAnimationComplete"), S._ignoreWhileAnimating = null;
      }), S !== y && (y.animateAll(), y._ignoreWhileAnimating = null)), (s === dragEl && !dragEl.animated || s === o && !s.animated) && (lastTarget = null), !d.dragoverBubble && !a.rootEl && s !== document && (dragEl.parentNode[expando]._isOutsideThisEl(a.target), !Z && nearestEmptyInsertDetectEvent(a)), !d.dragoverBubble && a.stopPropagation && a.stopPropagation(), C = !0;
    }
    function x() {
      newIndex = index$1(dragEl), newDraggableIndex = index$1(dragEl, d.draggable), _dispatchEvent({
        sortable: S,
        name: "change",
        toEl: o,
        newIndex,
        newDraggableIndex,
        originalEvent: a
      });
    }
    if (a.preventDefault !== void 0 && a.cancelable && a.preventDefault(), s = closest(s, d.draggable, o, !0), b("dragOver"), Sortable.eventCanceled) return C;
    if (dragEl.contains(a.target) || s.animated && s.animatingX && s.animatingY || S._ignoreWhileAnimating === s)
      return E(!1);
    if (ignoreNextClick = !1, p && !d.disabled && (v ? g || (c = parentEl !== rootEl) : putSortable === this || (this.lastPutMode = activeGroup.checkPull(this, p, dragEl, a)) && f.checkPut(this, p, dragEl, a))) {
      if (_ = this._getDirection(a, s) === "vertical", l = getRect(dragEl), b("dragOverValid"), Sortable.eventCanceled) return C;
      if (c)
        return parentEl = rootEl, T(), this._hideClone(), b("revert"), Sortable.eventCanceled || (nextEl ? rootEl.insertBefore(dragEl, nextEl) : rootEl.appendChild(dragEl)), E(!0);
      var $ = lastChild(o, d.draggable);
      if (!$ || _ghostIsLast(a, _, this) && !$.animated) {
        if ($ === dragEl)
          return E(!1);
        if ($ && o === a.target && (s = $), s && (u = getRect(s)), _onMove(rootEl, o, dragEl, l, s, u, a, !!s) !== !1)
          return T(), o.appendChild(dragEl), parentEl = o, x(), E(!0);
      } else if ($ && _ghostIsFirst(a, _, this)) {
        var A = getChild(o, 0, d, !0);
        if (A === dragEl)
          return E(!1);
        if (s = A, u = getRect(s), _onMove(rootEl, o, dragEl, l, s, u, a, !1) !== !1)
          return T(), o.insertBefore(dragEl, A), parentEl = o, x(), E(!0);
      } else if (s.parentNode === o) {
        u = getRect(s);
        var N = 0, P, L = dragEl.parentNode !== o, O = !_dragElInRowColumn(dragEl.animated && dragEl.toRect || l, s.animated && s.toRect || u, _), M = _ ? "top" : "left", F = isScrolledPast(s, "top", "top") || isScrolledPast(dragEl, "top", "top"), U = F ? F.scrollTop : void 0;
        lastTarget !== s && (P = u[M], pastFirstInvertThresh = !1, isCircumstantialInvert = !O && d.invertSwap || L), N = _getSwapDirection(a, s, u, _, O ? 1 : d.swapThreshold, d.invertedSwapThreshold == null ? d.swapThreshold : d.invertedSwapThreshold, isCircumstantialInvert, lastTarget === s);
        var R;
        if (N !== 0) {
          var H = index$1(dragEl);
          do
            H -= N, R = parentEl.children[H];
          while (R && (css(R, "display") === "none" || R === ghostEl));
        }
        if (N === 0 || R === s)
          return E(!1);
        lastTarget = s, lastDirection = N;
        var V = s.nextElementSibling, Y = !1;
        Y = N === 1;
        var G = _onMove(rootEl, o, dragEl, l, s, u, a, Y);
        if (G !== !1)
          return (G === 1 || G === -1) && (Y = G === 1), _silent = !0, setTimeout(_unsilent, 30), T(), Y && !V ? o.appendChild(dragEl) : s.parentNode.insertBefore(dragEl, Y ? V : s), F && scrollBy(F, 0, U - F.scrollTop), parentEl = dragEl.parentNode, P !== void 0 && !isCircumstantialInvert && (targetMoveDistance = Math.abs(P - getRect(s)[M])), x(), E(!0);
      }
      if (o.contains(dragEl))
        return E(!1);
    }
    return !1;
  },
  _ignoreWhileAnimating: null,
  _offMoveEvents: function r() {
    off$1(document, "mousemove", this._onTouchMove), off$1(document, "touchmove", this._onTouchMove), off$1(document, "pointermove", this._onTouchMove), off$1(document, "dragover", nearestEmptyInsertDetectEvent), off$1(document, "mousemove", nearestEmptyInsertDetectEvent), off$1(document, "touchmove", nearestEmptyInsertDetectEvent);
  },
  _offUpEvents: function r() {
    var a = this.el.ownerDocument;
    off$1(a, "mouseup", this._onDrop), off$1(a, "touchend", this._onDrop), off$1(a, "pointerup", this._onDrop), off$1(a, "touchcancel", this._onDrop), off$1(document, "selectstart", this);
  },
  _onDrop: function r(a) {
    var o = this.el, s = this.options;
    if (newIndex = index$1(dragEl), newDraggableIndex = index$1(dragEl, s.draggable), pluginEvent("drop", this, {
      evt: a
    }), parentEl = dragEl && dragEl.parentNode, newIndex = index$1(dragEl), newDraggableIndex = index$1(dragEl, s.draggable), Sortable.eventCanceled) {
      this._nulling();
      return;
    }
    awaitingDragStarted = !1, isCircumstantialInvert = !1, pastFirstInvertThresh = !1, clearInterval(this._loopId), clearTimeout(this._dragStartTimer), _cancelNextTick(this.cloneId), _cancelNextTick(this._dragStartId), this.nativeDraggable && (off$1(document, "drop", this), off$1(o, "dragstart", this._onDragStart)), this._offMoveEvents(), this._offUpEvents(), Safari && css(document.body, "user-select", ""), css(dragEl, "transform", ""), a && (moved && (a.cancelable && a.preventDefault(), !s.dropBubble && a.stopPropagation()), ghostEl && ghostEl.parentNode && ghostEl.parentNode.removeChild(ghostEl), (rootEl === parentEl || putSortable && putSortable.lastPutMode !== "clone") && cloneEl && cloneEl.parentNode && cloneEl.parentNode.removeChild(cloneEl), dragEl && (this.nativeDraggable && off$1(dragEl, "dragend", this), _disableDraggable(dragEl), dragEl.style["will-change"] = "", moved && !awaitingDragStarted && toggleClass(dragEl, putSortable ? putSortable.options.ghostClass : this.options.ghostClass, !1), toggleClass(dragEl, this.options.chosenClass, !1), _dispatchEvent({
      sortable: this,
      name: "unchoose",
      toEl: parentEl,
      newIndex: null,
      newDraggableIndex: null,
      originalEvent: a
    }), rootEl !== parentEl ? (newIndex >= 0 && (_dispatchEvent({
      rootEl: parentEl,
      name: "add",
      toEl: parentEl,
      fromEl: rootEl,
      originalEvent: a
    }), _dispatchEvent({
      sortable: this,
      name: "remove",
      toEl: parentEl,
      originalEvent: a
    }), _dispatchEvent({
      rootEl: parentEl,
      name: "sort",
      toEl: parentEl,
      fromEl: rootEl,
      originalEvent: a
    }), _dispatchEvent({
      sortable: this,
      name: "sort",
      toEl: parentEl,
      originalEvent: a
    })), putSortable && putSortable.save()) : newIndex !== oldIndex && newIndex >= 0 && (_dispatchEvent({
      sortable: this,
      name: "update",
      toEl: parentEl,
      originalEvent: a
    }), _dispatchEvent({
      sortable: this,
      name: "sort",
      toEl: parentEl,
      originalEvent: a
    })), Sortable.active && ((newIndex == null || newIndex === -1) && (newIndex = oldIndex, newDraggableIndex = oldDraggableIndex), _dispatchEvent({
      sortable: this,
      name: "end",
      toEl: parentEl,
      originalEvent: a
    }), this.save()))), this._nulling();
  },
  _nulling: function r() {
    pluginEvent("nulling", this), rootEl = dragEl = parentEl = ghostEl = nextEl = cloneEl = lastDownEl = cloneHidden = tapEvt = touchEvt = moved = newIndex = newDraggableIndex = oldIndex = oldDraggableIndex = lastTarget = lastDirection = putSortable = activeGroup = Sortable.dragged = Sortable.ghost = Sortable.clone = Sortable.active = null, savedInputChecked.forEach(function(a) {
      a.checked = !0;
    }), savedInputChecked.length = lastDx = lastDy = 0;
  },
  handleEvent: function r(a) {
    switch (a.type) {
      case "drop":
      case "dragend":
        this._onDrop(a);
        break;
      case "dragenter":
      case "dragover":
        dragEl && (this._onDragOver(a), _globalDragOver(a));
        break;
      case "selectstart":
        a.preventDefault();
        break;
    }
  },
  /**
   * Serializes the item into an array of string.
   * @returns {String[]}
   */
  toArray: function r() {
    for (var a = [], o, s = this.el.children, l = 0, u = s.length, c = this.options; l < u; l++)
      o = s[l], closest(o, c.draggable, this.el, !1) && a.push(o.getAttribute(c.dataIdAttr) || _generateId(o));
    return a;
  },
  /**
   * Sorts the elements according to the array.
   * @param  {String[]}  order  order of the items
   */
  sort: function r(a, o) {
    var s = {}, l = this.el;
    this.toArray().forEach(function(u, c) {
      var d = l.children[c];
      closest(d, this.options.draggable, l, !1) && (s[u] = d);
    }, this), o && this.captureAnimationState(), a.forEach(function(u) {
      s[u] && (l.removeChild(s[u]), l.appendChild(s[u]));
    }), o && this.animateAll();
  },
  /**
   * Save the current sorting
   */
  save: function r() {
    var a = this.options.store;
    a && a.set && a.set(this);
  },
  /**
   * For each element in the set, get the first element that matches the selector by testing the element itself and traversing up through its ancestors in the DOM tree.
   * @param   {HTMLElement}  el
   * @param   {String}       [selector]  default: `options.draggable`
   * @returns {HTMLElement|null}
   */
  closest: function r(a, o) {
    return closest(a, o || this.options.draggable, this.el, !1);
  },
  /**
   * Set/get option
   * @param   {string} name
   * @param   {*}      [value]
   * @returns {*}
   */
  option: function r(a, o) {
    var s = this.options;
    if (o === void 0)
      return s[a];
    var l = PluginManager.modifyOption(this, a, o);
    typeof l < "u" ? s[a] = l : s[a] = o, a === "group" && _prepareGroup(s);
  },
  /**
   * Destroy
   */
  destroy: function r() {
    pluginEvent("destroy", this);
    var a = this.el;
    a[expando] = null, off$1(a, "mousedown", this._onTapStart), off$1(a, "touchstart", this._onTapStart), off$1(a, "pointerdown", this._onTapStart), this.nativeDraggable && (off$1(a, "dragover", this), off$1(a, "dragenter", this)), Array.prototype.forEach.call(a.querySelectorAll("[draggable]"), function(o) {
      o.removeAttribute("draggable");
    }), this._onDrop(), this._disableDelayedDragEvents(), sortables.splice(sortables.indexOf(this.el), 1), this.el = a = null;
  },
  _hideClone: function r() {
    if (!cloneHidden) {
      if (pluginEvent("hideClone", this), Sortable.eventCanceled) return;
      css(cloneEl, "display", "none"), this.options.removeCloneOnHide && cloneEl.parentNode && cloneEl.parentNode.removeChild(cloneEl), cloneHidden = !0;
    }
  },
  _showClone: function r(a) {
    if (a.lastPutMode !== "clone") {
      this._hideClone();
      return;
    }
    if (cloneHidden) {
      if (pluginEvent("showClone", this), Sortable.eventCanceled) return;
      dragEl.parentNode == rootEl && !this.options.group.revertClone ? rootEl.insertBefore(cloneEl, dragEl) : nextEl ? rootEl.insertBefore(cloneEl, nextEl) : rootEl.appendChild(cloneEl), this.options.group.revertClone && this.animate(dragEl, cloneEl), css(cloneEl, "display", ""), cloneHidden = !1;
    }
  }
};
function _globalDragOver(r) {
  r.dataTransfer && (r.dataTransfer.dropEffect = "move"), r.cancelable && r.preventDefault();
}
function _onMove(r, a, o, s, l, u, c, d) {
  var f, p = r[expando], v = p.options.onMove, g;
  return window.CustomEvent && !IE11OrLess && !Edge ? f = new CustomEvent("move", {
    bubbles: !0,
    cancelable: !0
  }) : (f = document.createEvent("Event"), f.initEvent("move", !0, !0)), f.to = a, f.from = r, f.dragged = o, f.draggedRect = s, f.related = l || a, f.relatedRect = u || getRect(a), f.willInsertAfter = d, f.originalEvent = c, r.dispatchEvent(f), v && (g = v.call(p, f, c)), g;
}
function _disableDraggable(r) {
  r.draggable = !1;
}
function _unsilent() {
  _silent = !1;
}
function _ghostIsFirst(r, a, o) {
  var s = getRect(getChild(o.el, 0, o.options, !0)), l = 10;
  return a ? r.clientX < s.left - l || r.clientY < s.top && r.clientX < s.right : r.clientY < s.top - l || r.clientY < s.bottom && r.clientX < s.left;
}
function _ghostIsLast(r, a, o) {
  var s = getRect(lastChild(o.el, o.options.draggable)), l = 10;
  return a ? r.clientX > s.right + l || r.clientX <= s.right && r.clientY > s.bottom && r.clientX >= s.left : r.clientX > s.right && r.clientY > s.top || r.clientX <= s.right && r.clientY > s.bottom + l;
}
function _getSwapDirection(r, a, o, s, l, u, c, d) {
  var f = s ? r.clientY : r.clientX, p = s ? o.height : o.width, v = s ? o.top : o.left, g = s ? o.bottom : o.right, y = !1;
  if (!c) {
    if (d && targetMoveDistance < p * l) {
      if (!pastFirstInvertThresh && (lastDirection === 1 ? f > v + p * u / 2 : f < g - p * u / 2) && (pastFirstInvertThresh = !0), pastFirstInvertThresh)
        y = !0;
      else if (lastDirection === 1 ? f < v + targetMoveDistance : f > g - targetMoveDistance)
        return -lastDirection;
    } else if (f > v + p * (1 - l) / 2 && f < g - p * (1 - l) / 2)
      return _getInsertDirection(a);
  }
  return y = y || c, y && (f < v + p * u / 2 || f > g - p * u / 2) ? f > v + p / 2 ? 1 : -1 : 0;
}
function _getInsertDirection(r) {
  return index$1(dragEl) < index$1(r) ? 1 : -1;
}
function _generateId(r) {
  for (var a = r.tagName + r.className + r.src + r.href + r.textContent, o = a.length, s = 0; o--; )
    s += a.charCodeAt(o);
  return s.toString(36);
}
function _saveInputCheckedState(r) {
  savedInputChecked.length = 0;
  for (var a = r.getElementsByTagName("input"), o = a.length; o--; ) {
    var s = a[o];
    s.checked && savedInputChecked.push(s);
  }
}
function _nextTick(r) {
  return setTimeout(r, 0);
}
function _cancelNextTick(r) {
  return clearTimeout(r);
}
documentExists && on$1(document, "touchmove", function(r) {
  (Sortable.active || awaitingDragStarted) && r.cancelable && r.preventDefault();
});
Sortable.utils = {
  on: on$1,
  off: off$1,
  css,
  find: find$1,
  is: function r(a, o) {
    return !!closest(a, o, a, !1);
  },
  extend: extend$1,
  throttle: throttle$1,
  closest,
  toggleClass,
  clone: clone$5,
  index: index$1,
  nextTick: _nextTick,
  cancelNextTick: _cancelNextTick,
  detectDirection: _detectDirection,
  getChild
};
Sortable.get = function(r) {
  return r[expando];
};
Sortable.mount = function() {
  for (var r = arguments.length, a = new Array(r), o = 0; o < r; o++)
    a[o] = arguments[o];
  a[0].constructor === Array && (a = a[0]), a.forEach(function(s) {
    if (!s.prototype || !s.prototype.constructor)
      throw "Sortable: Mounted plugin must be a constructor function, not ".concat({}.toString.call(s));
    s.utils && (Sortable.utils = _objectSpread2(_objectSpread2({}, Sortable.utils), s.utils)), PluginManager.mount(s);
  });
};
Sortable.create = function(r, a) {
  return new Sortable(r, a);
};
Sortable.version = version$2;
var autoScrolls = [], scrollEl, scrollRootEl, scrolling = !1, lastAutoScrollX, lastAutoScrollY, touchEvt$1, pointerElemChangedInterval;
function AutoScrollPlugin() {
  function r() {
    this.defaults = {
      scroll: !0,
      forceAutoScrollFallback: !1,
      scrollSensitivity: 30,
      scrollSpeed: 10,
      bubbleScroll: !0
    };
    for (var a in this)
      a.charAt(0) === "_" && typeof this[a] == "function" && (this[a] = this[a].bind(this));
  }
  return r.prototype = {
    dragStarted: function(o) {
      var s = o.originalEvent;
      this.sortable.nativeDraggable ? on$1(document, "dragover", this._handleAutoScroll) : this.options.supportPointer ? on$1(document, "pointermove", this._handleFallbackAutoScroll) : s.touches ? on$1(document, "touchmove", this._handleFallbackAutoScroll) : on$1(document, "mousemove", this._handleFallbackAutoScroll);
    },
    dragOverCompleted: function(o) {
      var s = o.originalEvent;
      !this.options.dragOverBubble && !s.rootEl && this._handleAutoScroll(s);
    },
    drop: function() {
      this.sortable.nativeDraggable ? off$1(document, "dragover", this._handleAutoScroll) : (off$1(document, "pointermove", this._handleFallbackAutoScroll), off$1(document, "touchmove", this._handleFallbackAutoScroll), off$1(document, "mousemove", this._handleFallbackAutoScroll)), clearPointerElemChangedInterval(), clearAutoScrolls(), cancelThrottle();
    },
    nulling: function() {
      touchEvt$1 = scrollRootEl = scrollEl = scrolling = pointerElemChangedInterval = lastAutoScrollX = lastAutoScrollY = null, autoScrolls.length = 0;
    },
    _handleFallbackAutoScroll: function(o) {
      this._handleAutoScroll(o, !0);
    },
    _handleAutoScroll: function(o, s) {
      var l = this, u = (o.touches ? o.touches[0] : o).clientX, c = (o.touches ? o.touches[0] : o).clientY, d = document.elementFromPoint(u, c);
      if (touchEvt$1 = o, s || this.options.forceAutoScrollFallback || Edge || IE11OrLess || Safari) {
        autoScroll(o, this.options, d, s);
        var f = getParentAutoScrollElement(d, !0);
        scrolling && (!pointerElemChangedInterval || u !== lastAutoScrollX || c !== lastAutoScrollY) && (pointerElemChangedInterval && clearPointerElemChangedInterval(), pointerElemChangedInterval = setInterval(function() {
          var p = getParentAutoScrollElement(document.elementFromPoint(u, c), !0);
          p !== f && (f = p, clearAutoScrolls()), autoScroll(o, l.options, p, s);
        }, 10), lastAutoScrollX = u, lastAutoScrollY = c);
      } else {
        if (!this.options.bubbleScroll || getParentAutoScrollElement(d, !0) === getWindowScrollingElement()) {
          clearAutoScrolls();
          return;
        }
        autoScroll(o, this.options, getParentAutoScrollElement(d, !1), !1);
      }
    }
  }, _extends(r, {
    pluginName: "scroll",
    initializeByDefault: !0
  });
}
function clearAutoScrolls() {
  autoScrolls.forEach(function(r) {
    clearInterval(r.pid);
  }), autoScrolls = [];
}
function clearPointerElemChangedInterval() {
  clearInterval(pointerElemChangedInterval);
}
var autoScroll = throttle$1(function(r, a, o, s) {
  if (a.scroll) {
    var l = (r.touches ? r.touches[0] : r).clientX, u = (r.touches ? r.touches[0] : r).clientY, c = a.scrollSensitivity, d = a.scrollSpeed, f = getWindowScrollingElement(), p = !1, v;
    scrollRootEl !== o && (scrollRootEl = o, clearAutoScrolls(), scrollEl = a.scroll, v = a.scrollFn, scrollEl === !0 && (scrollEl = getParentAutoScrollElement(o, !0)));
    var g = 0, y = scrollEl;
    do {
      var _ = y, S = getRect(_), C = S.top, b = S.bottom, T = S.left, E = S.right, x = S.width, $ = S.height, A = void 0, N = void 0, P = _.scrollWidth, L = _.scrollHeight, O = css(_), M = _.scrollLeft, F = _.scrollTop;
      _ === f ? (A = x < P && (O.overflowX === "auto" || O.overflowX === "scroll" || O.overflowX === "visible"), N = $ < L && (O.overflowY === "auto" || O.overflowY === "scroll" || O.overflowY === "visible")) : (A = x < P && (O.overflowX === "auto" || O.overflowX === "scroll"), N = $ < L && (O.overflowY === "auto" || O.overflowY === "scroll"));
      var U = A && (Math.abs(E - l) <= c && M + x < P) - (Math.abs(T - l) <= c && !!M), R = N && (Math.abs(b - u) <= c && F + $ < L) - (Math.abs(C - u) <= c && !!F);
      if (!autoScrolls[g])
        for (var H = 0; H <= g; H++)
          autoScrolls[H] || (autoScrolls[H] = {});
      (autoScrolls[g].vx != U || autoScrolls[g].vy != R || autoScrolls[g].el !== _) && (autoScrolls[g].el = _, autoScrolls[g].vx = U, autoScrolls[g].vy = R, clearInterval(autoScrolls[g].pid), (U != 0 || R != 0) && (p = !0, autoScrolls[g].pid = setInterval((function() {
        s && this.layer === 0 && Sortable.active._onTouchMove(touchEvt$1);
        var V = autoScrolls[this.layer].vy ? autoScrolls[this.layer].vy * d : 0, Y = autoScrolls[this.layer].vx ? autoScrolls[this.layer].vx * d : 0;
        typeof v == "function" && v.call(Sortable.dragged.parentNode[expando], Y, V, r, touchEvt$1, autoScrolls[this.layer].el) !== "continue" || scrollBy(autoScrolls[this.layer].el, Y, V);
      }).bind({
        layer: g
      }), 24))), g++;
    } while (a.bubbleScroll && y !== f && (y = getParentAutoScrollElement(y, !1)));
    scrolling = p;
  }
}, 30), drop = function r(a) {
  var o = a.originalEvent, s = a.putSortable, l = a.dragEl, u = a.activeSortable, c = a.dispatchSortableEvent, d = a.hideGhostForTarget, f = a.unhideGhostForTarget;
  if (o) {
    var p = s || u;
    d();
    var v = o.changedTouches && o.changedTouches.length ? o.changedTouches[0] : o, g = document.elementFromPoint(v.clientX, v.clientY);
    f(), p && !p.el.contains(g) && (c("spill"), this.onSpill({
      dragEl: l,
      putSortable: s
    }));
  }
};
function Revert() {
}
Revert.prototype = {
  startIndex: null,
  dragStart: function r(a) {
    var o = a.oldDraggableIndex;
    this.startIndex = o;
  },
  onSpill: function r(a) {
    var o = a.dragEl, s = a.putSortable;
    this.sortable.captureAnimationState(), s && s.captureAnimationState();
    var l = getChild(this.sortable.el, this.startIndex, this.options);
    l ? this.sortable.el.insertBefore(o, l) : this.sortable.el.appendChild(o), this.sortable.animateAll(), s && s.animateAll();
  },
  drop
};
_extends(Revert, {
  pluginName: "revertOnSpill"
});
function Remove() {
}
Remove.prototype = {
  onSpill: function r(a) {
    var o = a.dragEl, s = a.putSortable, l = s || this.sortable;
    l.captureAnimationState(), o.parentNode && o.parentNode.removeChild(o), l.animateAll();
  },
  drop
};
_extends(Remove, {
  pluginName: "removeOnSpill"
});
var lastSwapEl;
function SwapPlugin() {
  function r() {
    this.defaults = {
      swapClass: "sortable-swap-highlight"
    };
  }
  return r.prototype = {
    dragStart: function(o) {
      var s = o.dragEl;
      lastSwapEl = s;
    },
    dragOverValid: function(o) {
      var s = o.completed, l = o.target, u = o.onMove, c = o.activeSortable, d = o.changed, f = o.cancel;
      if (c.options.swap) {
        var p = this.sortable.el, v = this.options;
        if (l && l !== p) {
          var g = lastSwapEl;
          u(l) !== !1 ? (toggleClass(l, v.swapClass, !0), lastSwapEl = l) : lastSwapEl = null, g && g !== lastSwapEl && toggleClass(g, v.swapClass, !1);
        }
        d(), s(!0), f();
      }
    },
    drop: function(o) {
      var s = o.activeSortable, l = o.putSortable, u = o.dragEl, c = l || this.sortable, d = this.options;
      lastSwapEl && toggleClass(lastSwapEl, d.swapClass, !1), lastSwapEl && (d.swap || l && l.options.swap) && u !== lastSwapEl && (c.captureAnimationState(), c !== s && s.captureAnimationState(), swapNodes(u, lastSwapEl), c.animateAll(), c !== s && s.animateAll());
    },
    nulling: function() {
      lastSwapEl = null;
    }
  }, _extends(r, {
    pluginName: "swap",
    eventProperties: function() {
      return {
        swapItem: lastSwapEl
      };
    }
  });
}
function swapNodes(r, a) {
  var o = r.parentNode, s = a.parentNode, l, u;
  !o || !s || o.isEqualNode(a) || s.isEqualNode(r) || (l = index$1(r), u = index$1(a), o.isEqualNode(s) && l < u && u++, o.insertBefore(a, o.children[l]), s.insertBefore(r, s.children[u]));
}
var multiDragElements = [], multiDragClones = [], lastMultiDragSelect, multiDragSortable, initialFolding = !1, folding = !1, dragStarted = !1, dragEl$1, clonesFromRect, clonesHidden;
function MultiDragPlugin() {
  function r(a) {
    for (var o in this)
      o.charAt(0) === "_" && typeof this[o] == "function" && (this[o] = this[o].bind(this));
    a.options.supportPointer ? on$1(document, "pointerup", this._deselectMultiDrag) : (on$1(document, "mouseup", this._deselectMultiDrag), on$1(document, "touchend", this._deselectMultiDrag)), on$1(document, "keydown", this._checkKeyDown), on$1(document, "keyup", this._checkKeyUp), this.defaults = {
      selectedClass: "sortable-selected",
      multiDragKey: null,
      setData: function(l, u) {
        var c = "";
        multiDragElements.length && multiDragSortable === a ? multiDragElements.forEach(function(d, f) {
          c += (f ? ", " : "") + d.textContent;
        }) : c = u.textContent, l.setData("Text", c);
      }
    };
  }
  return r.prototype = {
    multiDragKeyDown: !1,
    isMultiDrag: !1,
    delayStartGlobal: function(o) {
      var s = o.dragEl;
      dragEl$1 = s;
    },
    delayEnded: function() {
      this.isMultiDrag = ~multiDragElements.indexOf(dragEl$1);
    },
    setupClone: function(o) {
      var s = o.sortable, l = o.cancel;
      if (this.isMultiDrag) {
        for (var u = 0; u < multiDragElements.length; u++)
          multiDragClones.push(clone$5(multiDragElements[u])), multiDragClones[u].sortableIndex = multiDragElements[u].sortableIndex, multiDragClones[u].draggable = !1, multiDragClones[u].style["will-change"] = "", toggleClass(multiDragClones[u], this.options.selectedClass, !1), multiDragElements[u] === dragEl$1 && toggleClass(multiDragClones[u], this.options.chosenClass, !1);
        s._hideClone(), l();
      }
    },
    clone: function(o) {
      var s = o.sortable, l = o.rootEl, u = o.dispatchSortableEvent, c = o.cancel;
      this.isMultiDrag && (this.options.removeCloneOnHide || multiDragElements.length && multiDragSortable === s && (insertMultiDragClones(!0, l), u("clone"), c()));
    },
    showClone: function(o) {
      var s = o.cloneNowShown, l = o.rootEl, u = o.cancel;
      this.isMultiDrag && (insertMultiDragClones(!1, l), multiDragClones.forEach(function(c) {
        css(c, "display", "");
      }), s(), clonesHidden = !1, u());
    },
    hideClone: function(o) {
      var s = this;
      o.sortable;
      var l = o.cloneNowHidden, u = o.cancel;
      this.isMultiDrag && (multiDragClones.forEach(function(c) {
        css(c, "display", "none"), s.options.removeCloneOnHide && c.parentNode && c.parentNode.removeChild(c);
      }), l(), clonesHidden = !0, u());
    },
    dragStartGlobal: function(o) {
      o.sortable, !this.isMultiDrag && multiDragSortable && multiDragSortable.multiDrag._deselectMultiDrag(), multiDragElements.forEach(function(s) {
        s.sortableIndex = index$1(s);
      }), multiDragElements = multiDragElements.sort(function(s, l) {
        return s.sortableIndex - l.sortableIndex;
      }), dragStarted = !0;
    },
    dragStarted: function(o) {
      var s = this, l = o.sortable;
      if (this.isMultiDrag) {
        if (this.options.sort && (l.captureAnimationState(), this.options.animation)) {
          multiDragElements.forEach(function(c) {
            c !== dragEl$1 && css(c, "position", "absolute");
          });
          var u = getRect(dragEl$1, !1, !0, !0);
          multiDragElements.forEach(function(c) {
            c !== dragEl$1 && setRect(c, u);
          }), folding = !0, initialFolding = !0;
        }
        l.animateAll(function() {
          folding = !1, initialFolding = !1, s.options.animation && multiDragElements.forEach(function(c) {
            unsetRect(c);
          }), s.options.sort && removeMultiDragElements();
        });
      }
    },
    dragOver: function(o) {
      var s = o.target, l = o.completed, u = o.cancel;
      folding && ~multiDragElements.indexOf(s) && (l(!1), u());
    },
    revert: function(o) {
      var s = o.fromSortable, l = o.rootEl, u = o.sortable, c = o.dragRect;
      multiDragElements.length > 1 && (multiDragElements.forEach(function(d) {
        u.addAnimationState({
          target: d,
          rect: folding ? getRect(d) : c
        }), unsetRect(d), d.fromRect = c, s.removeAnimationState(d);
      }), folding = !1, insertMultiDragElements(!this.options.removeCloneOnHide, l));
    },
    dragOverCompleted: function(o) {
      var s = o.sortable, l = o.isOwner, u = o.insertion, c = o.activeSortable, d = o.parentEl, f = o.putSortable, p = this.options;
      if (u) {
        if (l && c._hideClone(), initialFolding = !1, p.animation && multiDragElements.length > 1 && (folding || !l && !c.options.sort && !f)) {
          var v = getRect(dragEl$1, !1, !0, !0);
          multiDragElements.forEach(function(y) {
            y !== dragEl$1 && (setRect(y, v), d.appendChild(y));
          }), folding = !0;
        }
        if (!l)
          if (folding || removeMultiDragElements(), multiDragElements.length > 1) {
            var g = clonesHidden;
            c._showClone(s), c.options.animation && !clonesHidden && g && multiDragClones.forEach(function(y) {
              c.addAnimationState({
                target: y,
                rect: clonesFromRect
              }), y.fromRect = clonesFromRect, y.thisAnimationDuration = null;
            });
          } else
            c._showClone(s);
      }
    },
    dragOverAnimationCapture: function(o) {
      var s = o.dragRect, l = o.isOwner, u = o.activeSortable;
      if (multiDragElements.forEach(function(d) {
        d.thisAnimationDuration = null;
      }), u.options.animation && !l && u.multiDrag.isMultiDrag) {
        clonesFromRect = _extends({}, s);
        var c = matrix$1(dragEl$1, !0);
        clonesFromRect.top -= c.f, clonesFromRect.left -= c.e;
      }
    },
    dragOverAnimationComplete: function() {
      folding && (folding = !1, removeMultiDragElements());
    },
    drop: function(o) {
      var s = o.originalEvent, l = o.rootEl, u = o.parentEl, c = o.sortable, d = o.dispatchSortableEvent, f = o.oldIndex, p = o.putSortable, v = p || this.sortable;
      if (s) {
        var g = this.options, y = u.children;
        if (!dragStarted)
          if (g.multiDragKey && !this.multiDragKeyDown && this._deselectMultiDrag(), toggleClass(dragEl$1, g.selectedClass, !~multiDragElements.indexOf(dragEl$1)), ~multiDragElements.indexOf(dragEl$1))
            multiDragElements.splice(multiDragElements.indexOf(dragEl$1), 1), lastMultiDragSelect = null, dispatchEvent({
              sortable: c,
              rootEl: l,
              name: "deselect",
              targetEl: dragEl$1,
              originalEvt: s
            });
          else {
            if (multiDragElements.push(dragEl$1), dispatchEvent({
              sortable: c,
              rootEl: l,
              name: "select",
              targetEl: dragEl$1,
              originalEvt: s
            }), s.shiftKey && lastMultiDragSelect && c.el.contains(lastMultiDragSelect)) {
              var _ = index$1(lastMultiDragSelect), S = index$1(dragEl$1);
              if (~_ && ~S && _ !== S) {
                var C, b;
                for (S > _ ? (b = _, C = S) : (b = S, C = _ + 1); b < C; b++)
                  ~multiDragElements.indexOf(y[b]) || (toggleClass(y[b], g.selectedClass, !0), multiDragElements.push(y[b]), dispatchEvent({
                    sortable: c,
                    rootEl: l,
                    name: "select",
                    targetEl: y[b],
                    originalEvt: s
                  }));
              }
            } else
              lastMultiDragSelect = dragEl$1;
            multiDragSortable = v;
          }
        if (dragStarted && this.isMultiDrag) {
          if (folding = !1, (u[expando].options.sort || u !== l) && multiDragElements.length > 1) {
            var T = getRect(dragEl$1), E = index$1(dragEl$1, ":not(." + this.options.selectedClass + ")");
            if (!initialFolding && g.animation && (dragEl$1.thisAnimationDuration = null), v.captureAnimationState(), !initialFolding && (g.animation && (dragEl$1.fromRect = T, multiDragElements.forEach(function($) {
              if ($.thisAnimationDuration = null, $ !== dragEl$1) {
                var A = folding ? getRect($) : T;
                $.fromRect = A, v.addAnimationState({
                  target: $,
                  rect: A
                });
              }
            })), removeMultiDragElements(), multiDragElements.forEach(function($) {
              y[E] ? u.insertBefore($, y[E]) : u.appendChild($), E++;
            }), f === index$1(dragEl$1))) {
              var x = !1;
              multiDragElements.forEach(function($) {
                if ($.sortableIndex !== index$1($)) {
                  x = !0;
                  return;
                }
              }), x && d("update");
            }
            multiDragElements.forEach(function($) {
              unsetRect($);
            }), v.animateAll();
          }
          multiDragSortable = v;
        }
        (l === u || p && p.lastPutMode !== "clone") && multiDragClones.forEach(function($) {
          $.parentNode && $.parentNode.removeChild($);
        });
      }
    },
    nullingGlobal: function() {
      this.isMultiDrag = dragStarted = !1, multiDragClones.length = 0;
    },
    destroyGlobal: function() {
      this._deselectMultiDrag(), off$1(document, "pointerup", this._deselectMultiDrag), off$1(document, "mouseup", this._deselectMultiDrag), off$1(document, "touchend", this._deselectMultiDrag), off$1(document, "keydown", this._checkKeyDown), off$1(document, "keyup", this._checkKeyUp);
    },
    _deselectMultiDrag: function(o) {
      if (!(typeof dragStarted < "u" && dragStarted) && multiDragSortable === this.sortable && !(o && closest(o.target, this.options.draggable, this.sortable.el, !1)) && !(o && o.button !== 0))
        for (; multiDragElements.length; ) {
          var s = multiDragElements[0];
          toggleClass(s, this.options.selectedClass, !1), multiDragElements.shift(), dispatchEvent({
            sortable: this.sortable,
            rootEl: this.sortable.el,
            name: "deselect",
            targetEl: s,
            originalEvt: o
          });
        }
    },
    _checkKeyDown: function(o) {
      o.key === this.options.multiDragKey && (this.multiDragKeyDown = !0);
    },
    _checkKeyUp: function(o) {
      o.key === this.options.multiDragKey && (this.multiDragKeyDown = !1);
    }
  }, _extends(r, {
    // Static methods & properties
    pluginName: "multiDrag",
    utils: {
      /**
       * Selects the provided multi-drag item
       * @param  {HTMLElement} el    The element to be selected
       */
      select: function(o) {
        var s = o.parentNode[expando];
        !s || !s.options.multiDrag || ~multiDragElements.indexOf(o) || (multiDragSortable && multiDragSortable !== s && (multiDragSortable.multiDrag._deselectMultiDrag(), multiDragSortable = s), toggleClass(o, s.options.selectedClass, !0), multiDragElements.push(o));
      },
      /**
       * Deselects the provided multi-drag item
       * @param  {HTMLElement} el    The element to be deselected
       */
      deselect: function(o) {
        var s = o.parentNode[expando], l = multiDragElements.indexOf(o);
        !s || !s.options.multiDrag || !~l || (toggleClass(o, s.options.selectedClass, !1), multiDragElements.splice(l, 1));
      }
    },
    eventProperties: function() {
      var o = this, s = [], l = [];
      return multiDragElements.forEach(function(u) {
        s.push({
          multiDragElement: u,
          index: u.sortableIndex
        });
        var c;
        folding && u !== dragEl$1 ? c = -1 : folding ? c = index$1(u, ":not(." + o.options.selectedClass + ")") : c = index$1(u), l.push({
          multiDragElement: u,
          index: c
        });
      }), {
        items: _toConsumableArray(multiDragElements),
        clones: [].concat(multiDragClones),
        oldIndicies: s,
        newIndicies: l
      };
    },
    optionListeners: {
      multiDragKey: function(o) {
        return o = o.toLowerCase(), o === "ctrl" ? o = "Control" : o.length > 1 && (o = o.charAt(0).toUpperCase() + o.substr(1)), o;
      }
    }
  });
}
function insertMultiDragElements(r, a) {
  multiDragElements.forEach(function(o, s) {
    var l = a.children[o.sortableIndex + (r ? Number(s) : 0)];
    l ? a.insertBefore(o, l) : a.appendChild(o);
  });
}
function insertMultiDragClones(r, a) {
  multiDragClones.forEach(function(o, s) {
    var l = a.children[o.sortableIndex + (r ? Number(s) : 0)];
    l ? a.insertBefore(o, l) : a.appendChild(o);
  });
}
function removeMultiDragElements() {
  multiDragElements.forEach(function(r) {
    r !== dragEl$1 && r.parentNode && r.parentNode.removeChild(r);
  });
}
Sortable.mount(new AutoScrollPlugin());
Sortable.mount(Remove, Revert);
const sortable_esm = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  MultiDrag: MultiDragPlugin,
  Sortable,
  Swap: SwapPlugin,
  default: Sortable
}, Symbol.toStringTag, { value: "Module" })), require$$1 = /* @__PURE__ */ getAugmentedNamespace(sortable_esm);
(function(r, a) {
  (function(s, l) {
    r.exports = l(require$$0$1, require$$1);
  })(typeof self < "u" ? self : commonjsGlobal, function(o, s) {
    return (
      /******/
      function(l) {
        var u = {};
        function c(d) {
          if (u[d])
            return u[d].exports;
          var f = u[d] = {
            /******/
            i: d,
            /******/
            l: !1,
            /******/
            exports: {}
            /******/
          };
          return l[d].call(f.exports, f, f.exports, c), f.l = !0, f.exports;
        }
        return c.m = l, c.c = u, c.d = function(d, f, p) {
          c.o(d, f) || Object.defineProperty(d, f, { enumerable: !0, get: p });
        }, c.r = function(d) {
          typeof Symbol < "u" && Symbol.toStringTag && Object.defineProperty(d, Symbol.toStringTag, { value: "Module" }), Object.defineProperty(d, "__esModule", { value: !0 });
        }, c.t = function(d, f) {
          if (f & 1 && (d = c(d)), f & 8 || f & 4 && typeof d == "object" && d && d.__esModule) return d;
          var p = /* @__PURE__ */ Object.create(null);
          if (c.r(p), Object.defineProperty(p, "default", { enumerable: !0, value: d }), f & 2 && typeof d != "string") for (var v in d) c.d(p, v, (function(g) {
            return d[g];
          }).bind(null, v));
          return p;
        }, c.n = function(d) {
          var f = d && d.__esModule ? (
            /******/
            function() {
              return d.default;
            }
          ) : (
            /******/
            function() {
              return d;
            }
          );
          return c.d(f, "a", f), f;
        }, c.o = function(d, f) {
          return Object.prototype.hasOwnProperty.call(d, f);
        }, c.p = "", c(c.s = "fb15");
      }({
        /***/
        "00ee": (
          /***/
          function(l, u, c) {
            var d = c("b622"), f = d("toStringTag"), p = {};
            p[f] = "z", l.exports = String(p) === "[object z]";
          }
        ),
        /***/
        "0366": (
          /***/
          function(l, u, c) {
            var d = c("1c0b");
            l.exports = function(f, p, v) {
              if (d(f), p === void 0) return f;
              switch (v) {
                case 0:
                  return function() {
                    return f.call(p);
                  };
                case 1:
                  return function(g) {
                    return f.call(p, g);
                  };
                case 2:
                  return function(g, y) {
                    return f.call(p, g, y);
                  };
                case 3:
                  return function(g, y, _) {
                    return f.call(p, g, y, _);
                  };
              }
              return function() {
                return f.apply(p, arguments);
              };
            };
          }
        ),
        /***/
        "057f": (
          /***/
          function(l, u, c) {
            var d = c("fc6a"), f = c("241c").f, p = {}.toString, v = typeof window == "object" && window && Object.getOwnPropertyNames ? Object.getOwnPropertyNames(window) : [], g = function(y) {
              try {
                return f(y);
              } catch {
                return v.slice();
              }
            };
            l.exports.f = function(_) {
              return v && p.call(_) == "[object Window]" ? g(_) : f(d(_));
            };
          }
        ),
        /***/
        "06cf": (
          /***/
          function(l, u, c) {
            var d = c("83ab"), f = c("d1e7"), p = c("5c6c"), v = c("fc6a"), g = c("c04e"), y = c("5135"), _ = c("0cfb"), S = Object.getOwnPropertyDescriptor;
            u.f = d ? S : function(b, T) {
              if (b = v(b), T = g(T, !0), _) try {
                return S(b, T);
              } catch {
              }
              if (y(b, T)) return p(!f.f.call(b, T), b[T]);
            };
          }
        ),
        /***/
        "0cfb": (
          /***/
          function(l, u, c) {
            var d = c("83ab"), f = c("d039"), p = c("cc12");
            l.exports = !d && !f(function() {
              return Object.defineProperty(p("div"), "a", {
                get: function() {
                  return 7;
                }
              }).a != 7;
            });
          }
        ),
        /***/
        "13d5": (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("d58f").left, p = c("a640"), v = c("ae40"), g = p("reduce"), y = v("reduce", { 1: 0 });
            d({ target: "Array", proto: !0, forced: !g || !y }, {
              reduce: function(S) {
                return f(this, S, arguments.length, arguments.length > 1 ? arguments[1] : void 0);
              }
            });
          }
        ),
        /***/
        "14c3": (
          /***/
          function(l, u, c) {
            var d = c("c6b6"), f = c("9263");
            l.exports = function(p, v) {
              var g = p.exec;
              if (typeof g == "function") {
                var y = g.call(p, v);
                if (typeof y != "object")
                  throw TypeError("RegExp exec method returned something other than an Object or null");
                return y;
              }
              if (d(p) !== "RegExp")
                throw TypeError("RegExp#exec called on incompatible receiver");
              return f.call(p, v);
            };
          }
        ),
        /***/
        "159b": (
          /***/
          function(l, u, c) {
            var d = c("da84"), f = c("fdbc"), p = c("17c2"), v = c("9112");
            for (var g in f) {
              var y = d[g], _ = y && y.prototype;
              if (_ && _.forEach !== p) try {
                v(_, "forEach", p);
              } catch {
                _.forEach = p;
              }
            }
          }
        ),
        /***/
        "17c2": (
          /***/
          function(l, u, c) {
            var d = c("b727").forEach, f = c("a640"), p = c("ae40"), v = f("forEach"), g = p("forEach");
            l.exports = !v || !g ? function(_) {
              return d(this, _, arguments.length > 1 ? arguments[1] : void 0);
            } : [].forEach;
          }
        ),
        /***/
        "1be4": (
          /***/
          function(l, u, c) {
            var d = c("d066");
            l.exports = d("document", "documentElement");
          }
        ),
        /***/
        "1c0b": (
          /***/
          function(l, u) {
            l.exports = function(c) {
              if (typeof c != "function")
                throw TypeError(String(c) + " is not a function");
              return c;
            };
          }
        ),
        /***/
        "1c7e": (
          /***/
          function(l, u, c) {
            var d = c("b622"), f = d("iterator"), p = !1;
            try {
              var v = 0, g = {
                next: function() {
                  return { done: !!v++ };
                },
                return: function() {
                  p = !0;
                }
              };
              g[f] = function() {
                return this;
              }, Array.from(g, function() {
                throw 2;
              });
            } catch {
            }
            l.exports = function(y, _) {
              if (!_ && !p) return !1;
              var S = !1;
              try {
                var C = {};
                C[f] = function() {
                  return {
                    next: function() {
                      return { done: S = !0 };
                    }
                  };
                }, y(C);
              } catch {
              }
              return S;
            };
          }
        ),
        /***/
        "1d80": (
          /***/
          function(l, u) {
            l.exports = function(c) {
              if (c == null) throw TypeError("Can't call method on " + c);
              return c;
            };
          }
        ),
        /***/
        "1dde": (
          /***/
          function(l, u, c) {
            var d = c("d039"), f = c("b622"), p = c("2d00"), v = f("species");
            l.exports = function(g) {
              return p >= 51 || !d(function() {
                var y = [], _ = y.constructor = {};
                return _[v] = function() {
                  return { foo: 1 };
                }, y[g](Boolean).foo !== 1;
              });
            };
          }
        ),
        /***/
        "23cb": (
          /***/
          function(l, u, c) {
            var d = c("a691"), f = Math.max, p = Math.min;
            l.exports = function(v, g) {
              var y = d(v);
              return y < 0 ? f(y + g, 0) : p(y, g);
            };
          }
        ),
        /***/
        "23e7": (
          /***/
          function(l, u, c) {
            var d = c("da84"), f = c("06cf").f, p = c("9112"), v = c("6eeb"), g = c("ce4e"), y = c("e893"), _ = c("94ca");
            l.exports = function(S, C) {
              var b = S.target, T = S.global, E = S.stat, x, $, A, N, P, L;
              if (T ? $ = d : E ? $ = d[b] || g(b, {}) : $ = (d[b] || {}).prototype, $) for (A in C) {
                if (P = C[A], S.noTargetGet ? (L = f($, A), N = L && L.value) : N = $[A], x = _(T ? A : b + (E ? "." : "#") + A, S.forced), !x && N !== void 0) {
                  if (typeof P == typeof N) continue;
                  y(P, N);
                }
                (S.sham || N && N.sham) && p(P, "sham", !0), v($, A, P, S);
              }
            };
          }
        ),
        /***/
        "241c": (
          /***/
          function(l, u, c) {
            var d = c("ca84"), f = c("7839"), p = f.concat("length", "prototype");
            u.f = Object.getOwnPropertyNames || function(g) {
              return d(g, p);
            };
          }
        ),
        /***/
        "25f0": (
          /***/
          function(l, u, c) {
            var d = c("6eeb"), f = c("825a"), p = c("d039"), v = c("ad6d"), g = "toString", y = RegExp.prototype, _ = y[g], S = p(function() {
              return _.call({ source: "a", flags: "b" }) != "/a/b";
            }), C = _.name != g;
            (S || C) && d(RegExp.prototype, g, function() {
              var T = f(this), E = String(T.source), x = T.flags, $ = String(x === void 0 && T instanceof RegExp && !("flags" in y) ? v.call(T) : x);
              return "/" + E + "/" + $;
            }, { unsafe: !0 });
          }
        ),
        /***/
        "2ca0": (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("06cf").f, p = c("50c4"), v = c("5a34"), g = c("1d80"), y = c("ab13"), _ = c("c430"), S = "".startsWith, C = Math.min, b = y("startsWith"), T = !_ && !b && !!function() {
              var E = f(String.prototype, "startsWith");
              return E && !E.writable;
            }();
            d({ target: "String", proto: !0, forced: !T && !b }, {
              startsWith: function(x) {
                var $ = String(g(this));
                v(x);
                var A = p(C(arguments.length > 1 ? arguments[1] : void 0, $.length)), N = String(x);
                return S ? S.call($, N, A) : $.slice(A, A + N.length) === N;
              }
            });
          }
        ),
        /***/
        "2d00": (
          /***/
          function(l, u, c) {
            var d = c("da84"), f = c("342f"), p = d.process, v = p && p.versions, g = v && v.v8, y, _;
            g ? (y = g.split("."), _ = y[0] + y[1]) : f && (y = f.match(/Edge\/(\d+)/), (!y || y[1] >= 74) && (y = f.match(/Chrome\/(\d+)/), y && (_ = y[1]))), l.exports = _ && +_;
          }
        ),
        /***/
        "342f": (
          /***/
          function(l, u, c) {
            var d = c("d066");
            l.exports = d("navigator", "userAgent") || "";
          }
        ),
        /***/
        "35a1": (
          /***/
          function(l, u, c) {
            var d = c("f5df"), f = c("3f8c"), p = c("b622"), v = p("iterator");
            l.exports = function(g) {
              if (g != null) return g[v] || g["@@iterator"] || f[d(g)];
            };
          }
        ),
        /***/
        "37e8": (
          /***/
          function(l, u, c) {
            var d = c("83ab"), f = c("9bf2"), p = c("825a"), v = c("df75");
            l.exports = d ? Object.defineProperties : function(y, _) {
              p(y);
              for (var S = v(_), C = S.length, b = 0, T; C > b; ) f.f(y, T = S[b++], _[T]);
              return y;
            };
          }
        ),
        /***/
        "3bbe": (
          /***/
          function(l, u, c) {
            var d = c("861d");
            l.exports = function(f) {
              if (!d(f) && f !== null)
                throw TypeError("Can't set " + String(f) + " as a prototype");
              return f;
            };
          }
        ),
        /***/
        "3ca3": (
          /***/
          function(l, u, c) {
            var d = c("6547").charAt, f = c("69f3"), p = c("7dd0"), v = "String Iterator", g = f.set, y = f.getterFor(v);
            p(String, "String", function(_) {
              g(this, {
                type: v,
                string: String(_),
                index: 0
              });
            }, function() {
              var S = y(this), C = S.string, b = S.index, T;
              return b >= C.length ? { value: void 0, done: !0 } : (T = d(C, b), S.index += T.length, { value: T, done: !1 });
            });
          }
        ),
        /***/
        "3f8c": (
          /***/
          function(l, u) {
            l.exports = {};
          }
        ),
        /***/
        4160: (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("17c2");
            d({ target: "Array", proto: !0, forced: [].forEach != f }, {
              forEach: f
            });
          }
        ),
        /***/
        "428f": (
          /***/
          function(l, u, c) {
            var d = c("da84");
            l.exports = d;
          }
        ),
        /***/
        "44ad": (
          /***/
          function(l, u, c) {
            var d = c("d039"), f = c("c6b6"), p = "".split;
            l.exports = d(function() {
              return !Object("z").propertyIsEnumerable(0);
            }) ? function(v) {
              return f(v) == "String" ? p.call(v, "") : Object(v);
            } : Object;
          }
        ),
        /***/
        "44d2": (
          /***/
          function(l, u, c) {
            var d = c("b622"), f = c("7c73"), p = c("9bf2"), v = d("unscopables"), g = Array.prototype;
            g[v] == null && p.f(g, v, {
              configurable: !0,
              value: f(null)
            }), l.exports = function(y) {
              g[v][y] = !0;
            };
          }
        ),
        /***/
        "44e7": (
          /***/
          function(l, u, c) {
            var d = c("861d"), f = c("c6b6"), p = c("b622"), v = p("match");
            l.exports = function(g) {
              var y;
              return d(g) && ((y = g[v]) !== void 0 ? !!y : f(g) == "RegExp");
            };
          }
        ),
        /***/
        4930: (
          /***/
          function(l, u, c) {
            var d = c("d039");
            l.exports = !!Object.getOwnPropertySymbols && !d(function() {
              return !String(Symbol());
            });
          }
        ),
        /***/
        "4d64": (
          /***/
          function(l, u, c) {
            var d = c("fc6a"), f = c("50c4"), p = c("23cb"), v = function(g) {
              return function(y, _, S) {
                var C = d(y), b = f(C.length), T = p(S, b), E;
                if (g && _ != _) {
                  for (; b > T; )
                    if (E = C[T++], E != E) return !0;
                } else for (; b > T; T++)
                  if ((g || T in C) && C[T] === _) return g || T || 0;
                return !g && -1;
              };
            };
            l.exports = {
              // `Array.prototype.includes` method
              // https://tc39.github.io/ecma262/#sec-array.prototype.includes
              includes: v(!0),
              // `Array.prototype.indexOf` method
              // https://tc39.github.io/ecma262/#sec-array.prototype.indexof
              indexOf: v(!1)
            };
          }
        ),
        /***/
        "4de4": (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("b727").filter, p = c("1dde"), v = c("ae40"), g = p("filter"), y = v("filter");
            d({ target: "Array", proto: !0, forced: !g || !y }, {
              filter: function(S) {
                return f(this, S, arguments.length > 1 ? arguments[1] : void 0);
              }
            });
          }
        ),
        /***/
        "4df4": (
          /***/
          function(l, u, c) {
            var d = c("0366"), f = c("7b0b"), p = c("9bdd"), v = c("e95a"), g = c("50c4"), y = c("8418"), _ = c("35a1");
            l.exports = function(C) {
              var b = f(C), T = typeof this == "function" ? this : Array, E = arguments.length, x = E > 1 ? arguments[1] : void 0, $ = x !== void 0, A = _(b), N = 0, P, L, O, M, F, U;
              if ($ && (x = d(x, E > 2 ? arguments[2] : void 0, 2)), A != null && !(T == Array && v(A)))
                for (M = A.call(b), F = M.next, L = new T(); !(O = F.call(M)).done; N++)
                  U = $ ? p(M, x, [O.value, N], !0) : O.value, y(L, N, U);
              else
                for (P = g(b.length), L = new T(P); P > N; N++)
                  U = $ ? x(b[N], N) : b[N], y(L, N, U);
              return L.length = N, L;
            };
          }
        ),
        /***/
        "4fad": (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("6f53").entries;
            d({ target: "Object", stat: !0 }, {
              entries: function(v) {
                return f(v);
              }
            });
          }
        ),
        /***/
        "50c4": (
          /***/
          function(l, u, c) {
            var d = c("a691"), f = Math.min;
            l.exports = function(p) {
              return p > 0 ? f(d(p), 9007199254740991) : 0;
            };
          }
        ),
        /***/
        5135: (
          /***/
          function(l, u) {
            var c = {}.hasOwnProperty;
            l.exports = function(d, f) {
              return c.call(d, f);
            };
          }
        ),
        /***/
        5319: (
          /***/
          function(l, u, c) {
            var d = c("d784"), f = c("825a"), p = c("7b0b"), v = c("50c4"), g = c("a691"), y = c("1d80"), _ = c("8aa5"), S = c("14c3"), C = Math.max, b = Math.min, T = Math.floor, E = /\$([$&'`]|\d\d?|<[^>]*>)/g, x = /\$([$&'`]|\d\d?)/g, $ = function(A) {
              return A === void 0 ? A : String(A);
            };
            d("replace", 2, function(A, N, P, L) {
              var O = L.REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE, M = L.REPLACE_KEEPS_$0, F = O ? "$" : "$0";
              return [
                // `String.prototype.replace` method
                // https://tc39.github.io/ecma262/#sec-string.prototype.replace
                function(H, V) {
                  var Y = y(this), G = H == null ? void 0 : H[A];
                  return G !== void 0 ? G.call(H, Y, V) : N.call(String(Y), H, V);
                },
                // `RegExp.prototype[@@replace]` method
                // https://tc39.github.io/ecma262/#sec-regexp.prototype-@@replace
                function(R, H) {
                  if (!O && M || typeof H == "string" && H.indexOf(F) === -1) {
                    var V = P(N, R, this, H);
                    if (V.done) return V.value;
                  }
                  var Y = f(R), G = String(this), Z = typeof H == "function";
                  Z || (H = String(H));
                  var re = Y.global;
                  if (re) {
                    var de = Y.unicode;
                    Y.lastIndex = 0;
                  }
                  for (var X = []; ; ) {
                    var W = S(Y, G);
                    if (W === null || (X.push(W), !re)) break;
                    var te = String(W[0]);
                    te === "" && (Y.lastIndex = _(G, v(Y.lastIndex), de));
                  }
                  for (var ae = "", Te = 0, $e = 0; $e < X.length; $e++) {
                    W = X[$e];
                    for (var se = String(W[0]), fe = C(b(g(W.index), G.length), 0), ce = [], ge = 1; ge < W.length; ge++) ce.push($(W[ge]));
                    var ve = W.groups;
                    if (Z) {
                      var xe = [se].concat(ce, fe, G);
                      ve !== void 0 && xe.push(ve);
                      var Ae = String(H.apply(void 0, xe));
                    } else
                      Ae = U(se, G, fe, ce, ve, H);
                    fe >= Te && (ae += G.slice(Te, fe) + Ae, Te = fe + se.length);
                  }
                  return ae + G.slice(Te);
                }
              ];
              function U(R, H, V, Y, G, Z) {
                var re = V + R.length, de = Y.length, X = x;
                return G !== void 0 && (G = p(G), X = E), N.call(Z, X, function(W, te) {
                  var ae;
                  switch (te.charAt(0)) {
                    case "$":
                      return "$";
                    case "&":
                      return R;
                    case "`":
                      return H.slice(0, V);
                    case "'":
                      return H.slice(re);
                    case "<":
                      ae = G[te.slice(1, -1)];
                      break;
                    default:
                      var Te = +te;
                      if (Te === 0) return W;
                      if (Te > de) {
                        var $e = T(Te / 10);
                        return $e === 0 ? W : $e <= de ? Y[$e - 1] === void 0 ? te.charAt(1) : Y[$e - 1] + te.charAt(1) : W;
                      }
                      ae = Y[Te - 1];
                  }
                  return ae === void 0 ? "" : ae;
                });
              }
            });
          }
        ),
        /***/
        5692: (
          /***/
          function(l, u, c) {
            var d = c("c430"), f = c("c6cd");
            (l.exports = function(p, v) {
              return f[p] || (f[p] = v !== void 0 ? v : {});
            })("versions", []).push({
              version: "3.6.5",
              mode: d ? "pure" : "global",
              copyright: "© 2020 Denis Pushkarev (zloirock.ru)"
            });
          }
        ),
        /***/
        "56ef": (
          /***/
          function(l, u, c) {
            var d = c("d066"), f = c("241c"), p = c("7418"), v = c("825a");
            l.exports = d("Reflect", "ownKeys") || function(y) {
              var _ = f.f(v(y)), S = p.f;
              return S ? _.concat(S(y)) : _;
            };
          }
        ),
        /***/
        "5a34": (
          /***/
          function(l, u, c) {
            var d = c("44e7");
            l.exports = function(f) {
              if (d(f))
                throw TypeError("The method doesn't accept regular expressions");
              return f;
            };
          }
        ),
        /***/
        "5c6c": (
          /***/
          function(l, u) {
            l.exports = function(c, d) {
              return {
                enumerable: !(c & 1),
                configurable: !(c & 2),
                writable: !(c & 4),
                value: d
              };
            };
          }
        ),
        /***/
        "5db7": (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("a2bf"), p = c("7b0b"), v = c("50c4"), g = c("1c0b"), y = c("65f0");
            d({ target: "Array", proto: !0 }, {
              flatMap: function(S) {
                var C = p(this), b = v(C.length), T;
                return g(S), T = y(C, 0), T.length = f(T, C, C, b, 0, 1, S, arguments.length > 1 ? arguments[1] : void 0), T;
              }
            });
          }
        ),
        /***/
        6547: (
          /***/
          function(l, u, c) {
            var d = c("a691"), f = c("1d80"), p = function(v) {
              return function(g, y) {
                var _ = String(f(g)), S = d(y), C = _.length, b, T;
                return S < 0 || S >= C ? v ? "" : void 0 : (b = _.charCodeAt(S), b < 55296 || b > 56319 || S + 1 === C || (T = _.charCodeAt(S + 1)) < 56320 || T > 57343 ? v ? _.charAt(S) : b : v ? _.slice(S, S + 2) : (b - 55296 << 10) + (T - 56320) + 65536);
              };
            };
            l.exports = {
              // `String.prototype.codePointAt` method
              // https://tc39.github.io/ecma262/#sec-string.prototype.codepointat
              codeAt: p(!1),
              // `String.prototype.at` method
              // https://github.com/mathiasbynens/String.prototype.at
              charAt: p(!0)
            };
          }
        ),
        /***/
        "65f0": (
          /***/
          function(l, u, c) {
            var d = c("861d"), f = c("e8b5"), p = c("b622"), v = p("species");
            l.exports = function(g, y) {
              var _;
              return f(g) && (_ = g.constructor, typeof _ == "function" && (_ === Array || f(_.prototype)) ? _ = void 0 : d(_) && (_ = _[v], _ === null && (_ = void 0))), new (_ === void 0 ? Array : _)(y === 0 ? 0 : y);
            };
          }
        ),
        /***/
        "69f3": (
          /***/
          function(l, u, c) {
            var d = c("7f9a"), f = c("da84"), p = c("861d"), v = c("9112"), g = c("5135"), y = c("f772"), _ = c("d012"), S = f.WeakMap, C, b, T, E = function(O) {
              return T(O) ? b(O) : C(O, {});
            }, x = function(O) {
              return function(M) {
                var F;
                if (!p(M) || (F = b(M)).type !== O)
                  throw TypeError("Incompatible receiver, " + O + " required");
                return F;
              };
            };
            if (d) {
              var $ = new S(), A = $.get, N = $.has, P = $.set;
              C = function(O, M) {
                return P.call($, O, M), M;
              }, b = function(O) {
                return A.call($, O) || {};
              }, T = function(O) {
                return N.call($, O);
              };
            } else {
              var L = y("state");
              _[L] = !0, C = function(O, M) {
                return v(O, L, M), M;
              }, b = function(O) {
                return g(O, L) ? O[L] : {};
              }, T = function(O) {
                return g(O, L);
              };
            }
            l.exports = {
              set: C,
              get: b,
              has: T,
              enforce: E,
              getterFor: x
            };
          }
        ),
        /***/
        "6eeb": (
          /***/
          function(l, u, c) {
            var d = c("da84"), f = c("9112"), p = c("5135"), v = c("ce4e"), g = c("8925"), y = c("69f3"), _ = y.get, S = y.enforce, C = String(String).split("String");
            (l.exports = function(b, T, E, x) {
              var $ = x ? !!x.unsafe : !1, A = x ? !!x.enumerable : !1, N = x ? !!x.noTargetGet : !1;
              if (typeof E == "function" && (typeof T == "string" && !p(E, "name") && f(E, "name", T), S(E).source = C.join(typeof T == "string" ? T : "")), b === d) {
                A ? b[T] = E : v(T, E);
                return;
              } else $ ? !N && b[T] && (A = !0) : delete b[T];
              A ? b[T] = E : f(b, T, E);
            })(Function.prototype, "toString", function() {
              return typeof this == "function" && _(this).source || g(this);
            });
          }
        ),
        /***/
        "6f53": (
          /***/
          function(l, u, c) {
            var d = c("83ab"), f = c("df75"), p = c("fc6a"), v = c("d1e7").f, g = function(y) {
              return function(_) {
                for (var S = p(_), C = f(S), b = C.length, T = 0, E = [], x; b > T; )
                  x = C[T++], (!d || v.call(S, x)) && E.push(y ? [x, S[x]] : S[x]);
                return E;
              };
            };
            l.exports = {
              // `Object.entries` method
              // https://tc39.github.io/ecma262/#sec-object.entries
              entries: g(!0),
              // `Object.values` method
              // https://tc39.github.io/ecma262/#sec-object.values
              values: g(!1)
            };
          }
        ),
        /***/
        "73d9": (
          /***/
          function(l, u, c) {
            var d = c("44d2");
            d("flatMap");
          }
        ),
        /***/
        7418: (
          /***/
          function(l, u) {
            u.f = Object.getOwnPropertySymbols;
          }
        ),
        /***/
        "746f": (
          /***/
          function(l, u, c) {
            var d = c("428f"), f = c("5135"), p = c("e538"), v = c("9bf2").f;
            l.exports = function(g) {
              var y = d.Symbol || (d.Symbol = {});
              f(y, g) || v(y, g, {
                value: p.f(g)
              });
            };
          }
        ),
        /***/
        7839: (
          /***/
          function(l, u) {
            l.exports = [
              "constructor",
              "hasOwnProperty",
              "isPrototypeOf",
              "propertyIsEnumerable",
              "toLocaleString",
              "toString",
              "valueOf"
            ];
          }
        ),
        /***/
        "7b0b": (
          /***/
          function(l, u, c) {
            var d = c("1d80");
            l.exports = function(f) {
              return Object(d(f));
            };
          }
        ),
        /***/
        "7c73": (
          /***/
          function(l, u, c) {
            var d = c("825a"), f = c("37e8"), p = c("7839"), v = c("d012"), g = c("1be4"), y = c("cc12"), _ = c("f772"), S = ">", C = "<", b = "prototype", T = "script", E = _("IE_PROTO"), x = function() {
            }, $ = function(O) {
              return C + T + S + O + C + "/" + T + S;
            }, A = function(O) {
              O.write($("")), O.close();
              var M = O.parentWindow.Object;
              return O = null, M;
            }, N = function() {
              var O = y("iframe"), M = "java" + T + ":", F;
              return O.style.display = "none", g.appendChild(O), O.src = String(M), F = O.contentWindow.document, F.open(), F.write($("document.F=Object")), F.close(), F.F;
            }, P, L = function() {
              try {
                P = document.domain && new ActiveXObject("htmlfile");
              } catch {
              }
              L = P ? A(P) : N();
              for (var O = p.length; O--; ) delete L[b][p[O]];
              return L();
            };
            v[E] = !0, l.exports = Object.create || function(M, F) {
              var U;
              return M !== null ? (x[b] = d(M), U = new x(), x[b] = null, U[E] = M) : U = L(), F === void 0 ? U : f(U, F);
            };
          }
        ),
        /***/
        "7dd0": (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("9ed3"), p = c("e163"), v = c("d2bb"), g = c("d44e"), y = c("9112"), _ = c("6eeb"), S = c("b622"), C = c("c430"), b = c("3f8c"), T = c("ae93"), E = T.IteratorPrototype, x = T.BUGGY_SAFARI_ITERATORS, $ = S("iterator"), A = "keys", N = "values", P = "entries", L = function() {
              return this;
            };
            l.exports = function(O, M, F, U, R, H, V) {
              f(F, M, U);
              var Y = function($e) {
                if ($e === R && X) return X;
                if (!x && $e in re) return re[$e];
                switch ($e) {
                  case A:
                    return function() {
                      return new F(this, $e);
                    };
                  case N:
                    return function() {
                      return new F(this, $e);
                    };
                  case P:
                    return function() {
                      return new F(this, $e);
                    };
                }
                return function() {
                  return new F(this);
                };
              }, G = M + " Iterator", Z = !1, re = O.prototype, de = re[$] || re["@@iterator"] || R && re[R], X = !x && de || Y(R), W = M == "Array" && re.entries || de, te, ae, Te;
              if (W && (te = p(W.call(new O())), E !== Object.prototype && te.next && (!C && p(te) !== E && (v ? v(te, E) : typeof te[$] != "function" && y(te, $, L)), g(te, G, !0, !0), C && (b[G] = L))), R == N && de && de.name !== N && (Z = !0, X = function() {
                return de.call(this);
              }), (!C || V) && re[$] !== X && y(re, $, X), b[M] = X, R)
                if (ae = {
                  values: Y(N),
                  keys: H ? X : Y(A),
                  entries: Y(P)
                }, V) for (Te in ae)
                  (x || Z || !(Te in re)) && _(re, Te, ae[Te]);
                else d({ target: M, proto: !0, forced: x || Z }, ae);
              return ae;
            };
          }
        ),
        /***/
        "7f9a": (
          /***/
          function(l, u, c) {
            var d = c("da84"), f = c("8925"), p = d.WeakMap;
            l.exports = typeof p == "function" && /native code/.test(f(p));
          }
        ),
        /***/
        "825a": (
          /***/
          function(l, u, c) {
            var d = c("861d");
            l.exports = function(f) {
              if (!d(f))
                throw TypeError(String(f) + " is not an object");
              return f;
            };
          }
        ),
        /***/
        "83ab": (
          /***/
          function(l, u, c) {
            var d = c("d039");
            l.exports = !d(function() {
              return Object.defineProperty({}, 1, { get: function() {
                return 7;
              } })[1] != 7;
            });
          }
        ),
        /***/
        8418: (
          /***/
          function(l, u, c) {
            var d = c("c04e"), f = c("9bf2"), p = c("5c6c");
            l.exports = function(v, g, y) {
              var _ = d(g);
              _ in v ? f.f(v, _, p(0, y)) : v[_] = y;
            };
          }
        ),
        /***/
        "861d": (
          /***/
          function(l, u) {
            l.exports = function(c) {
              return typeof c == "object" ? c !== null : typeof c == "function";
            };
          }
        ),
        /***/
        8875: (
          /***/
          function(l, u, c) {
            var d, f, p;
            (function(v, g) {
              f = [], d = g, p = typeof d == "function" ? d.apply(u, f) : d, p !== void 0 && (l.exports = p);
            })(typeof self < "u" ? self : this, function() {
              function v() {
                var g = Object.getOwnPropertyDescriptor(document, "currentScript");
                if (!g && "currentScript" in document && document.currentScript || g && g.get !== v && document.currentScript)
                  return document.currentScript;
                try {
                  throw new Error();
                } catch (P) {
                  var y = /.*at [^(]*\((.*):(.+):(.+)\)$/ig, _ = /@([^@]*):(\d+):(\d+)\s*$/ig, S = y.exec(P.stack) || _.exec(P.stack), C = S && S[1] || !1, b = S && S[2] || !1, T = document.location.href.replace(document.location.hash, ""), E, x, $, A = document.getElementsByTagName("script");
                  C === T && (E = document.documentElement.outerHTML, x = new RegExp("(?:[^\\n]+?\\n){0," + (b - 2) + "}[^<]*<script>([\\d\\D]*?)<\\/script>[\\d\\D]*", "i"), $ = E.replace(x, "$1").trim());
                  for (var N = 0; N < A.length; N++)
                    if (A[N].readyState === "interactive" || A[N].src === C || C === T && A[N].innerHTML && A[N].innerHTML.trim() === $)
                      return A[N];
                  return null;
                }
              }
              return v;
            });
          }
        ),
        /***/
        8925: (
          /***/
          function(l, u, c) {
            var d = c("c6cd"), f = Function.toString;
            typeof d.inspectSource != "function" && (d.inspectSource = function(p) {
              return f.call(p);
            }), l.exports = d.inspectSource;
          }
        ),
        /***/
        "8aa5": (
          /***/
          function(l, u, c) {
            var d = c("6547").charAt;
            l.exports = function(f, p, v) {
              return p + (v ? d(f, p).length : 1);
            };
          }
        ),
        /***/
        "8bbf": (
          /***/
          function(l, u) {
            l.exports = o;
          }
        ),
        /***/
        "90e3": (
          /***/
          function(l, u) {
            var c = 0, d = Math.random();
            l.exports = function(f) {
              return "Symbol(" + String(f === void 0 ? "" : f) + ")_" + (++c + d).toString(36);
            };
          }
        ),
        /***/
        9112: (
          /***/
          function(l, u, c) {
            var d = c("83ab"), f = c("9bf2"), p = c("5c6c");
            l.exports = d ? function(v, g, y) {
              return f.f(v, g, p(1, y));
            } : function(v, g, y) {
              return v[g] = y, v;
            };
          }
        ),
        /***/
        9263: (
          /***/
          function(l, u, c) {
            var d = c("ad6d"), f = c("9f7f"), p = RegExp.prototype.exec, v = String.prototype.replace, g = p, y = function() {
              var b = /a/, T = /b*/g;
              return p.call(b, "a"), p.call(T, "a"), b.lastIndex !== 0 || T.lastIndex !== 0;
            }(), _ = f.UNSUPPORTED_Y || f.BROKEN_CARET, S = /()??/.exec("")[1] !== void 0, C = y || S || _;
            C && (g = function(T) {
              var E = this, x, $, A, N, P = _ && E.sticky, L = d.call(E), O = E.source, M = 0, F = T;
              return P && (L = L.replace("y", ""), L.indexOf("g") === -1 && (L += "g"), F = String(T).slice(E.lastIndex), E.lastIndex > 0 && (!E.multiline || E.multiline && T[E.lastIndex - 1] !== `
`) && (O = "(?: " + O + ")", F = " " + F, M++), $ = new RegExp("^(?:" + O + ")", L)), S && ($ = new RegExp("^" + O + "$(?!\\s)", L)), y && (x = E.lastIndex), A = p.call(P ? $ : E, F), P ? A ? (A.input = A.input.slice(M), A[0] = A[0].slice(M), A.index = E.lastIndex, E.lastIndex += A[0].length) : E.lastIndex = 0 : y && A && (E.lastIndex = E.global ? A.index + A[0].length : x), S && A && A.length > 1 && v.call(A[0], $, function() {
                for (N = 1; N < arguments.length - 2; N++)
                  arguments[N] === void 0 && (A[N] = void 0);
              }), A;
            }), l.exports = g;
          }
        ),
        /***/
        "94ca": (
          /***/
          function(l, u, c) {
            var d = c("d039"), f = /#|\.prototype\./, p = function(S, C) {
              var b = g[v(S)];
              return b == _ ? !0 : b == y ? !1 : typeof C == "function" ? d(C) : !!C;
            }, v = p.normalize = function(S) {
              return String(S).replace(f, ".").toLowerCase();
            }, g = p.data = {}, y = p.NATIVE = "N", _ = p.POLYFILL = "P";
            l.exports = p;
          }
        ),
        /***/
        "99af": (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("d039"), p = c("e8b5"), v = c("861d"), g = c("7b0b"), y = c("50c4"), _ = c("8418"), S = c("65f0"), C = c("1dde"), b = c("b622"), T = c("2d00"), E = b("isConcatSpreadable"), x = 9007199254740991, $ = "Maximum allowed index exceeded", A = T >= 51 || !f(function() {
              var O = [];
              return O[E] = !1, O.concat()[0] !== O;
            }), N = C("concat"), P = function(O) {
              if (!v(O)) return !1;
              var M = O[E];
              return M !== void 0 ? !!M : p(O);
            }, L = !A || !N;
            d({ target: "Array", proto: !0, forced: L }, {
              concat: function(M) {
                var F = g(this), U = S(F, 0), R = 0, H, V, Y, G, Z;
                for (H = -1, Y = arguments.length; H < Y; H++)
                  if (Z = H === -1 ? F : arguments[H], P(Z)) {
                    if (G = y(Z.length), R + G > x) throw TypeError($);
                    for (V = 0; V < G; V++, R++) V in Z && _(U, R, Z[V]);
                  } else {
                    if (R >= x) throw TypeError($);
                    _(U, R++, Z);
                  }
                return U.length = R, U;
              }
            });
          }
        ),
        /***/
        "9bdd": (
          /***/
          function(l, u, c) {
            var d = c("825a");
            l.exports = function(f, p, v, g) {
              try {
                return g ? p(d(v)[0], v[1]) : p(v);
              } catch (_) {
                var y = f.return;
                throw y !== void 0 && d(y.call(f)), _;
              }
            };
          }
        ),
        /***/
        "9bf2": (
          /***/
          function(l, u, c) {
            var d = c("83ab"), f = c("0cfb"), p = c("825a"), v = c("c04e"), g = Object.defineProperty;
            u.f = d ? g : function(_, S, C) {
              if (p(_), S = v(S, !0), p(C), f) try {
                return g(_, S, C);
              } catch {
              }
              if ("get" in C || "set" in C) throw TypeError("Accessors not supported");
              return "value" in C && (_[S] = C.value), _;
            };
          }
        ),
        /***/
        "9ed3": (
          /***/
          function(l, u, c) {
            var d = c("ae93").IteratorPrototype, f = c("7c73"), p = c("5c6c"), v = c("d44e"), g = c("3f8c"), y = function() {
              return this;
            };
            l.exports = function(_, S, C) {
              var b = S + " Iterator";
              return _.prototype = f(d, { next: p(1, C) }), v(_, b, !1, !0), g[b] = y, _;
            };
          }
        ),
        /***/
        "9f7f": (
          /***/
          function(l, u, c) {
            var d = c("d039");
            function f(p, v) {
              return RegExp(p, v);
            }
            u.UNSUPPORTED_Y = d(function() {
              var p = f("a", "y");
              return p.lastIndex = 2, p.exec("abcd") != null;
            }), u.BROKEN_CARET = d(function() {
              var p = f("^r", "gy");
              return p.lastIndex = 2, p.exec("str") != null;
            });
          }
        ),
        /***/
        a2bf: (
          /***/
          function(l, u, c) {
            var d = c("e8b5"), f = c("50c4"), p = c("0366"), v = function(g, y, _, S, C, b, T, E) {
              for (var x = C, $ = 0, A = T ? p(T, E, 3) : !1, N; $ < S; ) {
                if ($ in _) {
                  if (N = A ? A(_[$], $, y) : _[$], b > 0 && d(N))
                    x = v(g, y, N, f(N.length), x, b - 1) - 1;
                  else {
                    if (x >= 9007199254740991) throw TypeError("Exceed the acceptable array length");
                    g[x] = N;
                  }
                  x++;
                }
                $++;
              }
              return x;
            };
            l.exports = v;
          }
        ),
        /***/
        a352: (
          /***/
          function(l, u) {
            l.exports = s;
          }
        ),
        /***/
        a434: (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("23cb"), p = c("a691"), v = c("50c4"), g = c("7b0b"), y = c("65f0"), _ = c("8418"), S = c("1dde"), C = c("ae40"), b = S("splice"), T = C("splice", { ACCESSORS: !0, 0: 0, 1: 2 }), E = Math.max, x = Math.min, $ = 9007199254740991, A = "Maximum allowed length exceeded";
            d({ target: "Array", proto: !0, forced: !b || !T }, {
              splice: function(P, L) {
                var O = g(this), M = v(O.length), F = f(P, M), U = arguments.length, R, H, V, Y, G, Z;
                if (U === 0 ? R = H = 0 : U === 1 ? (R = 0, H = M - F) : (R = U - 2, H = x(E(p(L), 0), M - F)), M + R - H > $)
                  throw TypeError(A);
                for (V = y(O, H), Y = 0; Y < H; Y++)
                  G = F + Y, G in O && _(V, Y, O[G]);
                if (V.length = H, R < H) {
                  for (Y = F; Y < M - H; Y++)
                    G = Y + H, Z = Y + R, G in O ? O[Z] = O[G] : delete O[Z];
                  for (Y = M; Y > M - H + R; Y--) delete O[Y - 1];
                } else if (R > H)
                  for (Y = M - H; Y > F; Y--)
                    G = Y + H - 1, Z = Y + R - 1, G in O ? O[Z] = O[G] : delete O[Z];
                for (Y = 0; Y < R; Y++)
                  O[Y + F] = arguments[Y + 2];
                return O.length = M - H + R, V;
              }
            });
          }
        ),
        /***/
        a4d3: (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("da84"), p = c("d066"), v = c("c430"), g = c("83ab"), y = c("4930"), _ = c("fdbf"), S = c("d039"), C = c("5135"), b = c("e8b5"), T = c("861d"), E = c("825a"), x = c("7b0b"), $ = c("fc6a"), A = c("c04e"), N = c("5c6c"), P = c("7c73"), L = c("df75"), O = c("241c"), M = c("057f"), F = c("7418"), U = c("06cf"), R = c("9bf2"), H = c("d1e7"), V = c("9112"), Y = c("6eeb"), G = c("5692"), Z = c("f772"), re = c("d012"), de = c("90e3"), X = c("b622"), W = c("e538"), te = c("746f"), ae = c("d44e"), Te = c("69f3"), $e = c("b727").forEach, se = Z("hidden"), fe = "Symbol", ce = "prototype", ge = X("toPrimitive"), ve = Te.set, xe = Te.getterFor(fe), Ae = Object[ce], oe = f.Symbol, De = p("JSON", "stringify"), Re = U.f, Me = R.f, ct = M.f, mt = H.f, q = G("symbols"), Q = G("op-symbols"), _e = G("string-to-symbol-registry"), Ie = G("symbol-to-string-registry"), ot = G("wks"), Xe = f.QObject, Qe = !Xe || !Xe[ce] || !Xe[ce].findChild, me = g && S(function() {
              return P(Me({}, "a", {
                get: function() {
                  return Me(this, "a", { value: 7 }).a;
                }
              })).a != 7;
            }) ? function(He, ke, Be) {
              var Je = Re(Ae, ke);
              Je && delete Ae[ke], Me(He, ke, Be), Je && He !== Ae && Me(Ae, ke, Je);
            } : Me, Ee = function(He, ke) {
              var Be = q[He] = P(oe[ce]);
              return ve(Be, {
                type: fe,
                tag: He,
                description: ke
              }), g || (Be.description = ke), Be;
            }, ne = _ ? function(He) {
              return typeof He == "symbol";
            } : function(He) {
              return Object(He) instanceof oe;
            }, le = function(ke, Be, Je) {
              ke === Ae && le(Q, Be, Je), E(ke);
              var tt = A(Be, !0);
              return E(Je), C(q, tt) ? (Je.enumerable ? (C(ke, se) && ke[se][tt] && (ke[se][tt] = !1), Je = P(Je, { enumerable: N(0, !1) })) : (C(ke, se) || Me(ke, se, N(1, {})), ke[se][tt] = !0), me(ke, tt, Je)) : Me(ke, tt, Je);
            }, he = function(ke, Be) {
              E(ke);
              var Je = $(Be), tt = L(Je).concat(qe(Je));
              return $e(tt, function(xt) {
                (!g || Pe.call(Je, xt)) && le(ke, xt, Je[xt]);
              }), ke;
            }, be = function(ke, Be) {
              return Be === void 0 ? P(ke) : he(P(ke), Be);
            }, Pe = function(ke) {
              var Be = A(ke, !0), Je = mt.call(this, Be);
              return this === Ae && C(q, Be) && !C(Q, Be) ? !1 : Je || !C(this, Be) || !C(q, Be) || C(this, se) && this[se][Be] ? Je : !0;
            }, Ve = function(ke, Be) {
              var Je = $(ke), tt = A(Be, !0);
              if (!(Je === Ae && C(q, tt) && !C(Q, tt))) {
                var xt = Re(Je, tt);
                return xt && C(q, tt) && !(C(Je, se) && Je[se][tt]) && (xt.enumerable = !0), xt;
              }
            }, Ge = function(ke) {
              var Be = ct($(ke)), Je = [];
              return $e(Be, function(tt) {
                !C(q, tt) && !C(re, tt) && Je.push(tt);
              }), Je;
            }, qe = function(ke) {
              var Be = ke === Ae, Je = ct(Be ? Q : $(ke)), tt = [];
              return $e(Je, function(xt) {
                C(q, xt) && (!Be || C(Ae, xt)) && tt.push(q[xt]);
              }), tt;
            };
            if (y || (oe = function() {
              if (this instanceof oe) throw TypeError("Symbol is not a constructor");
              var ke = !arguments.length || arguments[0] === void 0 ? void 0 : String(arguments[0]), Be = de(ke), Je = function(tt) {
                this === Ae && Je.call(Q, tt), C(this, se) && C(this[se], Be) && (this[se][Be] = !1), me(this, Be, N(1, tt));
              };
              return g && Qe && me(Ae, Be, { configurable: !0, set: Je }), Ee(Be, ke);
            }, Y(oe[ce], "toString", function() {
              return xe(this).tag;
            }), Y(oe, "withoutSetter", function(He) {
              return Ee(de(He), He);
            }), H.f = Pe, R.f = le, U.f = Ve, O.f = M.f = Ge, F.f = qe, W.f = function(He) {
              return Ee(X(He), He);
            }, g && (Me(oe[ce], "description", {
              configurable: !0,
              get: function() {
                return xe(this).description;
              }
            }), v || Y(Ae, "propertyIsEnumerable", Pe, { unsafe: !0 }))), d({ global: !0, wrap: !0, forced: !y, sham: !y }, {
              Symbol: oe
            }), $e(L(ot), function(He) {
              te(He);
            }), d({ target: fe, stat: !0, forced: !y }, {
              // `Symbol.for` method
              // https://tc39.github.io/ecma262/#sec-symbol.for
              for: function(He) {
                var ke = String(He);
                if (C(_e, ke)) return _e[ke];
                var Be = oe(ke);
                return _e[ke] = Be, Ie[Be] = ke, Be;
              },
              // `Symbol.keyFor` method
              // https://tc39.github.io/ecma262/#sec-symbol.keyfor
              keyFor: function(ke) {
                if (!ne(ke)) throw TypeError(ke + " is not a symbol");
                if (C(Ie, ke)) return Ie[ke];
              },
              useSetter: function() {
                Qe = !0;
              },
              useSimple: function() {
                Qe = !1;
              }
            }), d({ target: "Object", stat: !0, forced: !y, sham: !g }, {
              // `Object.create` method
              // https://tc39.github.io/ecma262/#sec-object.create
              create: be,
              // `Object.defineProperty` method
              // https://tc39.github.io/ecma262/#sec-object.defineproperty
              defineProperty: le,
              // `Object.defineProperties` method
              // https://tc39.github.io/ecma262/#sec-object.defineproperties
              defineProperties: he,
              // `Object.getOwnPropertyDescriptor` method
              // https://tc39.github.io/ecma262/#sec-object.getownpropertydescriptors
              getOwnPropertyDescriptor: Ve
            }), d({ target: "Object", stat: !0, forced: !y }, {
              // `Object.getOwnPropertyNames` method
              // https://tc39.github.io/ecma262/#sec-object.getownpropertynames
              getOwnPropertyNames: Ge,
              // `Object.getOwnPropertySymbols` method
              // https://tc39.github.io/ecma262/#sec-object.getownpropertysymbols
              getOwnPropertySymbols: qe
            }), d({ target: "Object", stat: !0, forced: S(function() {
              F.f(1);
            }) }, {
              getOwnPropertySymbols: function(ke) {
                return F.f(x(ke));
              }
            }), De) {
              var ht = !y || S(function() {
                var He = oe();
                return De([He]) != "[null]" || De({ a: He }) != "{}" || De(Object(He)) != "{}";
              });
              d({ target: "JSON", stat: !0, forced: ht }, {
                // eslint-disable-next-line no-unused-vars
                stringify: function(ke, Be, Je) {
                  for (var tt = [ke], xt = 1, Wr; arguments.length > xt; ) tt.push(arguments[xt++]);
                  if (Wr = Be, !(!T(Be) && ke === void 0 || ne(ke)))
                    return b(Be) || (Be = function(Za, Nr) {
                      if (typeof Wr == "function" && (Nr = Wr.call(this, Za, Nr)), !ne(Nr)) return Nr;
                    }), tt[1] = Be, De.apply(null, tt);
                }
              });
            }
            oe[ce][ge] || V(oe[ce], ge, oe[ce].valueOf), ae(oe, fe), re[se] = !0;
          }
        ),
        /***/
        a630: (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("4df4"), p = c("1c7e"), v = !p(function(g) {
              Array.from(g);
            });
            d({ target: "Array", stat: !0, forced: v }, {
              from: f
            });
          }
        ),
        /***/
        a640: (
          /***/
          function(l, u, c) {
            var d = c("d039");
            l.exports = function(f, p) {
              var v = [][f];
              return !!v && d(function() {
                v.call(null, p || function() {
                  throw 1;
                }, 1);
              });
            };
          }
        ),
        /***/
        a691: (
          /***/
          function(l, u) {
            var c = Math.ceil, d = Math.floor;
            l.exports = function(f) {
              return isNaN(f = +f) ? 0 : (f > 0 ? d : c)(f);
            };
          }
        ),
        /***/
        ab13: (
          /***/
          function(l, u, c) {
            var d = c("b622"), f = d("match");
            l.exports = function(p) {
              var v = /./;
              try {
                "/./"[p](v);
              } catch {
                try {
                  return v[f] = !1, "/./"[p](v);
                } catch {
                }
              }
              return !1;
            };
          }
        ),
        /***/
        ac1f: (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("9263");
            d({ target: "RegExp", proto: !0, forced: /./.exec !== f }, {
              exec: f
            });
          }
        ),
        /***/
        ad6d: (
          /***/
          function(l, u, c) {
            var d = c("825a");
            l.exports = function() {
              var f = d(this), p = "";
              return f.global && (p += "g"), f.ignoreCase && (p += "i"), f.multiline && (p += "m"), f.dotAll && (p += "s"), f.unicode && (p += "u"), f.sticky && (p += "y"), p;
            };
          }
        ),
        /***/
        ae40: (
          /***/
          function(l, u, c) {
            var d = c("83ab"), f = c("d039"), p = c("5135"), v = Object.defineProperty, g = {}, y = function(_) {
              throw _;
            };
            l.exports = function(_, S) {
              if (p(g, _)) return g[_];
              S || (S = {});
              var C = [][_], b = p(S, "ACCESSORS") ? S.ACCESSORS : !1, T = p(S, 0) ? S[0] : y, E = p(S, 1) ? S[1] : void 0;
              return g[_] = !!C && !f(function() {
                if (b && !d) return !0;
                var x = { length: -1 };
                b ? v(x, 1, { enumerable: !0, get: y }) : x[1] = 1, C.call(x, T, E);
              });
            };
          }
        ),
        /***/
        ae93: (
          /***/
          function(l, u, c) {
            var d = c("e163"), f = c("9112"), p = c("5135"), v = c("b622"), g = c("c430"), y = v("iterator"), _ = !1, S = function() {
              return this;
            }, C, b, T;
            [].keys && (T = [].keys(), "next" in T ? (b = d(d(T)), b !== Object.prototype && (C = b)) : _ = !0), C == null && (C = {}), !g && !p(C, y) && f(C, y, S), l.exports = {
              IteratorPrototype: C,
              BUGGY_SAFARI_ITERATORS: _
            };
          }
        ),
        /***/
        b041: (
          /***/
          function(l, u, c) {
            var d = c("00ee"), f = c("f5df");
            l.exports = d ? {}.toString : function() {
              return "[object " + f(this) + "]";
            };
          }
        ),
        /***/
        b0c0: (
          /***/
          function(l, u, c) {
            var d = c("83ab"), f = c("9bf2").f, p = Function.prototype, v = p.toString, g = /^\s*function ([^ (]*)/, y = "name";
            d && !(y in p) && f(p, y, {
              configurable: !0,
              get: function() {
                try {
                  return v.call(this).match(g)[1];
                } catch {
                  return "";
                }
              }
            });
          }
        ),
        /***/
        b622: (
          /***/
          function(l, u, c) {
            var d = c("da84"), f = c("5692"), p = c("5135"), v = c("90e3"), g = c("4930"), y = c("fdbf"), _ = f("wks"), S = d.Symbol, C = y ? S : S && S.withoutSetter || v;
            l.exports = function(b) {
              return p(_, b) || (g && p(S, b) ? _[b] = S[b] : _[b] = C("Symbol." + b)), _[b];
            };
          }
        ),
        /***/
        b64b: (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("7b0b"), p = c("df75"), v = c("d039"), g = v(function() {
              p(1);
            });
            d({ target: "Object", stat: !0, forced: g }, {
              keys: function(_) {
                return p(f(_));
              }
            });
          }
        ),
        /***/
        b727: (
          /***/
          function(l, u, c) {
            var d = c("0366"), f = c("44ad"), p = c("7b0b"), v = c("50c4"), g = c("65f0"), y = [].push, _ = function(S) {
              var C = S == 1, b = S == 2, T = S == 3, E = S == 4, x = S == 6, $ = S == 5 || x;
              return function(A, N, P, L) {
                for (var O = p(A), M = f(O), F = d(N, P, 3), U = v(M.length), R = 0, H = L || g, V = C ? H(A, U) : b ? H(A, 0) : void 0, Y, G; U > R; R++) if (($ || R in M) && (Y = M[R], G = F(Y, R, O), S)) {
                  if (C) V[R] = G;
                  else if (G) switch (S) {
                    case 3:
                      return !0;
                    case 5:
                      return Y;
                    case 6:
                      return R;
                    case 2:
                      y.call(V, Y);
                  }
                  else if (E) return !1;
                }
                return x ? -1 : T || E ? E : V;
              };
            };
            l.exports = {
              // `Array.prototype.forEach` method
              // https://tc39.github.io/ecma262/#sec-array.prototype.foreach
              forEach: _(0),
              // `Array.prototype.map` method
              // https://tc39.github.io/ecma262/#sec-array.prototype.map
              map: _(1),
              // `Array.prototype.filter` method
              // https://tc39.github.io/ecma262/#sec-array.prototype.filter
              filter: _(2),
              // `Array.prototype.some` method
              // https://tc39.github.io/ecma262/#sec-array.prototype.some
              some: _(3),
              // `Array.prototype.every` method
              // https://tc39.github.io/ecma262/#sec-array.prototype.every
              every: _(4),
              // `Array.prototype.find` method
              // https://tc39.github.io/ecma262/#sec-array.prototype.find
              find: _(5),
              // `Array.prototype.findIndex` method
              // https://tc39.github.io/ecma262/#sec-array.prototype.findIndex
              findIndex: _(6)
            };
          }
        ),
        /***/
        c04e: (
          /***/
          function(l, u, c) {
            var d = c("861d");
            l.exports = function(f, p) {
              if (!d(f)) return f;
              var v, g;
              if (p && typeof (v = f.toString) == "function" && !d(g = v.call(f)) || typeof (v = f.valueOf) == "function" && !d(g = v.call(f)) || !p && typeof (v = f.toString) == "function" && !d(g = v.call(f))) return g;
              throw TypeError("Can't convert object to primitive value");
            };
          }
        ),
        /***/
        c430: (
          /***/
          function(l, u) {
            l.exports = !1;
          }
        ),
        /***/
        c6b6: (
          /***/
          function(l, u) {
            var c = {}.toString;
            l.exports = function(d) {
              return c.call(d).slice(8, -1);
            };
          }
        ),
        /***/
        c6cd: (
          /***/
          function(l, u, c) {
            var d = c("da84"), f = c("ce4e"), p = "__core-js_shared__", v = d[p] || f(p, {});
            l.exports = v;
          }
        ),
        /***/
        c740: (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("b727").findIndex, p = c("44d2"), v = c("ae40"), g = "findIndex", y = !0, _ = v(g);
            g in [] && Array(1)[g](function() {
              y = !1;
            }), d({ target: "Array", proto: !0, forced: y || !_ }, {
              findIndex: function(C) {
                return f(this, C, arguments.length > 1 ? arguments[1] : void 0);
              }
            }), p(g);
          }
        ),
        /***/
        c8ba: (
          /***/
          function(l, u) {
            var c;
            c = /* @__PURE__ */ function() {
              return this;
            }();
            try {
              c = c || new Function("return this")();
            } catch {
              typeof window == "object" && (c = window);
            }
            l.exports = c;
          }
        ),
        /***/
        c975: (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("4d64").indexOf, p = c("a640"), v = c("ae40"), g = [].indexOf, y = !!g && 1 / [1].indexOf(1, -0) < 0, _ = p("indexOf"), S = v("indexOf", { ACCESSORS: !0, 1: 0 });
            d({ target: "Array", proto: !0, forced: y || !_ || !S }, {
              indexOf: function(b) {
                return y ? g.apply(this, arguments) || 0 : f(this, b, arguments.length > 1 ? arguments[1] : void 0);
              }
            });
          }
        ),
        /***/
        ca84: (
          /***/
          function(l, u, c) {
            var d = c("5135"), f = c("fc6a"), p = c("4d64").indexOf, v = c("d012");
            l.exports = function(g, y) {
              var _ = f(g), S = 0, C = [], b;
              for (b in _) !d(v, b) && d(_, b) && C.push(b);
              for (; y.length > S; ) d(_, b = y[S++]) && (~p(C, b) || C.push(b));
              return C;
            };
          }
        ),
        /***/
        caad: (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("4d64").includes, p = c("44d2"), v = c("ae40"), g = v("indexOf", { ACCESSORS: !0, 1: 0 });
            d({ target: "Array", proto: !0, forced: !g }, {
              includes: function(_) {
                return f(this, _, arguments.length > 1 ? arguments[1] : void 0);
              }
            }), p("includes");
          }
        ),
        /***/
        cc12: (
          /***/
          function(l, u, c) {
            var d = c("da84"), f = c("861d"), p = d.document, v = f(p) && f(p.createElement);
            l.exports = function(g) {
              return v ? p.createElement(g) : {};
            };
          }
        ),
        /***/
        ce4e: (
          /***/
          function(l, u, c) {
            var d = c("da84"), f = c("9112");
            l.exports = function(p, v) {
              try {
                f(d, p, v);
              } catch {
                d[p] = v;
              }
              return v;
            };
          }
        ),
        /***/
        d012: (
          /***/
          function(l, u) {
            l.exports = {};
          }
        ),
        /***/
        d039: (
          /***/
          function(l, u) {
            l.exports = function(c) {
              try {
                return !!c();
              } catch {
                return !0;
              }
            };
          }
        ),
        /***/
        d066: (
          /***/
          function(l, u, c) {
            var d = c("428f"), f = c("da84"), p = function(v) {
              return typeof v == "function" ? v : void 0;
            };
            l.exports = function(v, g) {
              return arguments.length < 2 ? p(d[v]) || p(f[v]) : d[v] && d[v][g] || f[v] && f[v][g];
            };
          }
        ),
        /***/
        d1e7: (
          /***/
          function(l, u, c) {
            var d = {}.propertyIsEnumerable, f = Object.getOwnPropertyDescriptor, p = f && !d.call({ 1: 2 }, 1);
            u.f = p ? function(g) {
              var y = f(this, g);
              return !!y && y.enumerable;
            } : d;
          }
        ),
        /***/
        d28b: (
          /***/
          function(l, u, c) {
            var d = c("746f");
            d("iterator");
          }
        ),
        /***/
        d2bb: (
          /***/
          function(l, u, c) {
            var d = c("825a"), f = c("3bbe");
            l.exports = Object.setPrototypeOf || ("__proto__" in {} ? function() {
              var p = !1, v = {}, g;
              try {
                g = Object.getOwnPropertyDescriptor(Object.prototype, "__proto__").set, g.call(v, []), p = v instanceof Array;
              } catch {
              }
              return function(_, S) {
                return d(_), f(S), p ? g.call(_, S) : _.__proto__ = S, _;
              };
            }() : void 0);
          }
        ),
        /***/
        d3b7: (
          /***/
          function(l, u, c) {
            var d = c("00ee"), f = c("6eeb"), p = c("b041");
            d || f(Object.prototype, "toString", p, { unsafe: !0 });
          }
        ),
        /***/
        d44e: (
          /***/
          function(l, u, c) {
            var d = c("9bf2").f, f = c("5135"), p = c("b622"), v = p("toStringTag");
            l.exports = function(g, y, _) {
              g && !f(g = _ ? g : g.prototype, v) && d(g, v, { configurable: !0, value: y });
            };
          }
        ),
        /***/
        d58f: (
          /***/
          function(l, u, c) {
            var d = c("1c0b"), f = c("7b0b"), p = c("44ad"), v = c("50c4"), g = function(y) {
              return function(_, S, C, b) {
                d(S);
                var T = f(_), E = p(T), x = v(T.length), $ = y ? x - 1 : 0, A = y ? -1 : 1;
                if (C < 2) for (; ; ) {
                  if ($ in E) {
                    b = E[$], $ += A;
                    break;
                  }
                  if ($ += A, y ? $ < 0 : x <= $)
                    throw TypeError("Reduce of empty array with no initial value");
                }
                for (; y ? $ >= 0 : x > $; $ += A) $ in E && (b = S(b, E[$], $, T));
                return b;
              };
            };
            l.exports = {
              // `Array.prototype.reduce` method
              // https://tc39.github.io/ecma262/#sec-array.prototype.reduce
              left: g(!1),
              // `Array.prototype.reduceRight` method
              // https://tc39.github.io/ecma262/#sec-array.prototype.reduceright
              right: g(!0)
            };
          }
        ),
        /***/
        d784: (
          /***/
          function(l, u, c) {
            c("ac1f");
            var d = c("6eeb"), f = c("d039"), p = c("b622"), v = c("9263"), g = c("9112"), y = p("species"), _ = !f(function() {
              var E = /./;
              return E.exec = function() {
                var x = [];
                return x.groups = { a: "7" }, x;
              }, "".replace(E, "$<a>") !== "7";
            }), S = function() {
              return "a".replace(/./, "$0") === "$0";
            }(), C = p("replace"), b = function() {
              return /./[C] ? /./[C]("a", "$0") === "" : !1;
            }(), T = !f(function() {
              var E = /(?:)/, x = E.exec;
              E.exec = function() {
                return x.apply(this, arguments);
              };
              var $ = "ab".split(E);
              return $.length !== 2 || $[0] !== "a" || $[1] !== "b";
            });
            l.exports = function(E, x, $, A) {
              var N = p(E), P = !f(function() {
                var R = {};
                return R[N] = function() {
                  return 7;
                }, ""[E](R) != 7;
              }), L = P && !f(function() {
                var R = !1, H = /a/;
                return E === "split" && (H = {}, H.constructor = {}, H.constructor[y] = function() {
                  return H;
                }, H.flags = "", H[N] = /./[N]), H.exec = function() {
                  return R = !0, null;
                }, H[N](""), !R;
              });
              if (!P || !L || E === "replace" && !(_ && S && !b) || E === "split" && !T) {
                var O = /./[N], M = $(N, ""[E], function(R, H, V, Y, G) {
                  return H.exec === v ? P && !G ? { done: !0, value: O.call(H, V, Y) } : { done: !0, value: R.call(V, H, Y) } : { done: !1 };
                }, {
                  REPLACE_KEEPS_$0: S,
                  REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE: b
                }), F = M[0], U = M[1];
                d(String.prototype, E, F), d(
                  RegExp.prototype,
                  N,
                  x == 2 ? function(R, H) {
                    return U.call(R, this, H);
                  } : function(R) {
                    return U.call(R, this);
                  }
                );
              }
              A && g(RegExp.prototype[N], "sham", !0);
            };
          }
        ),
        /***/
        d81d: (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("b727").map, p = c("1dde"), v = c("ae40"), g = p("map"), y = v("map");
            d({ target: "Array", proto: !0, forced: !g || !y }, {
              map: function(S) {
                return f(this, S, arguments.length > 1 ? arguments[1] : void 0);
              }
            });
          }
        ),
        /***/
        da84: (
          /***/
          function(l, u, c) {
            (function(d) {
              var f = function(p) {
                return p && p.Math == Math && p;
              };
              l.exports = // eslint-disable-next-line no-undef
              f(typeof globalThis == "object" && globalThis) || f(typeof window == "object" && window) || f(typeof self == "object" && self) || f(typeof d == "object" && d) || // eslint-disable-next-line no-new-func
              Function("return this")();
            }).call(this, c("c8ba"));
          }
        ),
        /***/
        dbb4: (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("83ab"), p = c("56ef"), v = c("fc6a"), g = c("06cf"), y = c("8418");
            d({ target: "Object", stat: !0, sham: !f }, {
              getOwnPropertyDescriptors: function(S) {
                for (var C = v(S), b = g.f, T = p(C), E = {}, x = 0, $, A; T.length > x; )
                  A = b(C, $ = T[x++]), A !== void 0 && y(E, $, A);
                return E;
              }
            });
          }
        ),
        /***/
        dbf1: (
          /***/
          function(l, u, c) {
            (function(d) {
              c.d(u, "a", function() {
                return p;
              });
              function f() {
                return typeof window < "u" ? window.console : d.console;
              }
              var p = f();
            }).call(this, c("c8ba"));
          }
        ),
        /***/
        ddb0: (
          /***/
          function(l, u, c) {
            var d = c("da84"), f = c("fdbc"), p = c("e260"), v = c("9112"), g = c("b622"), y = g("iterator"), _ = g("toStringTag"), S = p.values;
            for (var C in f) {
              var b = d[C], T = b && b.prototype;
              if (T) {
                if (T[y] !== S) try {
                  v(T, y, S);
                } catch {
                  T[y] = S;
                }
                if (T[_] || v(T, _, C), f[C]) {
                  for (var E in p)
                    if (T[E] !== p[E]) try {
                      v(T, E, p[E]);
                    } catch {
                      T[E] = p[E];
                    }
                }
              }
            }
          }
        ),
        /***/
        df75: (
          /***/
          function(l, u, c) {
            var d = c("ca84"), f = c("7839");
            l.exports = Object.keys || function(v) {
              return d(v, f);
            };
          }
        ),
        /***/
        e01a: (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("83ab"), p = c("da84"), v = c("5135"), g = c("861d"), y = c("9bf2").f, _ = c("e893"), S = p.Symbol;
            if (f && typeof S == "function" && (!("description" in S.prototype) || // Safari 12 bug
            S().description !== void 0)) {
              var C = {}, b = function() {
                var N = arguments.length < 1 || arguments[0] === void 0 ? void 0 : String(arguments[0]), P = this instanceof b ? new S(N) : N === void 0 ? S() : S(N);
                return N === "" && (C[P] = !0), P;
              };
              _(b, S);
              var T = b.prototype = S.prototype;
              T.constructor = b;
              var E = T.toString, x = String(S("test")) == "Symbol(test)", $ = /^Symbol\((.*)\)[^)]+$/;
              y(T, "description", {
                configurable: !0,
                get: function() {
                  var N = g(this) ? this.valueOf() : this, P = E.call(N);
                  if (v(C, N)) return "";
                  var L = x ? P.slice(7, -1) : P.replace($, "$1");
                  return L === "" ? void 0 : L;
                }
              }), d({ global: !0, forced: !0 }, {
                Symbol: b
              });
            }
          }
        ),
        /***/
        e163: (
          /***/
          function(l, u, c) {
            var d = c("5135"), f = c("7b0b"), p = c("f772"), v = c("e177"), g = p("IE_PROTO"), y = Object.prototype;
            l.exports = v ? Object.getPrototypeOf : function(_) {
              return _ = f(_), d(_, g) ? _[g] : typeof _.constructor == "function" && _ instanceof _.constructor ? _.constructor.prototype : _ instanceof Object ? y : null;
            };
          }
        ),
        /***/
        e177: (
          /***/
          function(l, u, c) {
            var d = c("d039");
            l.exports = !d(function() {
              function f() {
              }
              return f.prototype.constructor = null, Object.getPrototypeOf(new f()) !== f.prototype;
            });
          }
        ),
        /***/
        e260: (
          /***/
          function(l, u, c) {
            var d = c("fc6a"), f = c("44d2"), p = c("3f8c"), v = c("69f3"), g = c("7dd0"), y = "Array Iterator", _ = v.set, S = v.getterFor(y);
            l.exports = g(Array, "Array", function(C, b) {
              _(this, {
                type: y,
                target: d(C),
                // target
                index: 0,
                // next index
                kind: b
                // kind
              });
            }, function() {
              var C = S(this), b = C.target, T = C.kind, E = C.index++;
              return !b || E >= b.length ? (C.target = void 0, { value: void 0, done: !0 }) : T == "keys" ? { value: E, done: !1 } : T == "values" ? { value: b[E], done: !1 } : { value: [E, b[E]], done: !1 };
            }, "values"), p.Arguments = p.Array, f("keys"), f("values"), f("entries");
          }
        ),
        /***/
        e439: (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("d039"), p = c("fc6a"), v = c("06cf").f, g = c("83ab"), y = f(function() {
              v(1);
            }), _ = !g || y;
            d({ target: "Object", stat: !0, forced: _, sham: !g }, {
              getOwnPropertyDescriptor: function(C, b) {
                return v(p(C), b);
              }
            });
          }
        ),
        /***/
        e538: (
          /***/
          function(l, u, c) {
            var d = c("b622");
            u.f = d;
          }
        ),
        /***/
        e893: (
          /***/
          function(l, u, c) {
            var d = c("5135"), f = c("56ef"), p = c("06cf"), v = c("9bf2");
            l.exports = function(g, y) {
              for (var _ = f(y), S = v.f, C = p.f, b = 0; b < _.length; b++) {
                var T = _[b];
                d(g, T) || S(g, T, C(y, T));
              }
            };
          }
        ),
        /***/
        e8b5: (
          /***/
          function(l, u, c) {
            var d = c("c6b6");
            l.exports = Array.isArray || function(p) {
              return d(p) == "Array";
            };
          }
        ),
        /***/
        e95a: (
          /***/
          function(l, u, c) {
            var d = c("b622"), f = c("3f8c"), p = d("iterator"), v = Array.prototype;
            l.exports = function(g) {
              return g !== void 0 && (f.Array === g || v[p] === g);
            };
          }
        ),
        /***/
        f5df: (
          /***/
          function(l, u, c) {
            var d = c("00ee"), f = c("c6b6"), p = c("b622"), v = p("toStringTag"), g = f(/* @__PURE__ */ function() {
              return arguments;
            }()) == "Arguments", y = function(_, S) {
              try {
                return _[S];
              } catch {
              }
            };
            l.exports = d ? f : function(_) {
              var S, C, b;
              return _ === void 0 ? "Undefined" : _ === null ? "Null" : typeof (C = y(S = Object(_), v)) == "string" ? C : g ? f(S) : (b = f(S)) == "Object" && typeof S.callee == "function" ? "Arguments" : b;
            };
          }
        ),
        /***/
        f772: (
          /***/
          function(l, u, c) {
            var d = c("5692"), f = c("90e3"), p = d("keys");
            l.exports = function(v) {
              return p[v] || (p[v] = f(v));
            };
          }
        ),
        /***/
        fb15: (
          /***/
          function(l, u, c) {
            if (c.r(u), typeof window < "u") {
              var d = window.document.currentScript;
              {
                var f = c("8875");
                d = f(), "currentScript" in document || Object.defineProperty(document, "currentScript", { get: f });
              }
              var p = d && d.src.match(/(.+\/)[^/]+\.js(\?.*)?$/);
              p && (c.p = p[1]);
            }
            c("99af"), c("4de4"), c("4160"), c("c975"), c("d81d"), c("a434"), c("159b"), c("a4d3"), c("e439"), c("dbb4"), c("b64b");
            function v(ne, le, he) {
              return le in ne ? Object.defineProperty(ne, le, {
                value: he,
                enumerable: !0,
                configurable: !0,
                writable: !0
              }) : ne[le] = he, ne;
            }
            function g(ne, le) {
              var he = Object.keys(ne);
              if (Object.getOwnPropertySymbols) {
                var be = Object.getOwnPropertySymbols(ne);
                le && (be = be.filter(function(Pe) {
                  return Object.getOwnPropertyDescriptor(ne, Pe).enumerable;
                })), he.push.apply(he, be);
              }
              return he;
            }
            function y(ne) {
              for (var le = 1; le < arguments.length; le++) {
                var he = arguments[le] != null ? arguments[le] : {};
                le % 2 ? g(Object(he), !0).forEach(function(be) {
                  v(ne, be, he[be]);
                }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(ne, Object.getOwnPropertyDescriptors(he)) : g(Object(he)).forEach(function(be) {
                  Object.defineProperty(ne, be, Object.getOwnPropertyDescriptor(he, be));
                });
              }
              return ne;
            }
            function _(ne) {
              if (Array.isArray(ne)) return ne;
            }
            c("e01a"), c("d28b"), c("e260"), c("d3b7"), c("3ca3"), c("ddb0");
            function S(ne, le) {
              if (!(typeof Symbol > "u" || !(Symbol.iterator in Object(ne)))) {
                var he = [], be = !0, Pe = !1, Ve = void 0;
                try {
                  for (var Ge = ne[Symbol.iterator](), qe; !(be = (qe = Ge.next()).done) && (he.push(qe.value), !(le && he.length === le)); be = !0)
                    ;
                } catch (ht) {
                  Pe = !0, Ve = ht;
                } finally {
                  try {
                    !be && Ge.return != null && Ge.return();
                  } finally {
                    if (Pe) throw Ve;
                  }
                }
                return he;
              }
            }
            c("a630"), c("fb6a"), c("b0c0"), c("25f0");
            function C(ne, le) {
              (le == null || le > ne.length) && (le = ne.length);
              for (var he = 0, be = new Array(le); he < le; he++)
                be[he] = ne[he];
              return be;
            }
            function b(ne, le) {
              if (ne) {
                if (typeof ne == "string") return C(ne, le);
                var he = Object.prototype.toString.call(ne).slice(8, -1);
                if (he === "Object" && ne.constructor && (he = ne.constructor.name), he === "Map" || he === "Set") return Array.from(ne);
                if (he === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(he)) return C(ne, le);
              }
            }
            function T() {
              throw new TypeError(`Invalid attempt to destructure non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
            }
            function E(ne, le) {
              return _(ne) || S(ne, le) || b(ne, le) || T();
            }
            function x(ne) {
              if (Array.isArray(ne)) return C(ne);
            }
            function $(ne) {
              if (typeof Symbol < "u" && Symbol.iterator in Object(ne)) return Array.from(ne);
            }
            function A() {
              throw new TypeError(`Invalid attempt to spread non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`);
            }
            function N(ne) {
              return x(ne) || $(ne) || b(ne) || A();
            }
            var P = c("a352"), L = /* @__PURE__ */ c.n(P);
            function O(ne) {
              ne.parentElement !== null && ne.parentElement.removeChild(ne);
            }
            function M(ne, le, he) {
              var be = he === 0 ? ne.children[0] : ne.children[he - 1].nextSibling;
              ne.insertBefore(le, be);
            }
            var F = c("dbf1");
            c("13d5"), c("4fad"), c("ac1f"), c("5319");
            function U(ne) {
              var le = /* @__PURE__ */ Object.create(null);
              return function(be) {
                var Pe = le[be];
                return Pe || (le[be] = ne(be));
              };
            }
            var R = /-(\w)/g, H = U(function(ne) {
              return ne.replace(R, function(le, he) {
                return he.toUpperCase();
              });
            });
            c("5db7"), c("73d9");
            var V = ["Start", "Add", "Remove", "Update", "End"], Y = ["Choose", "Unchoose", "Sort", "Filter", "Clone"], G = ["Move"], Z = [G, V, Y].flatMap(function(ne) {
              return ne;
            }).map(function(ne) {
              return "on".concat(ne);
            }), re = {
              manage: G,
              manageAndEmit: V,
              emit: Y
            };
            function de(ne) {
              return Z.indexOf(ne) !== -1;
            }
            c("caad"), c("2ca0");
            var X = ["a", "abbr", "address", "area", "article", "aside", "audio", "b", "base", "bdi", "bdo", "blockquote", "body", "br", "button", "canvas", "caption", "cite", "code", "col", "colgroup", "data", "datalist", "dd", "del", "details", "dfn", "dialog", "div", "dl", "dt", "em", "embed", "fieldset", "figcaption", "figure", "footer", "form", "h1", "h2", "h3", "h4", "h5", "h6", "head", "header", "hgroup", "hr", "html", "i", "iframe", "img", "input", "ins", "kbd", "label", "legend", "li", "link", "main", "map", "mark", "math", "menu", "menuitem", "meta", "meter", "nav", "noscript", "object", "ol", "optgroup", "option", "output", "p", "param", "picture", "pre", "progress", "q", "rb", "rp", "rt", "rtc", "ruby", "s", "samp", "script", "section", "select", "slot", "small", "source", "span", "strong", "style", "sub", "summary", "sup", "svg", "table", "tbody", "td", "template", "textarea", "tfoot", "th", "thead", "time", "title", "tr", "track", "u", "ul", "var", "video", "wbr"];
            function W(ne) {
              return X.includes(ne);
            }
            function te(ne) {
              return ["transition-group", "TransitionGroup"].includes(ne);
            }
            function ae(ne) {
              return ["id", "class", "role", "style"].includes(ne) || ne.startsWith("data-") || ne.startsWith("aria-") || ne.startsWith("on");
            }
            function Te(ne) {
              return ne.reduce(function(le, he) {
                var be = E(he, 2), Pe = be[0], Ve = be[1];
                return le[Pe] = Ve, le;
              }, {});
            }
            function $e(ne) {
              var le = ne.$attrs, he = ne.componentData, be = he === void 0 ? {} : he, Pe = Te(Object.entries(le).filter(function(Ve) {
                var Ge = E(Ve, 2), qe = Ge[0];
                return Ge[1], ae(qe);
              }));
              return y(y({}, Pe), be);
            }
            function se(ne) {
              var le = ne.$attrs, he = ne.callBackBuilder, be = Te(fe(le));
              Object.entries(he).forEach(function(Ve) {
                var Ge = E(Ve, 2), qe = Ge[0], ht = Ge[1];
                re[qe].forEach(function(He) {
                  be["on".concat(He)] = ht(He);
                });
              });
              var Pe = "[data-draggable]".concat(be.draggable || "");
              return y(y({}, be), {}, {
                draggable: Pe
              });
            }
            function fe(ne) {
              return Object.entries(ne).filter(function(le) {
                var he = E(le, 2), be = he[0];
                return he[1], !ae(be);
              }).map(function(le) {
                var he = E(le, 2), be = he[0], Pe = he[1];
                return [H(be), Pe];
              }).filter(function(le) {
                var he = E(le, 2), be = he[0];
                return he[1], !de(be);
              });
            }
            c("c740");
            function ce(ne, le) {
              if (!(ne instanceof le))
                throw new TypeError("Cannot call a class as a function");
            }
            function ge(ne, le) {
              for (var he = 0; he < le.length; he++) {
                var be = le[he];
                be.enumerable = be.enumerable || !1, be.configurable = !0, "value" in be && (be.writable = !0), Object.defineProperty(ne, be.key, be);
              }
            }
            function ve(ne, le, he) {
              return ge(ne.prototype, le), ne;
            }
            var xe = function(le) {
              var he = le.el;
              return he;
            }, Ae = function(le, he) {
              return le.__draggable_context = he;
            }, oe = function(le) {
              return le.__draggable_context;
            }, De = /* @__PURE__ */ function() {
              function ne(le) {
                var he = le.nodes, be = he.header, Pe = he.default, Ve = he.footer, Ge = le.root, qe = le.realList;
                ce(this, ne), this.defaultNodes = Pe, this.children = [].concat(N(be), N(Pe), N(Ve)), this.externalComponent = Ge.externalComponent, this.rootTransition = Ge.transition, this.tag = Ge.tag, this.realList = qe;
              }
              return ve(ne, [{
                key: "render",
                value: function(he, be) {
                  var Pe = this.tag, Ve = this.children, Ge = this._isRootComponent, qe = Ge ? {
                    default: function() {
                      return Ve;
                    }
                  } : Ve;
                  return he(Pe, be, qe);
                }
              }, {
                key: "updated",
                value: function() {
                  var he = this.defaultNodes, be = this.realList;
                  he.forEach(function(Pe, Ve) {
                    Ae(xe(Pe), {
                      element: be[Ve],
                      index: Ve
                    });
                  });
                }
              }, {
                key: "getUnderlyingVm",
                value: function(he) {
                  return oe(he);
                }
              }, {
                key: "getVmIndexFromDomIndex",
                value: function(he, be) {
                  var Pe = this.defaultNodes, Ve = Pe.length, Ge = be.children, qe = Ge.item(he);
                  if (qe === null)
                    return Ve;
                  var ht = oe(qe);
                  if (ht)
                    return ht.index;
                  if (Ve === 0)
                    return 0;
                  var He = xe(Pe[0]), ke = N(Ge).findIndex(function(Be) {
                    return Be === He;
                  });
                  return he < ke ? 0 : Ve;
                }
              }, {
                key: "_isRootComponent",
                get: function() {
                  return this.externalComponent || this.rootTransition;
                }
              }]), ne;
            }(), Re = c("8bbf");
            function Me(ne, le) {
              var he = ne[le];
              return he ? he() : [];
            }
            function ct(ne) {
              var le = ne.$slots, he = ne.realList, be = ne.getKey, Pe = he || [], Ve = ["header", "footer"].map(function(Be) {
                return Me(le, Be);
              }), Ge = E(Ve, 2), qe = Ge[0], ht = Ge[1], He = le.item;
              if (!He)
                throw new Error("draggable element must have an item slot");
              var ke = Pe.flatMap(function(Be, Je) {
                return He({
                  element: Be,
                  index: Je
                }).map(function(tt) {
                  return tt.key = be(Be), tt.props = y(y({}, tt.props || {}), {}, {
                    "data-draggable": !0
                  }), tt;
                });
              });
              if (ke.length !== Pe.length)
                throw new Error("Item slot must have only one child");
              return {
                header: qe,
                footer: ht,
                default: ke
              };
            }
            function mt(ne) {
              var le = te(ne), he = !W(ne) && !le;
              return {
                transition: le,
                externalComponent: he,
                tag: he ? Object(Re.resolveComponent)(ne) : le ? Re.TransitionGroup : ne
              };
            }
            function q(ne) {
              var le = ne.$slots, he = ne.tag, be = ne.realList, Pe = ne.getKey, Ve = ct({
                $slots: le,
                realList: be,
                getKey: Pe
              }), Ge = mt(he);
              return new De({
                nodes: Ve,
                root: Ge,
                realList: be
              });
            }
            function Q(ne, le) {
              var he = this;
              Object(Re.nextTick)(function() {
                return he.$emit(ne.toLowerCase(), le);
              });
            }
            function _e(ne) {
              var le = this;
              return function(he, be) {
                if (le.realList !== null)
                  return le["onDrag".concat(ne)](he, be);
              };
            }
            function Ie(ne) {
              var le = this, he = _e.call(this, ne);
              return function(be, Pe) {
                he.call(le, be, Pe), Q.call(le, ne, be);
              };
            }
            var ot = null, Xe = {
              list: {
                type: Array,
                required: !1,
                default: null
              },
              modelValue: {
                type: Array,
                required: !1,
                default: null
              },
              itemKey: {
                type: [String, Function],
                required: !0
              },
              clone: {
                type: Function,
                default: function(le) {
                  return le;
                }
              },
              tag: {
                type: String,
                default: "div"
              },
              move: {
                type: Function,
                default: null
              },
              componentData: {
                type: Object,
                required: !1,
                default: null
              }
            }, Qe = ["update:modelValue", "change"].concat(N([].concat(N(re.manageAndEmit), N(re.emit)).map(function(ne) {
              return ne.toLowerCase();
            }))), me = Object(Re.defineComponent)({
              name: "draggable",
              inheritAttrs: !1,
              props: Xe,
              emits: Qe,
              data: function() {
                return {
                  error: !1
                };
              },
              render: function() {
                try {
                  this.error = !1;
                  var le = this.$slots, he = this.$attrs, be = this.tag, Pe = this.componentData, Ve = this.realList, Ge = this.getKey, qe = q({
                    $slots: le,
                    tag: be,
                    realList: Ve,
                    getKey: Ge
                  });
                  this.componentStructure = qe;
                  var ht = $e({
                    $attrs: he,
                    componentData: Pe
                  });
                  return qe.render(Re.h, ht);
                } catch (He) {
                  return this.error = !0, Object(Re.h)("pre", {
                    style: {
                      color: "red"
                    }
                  }, He.stack);
                }
              },
              created: function() {
                this.list !== null && this.modelValue !== null && F.a.error("modelValue and list props are mutually exclusive! Please set one or another.");
              },
              mounted: function() {
                var le = this;
                if (!this.error) {
                  var he = this.$attrs, be = this.$el, Pe = this.componentStructure;
                  Pe.updated();
                  var Ve = se({
                    $attrs: he,
                    callBackBuilder: {
                      manageAndEmit: function(ht) {
                        return Ie.call(le, ht);
                      },
                      emit: function(ht) {
                        return Q.bind(le, ht);
                      },
                      manage: function(ht) {
                        return _e.call(le, ht);
                      }
                    }
                  }), Ge = be.nodeType === 1 ? be : be.parentElement;
                  this._sortable = new L.a(Ge, Ve), this.targetDomElement = Ge, Ge.__draggable_component__ = this;
                }
              },
              updated: function() {
                this.componentStructure.updated();
              },
              beforeUnmount: function() {
                this._sortable !== void 0 && this._sortable.destroy();
              },
              computed: {
                realList: function() {
                  var le = this.list;
                  return le || this.modelValue;
                },
                getKey: function() {
                  var le = this.itemKey;
                  return typeof le == "function" ? le : function(he) {
                    return he[le];
                  };
                }
              },
              watch: {
                $attrs: {
                  handler: function(le) {
                    var he = this._sortable;
                    he && fe(le).forEach(function(be) {
                      var Pe = E(be, 2), Ve = Pe[0], Ge = Pe[1];
                      he.option(Ve, Ge);
                    });
                  },
                  deep: !0
                }
              },
              methods: {
                getUnderlyingVm: function(le) {
                  return this.componentStructure.getUnderlyingVm(le) || null;
                },
                getUnderlyingPotencialDraggableComponent: function(le) {
                  return le.__draggable_component__;
                },
                emitChanges: function(le) {
                  var he = this;
                  Object(Re.nextTick)(function() {
                    return he.$emit("change", le);
                  });
                },
                alterList: function(le) {
                  if (this.list) {
                    le(this.list);
                    return;
                  }
                  var he = N(this.modelValue);
                  le(he), this.$emit("update:modelValue", he);
                },
                spliceList: function() {
                  var le = arguments, he = function(Pe) {
                    return Pe.splice.apply(Pe, N(le));
                  };
                  this.alterList(he);
                },
                updatePosition: function(le, he) {
                  var be = function(Ve) {
                    return Ve.splice(he, 0, Ve.splice(le, 1)[0]);
                  };
                  this.alterList(be);
                },
                getRelatedContextFromMoveEvent: function(le) {
                  var he = le.to, be = le.related, Pe = this.getUnderlyingPotencialDraggableComponent(he);
                  if (!Pe)
                    return {
                      component: Pe
                    };
                  var Ve = Pe.realList, Ge = {
                    list: Ve,
                    component: Pe
                  };
                  if (he !== be && Ve) {
                    var qe = Pe.getUnderlyingVm(be) || {};
                    return y(y({}, qe), Ge);
                  }
                  return Ge;
                },
                getVmIndexFromDomIndex: function(le) {
                  return this.componentStructure.getVmIndexFromDomIndex(le, this.targetDomElement);
                },
                onDragStart: function(le) {
                  this.context = this.getUnderlyingVm(le.item), le.item._underlying_vm_ = this.clone(this.context.element), ot = le.item;
                },
                onDragAdd: function(le) {
                  var he = le.item._underlying_vm_;
                  if (he !== void 0) {
                    O(le.item);
                    var be = this.getVmIndexFromDomIndex(le.newIndex);
                    this.spliceList(be, 0, he);
                    var Pe = {
                      element: he,
                      newIndex: be
                    };
                    this.emitChanges({
                      added: Pe
                    });
                  }
                },
                onDragRemove: function(le) {
                  if (M(this.$el, le.item, le.oldIndex), le.pullMode === "clone") {
                    O(le.clone);
                    return;
                  }
                  var he = this.context, be = he.index, Pe = he.element;
                  this.spliceList(be, 1);
                  var Ve = {
                    element: Pe,
                    oldIndex: be
                  };
                  this.emitChanges({
                    removed: Ve
                  });
                },
                onDragUpdate: function(le) {
                  O(le.item), M(le.from, le.item, le.oldIndex);
                  var he = this.context.index, be = this.getVmIndexFromDomIndex(le.newIndex);
                  this.updatePosition(he, be);
                  var Pe = {
                    element: this.context.element,
                    oldIndex: he,
                    newIndex: be
                  };
                  this.emitChanges({
                    moved: Pe
                  });
                },
                computeFutureIndex: function(le, he) {
                  if (!le.element)
                    return 0;
                  var be = N(he.to.children).filter(function(qe) {
                    return qe.style.display !== "none";
                  }), Pe = be.indexOf(he.related), Ve = le.component.getVmIndexFromDomIndex(Pe), Ge = be.indexOf(ot) !== -1;
                  return Ge || !he.willInsertAfter ? Ve : Ve + 1;
                },
                onDragMove: function(le, he) {
                  var be = this.move, Pe = this.realList;
                  if (!be || !Pe)
                    return !0;
                  var Ve = this.getRelatedContextFromMoveEvent(le), Ge = this.computeFutureIndex(Ve, le), qe = y(y({}, this.context), {}, {
                    futureIndex: Ge
                  }), ht = y(y({}, le), {}, {
                    relatedContext: Ve,
                    draggedContext: qe
                  });
                  return be(ht, he);
                },
                onDragEnd: function() {
                  ot = null;
                }
              }
            }), Ee = me;
            u.default = Ee;
          }
        ),
        /***/
        fb6a: (
          /***/
          function(l, u, c) {
            var d = c("23e7"), f = c("861d"), p = c("e8b5"), v = c("23cb"), g = c("50c4"), y = c("fc6a"), _ = c("8418"), S = c("b622"), C = c("1dde"), b = c("ae40"), T = C("slice"), E = b("slice", { ACCESSORS: !0, 0: 0, 1: 2 }), x = S("species"), $ = [].slice, A = Math.max;
            d({ target: "Array", proto: !0, forced: !T || !E }, {
              slice: function(P, L) {
                var O = y(this), M = g(O.length), F = v(P, M), U = v(L === void 0 ? M : L, M), R, H, V;
                if (p(O) && (R = O.constructor, typeof R == "function" && (R === Array || p(R.prototype)) ? R = void 0 : f(R) && (R = R[x], R === null && (R = void 0)), R === Array || R === void 0))
                  return $.call(O, F, U);
                for (H = new (R === void 0 ? Array : R)(A(U - F, 0)), V = 0; F < U; F++, V++) F in O && _(H, V, O[F]);
                return H.length = V, H;
              }
            });
          }
        ),
        /***/
        fc6a: (
          /***/
          function(l, u, c) {
            var d = c("44ad"), f = c("1d80");
            l.exports = function(p) {
              return d(f(p));
            };
          }
        ),
        /***/
        fdbc: (
          /***/
          function(l, u) {
            l.exports = {
              CSSRuleList: 0,
              CSSStyleDeclaration: 0,
              CSSValueList: 0,
              ClientRectList: 0,
              DOMRectList: 0,
              DOMStringList: 0,
              DOMTokenList: 1,
              DataTransferItemList: 0,
              FileList: 0,
              HTMLAllCollection: 0,
              HTMLCollection: 0,
              HTMLFormElement: 0,
              HTMLSelectElement: 0,
              MediaList: 0,
              MimeTypeArray: 0,
              NamedNodeMap: 0,
              NodeList: 1,
              PaintRequestList: 0,
              Plugin: 0,
              PluginArray: 0,
              SVGLengthList: 0,
              SVGNumberList: 0,
              SVGPathSegList: 0,
              SVGPointList: 0,
              SVGStringList: 0,
              SVGTransformList: 0,
              SourceBufferList: 0,
              StyleSheetList: 0,
              TextTrackCueList: 0,
              TextTrackList: 0,
              TouchList: 0
            };
          }
        ),
        /***/
        fdbf: (
          /***/
          function(l, u, c) {
            var d = c("4930");
            l.exports = d && !Symbol.sham && typeof Symbol.iterator == "symbol";
          }
        )
        /******/
      }).default
    );
  });
})(vuedraggable_umd);
var vuedraggable_umdExports = vuedraggable_umd.exports;
const draggable = /* @__PURE__ */ getDefaultExportFromCjs(vuedraggable_umdExports), _sfc_main$x = {
  mixins: [mixin$1, mixinPage],
  components: { richEditor, uploadAttachment, uploadImage, draggable },
  data() {
    return {
      formView: {},
      columns: [],
      tabs: [],
      tabName: "",
      rules: {},
      data: null,
      compareData: null,
      dragging: !1,
      draggingColumn: null
    };
  },
  async created() {
  },
  props: {},
  computed: {},
  methods: {
    ...mapActions("admin/dataView", { loadDataView: "load" }),
    getRules(r) {
      if (!r.isShow)
        return [];
      let a = [];
      return r.isRequired && (r.controlType == "Date" || r.controlType == "DateTime" || r.controlType == "Year" || r.controlType == "Month" || r.controlType == "DateRange" ? a.push({
        pattern: /.+/,
        required: !0,
        message: this.$t("Front_Msg_Please_Input"),
        trigger: "blur,change"
      }) : a.push({
        type: this.getDataType(r),
        required: !0,
        message: this.$t("Front_Msg_Please_Input"),
        trigger: "blur,change"
      })), r.pattern && r.controlType == "TextInput" && a.push({
        type: this.getDataType(r),
        pattern: r.pattern,
        message: this.$t("Front_Msg_Validation_Pattern"),
        trigger: "blur,change"
      }), r.maxValue != null && (r.controlType == "NumberInput" || r.controlType == "Slider") && a.push({
        type: this.getDataType(r),
        max: r.maxValue,
        message: this.tParam("Front_Msg_Validation_Max_Value|" + r.maxValue),
        trigger: "blur,change"
      }), r.minValue != null && (r.controlType == "NumberInput" || r.controlType == "Slider") && a.push({
        type: this.getDataType(r),
        min: r.minValue,
        message: this.tParam("Front_Msg_Validation_Min_Value|" + r.minValue),
        trigger: "blur,change"
      }), r.maxLength != null && (r.controlType == "TextInput" || r.controlType == "TextArea") && a.push({
        type: this.getDataType(r),
        length: r.maxLength,
        message: this.tParam("Front_Msg_Validation_Max_Length|" + r.maxLength),
        trigger: "blur,change"
      }), a;
    },
    // 获取数据类型
    getDataType(r) {
      if (!(r.dataType || "").trim())
        return null;
      if (r.dataType.startsWith("Enum:"))
        return "string";
      switch (r.dataType) {
        case "String":
        case "BigInteger":
          return "string";
        case "Boolean":
          return "boolean";
        case "DateTime":
          return "date";
        case "Float":
        case "Double":
        case "Decimal":
          return "number";
        case "Short":
        case "Integer":
          return "integer";
      }
    },
    // 根据选项卡序号返回列
    tabColumns(r) {
      return this.columns.filter((a) => a.tabIndex === r || a.tabIndex == null);
    },
    // 初始化
    init(r, a) {
      this.formView = r, this.columns = a, this.data = this.getDefaultData(), setTimeout(() => {
        this.initTab(), this.initStaticItem(), this.initTrigger(), this.initNewLine(), this.onDataChange();
      });
    },
    // 初始化板块
    initTab() {
      (this.formView.tab || "").trim() ? this.tabs = this.formView.tab.split(",") : this.tabs = [this.formView.name], this.tabName = this.tabs[0];
    },
    // 初始化静态选项
    initStaticItem() {
      this.columns.forEach((r) => {
        r.isStaticItem && (r.dataSource = [], (r.itemData || "").trim() && r.itemData.split(/[\n]/).forEach((a) => {
          if ((a || "").trim())
            if (a.split(":").length > 1) {
              let o = a.split(":")[0], s = a.split(":")[1];
              r.dataType == "Integer" || r.dataType == "BigInteger" ? r.dataSource.push({
                id: parseInt(o),
                name: s
              }) : r.dataType == "Decimal" || r.dataType == "Float" || r.dataType == "Double" ? r.dataSource.push({
                id: parseFloat(o),
                name: s
              }) : r.dataType == "Boolean" ? r.dataSource.push({
                id: o.toUpperCase() == "TRUE",
                name: s
              }) : r.dataSource.push({
                id: o,
                name: s
              });
            } else
              r.dataType == "Integer" || r.dataType == "BigInteger" ? r.dataSource.push({
                id: parseInt(a),
                name: a
              }) : r.dataType == "Decimal" || r.dataType == "Float" || r.dataType == "Double" ? r.dataSource.push({
                id: parseFloat(a),
                name: a
              }) : r.dataType == "Boolean" ? r.dataSource.push({
                id: a.toUpperCase() == "TRUE",
                name: a
              }) : r.dataSource.push({
                id: a,
                name: a
              });
        }));
      });
    },
    // 初始化触发规则
    initTrigger() {
      this.columns.forEach((r) => {
        r.triggers = [];
      }), this.columns.filter((r) => !!(r.source || "").trim() && !!(r.param || "").trim() && !(r.dataType && r.dataType.startsWith("Enum:"))).forEach((r) => {
        let a = JSON.parse(r.param);
        for (let o in a)
          this.columns.filter((s) => a[o] == s.code || a[o].split(".")[0] + "ID" == s.code).forEach((s) => {
            s.triggers.push(this.copy(r));
          });
      });
    },
    // 填充数据源
    async fillDataSource(r, a, o) {
      let s;
      (a.controlType === "TreeSelect" || a.controlType === "MultiTreeSelect") && (s = this.parseTreeData(r, a.code), a.dataSource = null), (a.controlType === "ComboSelect" || a.controlType === "MultiComboSelect") && (o.per = 20), this.disableLoader();
      let l;
      if (a.isSourceCustom ? l = await customModelApi.query(a.source, o) : l = await modelApi.query(a.source, o), this.enableLoader(), a.rawData = l.data, a.controlType === "TreeSelect" || a.controlType === "MultiTreeSelect") {
        let u = l.data.map((c) => ({
          id: (a.sourceDataCode || "").trim() ? this.parseData(c, a.sourceDataCode) : c.id,
          name: this.parseData(c, a.sourceDisplayCode),
          parentID: c.parentID
        }));
        a.dataSource = this.getTreeDataSource(u, a, null), this.setData(r, a.code, s);
      } else if (a.dataSource = l.data.map((u) => ({
        id: (a.sourceDataCode || "").trim() ? this.parseData(u, a.sourceDataCode) : u.id,
        name: this.parseData(u, a.sourceDisplayCode)
      })), r && this.parseData(r, a.code) == null && a.isDefaultFirst && l.data.length > 0 && (this.setData(r, a.code, this.parseData(l.data[0], a.sourceDataCode)), this.$emit("on-change", a, null, a.rawData[0], null), a.sourceDataCode == "id" && a.code.length > 2)) {
        let u = a.code.substr(0, a.code.length - 2), c = a.rawData.find((d) => d.id == this.parseData(r, a.code));
        this.setData(r, u, c);
      }
      (a.controlType == "Select" || a.controlType == "Radio") && (a.dataSource.some((u) => u.id == this.parseData(r, a.code)) || (this.setData(r, a.code, null), a.triggers.forEach((u) => {
        u.needClear = !0;
      })));
    },
    // 获取树结构数据源
    getTreeDataSource(r, a, o) {
      let s = r.filter((l) => l.parentID == o).map((l) => ({
        value: (a.sourceDataCode || "").trim() ? this.parseData(l, a.sourceDataCode) : l.id,
        title: this.parseData(l, a.sourceDisplayCode),
        selected: !1,
        checked: !1
      }));
      if (s.length > 0)
        for (let l of s)
          l.expand = !0, l.children = this.getTreeDataSource(r, a, l.value);
      return s;
    },
    // 获取数据源
    getDataSource(r, a) {
      return !a.isStaticItem && a.dataType && a.dataType.startsWith("Enum:") ? this.getEnumList(a.dataType.split(":")[1]) : a.dataSource == null ? [] : a.dataSource;
    },
    // 数据变化事件
    async onDataChange(r) {
      for ((r == null || r.triggers && r.triggers !== []) && this.columns.forEach(function(a) {
        !a.isStaticItem && (a.source || "").trim() && !(a.dataType && a.dataType.startsWith("Enum:")) && (r == null || r.triggers.some((o) => o.code == a.code)) && (a.needRefresh = !0);
      }); ; ) {
        let a = this.columns.filter((o) => o.needRefresh == !0 || o.needClear == !0)[0];
        if (a == null)
          break;
        if (a.needClear && this.parseData(this.data, a.code) != null)
          this.setData(this.data, a.code, null), a.triggers.forEach((o) => {
            o.needClear = !0;
          });
        else if (a.needRefresh && (a.source || "").trim() && !(a.dataType && a.dataType.startsWith("Enum:"))) {
          let o = this.getParam(this.data, a);
          if (a.controlType === "Select" || a.controlType === "MultiSelect" || a.controlType === "TreeSelect" || a.controlType === "MultiTreeSelect" || a.controlType === "SelectWithOther" || a.controlType === "ComboSelect" || a.controlType === "MultiComboSelect" || a.controlType === "Radio" || a.controlType === "CheckGroup")
            o != null ? this.fillDataSource(this.data, a, o) : (a.dataSource = [], this.setData(this.data, a.code, null), a.triggers.forEach((s) => {
              s.needClear = !0;
            }));
          else if (a.controlType === "List" && o != null) {
            let s, l = this.$refs["list_" + a.code][0].tableView, u = l.filtering;
            (u || "").trim() && (o = {
              ...o,
              ...JSON.parse(u)
            }), a.isSourceCustom ? s = await customModelApi.query(a.sourceModel, o) : s = await modelApi.query(a.sourceModel, o, l.functionName, l.functionType), this.$refs["list_" + a.code][0].loadData(s.data);
          }
        }
        a.needClear = !1, a.needRefresh = !1;
      }
    },
    // 获取默认值
    getDefaultData() {
      let r = {};
      this.columns.forEach((a) => {
        if (a.defaultValue)
          if (a.defaultValue == "{today}") {
            let s = (/* @__PURE__ */ new Date()).toISOString().replace(/T.*/, "");
            this.setData(r, a.code, new Date(s));
          } else if (a.defaultValue.startsWith("{today(") && a.defaultValue.endsWith(")}")) {
            let o = a.defaultValue.substr(7, a.defaultValue.length - 9);
            this.setData(r, a.code, format$4(/* @__PURE__ */ new Date(), o));
          } else a.defaultValue == "{currentUserID}" ? this.setData(r, a.code, this.info.id) : a.defaultValue == "{currentUser}" ? this.setData(r, a.code, this.info.name) : a.dataType === "Integer" ? this.setData(r, a.code, parseInt(a.defaultValue)) : a.dataType === "Decimal" ? this.setData(r, a.code, parseFloat(a.defaultValue)) : a.dataType === "Boolean" && a.defaultValue.toUpperCase == "TRUE" ? this.setData(r, a.code, !0) : a.dataType === "Boolean" && a.defaultValue.toUpperCase == "FALSE" ? this.setData(r, a.code, !1) : this.setData(r, a.code, a.defaultValue);
        else
          a.dataType === "Boolean" ? this.setData(r, a.code, !1) : this.setData(r, a.code, null);
      });
      for (let a in this.defaultData)
        this.setData(r, a, this.defaultData[a]);
      return r;
    },
    // 编辑
    edit(r, a) {
      this.$emit("edit", { column: r, index: a });
    },
    // 删除
    remove(r, a) {
      this.$emit("remove", { column: r, index: a });
    },
    // 根据表达式取值（带其他）
    parseDataWithOther(r, a) {
      let o = a.code, s = this.parseData(r, o + "_o"), l = this.parseData(r, o), u = this.getDataSource(r, a);
      return s ?? (l == null ? null : u && u.some((c) => c.id == l) ? l : "__Other");
    },
    // 根据表达式赋值（带其他）
    setDataWithOther(r, a, o) {
      this.setData(r, a + "_o", o), o != "__Other" ? this.setData(r, a, o) : this.setData(r, a, null);
    },
    // 根据表达式取值（树）
    parseTreeData(r, a) {
      let o = this.parseData(r, a);
      return o ?? "";
    },
    // 获取多语言名称
    getNameI18n(r) {
      if (this.layout.showI18n)
        if (r.code) {
          let a = "DataView_" + this.formView.code + "_" + r.code, o = this.$t(a);
          return o == a ? r.name : o;
        } else
          return r.name;
      else
        return r.name;
    },
    // 获取样式
    getClass(r) {
      const a = this.getGrid(r.columnWidth), o = [];
      for (const s in a)
        o.push("ivu-col-span-" + s + "-" + a[s]);
      return o;
    },
    // 鼠标移入
    mouseover(r) {
      this.dragging || (r._editable = !0);
    },
    // 鼠标移出
    mouseleave(r) {
      this.dragging || (r._editable = !1);
    },
    start(r) {
      this.draggingColumn = this.columns[r.oldDraggableIndex], this.draggingColumn._actived = !0, this.draggingColumn._editable = !1, this.dragging = !0;
    },
    end(r) {
      this.draggingColumn._actived = !1, this.dragging = !1, this.initNewLine();
    },
    initNewLine() {
      this.columns.forEach((r, a) => {
        const o = document.getElementById("line-" + a);
        o && o.parentNode.removeChild(o);
      }), this.columns.forEach((r, a) => {
        if (r.newLine) {
          const o = document.getElementById("col-" + a), s = document.createElement("div");
          s.id = "line-" + a, s.style.width = "100%", o.parentNode.insertBefore(s, o);
        }
      });
    },
    // 可筛选下拉框加载数据
    async loadOption(r, a, o) {
      if (a.isStaticItem || a.dataType && a.dataType.startsWith("Enum:"))
        return;
      let s = this.getParam(r, a);
      s != null ? (s[a.sourceDisplayCode + "_c"] = o, this.fillDataSource(r, a, s)) : (a.rawData = [], a.dataSource = [], this.setData(r, a.code, null), a.triggers.forEach((l) => {
        l.needClear = !0;
      }));
    },
    // 根据表达式取值(可筛选选择框)
    parseComboData(r, a) {
      let o = this.parseData(r, a.code);
      return setTimeout(() => {
        this.loadComboDataLabel(r, a, o);
      }), o;
    },
    // 根据表达式取值(可筛选多选选择框)
    parseMultiComboData(r, a) {
      let o = [], s = this.parseData(r, a.code);
      return this.isJSON(s) && (o = JSON.parse(s)), this.loadComboDataLabel(r, a, o), o;
    },
    // 加载可筛选选择框显示内容
    async loadComboDataLabel(r, a, o) {
      if (!(a.isStaticItem || a.dataType && a.dataType.startsWith("Enum:")) && this.$refs["control_" + a.code] && o) {
        let s;
        Array.isArray(this.$refs["control_" + a.code]) ? s = this.$refs["control_" + a.code][0].$data.values : s = this.$refs["control_" + a.code].$data.values;
        let l = [];
        if (a.controlType == "MultiComboSelect")
          o.forEach((u) => {
            if (!s.some((c) => c.value == u)) {
              let c = { value: u, label: null, disabled: !1 };
              s.push(c), l.push(c);
            }
          });
        else if (!s.some((u) => u.value == o)) {
          let u = { value: o, label: null, disabled: !1 };
          s.push(u), l.push(u);
        }
        setTimeout(async () => {
          if (l.length > 0) {
            let u = this.getParam(r, a);
            u[a.sourceDataCode] = l.map((d) => d.value).join(",");
            let c;
            a.isSourceCustom ? c = await customModelApi.query(a.source, u) : c = await modelApi.query(a.source, u), c.data.forEach((d) => {
              let f = this.parseData(d, a.sourceDataCode), p = this.parseData(d, a.sourceDisplayCode);
              a.controlType == "ComboSelect";
              let v = l.find((g) => g.value == f);
              v && (v.label = p);
            }), this.$forceUpdate();
          }
        });
      }
    },
    // 可筛选下拉框搜索条件变化
    onComboQueryChange(r, a) {
      (a || "").trim() || this.loadOption(this.data, r, null);
    }
  }
}, _hoisted_1$n = ["id", "onMouseover", "onMouseleave"], _hoisted_2$k = { style: { position: "absolute", "z-index": "100", top: "4px", right: "4px" } }, _hoisted_3$i = { key: 2 }, _hoisted_4$c = { class: "title" }, _hoisted_5$a = { key: 3 }, _hoisted_6$6 = { class: "title" }, _hoisted_7$5 = ["title"], _hoisted_8$5 = ["innerHTML"], _hoisted_9$4 = ["target"], _hoisted_10$4 = ["innerHTML"];
function _sfc_render$x(r, a, o, s, l, u) {
  const c = resolveComponent("Button"), d = resolveComponent("Divider"), f = resolveComponent("view-table"), p = resolveComponent("Input"), v = resolveComponent("Option"), g = resolveComponent("Select"), y = resolveComponent("TreeSelect"), _ = resolveComponent("combo-select"), S = resolveComponent("dialog-select"), C = resolveComponent("DatePicker"), b = resolveComponent("TimePicker"), T = resolveComponent("Checkbox"), E = resolveComponent("Switch"), x = resolveComponent("Radio"), $ = resolveComponent("RadioGroup"), A = resolveComponent("CheckboxGroup"), N = resolveComponent("rich-editor"), P = resolveComponent("upload-attachment"), L = resolveComponent("upload-image"), O = resolveComponent("Slider"), M = resolveComponent("FormItem"), F = resolveComponent("draggable"), U = resolveComponent("Form");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(U, {
      ref: "form",
      model: l.data,
      "label-position": "top",
      "label-colon": "：",
      class: "ivu-mt"
    }, {
      default: withCtx(() => [
        createVNode$1(F, {
          modelValue: l.columns,
          "onUpdate:modelValue": a[0] || (a[0] = (R) => l.columns = R),
          "item-key": "index",
          animation: 500,
          scroll: !0,
          group: "sort",
          onStart: u.start,
          onEnd: u.end,
          class: "ivu-row ivu-row-flex",
          style: { "margin-left": "-12px", "margin-right": "-12px" }
        }, {
          item: withCtx(({ element: R, index: H }) => [
            createElementVNode("div", {
              id: "col-" + H,
              ref: "col-" + H,
              class: normalizeClass(["ivu-col", u.getClass(R)]),
              style: normalizeStyle$1([{ "padding-left": "12px", "padding-right": "12px" }, R._actived ? "border: dashed #ddd 1px; background-color: #ffefd5;" : ""]),
              onMouseover: (V) => u.mouseover(R),
              onMouseleave: (V) => u.mouseleave(R)
            }, [
              createElementVNode("div", _hoisted_2$k, [
                R._editable ? (openBlock(), createBlock(c, {
                  key: 0,
                  size: "small",
                  onClick: (V) => u.edit(R, H),
                  icon: "md-cog",
                  type: "primary",
                  style: { "margin-right": "4px", width: "22px", height: "22px" }
                }, null, 8, ["onClick"])) : createCommentVNode("", !0),
                withDirectives(createVNode$1(c, {
                  size: "small",
                  onClick: (V) => u.remove(R, H),
                  icon: "md-close",
                  type: "warning",
                  style: { width: "22px", height: "22px" }
                }, null, 8, ["onClick"]), [
                  [vShow, R._editable]
                ])
              ]),
              R.controlType === "Placeholder" ? (openBlock(), createElementBlock("div", {
                key: R.code,
                style: { "margin-bottom": "0px" }
              })) : createCommentVNode("", !0),
              R.controlType === "Title" ? (openBlock(), createElementBlock("div", {
                key: R.code
              }, [
                createElementVNode("div", {
                  class: "form-title",
                  style: normalizeStyle$1({ width: R.controlWidth == null ? null : R.controlWidth + "px" })
                }, toDisplayString$2(u.getNameI18n(R)) + " " + toDisplayString$2(r.showData(l.data, R)), 5)
              ])) : createCommentVNode("", !0),
              R.controlType === "Table" ? (openBlock(), createElementBlock("div", _hoisted_3$i, [
                createVNode$1(d, {
                  plain: !0,
                  dashed: "",
                  orientation: "left",
                  size: "small"
                }, {
                  default: withCtx(() => [
                    createElementVNode("span", _hoisted_4$c, toDisplayString$2(u.getNameI18n(R)), 1)
                  ]),
                  _: 2
                }, 1024),
                createVNode$1(f, {
                  static: !0,
                  "view-code": R.source,
                  readonly: R.isReadonly,
                  embedded: !0
                }, null, 8, ["view-code", "readonly"])
              ])) : createCommentVNode("", !0),
              R.controlType === "List" ? (openBlock(), createElementBlock("div", _hoisted_5$a, [
                createVNode$1(d, {
                  plain: !0,
                  dashed: "",
                  orientation: "left",
                  size: "small"
                }, {
                  default: withCtx(() => [
                    createElementVNode("span", _hoisted_6$6, toDisplayString$2(u.getNameI18n(R)), 1)
                  ]),
                  _: 2
                }, 1024),
                createVNode$1(f, {
                  static: !0,
                  "view-code": R.source,
                  readonly: !0,
                  embedded: !0
                }, null, 8, ["view-code"])
              ])) : createCommentVNode("", !0),
              R.controlType !== "Placeholder" && R.controlType !== "Title" && R.controlType !== "Table" && R.controlType !== "List" ? (openBlock(), createBlock(M, {
                label: u.getNameI18n(R),
                prop: R.code,
                key: R.code,
                rules: u.getRules(R),
                error: R.code == null ? r.$t("Front_Label_Column_Not_Bind") : null
              }, {
                default: withCtx(() => [
                  R.controlType === "Custom" ? (openBlock(), createElementBlock(Fragment, { key: 0 }, [], 64)) : R.controlType === "Label" ? (openBlock(), createElementBlock("div", {
                    key: 1,
                    class: "label",
                    title: l.compareData == null ? r.showData(l.data, R) : r.showData(l.compareData, R)
                  }, [
                    createElementVNode("div", {
                      class: normalizeClass({ error: l.compareData != null && r.parseData(l.data, R.code) != r.parseData(l.compareData, R.code) }),
                      innerHTML: r.showData(l.data, R)
                    }, null, 10, _hoisted_8$5)
                  ], 8, _hoisted_7$5)) : createCommentVNode("", !0),
                  R.controlType === "Hyperlink" ? (openBlock(), createElementBlock("a", {
                    key: 2,
                    href: "#",
                    target: R.isNewWindow ? "_blank" : ""
                  }, [
                    createElementVNode("span", {
                      innerHTML: r.showData(l.data, R)
                    }, null, 8, _hoisted_10$4)
                  ], 8, _hoisted_9$4)) : R.controlType === "TextInput" ? (openBlock(), createBlock(p, {
                    key: 3,
                    type: "text",
                    "model-value": r.parseData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                    readonly: R.isReadonly,
                    style: normalizeStyle$1({ width: R.controlWidth == null ? null : R.controlWidth + "px" }),
                    maxlength: R.maxLength,
                    placeholder: R.description,
                    onOnChange: (V) => u.onDataChange(R)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "style", "maxlength", "placeholder", "onOnChange"])) : R.controlType === "NumberInput" ? (openBlock(), createBlock(p, {
                    key: 4,
                    type: "number",
                    number: "",
                    "model-value": r.parseData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                    readonly: R.isReadonly,
                    style: normalizeStyle$1({ width: R.controlWidth == null ? "100px" : R.controlWidth + "px" }),
                    placeholder: R.description,
                    onOnChange: (V) => u.onDataChange(R)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "style", "placeholder", "onOnChange"])) : R.controlType === "Select" ? (openBlock(), createBlock(g, {
                    key: 5,
                    "model-value": r.parseData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                    disabled: R.isReadonly,
                    clearable: !0,
                    style: normalizeStyle$1({ width: R.controlWidth == null ? null : R.controlWidth + "px" }),
                    placeholder: R.description,
                    transfer: !0,
                    onOnChange: (V) => u.onDataChange(R)
                  }, {
                    default: withCtx(() => [
                      (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(l.data, R), (V) => (openBlock(), createBlock(v, {
                        key: V.id,
                        value: V.id
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString$2(V.name), 1)
                        ]),
                        _: 2
                      }, 1032, ["value"]))), 128))
                    ]),
                    _: 2
                  }, 1032, ["model-value", "onUpdate:modelValue", "disabled", "style", "placeholder", "onOnChange"])) : R.controlType === "MultiSelect" ? (openBlock(), createBlock(g, {
                    key: 6,
                    "model-value": r.parseArrayData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setArrayData(l.data, R.code, V),
                    disabled: R.isReadonly,
                    multiple: !0,
                    clearable: !0,
                    style: normalizeStyle$1({ width: R.controlWidth == null ? null : R.controlWidth + "px" }),
                    placeholder: R.description,
                    transfer: !0,
                    onOnChange: (V) => u.onDataChange(R)
                  }, {
                    default: withCtx(() => [
                      (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(l.data, R), (V) => (openBlock(), createBlock(v, {
                        key: V.id,
                        value: V.id
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString$2(V.name), 1)
                        ]),
                        _: 2
                      }, 1032, ["value"]))), 128))
                    ]),
                    _: 2
                  }, 1032, ["model-value", "onUpdate:modelValue", "disabled", "style", "placeholder", "onOnChange"])) : R.controlType === "TreeSelect" ? (openBlock(), createBlock(y, {
                    key: 7,
                    "model-value": u.parseTreeData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                    data: u.getDataSource(l.data, R),
                    disabled: R.isReadonly,
                    clearable: !0,
                    style: normalizeStyle$1({ width: R.controlWidth == null ? null : R.controlWidth + "px" }),
                    placeholder: R.description,
                    transfer: !0
                  }, null, 8, ["model-value", "onUpdate:modelValue", "data", "disabled", "style", "placeholder"])) : R.controlType === "MultiTreeSelect" ? (openBlock(), createBlock(y, {
                    key: 8,
                    "model-value": r.parseArrayData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setArrayData(l.data, R.code, V),
                    data: u.getDataSource(l.data, R),
                    disabled: R.isReadonly,
                    multiple: !0,
                    "show-checkbox": !0,
                    clearable: !0,
                    style: normalizeStyle$1({ width: R.controlWidth == null ? null : R.controlWidth + "px" }),
                    placeholder: R.description,
                    transfer: !0
                  }, null, 8, ["model-value", "onUpdate:modelValue", "data", "disabled", "style", "placeholder"])) : R.controlType === "SelectWithOther" ? (openBlock(), createElementBlock(Fragment, { key: 9 }, [
                    createVNode$1(g, {
                      "model-value": u.parseDataWithOther(l.data, R),
                      "onUpdate:modelValue": (V) => u.setDataWithOther(l.data, R.code, V),
                      disabled: R.isReadonly,
                      clearable: !0,
                      style: normalizeStyle$1({ width: R.controlWidth == null ? "40%" : R.controlWidth + "px" }),
                      placeholder: R.description,
                      transfer: !0,
                      onOnChange: (V) => u.onDataChange(R)
                    }, {
                      default: withCtx(() => [
                        (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(l.data, R), (V) => (openBlock(), createBlock(v, {
                          key: V.id,
                          value: V.id
                        }, {
                          default: withCtx(() => [
                            createTextVNode(toDisplayString$2(V.name), 1)
                          ]),
                          _: 2
                        }, 1032, ["value"]))), 128)),
                        createVNode$1(v, {
                          key: "__Other",
                          value: "__Other"
                        }, {
                          default: withCtx(() => [
                            createTextVNode(toDisplayString$2((R.pattern || "").trim() ? R.pattern : r.$t("Front_Label_Others")), 1)
                          ]),
                          _: 2
                        }, 1024)
                      ]),
                      _: 2
                    }, 1032, ["model-value", "onUpdate:modelValue", "disabled", "style", "placeholder", "onOnChange"]),
                    withDirectives(createVNode$1(p, {
                      type: "text",
                      "model-value": r.parseData(l.data, R.code),
                      "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                      readonly: R.isReadonly,
                      style: normalizeStyle$1([{ width: R.controlWidth == null ? "40%" : R.controlWidth + "px" }, { "margin-left": "4px" }]),
                      maxlength: R.maxLength,
                      placeholder: R.description,
                      onOnChange: (V) => u.onDataChange(R)
                    }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "style", "maxlength", "placeholder", "onOnChange"]), [
                      [vShow, u.parseDataWithOther(l.data, R) == "__Other"]
                    ])
                  ], 64)) : R.controlType === "ComboSelect" ? (openBlock(), createBlock(_, {
                    key: 10,
                    "model-value": r.parseData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                    multi: !1,
                    readonly: R.isReadonly,
                    "remote-method": (V) => u.loadOption(l.data, R, V),
                    data: l.data,
                    param: r.getParam(l.data, R),
                    column: R,
                    onOnChange: (V) => r.onSelectDataChange(R, V)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "remote-method", "data", "param", "column", "onOnChange"])) : R.controlType === "MultiComboSelect" ? (openBlock(), createBlock(_, {
                    key: 11,
                    "model-value": r.parseArrayData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setArrayData(l.data, R.code, V),
                    multi: !0,
                    readonly: R.isReadonly,
                    "remote-method": (V) => u.loadOption(l.data, R, V),
                    data: l.data,
                    param: r.getParam(l.data, R),
                    column: R,
                    onOnChange: (V) => r.onSelectDataChange(R, V)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "remote-method", "data", "param", "column", "onOnChange"])) : R.controlType === "DialogSelect" ? (openBlock(), createBlock(S, {
                    key: 12,
                    "model-value": r.parseData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                    readonly: R.isReadonly,
                    source: R.source,
                    "source-data-code": R.sourceDataCode,
                    "source-display-code": R.sourceDisplayCode,
                    param: r.getParam(l.data, R),
                    controlWidth: R.controlWidth,
                    onOnChange: (V) => u.onDataChange(R, V)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "source", "source-data-code", "source-display-code", "param", "controlWidth", "onOnChange"])) : R.controlType === "MultiDialogSelect" ? (openBlock(), createBlock(S, {
                    key: 13,
                    "model-value": r.parseData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                    multi: !0,
                    readonly: R.isReadonly,
                    source: R.source,
                    "source-data-code": R.sourceDataCode,
                    "source-display-code": R.sourceDisplayCode,
                    param: r.getParam(l.data, R),
                    controlWidth: R.controlWidth,
                    onOnChange: (V) => u.onDataChange(R, V)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "source", "source-data-code", "source-display-code", "param", "controlWidth", "onOnChange"])) : R.controlType === "Date" || R.controlType === "DateTime" || R.controlType === "Year" || R.controlType === "Month" ? (openBlock(), createBlock(C, {
                    key: 14,
                    type: R.controlType.toLowerCase(),
                    "model-value": r.parseData(l.data, R.code),
                    readonly: R.isReadonly,
                    placeholder: R.description,
                    transfer: !0,
                    style: normalizeStyle$1({ width: R.controlWidth == null ? null : R.controlWidth + "px" }),
                    onOnChange: (V) => {
                      r.setData(l.data, R.code, V), u.onDataChange(R);
                    }
                  }, null, 8, ["type", "model-value", "readonly", "placeholder", "style", "onOnChange"])) : R.controlType === "DateRange" ? (openBlock(), createBlock(C, {
                    key: 15,
                    type: R.controlType.toLowerCase(),
                    "model-value": r.parseDateRangeData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setArrayData(l.data, R.code, V),
                    readonly: R.isReadonly,
                    placeholder: R.description,
                    transfer: !0,
                    style: normalizeStyle$1({ width: R.controlWidth == null ? null : R.controlWidth + "px" }),
                    onOnChange: (V) => u.onDataChange(R)
                  }, null, 8, ["type", "model-value", "onUpdate:modelValue", "readonly", "placeholder", "style", "onOnChange"])) : R.controlType === "Time" ? (openBlock(), createBlock(b, {
                    key: 16,
                    type: "time",
                    "model-value": r.parseData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                    readonly: R.isReadonly,
                    placeholder: R.description,
                    transfer: !0,
                    style: normalizeStyle$1({ width: R.controlWidth == null ? null : R.controlWidth + "px" }),
                    onOnChange: (V) => {
                      r.setData(l.data, R.code, V), u.onDataChange(R);
                    }
                  }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "placeholder", "style", "onOnChange"])) : R.controlType === "Check" ? (openBlock(), createBlock(T, {
                    key: 17,
                    "model-value": !!r.parseData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                    disabled: R.isReadonly,
                    size: "large",
                    onOnChange: (V) => u.onDataChange(R)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "disabled", "onOnChange"])) : R.controlType === "Switch" ? (openBlock(), createBlock(E, {
                    key: 18,
                    "model-value": !!r.parseData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                    disabled: R.isReadonly,
                    onOnChange: (V) => u.onDataChange(R)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "disabled", "onOnChange"])) : R.controlType === "Radio" ? (openBlock(), createBlock($, {
                    key: 19,
                    "model-value": r.parseData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                    onOnChange: (V) => u.onDataChange(R)
                  }, {
                    default: withCtx(() => [
                      (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(l.data, R), (V) => (openBlock(), createBlock(x, {
                        key: V.id,
                        label: V.id,
                        disabled: R.isReadonly
                      }, {
                        default: withCtx(() => [
                          createElementVNode("span", null, toDisplayString$2(V.name), 1)
                        ]),
                        _: 2
                      }, 1032, ["label", "disabled"]))), 128))
                    ]),
                    _: 2
                  }, 1032, ["model-value", "onUpdate:modelValue", "onOnChange"])) : R.controlType === "CheckGroup" ? (openBlock(), createBlock(A, {
                    key: 20,
                    "model-value": r.parseArrayData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setArrayData(l.data, R.code, V),
                    onOnChange: (V) => u.onDataChange(R)
                  }, {
                    default: withCtx(() => [
                      (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(l.data, R), (V) => (openBlock(), createBlock(T, {
                        key: V.id,
                        label: V.id,
                        disabled: R.isReadonly
                      }, {
                        default: withCtx(() => [
                          createElementVNode("span", null, toDisplayString$2(V.name), 1)
                        ]),
                        _: 2
                      }, 1032, ["label", "disabled"]))), 128))
                    ]),
                    _: 2
                  }, 1032, ["model-value", "onUpdate:modelValue", "onOnChange"])) : R.controlType === "TextArea" ? (openBlock(), createBlock(p, {
                    key: 21,
                    type: "textarea",
                    "model-value": r.parseData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                    readonly: R.isReadonly,
                    style: normalizeStyle$1({ width: R.controlWidth == null ? null : R.controlWidth + "px" }),
                    rows: R.controlHeight / 20,
                    maxlength: R.maxLength,
                    placeholder: R.description
                  }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "style", "rows", "maxlength", "placeholder"])) : R.controlType === "RichEditor" ? (openBlock(), createBlock(N, {
                    key: 22,
                    "model-value": r.parseData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                    readonly: R.isReadonly,
                    height: R.controlHeight,
                    width: R.controlWidth
                  }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "height", "width"])) : R.controlType === "Attachment" ? (openBlock(), createBlock(P, {
                    key: 23,
                    "model-value": r.parseData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                    readonly: R.isReadonly,
                    maxCount: R.maxLength,
                    accept: R.pattern,
                    draggable: R.mergeSame
                  }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "maxCount", "accept", "draggable"])) : R.controlType === "Image" ? (openBlock(), createBlock(L, {
                    key: 24,
                    "model-value": r.parseData(l.data, R.code),
                    "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                    readonly: R.isReadonly,
                    maxCount: R.maxLength,
                    height: R.controlHeight,
                    width: R.controlWidth
                  }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "maxCount", "height", "width"])) : R.controlType === "Slider" ? (openBlock(), createElementBlock(Fragment, { key: 25 }, [
                    R.isReadonly ? createCommentVNode("", !0) : (openBlock(), createBlock(O, {
                      key: 0,
                      "model-value": r.parseData(l.data, R.code),
                      "onUpdate:modelValue": (V) => r.setData(l.data, R.code, V),
                      "show-input": "",
                      style: normalizeStyle$1({ width: R.controlWidth == null ? null : R.controlWidth + "px" }),
                      max: R.maxValue,
                      min: R.minValue
                    }, null, 8, ["model-value", "onUpdate:modelValue", "style", "max", "min"])),
                    R.isReadonly ? (openBlock(), createBlock(p, {
                      key: 1,
                      type: "number",
                      number: "",
                      readonly: "",
                      "model-value": r.parseData(l.data, R.code),
                      style: normalizeStyle$1({ width: R.controlWidth == null ? "100px" : R.controlWidth + "px" }),
                      placeholder: R.description
                    }, null, 8, ["model-value", "style", "placeholder"])) : createCommentVNode("", !0)
                  ], 64)) : createCommentVNode("", !0)
                ]),
                _: 2
              }, 1032, ["label", "prop", "rules", "error"])) : createCommentVNode("", !0)
            ], 46, _hoisted_1$n)
          ]),
          _: 1
        }, 8, ["modelValue", "onStart", "onEnd"])
      ]),
      _: 1
    }, 8, ["model"])
  ]);
}
const viewFormDraggable = /* @__PURE__ */ _export_sfc(_sfc_main$x, [["render", _sfc_render$x]]), __vite_glob_1_30 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: viewFormDraggable
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$w = {
  mixins: [mixinPage],
  components: { columnEdit, columnSelect, viewFormDraggable, draggable },
  data() {
    return {
      columnWidth: "Column6",
      opened: !1,
      dataView: {},
      componentGroups: []
    };
  },
  async created() {
  },
  props: {
    // 是否公共配置界面
    isSetting: {
      type: Boolean,
      default: !1
    }
  },
  computed: {},
  methods: {
    ...mapActions("admin/dataView", {
      saveDataView: "save",
      saveDataViewSetting: "saveSetting"
    }),
    // 打开
    async open(r, a) {
      this.dataView = r, this.$refs.form.init(this.dataView, this.copy(a)), this.opened = !0;
      const o = await enumApi.query("ControlType");
      this.componentGroups = [
        {
          key: "Normal",
          name: this.$t("Front_Label_Normal_Control"),
          components: []
        },
        {
          key: "Datasource",
          name: this.$t("Front_Label_Data_Source_Control"),
          components: []
        },
        {
          key: "DateTime",
          name: this.$t("Front_Label_Date_Time_Control"),
          components: []
        },
        {
          key: "Other",
          name: this.$t("Front_Label_Other_Control"),
          components: []
        }
      ], o.forEach((s) => {
        let l = {
          code: null,
          name: s.name,
          controlType: s.id,
          isShow: !0,
          isVirtual: r.isVirtual,
          columnWidth: this.columnWidth,
          dataView: r
        };
        s.id == "Label" || s.id == "TextInput" || s.id == "NumberInput" || s.id == "Hyperlink" || s.id == "Check" || s.id == "Switch" || s.id == "Slider" || s.id == "TextArea" ? this.componentGroups.find((u) => u.key == "Normal").components.push(l) : s.id == "Select" || s.id == "SelectWithOther" || s.id == "MultiSelect" || s.id == "ComboSelect" || s.id == "MultiComboSelect" || s.id == "DialogSelect" || s.id == "MultiDialogSelect" || s.id == "TreeSelect" || s.id == "MultiTreeSelect" || s.id == "Radio" || s.id == "CheckGroup" ? this.componentGroups.find((u) => u.key == "Datasource").components.push(l) : s.id == "Date" || s.id == "Time" || s.id == "DateTime" || s.id == "Year" || s.id == "Month" || s.id == "DateRange" ? this.componentGroups.find((u) => u.key == "DateTime").components.push(l) : (s.id == "Title" || s.id == "Description" || s.id == "Table" || s.id == "List" || s.id == "Attachment" || s.id == "Image" || s.id == "RichEditor" || s.id == "Custom" || s.id == "Placeholder") && this.componentGroups.find((u) => u.key == "Other").components.push(l);
      });
    },
    // 关闭
    close() {
      this.opened = !1;
    },
    // 打开字段设置界面
    edit(r, a) {
      this.$refs.columnEdit.open(r, a, this.$refs.form.columns, (o) => {
        lodashExports.get(this.$refs.form.data, o.code) == null && lodashExports.set(this.$refs.form.data, o.code, null), this.$refs.form.columns.splice(a, 1, o), this.$refs.form.initNewLine();
      });
    },
    // 移除
    remove(r, a) {
      this.confirm("Front_Msg_Sure_To_Remove_Control", async () => {
        this.$refs.form.columns.splice(a, 1), this.$refs.form.initNewLine();
      });
    },
    // 打开字段选择界面
    openColumnSelect() {
      this.$refs.columnSelect.open(this.dataView, this.$refs.form.columns, (r) => {
        let a = this.$refs.form.columns.filter((o) => r.some((s) => o.code === s.code) || o.isVirtual);
        this.$refs.form.columns.splice(0, this.$refs.form.columns.length), a.forEach((o) => {
          this.$refs.form.columns.push(o);
        }), r.forEach((o) => {
          if (!this.$refs.form.columns.some((s) => s.code === o.code)) {
            let s = this.$refs.form.data;
            lodashExports.get(s, o.code) == null && lodashExports.set(s, o.code, null);
            let l = {
              code: o.code,
              name: o.name,
              dataType: o.dataType,
              dataView: this.dataView,
              isShow: !0,
              controlType: o.code.indexOf(".") > 0 ? "Label" : this.getDefaultControlType(o.dataType),
              columnWidth: this.columnWidth,
              // 默认宽度1/2
              source: o.objColumn != null ? o.objColumn.dataType : null,
              sourceDataCode: o.objColumn != null ? "id" : null,
              sourceModel: o.objColumn != null ? o.objColumn.dataType : null,
              sourceDisplayCode: o.objColumn != null && o.objColumn.columns.some(function(u) {
                return u.code === o.objColumn.code + ".name";
              }) ? "name" : null
            };
            this.$refs.form.columns.push(l);
          }
        });
      });
    },
    // 全局保存
    globalSave() {
      this.confirm("Front_Msg_Sure_To_Save_Global_Setting", () => {
        this.confirm("Front_Msg_Sure_To_Save_Global_Setting_Confirm", async () => {
          await this.saveDataView({
            code: this.dataView.code,
            columns: this.$refs.form.columns
          }), this.$emit("on-change", this.dataView.code), this.success("Front_Msg_Success", () => {
            this.close();
          });
        });
      });
    },
    // 保存
    save() {
      this.confirm("Front_Msg_Sure_To_Save_Setting", async () => {
        await this.saveDataView({
          code: this.dataView.code,
          columns: this.$refs.form.columns
        }), this.success("Front_Msg_Success", () => {
          this.close();
        });
      });
    },
    // 默认列宽变更
    columnWidthChange() {
      this.componentGroups.forEach((r) => {
        r.components.forEach((a) => {
          a.columnWidth = this.columnWidth;
        });
      });
    },
    // 拖动克隆
    clone(r) {
      return this.copy(r);
    },
    // 双击
    dblclick(r) {
      this.$refs.form.columns.push(this.copy(r));
    },
    // 设置
    setting() {
      this.$refs.setting.open(this.copy(this.dataView));
    },
    // 保存设置
    saveSetting() {
      this.confirm("Front_Msg_Sure_To_Save_Setting", async () => {
        let r = await this.saveDataViewSetting(this.$refs.setting.data);
        this.dataView = r.dataView, this.$emit("on-change", this.dataView.code), this.success("Front_Msg_Success", () => {
          this.$refs.setting.close();
        });
      });
    },
    // 切换至列表模式
    listMode() {
      this.$emit("list-mode", {
        dataView: this.dataView,
        columns: this.$refs.form.columns
      });
    },
    // 获取默认控件类型
    getDefaultControlType(r) {
      return r == "Integer" || r == "BigInteger" || r == "Decimal" || r == "Float" || r == "Double" ? "NumberInput" : r == "Boolean" ? "Check" : r == "DateTime" ? "Date" : "TextInput";
    }
  }
}, _hoisted_1$m = { class: "title" }, _hoisted_2$j = { class: "description" }, _hoisted_3$h = { class: "container" }, _hoisted_4$b = { class: "left" }, _hoisted_5$9 = { style: { width: "100%", display: "flex" } }, _hoisted_6$5 = { style: { width: "50%", float: "left" } }, _hoisted_7$4 = { class: "right" }, _hoisted_8$4 = { class: "ivu-ml-8 ivu-mr-8" };
function _sfc_render$w(r, a, o, s, l, u) {
  const c = resolveComponent("Divider"), d = resolveComponent("Radio"), f = resolveComponent("RadioGroup"), p = resolveComponent("Button"), v = resolveComponent("draggable"), g = resolveComponent("Card"), y = resolveComponent("view-form-draggable"), _ = resolveComponent("Modal"), S = resolveComponent("column-select"), C = resolveComponent("column-edit"), b = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(_, {
      ref: "modal",
      modelValue: l.opened,
      "onUpdate:modelValue": a[3] || (a[3] = (T) => l.opened = T),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: (l.dataView && l.dataView.width ? l.dataView.width : 800) + 350
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          renderSlot(r.$slots, "header", {}, () => [
            createElementVNode("span", _hoisted_1$m, toDisplayString$2(l.dataView.name), 1),
            createElementVNode("span", _hoisted_2$j, toDisplayString$2(l.dataView.description), 1)
          ], !0)
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          createVNode$1(p, {
            type: "primary",
            ghost: "",
            "custom-icon": "fa fa-bars",
            onClick: u.listMode
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_List_Mode")), 1)
            ]),
            _: 1
          }, 8, ["onClick"]),
          l.dataView.isVirtual ? createCommentVNode("", !0) : (openBlock(), createBlock(p, {
            key: 0,
            type: "primary",
            ghost: "",
            "custom-icon": "fa fa-indent",
            onClick: u.openColumnSelect
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Select_Column")), 1)
            ]),
            _: 1
          }, 8, ["onClick"])),
          o.isSetting ? createCommentVNode("", !0) : (openBlock(), createBlock(p, {
            key: 1,
            type: "primary",
            "custom-icon": "fa fa-save",
            onClick: u.save
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
            ]),
            _: 1
          }, 8, ["onClick"])),
          o.isSetting ? (openBlock(), createBlock(p, {
            key: 2,
            type: "error",
            "custom-icon": "fa fa-save",
            onClick: u.globalSave
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Global_Save")), 1)
            ]),
            _: 1
          }, 8, ["onClick"])) : createCommentVNode("", !0),
          o.isSetting ? (openBlock(), createBlock(p, {
            key: 3,
            type: "error",
            "custom-icon": "fa fa-cog",
            onClick: u.setting
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Form_Setting")), 1)
            ]),
            _: 1
          }, 8, ["onClick"])) : createCommentVNode("", !0)
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_3$h, [
          createElementVNode("div", _hoisted_4$b, [
            createVNode$1(g, {
              bordered: !1,
              "dis-hover": "",
              class: "toolbox"
            }, {
              default: withCtx(() => [
                createVNode$1(c, {
                  plain: !0,
                  dashed: "",
                  class: "title",
                  size: "small"
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString$2(r.$t("Front_Label_Default_Column_Width")), 1)
                  ]),
                  _: 1
                }),
                createVNode$1(f, {
                  modelValue: l.columnWidth,
                  "onUpdate:modelValue": a[0] || (a[0] = (T) => l.columnWidth = T),
                  onOnChange: u.columnWidthChange
                }, {
                  default: withCtx(() => [
                    createVNode$1(d, { label: "Column12" }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString$2(r.$t("Enum_ColumnWidth_Column12")), 1)
                      ]),
                      _: 1
                    }),
                    createVNode$1(d, { label: "Column6" }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString$2(r.$t("Enum_ColumnWidth_Column6")), 1)
                      ]),
                      _: 1
                    }),
                    createVNode$1(d, { label: "Column4" }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString$2(r.$t("Enum_ColumnWidth_Column4")), 1)
                      ]),
                      _: 1
                    }),
                    createVNode$1(d, { label: "Column3" }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString$2(r.$t("Enum_ColumnWidth_Column3")), 1)
                      ]),
                      _: 1
                    }),
                    createVNode$1(d, { label: "Column2" }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString$2(r.$t("Enum_ColumnWidth_Column2")), 1)
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }, 8, ["modelValue", "onOnChange"]),
                (openBlock(!0), createElementBlock(Fragment, null, renderList(l.componentGroups, (T, E) => (openBlock(), createElementBlock(Fragment, { key: E }, [
                  createVNode$1(c, {
                    plain: !0,
                    dashed: "",
                    class: "title",
                    size: "small"
                  }, {
                    default: withCtx(() => [
                      createTextVNode(toDisplayString$2(T.name), 1)
                    ]),
                    _: 2
                  }, 1024),
                  createElementVNode("div", _hoisted_5$9, [
                    createVNode$1(v, {
                      animation: 500,
                      modelValue: T.components,
                      "onUpdate:modelValue": (x) => T.components = x,
                      "item-key": "index",
                      scroll: !0,
                      group: {
                        name: "sort",
                        pull: "clone",
                        put: !1
                      },
                      sort: !1,
                      clone: u.clone,
                      filter: ""
                    }, {
                      item: withCtx(({ element: x }) => [
                        createElementVNode("div", _hoisted_6$5, [
                          createVNode$1(p, {
                            icon: "md-list-box",
                            onDblclick: ($) => u.dblclick(x),
                            class: "component"
                          }, {
                            default: withCtx(() => [
                              createTextVNode(toDisplayString$2(x.name), 1)
                            ]),
                            _: 2
                          }, 1032, ["onDblclick"])
                        ])
                      ]),
                      _: 2
                    }, 1032, ["modelValue", "onUpdate:modelValue", "clone"])
                  ])
                ], 64))), 128))
              ]),
              _: 1
            })
          ]),
          createElementVNode("div", _hoisted_7$4, [
            createElementVNode("div", _hoisted_8$4, [
              createVNode$1(y, {
                ref: "form",
                onEdit: a[1] || (a[1] = ({ column: T, index: E }) => u.edit(T, E)),
                onRemove: a[2] || (a[2] = ({ column: T, index: E }) => u.remove(T, E))
              }, null, 512)
            ])
          ])
        ])
      ]),
      _: 3
    }, 8, ["modelValue", "mask-closable", "draggable", "width"]),
    createVNode$1(S, { ref: "columnSelect" }, null, 512),
    createVNode$1(C, {
      ref: "columnEdit",
      "view-type": "FormView"
    }, null, 512),
    o.isSetting ? (openBlock(), createBlock(b, {
      key: 0,
      ref: "setting",
      "view-code": "FormViewSetting"
    }, {
      footer: withCtx(() => [
        createVNode$1(p, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.saveSetting
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512)) : createCommentVNode("", !0)
  ]);
}
const formSettingLayout = /* @__PURE__ */ _export_sfc(_sfc_main$w, [["render", _sfc_render$w], ["__scopeId", "data-v-52d4170e"]]), __vite_glob_1_19 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: formSettingLayout
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$v = {
  mixins: [mixinPage],
  components: { columnSelect, columnEdit },
  data() {
    return {
      active: !1,
      dataView: {}
    };
  },
  created() {
  },
  props: {
    // 是否公共配置界面
    isSetting: {
      type: Boolean,
      default: !1
    }
  },
  computed: {},
  methods: {
    ...mapActions("admin/dataView", {
      saveDataView: "save",
      saveDataViewSetting: "saveSetting"
    }),
    // 打开
    open(r, a) {
      this.dataView = r, this.active = !0, setTimeout(async () => {
        await this.$refs.table.init("FormViewColumn"), this.$refs.table.loadData(a), this.$refs.table.open();
      });
    },
    // 关闭
    close() {
      this.$refs.table.close();
    },
    // 打开字段设置界面
    edit(r, a) {
      this.$refs.columnEdit.open(r, a, this.$refs.table.data, (o) => {
        let s = this.$refs.table.data;
        s.splice(a, 1, o), this.$refs.table.loadData(s);
      });
    },
    // 上移
    up(r, a) {
      let o = this.$refs.table.data;
      a > 0 && (o.splice(a, 1), o.splice(a - 1, 0, r), this.$refs.table.loadData(o));
    },
    // 下移
    down(r, a) {
      let o = this.$refs.table.data;
      a < o.length - 1 && (o.splice(a, 1), o.splice(a + 1, 0, r), this.$refs.table.loadData(o));
    },
    // 拖动完成
    dragDrop(r, a) {
      if (r != a) {
        let o = this.$refs.table.data, s = o[r];
        o.splice(r, 1), o.splice(a, 0, s);
      }
    },
    // 移除
    remove(r, a) {
      let o = this.$refs.table.data;
      o.splice(a, 1), this.$refs.table.loadData(o);
    },
    // 打开字段选择界面
    openColumnSelect() {
      let r = this.$refs.table.data;
      this.$refs.columnSelect.open(this.dataView, r, (a) => {
        r = r.filter((o) => a.some((s) => o.code === s.code) || o.isVirtual), a.forEach((o) => {
          r.some((s) => s.code === o.code) || r.push({
            code: o.code,
            name: o.name,
            dataType: o.dataType,
            dataView: this.dataView,
            isShow: !0,
            controlType: this.getDefaultControlType(o.dataType),
            columnWidth: "Column6",
            // 默认宽度1/2
            source: o.objColumn != null ? o.objColumn.dataType : null,
            sourceDataCode: o.objColumn != null ? "id" : null,
            sourceModel: o.objColumn != null ? o.objColumn.dataType : null,
            sourceDisplayCode: o.objColumn != null && o.objColumn.columns.some(function(s) {
              return s.code === o.objColumn.code + ".name";
            }) ? "name" : null
          });
        }), setTimeout(() => {
          this.$refs.table.loadData(r);
        });
      });
    },
    // 创建虚拟字段
    createVirtual() {
      let r = this.$refs.table.data, a = {
        isShow: !0,
        isVirtual: !0,
        dataType: "String",
        dataView: this.dataView
      };
      this.$refs.columnEdit.open(a, -1, this.$refs.table.data, (o) => {
        r.push(o), this.$refs.table.loadData(r);
      });
    },
    // 全局保存
    globalSave() {
      this.confirm("Front_Msg_Sure_To_Save_Global_Setting", () => {
        this.confirm("Front_Msg_Sure_To_Save_Global_Setting_Confirm", async () => {
          await this.saveDataView({
            code: this.dataView.code,
            columns: this.$refs.table.data
          }), this.$emit("on-change", this.dataView.code), this.success("Front_Msg_Success", () => {
            this.$refs.table.close();
          });
        });
      });
    },
    // 保存
    save() {
      this.confirm("Front_Msg_Sure_To_Save_Setting", async () => {
        await this.saveDataView({
          code: this.dataView.code,
          columns: this.$refs.table.data
        }), this.success("Front_Msg_Success", () => {
          this.$refs.table.close();
        });
      });
    },
    // 设置
    setting() {
      this.$refs.setting.open(this.copy(this.dataView));
    },
    // 保存设置
    saveSetting() {
      this.confirm("Front_Msg_Sure_To_Save_Setting", async () => {
        let r = await this.saveDataViewSetting(this.$refs.setting.data);
        this.dataView = r.dataView, this.$emit("on-change", this.dataView.code), this.success("Front_Msg_Success", () => {
          this.$refs.setting.close();
        });
      });
    },
    // 切换至预览模式
    layoutMode() {
      this.$emit("layout-mode", {
        dataView: this.dataView,
        columns: this.$refs.table.data
      });
    },
    // 获取默认控件类型
    getDefaultControlType(r) {
      return r == "Integer" || r == "BigInteger" || r == "Decimal" || r == "Float" || r == "Double" ? "NumberInput" : r == "Boolean" ? "Check" : r == "DateTime" ? "Date" : "TextInput";
    }
  }
};
function _sfc_render$v(r, a, o, s, l, u) {
  const c = resolveComponent("Button"), d = resolveComponent("modal-table"), f = resolveComponent("column-select"), p = resolveComponent("column-edit"), v = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", null, [
    l.active ? (openBlock(), createBlock(d, {
      key: 0,
      ref: "table",
      static: !0,
      "setting-enable": !1,
      "footer-enable": !0,
      draggable: !0,
      sticky: !0,
      onOnDragDrop: u.dragDrop
    }, {
      command: withCtx(({ row: g, index: y }) => [
        createVNode$1(c, {
          size: "small",
          title: r.$t("Front_Btn_Edit"),
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-edit",
          onClick: (_) => u.edit(g, y)
        }, null, 8, ["title", "onClick"]),
        createVNode$1(c, {
          size: "small",
          title: r.$t("Front_Btn_Up"),
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-chevron-up",
          onClick: (_) => u.up(g, y)
        }, null, 8, ["title", "onClick"]),
        createVNode$1(c, {
          size: "small",
          title: r.$t("Front_Btn_Down"),
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-chevron-down",
          onClick: (_) => u.down(g, y)
        }, null, 8, ["title", "onClick"]),
        createVNode$1(c, {
          size: "small",
          title: r.$t("Front_Btn_Remove"),
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-times",
          onClick: (_) => u.remove(g, y)
        }, null, 8, ["title", "onClick"])
      ]),
      footer: withCtx(() => [
        createVNode$1(c, {
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-eye",
          onClick: u.layoutMode
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Preview_Mode")), 1)
          ]),
          _: 1
        }, 8, ["onClick"]),
        l.dataView.isVirtual ? createCommentVNode("", !0) : (openBlock(), createBlock(c, {
          key: 0,
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-indent",
          onClick: u.openColumnSelect
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Select_Column")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])),
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-bookmark",
          onClick: u.createVirtual
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Virtual_Column")), 1)
          ]),
          _: 1
        }, 8, ["onClick"]),
        o.isSetting ? createCommentVNode("", !0) : (openBlock(), createBlock(c, {
          key: 1,
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.save
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])),
        o.isSetting ? (openBlock(), createBlock(c, {
          key: 2,
          type: "error",
          "custom-icon": "fa fa-save",
          onClick: u.globalSave
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Global_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])) : createCommentVNode("", !0),
        o.isSetting ? (openBlock(), createBlock(c, {
          key: 3,
          type: "error",
          "custom-icon": "fa fa-cog",
          onClick: u.setting
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Form_Setting")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])) : createCommentVNode("", !0)
      ]),
      _: 1
    }, 8, ["onOnDragDrop"])) : createCommentVNode("", !0),
    createVNode$1(f, { ref: "columnSelect" }, null, 512),
    createVNode$1(p, {
      ref: "columnEdit",
      "view-type": "FormView"
    }, null, 512),
    o.isSetting ? (openBlock(), createBlock(v, {
      key: 1,
      ref: "setting",
      "view-code": "FormViewSetting"
    }, {
      footer: withCtx(() => [
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.saveSetting
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512)) : createCommentVNode("", !0)
  ]);
}
const formSetting = /* @__PURE__ */ _export_sfc(_sfc_main$v, [["render", _sfc_render$v]]), __vite_glob_1_20 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: formSetting
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$u = {
  mixins: [mixinPage],
  components: { columnCheck },
  props: {
    filter: String,
    //原表单筛选字段json值
    dataView: {}
    //原表单对象
  },
  data() {
    return {
      opened: !1,
      formView: {},
      filteringFmModal: !1,
      dataFiltering: [],
      data: {}
    };
  },
  computed: {
    columnsFiltering() {
      return [
        {
          type: "index",
          width: 100,
          title: " ",
          align: "center"
        },
        {
          title: this.$t("Front_Label_Column"),
          key: "column"
        },
        {
          title: this.$t("Front_Label_Operator"),
          key: "operatorType"
        },
        {
          title: this.$t("Front_Label_Keyword"),
          key: "keyValue"
        },
        {
          title: " ",
          slot: "action",
          width: 200,
          fixed: "right",
          align: "center"
        }
      ];
    }
  },
  methods: {
    open() {
      this.toData(), this.opened = !0;
    },
    close() {
      this.opened = !1;
    },
    // 将数据库获取的json字符串转换为数组对象
    toData() {
      let r = [];
      if (this.filter !== "" && this.filter != null) {
        let a = JSON.parse(this.filter);
        for (let o in a) {
          let s = [];
          s = this.operatorChange(o), r.push({
            column: s[0],
            operatorType: s[1],
            rule: s[2],
            operator: s[3],
            keyValue: a[o]
          });
        }
      }
      this.dataFiltering = r;
    },
    // 操作符数据转换（ companyType_g  --->  companyType，_g，大于，GreaterThan）
    operatorChange(r) {
      let a = new Array(4);
      return r.indexOf("_g") >= 0 && r.indexOf("_ge") == -1 ? (a[0] = r.replace("_g", ""), a[1] = "大于", a[2] = "_g", a[3] = "GreaterThan") : r.indexOf("_l") >= 0 && r.indexOf("_le") == -1 ? (a[0] = r.replace("_l", ""), a[1] = "小于", a[2] = "_l", a[3] = "LessThan") : r.indexOf("_ge") >= 0 ? (a[0] = r.replace("_ge", ""), a[1] = "大于等于", a[2] = "_ge", a[3] = "GreaterThanOrEqual") : r.indexOf("_le") >= 0 ? (a[0] = r.replace("_le", ""), a[1] = "小于等于", a[2] = "_le", a[3] = "LessThanOrEqual") : r.indexOf("_n") >= 0 ? (a[0] = r.replace("_n", ""), a[1] = "不等于", a[2] = "_n", a[3] = "NotEqual") : r.indexOf("_c") >= 0 ? (a[0] = r, a[1] = "文字包含", a[2] = "_c", a[3] = "Contains") : (a[0] = r, a[1] = "等于", a[2] = "", a[3] = "Equal"), a;
    },
    // 操作符数据转换 （ companyType，_g，大于，GreaterThan --->  companyType_g ）
    operatorReChange(r) {
      let a = new Array(2);
      return r == "GreaterThan" ? (a[0] = "大于", a[1] = "_g") : r == "LessThan" ? (a[0] = "小于", a[1] = "_l") : r == "GreaterThanOrEqual" ? (a[0] = "大于等于", a[1] = "_ge") : r == "LessThanOrEqual" ? (a[0] = "小于等于", a[1] = "_le") : r == "NotEqual" ? (a[0] = "不等于", a[1] = "_n") : r == "Contains" ? (a[0] = "文字包含", a[1] = "_c") : (a[0] = "等于", a[1] = ""), a;
    },
    // 筛选结果 将table对象转换为json字符串
    toFilteringJson() {
      let r = "{";
      if (this.dataFiltering.length > 0) {
        for (let a in this.dataFiltering)
          r += '"' + this.dataFiltering[a].column + this.dataFiltering[a].rule + '":"' + this.dataFiltering[a].keyValue + '",';
        r = r.substring(0, r.length - 1), r += "}";
      } else
        r = "";
      this.$emit("bindFilter", r), this.close();
    },
    // 打开筛选编辑表单
    filteringFmModalopen(r) {
      r != null ? (this.data.code = r.column, this.data.operator = r.operator, this.data.keyValue = r.keyValue) : (this.data.code = "", this.data.rule = "", this.data.operator = "Equal", this.data.keyValue = ""), this.filteringFmModal = !0;
    },
    // 添加筛选字段表单确认
    async saveFilteringForm() {
      if ((this.data.code || "").trim() && (this.data.keyValue || "").trim() && (this.data.operator || "").trim()) {
        let r = this.operatorReChange(this.data.operator), a = !1;
        this.dataFiltering.forEach((o) => {
          o.column == this.data.code && (a = !0, o.operatorType = r[0], o.rule = r[1], o.operator = this.data.operator, o.keyValue = this.data.keyValue);
        }), a || this.dataFiltering.push({
          column: this.data.code,
          operatorType: r[0],
          rule: r[1],
          operator: this.data.operator,
          keyValue: this.data.keyValue
        }), this.filteringFmModal = !1;
      } else
        this.error("Front_Msg_Column_Filtering_Required");
    },
    SaveFiltering() {
      this.toFilteringJson();
    },
    // 筛选字段的移动操作
    // 移除一行数据
    removefiltering(r, a) {
      r != null && this.dataFiltering.splice(a, 1);
    },
    // 上移
    upfiltering(r, a) {
      a > 0 && (this.dataFiltering.splice(a, 1), this.dataFiltering.splice(a - 1, 0, r));
    },
    // 下移
    downfiltering(r, a) {
      a < this.dataFiltering.length - 1 && (this.dataFiltering.splice(a, 1), this.dataFiltering.splice(a + 1, 0, r));
    },
    // 打开字段选择界面
    openSelect() {
      this.$refs.columnCheck.open(this.dataView.model, (r) => {
        this.data.code = r.code, this.data.name = r.name, this.data.dataType = r.dataType, this.data.source = r.objColumn != null ? r.objColumn.dataType : null, this.data.sourceDataCode = r.objColumn != null ? "id" : null, this.data.sourceDisplayCode = r.objColumn != null && r.objColumn.columns.some(function(a) {
          return a.code === r.objColumn.code + ".name";
        }) ? "name" : null, setTimeout(() => {
        });
      });
    }
  }
}, _hoisted_1$l = { class: "title" }, _hoisted_2$i = { class: "description" }, _hoisted_3$g = { class: "i-table-no-border" }, _hoisted_4$a = { class: "title" }, _hoisted_5$8 = { class: "description" };
function _sfc_render$u(r, a, o, s, l, u) {
  const c = resolveComponent("Button"), d = resolveComponent("Table"), f = resolveComponent("Input"), p = resolveComponent("FormItem"), v = resolveComponent("Col"), g = resolveComponent("Option"), y = resolveComponent("Select"), _ = resolveComponent("Row"), S = resolveComponent("Form"), C = resolveComponent("column-check"), b = resolveComponent("Modal");
  return openBlock(), createBlock(b, {
    modelValue: l.opened,
    "onUpdate:modelValue": a[7] || (a[7] = (T) => l.opened = T),
    scrollable: "",
    "mask-closable": r.layout.maskClosable,
    draggable: r.layout.draggable,
    sticky: !0,
    "reset-drag-position": !0,
    width: l.formView.width || "800"
  }, {
    header: withCtx(() => [
      createElementVNode("div", null, [
        createElementVNode("span", _hoisted_1$l, toDisplayString$2(r.$t("Front_Label_Sorting_Setting")), 1),
        createElementVNode("span", _hoisted_2$i, toDisplayString$2(r.$t("Front_Label_Filtering_Setting_Desc")), 1)
      ])
    ]),
    footer: withCtx(() => [
      createVNode$1(c, {
        type: "primary",
        ghost: "",
        "custom-icon": "fa fa-plus",
        onClick: a[0] || (a[0] = (T) => u.filteringFmModalopen(null))
      }, {
        default: withCtx(() => [
          createTextVNode(toDisplayString$2(r.$t("Front_Btn_Add")), 1)
        ]),
        _: 1
      }),
      createVNode$1(c, {
        type: "primary",
        "custom-icon": "fa fa-check",
        onClick: u.SaveFiltering
      }, {
        default: withCtx(() => [
          createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
        ]),
        _: 1
      }, 8, ["onClick"])
    ]),
    default: withCtx(() => [
      createElementVNode("div", _hoisted_3$g, [
        createVNode$1(d, {
          stripe: "",
          columns: u.columnsFiltering,
          data: l.dataFiltering
        }, {
          action: withCtx(({ row: T, index: E }) => [
            createVNode$1(c, {
              size: "small",
              title: r.$t("Front_Btn_Edit"),
              type: "primary",
              ghost: "",
              "custom-icon": "fa fa-edit",
              onClick: (x) => u.filteringFmModalopen(T)
            }, null, 8, ["title", "onClick"]),
            createVNode$1(c, {
              size: "small",
              title: r.$t("Front_Btn_Up"),
              type: "primary",
              ghost: "",
              "custom-icon": "fa fa-chevron-up",
              onClick: (x) => u.upfiltering(T, E)
            }, null, 8, ["title", "onClick"]),
            createVNode$1(c, {
              size: "small",
              title: r.$t("Front_Btn_Down"),
              type: "primary",
              ghost: "",
              "custom-icon": "fa fa-chevron-down",
              onClick: (x) => u.downfiltering(T, E)
            }, null, 8, ["title", "onClick"]),
            createVNode$1(c, {
              size: "small",
              title: r.$t("Front_Btn_Remove"),
              type: "primary",
              ghost: "",
              "custom-icon": "fa fa-times",
              onClick: (x) => u.removefiltering(T, E)
            }, null, 8, ["title", "onClick"])
          ]),
          _: 1
        }, 8, ["columns", "data"])
      ]),
      createVNode$1(b, {
        modelValue: l.filteringFmModal,
        "onUpdate:modelValue": a[6] || (a[6] = (T) => l.filteringFmModal = T),
        scrollable: "",
        "mask-closable": r.layout.maskClosable,
        draggable: r.layout.draggable,
        sticky: !0,
        "reset-drag-position": !0,
        width: "800"
      }, {
        header: withCtx(() => [
          createElementVNode("div", null, [
            createElementVNode("span", _hoisted_4$a, toDisplayString$2(r.$t("Front_Label_Filtering_Setting_Edit")), 1),
            createElementVNode("span", _hoisted_5$8, toDisplayString$2(r.$t("Front_Label_Filtering_Setting_Edit_Desc")), 1)
          ])
        ]),
        footer: withCtx(() => [
          createVNode$1(c, {
            type: "primary",
            "custom-icon": "fa fa-check",
            onClick: a[5] || (a[5] = (T) => u.saveFilteringForm(T))
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
            ]),
            _: 1
          })
        ]),
        default: withCtx(() => [
          createVNode$1(S, { ref: "filteringform" }, {
            default: withCtx(() => [
              createVNode$1(_, {
                gutter: 24,
                type: "flex"
              }, {
                default: withCtx(() => [
                  createVNode$1(v, null, {
                    default: withCtx(() => [
                      createVNode$1(p, {
                        label: r.$t("Front_Label_Column"),
                        prop: "Code"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(f, {
                            type: "text",
                            modelValue: l.data.code,
                            "onUpdate:modelValue": a[2] || (a[2] = (T) => l.data.code = T)
                          }, {
                            prepend: withCtx(() => [
                              createVNode$1(c, {
                                "custom-icon": "fa fa-search",
                                onClick: a[1] || (a[1] = (T) => u.openSelect())
                              })
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label"])
                    ]),
                    _: 1
                  }),
                  createVNode$1(v, null, {
                    default: withCtx(() => [
                      createVNode$1(p, {
                        label: r.$t("Front_Label_Operator"),
                        prop: "Operator"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(y, {
                            modelValue: l.data.operator,
                            "onUpdate:modelValue": a[3] || (a[3] = (T) => l.data.operator = T),
                            transfer: !0
                          }, {
                            default: withCtx(() => [
                              (openBlock(!0), createElementBlock(Fragment, null, renderList(r.getEnumList("Operator"), (T) => (openBlock(), createBlock(g, {
                                key: T.value,
                                value: T.id
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString$2(T.name), 1)
                                ]),
                                _: 2
                              }, 1032, ["value"]))), 128))
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label"])
                    ]),
                    _: 1
                  }),
                  createVNode$1(v, null, {
                    default: withCtx(() => [
                      createVNode$1(p, {
                        label: r.$t("Front_Label_Keyword"),
                        prop: "KeyValue"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(f, {
                            type: "text",
                            modelValue: l.data.keyValue,
                            "onUpdate:modelValue": a[4] || (a[4] = (T) => l.data.keyValue = T),
                            maxlength: "200"
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label"])
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 512),
          createVNode$1(C, { ref: "columnCheck" }, null, 512)
        ]),
        _: 1
      }, 8, ["modelValue", "mask-closable", "draggable"])
    ]),
    _: 1
  }, 8, ["modelValue", "mask-closable", "draggable", "width"]);
}
const modalFormFilter = /* @__PURE__ */ _export_sfc(_sfc_main$u, [["render", _sfc_render$u]]), __vite_glob_1_23 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: modalFormFilter
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$t = {
  mixins: [mixinPage],
  components: { columnCheck },
  props: {
    sort: String,
    //原排序字段json值
    dataView: {}
    //原表单对象
  },
  data() {
    return {
      opened: !1,
      formView: {},
      sortingFmModal: !1,
      dataSorting: [],
      data: {}
    };
  },
  computed: {
    columnsSorting() {
      return [
        {
          type: "index",
          width: 100,
          title: " ",
          align: "center"
        },
        {
          title: this.$t("Front_Label_Column"),
          key: "column"
        },
        {
          title: this.$t("Front_Label_Rule"),
          key: "rule"
        },
        {
          title: " ",
          slot: "action",
          width: 200,
          fixed: "right",
          align: "center"
        }
      ];
    },
    sortingList() {
      return [
        {
          value: "asc",
          label: this.$t("Front_Label_Asc")
        },
        {
          value: "desc",
          label: this.$t("Front_Label_Desc")
        }
      ];
    }
  },
  async created() {
  },
  methods: {
    open() {
      this.toData(), this.opened = !0;
    },
    close() {
      this.opened = !1;
    },
    // 打开排序字段设置表单
    sortingFmModalopen(r) {
      r != null ? (this.data.code = r.column, this.data.rule = r.rule) : (this.data.code = "", this.data.rule = ""), this.sortingFmModal = !0;
    },
    // 将数据库获取的json字符串转换为数组对象
    toData() {
      let r = [];
      if (this.sort !== "" && this.sort != null) {
        let a = JSON.parse(this.sort);
        for (let o in a)
          r.push({
            column: o,
            rule: a[o]
          });
      }
      this.dataSorting = r;
    },
    // 添加排序规则确认
    async saveSortingForm() {
      if (this.data.code !== "" && this.data.code != null && this.data.rule != null && this.data.rule !== "") {
        let r = !1;
        this.dataSorting.forEach((a) => {
          a.column == this.data.code && (r = !0, a.rule = this.data.rule);
        }), r || this.dataSorting.push({
          column: this.data.code,
          rule: this.data.rule
        }), this.sortingFmModal = !1;
      } else
        this.error("Front_Msg_Column_Sorting_Required");
    },
    // 添加排序字段table确认
    SaveSorting() {
      this.toSortingJson();
    },
    // 排序数据的移动操作
    // 移除一行数据
    removeSorting(r, a) {
      r != null && this.dataSorting.splice(a, 1);
    },
    // 上移
    upSorting(r, a) {
      a > 0 && (this.dataSorting.splice(a, 1), this.dataSorting.splice(a - 1, 0, r));
    },
    // 下移
    downSorting(r, a) {
      a < this.dataSorting.length - 1 && (this.dataSorting.splice(a, 1), this.dataSorting.splice(a + 1, 0, r));
    },
    // 打开字段选择界面
    openSelect() {
      this.$refs.columnCheck.openView(this.dataView, (r) => {
        this.data.code = r.code, this.data.name = r.name, this.data.dataType = r.dataType, this.data.source = r.objColumn != null ? r.objColumn.dataType : null, this.data.sourceDataCode = r.objColumn != null ? "id" : null, this.data.sourceDisplayCode = r.objColumn != null && r.objColumn.columns.some(function(a) {
          return a.code === r.objColumn.code + ".name";
        }) ? "name" : null, setTimeout(() => {
        });
      });
    },
    //[{column: 'type.orderNo',rule: 'asc'},{column: 'orderNo',rule: 'asc'}]
    // { "type.orderNo": "asc", "orderNo": "asc" }
    // 排序结果 将table对象转换为json字符串
    toSortingJson() {
      let r = "{";
      if (this.dataSorting.length > 0) {
        for (let a in this.dataSorting)
          r += '"' + this.dataSorting[a].column + '":"' + this.dataSorting[a].rule + '",';
        r = r.substring(0, r.length - 1), r += "}";
      } else
        r = "";
      this.$emit("bindSort", r), this.close();
    }
  }
}, _hoisted_1$k = { class: "title" }, _hoisted_2$h = { class: "description" }, _hoisted_3$f = { class: "i-table-no-border" }, _hoisted_4$9 = { class: "title" }, _hoisted_5$7 = { class: "description" };
function _sfc_render$t(r, a, o, s, l, u) {
  const c = resolveComponent("Button"), d = resolveComponent("Table"), f = resolveComponent("Input"), p = resolveComponent("FormItem"), v = resolveComponent("Col"), g = resolveComponent("Option"), y = resolveComponent("Select"), _ = resolveComponent("Row"), S = resolveComponent("Form"), C = resolveComponent("Modal"), b = resolveComponent("column-check");
  return openBlock(), createBlock(C, {
    modelValue: l.opened,
    "onUpdate:modelValue": a[7] || (a[7] = (T) => l.opened = T),
    scrollable: "",
    "mask-closable": r.layout.maskClosable,
    draggable: r.layout.draggable,
    sticky: !0,
    "reset-drag-position": !0,
    width: l.formView.width || "800"
  }, {
    header: withCtx(() => [
      createElementVNode("div", null, [
        createElementVNode("span", _hoisted_1$k, toDisplayString$2(r.$t("Front_Label_Sorting_Setting")), 1),
        createElementVNode("span", _hoisted_2$h, toDisplayString$2(r.$t("Front_Label_Sorting_Setting_Desc")), 1)
      ])
    ]),
    footer: withCtx(() => [
      createVNode$1(c, {
        type: "primary",
        ghost: "",
        "custom-icon": "fa fa-plus",
        onClick: a[0] || (a[0] = (T) => u.sortingFmModalopen(null))
      }, {
        default: withCtx(() => [
          createTextVNode(toDisplayString$2(r.$t("Front_Btn_Add")), 1)
        ]),
        _: 1
      }),
      createVNode$1(c, {
        type: "primary",
        "custom-icon": "fa fa-check",
        onClick: u.SaveSorting
      }, {
        default: withCtx(() => [
          createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
        ]),
        _: 1
      }, 8, ["onClick"])
    ]),
    default: withCtx(() => [
      createElementVNode("div", _hoisted_3$f, [
        createVNode$1(d, {
          stripe: "",
          columns: u.columnsSorting,
          data: l.dataSorting
        }, {
          action: withCtx(({ row: T, index: E }) => [
            createVNode$1(c, {
              size: "small",
              title: r.$t("Front_Btn_Edit"),
              type: "primary",
              ghost: "",
              "custom-icon": "fa fa-edit",
              onClick: (x) => u.sortingFmModalopen(T)
            }, null, 8, ["title", "onClick"]),
            createVNode$1(c, {
              size: "small",
              title: r.$t("Front_Btn_Up"),
              type: "primary",
              ghost: "",
              "custom-icon": "fa fa-chevron-up",
              onClick: (x) => u.upSorting(T, E)
            }, null, 8, ["title", "onClick"]),
            createVNode$1(c, {
              size: "small",
              title: r.$t("Front_Btn_Down"),
              type: "primary",
              ghost: "",
              "custom-icon": "fa fa-chevron-down",
              onClick: (x) => u.downSorting(T, E)
            }, null, 8, ["title", "onClick"]),
            createVNode$1(c, {
              size: "small",
              title: r.$t("Front_Btn_Remove"),
              type: "primary",
              ghost: "",
              "custom-icon": "fa fa-times",
              onClick: (x) => u.removeSorting(T, E)
            }, null, 8, ["title", "onClick"])
          ]),
          _: 1
        }, 8, ["columns", "data"])
      ]),
      createVNode$1(C, {
        modelValue: l.sortingFmModal,
        "onUpdate:modelValue": a[6] || (a[6] = (T) => l.sortingFmModal = T),
        scrollable: "",
        "mask-closable": r.layout.maskClosable,
        draggable: r.layout.draggable,
        sticky: !0,
        "reset-drag-position": !0,
        width: "800"
      }, {
        header: withCtx(() => [
          createElementVNode("div", null, [
            createElementVNode("span", _hoisted_4$9, toDisplayString$2(r.$t("Front_Label_Sorting_Setting_Edit")), 1),
            createElementVNode("span", _hoisted_5$7, toDisplayString$2(r.$t("Front_Label_Sorting_Setting_Edit_Desc")), 1)
          ])
        ]),
        footer: withCtx(() => [
          createVNode$1(c, {
            type: "primary",
            "custom-icon": "fa fa-check",
            onClick: a[5] || (a[5] = (T) => u.saveSortingForm(T))
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
            ]),
            _: 1
          })
        ]),
        default: withCtx(() => [
          createVNode$1(S, { ref: "sortingform" }, {
            default: withCtx(() => [
              createVNode$1(_, {
                gutter: 24,
                type: "flex"
              }, {
                default: withCtx(() => [
                  createVNode$1(v, null, {
                    default: withCtx(() => [
                      createVNode$1(p, {
                        label: r.$t("Front_Label_Column"),
                        prop: "Code"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(f, {
                            type: "text",
                            readonly: "",
                            modelValue: l.data.code,
                            "onUpdate:modelValue": a[2] || (a[2] = (T) => l.data.code = T),
                            onOnFocus: a[3] || (a[3] = (T) => u.openSelect())
                          }, {
                            prepend: withCtx(() => [
                              createVNode$1(c, {
                                "custom-icon": "fa fa-search",
                                onClick: a[1] || (a[1] = (T) => u.openSelect())
                              })
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label"])
                    ]),
                    _: 1
                  }),
                  createVNode$1(v, null, {
                    default: withCtx(() => [
                      createVNode$1(p, {
                        label: r.$t("Front_Label_Operator"),
                        prop: "SortingRule"
                      }, {
                        default: withCtx(() => [
                          createVNode$1(y, {
                            modelValue: l.data.rule,
                            "onUpdate:modelValue": a[4] || (a[4] = (T) => l.data.rule = T),
                            transfer: !0
                          }, {
                            default: withCtx(() => [
                              (openBlock(!0), createElementBlock(Fragment, null, renderList(u.sortingList, (T) => (openBlock(), createBlock(g, {
                                value: T.value,
                                key: T.value
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString$2(T.label), 1)
                                ]),
                                _: 2
                              }, 1032, ["value"]))), 128))
                            ]),
                            _: 1
                          }, 8, ["modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label"])
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 512)
        ]),
        _: 1
      }, 8, ["modelValue", "mask-closable", "draggable"]),
      createVNode$1(b, { ref: "columnCheck" }, null, 512)
    ]),
    _: 1
  }, 8, ["modelValue", "mask-closable", "draggable", "width"]);
}
const modalFormSort = /* @__PURE__ */ _export_sfc(_sfc_main$t, [["render", _sfc_render$t]]), __vite_glob_1_24 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: modalFormSort
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$s = {
  mixins: [mixinPage],
  components: { formSetting, formSettingLayout },
  data() {
    return {
      opened: !1,
      isFullscreen: !1,
      formView: {},
      settingActive: !1
    };
  },
  async created() {
  },
  props: {
    /**
     * 表单视图代码
     */
    viewCode: {
      type: String
    },
    /**
     * 只读
     */
    readonly: {
      type: Boolean,
      default: !1
    },
    /**
     * 预设默认值
     */
    defaultData: {
      type: Object,
      default() {
        return {};
      }
    },
    /**
     * 允许创建
     */
    createEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 允许编辑
     */
    editEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 是否允许保存
     */
    saveEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 是否允许点击遮罩层关闭
     */
    maskClosable: {
      type: Boolean,
      default: null
    },
    /**
     * 是否允许拖动
     */
    draggable: {
      type: Boolean,
      default: null
    },
    /**
     * 是否允许配置界面
     */
    settingEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 验证方法
     */
    validateFunction: {
      type: Function
    },
    /**
     * 关闭前方法
     */
    beforeClose: {
      type: Function
    }
  },
  computed: {
    // formView () {
    //     return this.$refs.form.formView;
    // },
    data() {
      return this.$refs.form.data;
    },
    columns() {
      return this.$refs.form.columns;
    }
  },
  methods: {
    /**
     * 初始化
     *
     * @param {string} viewCode 视图代码
     * @param {function} callback 完成后回调方法
     * @param {function} onFail 失败后回调方法
     * @public
     */
    async init(r, a, o) {
      await this.$refs.form.init(r, a, o);
    },
    /**
     * 加载视图
     *
     * @param {object} view 视图
     * @public
     */
    loadView(r) {
      this.$refs.form.loadView(r);
    },
    /**
     * 打开
     *
     * @param {object} data 数据
     * @param {object} compare 对比数据，不一致标红
     * @public
     */
    open(r, a) {
      r ? (this.$refs.form.data = this.copy(r), this.$refs.form.compareData = a) : this.$refs.form.setDefault(), setTimeout(() => {
        this.$refs.form.onDataChange(), this.$refs.form.clearValidate(), this.opened = !0;
      });
    },
    /**
     * 用默认值打开
     *
     * @param {object} def 默认值
     * @public
     */
    openDefault(r) {
      this.$refs.form.setDefault(r), setTimeout(() => {
        this.$refs.form.onDataChange(), this.$refs.form.clearValidate(), this.opened = !0;
      });
    },
    /**
     * 设置数据
     *
     * @param {object} data 数据
     * @public
     */
    setData(r) {
      this.$refs.form.data = r;
    },
    /**
     * 关闭
     *
     * @public
     */
    async close() {
      this.opened = !1;
    },
    /**
     * 设为默认值
     *
     * @param {object}} data 默认值
     * @public
     */
    setDefault(r) {
      this.$refs.form.setDefault(r);
    },
    /**
     * 验证
     *
     * @public
     */
    validate() {
      return this.$refs.form.validate();
    },
    /**
     * 获取完整数据
     *
     * @public
     */
    getFullData() {
      return this.$refs.form.getFullData();
    },
    // /**
    //  * 强制更新
    //  *
    //  * @public
    //  */
    // forceUpdate() {
    //   //this.$refs.form.$forceUpdate();
    // },
    onChange(r, a, o, s) {
      this.$emit("on-change", r, a, o, s);
    },
    /**
     * 设置表格字段内容
     *
     * @param {string} code 字段
     * @param {object} value 值
     * @public
     */
    setTableData(r, a) {
      this.$refs.form.setTableData(r, a);
    },
    /**
     * 刷新
     *
     * @public
     */
    refresh() {
      this.$refs.form.refresh();
    },
    onReady(r) {
      this.formView = r;
    },
    onVisibleChange(r) {
      r || (this.$refs.form.reset(), this.$emit("on-close"));
    },
    canSave() {
      return this.readonly ? !1 : this.$refs.form && this.$refs.form.data ? this.$refs.form.data.id ? this.editEnable : this.createEnable : !0;
    },
    // 保存
    async onSave() {
      if (!await this.$refs.form.validate())
        this.error("Front_Msg_Form_Validate_Fail");
      else {
        if (this.validateFunction && !this.validateFunction())
          return;
        this.$emit("on-before-save");
        let a = this.$refs.form.getFullData();
        if (!a)
          return;
        this.confirm("Front_Msg_Sure_To_Save", async () => {
          this.formView.isCustom ? a.id ? await customModelApi.update(this.formView.model, a) : await customModelApi.add(this.formView.model, a) : a.id ? await modelApi.update(this.formView.model, a) : await modelApi.add(this.formView.model, a), this.success("Front_Msg_Success", () => {
            this.$refs.form.data = {}, this.$emit("on-after-save", a), this.close();
          });
        });
      }
    },
    // 打开设置界面
    settingOpen() {
      this.settingActive = !0, setTimeout(async () => {
        this.$refs.settingLayout.open(this.formView, this.copy(this.formView.columns));
      });
    },
    // 切换至列表模式
    listMode({ dataView: r, columns: a }) {
      this.$refs.settingLayout.close(), this.$refs.setting.open(r, a);
    },
    // 切换至预览模式
    layoutMode({ dataView: r, columns: a }) {
      this.$refs.setting.close(), this.$refs.settingLayout.open(r, a);
    },
    // 点击关闭按钮
    clickClose() {
      typeof this.beforeClose == "function" ? this.beforeClose().then(
        () => {
          this.close();
        },
        () => {
        }
      ) : this.close();
    },
    // 获取多语言名称
    getNameI18n(r) {
      if (this.layout.showI18n) {
        if (r.code) {
          let a = "DataView_" + r.code, o = this.$t(a);
          return o == a ? r.name : o;
        }
      } else
        return r.name;
    },
    // 获取多语言描述
    getDescI18n(r) {
      if (this.layout.showI18n) {
        if (r.code) {
          let a = "DataView_" + r.code + "_$Desc", o = this.$t(a);
          return o == a ? r.name : o;
        }
      } else
        return r.description;
    }
  }
}, _hoisted_1$j = { class: "title" }, _hoisted_2$g = { class: "description" }, _hoisted_3$e = { class: "ivu-ml-8 ivu-mr-8" };
function _sfc_render$s(r, a, o, s, l, u) {
  const c = resolveComponent("Icon"), d = resolveComponent("view-form"), f = resolveComponent("Button"), p = resolveComponent("Modal"), v = resolveComponent("form-setting"), g = resolveComponent("form-setting-layout");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(p, {
      modelValue: l.opened,
      "onUpdate:modelValue": a[4] || (a[4] = (y) => l.opened = y),
      scrollable: "",
      fullscreen: l.isFullscreen,
      "mask-closable": o.maskClosable == null ? r.layout.maskClosable : o.maskClosable,
      draggable: o.draggable == null ? r.layout.draggable : o.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: l.formView.width || "800",
      "before-close": o.beforeClose,
      onOnVisibleChange: u.onVisibleChange
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          renderSlot(r.$slots, "header", {}, () => [
            createElementVNode("span", _hoisted_1$j, toDisplayString$2(u.getNameI18n(l.formView)), 1),
            createElementVNode("span", _hoisted_2$g, toDisplayString$2(u.getDescI18n(l.formView)), 1)
          ])
        ])
      ]),
      close: withCtx(() => [
        createElementVNode("div", {
          onClick: a[3] || (a[3] = withModifiers(() => {
          }, ["stop"]))
        }, [
          l.isFullscreen ? createCommentVNode("", !0) : (openBlock(), createBlock(c, {
            key: 0,
            style: { "font-size": "20px", color: "#999", position: "relative", top: "-3px" },
            type: "ios-expand",
            onClick: a[0] || (a[0] = (y) => l.isFullscreen = !l.isFullscreen)
          })),
          l.isFullscreen ? (openBlock(), createBlock(c, {
            key: 1,
            style: { "font-size": "20px", color: "#999", position: "relative", top: "-3px" },
            type: "ios-contract",
            onClick: a[1] || (a[1] = (y) => l.isFullscreen = !l.isFullscreen)
          })) : createCommentVNode("", !0),
          createVNode$1(c, {
            type: "ios-close",
            onClick: a[2] || (a[2] = (y) => u.clickClose())
          })
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          renderSlot(r.$slots, "footer", {}, () => [
            u.canSave() && o.saveEnable && !l.formView.editEnable ? (openBlock(), createBlock(f, {
              key: 0,
              type: "primary",
              "custom-icon": "fa fa-save",
              onClick: u.onSave
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
              ]),
              _: 1
            }, 8, ["onClick"])) : createCommentVNode("", !0)
          ]),
          createVNode$1(f, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: u.clickClose
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          }, 8, ["onClick"]),
          o.settingEnable && r.allow("permission/formView") ? (openBlock(), createBlock(f, {
            key: 0,
            type: "error",
            title: r.$t("Front_Btn_Setting"),
            "custom-icon": "fa fa-cog",
            onClick: u.settingOpen
          }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0)
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_3$e, [
          createVNode$1(d, {
            ref: "form",
            "view-code": o.viewCode,
            readonly: !u.canSave(),
            defaultData: o.defaultData,
            "setting-enable": o.settingEnable,
            onOnChange: u.onChange,
            onOnReady: u.onReady
          }, {
            top: withCtx(({ form: y }) => [
              renderSlot(r.$slots, "top", { form: y })
            ]),
            column: withCtx(({ form: y, data: _, column: S, code: C }) => [
              renderSlot(r.$slots, "column", {
                form: y,
                data: _,
                column: S,
                code: C
              })
            ]),
            tableColumn: withCtx((y) => [
              renderSlot(r.$slots, "tableColumn", {
                table: y.table,
                tableColumn: y.tableColumn,
                tableCode: y.tableCode,
                row: y.row,
                index: y.index,
                column: y.column,
                code: y.code
              })
            ]),
            tableCommand: withCtx((y) => [
              renderSlot(r.$slots, "tableCommand", {
                table: y.table,
                tableColumn: y.tableColumn,
                tableCode: y.tableCode,
                row: y.row,
                index: y.index
              })
            ]),
            bottom: withCtx(({ form: y }) => [
              renderSlot(r.$slots, "bottom", { form: y })
            ]),
            _: 3
          }, 8, ["view-code", "readonly", "defaultData", "setting-enable", "onOnChange", "onOnReady"])
        ])
      ]),
      _: 3
    }, 8, ["modelValue", "fullscreen", "mask-closable", "draggable", "width", "before-close", "onOnVisibleChange"]),
    l.settingActive ? (openBlock(), createBlock(v, {
      key: 0,
      ref: "setting",
      "is-setting": !0,
      onLayoutMode: u.layoutMode,
      onOnChange: u.init
    }, null, 8, ["onLayoutMode", "onOnChange"])) : createCommentVNode("", !0),
    l.settingActive ? (openBlock(), createBlock(g, {
      key: 1,
      ref: "settingLayout",
      "is-setting": !0,
      onListMode: u.listMode,
      onOnChange: u.init
    }, null, 8, ["onListMode", "onOnChange"])) : createCommentVNode("", !0)
  ]);
}
const modalForm = /* @__PURE__ */ _export_sfc(_sfc_main$s, [["render", _sfc_render$s]]), __vite_glob_1_25 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: modalForm
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$r = {
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      opened: !1,
      isFullscreen: !1,
      tableView: {},
      param: {}
    };
  },
  created() {
  },
  props: {
    /**
     * 视图代码
     */
    viewCode: {
      type: String
    },
    /**
     * 是否静态数据
     */
    static: {
      type: Boolean,
      default: !1
    },
    /**
     * 筛选
     */
    filter: {
      type: Object,
      default() {
        return {};
      }
    },
    /**
     * 显示底栏
     */
    footerEnable: {
      type: Boolean,
      default: !1
    },
    /**
     * 自动加载
     */
    autoLoad: {
      type: Boolean,
      default: !0
    },
    /**
     * 是否允许点击遮罩层关闭
     */
    maskClosable: {
      type: Boolean,
      default: null
    },
    /**
     * 是否允许拖动
     */
    draggable: {
      type: Boolean,
      default: null
    },
    /**
     * 是否允许配置界面
     */
    settingEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 是否允许选择
     */
    selectEnable: {
      type: Boolean,
      default: !1
    },
    /**
     * 是否跨页选择
     */
    checkCrossPage: {
      type: Boolean,
      default: !1
    },
    /**
     * 是否允许树展开
     */
    treeEnable: {
      type: Boolean,
      default: !1
    },
    /**
     * 树展开字段
     */
    treeColumn: {
      type: String
    },
    /**
     * 树展开动作
     */
    treeLoad: {
      type: Function
    },
    /**
     * 树包含子项
     */
    hasChildren: {
      type: Function
    },
    /**
     * 允许创建
     */
    createEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 允许编辑
     */
    editEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 允许查看
     */
    showEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 允许删除
     */
    removeEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 允许筛选栏
     */
    filterEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 允许分页
     */
    pageEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 是否内嵌表格
     */
    embedded: {
      type: Boolean,
      default: !1
    },
    /**
     * 加载数据前
     */
    beforeLoadData: {
      type: Function
    },
    /**
     * 查询方法
     */
    onSearch: {
      type: Function
    },
    /**
     * 合计方法
     */
    summaryMethod: {
      type: Function
    },
    /**
     * 每页条数切换的配置
     */
    pageSizeOpts: {
      type: Array
    },
    /**
     * 关闭前方法
     */
    beforeClose: {
      type: Function
    },
    /**
     * 合并单元格的配置
     */
    spanMethod: {
      type: Function
    },
    /**
     * 允许加载数据
     */
    loadDataEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 行样式名称
     */
    rowClassName: {
      type: Function
    },
    /**
     * 是否支持高亮选中的行，即单选
     */
    highlightRow: {
      type: Boolean,
      default: !1
    }
  },
  computed: {
    // 表格数据
    data() {
      return this.$refs.table.data;
    },
    // 表格
    table() {
      return this.$refs.table;
    },
    // 筛选条件数据
    filterData() {
      return this.$refs.table.filterData;
    },
    // 屏幕宽度
    screenWidth() {
      return document.body.clientWidth * 0.8;
    }
  },
  methods: {
    /**
     * 初始化
     *
     * @param {string} viewCode 视图代码
     * @param {function} callback 完成后回调方法
     * @param {function} onFail 失败后回调方法
     * @public
     */
    async init(r, a, o) {
      await this.$refs.table.init(r, a, o);
    },
    /**
     * 打开
     *
     * @param {object} param 参数
     * @public
     */
    open(r) {
      setTimeout(() => {
        if (this.param)
          for (let a in this.param)
            delete this.filterData[a];
        if (this.param = r, this.param)
          for (let a in this.param)
            this.filterData[a] = this.param[a];
        this.$refs.table.loadData(), this.opened = !0;
      });
    },
    /**
     * 关闭
     *
     * @public
     */
    async close() {
      this.opened = !1;
    },
    /**
     * 验证
     *
     * @public
     */
    validate() {
      return this.$refs.table.validate();
    },
    /**
     * 加载数据
     *
     * @param {object} staticData 静态数据
     * @public
     */
    loadData(r) {
      this.$refs.table.loadData(r);
    },
    /**
     * 获取选中项
     *
     * @public
     */
    getSelected() {
      return this.$refs.table.getSelected();
    },
    /**
     * 设置选中项
     *
     * @param {array} selected 选中项集合
     * @public
     */
    setSelected(r) {
      this.$refs.table.setSelected(r);
    },
    /**
     * 获取数据
     *
     * @public
     */
    getData() {
      return this.$refs.table.getData();
    },
    /**
     * 获取默认值
     *
     * @public
     */
    getDefaultData() {
      return this.$refs.table.getDefaultData();
    },
    onReady(r) {
      this.tableView = r;
    },
    onVisibleChange(r) {
      r || (this.$refs.table.isStatic && this.$refs.table.loadData([]), this.$emit("on-close"));
    },
    onLoadData() {
      this.$emit("on-load-data");
    },
    // 创建新项
    create() {
      this.$emit("create", this.param);
    },
    // 编辑项
    edit(r) {
      this.$emit("edit", r);
    },
    // 查看项
    show(r) {
      this.$emit("show", r);
    },
    // 删除项
    remove(r) {
      this.$refs.table.remove(r);
    },
    // 完成初始化
    afterInit() {
      this.$emit("after-init");
    },
    // 清空全部选中项
    selectAllCancel() {
      this.setSelected([]);
    },
    // 清空数据
    clear() {
      this.$refs.table.clear();
    },
    // 点击关闭按钮
    clickClose() {
      typeof this.beforeClose == "function" ? this.beforeClose().then(
        () => {
          this.close();
        },
        () => {
        }
      ) : this.close();
    },
    // 获取多语言名称
    getNameI18n(r) {
      if (this.layout.showI18n) {
        if (r.code) {
          let a = "DataView_" + r.code, o = this.$t(a);
          return o == a ? r.name : o;
        }
      } else
        return r.name;
    },
    // 获取多语言描述
    getDescI18n(r) {
      if (this.layout.showI18n) {
        if (r.code) {
          let a = "DataView_" + r.code + "_$Desc", o = this.$t(a);
          return o == a ? r.name : o;
        }
      } else
        return r.description;
    }
  }
}, _hoisted_1$i = { class: "title" }, _hoisted_2$f = { class: "description" }, _hoisted_3$d = { class: "ivu-ml-8 ivu-mr-8" };
function _sfc_render$r(r, a, o, s, l, u) {
  const c = resolveComponent("Icon"), d = resolveComponent("view-table"), f = resolveComponent("Modal");
  return openBlock(), createBlock(f, {
    ref: "modal",
    modelValue: l.opened,
    "onUpdate:modelValue": a[6] || (a[6] = (p) => l.opened = p),
    scrollable: "",
    fullscreen: l.isFullscreen,
    "mask-closable": o.maskClosable == null ? r.layout.maskClosable : o.maskClosable,
    draggable: o.draggable == null ? r.layout.draggable : o.draggable,
    sticky: !0,
    "reset-drag-position": !0,
    width: l.tableView.width || u.screenWidth,
    "before-close": o.beforeClose,
    "footer-hide": !o.footerEnable,
    onOnVisibleChange: u.onVisibleChange
  }, {
    header: withCtx(() => [
      createElementVNode("div", null, [
        renderSlot(r.$slots, "header", {}, () => [
          createElementVNode("span", _hoisted_1$i, toDisplayString$2(u.getNameI18n(l.tableView)), 1),
          createElementVNode("span", _hoisted_2$f, toDisplayString$2(u.getDescI18n(l.tableView)), 1)
        ])
      ])
    ]),
    close: withCtx(() => [
      createElementVNode("div", {
        onClick: a[3] || (a[3] = withModifiers(() => {
        }, ["stop"]))
      }, [
        l.isFullscreen ? createCommentVNode("", !0) : (openBlock(), createBlock(c, {
          key: 0,
          style: { "font-size": "20px", color: "#999", position: "relative", top: "-3px" },
          type: "ios-expand",
          onClick: a[0] || (a[0] = (p) => l.isFullscreen = !l.isFullscreen)
        })),
        l.isFullscreen ? (openBlock(), createBlock(c, {
          key: 1,
          style: { "font-size": "20px", color: "#999", position: "relative", top: "-3px" },
          type: "ios-contract",
          onClick: a[1] || (a[1] = (p) => l.isFullscreen = !l.isFullscreen)
        })) : createCommentVNode("", !0),
        createVNode$1(c, {
          type: "ios-close",
          onClick: a[2] || (a[2] = (p) => u.clickClose())
        })
      ])
    ]),
    footer: withCtx(() => [
      createElementVNode("div", null, [
        renderSlot(r.$slots, "footer")
      ])
    ]),
    default: withCtx(() => [
      createElementVNode("div", _hoisted_3$d, [
        createVNode$1(d, {
          ref: "table",
          "view-code": o.viewCode,
          static: this.static,
          "setting-enable": o.settingEnable,
          "auto-load": !1,
          "select-enable": o.selectEnable,
          "check-cross-page": o.checkCrossPage,
          "tree-enable": o.treeEnable,
          "tree-load": o.treeLoad,
          "has-children": o.hasChildren,
          "create-enable": o.createEnable,
          "edit-enable": o.editEnable,
          "show-enable": o.showEnable,
          "remove-enable": o.removeEnable,
          draggable: o.draggable,
          "filter-enable": o.filterEnable,
          "page-enable": o.pageEnable,
          embedded: o.embedded,
          "before-load-data": o.beforeLoadData,
          "on-search": o.onSearch,
          "summary-method": o.summaryMethod,
          "page-size-opts": o.pageSizeOpts,
          "span-method": o.spanMethod,
          "load-data-enable": o.loadDataEnable,
          "row-class-name": o.rowClassName,
          "highlight-row": o.highlightRow,
          onCreate: u.create,
          onEdit: u.edit,
          onShow: u.show,
          onOnReady: u.onReady,
          onOnLoadData: u.onLoadData,
          onAfterInit: u.afterInit,
          onOnDragDrop: a[4] || (a[4] = (p, v) => this.$emit("on-drag-drop", p, v)),
          onOnCurrentChange: a[5] || (a[5] = (p, v) => r.$emit("on-current-change", p, v))
        }, {
          top: withCtx(() => [
            renderSlot(r.$slots, "top")
          ]),
          filter: withCtx(({ filter: p }) => [
            renderSlot(r.$slots, "filter", {
              table: r.$refs.table,
              filter: p,
              param: l.param
            })
          ]),
          customFilter: withCtx(() => [
            renderSlot(r.$slots, "customFilter")
          ]),
          filterCommand: withCtx(() => [
            renderSlot(r.$slots, "filterCommand")
          ]),
          commandBefore: withCtx(({ row: p, index: v }) => [
            renderSlot(r.$slots, "commandBefore", {
              row: p,
              index: v
            })
          ]),
          command: withCtx(({ row: p, index: v }) => [
            renderSlot(r.$slots, "command", {
              row: p,
              index: v
            })
          ]),
          column: withCtx(({ row: p, index: v, column: g, code: y }) => [
            renderSlot(r.$slots, "column", {
              row: p,
              index: v,
              column: g,
              code: y
            })
          ]),
          filterColumn: withCtx(({ filter: p, column: v }) => [
            renderSlot(r.$slots, "filterColumn", {
              filter: p,
              column: v,
              code: v.code
            })
          ]),
          _: 3
        }, 8, ["view-code", "static", "setting-enable", "select-enable", "check-cross-page", "tree-enable", "tree-load", "has-children", "create-enable", "edit-enable", "show-enable", "remove-enable", "draggable", "filter-enable", "page-enable", "embedded", "before-load-data", "on-search", "summary-method", "page-size-opts", "span-method", "load-data-enable", "row-class-name", "highlight-row", "onCreate", "onEdit", "onShow", "onOnReady", "onOnLoadData", "onAfterInit"])
      ])
    ]),
    _: 3
  }, 8, ["modelValue", "fullscreen", "mask-closable", "draggable", "width", "before-close", "footer-hide", "onOnVisibleChange"]);
}
const modalTable = /* @__PURE__ */ _export_sfc(_sfc_main$r, [["render", _sfc_render$r]]), __vite_glob_1_26 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: modalTable
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$q = {
  mixins: [mixin$1, mixinPage],
  components: { DialogSelect },
  data() {
    return {
      data: {}
    };
  },
  async created() {
    this.init();
  },
  props: {
    // 表格视图
    tableView: {
      type: Object
    },
    // 字段
    columns: {
      type: Array
    }
  },
  watch: {
    columns() {
      this.init();
    }
  },
  computed: {},
  methods: {
    init() {
      let r = this.data;
      this.columns.forEach((a) => {
        if (a.defaultValue)
          if (a.defaultValue == "{today}") {
            let s = (/* @__PURE__ */ new Date()).toISOString().replace(/T.*/, "");
            this.setFilterData(r, a, new Date(s));
          } else if (a.defaultValue.startsWith("{today(") && a.defaultValue.endsWith(")}")) {
            let o = a.defaultValue.substr(7, a.defaultValue.length - 9);
            this.setFilterData(r, a, format$4(/* @__PURE__ */ new Date(), o));
          } else a.defaultValue == "{currentUserID}" ? this.setFilterData(r, a, this.info.id) : a.defaultValue == "{currentUser}" ? this.setFilterData(r, a, this.info.name) : a.dataType === "Integer" ? this.setFilterData(r, a, parseInt(a.defaultValue)) : a.dataType === "Decimal" ? this.setFilterData(r, a, parseFloat(a.defaultValue)) : a.dataType === "Boolean" && a.defaultValue.toUpperCase == "TRUE" ? this.setFilterData(r, a, !0) : a.dataType === "Boolean" && a.defaultValue.toUpperCase == "FALSE" ? this.setFilterData(r, a, !1) : this.setFilterData(r, a, a.defaultValue);
      }), setTimeout(() => {
        this.initStaticItem(), this.initTrigger(), this.onDataChange();
      });
    },
    // 初始化静态选项
    initStaticItem() {
      this.columns.forEach((r) => {
        r.isStaticItem && (r.dataSource = [], (r.itemData || "").trim() && r.itemData.split(/[\n]/).forEach((a) => {
          if ((a || "").trim())
            if (a.split(":").length > 1) {
              let o = a.split(":")[0], s = a.split(":")[1];
              r.dataType == "Integer" || r.dataType == "BigInteger" ? r.dataSource.push({
                id: parseInt(o),
                name: s
              }) : r.dataType == "Decimal" || r.dataType == "Float" || r.dataType == "Double" ? r.dataSource.push({
                id: parseFloat(o),
                name: s
              }) : r.dataType == "Boolean" ? r.dataSource.push({
                id: o.toUpperCase() == "TRUE",
                name: s
              }) : r.dataSource.push({
                id: o,
                name: s
              });
            } else
              r.dataType == "Integer" || r.dataType == "BigInteger" ? r.dataSource.push({
                id: parseInt(a),
                name: a
              }) : r.dataType == "Decimal" || r.dataType == "Float" || r.dataType == "Double" ? r.dataSource.push({
                id: parseFloat(a),
                name: a
              }) : r.dataType == "Boolean" ? r.dataSource.push({
                id: a.toUpperCase() == "TRUE",
                name: a
              }) : r.dataSource.push({
                id: a,
                name: a
              });
        }));
      });
    },
    // 初始化触发规则
    initTrigger() {
      this.columns.forEach((r) => {
        r.triggers = [];
      }), this.columns.filter((r) => !r.isStaticItem && !!(r.source || "").trim() && !!(r.param || "").trim() && !(r.dataType && r.dataType.startsWith("Enum:"))).forEach((r) => {
        let a = JSON.parse(r.param);
        for (let o in a)
          this.columns.filter((s) => a[o] === s.code).forEach((s) => {
            s.triggers.push(r);
          });
      });
    },
    // 填充数据源
    async fillDataSource(r, a, o) {
      let s;
      (a.controlType === "TreeSelect" || a.controlType === "MultiTreeSelect") && (s = this.parseTreeFilterData(r, a), a.dataSource = null), (a.controlType === "ComboSelect" || a.controlType === "MultiComboSelect") && (o.per = 20), this.disableLoader();
      let l;
      if (a.isSourceCustom ? l = await customModelApi.query(a.source, o) : l = await modelApi.query(a.source, o), this.enableLoader(), a.rawData = l.data, a.controlType === "TreeSelect" || a.controlType === "MultiTreeSelect") {
        let u = l.data.map((c) => ({
          id: (a.sourceDataCode || "").trim() ? this.parseData(c, a.sourceDataCode) : c.id,
          name: this.parseData(c, a.sourceDisplayCode),
          parentID: c.parentID
        }));
        a.dataSource = this.getTreeDataSource(u, a, null), this.setFilterData(r, a, s);
      } else if (a.dataSource = l.data.map((u) => ({
        id: (a.sourceDataCode || "").trim() ? this.parseData(u, a.sourceDataCode) : u.id,
        name: this.parseData(u, a.sourceDisplayCode)
      })), r && this.parseFilterData(r, a) == null && a.isDefaultFirst && l.length > 0 && (this.setData(r, a.code, this.parseData(l[0], a.sourceDataCode)), this.$emit("on-change", a, null, a.rawData[0], null), a.sourceDataCode == "id" && a.code.length > 2)) {
        let u = a.code.substr(0, a.code.length - 2), c = a.rawData.find((d) => d.id == this.parseData(r, a.code));
        this.setData(r, u, c);
      }
      (a.controlType == "Select" || a.controlType == "Radio") && (a.dataSource.some((u) => u.id == this.parseData(r, a.code)) || (this.setData(r, a.code, null), a.triggers.forEach((u) => {
        u.needClear = !0;
      })));
    },
    // 获取树结构数据源
    getTreeDataSource(r, a, o) {
      let s = r.filter((l) => l.parentID == o).map((l) => ({
        value: (a.sourceDataCode || "").trim() ? this.parseData(l, a.sourceDataCode) : l.id,
        title: this.parseData(l, a.sourceDisplayCode),
        selected: !1,
        checked: !1
      }));
      if (s.length > 0)
        for (let l of s)
          l.expand = !0, l.children = this.getTreeDataSource(r, a, l.value);
      return s;
    },
    // 获取数据源
    getDataSource(r, a) {
      return !a.isStaticItem && a.dataType.startsWith("Enum:") ? this.getEnumList(a.dataType.split(":")[1]) : a.dataSource == null ? [] : a.dataSource;
    },
    // 选项变化事件
    onSelectDataChange(r, a) {
      let o;
      r.code.endsWith("ID") && (o = r.code.substr(0, r.code.length - 2));
      let s = null;
      if (typeof a == "object")
        if (a instanceof Array) {
          s = [];
          for (let l of a)
            typeof l == "object" ? s.push(l) : r.rawData ? s.push(
              r.rawData.find((u) => this.parseFilterData(u, r.sourceDataCode) == l)
            ) : s.push(l);
        } else
          s = a;
      else
        r.rawData ? s = r.rawData.find((l) => this.parseFilterData(l, r.sourceDataCode) == a) : s = a;
      o && this.setData(this.data, o, s), this.onDataChange(r, s);
    },
    // 数据变化事件
    onDataChange(r, a) {
      for (setTimeout(() => {
        this.$emit("on-change", r, a);
      }), (r == null || r.triggers !== []) && this.columns.forEach(function(o) {
        !o.isStaticItem && (o.source || "").trim() && !(o.dataType && o.dataType.startsWith("Enum:")) && (r == null || r.triggers.some((s) => s.id === o.id)) && (o.needRefresh = !0);
      }); ; ) {
        let o = this.columns.filter((l) => l.needRefresh === !0)[0];
        if (o == null)
          break;
        let s = this.getParam(this.data, o);
        (o.controlType === "Select" || o.controlType === "MultiSelect" || o.controlType === "TreeSelect" || o.controlType === "MultiTreeSelect" || o.controlType === "SelectWithOther" || o.controlType === "ComboSelect" || o.controlType === "MultiComboSelect" || o.controlType === "Radio") && (s != null ? this.fillDataSource(this.data, o, s) : (o.dataSource = [], this.setData(this.data, o.code, null), o.triggers.forEach((l) => {
          l.needRefresh = !0;
        }))), o.needRefresh = !1;
      }
    },
    // 筛选项取值
    parseFilterData(r, a) {
      return r[this.getFilterKey(a)];
    },
    // 筛选项赋值
    setFilterData(r, a, o) {
      r[this.getFilterKey(a)] = o, a.code.indexOf(".") >= 0 && this.setData(r, a.code, o);
    },
    // 筛选项取值(数组)
    parseArrayFilterData(r, a) {
      let o = [], s = this.parseFilterData(r, a);
      return this.isJSON(s) && (o = JSON.parse(s)), o;
    },
    // 筛选项赋值(数组)
    setArrayFilterData(r, a, o) {
      let s = "";
      o != null && (s = JSON.stringify(o)), this.setFilterData(r, a, s);
    },
    // 根据表达式取值（带其他）
    parseFilterDataWithOther(r, a) {
      let o = a.code, s = this.parseData(r, o + "_o"), l = this.parseFilterData(r, o), u = this.getDataSource(r, a);
      return s ?? (l == null ? null : u && u.some((c) => c.id == l) ? l : "__Other");
    },
    // 根据表达式赋值（带其他）
    setFilterDataWithOther(r, a, o) {
      this.setData(r, a.code + "_o", o), o != "__Other" ? this.setFilterData(r, a, o) : this.setFilterData(r, a, null);
    },
    // 获取筛选项Key
    getFilterKey(r) {
      let a = r.code;
      switch (r.controlType) {
        case "Date":
          a = "d_" + a;
          break;
        case "Month":
          a = "m_" + a;
          break;
        case "Year":
          a = "y_" + a;
          break;
        case "DateRange":
          return a = a + "_c", a;
      }
      switch (r.operator) {
        case "GreaterThan":
          a = a + "_g";
          break;
        case "LessThan":
          a = a + "_l";
          break;
        case "GreaterThanOrEqual":
          a = a + "_ge";
          break;
        case "LessThanOrEqual":
          a = a + "_le";
          break;
        case "NotEqual":
          a = a + "_n";
          break;
        case "Contains":
          a = a + "_c";
          break;
      }
      return a;
    },
    // 键盘事件
    onKeyup(r) {
      this.$emit("on-keyup", r);
    },
    // 根据表达式取值（树）
    parseTreeFilterData(r, a) {
      let o = this.parseFilterData(r, a);
      return o ?? "";
    },
    // 获取多语言名称
    getNameI18n(r) {
      if (this.layout.showI18n) {
        if (r.code) {
          let a = "DataView_" + this.tableView.code + "_Filter_" + r.code + "_" + r.operator, o = this.$t(a);
          return o == a ? r.name : o;
        }
      } else
        return r.name;
    },
    // 可筛选下拉框加载数据
    async loadOption(r, a, o) {
      if (a.isStaticItem || a.dataType && a.dataType.startsWith("Enum:"))
        return;
      let s = this.getParam(r, a);
      s != null ? (s[a.sourceDisplayCode + "_c"] = o, this.fillDataSource(r, a, s)) : (a.rawData = [], a.dataSource = [], this.setData(r, a.code, null), a.triggers.forEach((l) => {
        l.needClear = !0;
      }));
    },
    // 设置查询空值
    setQueryNull(r, a) {
      r._queryNull = a, r._queryNull ? this.setFilterData(this.data, r, "null") : this.setFilterData(this.data, r, null);
    }
  }
}, _hoisted_1$h = { style: { display: "contents" } }, _hoisted_2$e = {
  key: 1,
  style: { display: "flex", "white-space": "nowrap" }
}, _hoisted_3$c = {
  key: 0,
  class: "label"
}, _hoisted_4$8 = {
  key: 15,
  style: { "line-height": "24px" }
}, _hoisted_5$6 = {
  key: 1,
  style: { "margin-left": "5px" }
};
function _sfc_render$q(r, a, o, s, l, u) {
  const c = resolveComponent("Input"), d = resolveComponent("Option"), f = resolveComponent("Select"), p = resolveComponent("TreeSelect"), v = resolveComponent("combo-select"), g = resolveComponent("dialog-select"), y = resolveComponent("DatePicker"), _ = resolveComponent("TimePicker"), S = resolveComponent("Checkbox"), C = resolveComponent("Switch"), b = resolveComponent("Radio"), T = resolveComponent("RadioGroup"), E = resolveComponent("FormItem"), x = resolveComponent("Col"), $ = resolveDirective("focus");
  return openBlock(), createElementBlock("div", _hoisted_1$h, [
    (openBlock(!0), createElementBlock(Fragment, null, renderList(o.columns, (A, N) => (openBlock(), createBlock(x, mergeProps({
      key: N,
      ref_for: !0
    }, r.getGrid(A.columnWidth)), {
      default: withCtx(() => [
        A.isShow ? (openBlock(), createElementBlock(Fragment, { key: 0 }, [
          A.controlType === "Placeholder" ? (openBlock(), createElementBlock("div", {
            key: A.code
          })) : createCommentVNode("", !0),
          A.controlType !== "Placeholder" ? (openBlock(), createBlock(E, {
            label: u.getNameI18n(A),
            key: A.code
          }, {
            default: withCtx(() => [
              A.controlType === "Custom" ? renderSlot(r.$slots, "column", {
                key: 0,
                filter: l.data,
                column: A,
                code: A.code
              }) : (openBlock(), createElementBlock("div", _hoisted_2$e, [
                A._queryNull ? createCommentVNode("", !0) : (openBlock(), createElementBlock(Fragment, { key: 0 }, [
                  A.controlType === "Label" ? (openBlock(), createElementBlock("div", _hoisted_3$c, [
                    createElementVNode("div", null, toDisplayString$2(r.showData(l.data, A)), 1)
                  ])) : A.controlType === "TextInput" ? (openBlock(), createBlock(c, {
                    key: 1,
                    size: "small",
                    type: "text",
                    "model-value": u.parseFilterData(l.data, A),
                    "onUpdate:modelValue": (P) => u.setFilterData(l.data, A, P),
                    onOnKeyup: a[0] || (a[0] = (P) => u.onKeyup(P)),
                    clearable: !0,
                    style: normalizeStyle$1({ width: A.controlWidth == null ? null : A.controlWidth + "px" }),
                    placeholder: A.description
                  }, null, 8, ["model-value", "onUpdate:modelValue", "style", "placeholder"])) : A.controlType === "NumberInput" ? (openBlock(), createBlock(c, {
                    key: 2,
                    size: "small",
                    type: "number",
                    number: "",
                    "model-value": u.parseFilterData(l.data, A),
                    "onUpdate:modelValue": (P) => u.setFilterData(l.data, A, P),
                    onOnKeyup: a[1] || (a[1] = (P) => u.onKeyup(P)),
                    clearable: !0,
                    style: normalizeStyle$1({ width: A.controlWidth == null ? "100px" : A.controlWidth + "px" }),
                    placeholder: A.description
                  }, null, 8, ["model-value", "onUpdate:modelValue", "style", "placeholder"])) : A.controlType === "Select" ? (openBlock(), createBlock(f, {
                    key: 3,
                    size: "small",
                    "model-value": u.parseFilterData(l.data, A),
                    "onUpdate:modelValue": (P) => u.setFilterData(l.data, A, P),
                    clearable: !0,
                    style: normalizeStyle$1({ width: A.controlWidth == null ? null : A.controlWidth + "px" }),
                    placeholder: A.description,
                    transfer: !0,
                    onOnChange: (P) => u.onSelectDataChange(A, P)
                  }, {
                    default: withCtx(() => [
                      (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(l.data, A), (P) => (openBlock(), createBlock(d, {
                        key: P.id,
                        value: P.id
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString$2(P.name), 1)
                        ]),
                        _: 2
                      }, 1032, ["value"]))), 128))
                    ]),
                    _: 2
                  }, 1032, ["model-value", "onUpdate:modelValue", "style", "placeholder", "onOnChange"])) : A.controlType === "MultiSelect" ? (openBlock(), createBlock(f, {
                    key: 4,
                    size: "small",
                    "model-value": u.parseArrayFilterData(l.data, A),
                    multiple: !0,
                    clearable: !0,
                    "onUpdate:modelValue": (P) => u.setArrayFilterData(l.data, A, P),
                    style: normalizeStyle$1({ width: A.controlWidth == null ? null : A.controlWidth + "px" }),
                    placeholder: A.description,
                    transfer: !0,
                    onOnChange: (P) => u.onSelectDataChange(A, P)
                  }, {
                    default: withCtx(() => [
                      (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(l.data, A), (P) => (openBlock(), createBlock(d, {
                        key: P.id,
                        value: P.id
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString$2(P.name), 1)
                        ]),
                        _: 2
                      }, 1032, ["value"]))), 128))
                    ]),
                    _: 2
                  }, 1032, ["model-value", "onUpdate:modelValue", "style", "placeholder", "onOnChange"])) : A.controlType === "TreeSelect" ? (openBlock(), createBlock(p, {
                    key: 5,
                    size: "small",
                    "model-value": u.parseTreeFilterData(l.data, A),
                    "onUpdate:modelValue": (P) => u.setFilterData(l.data, A, P),
                    data: u.getDataSource(l.data, A),
                    clearable: !0,
                    style: normalizeStyle$1({ width: A.controlWidth == null ? null : A.controlWidth + "px" }),
                    placeholder: A.description,
                    transfer: !0,
                    onOnChange: (P) => u.onSelectDataChange(A, P)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "data", "style", "placeholder", "onOnChange"])) : A.controlType === "MultiTreeSelect" ? (openBlock(), createBlock(p, {
                    key: 6,
                    size: "small",
                    "model-value": u.parseArrayFilterData(l.data, A),
                    "onUpdate:modelValue": (P) => u.setArrayFilterData(l.data, A, P),
                    data: u.getDataSource(l.data, A),
                    multiple: !0,
                    "show-checkbox": !0,
                    clearable: !0,
                    style: normalizeStyle$1({ width: A.controlWidth == null ? null : A.controlWidth + "px" }),
                    placeholder: A.description,
                    transfer: !0,
                    onOnChange: (P) => u.onSelectDataChange(A, P)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "data", "style", "placeholder", "onOnChange"])) : A.controlType === "SelectWithOther" ? (openBlock(), createElementBlock(Fragment, { key: 7 }, [
                    createVNode$1(f, {
                      size: "small",
                      "model-value": u.parseFilterDataWithOther(l.data, A),
                      "onUpdate:modelValue": (P) => u.setFilterDataWithOther(l.data, A, P),
                      clearable: !0,
                      style: normalizeStyle$1({ width: A.controlWidth == null ? "40%" : A.controlWidth + "px" }),
                      placeholder: A.description,
                      transfer: !0,
                      onOnChange: (P) => u.onSelectDataChange(A, P)
                    }, {
                      default: withCtx(() => [
                        (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(l.data, A), (P) => (openBlock(), createBlock(d, {
                          key: P.id,
                          value: P.id
                        }, {
                          default: withCtx(() => [
                            createTextVNode(toDisplayString$2(P.name), 1)
                          ]),
                          _: 2
                        }, 1032, ["value"]))), 128)),
                        createVNode$1(d, {
                          key: "__Other",
                          value: "__Other"
                        }, {
                          default: withCtx(() => [
                            createTextVNode(toDisplayString$2(r.$t("Front_Label_Others")), 1)
                          ]),
                          _: 1
                        })
                      ]),
                      _: 2
                    }, 1032, ["model-value", "onUpdate:modelValue", "style", "placeholder", "onOnChange"]),
                    withDirectives(createVNode$1(c, {
                      type: "text",
                      size: "small",
                      "model-value": u.parseFilterData(l.data, A),
                      "onUpdate:modelValue": (P) => u.setFilterData(l.data, A, P),
                      style: normalizeStyle$1([{ width: A.controlWidth == null ? "40%" : A.controlWidth + "px" }, { "margin-left": "4px" }]),
                      placeholder: A.description,
                      onOnChange: (P) => u.onDataChange(A)
                    }, null, 8, ["model-value", "onUpdate:modelValue", "style", "placeholder", "onOnChange"]), [
                      [vShow, u.parseFilterDataWithOther(l.data, A) == "__Other"]
                    ])
                  ], 64)) : A.controlType === "ComboSelect" ? (openBlock(), createBlock(v, {
                    key: 8,
                    size: "small",
                    "model-value": u.parseFilterData(l.data, A),
                    "onUpdate:modelValue": (P) => u.setFilterData(l.data, A, P),
                    multi: !1,
                    "remote-method": (P) => u.loadOption(l.data, A, P),
                    data: l.data,
                    param: r.getParam(l.data, A),
                    column: A,
                    onOnChange: (P) => u.onSelectDataChange(A, P)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "remote-method", "data", "param", "column", "onOnChange"])) : A.controlType === "MultiComboSelect" ? (openBlock(), createBlock(v, {
                    key: 9,
                    size: "small",
                    "model-value": u.parseArrayFilterData(l.data, A),
                    "onUpdate:modelValue": (P) => u.setArrayFilterData(l.data, A, P),
                    multi: !0,
                    "remote-method": (P) => u.loadOption(l.data, A, P),
                    data: l.data,
                    param: r.getParam(l.data, A),
                    column: A,
                    onOnChange: (P) => u.onSelectDataChange(A, P)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "remote-method", "data", "param", "column", "onOnChange"])) : A.controlType === "DialogSelect" ? (openBlock(), createBlock(g, {
                    key: 10,
                    size: "small",
                    "model-value": u.parseFilterData(l.data, A),
                    "onUpdate:modelValue": (P) => u.setFilterData(l.data, A, P),
                    source: A.source,
                    "source-data-code": A.sourceDataCode,
                    "source-display-code": A.sourceDisplayCode,
                    param: r.getParam(l.data, A),
                    controlWidth: A.controlWidth,
                    onOnChange: (P) => u.onSelectDataChange(A, P)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "source", "source-data-code", "source-display-code", "param", "controlWidth", "onOnChange"])) : A.controlType === "MultiDialogSelect" ? (openBlock(), createBlock(g, {
                    key: 11,
                    size: "small",
                    "model-value": u.parseFilterData(l.data, A),
                    "onUpdate:modelValue": (P) => u.setFilterData(l.data, A, P),
                    multi: !0,
                    source: A.source,
                    "source-data-code": A.sourceDataCode,
                    "source-display-code": A.sourceDisplayCode,
                    param: r.getParam(l.data, A),
                    controlWidth: A.controlWidth,
                    onOnChange: (P) => u.onSelectDataChange(A, P)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "source", "source-data-code", "source-display-code", "param", "controlWidth", "onOnChange"])) : A.controlType === "Date" || A.controlType === "DateTime" || A.controlType === "Year" || A.controlType === "Month" || A.controlType === "DateRange" ? (openBlock(), createBlock(y, {
                    key: 12,
                    size: "small",
                    type: A.controlType.toLowerCase(),
                    "model-value": u.parseFilterData(l.data, A),
                    placeholder: A.description,
                    transfer: !0,
                    style: normalizeStyle$1({ width: A.controlWidth == null ? null : A.controlWidth + "px" }),
                    onOnChange: (P) => {
                      u.setFilterData(l.data, A, P), u.onDataChange(A);
                    }
                  }, null, 8, ["type", "model-value", "placeholder", "style", "onOnChange"])) : A.controlType === "Time" ? (openBlock(), createBlock(_, {
                    key: 13,
                    size: "small",
                    type: "time",
                    "model-value": u.parseFilterData(l.data, A),
                    "onUpdate:modelValue": (P) => u.setFilterData(l.data, A, P),
                    placeholder: A.description,
                    transfer: !0,
                    style: normalizeStyle$1({ width: A.controlWidth == null ? null : A.controlWidth + "px" }),
                    onOnChange: (P) => u.onDataChange(A)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "placeholder", "style", "onOnChange"])) : A.controlType === "Check" ? (openBlock(), createBlock(S, {
                    key: 14,
                    size: "small",
                    style: { "line-height": "26px" },
                    "model-value": !!u.parseFilterData(l.data, A),
                    "onUpdate:modelValue": (P) => u.setFilterData(l.data, A, P),
                    onOnChange: (P) => u.onDataChange(A)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "onOnChange"])) : A.controlType === "Switch" ? (openBlock(), createElementBlock("div", _hoisted_4$8, [
                    createVNode$1(C, {
                      size: "small",
                      "model-value": !!u.parseFilterData(l.data, A),
                      "onUpdate:modelValue": (P) => u.setFilterData(l.data, A, P),
                      onOnChange: (P) => u.onDataChange(A)
                    }, null, 8, ["model-value", "onUpdate:modelValue", "onOnChange"])
                  ])) : A.controlType === "Radio" ? (openBlock(), createBlock(T, {
                    key: 16,
                    size: "small",
                    style: { "line-height": "22px" },
                    "model-value": u.parseFilterData(l.data, A),
                    "onUpdate:modelValue": (P) => u.setFilterData(l.data, A, P),
                    onOnChange: (P) => u.onSelectDataChange(A, P)
                  }, {
                    default: withCtx(() => [
                      (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(l.data, A), (P) => (openBlock(), createBlock(b, {
                        key: P.id,
                        label: P.id
                      }, {
                        default: withCtx(() => [
                          createElementVNode("span", null, toDisplayString$2(P.name), 1)
                        ]),
                        _: 2
                      }, 1032, ["label"]))), 128))
                    ]),
                    _: 2
                  }, 1032, ["model-value", "onUpdate:modelValue", "onOnChange"])) : A.controlType === "TextArea" ? (openBlock(), createBlock(c, {
                    key: 17,
                    type: "textarea",
                    "model-value": u.parseFilterData(l.data, A),
                    "onUpdate:modelValue": (P) => u.setFilterData(l.data, A, P),
                    style: normalizeStyle$1({ width: A.controlWidth == null ? null : A.controlWidth + "px" }),
                    rows: A.controlHeight / 20,
                    placeholder: A.description
                  }, null, 8, ["model-value", "onUpdate:modelValue", "style", "rows", "placeholder"])) : (openBlock(), createElementBlock(Fragment, { key: 18 }, [
                    createTextVNode(toDisplayString$2(r.$t("Front_Label_Control_Type_Not_Supported")) + " " + toDisplayString$2(A.controlType), 1)
                  ], 64))
                ], 64)),
                A.isQueryNull ? (openBlock(), createElementBlock("span", _hoisted_5$6, [
                  a[4] || (a[4] = createTextVNode(" 空 ")),
                  createVNode$1(S, {
                    size: "small",
                    style: { "line-height": "26px" },
                    "model-value": !!A._queryNull,
                    "onUpdate:modelValue": (P) => u.setQueryNull(A, P),
                    onOnChange: (P) => u.onDataChange(A)
                  }, null, 8, ["model-value", "onUpdate:modelValue", "onOnChange"])
                ])) : createCommentVNode("", !0)
              ]))
            ]),
            _: 2
          }, 1032, ["label"])) : createCommentVNode("", !0)
        ], 64)) : createCommentVNode("", !0)
      ]),
      _: 2
    }, 1040))), 128)),
    o.tableView.keywordEnable ? (openBlock(), createBlock(x, normalizeProps(mergeProps({ key: 0 }, r.grid6)), {
      default: withCtx(() => [
        createVNode$1(E, {
          label: r.$t("Front_Label_Keyword")
        }, {
          default: withCtx(() => [
            withDirectives(createVNode$1(c, {
              modelValue: l.data.keyword,
              "onUpdate:modelValue": a[2] || (a[2] = (A) => l.data.keyword = A),
              onOnKeyup: a[3] || (a[3] = (A) => u.onKeyup(A)),
              size: "small"
            }, null, 8, ["modelValue"]), [
              [$]
            ])
          ]),
          _: 1
        }, 8, ["label"])
      ]),
      _: 1
    }, 16)) : createCommentVNode("", !0)
  ]);
}
const tableFilter = /* @__PURE__ */ _export_sfc(_sfc_main$q, [["render", _sfc_render$q]]), __vite_glob_1_27 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: tableFilter
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$p = {
  mixins: [mixinPage],
  components: { columnCheck, columnSelect, columnEdit, modalFormSort, modalFormFilter, groupMethod, groupColumn, conditionEdit },
  data() {
    return {
      active: !1,
      dataView: {},
      data: {},
      tablename: "",
      sort: "",
      filter: "",
      tableid: "",
      commandButton: {}
    };
  },
  created() {
  },
  props: {
    // 是否公共配置界面
    isSetting: {
      type: Boolean,
      default: !1
    }
  },
  computed: {},
  methods: {
    ...mapActions("admin/dataView", {
      resetDataView: "reset",
      saveDataView: "save",
      saveUserView: "saveUserView",
      saveDataViewSetting: "saveSetting"
    }),
    // 打开
    open(r, a) {
      this.dataView = r, this.active = !0;
      let o;
      this.isSetting ? o = "TableViewColumnSimple" : o = "TableViewColumn", setTimeout(async () => {
        await this.$refs.table.init(o, () => {
          this.$refs.table.loadData(a), this.$refs.table.open();
        });
      });
    },
    // 打开字段设置界面
    edit(r, a) {
      this.$refs.columnEdit.open(r, a, this.$refs.table.data, (o) => {
        let s = this.$refs.table.data;
        s.splice(a, 1, o), this.$refs.table.loadData(s);
      });
    },
    // 打开字段选择界面
    openColumnCheck(r, a) {
      r.model != null && this.$refs.columnCheck.open(r.model, (o) => {
        r[a] = o.code;
      });
    },
    // 上移
    up(r, a) {
      let o = this.$refs.table.data;
      a > 0 && (o.splice(a, 1), o.splice(a - 1, 0, r), this.$refs.table.loadData(o));
    },
    // 下移
    down(r, a) {
      let o = this.$refs.table.data;
      a < o.length - 1 && (o.splice(a, 1), o.splice(a + 1, 0, r), this.$refs.table.loadData(o));
    },
    // 拖动完成
    dragDrop(r, a) {
      if (r != a) {
        let o = this.$refs.table.data, s = o[r];
        o.splice(r, 1), o.splice(a, 0, s);
      }
    },
    // 移除
    remove(r, a) {
      let o = this.$refs.table.data;
      o.splice(a, 1), this.$refs.table.loadData(o);
    },
    // 打开字段选择界面
    openColumnSelect() {
      let r = this.$refs.table.data;
      this.$refs.columnSelect.open(this.dataView, r, (a) => {
        r = r.filter((o) => a.some((s) => o.code === s.code) || o.isVirtual), a.forEach((o) => {
          r.some((s) => s.code === o.code) || r.push({
            code: o.code,
            name: o.name,
            dataType: o.dataType,
            dataView: this.dataView,
            isShow: !0,
            controlType: "Label",
            // 默认只读文本
            align: "Center"
            // 默认居中
          });
        }), setTimeout(() => {
          this.$refs.table.loadData(r);
        });
      });
    },
    // 创建虚拟字段
    createVirtual() {
      let r = this.$refs.table.data, a = {
        isShow: !0,
        isVirtual: !0,
        dataType: "String"
      };
      this.$refs.columnEdit.open(a, -1, this.$refs.table.data, (o) => {
        r.push(o), this.$refs.table.loadData(r);
      });
    },
    // 全局保存
    globalSave() {
      this.confirm("Front_Msg_Sure_To_Save_Global_Setting", () => {
        this.confirm("Front_Msg_Sure_To_Save_Global_Setting_Confirm", async () => {
          await this.saveDataView({
            code: this.dataView.code,
            columns: this.$refs.table.data
          }), this.$emit("on-change", this.dataView.code), this.success("Front_Msg_Success", () => {
            this.$refs.table.close();
          });
        });
      });
    },
    // 重置
    reset() {
      this.confirm("Front_Msg_Sure_To_Reset_Setting", async () => {
        await this.resetDataView(this.dataView.code), this.$emit("on-change", this.dataView.code), this.success("Front_Msg_Success", () => {
          this.$refs.table.close();
        });
      });
    },
    // 用户保存
    userSave() {
      this.confirm("Front_Msg_Sure_To_Save_Setting", async () => {
        await this.saveUserView({
          code: this.dataView.code,
          columns: this.$refs.table.data
        }), this.$emit("on-change", this.dataView.code), this.success("Front_Msg_Success", () => {
          this.$refs.table.close();
        });
      });
    },
    // 保存
    save() {
      this.confirm("Front_Msg_Sure_To_Save_Setting", async () => {
        await this.saveDataView({
          code: this.dataView.code,
          columns: this.$refs.table.data
        }), this.success("Front_Msg_Success", () => {
          this.$refs.table.close();
        });
      });
    },
    // 设置
    setting() {
      this.sort = this.dataView.sorting, this.filter = this.dataView.filtering, (this.dataView.commandButton || "").trim() ? this.$refs.commandButton.loadData(JSON.parse(this.dataView.commandButton)) : this.$refs.commandButton.loadData([]), this.$refs.setting.open(this.copy(this.dataView));
    },
    // 保存设置
    async saveSetting() {
      if (!await this.$refs.setting.validate())
        this.error("Front_Msg_Form_Validate_Fail");
      else {
        if (!this.$refs.commandButton.validate())
          return;
        this.$refs.setting.data.commandButton = JSON.stringify(this.$refs.commandButton.getData()), this.confirm("Front_Msg_Sure_To_Save_Setting", async () => {
          let a = await this.saveDataViewSetting(this.$refs.setting.data);
          this.dataView = a.dataView, this.$emit("on-change", this.dataView.code), this.success("Front_Msg_Success", () => {
            this.$refs.setting.close();
          });
        });
      }
    },
    //绑定排序组件返回的排序json
    bindSort(r) {
      this.sort = r, this.$refs.setting.data.sorting = r;
    },
    //绑定筛选组件返回的排序json
    bindFilter(r) {
      this.filter = r, this.$refs.setting.data.filtering = r;
    },
    // 打开操作栏按钮参数设置界面
    openParams(r) {
      this.commandButton = r;
      let a = [];
      (r.params || "").trim() && (a = JSON.parse(r.params)), this.$refs.commandButtonParams.loadData(a), this.$refs.commandButtonParams.open();
    },
    // 保存操作栏按钮参数
    saveParams() {
      let r = this.$refs.commandButtonParams.getData();
      this.commandButton.params = JSON.stringify(r), this.$refs.commandButtonParams.close();
    },
    // 打开筛选字段选择
    keywordColumnOpen() {
      if (!(this.dataView.model || "").trim()) {
        this.error("Front_Msg_Please_Select_Model_First");
        return;
      }
      let a = this.$refs.setting.data.keywordColumn, o = [];
      (a || "").trim() && (o = a.split(",").map((s) => ({ code: s }))), this.$refs.columnSelect.open(this.dataView, o, (s) => {
        this.$refs.setting.data.keywordColumn = s.map((l) => l.code).join();
      });
    },
    // 是否显示选择框
    showCheck(r) {
      if ((r || "").trim()) {
        let a = JSON.parse(r);
        return a.type == "True" || a.type == "False";
      } else
        return !0;
    },
    // 选择框变化
    checkChange(r, a) {
      if ((this.data[r] || "").trim()) {
        let o = JSON.parse(this.data[r]);
        this.data[a] ? o.type = "True" : o.type = "False", this.data[r] = JSON.stringify(o);
      }
    }
  }
}, _hoisted_1$g = { key: 0 }, _hoisted_2$d = { key: 1 }, _hoisted_3$b = { key: 2 }, _hoisted_4$7 = { key: 3 }, _hoisted_5$5 = { key: 4 }, _hoisted_6$4 = { key: 5 }, _hoisted_7$3 = { key: 6 }, _hoisted_8$3 = { key: 7 }, _hoisted_9$3 = { key: 8 }, _hoisted_10$3 = { class: "title" };
function _sfc_render$p(r, a, o, s, l, u) {
  const c = resolveComponent("Button"), d = resolveComponent("modal-table"), f = resolveComponent("column-select"), p = resolveComponent("column-edit"), v = resolveComponent("Input"), g = resolveComponent("Switch"), y = resolveComponent("Divider"), _ = resolveComponent("view-table"), S = resolveComponent("modal-form"), C = resolveComponent("modal-form-sort"), b = resolveComponent("modal-form-filter"), T = resolveComponent("column-check"), E = resolveComponent("group-method"), x = resolveComponent("group-column"), $ = resolveComponent("condition-edit");
  return openBlock(), createElementBlock("div", null, [
    l.active ? (openBlock(), createBlock(d, {
      key: 0,
      ref: "table",
      static: !0,
      "setting-enable": !1,
      "footer-enable": !0,
      draggable: !0,
      sticky: !0,
      onOnDragDrop: u.dragDrop
    }, {
      command: withCtx(({ row: A, index: N }) => [
        createVNode$1(c, {
          size: "small",
          title: r.$t("Front_Btn_Edit"),
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-edit",
          onClick: (P) => u.edit(A, N)
        }, null, 8, ["title", "onClick"]),
        createVNode$1(c, {
          size: "small",
          title: r.$t("Front_Btn_Up"),
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-chevron-up",
          onClick: (P) => u.up(A, N)
        }, null, 8, ["title", "onClick"]),
        createVNode$1(c, {
          size: "small",
          title: r.$t("Front_Btn_Down"),
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-chevron-down",
          onClick: (P) => u.down(A, N)
        }, null, 8, ["title", "onClick"]),
        createVNode$1(c, {
          size: "small",
          title: r.$t("Front_Btn_Remove"),
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-times",
          onClick: (P) => u.remove(A, N)
        }, null, 8, ["title", "onClick"])
      ]),
      footer: withCtx(() => [
        l.dataView.isVirtual ? createCommentVNode("", !0) : (openBlock(), createBlock(c, {
          key: 0,
          type: "primary",
          ghost: "",
          "custom-icon": "fa fa-indent",
          onClick: u.openColumnSelect
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Select_Column")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])),
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-bookmark",
          onClick: u.createVirtual
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Virtual_Column")), 1)
          ]),
          _: 1
        }, 8, ["onClick"]),
        o.isSetting ? createCommentVNode("", !0) : (openBlock(), createBlock(c, {
          key: 1,
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.save
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])),
        o.isSetting ? (openBlock(), createBlock(c, {
          key: 2,
          type: "error",
          "custom-icon": "fa fa-save",
          onClick: u.globalSave
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Global_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])) : createCommentVNode("", !0),
        o.isSetting ? (openBlock(), createBlock(c, {
          key: 3,
          type: "error",
          "custom-icon": "fa fa-cog",
          onClick: u.setting
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Table_Setting")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])) : createCommentVNode("", !0)
      ]),
      _: 1
    }, 8, ["onOnDragDrop"])) : createCommentVNode("", !0),
    createVNode$1(f, { ref: "columnSelect" }, null, 512),
    createVNode$1(p, {
      ref: "columnEdit",
      "view-type": "TableView"
    }, null, 512),
    o.isSetting ? (openBlock(), createBlock(S, {
      key: 1,
      ref: "setting",
      "view-code": "TableViewSetting"
    }, {
      column: withCtx(({ data: A, code: N }) => [
        N == "keywordColumn" ? (openBlock(), createElementBlock("div", _hoisted_1$g, [
          createVNode$1(v, {
            type: "text",
            readonly: !0,
            modelValue: A.keywordColumn,
            "onUpdate:modelValue": (P) => A.keywordColumn = P,
            onClick: a[0] || (a[0] = (P) => u.keywordColumnOpen())
          }, null, 8, ["modelValue", "onUpdate:modelValue"])
        ])) : createCommentVNode("", !0),
        N == "sorting" ? (openBlock(), createElementBlock("div", _hoisted_2$d, [
          createVNode$1(v, {
            type: "text",
            readonly: !0,
            modelValue: l.sort,
            "onUpdate:modelValue": a[2] || (a[2] = (P) => l.sort = P),
            onClick: a[3] || (a[3] = (P) => r.$refs.modal_sort.open())
          }, {
            prepend: withCtx(() => [
              createVNode$1(c, {
                "custom-icon": "fa fa-edit",
                onClick: a[1] || (a[1] = (P) => r.$refs.modal_sort.open())
              })
            ]),
            _: 1
          }, 8, ["modelValue"])
        ])) : createCommentVNode("", !0),
        N == "filtering" ? (openBlock(), createElementBlock("div", _hoisted_3$b, [
          createVNode$1(v, {
            type: "text",
            readonly: !0,
            modelValue: l.filter,
            "onUpdate:modelValue": a[5] || (a[5] = (P) => l.filter = P),
            onClick: a[6] || (a[6] = (P) => r.$refs.modal_filter.open())
          }, {
            prepend: withCtx(() => [
              createVNode$1(c, {
                "custom-icon": "fa fa-edit",
                onClick: a[4] || (a[4] = (P) => r.$refs.modal_filter.open())
              })
            ]),
            _: 1
          }, 8, ["modelValue"])
        ])) : createCommentVNode("", !0),
        N == "batchSelectDataCode" ? (openBlock(), createElementBlock("div", _hoisted_4$7, [
          createVNode$1(v, {
            type: "text",
            readonly: !0,
            modelValue: r.$refs.setting.data.batchSelectDataCode,
            "onUpdate:modelValue": (P) => r.$refs.setting.data.batchSelectDataCode = P,
            onClick: (P) => u.openColumnCheck(r.$refs.setting.data, "batchSelectDataCode")
          }, {
            prepend: withCtx(() => [
              createVNode$1(c, {
                "custom-icon": "fa fa-search",
                onClick: (P) => u.openColumnCheck(r.$refs.setting.data, "batchSelectDataCode")
              }, null, 8, ["onClick"])
            ]),
            _: 2
          }, 1032, ["modelValue", "onUpdate:modelValue", "onClick"])
        ])) : createCommentVNode("", !0),
        N == "groupColumn" ? (openBlock(), createElementBlock("div", _hoisted_5$5, [
          createVNode$1(v, {
            type: "text",
            readonly: !0,
            modelValue: r.$refs.setting.data.groupColumn,
            "onUpdate:modelValue": (P) => r.$refs.setting.data.groupColumn = P,
            onClick: (P) => {
              r.$refs.groupColumn.open(l.dataView.model, r.$refs.setting.data.groupColumn, (L) => {
                r.$refs.setting.data.groupColumn = L;
              });
            }
          }, {
            prepend: withCtx(() => [
              createVNode$1(c, {
                "custom-icon": "fa fa-edit",
                onClick: (P) => {
                  r.$refs.groupColumn.open(l.dataView.model, r.$refs.setting.data.groupColumn, (L) => {
                    r.$refs.setting.data.groupColumn = L;
                  });
                }
              }, null, 8, ["onClick"])
            ]),
            _: 2
          }, 1032, ["modelValue", "onUpdate:modelValue", "onClick"])
        ])) : createCommentVNode("", !0),
        N == "groupMethod" ? (openBlock(), createElementBlock("div", _hoisted_6$4, [
          createVNode$1(v, {
            type: "text",
            readonly: !0,
            modelValue: r.$refs.setting.data.groupMethod,
            "onUpdate:modelValue": (P) => r.$refs.setting.data.groupMethod = P,
            onClick: (P) => {
              r.$refs.groupMethod.open(l.dataView.model, r.$refs.setting.data.groupMethod, (L) => {
                r.$refs.setting.data.groupMethod = L;
              });
            }
          }, {
            prepend: withCtx(() => [
              createVNode$1(c, {
                "custom-icon": "fa fa-edit",
                onClick: (P) => {
                  r.$refs.groupMethod.open(l.dataView.model, r.$refs.setting.data.groupMethod, (L) => {
                    r.$refs.setting.data.groupMethod = L;
                  });
                }
              }, null, 8, ["onClick"])
            ]),
            _: 2
          }, 1032, ["modelValue", "onUpdate:modelValue", "onClick"])
        ])) : createCommentVNode("", !0),
        N == "editEnable" ? (openBlock(), createElementBlock("div", _hoisted_7$3, [
          u.showCheck(A.editEnableJson) ? (openBlock(), createBlock(g, {
            key: 0,
            "model-value": !!A.editEnable,
            "onUpdate:modelValue": (P) => {
              A.editEnable = P;
            },
            onOnChange: a[7] || (a[7] = (P) => u.checkChange("editEnableJson", "editEnable"))
          }, null, 8, ["model-value", "onUpdate:modelValue"])) : createCommentVNode("", !0),
          createVNode$1(c, {
            style: { "margin-left": "8px" },
            onClick: (P) => r.$refs.conditionEdit.open(A, "editEnableJson", "editEnable", l.dataView.model),
            type: "primary",
            size: "small",
            icon: "ios-settings"
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Condition")), 1)
            ]),
            _: 2
          }, 1032, ["onClick"])
        ])) : createCommentVNode("", !0),
        N == "showEnable" ? (openBlock(), createElementBlock("div", _hoisted_8$3, [
          u.showCheck(A.showEnableJson) ? (openBlock(), createBlock(g, {
            key: 0,
            "model-value": !!A.showEnable,
            "onUpdate:modelValue": (P) => {
              A.showEnable = P;
            },
            onOnChange: a[8] || (a[8] = (P) => u.checkChange("showEnableJson", "showEnable"))
          }, null, 8, ["model-value", "onUpdate:modelValue"])) : createCommentVNode("", !0),
          createVNode$1(c, {
            style: { "margin-left": "8px" },
            onClick: (P) => r.$refs.conditionEdit.open(A, "showEnableJson", "showEnable", l.dataView.model),
            type: "primary",
            size: "small",
            icon: "ios-settings"
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Condition")), 1)
            ]),
            _: 2
          }, 1032, ["onClick"])
        ])) : createCommentVNode("", !0),
        N == "removeEnable" ? (openBlock(), createElementBlock("div", _hoisted_9$3, [
          u.showCheck(A.removeEnableJson) ? (openBlock(), createBlock(g, {
            key: 0,
            "model-value": !!A.removeEnable,
            "onUpdate:modelValue": (P) => {
              A.removeEnable = P;
            },
            onOnChange: a[9] || (a[9] = (P) => u.checkChange("removeEnableJson", "removeEnable"))
          }, null, 8, ["model-value", "onUpdate:modelValue"])) : createCommentVNode("", !0),
          createVNode$1(c, {
            style: { "margin-left": "8px" },
            onClick: (P) => r.$refs.conditionEdit.open(A, "removeEnableJson", "removeEnable", l.dataView.model),
            type: "primary",
            size: "small",
            icon: "ios-settings"
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Condition")), 1)
            ]),
            _: 2
          }, 1032, ["onClick"])
        ])) : createCommentVNode("", !0)
      ]),
      bottom: withCtx(() => [
        createVNode$1(y, {
          plain: !0,
          dashed: "",
          orientation: "left",
          size: "small"
        }, {
          default: withCtx(() => [
            createElementVNode("span", _hoisted_10$3, toDisplayString$2(r.$t("Front_Label_Command_Button")), 1)
          ]),
          _: 1
        }),
        createVNode$1(_, {
          ref: "commandButton",
          "view-code": "CommandButton",
          static: !0,
          embedded: !0
        }, {
          column: withCtx(({ row: A, code: N }) => [
            N == "params" ? (openBlock(), createElementBlock(Fragment, { key: 0 }, [
              A.viewCode && A.viewType == "TableView" ? (openBlock(), createBlock(c, {
                key: 0,
                type: "primary",
                size: "small",
                "custom-icon": "fa fa-list",
                onClick: (P) => u.openParams(A)
              }, {
                default: withCtx(() => [
                  createTextVNode(toDisplayString$2(r.$t("Front_Btn_Param")), 1)
                ]),
                _: 2
              }, 1032, ["onClick"])) : createCommentVNode("", !0)
            ], 64)) : createCommentVNode("", !0)
          ]),
          _: 1
        }, 512)
      ]),
      footer: withCtx(() => [
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.saveSetting
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512)) : createCommentVNode("", !0),
    createVNode$1(d, {
      ref: "commandButtonParams",
      "view-code": "CommandButtonParams",
      static: !0,
      embedded: !0,
      footerEnable: !0
    }, {
      column: withCtx(({ row: A, code: N }) => [
        N == "param" ? (openBlock(), createBlock(v, {
          key: 0,
          type: "text",
          size: "small",
          modelValue: A.param,
          "onUpdate:modelValue": (P) => A.param = P
        }, {
          prepend: withCtx(() => [
            createVNode$1(c, {
              size: "small",
              "custom-icon": "fa fa-search",
              onClick: (P) => r.$refs.columnCheck.openViewCode(l.commandButton.viewCode, (L) => A.param = L.code)
            }, null, 8, ["onClick"])
          ]),
          _: 2
        }, 1032, ["modelValue", "onUpdate:modelValue"])) : createCommentVNode("", !0),
        N == "value" ? (openBlock(), createBlock(v, {
          key: 1,
          type: "text",
          size: "small",
          modelValue: A.value,
          "onUpdate:modelValue": (P) => A.value = P
        }, {
          prepend: withCtx(() => [
            createVNode$1(c, {
              size: "small",
              "custom-icon": "fa fa-search",
              onClick: (P) => r.$refs.columnCheck.open(l.dataView.model, (L) => A.value = L.code)
            }, null, 8, ["onClick"])
          ]),
          _: 2
        }, 1032, ["modelValue", "onUpdate:modelValue"])) : createCommentVNode("", !0)
      ]),
      footer: withCtx(() => [
        createVNode$1(c, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.saveParams
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512),
    createVNode$1(C, {
      ref: "modal_sort",
      sort: l.sort,
      dataView: l.dataView,
      onBindSort: u.bindSort
    }, null, 8, ["sort", "dataView", "onBindSort"]),
    createVNode$1(b, {
      ref: "modal_filter",
      filter: l.filter,
      dataView: l.dataView,
      onBindFilter: u.bindFilter
    }, null, 8, ["filter", "dataView", "onBindFilter"]),
    createVNode$1(T, { ref: "columnCheck" }, null, 512),
    createVNode$1(E, { ref: "groupMethod" }, null, 512),
    createVNode$1(x, { ref: "groupColumn" }, null, 512),
    createVNode$1($, { ref: "conditionEdit" }, null, 512)
  ]);
}
const tableSetting = /* @__PURE__ */ _export_sfc(_sfc_main$p, [["render", _sfc_render$p]]), __vite_glob_1_28 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: tableSetting
}, Symbol.toStringTag, { value: "Module" })), _sfc_main$o = {
  mixins: [mixin$1, mixinPage],
  components: { richEditor, uploadAttachment, uploadImage, CheckGroup },
  data() {
    return {
      formView: {},
      tabs: [],
      tabName: "",
      columns: [],
      rules: {},
      data: null,
      compareData: null,
      dataBefore: null,
      isReady: !1,
      lazyloadFunc: null
    };
  },
  async created() {
    this.viewCode && await this.init(this.viewCode);
  },
  props: {
    /**
     * 视图代码
     */
    viewCode: {
      type: String
    },
    /**
     * 只读
     */
    readonly: {
      type: Boolean,
      default: !1
    },
    /**
     * 预设默认值
     */
    defaultData: {
      type: Object,
      default() {
        return {};
      }
    },
    /**
     * 显示工具栏
     */
    commandEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 是否允许配置界面
     */
    settingEnable: {
      type: Boolean,
      default: !0
    }
  },
  computed: {},
  watch: {
    data() {
      this.data && Object.keys(this.data).length > 0 && this.columns.forEach(async (r) => {
        r.controlType == "Table" && this.$refs["table_" + r.code] ? setTimeout(async () => {
          if (r.tableStoreType == "Inner") {
            let a = this.parseData(this.data, r.code);
            a ? this.$refs["table_" + r.code][0].loadData(JSON.parse(a)) : this.$refs["table_" + r.code][0].loadData([]);
          } else if (this.data.id) {
            let a, o = {}, s = this.$refs["table_" + r.code][0].tableView, l = s.filtering;
            (l || "").trim() && (o = JSON.parse(l)), o[r.sourceDataCode] = this.data.id, r.isSourceCustom ? a = await customModelApi.query(r.sourceModel, o) : a = await modelApi.query(r.sourceModel, o, s.functionName, s.functionType), this.$refs["table_" + r.code][0].loadData(a.data);
          }
        }) : r.controlType == "Attachment" && this.$refs["attachment_" + r.code] && this.$refs["attachment_" + r.code][0].setData(this.parseData(this.data, r.code));
      });
    }
    // staticData() {
    //     // 设置选中项
    //     if (typeof this.selectFunc === 'function') {
    //         let selected = this.staticData.filter(this.selectFunc);
    //         this.setSelected(selected);
    //     }
    // }
  },
  methods: {
    ...mapActions("admin/dataView", { loadDataView: "load" }),
    /**
     * 初始化
     *
     * @param {string} viewCode 视图代码
     * @param {function} callback 完成后回调方法
     * @param {function} onFail 失败后回调方法
     * @public
     */
    async init(r, a, o) {
      let s = await this.loadDataView(r);
      if (s && !s.isExist && r.indexOf("_") >= 0 && (s = await this.loadDataView(r.split("_")[0])), s != null) {
        if (!s.isExist) {
          typeof o == "function" ? o() : this.error("Front_Msg_View_Code_Not_Exist|" + r);
          return;
        }
        this.loadView(s), setTimeout(() => {
          this.isReady = !0, typeof this.lazyloadFunc == "function" && (this.lazyloadFunc(), this.lazyloadFunc = null), typeof a == "function" && a(s);
        });
      }
    },
    /**
     * 加载视图
     *
     * @param {object} view 视图
     * @public
     */
    loadView(r) {
      this.formView = r.dataView, this.formView.columns = r.viewColumns, this.$emit("on-ready", this.formView), this.columns = r.viewColumns, this.data = this.getDefaultData(), setTimeout(() => {
        this.initTab(), this.initStaticItem(), this.initTrigger(), this.onDataChange();
      });
    },
    /**
     * 获取默认值
     *
     * @public
     */
    getDefaultData() {
      let r = {};
      this.columns.forEach((a) => {
        if (a.defaultValue)
          if (a.defaultValue == "{today}") {
            let s = (/* @__PURE__ */ new Date()).toISOString().replace(/T.*/, "");
            this.setData(r, a.code, new Date(s));
          } else if (a.defaultValue.startsWith("{today(") && a.defaultValue.endsWith(")}")) {
            let o = a.defaultValue.substr(7, a.defaultValue.length - 9);
            this.setData(r, a.code, format$4(/* @__PURE__ */ new Date(), o));
          } else a.defaultValue == "{currentUserID}" ? this.setData(r, a.code, this.info.id) : a.defaultValue == "{currentUser}" ? this.setData(r, a.code, this.info.name) : a.dataType === "Integer" ? this.setData(r, a.code, parseInt(a.defaultValue)) : a.dataType === "Decimal" ? this.setData(r, a.code, parseFloat(a.defaultValue)) : a.dataType === "Boolean" && a.defaultValue.toUpperCase == "TRUE" ? this.setData(r, a.code, !0) : a.dataType === "Boolean" && a.defaultValue.toUpperCase == "FALSE" ? this.setData(r, a.code, !1) : this.setData(r, a.code, a.defaultValue);
        else
          (a.controlType == "Check" || a.controlType == "Switch") && a.dataType === "Boolean" ? this.setData(r, a.code, !1) : this.setData(r, a.code, null);
      });
      for (let a in this.defaultData)
        this.setData(r, a, this.defaultData[a]);
      return r;
    },
    /**
     * 重置
     *
     * @public
     */
    reset() {
      this.columns.forEach((r) => {
        r.controlType == "Table" && this.$refs["table_" + r.code][0].loadData([]);
      }), this.data = {}, this.clearValidate();
    },
    /**
     * 重置表格页码
     *
     * @public
     */
    async resetTablePage() {
      this.columns.forEach((r) => {
        r.controlType == "Table";
      });
    },
    /**
     * 清空验证信息
     *
     * @public
     */
    async clearValidate() {
      this.$refs.form.fields.forEach((r) => {
        r.validateState = "", r.validateMessage = "";
      });
    },
    /**
     * 设为默认值
     *
     * @param {object} data 默认值
     * @public
     */
    setDefault(r) {
      if (this.data = this.getDefaultData(), r)
        for (let a in r)
          this.data[a] = r[a];
      this.clearValidate();
    },
    /**
     * 验证
     *
     * @public
     */
    validate() {
      return this.$refs.form.validate();
    },
    /**
     * 获取完整数据
     *
     * @public
     */
    getFullData() {
      let r = this.copy(this.data);
      if (!r)
        return null;
      r.tableData = [];
      for (let a of this.columns)
        if (a.controlType == "Table" && !a.isReadonly && a.isShow) {
          let o = this.$refs["table_" + a.code][0].getData();
          if (a.isRequired && o.length == 0)
            return this.error("Front_Msg_Row_Required|" + this.getNameI18n(a)), !1;
          if (!this.$refs["table_" + a.code][0].validate())
            return !1;
          a.tableStoreType == "Inner" ? r[a.code] = JSON.stringify(o) : r.tableData.push({
            model: a.sourceModel,
            sourceDataCode: a.sourceDataCode,
            filtering: this.$refs["table_" + a.code][0].tableView.filtering,
            data: o
          });
        }
      return r;
    },
    /**
     * 获取完整数据，跳过验证
     *
     * @public
     */
    getFullDataWithoutValidate() {
      let r = this.copy(this.data);
      if (!r)
        return null;
      r.tableData = [];
      for (let a of this.columns)
        if (a.controlType == "Table" && !a.isReadonly && a.isShow) {
          let o = this.$refs["table_" + a.code][0].getData();
          a.tableStoreType == "Inner" ? r[a.code] = JSON.stringify(o) : r.tableData.push({
            model: a.sourceModel,
            sourceDataCode: a.sourceDataCode,
            filtering: this.$refs["table_" + a.code][0].tableView.filtering,
            data: o
          });
        }
      return r;
    },
    /**
     * 设置表格字段内容
     *
     * @param {string} code 字段
     * @param {object} value 值
     * @public
     */
    setTableData(r, a) {
      let o = this.columns.find((s) => s.code == r);
      a == null ? (this.setData(this.data, o.code, null), a = []) : this.setData(this.data, o.code, JSON.stringify(a)), o.controlType == "Table" && this.$refs["table_" + o.code] && this.$refs["table_" + o.code][0].loadData(a);
    },
    /**
     * 刷新
     *
     * @public
     */
    refresh() {
      this.onDataChange();
    },
    // 根据选项卡序号返回列
    tabColumns(r) {
      return this.columns.filter((a) => a.tabIndex === r || a.tabIndex == null);
    },
    getRules(r) {
      if (!r.isShow)
        return [];
      let a = [];
      return r.isRequired && (r.controlType == "Date" || r.controlType == "DateTime" || r.controlType == "Year" || r.controlType == "Month" || r.controlType == "DateRange" ? a.push({
        pattern: /.+/,
        required: !0,
        message: this.$t("Front_Msg_Please_Input"),
        trigger: "blur,change"
      }) : a.push({
        type: this.getDataType(r),
        required: !0,
        message: this.$t("Front_Msg_Please_Input"),
        trigger: "blur,change"
      })), r.pattern && r.controlType == "TextInput" && a.push({
        type: this.getDataType(r),
        pattern: r.pattern,
        message: this.$t("Front_Msg_Validation_Pattern"),
        trigger: "blur,change"
      }), r.maxValue != null && (r.controlType == "NumberInput" || r.controlType == "Slider") && a.push({
        type: this.getDataType(r),
        max: r.maxValue,
        message: this.tParam("Front_Msg_Validation_Max_Value|" + r.maxValue),
        trigger: "blur,change"
      }), r.minValue != null && (r.controlType == "NumberInput" || r.controlType == "Slider") && a.push({
        type: this.getDataType(r),
        min: r.minValue,
        message: this.tParam("Front_Msg_Validation_Min_Value|" + r.minValue),
        trigger: "blur,change"
      }), r.maxLength != null && (r.controlType == "TextInput" || r.controlType == "TextArea") && a.push({
        type: this.getDataType(r),
        length: r.maxLength,
        message: this.tParam("Front_Msg_Validation_Max_Length|" + r.maxLength),
        trigger: "blur,change"
      }), a;
    },
    // 初始化校验规则
    // initRule() {
    //     // 重置验证信息
    //     setTimeout(() => {
    //         this.clearValidate();
    //     });
    // },
    // 初始化板块
    initTab() {
      (this.formView.tab || "").trim() ? this.tabs = this.formView.tab.split(",") : this.tabs = [this.formView.name], this.tabName = this.tabs[0];
    },
    // 初始化静态选项
    initStaticItem() {
      this.columns.forEach((r) => {
        r.isStaticItem && (r.dataSource = [], (r.itemData || "").trim() && r.itemData.split(/[\n]/).forEach((a) => {
          if ((a || "").trim())
            if (a.split(":").length > 1) {
              let o = a.split(":")[0], s = a.split(":")[1];
              r.dataType == "Integer" || r.dataType == "BigInteger" ? r.dataSource.push({
                id: parseInt(o),
                name: s
              }) : r.dataType == "Decimal" || r.dataType == "Float" || r.dataType == "Double" ? r.dataSource.push({
                id: parseFloat(o),
                name: s
              }) : r.dataType == "Boolean" ? r.dataSource.push({
                id: o.toUpperCase() == "TRUE",
                name: s
              }) : r.dataSource.push({
                id: o,
                name: s
              });
            } else
              r.dataType == "Integer" || r.dataType == "BigInteger" ? r.dataSource.push({
                id: parseInt(a),
                name: a
              }) : r.dataType == "Decimal" || r.dataType == "Float" || r.dataType == "Double" ? r.dataSource.push({
                id: parseFloat(a),
                name: a
              }) : r.dataType == "Boolean" ? r.dataSource.push({
                id: a.toUpperCase() == "TRUE",
                name: a
              }) : r.dataSource.push({
                id: a,
                name: a
              });
        }), r.dataSource.length > 0 && r.isDefaultFirst && this.setData(this.data, r.code, r.dataSource[0].id));
      });
    },
    // 初始化触发规则
    initTrigger() {
      this.columns.forEach((r) => {
        r.triggers = [];
      }), this.columns.filter((r) => !r.isStaticItem && !!(r.source || "").trim() && !!(r.param || "").trim() && !(r.dataType && r.dataType.startsWith("Enum:"))).forEach((r) => {
        let a = JSON.parse(r.param);
        for (let o in a)
          this.columns.filter((s) => a[o] == s.code || a[o].split(".")[0] + "ID" == s.code).forEach((s) => {
            s.triggers.push(this.copy(r));
          });
      });
    },
    // 填充数据源
    async fillDataSource(r, a, o) {
      let s;
      (a.controlType === "TreeSelect" || a.controlType === "MultiTreeSelect") && (s = this.parseTreeData(r, a.code), a.dataSource = null), (a.controlType === "ComboSelect" || a.controlType === "MultiComboSelect") && (o.per = 20), this.disableLoader();
      let l;
      if (a.isSourceCustom ? l = await customModelApi.query(a.source, o) : l = await modelApi.query(a.source, o), this.enableLoader(), a.rawData = l.data, a.controlType === "TreeSelect" || a.controlType === "MultiTreeSelect") {
        let u = l.data.map((c) => ({
          id: (a.sourceDataCode || "").trim() ? this.parseData(c, a.sourceDataCode) : c.id,
          name: this.parseData(c, a.sourceDisplayCode),
          parentID: c.parentID
        }));
        a.dataSource = this.getTreeDataSource(u, a, null), this.setData(r, a.code, s);
      } else if (a.dataSource = l.data.map((u) => ({
        id: (a.sourceDataCode || "").trim() ? this.parseData(u, a.sourceDataCode) : u.id,
        name: this.parseData(u, a.sourceDisplayCode)
      })), r && this.parseData(r, a.code) == null && a.isDefaultFirst && l.data.length > 0 && (this.setData(r, a.code, this.parseData(l.data[0], a.sourceDataCode)), this.$emit("on-change", a, null, a.rawData[0], null), a.sourceDataCode == "id" && a.code.length > 2)) {
        let u = a.code.substr(0, a.code.length - 2), c = a.rawData.find((d) => d.id == this.parseData(r, a.code));
        this.setData(r, u, c);
      }
      (a.controlType == "Select" || a.controlType == "Radio") && (a.dataSource.some((u) => u.id == this.parseData(r, a.code)) || (this.setData(r, a.code, null), a.triggers.forEach((u) => {
        u.needClear = !0;
      })));
    },
    // 获取树结构数据源
    getTreeDataSource(r, a, o) {
      let s = r.filter((l) => l.parentID == o).map((l) => ({
        value: (a.sourceDataCode || "").trim() ? this.parseData(l, a.sourceDataCode) : l.id,
        title: this.parseData(l, a.sourceDisplayCode),
        selected: !1,
        checked: !1
      }));
      if (s.length > 0)
        for (let l of s)
          l.expand = !0, l.children = this.getTreeDataSource(r, a, l.value);
      return s;
    },
    // 获取数据源
    getDataSource(r, a) {
      return !a.isStaticItem && a.dataType && a.dataType.startsWith("Enum:") ? this.getEnumList(a.dataType.split(":")[1]) : a.dataSource == null ? [] : a.dataSource;
    },
    // 选项变化事件
    onSelectDataChange(r, a) {
      let o;
      r.code.endsWith("ID") && (o = r.code.substr(0, r.code.length - 2));
      let s = null;
      if (typeof a == "object")
        if (a instanceof Array) {
          s = [];
          for (let l of a)
            typeof l == "object" ? s.push(l) : r.rawData ? s.push(
              r.rawData.find((u) => this.parseData(u, r.sourceDataCode) == l)
            ) : s.push(l);
        } else
          s = a;
      else
        r.rawData ? s = r.rawData.find((l) => this.parseData(l, r.sourceDataCode) == a) : s = a;
      if (o) {
        let l = s;
        r.sourceDataCode.endsWith("ID") && (l = this.parseData(s, r.sourceDataCode.substr(0, r.sourceDataCode.length - 2))), this.setData(this.data, o, l);
      }
      this.onDataChange(r, s);
    },
    // 数据变化事件
    async onDataChange(r, a) {
      for (let o of this.columns) {
        if ((o.showJson || "").trim()) {
          let s = JSON.parse(o.showJson);
          (s.type == "Condition" || s.type == "Expression") && (o.isShow = this.judgeCondition(s, this.data));
        }
        if ((o.readonlyJson || "").trim()) {
          let s = JSON.parse(o.readonlyJson);
          (s.type == "Condition" || s.type == "Expression") && (o.isReadonly = this.judgeCondition(s, this.data));
        }
        if ((o.requiredJson || "").trim()) {
          let s = JSON.parse(o.requiredJson);
          if (s.type == "Condition" || s.type == "Expression") {
            let l = o.isRequired;
            if (o.isRequired = this.judgeCondition(s, this.data), l != o.isRequired) {
              let u = this.$refs.form.fields.find((c) => c.prop == o.code);
              u != null && (u.isRequired = o.isRequired, o.isRequired || (u.validateState = "", u.validateMessage = ""));
            }
          }
        }
      }
      if (r != null && r.controlType == "Table")
        this.$emit("on-change", r, null, null, this.$refs["table_" + r.code][0].data);
      else if (r != null) {
        let o = this.parseData(this.dataBefore, r.code), s = this.parseData(this.data, r.code);
        o !== s && setTimeout(() => {
          this.$emit("on-change", r, o, s, a);
        });
      } else
        this.$emit("on-change", r, null, null, a);
      this.dataBefore = this.copy(this.data);
      for (let o of this.columns)
        if ((o.calculate || "").trim()) {
          let s = o.calculate;
          s = this.calcStat("sum", s), s = this.calcStat("min", s), s = this.calcStat("max", s), s = this.calcStat("avg", s);
          let l = this.getTriggers(s);
          (!r || l.some((u) => u == r.code) || o.calculate != s) && setTimeout(() => {
            let u = this.calculate(s, this.data);
            o.digit != null && (u = this.keepDecimal(u, o.digit, o.fixedDigit)), this.setData(this.data, o.code, u);
          });
        }
      for ((r == null || r.triggers && r.triggers !== []) && this.columns.forEach(function(o) {
        !o.isStaticItem && (o.source || "").trim() && !(o.dataType && o.dataType.startsWith("Enum:")) && (r == null || r.triggers.some((s) => s.code == o.code)) && (o.needRefresh = !0);
      }); ; ) {
        let o = this.columns.filter((s) => s.needRefresh == !0 || s.needClear == !0)[0];
        if (o == null)
          break;
        if (o.needClear && this.parseData(this.data, o.code) != null)
          this.setData(this.data, o.code, null), o.triggers.forEach((s) => {
            s.needClear = !0;
          });
        else if (o.needRefresh && (o.source || "").trim() && !(o.dataType && o.dataType.startsWith("Enum:"))) {
          let s = this.getParam(this.data, o);
          if (o.controlType === "Select" || o.controlType === "MultiSelect" || o.controlType === "TreeSelect" || o.controlType === "MultiTreeSelect" || o.controlType === "SelectWithOther" || o.controlType === "ComboSelect" || o.controlType === "MultiComboSelect" || o.controlType === "Radio" || o.controlType === "CheckGroup")
            s != null ? this.fillDataSource(this.data, o, s) : (o.dataSource = [], this.setData(this.data, o.code, null), o.triggers.forEach((l) => {
              l.needClear = !0;
            }));
          else if (r && (o.controlType === "DialogSelect" || o.controlType === "MultiDialogSelect"))
            this.setData(this.data, o.code, null), o.triggers.forEach((l) => {
              l.needClear = !0;
            });
          else if (o.controlType === "List" && s != null) {
            let l, u = this.$refs["list_" + o.code][0].tableView, c = u.filtering;
            (c || "").trim() && (s = {
              ...s,
              ...JSON.parse(c)
            }), o.isSourceCustom ? l = await customModelApi.query(o.sourceModel, s) : l = await modelApi.query(o.sourceModel, s, u.functionName, u.functionType), this.$refs["list_" + o.code][0].loadData(l.data);
          }
        }
        o.needClear = !1, o.needRefresh = !1;
      }
    },
    // 输入框失去焦点事件
    onBlur(r, a) {
      this.$emit("on-blur", a);
    },
    // 获取数据类型
    getDataType(r) {
      if (!(r.dataType || "").trim())
        return null;
      if (r.dataType.startsWith("Enum:"))
        return "string";
      switch (r.dataType) {
        case "String":
        case "BigInteger":
          return "string";
        case "Boolean":
          return "boolean";
        case "DateTime":
          return "date";
        case "Float":
        case "Double":
        case "Decimal":
          return "number";
        case "Short":
        case "Integer":
          return "integer";
      }
    },
    // 根据表达式取值（带其他）
    parseDataWithOther(r, a) {
      let o = a.code, s = this.parseData(r, o + "_o"), l = this.parseData(r, o), u = this.getDataSource(r, a);
      return s ?? (l == null ? null : u && u.some((c) => c.id == l) ? l : "__Other");
    },
    // 根据表达式赋值（带其他）
    setDataWithOther(r, a, o) {
      this.setData(r, a + "_o", o), o != "__Other" ? this.setData(r, a, o) : this.setData(r, a, null);
    },
    // 转换为日期类型
    // parseDateTime(value) {
    //     if (value && typeof value === 'string') {
    //         return new Date(value);
    //     } else {
    //         return value;
    //     }
    // },
    // 根据表达式取值（树）
    parseTreeData(r, a) {
      let o = this.parseData(r, a);
      return o ?? "";
    },
    // 计算统计值
    calcStat(r, a) {
      let o = a.indexOf(r + "("), s = a.indexOf(")", o);
      if (o == -1 || s == -1)
        return a;
      let l = a.substring(o + 4, s);
      if (l.indexOf(".") == -1)
        return a;
      let u = this.$refs["table_" + l.split(".")[0]];
      if (u == null || u.length == 0)
        return a;
      let c = u[0].getData(), d = null, f = null, p = null;
      for (let v of c) {
        let g = this.parseData(v, l.substr(l.indexOf(".") + 1));
        g && (r == "sum" ? d = d == null ? g : d + g : r == "min" ? d = d == null || g < d ? g : d : r == "max" ? d = d == null || g > d ? g : d : r == "avg" && (f = f == null ? g : f + g, p = p == null ? 1 : p + 1, d = p > 0 ? f / p : null));
      }
      return a.substring(0, o) + (d == null ? "null" : d.toString()) + a.substring(s + 1);
    },
    // 获取多语言名称
    getNameI18n(r) {
      if (this.layout.showI18n) {
        if (r.code) {
          let a = "DataView_" + this.formView.code + "_" + r.code, o = this.$t(a);
          return o == a ? r.name : o;
        }
      } else
        return r.name;
    },
    // 可筛选下拉框加载数据
    async loadOption(r, a, o) {
      if (a.isStaticItem || a.dataType && a.dataType.startsWith("Enum:"))
        return;
      let s = this.getParam(r, a);
      s != null ? (s[a.sourceDisplayCode + "_c"] = o, this.fillDataSource(r, a, s)) : (a.rawData = [], a.dataSource = [], this.setData(r, a.code, null), a.triggers.forEach((l) => {
        l.needClear = !0;
      }));
    }
    // // 打印
    // print() {
    //   const LODOP = lodop.getLodop();
    //   LODOP.PRINT_INIT('Print');
    //   console.log('print', this.$refs.content.outerHTML);
    //   LODOP.ADD_PRINT_TABLE('4%', '3%', '94%', '90%', result);
    //   LODOP.SET_PRINT_PAGESIZE(1, 0, 0, 'A4');
    //   LODOP.PRINTA();
    // }
  }
}, _hoisted_1$f = { ref: "content" }, _hoisted_2$c = { key: 2 }, _hoisted_3$a = { class: "title" }, _hoisted_4$6 = { key: 3 }, _hoisted_5$4 = { class: "title" }, _hoisted_6$3 = ["title"], _hoisted_7$2 = ["innerHTML"], _hoisted_8$2 = ["innerHTML"], _hoisted_9$2 = ["href", "target"], _hoisted_10$2 = ["innerHTML"], _hoisted_11$2 = ["href"];
function _sfc_render$o(r, a, o, s, l, u) {
  const c = resolveComponent("Divider"), d = resolveComponent("view-table"), f = resolveComponent("Input"), p = resolveComponent("Option"), v = resolveComponent("Select"), g = resolveComponent("TreeSelect"), y = resolveComponent("combo-select"), _ = resolveComponent("dialog-select"), S = resolveComponent("DatePicker"), C = resolveComponent("TimePicker"), b = resolveComponent("Checkbox"), T = resolveComponent("Switch"), E = resolveComponent("Radio"), x = resolveComponent("RadioGroup"), $ = resolveComponent("check-group"), A = resolveComponent("rich-editor"), N = resolveComponent("upload-attachment"), P = resolveComponent("Icon"), L = resolveComponent("upload-image"), O = resolveComponent("Slider"), M = resolveComponent("Button"), F = resolveComponent("FormItem"), U = resolveComponent("Col"), R = resolveComponent("Row"), H = resolveComponent("Form");
  return openBlock(), createElementBlock("div", _hoisted_1$f, [
    renderSlot(r.$slots, "top", { form: this }),
    createVNode$1(H, {
      ref: "form",
      model: l.data,
      "label-position": "top",
      "label-colon": "：",
      class: "ivu-mt",
      rules: l.rules,
      onSubmit: a[0] || (a[0] = withModifiers(() => {
      }, ["prevent"]))
    }, {
      default: withCtx(() => [
        createVNode$1(R, {
          gutter: 24,
          type: "flex"
        }, {
          default: withCtx(() => [
            (openBlock(!0), createElementBlock(Fragment, null, renderList(l.columns, (V, Y) => (openBlock(), createElementBlock(Fragment, null, [
              V.newLine ? (openBlock(), createElementBlock("div", {
                key: "newLine" + Y,
                style: { width: "100%" }
              })) : createCommentVNode("", !0),
              V.isShow || V.controlType === "Table" || V.controlType === "List" ? withDirectives((openBlock(), createBlock(U, mergeProps({
                key: Y,
                ref_for: !0
              }, r.getGrid(V.columnWidth)), {
                default: withCtx(() => [
                  V.controlType === "Placeholder" ? (openBlock(), createElementBlock("div", {
                    key: V.code,
                    style: { "margin-bottom": "0px" }
                  })) : createCommentVNode("", !0),
                  V.controlType === "Title" ? (openBlock(), createElementBlock("div", {
                    key: V.code
                  }, [
                    createElementVNode("div", {
                      class: "form-title",
                      style: normalizeStyle$1({ width: V.controlWidth == null ? null : V.controlWidth + "px" })
                    }, toDisplayString$2(u.getNameI18n(V)) + " " + toDisplayString$2(r.showData(l.data, V)), 5)
                  ])) : createCommentVNode("", !0),
                  V.controlType === "Table" ? (openBlock(), createElementBlock("div", _hoisted_2$c, [
                    createVNode$1(c, {
                      plain: !0,
                      dashed: "",
                      orientation: "left",
                      size: "small"
                    }, {
                      default: withCtx(() => [
                        createElementVNode("span", _hoisted_3$a, toDisplayString$2(u.getNameI18n(V)), 1)
                      ]),
                      _: 2
                    }, 1024),
                    createVNode$1(d, {
                      ref_for: !0,
                      ref: "table_" + V.code,
                      static: !0,
                      "view-code": V.source,
                      readonly: o.readonly || V.isReadonly,
                      embedded: !0,
                      "parent-data": l.data,
                      onOnChange: (G) => u.onDataChange(V)
                    }, {
                      column: withCtx((G) => [
                        renderSlot(r.$slots, "tableColumn", {
                          table: r.$refs["table_" + V.code][0],
                          tableColumn: V,
                          tableCode: V.code,
                          row: G.row,
                          index: G.index,
                          column: G.column,
                          code: G.code
                        })
                      ]),
                      command: withCtx((G) => [
                        renderSlot(r.$slots, "tableCommand", {
                          table: r.$refs["table_" + V.code][0],
                          tableColumn: V,
                          tableCode: V.code,
                          row: G.row,
                          index: G.index
                        })
                      ]),
                      _: 2
                    }, 1032, ["view-code", "readonly", "parent-data", "onOnChange"])
                  ])) : createCommentVNode("", !0),
                  V.controlType === "List" ? (openBlock(), createElementBlock("div", _hoisted_4$6, [
                    createVNode$1(c, {
                      plain: !0,
                      dashed: "",
                      orientation: "left",
                      size: "small"
                    }, {
                      default: withCtx(() => [
                        createElementVNode("span", _hoisted_5$4, toDisplayString$2(u.getNameI18n(V)), 1)
                      ]),
                      _: 2
                    }, 1024),
                    createVNode$1(d, {
                      ref_for: !0,
                      ref: "list_" + V.code,
                      static: !0,
                      "view-code": V.source,
                      readonly: !0,
                      embedded: !0
                    }, null, 8, ["view-code"])
                  ])) : createCommentVNode("", !0),
                  V.controlType !== "Placeholder" && V.controlType !== "Title" && V.controlType !== "Table" && V.controlType !== "List" ? (openBlock(), createBlock(F, {
                    label: u.getNameI18n(V),
                    prop: V.code,
                    key: V.code,
                    rules: u.getRules(V)
                  }, {
                    default: withCtx(() => [
                      V.controlType === "Custom" ? renderSlot(r.$slots, "column", {
                        key: 0,
                        form: this,
                        data: l.data,
                        column: V,
                        code: V.code
                      }) : V.controlType === "Label" ? (openBlock(), createElementBlock("div", {
                        key: 1,
                        class: "label",
                        title: l.compareData == null ? null : r.showData(l.compareData, V)
                      }, [
                        createElementVNode("div", {
                          class: normalizeClass({ error: l.compareData != null && r.parseData(l.data, V.code) != r.parseData(l.compareData, V.code) }),
                          innerHTML: r.showData(l.data, V)
                        }, null, 10, _hoisted_7$2)
                      ], 8, _hoisted_6$3)) : V.controlType === "Description" ? (openBlock(), createElementBlock("div", {
                        key: 2,
                        innerHTML: r.showMultiLine(V.description)
                      }, null, 8, _hoisted_8$2)) : createCommentVNode("", !0),
                      V.controlType === "Hyperlink" ? (openBlock(), createElementBlock("a", {
                        key: 3,
                        href: r.getHyperlink(l.data, V.hyperlink),
                        target: V.isNewWindow ? "_blank" : ""
                      }, [
                        createElementVNode("span", {
                          innerHTML: r.showData(l.data, V)
                        }, null, 8, _hoisted_10$2)
                      ], 8, _hoisted_9$2)) : V.controlType === "TextInput" ? (openBlock(), createBlock(f, {
                        key: 4,
                        type: "text",
                        "model-value": r.parseData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                        readonly: o.readonly || V.isReadonly,
                        clearable: !0,
                        style: normalizeStyle$1({ width: V.controlWidth == null ? null : V.controlWidth + "px" }),
                        maxlength: V.maxLength,
                        placeholder: V.description,
                        onOnChange: (G) => u.onDataChange(V),
                        onOnBlur: (G) => u.onBlur(V)
                      }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "style", "maxlength", "placeholder", "onOnChange", "onOnBlur"])) : V.controlType === "NumberInput" ? (openBlock(), createBlock(f, {
                        key: 5,
                        type: "number",
                        number: "",
                        "model-value": r.parseData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                        readonly: o.readonly || V.isReadonly,
                        clearable: !0,
                        style: normalizeStyle$1({ width: V.controlWidth == null ? "100px" : V.controlWidth + "px" }),
                        placeholder: V.description,
                        max: V.maxValue,
                        min: V.minValue,
                        onOnChange: (G) => u.onDataChange(V),
                        onOnBlur: (G) => u.onBlur(V)
                      }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "style", "placeholder", "max", "min", "onOnChange", "onOnBlur"])) : V.controlType === "Select" ? (openBlock(), createBlock(v, {
                        key: 6,
                        "model-value": r.parseData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                        disabled: o.readonly || V.isReadonly,
                        clearable: !0,
                        style: normalizeStyle$1({
                          width: V.controlWidth == null ? null : V.controlWidth + "px",
                          "min-width": V.controlWidth == null ? null : V.controlWidth + "px"
                        }),
                        placeholder: V.description,
                        transfer: !0,
                        onOnChange: (G) => u.onSelectDataChange(V, G)
                      }, {
                        default: withCtx(() => [
                          (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(l.data, V), (G) => (openBlock(), createBlock(p, {
                            key: G.id,
                            value: G.id
                          }, {
                            default: withCtx(() => [
                              createTextVNode(toDisplayString$2(G.name), 1)
                            ]),
                            _: 2
                          }, 1032, ["value"]))), 128))
                        ]),
                        _: 2
                      }, 1032, ["model-value", "onUpdate:modelValue", "disabled", "style", "placeholder", "onOnChange"])) : V.controlType === "MultiSelect" ? (openBlock(), createBlock(v, {
                        key: 7,
                        "model-value": r.parseArrayData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setArrayData(l.data, V.code, G),
                        disabled: o.readonly || V.isReadonly,
                        multiple: !0,
                        clearable: !0,
                        style: normalizeStyle$1({ width: V.controlWidth == null ? null : V.controlWidth + "px" }),
                        placeholder: V.description,
                        transfer: !0,
                        onOnChange: (G) => u.onSelectDataChange(V, G)
                      }, {
                        default: withCtx(() => [
                          (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(l.data, V), (G) => (openBlock(), createBlock(p, {
                            key: G.id,
                            value: G.id
                          }, {
                            default: withCtx(() => [
                              createTextVNode(toDisplayString$2(G.name), 1)
                            ]),
                            _: 2
                          }, 1032, ["value"]))), 128))
                        ]),
                        _: 2
                      }, 1032, ["model-value", "onUpdate:modelValue", "disabled", "style", "placeholder", "onOnChange"])) : V.controlType === "TreeSelect" ? (openBlock(), createBlock(g, {
                        key: 8,
                        "model-value": u.parseTreeData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                        data: u.getDataSource(l.data, V),
                        disabled: o.readonly || V.isReadonly,
                        clearable: !0,
                        style: normalizeStyle$1({ width: V.controlWidth == null ? null : V.controlWidth + "px" }),
                        placeholder: V.description,
                        transfer: !0,
                        onOnChange: (G) => u.onSelectDataChange(V, G)
                      }, null, 8, ["model-value", "onUpdate:modelValue", "data", "disabled", "style", "placeholder", "onOnChange"])) : V.controlType === "MultiTreeSelect" ? (openBlock(), createBlock(g, {
                        key: 9,
                        "model-value": r.parseArrayData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setArrayData(l.data, V.code, G),
                        data: u.getDataSource(l.data, V),
                        disabled: o.readonly || V.isReadonly,
                        multiple: !0,
                        "show-checkbox": !0,
                        clearable: !0,
                        style: normalizeStyle$1({ width: V.controlWidth == null ? null : V.controlWidth + "px" }),
                        placeholder: V.description,
                        transfer: !0,
                        onOnChange: (G) => u.onSelectDataChange(V, G)
                      }, null, 8, ["model-value", "onUpdate:modelValue", "data", "disabled", "style", "placeholder", "onOnChange"])) : V.controlType === "ComboSelect" ? (openBlock(), createBlock(y, {
                        key: 10,
                        "model-value": r.parseData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                        multi: !1,
                        readonly: o.readonly || V.isReadonly,
                        "remote-method": (G) => u.loadOption(l.data, V, G),
                        data: l.data,
                        param: r.getParam(l.data, V),
                        column: V,
                        onOnChange: (G) => u.onSelectDataChange(V, G)
                      }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "remote-method", "data", "param", "column", "onOnChange"])) : V.controlType === "MultiComboSelect" ? (openBlock(), createBlock(y, {
                        key: 11,
                        "model-value": r.parseArrayData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setArrayData(l.data, V.code, G),
                        multi: !0,
                        readonly: o.readonly || V.isReadonly,
                        "remote-method": (G) => u.loadOption(l.data, V, G),
                        data: l.data,
                        param: r.getParam(l.data, V),
                        column: V,
                        onOnChange: (G) => u.onSelectDataChange(V, G)
                      }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "remote-method", "data", "param", "column", "onOnChange"])) : V.controlType === "DialogSelect" ? (openBlock(), createBlock(_, {
                        key: 12,
                        "model-value": r.parseData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                        readonly: o.readonly || V.isReadonly,
                        source: V.source,
                        "source-data-code": V.sourceDataCode,
                        "source-display-code": V.sourceDisplayCode,
                        param: r.getParam(l.data, V),
                        controlWidth: V.controlWidth,
                        onOnChange: (G) => u.onSelectDataChange(V, G)
                      }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "source", "source-data-code", "source-display-code", "param", "controlWidth", "onOnChange"])) : V.controlType === "MultiDialogSelect" ? (openBlock(), createBlock(_, {
                        key: 13,
                        "model-value": r.parseData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                        multi: !0,
                        readonly: o.readonly || V.isReadonly,
                        source: V.source,
                        "source-data-code": V.sourceDataCode,
                        "source-display-code": V.sourceDisplayCode,
                        param: r.getParam(l.data, V),
                        controlWidth: V.controlWidth,
                        onOnChange: (G) => u.onSelectDataChange(V, G)
                      }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "source", "source-data-code", "source-display-code", "param", "controlWidth", "onOnChange"])) : V.controlType === "SelectWithOther" ? (openBlock(), createElementBlock(Fragment, { key: 14 }, [
                        createVNode$1(v, {
                          "model-value": u.parseDataWithOther(l.data, V),
                          "onUpdate:modelValue": (G) => u.setDataWithOther(l.data, V.code, G),
                          disabled: o.readonly || V.isReadonly,
                          clearable: !0,
                          style: normalizeStyle$1({ width: V.controlWidth == null ? "40%" : V.controlWidth + "px" }),
                          placeholder: V.description,
                          transfer: !0,
                          onOnChange: (G) => u.onSelectDataChange(V, G)
                        }, {
                          default: withCtx(() => [
                            (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(l.data, V), (G) => (openBlock(), createBlock(p, {
                              key: G.id,
                              value: G.id
                            }, {
                              default: withCtx(() => [
                                createTextVNode(toDisplayString$2(G.name), 1)
                              ]),
                              _: 2
                            }, 1032, ["value"]))), 128)),
                            createVNode$1(p, {
                              key: "__Other",
                              value: "__Other"
                            }, {
                              default: withCtx(() => [
                                createTextVNode(toDisplayString$2((V.pattern || "").trim() ? V.pattern : r.$t("Front_Label_Others")), 1)
                              ]),
                              _: 2
                            }, 1024)
                          ]),
                          _: 2
                        }, 1032, ["model-value", "onUpdate:modelValue", "disabled", "style", "placeholder", "onOnChange"]),
                        withDirectives(createVNode$1(f, {
                          type: "text",
                          "model-value": r.parseData(l.data, V.code),
                          "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                          readonly: o.readonly || V.isReadonly,
                          style: normalizeStyle$1([{ width: V.controlWidth == null ? "40%" : V.controlWidth + "px" }, { "margin-left": "4px" }]),
                          maxlength: V.maxLength,
                          placeholder: V.description,
                          onOnChange: (G) => u.onDataChange(V, G),
                          onOnBlur: (G) => u.onBlur(V)
                        }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "style", "maxlength", "placeholder", "onOnChange", "onOnBlur"]), [
                          [vShow, u.parseDataWithOther(l.data, V) == "__Other"]
                        ])
                      ], 64)) : V.controlType === "Date" || V.controlType === "DateTime" || V.controlType === "Year" || V.controlType === "Month" ? (openBlock(), createBlock(S, {
                        key: 15,
                        type: V.controlType.toLowerCase(),
                        "model-value": r.parseDateTimeData(l.data, V.code),
                        readonly: o.readonly || V.isReadonly,
                        placeholder: V.description,
                        transfer: !0,
                        style: normalizeStyle$1({ width: V.controlWidth == null ? null : V.controlWidth + "px" }),
                        onOnChange: (G) => {
                          r.setData(l.data, V.code, G), u.onDataChange(V);
                        }
                      }, null, 8, ["type", "model-value", "readonly", "placeholder", "style", "onOnChange"])) : V.controlType === "DateRange" ? (openBlock(), createBlock(S, {
                        key: 16,
                        type: V.controlType.toLowerCase(),
                        "model-value": r.parseDateRangeData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setArrayData(l.data, V.code, G),
                        readonly: o.readonly || V.isReadonly,
                        placeholder: V.description,
                        transfer: !0,
                        style: normalizeStyle$1({ width: V.controlWidth == null ? null : V.controlWidth + "px" }),
                        onOnChange: (G) => u.onDataChange(V)
                      }, null, 8, ["type", "model-value", "onUpdate:modelValue", "readonly", "placeholder", "style", "onOnChange"])) : V.controlType === "Time" ? (openBlock(), createBlock(C, {
                        key: 17,
                        type: "time",
                        "model-value": r.parseData(l.data, V.code),
                        readonly: o.readonly || V.isReadonly,
                        placeholder: V.description,
                        transfer: !0,
                        style: normalizeStyle$1({ width: V.controlWidth == null ? null : V.controlWidth + "px" }),
                        onOnChange: (G) => {
                          r.setData(l.data, V.code, G), u.onDataChange(V);
                        }
                      }, null, 8, ["model-value", "readonly", "placeholder", "style", "onOnChange"])) : V.controlType === "Check" ? (openBlock(), createBlock(b, {
                        key: 18,
                        "model-value": !!r.parseData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                        disabled: o.readonly || V.isReadonly,
                        size: "large",
                        onOnChange: (G) => u.onDataChange(V)
                      }, null, 8, ["model-value", "onUpdate:modelValue", "disabled", "onOnChange"])) : V.controlType === "Switch" ? (openBlock(), createBlock(T, {
                        key: 19,
                        "model-value": !!r.parseData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                        disabled: o.readonly || V.isReadonly,
                        onOnChange: (G) => u.onDataChange(V)
                      }, null, 8, ["model-value", "onUpdate:modelValue", "disabled", "onOnChange"])) : V.controlType === "Radio" ? (openBlock(), createBlock(x, {
                        key: 20,
                        "model-value": r.parseData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                        onOnChange: (G) => u.onSelectDataChange(V, G)
                      }, {
                        default: withCtx(() => [
                          (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(l.data, V), (G) => (openBlock(), createBlock(E, {
                            key: G.id,
                            label: G.id,
                            disabled: o.readonly || V.isReadonly
                          }, {
                            default: withCtx(() => [
                              createElementVNode("span", null, toDisplayString$2(G.name), 1)
                            ]),
                            _: 2
                          }, 1032, ["label", "disabled"]))), 128))
                        ]),
                        _: 2
                      }, 1032, ["model-value", "onUpdate:modelValue", "onOnChange"])) : V.controlType === "CheckGroup" ? (openBlock(), createBlock($, {
                        key: 21,
                        "model-value": r.parseData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                        dataSource: u.getDataSource(l.data, V),
                        "value-key": "id",
                        "label-key": "name",
                        readonly: o.readonly || V.isReadonly,
                        onOnChange: () => u.onSelectDataChange(V)
                      }, null, 8, ["model-value", "onUpdate:modelValue", "dataSource", "readonly", "onOnChange"])) : V.controlType === "TextArea" ? (openBlock(), createBlock(f, {
                        key: 22,
                        type: "textarea",
                        "model-value": r.parseData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                        readonly: o.readonly || V.isReadonly,
                        style: normalizeStyle$1({ width: V.controlWidth == null ? null : V.controlWidth + "px" }),
                        rows: V.controlHeight / 20,
                        maxlength: V.maxLength,
                        placeholder: V.description
                      }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "style", "rows", "maxlength", "placeholder"])) : V.controlType === "RichEditor" ? (openBlock(), createBlock(A, {
                        key: 23,
                        "model-value": r.parseData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                        readonly: o.readonly || V.isReadonly,
                        height: V.controlHeight,
                        width: V.controlWidth
                      }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "height", "width"])) : V.controlType === "Attachment" ? (openBlock(), createElementBlock(Fragment, { key: 24 }, [
                        !o.readonly && !V.isReadonly ? (openBlock(), createBlock(N, {
                          key: 0,
                          ref_for: !0,
                          ref: "attachment_" + V.code,
                          "model-value": r.parseData(l.data, V.code),
                          "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                          "max-count": V.maxLength,
                          "max-size": V.maxValue,
                          accept: V.pattern,
                          draggable: V.mergeSame
                        }, null, 8, ["model-value", "onUpdate:modelValue", "max-count", "max-size", "accept", "draggable"])) : createCommentVNode("", !0),
                        (o.readonly || V.isReadonly) && (r.parseData(l.data, V.code) || "").trim() ? (openBlock(!0), createElementBlock(Fragment, { key: 1 }, renderList(JSON.parse(r.parseData(l.data, V.code)), (G, Z) => (openBlock(), createElementBlock("a", {
                          href: r.getAttachmentUrl(G.file, G.name),
                          key: Z,
                          target: "_blank"
                        }, [
                          createElementVNode("span", null, [
                            createVNode$1(P, { type: "ios-document" }),
                            createTextVNode(" " + toDisplayString$2(G.name), 1)
                          ])
                        ], 8, _hoisted_11$2))), 128)) : createCommentVNode("", !0)
                      ], 64)) : V.controlType === "Image" ? (openBlock(), createBlock(L, {
                        key: 25,
                        "model-value": r.parseData(l.data, V.code),
                        "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                        readonly: o.readonly || V.isReadonly,
                        "max-count": V.maxLength,
                        "max-size": V.maxValue,
                        height: V.controlHeight,
                        width: V.controlWidth,
                        accept: V.pattern
                      }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "max-count", "max-size", "height", "width", "accept"])) : V.controlType === "Slider" ? (openBlock(), createElementBlock(Fragment, { key: 26 }, [
                        !o.readonly && !V.isReadonly ? (openBlock(), createBlock(O, {
                          key: 0,
                          "model-value": r.parseData(l.data, V.code),
                          "onUpdate:modelValue": (G) => r.setData(l.data, V.code, G),
                          "show-input": "",
                          style: normalizeStyle$1({ width: V.controlWidth == null ? null : V.controlWidth + "px" }),
                          max: V.maxValue,
                          min: V.minValue
                        }, null, 8, ["model-value", "onUpdate:modelValue", "style", "max", "min"])) : createCommentVNode("", !0),
                        o.readonly || V.isReadonly ? (openBlock(), createBlock(f, {
                          key: 1,
                          type: "number",
                          number: "",
                          readonly: "",
                          "model-value": r.parseData(l.data, V.code),
                          style: normalizeStyle$1({ width: V.controlWidth == null ? "100px" : V.controlWidth + "px" }),
                          placeholder: V.description
                        }, null, 8, ["model-value", "style", "placeholder"])) : createCommentVNode("", !0)
                      ], 64)) : createCommentVNode("", !0),
                      (V.tooltip || "").trim() ? (openBlock(), createBlock(M, {
                        key: 27,
                        type: "primary",
                        style: { "margin-left": "4px" },
                        size: "small",
                        title: V.tooltip,
                        shape: "circle",
                        icon: "md-help"
                      }, null, 8, ["title"])) : createCommentVNode("", !0)
                    ]),
                    _: 2
                  }, 1032, ["label", "prop", "rules"])) : createCommentVNode("", !0)
                ]),
                _: 2
              }, 1040)), [
                [vShow, V.isShow]
              ]) : createCommentVNode("", !0)
            ], 64))), 256))
          ]),
          _: 3
        }),
        renderSlot(r.$slots, "bottom", { form: this })
      ]),
      _: 3
    }, 8, ["model", "rules"])
  ], 512);
}
const viewForm = /* @__PURE__ */ _export_sfc(_sfc_main$o, [["render", _sfc_render$o]]), __vite_glob_1_31 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: viewForm
}, Symbol.toStringTag, { value: "Module" }));
var getColumns = (r, a) => {
  let o = r.viewColumns.filter((s) => s.parentCode == a.code);
  if (o.length > 0)
    return {
      ...a,
      title: a.name,
      renderHeader: (s, l) => s("span", {
        innerHTML: l.column.name.replace("|", "<br/>")
      }),
      key: a.code,
      align: a.align ? a.align.toLowerCase() : "center",
      children: o.length > 0 ? o.map((s) => getColumns(r, s)) : null
    };
  {
    let s = {}, l = localStorage.getItem("columnWidth_" + r.dataView.code);
    return l && (s = JSON.parse(l)), {
      ...a,
      title: a.name,
      renderHeader: (u, c) => u("span", {
        innerHTML: c.column.name.replace("|", "<br/>")
      }),
      // tree: this.treeEnable && index == 0, // 需要树展开，给第一列添加展开按钮
      key: a.code,
      dataType: a.dataType,
      format: a.displayFormat,
      width: s[a.code] ? s[a.code] : a.controlWidth,
      minWidth: 100,
      align: a.align ? a.align.toLowerCase() : "center",
      sortable: !r.dataView.sortDisable && !a.sortDisable ? "custom" : !1,
      resizable: !0,
      slot: "normal"
    };
  }
};
const _sfc_main$n = {
  mixins: [mixin$1, mixinPage],
  components: { tableFilter, tableSetting, filterSetting },
  data() {
    return {
      inited: !1,
      size: 10,
      orderBy: null,
      tableView: {},
      columns: [],
      viewFilter: {},
      filterColumns: [],
      data: [],
      staticData: [],
      selectedData: [],
      current: 1,
      total: 0,
      setting: !1,
      dialogActive: !1,
      tableSettingActive: !1,
      filterSettingActive: !1,
      itemSelectActive: !1,
      commandButtons: [],
      preview: !1,
      imageUrl: null,
      isFullScreen: !1,
      commandButtonParams: null
    };
  },
  async created() {
    this.viewCode && setTimeout(async () => {
      await this.init(this.viewCode), this.$emit("after-init"), this.autoLoad && !this.tableView.autoLoadDisable && this.loadData();
    });
  },
  activated() {
  },
  props: {
    /**
     * 标题
     */
    title: {
      type: String
    },
    /**
     * 视图代码
     */
    viewCode: {
      type: String
    },
    /**
     * 只读
     */
    readonly: {
      type: Boolean,
      default: !1
    },
    /**
     * 是否内嵌表格
     */
    embedded: {
      type: Boolean,
      default: !1
    },
    /**
     * 内嵌表格的父对象
     */
    parentData: {
      type: Object,
      default() {
        return {};
      }
    },
    /**
     * 是否静态数据
     */
    static: {
      type: Boolean,
      default: !1
    },
    /**
     * 筛选（即将废弃）
     */
    filter: {
      type: Object,
      default() {
        return {};
      }
    },
    /**
     * 是否允许配置界面
     */
    settingEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 自动加载
     */
    autoLoad: {
      type: Boolean,
      default: !0
    },
    /**
     * 是否允许选择
     */
    selectEnable: {
      type: Boolean,
      default: !1
    },
    /**
     * 是否跨页选择
     */
    checkCrossPage: {
      type: Boolean,
      default: !1
    },
    /**
     * 是否允许树展开
     */
    treeEnable: {
      type: Boolean,
      default: !1
    },
    /**
     * 树展开动作
     */
    treeLoad: {
      type: Function
    },
    /**
     * 树包含子项
     */
    hasChildren: {
      type: Function
    },
    /**
     * 高度
     */
    height: {
      type: Number,
      default: null
    },
    /**
     * 允许创建
     */
    createEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 允许编辑
     */
    editEnable: {
      type: [Boolean, Function],
      default: !0
    },
    /**
     * 允许查看
     */
    showEnable: {
      type: [Boolean, Function],
      default: !0
    },
    /**
     * 允许删除
     */
    removeEnable: {
      type: [Boolean, Function],
      default: !0
    },
    /**
     * 允许拖动
     */
    draggable: {
      type: Boolean,
      default: !1
    },
    /**
     * 允许筛选栏
     */
    filterEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 允许分页
     */
    pageEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 禁用筛选
     */
    filterDisable: {
      type: Boolean,
      default: !1
    },
    /**
     * 加载数据前
     */
    beforeLoadData: {
      type: Function
    },
    /**
     * 查询方法
     */
    onSearch: {
      type: Function
    },
    /**
     * 合计方法
     */
    summaryMethod: {
      type: Function
    },
    /**
     * 每页条数切换的配置
     */
    pageSizeOpts: {
      type: Array
    },
    /**
     * 合并单元格的配置
     */
    spanMethod: {
      type: Function
    },
    /**
     * 允许加载数据
     */
    loadDataEnable: {
      type: Boolean,
      default: !0
    },
    /**
     * 行样式名称
     */
    rowClassName: {
      type: Function
    },
    /**
     * 是否支持高亮选中的行，即单选
     */
    highlightRow: {
      type: Boolean,
      default: !1
    }
  },
  computed: {
    // 表格最大高度，固定表头
    maxHeight() {
      if (this.height == null) {
        let r = 1;
        return Setting.layout.autoFixRatio == !0 && window.screen.width < 1920 && window.screen.width * window.devicePixelRatio <= 1920 && !navigator.userAgent.match(/AppleWebKit.*Mobile.*/) && !navigator.userAgent.match(/.*Android.*/) && (r = 1 / window.devicePixelRatio), this.isFullScreen ? document.body.offsetHeight / r - 100 - this.$refs.filterCommand.offsetHeight / r : document.body.offsetHeight / r - 350;
      } else
        return this.height;
    },
    // 筛选条件数据
    filterData() {
      return this.$refs.tableFilter ? this.$refs.tableFilter.data : null;
    },
    labelSn() {
      return this.$t("Front_Label_Sn");
    }
  },
  watch: {
    labelSn() {
      this.$t("Front_Label_Sn") != "Front_Label_Sn" && this.tableView.snEnable && this.columns.filter((r) => r.slot == "sn").forEach((r) => {
        r.title = this.$t("Front_Label_Sn");
      });
    }
    // value() {
    //     if (this.embedded) {
    //         this.loadData(this.value);
    //     }
    //     //this.changed = false;
    // }
    // staticData() {
    //     // 设置选中项
    //     if (typeof this.selectFunc === 'function') {
    //         let selected = this.staticData.filter(this.selectFunc);
    //         this.setSelected(selected);
    //     }
    // }
  },
  methods: {
    ...mapActions("admin/dataView", { loadDataView: "load" }),
    /**
     * 初始化
     *
     * @param {string} viewCode 视图代码
     * @param {function} callback 完成后回调方法
     * @param {function} onFail 失败后回调方法
     * @public
     */
    async init(r, a, o) {
      let s = await this.loadDataView(r);
      if (s && !s.isExist && r.indexOf("_") >= 0 && (s = await this.loadDataView(r.split("_")[0])), s != null) {
        if (!s.isExist) {
          typeof o == "function" ? o() : this.error("Front_Msg_View_Code_Not_Exist|" + r);
          return;
        }
        if (this.tableView = s.dataView, this.tableView.columns = s.viewColumns, this.tableView.filterColumns = s.filterColumns, this.filterColumns = s.filterColumns, (this.tableView.commandButton || "").trim() ? this.commandButtons = JSON.parse(this.tableView.commandButton) : this.commandButtons = [], this.$emit("on-ready", this.tableView), this.columns = s.viewColumns.filter((l) => !(l.parentCode || "").trim()).map((l) => getColumns(s, l)), this.columns.forEach((l) => {
          l.name = this.getNameI18n(l) + (l.isRequired ? ' <font color="red">*</font>' : ""), l.fixed = l.isFixed ? "left" : null;
        }), this.tableView.snEnable && this.columns.unshift({
          title: this.$t("Front_Label_Sn"),
          slot: "sn",
          align: "center",
          width: 60
        }), this.tableView.commandEnable) {
          let l = {
            title: " ",
            slot: "command",
            align: "center",
            width: this.embedded && !this.tableView.commandWidth ? 60 : this.tableView.commandWidth == null ? 90 : (this.tableView.commandWidth + 1) * 28,
            fixed: "right"
          };
          this.embedded && this.tableView.batchSelectEnable && this.createEnable && !this.readonly ? (l.renderHeader = (u) => u("div", {}, [
            u(resolveComponent("Button"), {
              type: "primary",
              shape: "circle",
              icon: "md-checkmark-circle-outline",
              size: "small",
              style: {
                height: "20px",
                width: "20px"
              },
              onClick: () => {
                this.openSelectItem();
              }
            })
          ]), this.itemSelectActive = !0, setTimeout(() => {
            this.$refs.itemSelect.init(this.tableView.batchSelectDataModel + "Source", this.tableView.batchSelectDataModel + "Target", () => {
              this.$refs.itemSelect.loadSource();
            });
          })) : this.embedded && this.tableView.createEnable && this.createEnable && !this.readonly && (l.renderHeader = (u) => u("div", {}, [
            u(resolveComponent("Button"), {
              type: "primary",
              shape: "circle",
              icon: "md-add",
              size: "small",
              style: {
                height: "20px",
                width: "20px"
              },
              onClick: () => {
                this.addNew();
              }
            })
          ])), this.columns.push(l);
        }
        if ((this.selectEnable || this.tableView.checkEnable) && this.columns.unshift({
          type: "selection",
          align: "center",
          width: 60
        }), this.treeEnable && this.columns.unshift({
          tree: !0,
          display: "inline",
          align: "left",
          width: 100
        }), this.tableView.size ? this.size = this.tableView.size : this.tableView.pageEnable && this.pageEnable ? this.size = Setting.layout.pageSize : this.size = 1e3, this.tableView.sorting) {
          let l = JSON.parse(this.tableView.sorting), u = [];
          for (let c in l)
            l[c] === "desc" ? u.push("-" + c) : u.push("+" + c);
          this.orderBy = u.join(",");
        } else
          this.orderBy = null;
        if (this.tableView.filtering) {
          let l = JSON.parse(this.tableView.filtering);
          for (let u in l)
            this.viewFilter[u] = l[u];
        } else
          this.viewFilter = {};
        this.tableView.keywordEnable && (this.tableView.keywordColumn || "").trim() ? this.viewFilter.keywordColumns = this.tableView.keywordColumn : this.viewFilter.keywordColumns = null, this.selectedData = [], this.inited = !0, this.initTrigger(), setTimeout(() => {
          typeof a == "function" && a();
        });
      }
    },
    /**
     * 加载数据
     *
     * @param {array} staticData 静态数据
     * @public
     */
    async loadData(r) {
      if (!this.loadDataEnable) {
        this.total = 0, this.data = [];
        return;
      }
      if (!(!this.inited && (await this.init(this.viewCode), !this.inited))) {
        if (typeof this.beforeLoadData == "function" && this.beforeLoadData(), r && (this.staticData = this.copy(r)), this.current <= 0 && (this.current = 1), this.static) {
          let a = this.getFilterResult();
          this.total = a.length, this.current > Math.ceil(this.total / this.size) && (this.current = Math.ceil(this.total / this.size));
          let o = (this.current - 1) * this.size;
          this.data = o + this.size >= a.length ? a.slice(o, a.length) : a.slice(o, o + this.size);
        } else {
          let a = {
            ...this.getAllFilter(),
            page: this.current,
            per: this.size,
            orderBy: this.orderBy
          };
          if (this.tableView.isGroupBy && (a.isGroupBy = !0, a.groupColumn = JSON.parse(this.tableView.groupColumn), a.groupMethod = JSON.parse(this.tableView.groupMethod)), this.tableView.isCustom) {
            let o = await customModelApi.query(this.tableView.model, a);
            this.total = o.totalCount, this.data = o.data;
          } else if (this.tableView.isDataSource) {
            let o = await dataSourceApi.query(this.tableView.dataSource, a);
            this.total = o.totalCount, this.data = o.table;
          } else {
            let o = await modelApi.query(this.tableView.model, a, this.tableView.functionName, this.tableView.functionType);
            this.total = o.totalCount, this.data = o.data;
          }
          if (this.tableView.isDynamicColumn && (this.columns = this.columns.filter((o) => o.slot != "normal"), this.data.length > 0)) {
            let o = 0;
            for (const s in this.data[0])
              this.columns.push({
                name: s,
                title: s,
                code: s,
                key: "column_" + o,
                dataType: "String",
                align: "center",
                slot: "normal",
                controlType: "Label",
                isShow: !0
              });
            o++;
          }
          this.current > Math.ceil(this.total / this.size) && (this.current = Math.ceil(this.total / this.size)), this.checkCrossPage || this.tableView.checkCrossPage ? this.data.forEach((o) => {
            o._checked = this.selectedData.some((s) => o.id === s.id);
          }) : this.selectedData = [];
        }
        this.data.forEach((a) => {
          this.setShowStatus(a), a._disabled = this.readonly;
        }), this.treeEnable && (this.data.forEach((a) => {
          (this.hasChildren == null || this.hasChildren(a)) && (a._loading = !1, a.children = []);
        }), this.data = this.copy(this.data)), this.initDataSource();
        for (let a = 0; a < this.data.length; a++)
          this.calc(this.data[a]);
        this.$emit("on-load-data"), this.$emit("on-change", null, null, null);
      }
    },
    /**
     * 创建新项
     *
     * @public
     */
    create() {
      this.$emit("create");
    },
    /**
     * 编辑项
     *
     * @param {object} row 行对象
     * @param {int} index 行序号
     * @public
     */
    edit(r, a) {
      this.$emit("edit", { row: r, index: a });
    },
    /**
     * 查看项
     *
     * @param {object} row 行对象
     * @param {int} index 行序号
     * @public
     */
    show(r, a) {
      this.$emit("show", { row: r, index: a });
    },
    /**
     * 删除项
     *
     * @param {object} row 行对象
     * @param {int} index 行序号
     * @public
     */
    remove(r, a) {
      this.confirm("Front_Msg_Sure_To_Delete_Item", async () => {
        this.embedded ? (this.staticData.splice((this.current - 1) * this.size + a, 1), this.loadData(), this.$emit("on-change", r)) : (this.tableView.isCustom ? await customModelApi.remove(this.tableView.model, r.id) : await modelApi.remove(this.tableView.model, r.id), this.success("Front_Msg_Success", () => {
          this.loadData();
        }));
      });
    },
    /**
     * 获取默认值
     *
     * @public
     */
    getDefaultData() {
      let r = {};
      return this.columns.forEach((a) => {
        if (a.defaultValue)
          if (a.defaultValue == "{today}") {
            let s = (/* @__PURE__ */ new Date()).toISOString().replace(/T.*/, "");
            this.setData(r, a.code, new Date(s));
          } else if (a.defaultValue.startsWith("{today(") && a.defaultValue.endsWith(")}")) {
            let o = a.defaultValue.substr(7, a.defaultValue.length - 9);
            this.setData(r, a.code, format$4(/* @__PURE__ */ new Date(), o));
          } else a.defaultValue == "{currentUserID}" ? this.setData(r, a.code, this.info.id) : a.defaultValue == "{currentUser}" ? this.setData(r, a.code, this.info.name) : a.dataType === "Integer" ? this.setData(r, a.code, parseInt(a.defaultValue)) : a.dataType === "Decimal" ? this.setData(r, a.code, parseFloat(a.defaultValue)) : a.dataType === "Boolean" && a.defaultValue.toUpperCase == "TRUE" ? this.setData(r, a.code, !0) : a.dataType === "Boolean" && a.defaultValue.toUpperCase == "FALSE" ? this.setData(r, a.code, !1) : this.setData(r, a.code, a.defaultValue);
        else
          a.dataType === "Boolean" ? this.setData(r, a.code, !1) : this.setData(r, a.code, null);
      }), r;
    },
    /**
     * 添加新行
     *
     * @public
     */
    addNew() {
      this.staticData.push(this.getDefaultData()), this.loadData();
    },
    /**
     * 获取选中项
     *
     * @public
     */
    getSelected() {
      return this.selectedData;
    },
    /**
     * 设置选中项
     *
     * @param {object} selected 选中项
     * @public
     */
    setSelected(r) {
      this.selectedData = [], r.forEach((a) => {
        this.selectedData.push(a);
      }), this.static ? (this.staticData.forEach((a) => {
        a._checked = this.selectedData.some((o) => a.id === o.id);
      }), this.loadData()) : this.data.forEach((a) => {
        a._checked = this.selectedData.some((o) => a.id === o.id);
      }), this.data = this.copy(this.data);
    },
    /**
     * 必填验证
     *
     * @public
     */
    validate() {
      for (let r = 0; r < this.staticData.length; r++) {
        let a = this.staticData[r];
        for (let o = 0; o < this.columns.length; o++) {
          let s = this.columns[o];
          if (a._isShow && a._isShow[s.code] == !1)
            continue;
          if (s.isShow == !1)
            continue;
          let l = s.isRequired;
          if ((s.requiredJson || "").trim()) {
            let u = JSON.parse(s.requiredJson);
            (u.type == "Condition" || u.type == "Expression") && (l = this.judgeCondition(u, a));
          }
          if (l) {
            let u = this.parseData(a, s.code);
            if (u == null || !(String(u) || "").trim())
              return this.error("Front_Msg_Row_Column_Required|" + (r + 1) + "|" + s.name), !1;
          }
        }
      }
      return !0;
    },
    /**
     * 获取数据
     *
     * @public
     */
    getData() {
      let r = null;
      return this.static ? r = this.copy(this.staticData) : r = this.copy(this.data), r.forEach((a) => {
        delete a._checked, delete a._dataSource, delete a._needRefresh, delete a._needClear, delete a._rawData;
      }), r;
    },
    /**
     * 重置筛选
     *
     * @public
     */
    resetFilter() {
      for (let r in this.filterData)
        delete this.filterData[r];
    },
    // 查询
    search() {
      typeof this.onSearch == "function" ? this.onSearch() : this.loadData();
    },
    // 点击更多按钮
    async moreClick(r) {
      !this.inited && (await this.init(this.viewCode), !this.inited) || (this.static ? r === "exportExcel" ? dataViewApi.exportExcel(
        this.tableView,
        this.staticData,
        this.columns.filter((a) => a.slot == "normal")
      ) : r === "exportPdf" ? dataViewApi.exportPdf(
        this.tableView,
        this.staticData,
        this.columns.filter((a) => a.slot == "normal")
      ) : r === "print" ? dataViewApi.print(
        this.tableView,
        this.staticData,
        this.columns.filter((a) => a.slot == "normal")
      ) : r === "batchEdit" && this.error("Front_Msg_Not_Supported") : r === "exportExcel" ? this.exportExcel() : r === "exportPdf" ? this.exportPdf() : r === "print" ? this.print() : r === "batchEdit" && this.$refs.batchEditTable.init(this.tableView.batchEditView, async () => {
        let a;
        this.tableView.isCustom ? a = await customModelApi.query(this.tableView.model, {}) : a = await modelApi.query(this.tableView.model, {}), this.$refs.batchEditTable.loadData(a.data), this.$refs.batchEditTable.open();
      }));
    },
    // 导出Excel
    exportExcel() {
      let r = {
        ...this.getAllFilter(),
        orderBy: this.orderBy
      };
      this.tableView.isCustom ? customModelApi.exportExcel(this.tableView, r) : this.tableView.isDataSource ? dataSourceApi.exportExcel(this.tableView, r) : modelApi.exportExcel(this.tableView, r);
    },
    // 导出PDF
    exportPdf() {
      let r = {
        ...this.getAllFilter(),
        orderBy: this.orderBy
      };
      this.tableView.isCustom ? customModelApi.exportPdf(this.tableView, r) : this.tableView.isDataSource ? dataSourceApi.exportPdf(this.tableView, r) : modelApi.exportPdf(this.tableView, r);
    },
    // 打印
    print() {
      let r = {
        ...this.getAllFilter(),
        orderBy: this.orderBy
      };
      this.tableView.isCustom ? customModelApi.printList(this.tableView, r) : this.tableView.isDataSource ? dataSourceApi.printList(this.tableView, r) : modelApi.printList(this.tableView, r);
    },
    // 加载数据源
    initDataSource() {
      this.columns.forEach((r) => {
        (r.controlType == "Select" || r.controlType == "MultiSelect" || r.controlType == "SelectWithOther" || r.controlType == "ComboSelect" || r.controlType == "MultiComboSelect" || r.controlType == "Radio" || r.controlType == "CheckGroup") && (r.isStaticItem ? this.data.forEach((a) => {
          if (!a._dataSource)
            a._dataSource = {}, a._rawData = {}, a._needRefresh = {}, a._needClear = {};
          else if (a._dataSource[r.code])
            return;
          a._dataSource[r.code] = [], a._rawData[r.code] = [], (r.itemData || "").trim() && r.itemData.split(/[\n]/).forEach((o) => {
            if ((o || "").trim())
              if (o.split(":").length > 1) {
                let s = o.split(":")[0], l = o.split(":")[1];
                r.dataType == "Integer" || r.dataType == "BigInteger" ? a._dataSource[r.code].push({
                  id: parseInt(s),
                  name: l
                }) : r.dataType == "Decimal" || r.dataType == "Float" || r.dataType == "Double" ? a._dataSource[r.code].push({
                  id: parseFloat(s),
                  name: l
                }) : r.dataType == "Boolean" ? a._dataSource[r.code].push({
                  id: s.toUpperCase() == "TRUE",
                  name: l
                }) : a._dataSource[r.code].push({
                  id: s,
                  name: l
                });
              } else
                r.dataType == "Integer" || r.dataType == "BigInteger" ? a._dataSource[r.code].push({
                  id: parseInt(o),
                  name: o
                }) : r.dataType == "Decimal" || r.dataType == "Float" || r.dataType == "Double" ? a._dataSource[r.code].push({
                  id: parseFloat(o),
                  name: o
                }) : r.dataType == "Boolean" ? a._dataSource[r.code].push({
                  id: o.toUpperCase() == "TRUE",
                  name: o
                }) : a._dataSource[r.code].push({
                  id: o,
                  name: o
                });
          });
        }) : (r.source || "").trim() && !(r.dataType && r.dataType.startsWith("Enum:")) && this.data.forEach((a) => {
          if (a._dataSource && a._dataSource[r.code])
            return;
          let o = this.getParam(a, r, this.parentData);
          o != null && this.fillDataSource(a, r, o);
        }));
      });
    },
    // 初始化触发规则
    initTrigger() {
      this.columns.forEach((r) => {
        r.triggers = [];
      }), this.columns.filter((r) => !r.isStaticItem && !!(r.source || "").trim() && !!(r.param || "").trim() && !(r.dataType && r.dataType.startsWith("Enum:"))).forEach((r) => {
        let a = JSON.parse(r.param);
        for (let o in a)
          this.columns.filter((s) => a[o] == s.code || a[o].split(".")[0] + "ID" == s.code).forEach((s) => {
            s.triggers.push(this.copy(r));
          });
      });
    },
    // 填充数据源
    async fillDataSource(r, a, o) {
      r._dataSource || (r._dataSource = {}, r._rawData = {}, r._needRefresh = {}, r._needClear = {}), (a.controlType === "ComboSelect" || a.controlType === "MultiComboSelect") && (o.per = 20), this.disableLoader();
      let s;
      if (a.isSourceCustom ? s = await customModelApi.query(a.source, o) : s = await modelApi.query(a.source, o), this.enableLoader(), r._rawData[a.code] = s.data, r._dataSource[a.code] = s.data.map((l) => ({
        id: (a.sourceDataCode || "").trim() ? this.parseData(l, a.sourceDataCode) : l.id,
        name: this.parseData(l, a.sourceDisplayCode)
      })), r && this.parseData(r, a.code) == null && a.isDefaultFirst && s.data.length > 0 && (this.setData(r, a.code, this.parseData(s.data[0], a.sourceDataCode)), a.sourceDataCode == "id" && a.code.length > 2)) {
        let l = a.code.substr(0, a.code.length - 2);
        if (r._rawData && r._rawData[a.code]) {
          let u = r._rawData[a.code].find((c) => c.id == this.parseData(r, a.code));
          this.setData(r, l, u);
        }
      }
      this.data = this.data.map((l) => l), this.onDataChange(r, a);
    },
    // 获取数据源
    getDataSource(r, a) {
      if (!a.isStaticItem && a.dataType.startsWith("Enum:"))
        return this.getEnumList(a.dataType.split(":")[1]);
      if (r._dataSource != null && r._dataSource[a.code] != null)
        return r._dataSource[a.code];
    },
    // 每页数量切换
    pageSizeChange(r) {
      this.size = r, this.loadData();
    },
    // 排序切换
    sortChange({ key: r, order: a }) {
      let o = [];
      this.orderBy && (o = this.orderBy.split(",")), o = o.filter((s) => s.substring(1) !== r), a === "asc" ? o.unshift("+" + r) : a === "desc" && o.unshift("-" + r), this.orderBy = o.join(","), this.loadData();
    },
    columnWidthResize(r, a, o) {
      let s = {}, l = localStorage.getItem("columnWidth_" + this.tableView.code);
      l && (s = JSON.parse(l)), s[o.code] = r, localStorage.setItem("columnWidth_" + this.tableView.code, JSON.stringify(s));
    },
    onSelectDataChange(r, a, o) {
      let s;
      a.code.endsWith("ID") && (s = a.code.substr(0, a.code.length - 2));
      let l = null;
      if (typeof o == "object")
        if (o instanceof Array) {
          l = [];
          for (let u of o)
            typeof u == "object" ? l.push(u) : r._rawData && r._rawData[a.code] ? l.push(
              r._rawData[a.code].find((c) => this.parseData(c, a.sourceDataCode) == u)
            ) : l.push(u);
        } else
          l = o;
      else
        r._rawData && r._rawData[a.code] ? l = r._rawData[a.code].find((u) => this.parseData(u, a.sourceDataCode) == o) : l = o;
      s && this.setData(r, s, l), this.onDataChange(r, a, l);
    },
    // 数据变化事件
    onDataChange(r, a, o) {
      for (this.setShowStatus(r), this.calc(r, a), this.$emit("on-change", r, a, o), (a == null || a.triggers !== []) && this.columns.forEach(function(s) {
        !s.isStaticItem && (s.source || "").trim() && !(s.dataType && s.dataType.startsWith("Enum:")) && (a == null || a.triggers.some((l) => l.code == s.code)) && r._needRefresh && (r._needRefresh[s.code] = !0);
      }); ; ) {
        let s = this.columns.filter((l) => r._needRefresh && r._needRefresh[l.code] == !0 || r._needClear && r._needClear[l.code] == !0)[0];
        if (s == null)
          break;
        if (r._needClear[s.code] && this.parseData(r, s.code) != null)
          this.setData(r, s.code, null), s.triggers.forEach((l) => {
            r._needClear[l.code] = !0;
          });
        else if (r._needRefresh[s.code] && (s.source || "").trim() && !(s.dataType && s.dataType.startsWith("Enum:"))) {
          let l = this.getParam(r, s, this.parentData);
          s.controlType === "Select" || s.controlType === "SelectWithOther" || s.controlType === "ComboSelect" || s.controlType === "MulitSelect" || s.controlType === "Radio" || s.controlType === "CheckGroup" ? l != null ? this.fillDataSource(r, s, l) : (r._dataSource[s.code] = [], this.setData(r, s.code, null), s.triggers.forEach((u) => {
            r._needClear[u.code] = !0;
          })) : (s.controlType === "DialogSelect" || s.controlType === "MultiDialogSelect") && l == null && (this.setData(r, s.code, null), s.triggers.forEach((u) => {
            r._needClear[u.code] = !0;
          }));
        }
        r._needClear[s.code] = !1, r._needRefresh[s.code] = !1;
      }
    },
    // 公式计算
    calc(r, a) {
      for (let o = 0; o < this.columns.length; o++) {
        let s = this.columns[o];
        if ((s.calculate || "").trim()) {
          let l = this.getTriggers(s.calculate);
          if (!a || l.some((u) => u == a.code)) {
            let u = this.calculate(s.calculate, r);
            s.digit != null && (u = this.keepDecimal(u, s.digit, s.fixedDigit)), this.setData(r, s.code, u);
          }
        }
      }
    },
    // 输入框失去焦点事件
    onBlur(r, a) {
      this.$emit("on-blur", r, a);
    },
    // 打开表格设置界面
    tableSettingOpen() {
      this.tableSettingActive = !0, setTimeout(() => {
        this.$refs.tableSetting.open(this.tableView, this.copy(this.tableView.columns));
      });
    },
    // 打开筛选设置界面
    filterSettingOpen() {
      this.filterSettingActive = !0, setTimeout(() => {
        this.$refs.filterSetting.open(this.tableView, this.copy(this.tableView.filterColumns));
      });
    },
    // 选中变化
    onSelectionChange(r) {
      this.getDataWithChildren(this.data).forEach((o) => {
        const s = this.selectedData.findIndex((l) => l.id == o.id);
        r.some((l) => l.id == o.id) ? s == -1 && this.selectedData.push(o) : s != -1 && this.selectedData.splice(s, 1);
      }), this.$emit("on-select-change");
    },
    // 键盘事件
    onKeyup(r) {
      if (r) {
        var a = window.event ? r.keyCode : r.which;
        if (!a || a !== 0 && a !== 1 && a !== 13)
          return;
      }
      this.search();
    },
    // 合并后最终的筛选项
    getAllFilter() {
      let r = {
        ...this.viewFilter,
        ...this.filter ?? {},
        ...this.filterData ?? {}
      };
      for (let a in r)
        this.isJSON(r[a]) ? r[a] = JSON.parse(r[a]).join(",") : Object.prototype.toString.call(r[a]) === "[object Array]" ? r[a] = r[a].join(",") : typeof r[a] == "object" && !(r[a] instanceof Date) && delete r[a];
      return r;
    },
    // 静态数据筛选
    getFilterResult() {
      let r = this.staticData;
      if (!this.filterDisable) {
        let a = {
          ...this.viewFilter,
          ...this.filter ?? {},
          ...this.filterData ?? {}
        };
        for (let o in a) {
          let s = o, l = a[o];
          l == null || l == "" || this.filterColumns.some((u) => u.code == o && u.operator == "Custom") || typeof l == "object" && !(l instanceof Date) || s != "keywordColumns" && (r = r.filter((u) => {
            if ((s.startsWith("d_") || s.startsWith("m_") || s.startsWith("y_")) && (s = s.substr(2)), s == "keyword") {
              let c = a.keywordColumns.split(",");
              for (let d = 0; d < c.length; d++) {
                let f = c[d];
                if (this.parseData(u, f) != null && this.parseData(u, f).indexOf(l) >= 0)
                  return !0;
              }
              return !1;
            } else if (s.endsWith("_g")) {
              let c = s.substr(0, s.length - 2);
              return l instanceof Date ? new Date(this.parseData(u, c)) > l : this.parseData(u, c) > l;
            } else if (s.endsWith("_l")) {
              let c = s.substr(0, s.length - 2);
              return l instanceof Date ? new Date(this.parseData(u, c)) < l : this.parseData(u, c) < l;
            } else if (s.endsWith("_ge")) {
              let c = s.substr(0, s.length - 3);
              return l instanceof Date ? new Date(this.parseData(u, c)) >= l : this.parseData(u, c) >= l;
            } else if (s.endsWith("_le")) {
              let c = s.substr(0, s.length - 3);
              return l instanceof Date ? new Date(this.parseData(u, c)) <= l : this.parseData(u, c) <= l;
            } else if (s.endsWith("_n")) {
              let c = s.substr(0, s.length - 2);
              if (typeof l == "string") {
                for (let d = 0; d < l.split(",").length; d++)
                  if (this.parseData(u, c) != l.split(",")[d])
                    return !0;
                return !1;
              } else return l instanceof Date ? new Date(this.parseData(u, c)) != l : this.parseData(u, c) != l;
            } else if (s.endsWith("_c")) {
              let c = s.substr(0, s.length - 2);
              return this.parseData(u, c) != null && this.parseData(u, c).indexOf(l) >= 0;
            } else {
              let c = s;
              return typeof l == "string" ? this.isJSON(l) ? JSON.parse(l).some((d) => d == this.parseData(u, c)) : l.split(",").some((d) => d == this.parseData(u, c)) : l instanceof Date ? new Date(this.parseData(u, c)) == l : this.parseData(u, c) == l;
            }
          }));
        }
      }
      if ((this.orderBy || "").trim()) {
        let a = this.orderBy.split(",")[0], o = a.substr(0, 1), s = a.substr(1);
        r.sort((l, u) => {
          let c = this.parseData(l, s), d = this.parseData(u, s);
          return c == d ? 0 : c > d || d == null ? o == "+" ? 1 : -1 : o == "+" ? -1 : 1;
        });
      }
      return r;
    },
    // 树展开动态查询
    async onLoadData(r, a) {
      if (this.treeLoad != null) {
        let o = await this.treeLoad(r);
        o.forEach((s) => {
          (this.hasChildren == null || this.hasChildren(s)) && (s._loading = !1, s.children = []);
        }), a(o);
      }
    },
    // // 转换为日期类型
    // parseDateTime(value) {
    //     if (value && typeof value === 'string') {
    //         return new Date(value);
    //     } else {
    //         return value;
    //     }
    // },
    // 打开选择内容
    openSelectItem() {
      let r = [], a = this.tableView.batchSelectDataCode, o = a.substr(0, a.length - 2);
      for (let s = 0; s < this.staticData.length; s++)
        r.push(this.staticData[s][o]);
      this.$refs.itemSelect.setSelected(r), this.$refs.itemSelect.open();
    },
    // 保存选择内容
    saveItemSelect() {
      let r = this.$refs.itemSelect.getSelected(), a = this.tableView.batchSelectDataCode, o = a.substr(0, a.length - 2);
      this.staticData = this.staticData.filter((s) => r.some((l) => l.id == s[a]));
      for (let s = 0; s < r.length; s++)
        if (!this.staticData.some((l) => l[a] == r[s].id)) {
          let l = this.getDefaultData();
          l[a] = r[s].id, l[o] = r[s], this.staticData.push(l);
        }
      this.loadData(this.staticData), this.$refs.itemSelect.close();
    },
    // 操作栏按钮
    clickCommandButton(r, a) {
      a.viewType == "TableView" ? this.$refs.modalTable.init(a.viewCode, async () => {
        if ((a.formViewCode || "").trim() && this.$refs.modalForm.init(a.formViewCode), this.commandButtonParams = {}, (a.params || "").trim()) {
          let o = JSON.parse(a.params);
          for (let s = 0; s < o.length; s++) {
            let l = this.parseData(r, o[s].value);
            this.commandButtonParams[o[s].param] = l;
          }
        }
        this.$refs.modalTable.open(this.commandButtonParams);
      }) : this.$refs.modalForm.init(a.formViewCode, async () => {
        this.$refs.modalForm.open(r);
      });
    },
    // 预览
    previewImage(r) {
      this.imageUrl = r, this.preview = !0;
    },
    // 合并单元格方法
    handleSpan({ row: r, column: a, rowIndex: o, columnIndex: s }) {
      if (this.spanMethod != null)
        return this.spanMethod(r, a, o, s);
      if (a.mergeSame) {
        if (o != 0 && this.parseData(r, a.code) == this.parseData(this.data[o - 1], a.code))
          return [0, 0];
        let l = 0;
        for (let u = o; u < this.data.length; u++)
          if (this.parseData(r, a.code) == this.parseData(this.data[u], a.code))
            l++;
          else
            return [l, 1];
        return [l, 1];
      }
    },
    // 根据条件判断
    judge(r, a, o) {
      if ((a || "").trim()) {
        let s = JSON.parse(a);
        if (s.type == "Condition" || s.type == "Expression")
          return this.judgeCondition(s, o);
      }
      return r;
    },
    // 是否显示
    isShow(r, a) {
      return r._isShow != null && r._isShow[a.code] != null ? r._isShow[a.code] : a.isShow;
    },
    // 是否只读
    isReadonly(r, a) {
      return this.readonly == !0 ? !0 : r._isReadonly != null && r._isReadonly[a.code] != null ? r._isReadonly[a.code] : a.isReadonly;
    },
    // 批量保存
    batchSave() {
      this.$refs.batchEditTable.validate() && this.confirm("Front_Msg_Sure_To_Save", async () => {
        let r = this.$refs.batchEditTable.data;
        this.tableView.isCustom ? await customModelApi.batchSave(this.tableView.model, r) : await modelApi.batchSave(this.tableView.model, r), this.success("Front_Msg_Success", () => {
          this.$refs.batchEditTable.close(), this.loadData();
        });
      });
    },
    // 行数据
    rowData(r, a) {
      return this.treeEnable ? r : this.data[a];
    },
    // 所有数据，包括子数据
    getDataWithChildren(r) {
      let a = [];
      return r.forEach((o) => {
        a.push(o), o.children && (a = a.concat(this.getDataWithChildren(o.children)));
      }), a;
    },
    // 设置可见性和只读
    setShowStatus(r) {
      for (let a of this.columns) {
        if ((a.showJson || "").trim()) {
          r._isShow == null && (r._isShow = {});
          let o = JSON.parse(a.showJson);
          (o.type == "Condition" || o.type == "Expression") && (r._isShow[a.code] = this.judgeCondition(o, r));
        }
        if ((a.readonlyJson || "").trim()) {
          r._isReadonly == null && (r._isReadonly = {});
          let o = JSON.parse(a.readonlyJson);
          (o.type == "Condition" || o.type == "Expression") && (r._isReadonly[a.code] = this.judgeCondition(o, r));
        }
      }
    },
    // 获取多语言名称
    getNameI18n(r) {
      if (r)
        if (this.layout.showI18n) {
          if (r.code) {
            let a = "DataView_" + this.tableView.code + "_" + r.code, o = this.$t(a);
            return o == a ? r.name : o;
          }
        } else
          return r.name;
    },
    // 上移
    up(r, a) {
      let o = this.staticData;
      if (a > 0) {
        o.splice(a, 1), o.splice(a - 1, 0, r);
        for (let s of o)
          delete s.id;
        this.loadData(o);
      }
    },
    // 下移
    down(r, a) {
      let o = this.staticData;
      if (a < o.length - 1) {
        o.splice(a, 1), o.splice(a + 1, 0, r);
        for (let s of o)
          delete s.id;
        this.loadData(o);
      }
    },
    // 清空数据
    clear() {
      this.staticData = [], this.data = [];
    },
    // 根据表达式取值（带其他）
    parseDataWithOther(r, a) {
      let o = a.code, s = this.parseData(r, o + "_o"), l = this.parseData(r, o), u = this.getDataSource(r, a);
      return s ?? (l == null ? null : u && u.some((c) => c.id == l) ? l : "__Other");
    },
    // 根据表达式赋值（带其他）
    setDataWithOther(r, a, o) {
      this.setData(r, a + "_o", o), o != "__Other" ? this.setData(r, a, o) : this.setData(r, a, null);
    },
    // 筛选栏对齐方式
    getJustify(r) {
      return r == "Left" ? "start" : r == "Center" ? "center" : (r == "Right", "end");
    },
    // 可筛选下拉框加载数据
    async loadOption(r, a, o) {
      if (a.isStaticItem || a.dataType && a.dataType.startsWith("Enum:"))
        return;
      let s = this.getParam(r, a);
      s != null ? (s[a.sourceDisplayCode + "_c"] = o, this.fillDataSource(r, a, s)) : (r._rawData[a.code] = [], r._dataSource[a.code] = [], this.setData(r, a.code, null), a.triggers.forEach((l) => {
        l.needClear = !0;
      }));
    },
    // 根据表达式取值(可筛选选择框)
    parseComboData(r, a, o) {
      let s = this.parseData(r, a.code);
      return setTimeout(() => {
        this.loadComboDataLabel(r, a, s, o);
      }), s;
    },
    // 根据表达式取值(可筛选多选选择框)
    parseMultiComboData(r, a, o) {
      let s = [], l = this.parseData(r, a.code);
      return this.isJSON(l) && (s = JSON.parse(l)), setTimeout(() => {
        this.loadComboDataLabel(r, a, s, o);
      }), s;
    },
    // 加载可筛选选择框显示内容
    async loadComboDataLabel(r, a, o, s) {
      if (!(a.isStaticItem || a.dataType && a.dataType.startsWith("Enum:")) && this.$refs["control_" + a.code + "_" + s] && o) {
        let l = this.$refs["control_" + a.code + "_" + s].$data.values, u = [];
        if (a.controlType == "MultiComboSelect")
          o.forEach((c) => {
            if (!l.some((d) => d.value == c)) {
              let d = { value: c, label: null, disabled: !1 };
              l.push(d), u.push(d);
            }
          });
        else if (!l.some((c) => c.value == o)) {
          let c = { value: o, label: null, disabled: !1 };
          l.push(c), u.push(c);
        }
        if (u.length > 0) {
          let c = this.getParam(r, a);
          c[a.sourceDataCode] = u.map((f) => f.value).join(",");
          let d;
          a.isSourceCustom ? d = await customModelApi.query(a.source, c) : d = await modelApi.query(a.source, c), d.data.forEach((f) => {
            let p = this.parseData(f, a.sourceDataCode), v = this.parseData(f, a.sourceDisplayCode);
            a.controlType == "ComboSelect";
            let g = u.find((y) => y.value == p);
            g && (g.label = v), this.$forceUpdate();
          });
        }
      }
    }
  }
}, _hoisted_1$e = { class: "title" }, _hoisted_2$b = { ref: "filterCommand" }, _hoisted_3$9 = ["title", "innerHTML"], _hoisted_4$5 = ["href", "target"], _hoisted_5$3 = ["innerHTML"], _hoisted_6$2 = {
  key: 10,
  style: { display: "flex" }
}, _hoisted_7$1 = ["href"], _hoisted_8$1 = { style: { margin: "auto 4px" } }, _hoisted_9$1 = ["onClick", "src"], _hoisted_10$1 = { class: "ivu-mt ivu-text-right" }, _hoisted_11$1 = { style: { "text-align": "center" } }, _hoisted_12$1 = ["download"], _hoisted_13$1 = ["src"];
function _sfc_render$n(r, a, o, s, l, u) {
  const c = resolveComponent("Divider"), d = resolveComponent("table-filter"), f = resolveComponent("Button"), p = resolveComponent("Icon"), v = resolveComponent("DropdownItem"), g = resolveComponent("DropdownMenu"), y = resolveComponent("Dropdown"), _ = resolveComponent("FormItem"), S = resolveComponent("Col"), C = resolveComponent("Row"), b = resolveComponent("Form"), T = resolveComponent("Input"), E = resolveComponent("Option"), x = resolveComponent("Select"), $ = resolveComponent("dialog-select"), A = resolveComponent("DatePicker"), N = resolveComponent("TimePicker"), P = resolveComponent("Checkbox"), L = resolveComponent("Switch"), O = resolveComponent("Radio"), M = resolveComponent("RadioGroup"), F = resolveComponent("CheckboxGroup"), U = resolveComponent("Slider"), R = resolveComponent("Table"), H = resolveComponent("Page"), V = resolveComponent("modal-table"), Y = resolveComponent("table-setting"), G = resolveComponent("filter-setting"), Z = resolveComponent("item-select"), re = resolveComponent("modal-form"), de = resolveComponent("Modal");
  return openBlock(), createElementBlock("div", {
    class: normalizeClass({ "full-screen": l.isFullScreen })
  }, [
    o.title != null ? (openBlock(), createBlock(c, {
      key: 0,
      plain: !0,
      dashed: "",
      orientation: "left",
      size: "small"
    }, {
      default: withCtx(() => [
        createElementVNode("span", _hoisted_1$e, toDisplayString$2(o.title), 1)
      ]),
      _: 1
    })) : createCommentVNode("", !0),
    renderSlot(r.$slots, "top", {}, void 0, !0),
    withDirectives(createVNode$1(b, {
      model: o.filter,
      "label-width": l.tableView.filterTitleWidth ? l.tableView.filterTitleWidth : r.layout.filterWidth,
      "label-colon": "：",
      "label-position": "right",
      class: "filter",
      onSubmit: a[3] || (a[3] = withModifiers(() => {
      }, ["prevent"]))
    }, {
      default: withCtx(() => [
        createElementVNode("div", _hoisted_2$b, [
          createVNode$1(C, {
            gutter: 24,
            type: "flex",
            justify: u.getJustify(l.tableView.filterAlign)
          }, {
            default: withCtx(() => [
              renderSlot(r.$slots, "filter", { table: this }, () => [
                renderSlot(r.$slots, "customFilter", {}, void 0, !0),
                createVNode$1(d, {
                  ref: "tableFilter",
                  columns: l.filterColumns,
                  "table-view": l.tableView,
                  onOnKeyup: u.onKeyup
                }, {
                  column: withCtx(({ column: X }) => [
                    renderSlot(r.$slots, "filterColumn", {
                      column: X,
                      code: X.code
                    }, void 0, !0)
                  ]),
                  _: 3
                }, 8, ["columns", "table-view", "onOnKeyup"]),
                createVNode$1(S, mergeProps(r.getGrid(l.tableView.filterWidth), {
                  style: { "text-align": (l.tableView.filterAlign || "").trim() ? l.tableView.filterAlign.toLowerCase() : "left" }
                }), {
                  default: withCtx(() => [
                    createVNode$1(_, { "label-width": 0 }, {
                      default: withCtx(() => [
                        l.tableView.keywordEnable || l.filterColumns.length > 0 ? (openBlock(), createBlock(f, {
                          key: 0,
                          type: "info",
                          "custom-icon": "fa fa-search",
                          onClick: a[0] || (a[0] = (X) => u.search()),
                          size: "small"
                        }, {
                          default: withCtx(() => [
                            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Search")), 1)
                          ]),
                          _: 1
                        })) : createCommentVNode("", !0),
                        l.tableView.createEnable && o.createEnable && !o.readonly ? (openBlock(), createBlock(f, {
                          key: 1,
                          type: "primary",
                          "custom-icon": "fa fa-plus",
                          onClick: a[1] || (a[1] = (X) => u.create()),
                          size: "small"
                        }, {
                          default: withCtx(() => [
                            createTextVNode(toDisplayString$2(r.$t("Front_Btn_New")), 1)
                          ]),
                          _: 1
                        })) : createCommentVNode("", !0),
                        renderSlot(r.$slots, "filterCommand", {}, void 0, !0),
                        l.tableView.exportEnable || l.tableView.exportPdfEnable || l.tableView.printEnable || l.tableView.batchEditEnable ? (openBlock(), createBlock(y, {
                          key: 2,
                          onOnClick: u.moreClick
                        }, {
                          list: withCtx(() => [
                            createVNode$1(g, null, {
                              default: withCtx(() => [
                                l.tableView.exportEnable ? (openBlock(), createBlock(v, {
                                  key: 0,
                                  name: "exportExcel"
                                }, {
                                  default: withCtx(() => [
                                    createTextVNode(toDisplayString$2(r.$t("Front_Btn_Export_Excel")), 1)
                                  ]),
                                  _: 1
                                })) : createCommentVNode("", !0),
                                l.tableView.exportPdfEnable ? (openBlock(), createBlock(v, {
                                  key: 1,
                                  name: "exportPdf"
                                }, {
                                  default: withCtx(() => [
                                    createTextVNode(toDisplayString$2(r.$t("Front_Btn_Export_PDF")), 1)
                                  ]),
                                  _: 1
                                })) : createCommentVNode("", !0),
                                l.tableView.printEnable ? (openBlock(), createBlock(v, {
                                  key: 2,
                                  name: "print"
                                }, {
                                  default: withCtx(() => [
                                    createTextVNode(toDisplayString$2(r.$t("Front_Btn_Print")), 1)
                                  ]),
                                  _: 1
                                })) : createCommentVNode("", !0),
                                l.tableView.batchEditEnable ? (openBlock(), createBlock(v, {
                                  key: 3,
                                  name: "batchEdit"
                                }, {
                                  default: withCtx(() => [
                                    createTextVNode(toDisplayString$2(r.$t("Front_Btn_Batch_Edit")), 1)
                                  ]),
                                  _: 1
                                })) : createCommentVNode("", !0)
                              ]),
                              _: 1
                            })
                          ]),
                          default: withCtx(() => [
                            createVNode$1(f, {
                              type: "info",
                              size: "small"
                            }, {
                              default: withCtx(() => [
                                createTextVNode(toDisplayString$2(r.$t("Front_Btn_More")) + " ", 1),
                                createVNode$1(p, { type: "ios-arrow-down" })
                              ]),
                              _: 1
                            })
                          ]),
                          _: 1
                        }, 8, ["onOnClick"])) : createCommentVNode("", !0),
                        o.settingEnable && r.allow("permission/tableView") ? (openBlock(), createBlock(f, {
                          key: 3,
                          type: "error",
                          title: r.$t("Front_Btn_Filter_Setting"),
                          "custom-icon": "fa fa-filter",
                          size: "small",
                          onClick: u.filterSettingOpen
                        }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
                        l.tableView.fullEnable ? (openBlock(), createBlock(f, {
                          key: 4,
                          type: "info",
                          title: "全屏",
                          "custom-icon": "fa fa-expand-arrows-alt",
                          size: "small",
                          onClick: a[2] || (a[2] = (X) => l.isFullScreen = !l.isFullScreen)
                        })) : createCommentVNode("", !0)
                      ]),
                      _: 3
                    })
                  ]),
                  _: 3
                }, 16, ["style"])
              ], !0)
            ]),
            _: 3
          }, 8, ["justify"])
        ], 512)
      ]),
      _: 3
    }, 8, ["model", "label-width"]), [
      [vShow, l.tableView.filterEnable && o.filterEnable]
    ]),
    renderSlot(r.$slots, "middle", {}, void 0, !0),
    createElementVNode("div", {
      class: normalizeClass({ "i-table-no-border": !l.tableView.borderEnable })
    }, [
      createVNode$1(R, {
        class: "",
        ref: "table",
        size: "small",
        stripe: "",
        "row-key": "id",
        "indent-size": 18,
        "update-show-children": o.treeEnable,
        columns: l.columns,
        data: l.data,
        "max-height": u.maxHeight,
        "load-data": u.onLoadData,
        draggable: o.draggable,
        sticky: !0,
        "span-method": u.handleSpan,
        border: l.tableView.borderEnable,
        "show-summary": l.tableView.showSummary,
        "summary-method": o.summaryMethod,
        "page-size-opts": o.pageSizeOpts,
        "row-class-name": o.rowClassName,
        "highlight-row": o.highlightRow,
        onOnColumnWidthResize: u.columnWidthResize,
        onOnSortChange: u.sortChange,
        onOnSelectionChange: u.onSelectionChange,
        onOnDragDrop: a[4] || (a[4] = (X, W) => this.$emit("on-drag-drop", X, W)),
        onOnCurrentChange: a[5] || (a[5] = (X, W) => r.$emit("on-current-change", X, W))
      }, {
        normal: withCtx(({ row: X, column: W, index: te }) => [
          u.isShow(u.rowData(X, te), W) ? (openBlock(), createElementBlock(Fragment, { key: 0 }, [
            W.controlType === "Custom" ? renderSlot(r.$slots, "column", {
              key: 0,
              row: u.rowData(X, te),
              index: te,
              column: W,
              code: W.code
            }, void 0, !0) : W.controlType === "Label" ? (openBlock(), createElementBlock("div", {
              key: 1,
              title: W.isSingleLine ? r.showData(u.rowData(X, te), W) : null,
              class: normalizeClass({ "single-line": W.isSingleLine }),
              innerHTML: r.showData(u.rowData(X, te), W)
            }, null, 10, _hoisted_3$9)) : W.controlType === "Hyperlink" ? (openBlock(), createElementBlock("a", {
              key: 2,
              href: r.getHyperlink(u.rowData(X, te), W.hyperlink),
              target: W.isNewWindow ? "_blank" : ""
            }, [
              createElementVNode("span", {
                innerHTML: r.showData(u.rowData(X, te), W)
              }, null, 8, _hoisted_5$3)
            ], 8, _hoisted_4$5)) : W.controlType === "TextInput" ? (openBlock(), createBlock(T, {
              key: 3,
              type: "text",
              size: "small",
              "model-value": r.parseData(u.rowData(X, te), W.code),
              "onUpdate:modelValue": (ae) => r.setData(u.rowData(X, te), W.code, ae),
              readonly: u.isReadonly(u.rowData(X, te), W),
              clearable: !0,
              style: normalizeStyle$1({ width: W.controlWidth == null ? null : W.controlWidth - 8 + "px" }),
              maxlength: W.maxLength,
              pattern: W.pattern,
              placeholder: W.description,
              onOnChange: (ae) => u.onDataChange(u.rowData(X, te), W),
              onOnBlur: (ae) => u.onBlur(u.rowData(X, te), W)
            }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "style", "maxlength", "pattern", "placeholder", "onOnChange", "onOnBlur"])) : W.controlType === "TextArea" ? (openBlock(), createBlock(T, {
              key: 4,
              type: "textarea",
              size: "small",
              "model-value": r.parseData(u.rowData(X, te), W.code),
              "onUpdate:modelValue": (ae) => r.setData(u.rowData(X, te), W.code, ae),
              readonly: u.isReadonly(u.rowData(X, te), W),
              style: normalizeStyle$1({ width: W.controlWidth == null ? null : W.controlWidth - 8 + "px" }),
              rows: W.controlHeight / 20,
              maxlength: W.maxLength,
              placeholder: W.description
            }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "style", "rows", "maxlength", "placeholder"])) : W.controlType === "NumberInput" ? (openBlock(), createBlock(T, {
              key: 5,
              type: "number",
              size: "small",
              number: "",
              "model-value": r.parseData(u.rowData(X, te), W.code),
              "onUpdate:modelValue": (ae) => r.setData(u.rowData(X, te), W.code, ae),
              readonly: u.isReadonly(u.rowData(X, te), W),
              clearable: !0,
              style: normalizeStyle$1({ width: W.controlWidth == null ? null : W.controlWidth - 8 + "px" }),
              placeholder: W.description,
              onOnChange: (ae) => u.onDataChange(u.rowData(X, te), W),
              onOnBlur: (ae) => u.onBlur(u.rowData(X, te), W)
            }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "style", "placeholder", "onOnChange", "onOnBlur"])) : W.controlType === "Select" ? (openBlock(), createBlock(x, {
              key: 6,
              size: "small",
              "model-value": r.parseData(u.rowData(X, te), W.code),
              "onUpdate:modelValue": (ae) => r.setData(u.rowData(X, te), W.code, ae),
              disabled: u.isReadonly(u.rowData(X, te), W),
              clearable: !0,
              style: normalizeStyle$1({ width: W.controlWidth == null ? null : W.controlWidth - 8 + "px" }),
              placeholder: W.description,
              transfer: !0,
              onOnChange: (ae) => u.onSelectDataChange(u.rowData(X, te), W, ae)
            }, {
              default: withCtx(() => [
                (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(u.rowData(X, te), W), (ae) => (openBlock(), createBlock(E, {
                  key: ae.id,
                  value: ae.id
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString$2(ae.name), 1)
                  ]),
                  _: 2
                }, 1032, ["value"]))), 128))
              ]),
              _: 2
            }, 1032, ["model-value", "onUpdate:modelValue", "disabled", "style", "placeholder", "onOnChange"])) : W.controlType === "MultiSelect" ? (openBlock(), createBlock(x, {
              key: 7,
              size: "small",
              "model-value": r.parseArrayData(u.rowData(X, te), W.code),
              "onUpdate:modelValue": (ae) => r.setArrayData(u.rowData(X, te), W.code, ae),
              disabled: u.isReadonly(u.rowData(X, te), W),
              multiple: !0,
              clearable: !0,
              style: normalizeStyle$1({ width: W.controlWidth == null ? null : W.controlWidth - 8 + "px" }),
              placeholder: W.description,
              transfer: !0,
              onOnChange: (ae) => u.onSelectDataChange(u.rowData(X, te), W, ae)
            }, {
              default: withCtx(() => [
                (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(u.rowData(X, te), W), (ae) => (openBlock(), createBlock(E, {
                  key: ae.id,
                  value: ae.id
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString$2(ae.name), 1)
                  ]),
                  _: 2
                }, 1032, ["value"]))), 128))
              ]),
              _: 2
            }, 1032, ["model-value", "onUpdate:modelValue", "disabled", "style", "placeholder", "onOnChange"])) : W.controlType === "DialogSelect" ? (openBlock(), createBlock($, {
              key: 8,
              "model-value": r.parseData(u.rowData(X, te), W.code),
              size: "small",
              "onUpdate:modelValue": (ae) => r.setData(u.rowData(X, te), W.code, ae),
              readonly: u.isReadonly(u.rowData(X, te), W),
              source: W.source,
              "source-data-code": W.sourceDataCode,
              "source-display-code": W.sourceDisplayCode,
              param: r.getParam(u.rowData(X, te), W, o.parentData),
              controlWidth: W.controlWidth == null ? null : W.controlWidth - 8,
              onOnChange: (ae) => u.onSelectDataChange(u.rowData(X, te), W, ae)
            }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "source", "source-data-code", "source-display-code", "param", "controlWidth", "onOnChange"])) : W.controlType === "MultiDialogSelect" ? (openBlock(), createBlock($, {
              key: 9,
              "model-value": r.parseData(u.rowData(X, te), W.code),
              size: "small",
              "onUpdate:modelValue": (ae) => r.setData(u.rowData(X, te), W.code, ae),
              multi: !0,
              readonly: u.isReadonly(u.rowData(X, te), W),
              source: W.source,
              "source-data-code": W.sourceDataCode,
              "source-display-code": W.sourceDisplayCode,
              param: r.getParam(u.rowData(X, te), W, o.parentData),
              controlWidth: W.controlWidth == null ? null : W.controlWidth - 8,
              onOnChange: (ae) => u.onSelectDataChange(u.rowData(X, te), W, ae)
            }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "source", "source-data-code", "source-display-code", "param", "controlWidth", "onOnChange"])) : W.controlType === "SelectWithOther" ? (openBlock(), createElementBlock("div", _hoisted_6$2, [
              createVNode$1(x, {
                "model-value": u.parseDataWithOther(u.rowData(X, te), W),
                "onUpdate:modelValue": (ae) => u.setDataWithOther(u.rowData(X, te), W.code, ae),
                size: "small",
                disabled: u.isReadonly(u.rowData(X, te), W),
                clearable: !0,
                style: normalizeStyle$1({
                  width: u.parseDataWithOther(u.rowData(X, te), W) == "__Other" ? W.controlWidth == null ? null : W.controlWidth * 0.4 - 4 + "px" : W.controlWidth == null ? null : W.controlWidth - 8 + "px"
                }),
                placeholder: W.description,
                transfer: !0,
                onOnChange: (ae) => u.onSelectDataChange(u.rowData(X, te), W, ae)
              }, {
                default: withCtx(() => [
                  (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(u.rowData(X, te), W), (ae) => (openBlock(), createBlock(E, {
                    key: ae.id,
                    value: ae.id
                  }, {
                    default: withCtx(() => [
                      createTextVNode(toDisplayString$2(ae.name), 1)
                    ]),
                    _: 2
                  }, 1032, ["value"]))), 128)),
                  createVNode$1(E, {
                    key: "__Other",
                    value: "__Other"
                  }, {
                    default: withCtx(() => [
                      createTextVNode(toDisplayString$2((W.pattern || "").trim() ? W.pattern : r.$t("Front_Label_Others")), 1)
                    ]),
                    _: 2
                  }, 1024)
                ]),
                _: 2
              }, 1032, ["model-value", "onUpdate:modelValue", "disabled", "style", "placeholder", "onOnChange"]),
              withDirectives(createVNode$1(T, {
                type: "text",
                size: "small",
                "model-value": r.parseData(u.rowData(X, te), W.code),
                "onUpdate:modelValue": (ae) => r.setData(u.rowData(X, te), W.code, ae),
                readonly: o.readonly || W.isReadonly,
                style: normalizeStyle$1([{
                  width: W.controlWidth == null ? null : W.controlWidth * 0.6 - 8 + "px"
                }, { "margin-left": "4px" }]),
                maxlength: W.maxLength,
                placeholder: W.description,
                onOnChange: (ae) => u.onDataChange(u.rowData(X, te), W),
                onOnBlur: (ae) => u.onBlur(u.rowData(X, te), W)
              }, null, 8, ["model-value", "onUpdate:modelValue", "readonly", "style", "maxlength", "placeholder", "onOnChange", "onOnBlur"]), [
                [vShow, u.parseDataWithOther(u.rowData(X, te), W) == "__Other"]
              ])
            ])) : W.controlType === "Date" || W.controlType === "DateTime" || W.controlType === "Year" || W.controlType === "Month" ? (openBlock(), createBlock(A, {
              key: 11,
              size: "small",
              type: W.controlType.toLowerCase(),
              "model-value": r.parseDateTimeData(u.rowData(X, te), W.code),
              readonly: u.isReadonly(u.rowData(X, te), W),
              placeholder: W.description,
              style: normalizeStyle$1({ width: W.controlWidth == null ? null : W.controlWidth - 8 + "px" }),
              transfer: !0,
              onOnChange: (ae) => {
                r.setData(u.rowData(X, te), W.code, ae), u.onDataChange(u.rowData(X, te), W);
              }
            }, null, 8, ["type", "model-value", "readonly", "placeholder", "style", "onOnChange"])) : W.controlType === "DateRange" ? (openBlock(), createBlock(A, {
              key: 12,
              size: "small",
              type: W.controlType.toLowerCase(),
              "model-value": r.parseDateRangeData(u.rowData(X, te), W.code),
              "onUpdate:modelValue": (ae) => r.setArrayData(u.rowData(X, te), W.code, ae),
              readonly: u.isReadonly(u.rowData(X, te), W),
              placeholder: W.description,
              style: normalizeStyle$1({ width: W.controlWidth == null ? null : W.controlWidth - 8 + "px" }),
              transfer: !0,
              onOnChange: (ae) => u.onDataChange(u.rowData(X, te), W)
            }, null, 8, ["type", "model-value", "onUpdate:modelValue", "readonly", "placeholder", "style", "onOnChange"])) : W.controlType === "Time" ? (openBlock(), createBlock(N, {
              key: 13,
              size: "small",
              type: "time",
              "model-value": r.parseDateTimeData(u.rowData(X, te), W.code),
              readonly: u.isReadonly(u.rowData(X, te), W),
              placeholder: W.description,
              style: normalizeStyle$1({ width: W.controlWidth == null ? null : W.controlWidth - 8 + "px" }),
              transfer: !0,
              onOnChange: (ae) => {
                r.setData(u.rowData(X, te), W.code, ae), u.onDataChange(u.rowData(X, te), W);
              }
            }, null, 8, ["model-value", "readonly", "placeholder", "style", "onOnChange"])) : W.controlType === "Check" ? (openBlock(), createBlock(P, {
              key: 14,
              "model-value": !!r.parseData(u.rowData(X, te), W.code),
              "onUpdate:modelValue": (ae) => r.setData(u.rowData(X, te), W.code, ae),
              disabled: u.isReadonly(u.rowData(X, te), W),
              onOnChange: (ae) => u.onDataChange(u.rowData(X, te), W)
            }, null, 8, ["model-value", "onUpdate:modelValue", "disabled", "onOnChange"])) : W.controlType === "Switch" ? (openBlock(), createBlock(L, {
              key: 15,
              "model-value": !!r.parseData(u.rowData(X, te), W.code),
              "onUpdate:modelValue": (ae) => r.setData(u.rowData(X, te), W.code, ae),
              disabled: u.isReadonly(u.rowData(X, te), W),
              onOnChange: (ae) => u.onDataChange(u.rowData(X, te), W)
            }, null, 8, ["model-value", "onUpdate:modelValue", "disabled", "onOnChange"])) : W.controlType === "Radio" ? (openBlock(), createBlock(M, {
              key: 16,
              "model-value": r.parseData(u.rowData(X, te), W.code),
              "onUpdate:modelValue": (ae) => r.setData(u.rowData(X, te), W.code, ae),
              onOnChange: (ae) => u.onSelectDataChange(u.rowData(X, te), W, ae)
            }, {
              default: withCtx(() => [
                (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(u.rowData(X, te), W), (ae) => (openBlock(), createBlock(O, {
                  key: ae.id,
                  label: ae.id,
                  disabled: u.isReadonly(u.rowData(X, te), W)
                }, {
                  default: withCtx(() => [
                    createElementVNode("span", null, toDisplayString$2(ae.name), 1)
                  ]),
                  _: 2
                }, 1032, ["label", "disabled"]))), 128))
              ]),
              _: 2
            }, 1032, ["model-value", "onUpdate:modelValue", "onOnChange"])) : W.controlType === "CheckGroup" ? (openBlock(), createBlock(F, {
              key: 17,
              "model-value": r.parseArrayData(u.rowData(X, te), W.code),
              "onUpdate:modelValue": (ae) => r.setArrayData(u.rowData(X, te), W.code, ae),
              onOnChange: (ae) => u.onDataChange(u.rowData(X, te), W)
            }, {
              default: withCtx(() => [
                (openBlock(!0), createElementBlock(Fragment, null, renderList(u.getDataSource(u.rowData(X, te), W), (ae) => (openBlock(), createBlock(P, {
                  key: ae.id,
                  label: ae.id,
                  disabled: u.isReadonly(u.rowData(X, te), W)
                }, {
                  default: withCtx(() => [
                    createElementVNode("span", null, toDisplayString$2(ae.name), 1)
                  ]),
                  _: 2
                }, 1032, ["label", "disabled"]))), 128))
              ]),
              _: 2
            }, 1032, ["model-value", "onUpdate:modelValue", "onOnChange"])) : W.controlType === "Attachment" ? (openBlock(), createElementBlock(Fragment, { key: 18 }, [
              (r.parseData(u.rowData(X, te), W.code) || "").trim() ? (openBlock(!0), createElementBlock(Fragment, { key: 0 }, renderList(JSON.parse(r.parseData(X, W.code)), (ae, Te) => (openBlock(), createElementBlock("a", {
                href: r.getAttachmentUrl(ae.file, ae.name),
                key: Te,
                target: "_blank"
              }, [
                createElementVNode("span", _hoisted_8$1, [
                  createVNode$1(p, { type: "ios-document" }),
                  createTextVNode(" " + toDisplayString$2(ae.name), 1)
                ])
              ], 8, _hoisted_7$1))), 128)) : createCommentVNode("", !0)
            ], 64)) : W.controlType === "Image" ? (openBlock(), createElementBlock(Fragment, { key: 19 }, [
              r.parseData(X, W.code) ? (openBlock(), createElementBlock("div", {
                key: 0,
                class: "image-group",
                style: normalizeStyle$1({ "justify-content": W.align ? W.align.toLowerCase() : "center" })
              }, [
                (openBlock(!0), createElementBlock(Fragment, null, renderList(r.parseData(X, W.code).split(","), (ae, Te) => (openBlock(), createElementBlock("div", {
                  class: "image",
                  key: Te
                }, [
                  ae ? (openBlock(), createElementBlock("img", {
                    key: 0,
                    onClick: ($e) => u.previewImage(ae),
                    src: r.getImgUrl(ae)
                  }, null, 8, _hoisted_9$1)) : createCommentVNode("", !0)
                ]))), 128))
              ], 4)) : createCommentVNode("", !0)
            ], 64)) : W.controlType === "Slider" ? (openBlock(), createElementBlock(Fragment, { key: 20 }, [
              createVNode$1(U, {
                "model-value": r.parseData(u.rowData(X, te), W.code),
                "onUpdate:modelValue": (ae) => r.setData(u.rowData(X, te), W.code, ae),
                "show-input": "",
                style: normalizeStyle$1({ width: W.controlWidth == null ? null : W.controlWidth - 8 + "px" }),
                max: W.MaxValue,
                min: W.MinValue
              }, null, 8, ["model-value", "onUpdate:modelValue", "style", "max", "min"]),
              !o.readonly && !W.isReadonly ? (openBlock(), createBlock(U, {
                key: 0,
                "model-value": r.parseData(u.rowData(X, te), W.code),
                "onUpdate:modelValue": (ae) => r.setData(u.rowData(X, te), W.code, ae),
                "show-input": "",
                style: normalizeStyle$1({ width: W.controlWidth == null ? null : W.controlWidth - 8 + "px" }),
                max: W.maxValue,
                min: W.minValue
              }, null, 8, ["model-value", "onUpdate:modelValue", "style", "max", "min"])) : createCommentVNode("", !0),
              u.isReadonly(u.rowData(X, te), W) ? (openBlock(), createBlock(T, {
                key: 1,
                type: "number",
                number: "",
                readonly: "",
                "model-value": r.parseData(u.rowData(X, te), W.code),
                style: normalizeStyle$1({ width: W.controlWidth == null ? "100px" : W.controlWidth + "px" }),
                placeholder: W.description
              }, null, 8, ["model-value", "style", "placeholder"])) : createCommentVNode("", !0)
            ], 64)) : W.controlType === "Placeholder" ? (openBlock(), createElementBlock(Fragment, { key: 21 }, [], 64)) : (openBlock(), createElementBlock(Fragment, { key: 22 }, [
              createTextVNode(toDisplayString$2(r.$t("Front_Label_Control_Type_Not_Supported")) + " " + toDisplayString$2(W.controlType), 1)
            ], 64))
          ], 64)) : createCommentVNode("", !0)
        ]),
        command: withCtx(({ row: X, index: W }) => [
          createElementVNode("div", null, [
            renderSlot(r.$slots, "commandBefore", {
              row: u.rowData(X, W),
              index: W
            }, void 0, !0),
            u.judge(l.tableView.editEnable, l.tableView.editEnableJson, u.rowData(X, W)) && (typeof o.editEnable == "function" ? o.editEnable(X) : o.editEnable) && !o.readonly ? (openBlock(), createBlock(f, {
              key: 0,
              size: "small",
              title: r.$t("Front_Btn_Edit"),
              type: "primary",
              "custom-icon": "fa fa-edit",
              onClick: (te) => u.edit(u.rowData(X, W), W)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
            u.judge(l.tableView.showEnable, l.tableView.showEnableJson, u.rowData(X, W)) && (typeof o.showEnable == "function" ? o.showEnable(X) : o.showEnable) ? (openBlock(), createBlock(f, {
              key: 1,
              size: "small",
              title: r.$t("Front_Btn_Detail"),
              type: "info",
              "custom-icon": "fa fa-file-alt",
              onClick: (te) => u.show(u.rowData(X, W), W)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
            u.judge(l.tableView.removeEnable, l.tableView.removeEnableJson, u.rowData(X, W)) && (typeof o.removeEnable == "function" ? o.removeEnable(X) : o.removeEnable) && !o.readonly ? (openBlock(), createBlock(f, {
              key: 2,
              size: "small",
              title: r.$t("Front_Btn_Remove"),
              type: "warning",
              "custom-icon": "fa fa-trash-alt",
              onClick: (te) => u.remove(u.rowData(X, W), W)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
            o.static && l.tableView.adjustEnable && !o.readonly ? (openBlock(), createBlock(f, {
              key: 3,
              size: "small",
              title: r.$t("Front_Btn_Up"),
              type: "primary",
              "custom-icon": "fa fa-chevron-up",
              onClick: (te) => u.up(u.rowData(X, W), W)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
            o.static && l.tableView.adjustEnable && !o.readonly ? (openBlock(), createBlock(f, {
              key: 4,
              size: "small",
              title: r.$t("Front_Btn_Down"),
              type: "primary",
              "custom-icon": "fa fa-chevron-down",
              onClick: (te) => u.down(u.rowData(X, W), W)
            }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
            (openBlock(!0), createElementBlock(Fragment, null, renderList(l.commandButtons, (te, ae) => (openBlock(), createBlock(f, {
              key: ae,
              size: "small",
              title: te.title,
              type: "info",
              "custom-icon": te.icon,
              onClick: (Te) => u.clickCommandButton(X, te)
            }, null, 8, ["title", "custom-icon", "onClick"]))), 128)),
            renderSlot(r.$slots, "command", {
              row: u.rowData(X, W),
              index: W
            }, void 0, !0)
          ])
        ]),
        sn: withCtx(({ index: X }) => [
          createElementVNode("div", null, toDisplayString$2(l.size * (l.current - 1) + X + 1), 1)
        ]),
        _: 3
      }, 8, ["update-show-children", "columns", "data", "max-height", "load-data", "draggable", "span-method", "border", "show-summary", "summary-method", "page-size-opts", "row-class-name", "highlight-row", "onOnColumnWidthResize", "onOnSortChange", "onOnSelectionChange"]),
      createElementVNode("div", _hoisted_10$1, [
        o.settingEnable && r.allow("permission/tableView") ? (openBlock(), createBlock(f, {
          key: 0,
          class: "ivu-fr ivu-ml-8",
          type: "error",
          title: r.$t("Front_Btn_Setting"),
          "custom-icon": "fa fa-cog",
          onClick: u.tableSettingOpen
        }, null, 8, ["title", "onClick"])) : createCommentVNode("", !0),
        l.tableView.pageEnable && o.pageEnable ? (openBlock(), createBlock(H, {
          key: 1,
          "show-sizer": "",
          "show-total": "",
          "show-elevator": "",
          modelValue: l.current,
          "onUpdate:modelValue": a[6] || (a[6] = (X) => l.current = X),
          "page-size": l.size,
          "page-size-opts": o.pageSizeOpts == null ? [10, 20, 50, 100] : o.pageSizeOpts,
          total: l.total,
          onOnChange: a[7] || (a[7] = (X) => u.loadData()),
          onOnPageSizeChange: u.pageSizeChange
        }, null, 8, ["modelValue", "page-size", "page-size-opts", "total", "onOnPageSizeChange"])) : createCommentVNode("", !0)
      ]),
      l.dialogActive ? (openBlock(), createBlock(V, {
        key: 0,
        ref: "dialogTable"
      }, {
        command: withCtx(({ row: X }) => [
          createVNode$1(f, {
            size: "small",
            title: r.$t("Front_Btn_Select"),
            type: "primary",
            "custom-icon": "fa fa-check-square-o",
            onClick: (W) => r.dialogCheck(X)
          }, null, 8, ["title", "onClick"])
        ]),
        _: 1
      }, 512)) : createCommentVNode("", !0),
      l.tableSettingActive ? (openBlock(), createBlock(Y, {
        key: 1,
        ref: "tableSetting",
        "is-setting": !0,
        onOnChange: a[8] || (a[8] = (X) => u.init(X))
      }, null, 512)) : createCommentVNode("", !0),
      l.filterSettingActive ? (openBlock(), createBlock(G, {
        key: 2,
        ref: "filterSetting",
        onOnChange: a[9] || (a[9] = (X) => u.init(X))
      }, null, 512)) : createCommentVNode("", !0),
      l.itemSelectActive ? (openBlock(), createBlock(Z, {
        key: 3,
        ref: "itemSelect",
        onSave: u.saveItemSelect
      }, null, 8, ["onSave"])) : createCommentVNode("", !0),
      l.inited ? (openBlock(), createBlock(V, {
        key: 4,
        ref: "modalTable",
        onCreate: a[10] || (a[10] = (X) => r.$refs.modalForm.openDefault(l.commandButtonParams)),
        onEdit: a[11] || (a[11] = ({ row: X, index: W }) => r.$refs.modalForm.open(X))
      }, null, 512)) : createCommentVNode("", !0),
      l.inited ? (openBlock(), createBlock(re, {
        key: 5,
        ref: "modalForm",
        onOnAfterSave: a[12] || (a[12] = (X) => r.$refs.modalTable.loadData())
      }, null, 512)) : createCommentVNode("", !0),
      l.inited ? (openBlock(), createBlock(V, {
        key: 6,
        ref: "batchEditTable",
        embedded: !0,
        static: !0,
        footerEnable: !0
      }, {
        footer: withCtx(() => [
          createVNode$1(f, {
            type: "primary",
            "custom-icon": "fa fa-save",
            onClick: a[13] || (a[13] = (X) => u.batchSave())
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
            ]),
            _: 1
          }),
          createVNode$1(f, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: a[14] || (a[14] = (X) => r.$refs.batchEditTable.close())
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          })
        ]),
        _: 1
      }, 512)) : createCommentVNode("", !0),
      createVNode$1(de, {
        title: r.$t("Front_Label_Preview"),
        modelValue: l.preview,
        "onUpdate:modelValue": a[16] || (a[16] = (X) => l.preview = X),
        scrollable: "",
        "mask-closable": r.layout.maskClosable,
        draggable: r.layout.draggable,
        sticky: !0,
        "reset-drag-position": !0,
        width: "70%"
      }, {
        footer: withCtx(() => [
          createVNode$1(f, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: a[15] || (a[15] = (X) => l.preview = !1)
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          })
        ]),
        default: withCtx(() => [
          createElementVNode("div", _hoisted_11$1, [
            createElementVNode("a", {
              href: "#",
              download: l.imageUrl,
              onClick: "return false;"
            }, [
              l.preview ? (openBlock(), createElementBlock("img", {
                key: 0,
                src: r.getImgUrl(l.imageUrl),
                style: { "max-width": "100%" }
              }, null, 8, _hoisted_13$1)) : createCommentVNode("", !0)
            ], 8, _hoisted_12$1)
          ])
        ]),
        _: 1
      }, 8, ["title", "modelValue", "mask-closable", "draggable"])
    ], 2)
  ], 2);
}
const viewTable = /* @__PURE__ */ _export_sfc(_sfc_main$n, [["render", _sfc_render$n], ["__scopeId", "data-v-6fc88d75"]]), __vite_glob_1_32 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: viewTable
}, Symbol.toStringTag, { value: "Module" })), res$1 = "Task", taskApi = {
  do(r, a, o, s) {
    return service({
      url: `api/${res$1}/do`,
      method: "post",
      data: {
        id: r,
        outcomeID: a,
        data: o,
        comment: s
      }
    });
  },
  reject(r, a) {
    return service({
      url: `api/${res$1}/reject`,
      method: "post",
      data: {
        id: r,
        comment: a
      }
    });
  },
  back(r, a) {
    return service({
      url: `api/${res$1}/back`,
      method: "post",
      data: {
        id: r,
        comment: a
      }
    });
  },
  redirect(r, a, o) {
    return service({
      url: `api/${res$1}/redirect`,
      method: "post",
      data: {
        id: r,
        targetID: a,
        comment: o
      }
    });
  },
  queryMy(r) {
    return service({
      url: `api/${res$1}/queryMy`,
      method: "post",
      data: r
    });
  }
}, _sfc_main$m = {
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      task: null,
      model: null,
      comment: null,
      outcomes: [],
      readonly: !0,
      isRejectable: !1,
      isBackable: !1,
      isRedirectable: !1,
      isMessageEnable: !1,
      messageData: {
        message: null
      },
      messageOpened: !1,
      opened: !1,
      isCustom: !1,
      width: 800,
      name: null,
      description: null,
      customComponent: null,
      form: null
    };
  },
  async created() {
  },
  computed: {},
  methods: {
    // 打开
    async open(r) {
      let a = r.processInst.applicationType;
      this.outcomes = [], this.task = r, this.isRejectable = this.task.activityInst.activity.isRejectable, this.isBackable = this.task.activityInst.activity.isBackable, this.isRedirectable = this.task.activityInst.activity.isRedirectable, this.isMessageEnable = this.task.processInst.isMessageEnable, this.isCustom = !1, setTimeout(async () => {
        if (this.task.activityInst.activity.pageMode == "Page") {
          this.$router.push({ path: this.task.activityInst.activity.routerPath, query: { taskID: r.id } });
          return;
        } else if (this.task.activityInst.activity.pageMode == "Component")
          this.readonly = !this.task.activityInst.activity.isEditable, this.customComponent = markRaw(this.$pages[this.task.activityInst.activity.templateUrl]), this.isCustom = !0, setTimeout(async () => {
            a.isCustom ? this.model = await customModelApi.get(a.model, r.processInst.modelID) : this.model = await modelApi.get(a.model, r.processInst.modelID), this.customComponentReady(), this.opened = !0;
          });
        else if (this.task.activityInst.activity.pageMode == "Form")
          this.form = this.$refs.form, this.readonly = !this.task.activityInst.activity.isEditable, this.form.init(this.task.activityInst.activity.formViewCode, async (s) => {
            s.dataView.isCustom ? this.model = await customModelApi.get(a.model, r.processInst.modelID) : this.model = await modelApi.get(a.model, r.processInst.modelID), this.width = this.form.formView.width || "800", this.name = this.form.formView.name, this.description = this.form.formView.description, this.form.data = this.model, setTimeout(async () => {
              this.form.onDataChange(), this.form.clearValidate(), this.opened = !0;
            });
          });
        else if (a.pageMode == "Page") {
          this.$router.push({ path: a.routerPath, query: { taskID: r.id } });
          return;
        } else if (a.pageMode == "Component")
          this.readonly = !this.task.activityInst.activity.isEditable, this.customComponent = markRaw(this.$pages[a.templateUrl]), this.isCustom = !0, setTimeout(async () => {
            a.isCustom ? this.model = await customModelApi.get(a.model, r.processInst.modelID) : this.model = await modelApi.get(a.model, r.processInst.modelID), this.customComponentReady(), this.opened = !0;
          });
        else if (a.pageMode == "Form")
          this.form = this.$refs.form, this.readonly = !this.task.activityInst.activity.isEditable, this.form.init(a.formViewCode, async (s) => {
            s.dataView.isCustom ? this.model = await customModelApi.get(a.model, r.processInst.modelID) : this.model = await modelApi.get(a.model, r.processInst.modelID), this.width = this.form.formView.width || "800", this.name = this.form.formView.name, this.description = this.form.formView.description, this.form.data = this.model, setTimeout(() => {
              this.form.onDataChange(), this.form.clearValidate(), this.opened = !0;
            });
          });
        else {
          this.error("Front_Msg_Setting_Error");
          return;
        }
        let o = await modelApi.query("Outcome", { activityFromID: r.activityInst.activityID });
        this.outcomes = o.data;
      });
    },
    // 自定义组件就绪
    customComponentReady() {
      this.$refs.customComponent.form && (this.form = this.$refs.customComponent.form, this.form.data = this.model, this.form.onDataChange(), this.form.clearValidate(), this.width = this.form.formView.width || "800", this.name = this.form.formView.name, this.description = this.form.formView.description);
    },
    // 执行结果
    async action(r) {
      await this.form.validate() ? this.confirmInput(
        "Front_Msg_Sure_To_Application|" + (r.name == null ? this.$t("Front_Label_Agree") : r.name),
        this.$t("Front_Label_Comment"),
        async () => {
          let o = null;
          !this.readonly && (o = this.form.getFullData(), !o) || (this.isCustom && typeof this.$refs.customComponent.beforeAction == "function" && await this.$refs.customComponent.beforeAction(r), await taskApi.do(this.task.id, r.id, o, this.comment), this.success("Front_Msg_Success"), this.resetNotice(), this.$emit("on-after-action"), this.opened = !1);
        },
        (o) => (this.comment = o, !0)
      ) : this.error("Front_Msg_Form_Validate_Fail");
    },
    // 拒绝
    async reject() {
      this.confirmInput(
        "Front_Msg_Sure_To_Reject_Application",
        this.$t("Front_Label_Comment"),
        async () => {
          this.isCustom && typeof this.$refs.customComponent.beforeReject == "function" && await this.$refs.customComponent.beforeReject(this.comment), await taskApi.reject(this.task.id, this.comment), this.success("Front_Msg_Success"), this.resetNotice(), this.$emit("on-after-action"), this.opened = !1;
        },
        (r) => (r || "").trim() ? (this.comment = r, !0) : (this.warning("Front_Msg_Please_Input_Reject_Reason"), !1)
      );
    },
    // 退回上一步
    async back() {
      this.confirmInput(
        "Front_Msg_Sure_To_Back_Application",
        this.$t("Front_Label_Comment"),
        async () => {
          this.isCustom && typeof this.$refs.customComponent.beforeBack == "function" && await this.$refs.customComponent.beforeBack(this.comment), await taskApi.back(this.task.id, this.comment), this.success("Front_Msg_Success"), this.resetNotice(), this.$emit("on-after-action"), this.opened = !1;
        },
        (r) => (r || "").trim() ? (this.comment = r, !0) : (this.warning("Front_Msg_Please_Input_Back_Reason"), !1)
      );
    },
    // 转办
    async redirect() {
      if (!await this.$refs.redirectTaskForm.validate())
        this.error("Front_Msg_Form_Validate_Fail");
      else {
        let a = this.$refs.redirectTaskForm.data;
        this.confirm("Front_Msg_Sure_To_Redirect_Application|" + a.target.name, async () => {
          await taskApi.redirect(this.task.id, a.targetID, a.comment), this.success("Front_Msg_Success"), this.resetNotice(), this.$emit("on-after-action"), this.$refs.redirectTaskForm.close(), this.opened = !1;
        });
      }
    },
    // 打开意见输入
    openMessage() {
      this.messageData.message = null, this.messageOpened = !0;
    },
    // 提交意见
    async submitMessage() {
      await this.$refs.messageForm.validate() ? this.confirm("Front_Msg_Sure_To_Message_Application", async () => {
        await processInstApi.addMessage(this.task.processInstID, this.messageData.message), this.success("Front_Msg_Success", () => {
          this.messageData.message = null, this.messageOpened = !1;
        });
      }) : this.error("Front_Msg_Form_Validate_Fail");
    }
  }
}, _hoisted_1$d = { class: "title" }, _hoisted_2$a = { class: "description" }, _hoisted_3$8 = { class: "ivu-ml-8 ivu-mr-8" }, _hoisted_4$4 = { class: "title" }, _hoisted_5$2 = { class: "description" }, _hoisted_6$1 = { class: "ivu-ml-8 ivu-mr-8" };
function _sfc_render$m(r, a, o, s, l, u) {
  const c = resolveComponent("view-form"), d = resolveComponent("Button"), f = resolveComponent("Modal"), p = resolveComponent("modal-table"), v = resolveComponent("modal-form"), g = resolveComponent("Input"), y = resolveComponent("FormItem"), _ = resolveComponent("Col"), S = resolveComponent("Row"), C = resolveComponent("Form");
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(f, {
      modelValue: l.opened,
      "onUpdate:modelValue": a[6] || (a[6] = (b) => l.opened = b),
      scrollable: "",
      "mask-closable": r.layout.maskClosable,
      draggable: r.layout.draggable,
      sticky: !0,
      "reset-drag-position": !0,
      width: l.width
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          renderSlot(r.$slots, "header", {}, () => [
            createElementVNode("span", _hoisted_1$d, toDisplayString$2(l.name), 1),
            createElementVNode("span", _hoisted_2$a, toDisplayString$2(l.description), 1)
          ])
        ])
      ]),
      footer: withCtx(() => [
        createElementVNode("div", null, [
          (openBlock(!0), createElementBlock(Fragment, null, renderList(l.outcomes, (b, T) => (openBlock(), createBlock(d, {
            key: T,
            type: "primary",
            "custom-icon": "fa fa-check-circle",
            onClick: (E) => u.action(b)
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(b.name == null ? r.$t("Front_Btn_Agree") : b.name), 1)
            ]),
            _: 2
          }, 1032, ["onClick"]))), 128)),
          l.isRejectable ? (openBlock(), createBlock(d, {
            key: 0,
            type: "warning",
            "custom-icon": "fa fa-reply",
            onClick: a[0] || (a[0] = (b) => u.reject())
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Reject")), 1)
            ]),
            _: 1
          })) : createCommentVNode("", !0),
          l.isBackable ? (openBlock(), createBlock(d, {
            key: 1,
            type: "primary",
            "custom-icon": "fa fa-share",
            onClick: a[1] || (a[1] = (b) => u.back())
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Back_Previous")), 1)
            ]),
            _: 1
          })) : createCommentVNode("", !0),
          l.isRedirectable ? (openBlock(), createBlock(d, {
            key: 2,
            type: "primary",
            "custom-icon": "fa fa-share",
            onClick: a[2] || (a[2] = (b) => r.$refs.redirectTaskForm.open())
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Redirect")), 1)
            ]),
            _: 1
          })) : createCommentVNode("", !0),
          l.isMessageEnable ? (openBlock(), createBlock(d, {
            key: 3,
            type: "primary",
            "custom-icon": "fa fa-comment-dots",
            onClick: a[3] || (a[3] = (b) => u.openMessage())
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Leave_Message")), 1)
            ]),
            _: 1
          })) : createCommentVNode("", !0),
          createVNode$1(d, {
            type: "info",
            "custom-icon": "fa fa-history",
            onClick: a[4] || (a[4] = (b) => r.$refs.approvalHistoryTable.open({ processInstID: l.task.processInstID }))
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_History")), 1)
            ]),
            _: 1
          }),
          createVNode$1(d, {
            type: "default",
            "custom-icon": "fa fa-times",
            onClick: a[5] || (a[5] = (b) => l.opened = !1)
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
            ]),
            _: 1
          })
        ])
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_3$8, [
          l.isCustom ? createCommentVNode("", !0) : (openBlock(), createBlock(c, {
            key: 0,
            ref: "form",
            readonly: l.readonly
          }, null, 8, ["readonly"])),
          l.isCustom ? (openBlock(), createBlock(resolveDynamicComponent(l.customComponent), {
            key: 1,
            ref: "customComponent",
            readonly: l.readonly,
            onOnReady: u.customComponentReady
          }, null, 40, ["readonly", "onOnReady"])) : createCommentVNode("", !0)
        ])
      ]),
      _: 3
    }, 8, ["modelValue", "mask-closable", "draggable", "width"]),
    createVNode$1(p, {
      ref: "approvalHistoryTable",
      "view-code": "ApprovalHistoryModal"
    }, null, 512),
    createVNode$1(v, {
      ref: "redirectTaskForm",
      "view-code": "RedirectTask"
    }, {
      footer: withCtx(() => [
        createVNode$1(d, {
          type: "primary",
          "custom-icon": "fa fa-check",
          onClick: a[7] || (a[7] = (b) => u.redirect())
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_OK")), 1)
          ]),
          _: 1
        })
      ]),
      _: 1
    }, 512),
    createVNode$1(f, {
      modelValue: l.messageOpened,
      "onUpdate:modelValue": a[11] || (a[11] = (b) => l.messageOpened = b),
      scrollable: ""
    }, {
      header: withCtx(() => [
        createElementVNode("div", null, [
          createElementVNode("span", _hoisted_4$4, toDisplayString$2(r.$t("Front_Label_Leave_Message")), 1),
          createElementVNode("span", _hoisted_5$2, toDisplayString$2(r.$t("Front_Label_Leave_Message_Desc")), 1)
        ])
      ]),
      footer: withCtx(() => [
        createVNode$1(d, {
          type: "primary",
          "custom-icon": "fa fa-check",
          onClick: u.submitMessage
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Submit")), 1)
          ]),
          _: 1
        }, 8, ["onClick"]),
        createVNode$1(d, {
          type: "default",
          "custom-icon": "fa fa-times",
          onClick: a[10] || (a[10] = (b) => l.messageOpened = !1)
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Close")), 1)
          ]),
          _: 1
        })
      ]),
      default: withCtx(() => [
        createElementVNode("div", _hoisted_6$1, [
          createVNode$1(C, {
            ref: "messageForm",
            model: l.messageData,
            "label-position": "top",
            "label-colon": "：",
            class: "ivu-mt",
            onSubmit: a[9] || (a[9] = withModifiers(() => {
            }, ["prevent"]))
          }, {
            default: withCtx(() => [
              createVNode$1(S, {
                gutter: 24,
                type: "flex"
              }, {
                default: withCtx(() => [
                  createVNode$1(_, normalizeProps(guardReactiveProps(r.grid24)), {
                    default: withCtx(() => [
                      createVNode$1(y, {
                        label: r.$t("Front_Label_Message_Content"),
                        key: "message",
                        prop: "message",
                        rules: {
                          required: !0,
                          message: this.$t("Front_Msg_Please_Input"),
                          trigger: "blur,change"
                        }
                      }, {
                        default: withCtx(() => [
                          createVNode$1(g, {
                            type: "textarea",
                            rows: 6,
                            modelValue: l.messageData.message,
                            "onUpdate:modelValue": a[8] || (a[8] = (b) => l.messageData.message = b)
                          }, null, 8, ["modelValue"])
                        ]),
                        _: 1
                      }, 8, ["label", "rules"])
                    ]),
                    _: 1
                  }, 16)
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model"])
        ])
      ]),
      _: 1
    }, 8, ["modelValue"])
  ]);
}
const taskForm = /* @__PURE__ */ _export_sfc(_sfc_main$m, [["render", _sfc_render$m]]), __vite_glob_1_34 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: taskForm
}, Symbol.toStringTag, { value: "Module" })), on = function() {
  return isClient && document.addEventListener ? function(r, a, o, s = !1) {
    r && a && o && r.addEventListener(a, o, s);
  } : function(r, a, o) {
    r && a && o && r.attachEvent("on" + a, o);
  };
}(), off = function() {
  return isClient && document.removeEventListener ? function(r, a, o, s = !1) {
    r && a && r.removeEventListener(a, o, s);
  } : function(r, a, o) {
    r && a && r.detachEvent("on" + a, o);
  };
}();
setMatchMedia();
const _sfc_main$l = {
  name: "app",
  components: { loader },
  computed: {},
  methods: {
    ...mapMutations("admin/layout", ["setDevice", "setBodyHeight"]),
    handleWindowResize() {
      this.handleMatchMedia(), this.handleSetBodyHeight();
    },
    handleMatchMedia() {
      const r = window.matchMedia;
      r("(max-width: 600px)").matches ? this.setDevice("Mobile") : r("(max-width: 992px)").matches ? this.setDevice("Tablet") : this.setDevice("Desktop");
    },
    handleSetBodyHeight() {
      this.setBodyHeight(document.body.offsetHeight);
    }
  },
  mounted() {
    on(window, "resize", this.handleWindowResize), this.handleMatchMedia(), this.handleSetBodyHeight();
  },
  beforeUnmount() {
    off(window, "resize", this.handleWindowResize);
  }
}, _hoisted_1$c = { id: "app" };
function _sfc_render$l(r, a, o, s, l, u) {
  const c = resolveComponent("router-view"), d = resolveComponent("loader");
  return openBlock(), createElementBlock("div", _hoisted_1$c, [
    createVNode$1(c),
    createVNode$1(d)
  ]);
}
const App = /* @__PURE__ */ _export_sfc(_sfc_main$l, [["render", _sfc_render$l]]), mixinApp = {
  methods: {
    // 当 $route 更新时触发
    appRouteChange() {
    }
  }
}, menuHeader = [
  {
    path: "/",
    title: "首页",
    icon: "md-home",
    hideSider: !1,
    // 是否隐藏侧边栏
    name: "home",
    // 用 name 区分哪些二级菜单显示
    auth: ["op", "admin"]
    // 权限
  },
  {
    path: "/log",
    title: "日志",
    icon: "md-locate",
    hideSider: !0,
    name: "system",
    auth: ["op", "admin"]
  }
], focus = {
  update() {
    setTimeout(() => {
    });
  }
}, tabHide = {
  update(r, a) {
    setTimeout(() => {
      a.value === !0 && (r.getElementsByTagName("div")[0].style.display = "none");
    });
  }
}, _sfc_main$k = {
  name: "iMenuHeadTitle",
  mixins: [],
  props: {
    item: {
      type: Object,
      default() {
        return {};
      }
    },
    hideIcon: {
      type: Boolean,
      default: !1
    },
    badge: {
      type: Boolean,
      default: !1
    }
  },
  computed: {
    ...mapState("admin/menu", ["headerMenuBadge"]),
    badgeData() {
      let r = null;
      const a = this.headerMenuBadge.find((o) => o.path === this.item.path);
      return a && (r = a), r;
    }
  }
}, _hoisted_1$b = { class: "i-layout-menu-head-title" }, _hoisted_2$9 = {
  key: 0,
  class: "i-layout-menu-head-title-icon"
}, _hoisted_3$7 = ["src"], _hoisted_4$3 = { class: "i-layout-menu-head-title-text" };
function _sfc_render$k(r, a, o, s, l, u) {
  const c = resolveComponent("Icon"), d = resolveComponent("Badge");
  return openBlock(), createElementBlock("div", _hoisted_1$b, [
    (o.item.icon || o.item.custom || o.item.img) && !o.hideIcon ? (openBlock(), createElementBlock("span", _hoisted_2$9, [
      o.item.icon ? (openBlock(), createBlock(c, {
        key: 0,
        type: o.item.icon
      }, null, 8, ["type"])) : o.item.custom ? (openBlock(), createBlock(c, {
        key: 1,
        custom: o.item.custom
      }, null, 8, ["custom"])) : o.item.img ? (openBlock(), createElementBlock("img", {
        key: 2,
        src: o.item.img
      }, null, 8, _hoisted_3$7)) : createCommentVNode("", !0)
    ])) : createCommentVNode("", !0),
    createElementVNode("span", _hoisted_4$3, toDisplayString$2(o.item.title), 1),
    o.badge && u.badgeData ? (openBlock(), createBlock(d, mergeProps({
      key: 1,
      class: "i-layout-menu-head-badge"
    }, u.badgeData), null, 16)) : createCommentVNode("", !0)
  ]);
}
const iMenuHeadTitle = /* @__PURE__ */ _export_sfc(_sfc_main$k, [["render", _sfc_render$k]]), clickItem = {
  computed: {
    ...mapState("admin/layout", ["menuSiderReload", "menuHeaderReload"])
  },
  methods: {
    handleClick(r, a = "sider") {
      this.$route.path === r && (a === "sider" && this.menuSiderReload ? this.handleReload() : a === "header" && this.menuHeaderReload && this.handleReload());
    },
    handleReload() {
      const r = findComponentUpward(this, "BasicLayout");
      r && r.handleReload();
    }
  }
}, _sfc_main$j = {
  name: "iMenuHead",
  components: { iMenuHeadTitle },
  mixins: [clickItem],
  computed: {
    ...mapState("admin/layout", ["isMobile"]),
    ...mapState("admin/menu", ["headerName"]),
    ...mapGetters("admin/menu", ["filterHeader"])
  },
  data() {
    return {
      handleResize: () => {
      },
      isMenuLimit: !1,
      menuMaxWidth: 0
      // 达到这个值后，menu 就显示不下了
    };
  },
  methods: {
    handleGetMenuHeight() {
      const r = parseInt(getStyle$1(this.$el, "width"));
      this.$refs.menu ? parseInt(getStyle$1(this.$refs.menu.$el, "height")) > Setting.headerHeight && (this.isMenuLimit || (this.menuMaxWidth = r), this.isMenuLimit = !0) : r >= this.menuMaxWidth && (this.isMenuLimit = !1);
    }
  },
  watch: {
    filterHeader() {
      this.handleGetMenuHeight();
    },
    isMobile() {
      this.handleGetMenuHeight();
    }
  },
  mounted() {
    this.handleGetMenuHeight();
  },
  beforeUnmount() {
  }
}, _hoisted_1$a = {
  key: 1,
  class: "i-layout-header-trigger i-layout-header-trigger-min i-layout-header-trigger-in i-layout-header-trigger-no-height"
};
function _sfc_render$j(r, a, o, s, l, u) {
  const c = resolveComponent("i-menu-head-title"), d = resolveComponent("MenuItem"), f = resolveComponent("Submenu"), p = resolveComponent("Menu"), v = resolveComponent("Icon"), g = resolveComponent("DropdownItem"), y = resolveComponent("i-link"), _ = resolveComponent("DropdownMenu"), S = resolveComponent("Dropdown");
  return openBlock(), createElementBlock("div", {
    class: normalizeClass(["i-layout-menu-head", { "i-layout-menu-head-mobile": r.isMobile }])
  }, [
    !r.isMobile && !l.isMenuLimit ? (openBlock(), createBlock(p, {
      key: 0,
      mode: "horizontal",
      "active-name": r.headerName,
      ref: "menu"
    }, {
      default: withCtx(() => [
        (openBlock(!0), createElementBlock(Fragment, null, renderList(r.filterHeader, (C, b) => (openBlock(), createElementBlock(Fragment, {
          key: C.path
        }, [
          C.children && C.children.length ? (openBlock(), createBlock(f, {
            name: C.name,
            key: b
          }, {
            title: withCtx(() => [
              createVNode$1(c, {
                item: C,
                badge: ""
              }, null, 8, ["item"])
            ]),
            default: withCtx(() => [
              (openBlock(!0), createElementBlock(Fragment, null, renderList(C.children, (T) => (openBlock(), createBlock(d, {
                to: T.path,
                replace: T.replace,
                target: T.target,
                name: C.name,
                key: T.path,
                onClick: (E) => r.handleClick(T.path, "header")
              }, {
                default: withCtx(() => [
                  createVNode$1(c, {
                    item: T,
                    badge: ""
                  }, null, 8, ["item"])
                ]),
                _: 2
              }, 1032, ["to", "replace", "target", "name", "onClick"]))), 128))
            ]),
            _: 2
          }, 1032, ["name"])) : (openBlock(), createBlock(d, {
            to: C.path,
            replace: C.replace,
            target: C.target,
            name: C.name,
            key: C.path,
            onClick: (T) => r.handleClick(C.path, "header")
          }, {
            default: withCtx(() => [
              createVNode$1(c, {
                item: C,
                badge: ""
              }, null, 8, ["item"])
            ]),
            _: 2
          }, 1032, ["to", "replace", "target", "name", "onClick"]))
        ], 64))), 128))
      ]),
      _: 1
    }, 8, ["active-name"])) : (openBlock(), createElementBlock("div", _hoisted_1$a, [
      createVNode$1(S, {
        trigger: "click",
        class: normalizeClass({ "i-layout-menu-head-mobile-drop": r.isMobile })
      }, {
        list: withCtx(() => [
          createVNode$1(_, null, {
            default: withCtx(() => [
              (openBlock(!0), createElementBlock(Fragment, null, renderList(r.filterHeader, (C, b) => (openBlock(), createElementBlock(Fragment, null, [
                C.children && C.children.length ? (openBlock(), createElementBlock(Fragment, { key: 0 }, [
                  (openBlock(), createBlock(g, {
                    class: "i-layout-menu-head-mobile-subtitle",
                    disabled: "",
                    key: b
                  }, {
                    default: withCtx(() => [
                      createVNode$1(c, {
                        item: C,
                        badge: ""
                      }, null, 8, ["item"])
                    ]),
                    _: 2
                  }, 1024)),
                  (openBlock(!0), createElementBlock(Fragment, null, renderList(C.children, (T) => (openBlock(), createBlock(y, {
                    to: T.path,
                    replace: T.replace,
                    target: T.target,
                    key: T.path,
                    onClick: (E) => r.handleClick(T.path, "header")
                  }, {
                    default: withCtx(() => [
                      createVNode$1(g, null, {
                        default: withCtx(() => [
                          createVNode$1(c, {
                            item: T,
                            badge: ""
                          }, null, 8, ["item"])
                        ]),
                        _: 2
                      }, 1024)
                    ]),
                    _: 2
                  }, 1032, ["to", "replace", "target", "onClick"]))), 128))
                ], 64)) : (openBlock(), createBlock(y, {
                  to: C.path,
                  replace: C.replace,
                  target: C.target,
                  key: C.path,
                  onClick: (T) => r.handleClick(C.path, "header")
                }, {
                  default: withCtx(() => [
                    createVNode$1(g, null, {
                      default: withCtx(() => [
                        createVNode$1(c, {
                          item: C,
                          badge: ""
                        }, null, 8, ["item"])
                      ]),
                      _: 2
                    }, 1024)
                  ]),
                  _: 2
                }, 1032, ["to", "replace", "target", "onClick"]))
              ], 64))), 256))
            ]),
            _: 1
          })
        ]),
        default: withCtx(() => [
          createVNode$1(v, { type: "ios-apps" })
        ]),
        _: 1
      }, 8, ["class"])
    ]))
  ], 2);
}
const iMenuHead = /* @__PURE__ */ _export_sfc(_sfc_main$j, [["render", _sfc_render$j]]), _sfc_main$i = {
  name: "iMenuSideTitle",
  mixins: [mixinPage],
  props: {
    menu: {
      type: Object,
      default() {
        return {};
      }
    },
    hideTitle: {
      type: Boolean,
      default: !1
    },
    // 用于侧边栏收起 Dropdown 当前高亮
    selected: {
      type: Boolean,
      default: !1
    },
    // 侧边栏折叠状态
    collapse: {
      type: Boolean,
      default: !1
    }
  },
  computed: {
    withIcon() {
      return this.menu.icon || this.menu.custom || this.menu.img;
    }
  }
}, _hoisted_1$9 = ["src"], _hoisted_2$8 = { key: 0 }, _hoisted_3$6 = { key: 1 };
function _sfc_render$i(r, a, o, s, l, u) {
  const c = resolveComponent("Icon");
  return openBlock(), createElementBlock("span", {
    class: normalizeClass(["i-layout-menu-side-title", { "i-layout-menu-side-title-with-collapse": o.collapse }])
  }, [
    u.withIcon ? (openBlock(), createElementBlock("span", {
      key: 0,
      class: normalizeClass(["i-layout-menu-side-title-icon", { "i-layout-menu-side-title-icon-single": o.hideTitle }])
    }, [
      o.menu.icon ? (openBlock(), createBlock(c, {
        key: 0,
        type: o.menu.icon
      }, null, 8, ["type"])) : o.menu.custom ? (openBlock(), createBlock(c, {
        key: 1,
        custom: o.menu.custom
      }, null, 8, ["custom"])) : o.menu.img ? (openBlock(), createElementBlock("img", {
        key: 2,
        src: o.menu.img
      }, null, 8, _hoisted_1$9)) : createCommentVNode("", !0)
    ], 2)) : createCommentVNode("", !0),
    o.hideTitle ? createCommentVNode("", !0) : (openBlock(), createElementBlock("span", {
      key: 1,
      class: normalizeClass(["i-layout-menu-side-title-text", {
        "i-layout-menu-side-title-text-selected": o.selected,
        "i-layout-menu-side-title-text-with-subtitle": r.layout.showI18n && !!(r.$t("Permission_" + o.menu.code + "_SubName") || "").trim() || !r.layout.showI18n && !!(o.menu.subTitle || "").trim(),
        "i-layout-menu-side-title-text-with-icon": u.withIcon
      }])
    }, [
      createTextVNode(toDisplayString$2(r.layout.showI18n ? r.$t("Permission_" + o.menu.code) : o.menu.title) + " ", 1),
      r.layout.showI18n && (r.$t("Permission_" + o.menu.code + "_SubName") || "").trim() ? (openBlock(), createElementBlock("em", _hoisted_2$8, toDisplayString$2(r.$t("Permission_" + o.menu.code + "_SubName")), 1)) : createCommentVNode("", !0),
      !r.layout.showI18n && (o.menu.subTitle || "").trim() ? (openBlock(), createElementBlock("em", _hoisted_3$6, toDisplayString$2(o.menu.subTitle), 1)) : createCommentVNode("", !0)
    ], 2))
  ], 2);
}
const iMenuSideTitle = /* @__PURE__ */ _export_sfc(_sfc_main$i, [["render", _sfc_render$i]]), siderMenuBadge = {
  computed: {
    ...mapState("admin/menu", ["siderMenuBadge"]),
    badgeData() {
      let r = null;
      const a = this.siderMenuBadge.find((o) => o.path === this.menu.path);
      return a && (r = a), r;
    }
  }
}, _sfc_main$h = {
  name: "iMenuSideItem",
  components: { iMenuSideTitle },
  mixins: [clickItem, siderMenuBadge],
  props: {
    menu: {
      type: Object,
      default() {
        return {};
      }
    },
    hideTitle: {
      type: Boolean,
      default: !1
    }
  }
};
function _sfc_render$h(r, a, o, s, l, u) {
  const c = resolveComponent("i-menu-side-title"), d = resolveComponent("Badge"), f = resolveComponent("MenuItem", !0);
  return openBlock(), createElementBlock("div", null, [
    createVNode$1(f, mergeProps(r.$attrs, {
      to: o.menu.path,
      replace: o.menu.replace,
      target: o.menu.target,
      name: o.menu.path,
      onClick: a[0] || (a[0] = (p) => r.handleClick(o.menu.path))
    }), {
      default: withCtx(() => [
        createVNode$1(c, {
          menu: o.menu,
          "hide-title": o.hideTitle
        }, null, 8, ["menu", "hide-title"]),
        r.badgeData ? (openBlock(), createBlock(d, mergeProps({
          key: 0,
          class: "i-layout-menu-side-badge"
        }, r.badgeData), null, 16)) : createCommentVNode("", !0)
      ]),
      _: 1
    }, 16, ["to", "replace", "target", "name"])
  ]);
}
const iMenuSideItem = /* @__PURE__ */ _export_sfc(_sfc_main$h, [["render", _sfc_render$h]]), _sfc_main$g = {
  name: "iMenuSideSubmenu",
  components: { iMenuSideItem, iMenuSideTitle },
  mixins: [siderMenuBadge],
  props: {
    menu: {
      type: Object,
      default() {
        return {};
      }
    }
  }
};
function _sfc_render$g(r, a, o, s, l, u) {
  const c = resolveComponent("i-menu-side-title"), d = resolveComponent("Badge"), f = resolveComponent("i-menu-side-item"), p = resolveComponent("i-menu-side-submenu"), v = resolveComponent("Submenu", !0);
  return openBlock(), createBlock(v, {
    name: o.menu.path
  }, {
    title: withCtx(() => [
      createVNode$1(c, { menu: o.menu }, null, 8, ["menu"]),
      r.badgeData ? (openBlock(), createBlock(d, mergeProps({
        key: 0,
        class: "i-layout-menu-side-badge"
      }, r.badgeData), null, 16)) : createCommentVNode("", !0)
    ]),
    default: withCtx(() => [
      (openBlock(!0), createElementBlock(Fragment, null, renderList(o.menu.children, (g, y) => (openBlock(), createElementBlock(Fragment, { key: y }, [
        g.children == null || !g.children.length ? (openBlock(), createBlock(f, {
          key: 0,
          menu: g
        }, null, 8, ["menu"])) : (openBlock(), createBlock(p, {
          key: 1,
          menu: g
        }, null, 8, ["menu"]))
      ], 64))), 128))
    ]),
    _: 1
  }, 8, ["name"]);
}
const iMenuSideSubmenu = /* @__PURE__ */ _export_sfc(_sfc_main$g, [["render", _sfc_render$g]]), _sfc_main$f = {
  name: "iMenuSideCollapse",
  components: { iMenuSideTitle },
  mixins: [clickItem],
  props: {
    menu: {
      type: Object,
      default() {
        return {};
      }
    },
    // 是否是第一级，区分在于左侧和展开侧
    topLevel: {
      type: Boolean,
      default: !1
    }
  },
  computed: {
    ...mapState("admin/layout", ["siderTheme", "showCollapseMenuTitle", "bodyHeight"]),
    ...mapState("admin/menu", ["activePath", "openNames"]),
    dropdownClasses() {
      return {
        "i-layout-menu-side-collapse-top": this.topLevel,
        "i-layout-menu-side-collapse-dark": this.siderTheme === "dark"
      };
    },
    menuItemClasses() {
      return [
        "ivu-menu-item i-layout-menu-side-collapse-top-item",
        {
          "ivu-menu-item-selected ivu-menu-item-active": this.openNames.indexOf(this.menu.path) >= 0
          // -active 在高亮时，有背景
        }
      ];
    },
    // 菜单过多时，限高滚动
    dropdownMenuMaxHeight() {
      return {
        "max-height": `calc(${this.bodyHeight}px - ${Setting.headerHeight}px - 32px)`
      };
    }
  }
}, _hoisted_1$8 = {
  key: 0,
  class: "i-layout-menu-side-collapse-title"
};
function _sfc_render$f(r, a, o, s, l, u) {
  const c = resolveComponent("i-menu-side-title"), d = resolveComponent("Icon"), f = resolveComponent("DropdownItem"), p = resolveComponent("i-link"), v = resolveComponent("i-menu-side-collapse"), g = resolveComponent("DropdownMenu"), y = resolveComponent("Dropdown");
  return openBlock(), createBlock(y, {
    "boundaries-element": "viewport",
    placement: "right-start",
    class: normalizeClass(u.dropdownClasses)
  }, {
    list: withCtx(() => [
      createVNode$1(g, {
        class: "i-layout-menu-side-collapse-dropdown-menu",
        style: normalizeStyle$1(u.dropdownMenuMaxHeight)
      }, {
        default: withCtx(() => [
          r.showCollapseMenuTitle ? (openBlock(), createElementBlock("div", _hoisted_1$8, [
            createVNode$1(c, {
              menu: o.menu,
              collapse: ""
            }, null, 8, ["menu"])
          ])) : createCommentVNode("", !0),
          (openBlock(!0), createElementBlock(Fragment, null, renderList(o.menu.children, (_, S) => (openBlock(), createElementBlock(Fragment, { key: S }, [
            _.children == null || !_.children.length ? (openBlock(), createBlock(p, {
              key: 0,
              to: _.path,
              target: _.target,
              onClick: (C) => r.handleClick(_.path)
            }, {
              default: withCtx(() => [
                createVNode$1(f, {
                  divided: _.divided,
                  class: normalizeClass({ "i-layout-menu-side-collapse-item-selected": _.path === r.activePath })
                }, {
                  default: withCtx(() => [
                    createVNode$1(c, {
                      menu: _,
                      collapse: ""
                    }, null, 8, ["menu"])
                  ]),
                  _: 2
                }, 1032, ["divided", "class"])
              ]),
              _: 2
            }, 1032, ["to", "target", "onClick"])) : (openBlock(), createBlock(v, {
              key: 1,
              menu: _
            }, null, 8, ["menu"]))
          ], 64))), 128))
        ]),
        _: 1
      }, 8, ["style"])
    ]),
    default: withCtx(() => [
      o.topLevel ? (openBlock(), createElementBlock("li", {
        key: 0,
        class: normalizeClass(u.menuItemClasses)
      }, [
        createVNode$1(c, {
          menu: o.menu,
          "hide-title": "",
          collapse: ""
        }, null, 8, ["menu"])
      ], 2)) : (openBlock(), createBlock(f, { key: 1 }, {
        default: withCtx(() => [
          createVNode$1(c, {
            menu: o.menu,
            selected: r.openNames.indexOf(o.menu.path) >= 0,
            collapse: ""
          }, null, 8, ["menu", "selected"]),
          createVNode$1(d, {
            type: "ios-arrow-forward",
            class: "i-layout-menu-side-arrow"
          })
        ]),
        _: 1
      }))
    ]),
    _: 1
  }, 8, ["class"]);
}
const iMenuSideCollapse = /* @__PURE__ */ _export_sfc(_sfc_main$f, [["render", _sfc_render$f]]);
function isElementInViewport(r) {
  let a = r.getBoundingClientRect();
  return a.top >= 0 && a.left >= 0 && a.bottom <= (window.innerHeight || document.documentElement.clientHeight) && a.right <= (window.innerWidth || document.documentElement.clientWidth);
}
const _sfc_main$e = {
  name: "iMenuSide",
  mixins: [mixinPage],
  components: { iMenuSideItem, iMenuSideSubmenu, iMenuSideCollapse },
  data() {
    return {
      menuFilter: null
    };
  },
  props: {
    hideLogo: {
      type: Boolean,
      default: !1
    }
  },
  computed: {
    ...mapState("admin/layout", ["siderTheme", "menuAccordion", "menuCollapse"]),
    ...mapState("admin/menu", ["activePath", "openNames"]),
    ...mapGetters("admin/menu", ["filterSider"]),
    siderMenuData() {
      return this.menuFilter ? this.getSiderMenuData(this.copy(this.filterSider)) : this.filterSider;
    }
  },
  watch: {
    $route: {
      handler() {
        this.handleUpdateMenuState();
      },
      immediate: !0
    },
    // 在展开/收起侧边菜单栏时，更新一次 menu 的状态
    menuCollapse() {
      this.handleUpdateMenuState();
    }
  },
  methods: {
    handleUpdateMenuState() {
      nextTick(() => {
        this.$refs.menu && (this.$refs.menu.updateActiveName(), this.menuAccordion && this.$refs.menu.updateOpened(), nextTick(() => {
          const r = document.getElementsByClassName("ivu-menu-item ivu-menu-item-active ivu-menu-item-selected");
          if (r && r.length && !isElementInViewport(r[0])) {
            const a = r[0].getBoundingClientRect().top - Setting.headerHeight, o = this.$refs.menu.$el;
            setTimeout(() => {
              this.$ScrollTop(o, {
                to: a,
                time: 0
              });
            }, 300);
          }
        }));
      });
    },
    isMatch(r, a) {
      return (this.layout.showI18n ? this.$t("Permission_" + r.code) : r.title).indexOf(this.menuFilter) >= 0 ? !0 : r.children && a ? r.children.some((s) => this.isMatch(s, a)) : !1;
    },
    getSiderMenuData(r) {
      let a = r.filter((o) => this.isMatch(o, !0));
      for (let o of a)
        o.children && !this.isMatch(o, !1) && (o.children = this.getSiderMenuData(o.children));
      return a;
    }
  }
}, _hoisted_1$7 = ["src"], _hoisted_2$7 = ["src"], _hoisted_3$5 = ["src"], _hoisted_4$2 = {
  key: 0,
  style: { padding: "10px" }
};
function _sfc_render$e(r, a, o, s, l, u) {
  const c = resolveComponent("i-link"), d = resolveComponent("Input"), f = resolveComponent("i-menu-side-item"), p = resolveComponent("i-menu-side-submenu"), v = resolveComponent("Tooltip"), g = resolveComponent("i-menu-side-collapse"), y = resolveComponent("Menu");
  return openBlock(), createElementBlock("div", null, [
    createElementVNode("div", {
      class: normalizeClass(["i-layout-sider-logo", { "i-layout-sider-logo-dark": r.siderTheme === "dark" }])
    }, [
      createVNode$1(Transition, { name: "fade-quick" }, {
        default: withCtx(() => [
          withDirectives(createVNode$1(c, { to: "/home" }, {
            default: withCtx(() => [
              r.menuCollapse ? (openBlock(), createElementBlock("img", {
                key: 0,
                src: r.rootPath + "images/logo-small.png"
              }, null, 8, _hoisted_1$7)) : r.siderTheme === "light" ? (openBlock(), createElementBlock("img", {
                key: 1,
                src: r.rootPath + "images/logo.png"
              }, null, 8, _hoisted_2$7)) : (openBlock(), createElementBlock("img", {
                key: 2,
                src: r.rootPath + "images/logo-dark.png"
              }, null, 8, _hoisted_3$5))
            ]),
            _: 1
          }, 512), [
            [vShow, !o.hideLogo]
          ])
        ]),
        _: 1
      })
    ], 2),
    !r.menuCollapse && r.layout.menuFilter ? (openBlock(), createElementBlock("div", _hoisted_4$2, [
      createVNode$1(d, {
        modelValue: l.menuFilter,
        "onUpdate:modelValue": a[0] || (a[0] = (_) => l.menuFilter = _),
        prefix: "ios-search",
        placeholder: "搜索菜单..."
      }, null, 8, ["modelValue"])
    ])) : createCommentVNode("", !0),
    createVNode$1(y, {
      ref: "menu",
      class: normalizeClass(["i-layout-menu-side i-scrollbar-hide", { "i-layout-menu-side-collapse": r.menuCollapse }]),
      theme: r.siderTheme,
      accordion: r.menuAccordion,
      "active-name": r.activePath,
      "open-names": r.openNames,
      width: "auto"
    }, {
      default: withCtx(() => [
        (openBlock(!0), createElementBlock(Fragment, null, renderList(u.siderMenuData, (_, S) => (openBlock(), createElementBlock(Fragment, { key: S }, [
          r.menuCollapse ? (openBlock(), createElementBlock(Fragment, { key: 1 }, [
            _.children == null || !_.children.length ? (openBlock(), createBlock(v, {
              content: r.layout.showI18n ? r.$t("Permission_" + _.code) : _.title,
              placement: "right",
              key: S,
              theme: r.siderTheme
            }, {
              default: withCtx(() => [
                createVNode$1(f, {
                  class: "i-layout-menu-side-collapse-top-item",
                  menu: _,
                  "hide-title": ""
                }, null, 8, ["menu"])
              ]),
              _: 2
            }, 1032, ["content", "theme"])) : (openBlock(), createBlock(g, {
              key: 1,
              menu: _,
              "top-level": ""
            }, null, 8, ["menu"]))
          ], 64)) : (openBlock(), createElementBlock(Fragment, { key: 0 }, [
            _.children == null || !_.children.length ? (openBlock(), createBlock(f, {
              menu: _,
              key: S
            }, null, 8, ["menu"])) : (openBlock(), createBlock(p, {
              key: 1,
              menu: _
            }, null, 8, ["menu"]))
          ], 64))
        ], 64))), 128))
      ]),
      _: 1
    }, 8, ["class", "theme", "accordion", "active-name", "open-names"])
  ]);
}
const iMenuSide = /* @__PURE__ */ _export_sfc(_sfc_main$e, [["render", _sfc_render$e]]), _sfc_main$d = {
  name: "iHeaderLogo",
  mixins: [mixinPage],
  computed: {
    ...mapState("admin/layout", ["isMobile", "headerTheme"])
  }
}, _hoisted_1$6 = ["src"], _hoisted_2$6 = ["src"], _hoisted_3$4 = ["src"];
function _sfc_render$d(r, a, o, s, l, u) {
  const c = resolveComponent("i-link");
  return openBlock(), createBlock(c, {
    class: normalizeClass(["i-layout-header-logo", { "i-layout-header-logo-stick": !r.isMobile }]),
    to: "/"
  }, {
    default: withCtx(() => [
      r.isMobile ? (openBlock(), createElementBlock("img", {
        key: 0,
        src: r.rootPath + "images/logo-small.png"
      }, null, 8, _hoisted_1$6)) : r.headerTheme === "light" ? (openBlock(), createElementBlock("img", {
        key: 1,
        src: r.rootPath + "images/logo.png"
      }, null, 8, _hoisted_2$6)) : (openBlock(), createElementBlock("img", {
        key: 2,
        src: r.rootPath + "images/logo-dark.png"
      }, null, 8, _hoisted_3$4))
    ]),
    _: 1
  }, 8, ["class"]);
}
const iHeaderLogo = /* @__PURE__ */ _export_sfc(_sfc_main$d, [["render", _sfc_render$d]]), _sfc_main$c = {
  name: "iHeaderCollapse",
  emits: ["on-toggle-drawer"],
  computed: {
    ...mapState("admin/layout", ["isMobile", "isTablet", "isDesktop", "menuCollapse", "showReload"])
  },
  methods: {
    ...mapMutations("admin/layout", ["updateMenuCollapse"]),
    // 展开/收起侧边栏
    handleToggleMenuSide(r) {
      this.isMobile ? (this.updateMenuCollapse(!1), this.$emit("on-toggle-drawer", r)) : this.updateMenuCollapse(!this.menuCollapse);
    }
  },
  watch: {
    // 切换页面时，在移动端自动收起侧边栏
    // 强行传参 false 是因为有的路由不是在菜单栏发生的，toggle 会使其显示
    $route() {
      this.isMobile && this.handleToggleMenuSide(!1);
    },
    // 在平板时自动收起菜单
    isTablet(r) {
      !this.isMobile && r && this.updateMenuCollapse(!0);
    },
    // 在桌面时自动展开菜单
    isDesktop(r) {
      !this.isMobile && r && this.updateMenuCollapse(!1);
    }
  }
};
function _sfc_render$c(r, a, o, s, l, u) {
  const c = resolveComponent("Icon");
  return openBlock(), createElementBlock("span", {
    class: normalizeClass(["i-layout-header-trigger", { "i-layout-header-trigger-min": r.showReload }]),
    onClick: a[0] || (a[0] = (...d) => u.handleToggleMenuSide && u.handleToggleMenuSide(...d))
  }, [
    withDirectives(createVNode$1(c, { custom: "i-icon i-icon-menu-unfold" }, null, 512), [
      [vShow, r.menuCollapse || r.isMobile]
    ]),
    withDirectives(createVNode$1(c, { custom: "i-icon i-icon-menu-fold" }, null, 512), [
      [vShow, !r.menuCollapse && !r.isMobile]
    ])
  ], 2);
}
const iHeaderCollapse = /* @__PURE__ */ _export_sfc(_sfc_main$c, [["render", _sfc_render$c]]), _sfc_main$b = {
  name: "iHeaderReload",
  emits: ["on-reload"],
  computed: {
    ...mapState("admin/layout", ["isMobile", "showSiderCollapse"])
  },
  methods: {
    handleReload() {
      this.$emit("on-reload");
    }
  }
};
function _sfc_render$b(r, a, o, s, l, u) {
  const c = resolveComponent("Icon");
  return openBlock(), createElementBlock("span", {
    class: normalizeClass(["i-layout-header-trigger", { "i-layout-header-trigger-min": r.showSiderCollapse }]),
    onClick: a[0] || (a[0] = (...d) => u.handleReload && u.handleReload(...d))
  }, [
    createVNode$1(c, { custom: "i-icon i-icon-refresh" })
  ], 2);
}
const iHeaderReload = /* @__PURE__ */ _export_sfc(_sfc_main$b, [["render", _sfc_render$b]]), _sfc_main$a = {
  name: "iHeaderBreadcrumb",
  components: { iMenuHeadTitle },
  computed: {
    ...mapState("admin/layout", ["showBreadcrumbIcon", "menuCollapse"]),
    ...mapState("admin/menu", ["openNames", "activePath", "header", "headerName", "menuSider"]),
    siderMenuObject() {
      let r = {};
      return this.allSiderMenu.forEach((a) => {
        "path" in a && (r[a.path] = a);
      }), r;
    },
    items() {
      let r = [...this.openNames], a = [];
      return r.forEach((o) => {
        a.push(this.siderMenuObject[o]);
      }), Setting.layout.showI18n && a.forEach((o) => {
        o.title = this.$t("Permission_" + o.code);
      }), a;
    },
    // 第一级，默认是 menu/header.js 中的第一项
    topItem() {
      return this.header.find((r) => r.name === this.headerName);
    },
    // 得到所有侧边菜单，并转为平级，查询图标及显示对应内容
    allSiderMenu() {
      return flattenSiderMenu(this.menuSider, []);
    },
    title() {
      return Setting.layout.showI18n ? this.$t("Front_Label_Setting_Info_Title") : Setting.info.title;
    }
  },
  data() {
    return {
      handleResize: () => {
      },
      isLimit: !1,
      maxWidth: 560,
      breadcrumbWidth: 0
    };
  },
  methods: {
    handleCheckWidth() {
      const r = findComponentUpward(this, "Header");
      if (r) {
        const a = parseInt(getStyle$1(r.$el, "width"));
        nextTick(() => {
          this.isLimit = a - this.maxWidth <= this.breadcrumbWidth;
        });
      }
    },
    handleGetWidth() {
      this.isLimit = !1, nextTick(() => {
        const r = this.$refs.breadcrumb;
        r && (this.breadcrumbWidth = parseInt(getStyle$1(r.$el, "width")));
      });
    },
    currentTitle() {
      let r = this.siderMenuObject[this.activePath];
      return Setting.layout.showI18n && r && (r.title = this.$t("Permission_" + r.code)), r;
    }
  },
  watch: {
    topItem: {
      handler() {
        this.handleGetWidth(), this.handleCheckWidth();
      },
      deep: !0
    },
    items: {
      handler() {
        this.handleGetWidth(), this.handleCheckWidth();
      },
      deep: !0
    },
    activePath: {
      handler() {
        this.handleGetWidth(), this.handleCheckWidth();
      },
      deep: !0
    }
  },
  mounted() {
    this.handleResize = lodashExports.throttle(this.handleCheckWidth, 100, { leading: !1 }), on(window, "resize", this.handleResize), this.handleGetWidth(), this.handleCheckWidth();
  },
  beforeUnmount() {
    off(window, "resize", this.handleResize);
  }
};
function _sfc_render$a(r, a, o, s, l, u) {
  const c = resolveComponent("BreadcrumbItem"), d = resolveComponent("i-menu-head-title"), f = resolveComponent("Breadcrumb");
  return l.isLimit ? createCommentVNode("", !0) : (openBlock(), createBlock(f, {
    key: 0,
    class: "i-layout-header-breadcrumb",
    ref: "breadcrumb"
  }, {
    default: withCtx(() => [
      createVNode$1(c, null, {
        default: withCtx(() => [
          createTextVNode(toDisplayString$2(u.title), 1)
        ]),
        _: 1
      }),
      (openBlock(!0), createElementBlock(Fragment, null, renderList(u.items, (p) => (openBlock(), createBlock(c, {
        key: p.path
      }, {
        default: withCtx(() => [
          createVNode$1(d, {
            item: p,
            "hide-icon": !r.showBreadcrumbIcon
          }, null, 8, ["item", "hide-icon"])
        ]),
        _: 2
      }, 1024))), 128)),
      createVNode$1(c, null, {
        default: withCtx(() => [
          createVNode$1(d, {
            item: u.currentTitle(),
            "hide-icon": !r.showBreadcrumbIcon
          }, null, 8, ["item", "hide-icon"])
        ]),
        _: 1
      })
    ]),
    _: 1
  }, 512));
}
const iHeaderBreadcrumb = /* @__PURE__ */ _export_sfc(_sfc_main$a, [["render", _sfc_render$a]]), _sfc_main$9 = {
  name: "iHeaderSearch",
  computed: {
    ...mapState("admin/layout", ["isDesktop", "headerMenu"])
  },
  methods: {
    handleCloseSearch() {
      this.$refs.dropdown.handleClick();
    }
  }
}, _hoisted_1$5 = {
  key: 0,
  class: "i-layout-header-trigger i-layout-header-trigger-min i-layout-header-trigger-in i-layout-header-trigger-nohover"
}, _hoisted_2$5 = ["placeholder"], _hoisted_3$3 = { class: "i-layout-header-trigger i-layout-header-trigger-min" };
function _sfc_render$9(r, a, o, s, l, u) {
  const c = resolveComponent("Icon"), d = resolveComponent("Input"), f = resolveComponent("Col"), p = resolveComponent("Row"), v = resolveComponent("DropdownMenu"), g = resolveComponent("Dropdown");
  return r.isDesktop ? (openBlock(), createElementBlock("span", _hoisted_1$5, [
    createElementVNode("input", {
      class: "i-layout-header-search",
      type: "text",
      placeholder: r.$t("Front_Label_Search")
    }, null, 8, _hoisted_2$5)
  ])) : (openBlock(), createBlock(g, {
    key: 1,
    trigger: "click",
    class: "i-layout-header-search-drop",
    ref: "dropdown"
  }, {
    list: withCtx(() => [
      createVNode$1(v, null, {
        default: withCtx(() => [
          createVNode$1(p, { align: "middle" }, {
            default: withCtx(() => [
              createVNode$1(f, {
                flex: "auto",
                class: "ivu-pl-4"
              }, {
                default: withCtx(() => [
                  createVNode$1(d, {
                    size: "large",
                    prefix: "ios-search",
                    placeholder: r.$t("Front_Label_Search")
                  }, null, 8, ["placeholder"])
                ]),
                _: 1
              }),
              createVNode$1(f, {
                flex: "80px",
                class: "ivu-text-center"
              }, {
                default: withCtx(() => [
                  createElementVNode("span", {
                    onClick: a[0] || (a[0] = (...y) => u.handleCloseSearch && u.handleCloseSearch(...y))
                  }, toDisplayString$2(r.$t("Front_Btn_Cancel")), 1)
                ]),
                _: 1
              })
            ]),
            _: 1
          })
        ]),
        _: 1
      })
    ]),
    default: withCtx(() => [
      createElementVNode("span", _hoisted_3$3, [
        createVNode$1(c, { type: "ios-search" })
      ])
    ]),
    _: 1
  }, 512));
}
const iHeaderSearch = /* @__PURE__ */ _export_sfc(_sfc_main$9, [["render", _sfc_render$9]]), _sfc_main$8 = {
  name: "iHeaderLog",
  computed: {
    ...mapGetters("admin/log", ["length", "lengthError"]),
    showDot() {
      return !!this.length && this.lengthError === 0;
    },
    tooltipContent() {
      if (this.length) {
        let r = `${this.length} 条日志`;
        return this.lengthError && (r += ` | 包含 ${this.lengthError} 个异常`), r;
      } else
        return "没有日志或异常";
    }
  },
  methods: {
    handleOpenLog() {
      this.$router.push(
        {
          name: "system-log"
        },
        () => {
        }
      );
    }
  }
};
function _sfc_render$8(r, a, o, s, l, u) {
  const c = resolveComponent("Icon"), d = resolveComponent("Badge"), f = resolveComponent("Tooltip");
  return openBlock(), createBlock(f, {
    content: u.tooltipContent,
    transfer: ""
  }, {
    default: withCtx(() => [
      createElementVNode("span", {
        class: "i-layout-header-trigger i-layout-header-trigger-min",
        onClick: a[0] || (a[0] = (...p) => u.handleOpenLog && u.handleOpenLog(...p))
      }, [
        createVNode$1(d, {
          count: r.lengthError === 0 ? null : r.lengthError,
          "overflow-count": 99,
          dot: u.showDot,
          offset: u.showDot ? [26, 2] : [20, 0]
        }, {
          default: withCtx(() => [
            createVNode$1(c, { custom: "i-icon i-icon-record" })
          ]),
          _: 1
        }, 8, ["count", "dot", "offset"])
      ])
    ]),
    _: 1
  }, 8, ["content"]);
}
const iHeaderLog = /* @__PURE__ */ _export_sfc(_sfc_main$8, [["render", _sfc_render$8]]), _sfc_main$7 = {
  name: "iHeaderFullscreen",
  computed: {
    ...mapState("admin/layout", ["isFullscreen"])
  },
  methods: {
    ...mapActions("admin/layout", ["toggleFullscreen"])
  }
};
function _sfc_render$7(r, a, o, s, l, u) {
  const c = resolveComponent("Icon");
  return openBlock(), createElementBlock("span", {
    class: "i-layout-header-trigger i-layout-header-trigger-min",
    onClick: a[0] || (a[0] = (...d) => r.toggleFullscreen && r.toggleFullscreen(...d))
  }, [
    withDirectives(createVNode$1(c, { custom: "i-icon i-icon-full-screen" }, null, 512), [
      [vShow, !r.isFullscreen]
    ]),
    withDirectives(createVNode$1(c, { custom: "i-icon i-icon-exit-full-screen" }, null, 512), [
      [vShow, r.isFullscreen]
    ])
  ]);
}
const iHeaderFullscreen = /* @__PURE__ */ _export_sfc(_sfc_main$7, [["render", _sfc_render$7]]), res = "Notification", notificationApi = {
  queryMy(r) {
    return service({
      url: `api/${res}/queryMy`,
      method: "post",
      data: r
    });
  },
  read(r) {
    return service({
      url: `api/${res}/read`,
      method: "post",
      data: {
        id: r
      }
    });
  },
  clear() {
    return service({
      url: `api/${res}/clear`,
      method: "post"
    });
  }
}, _sfc_main$6 = {
  name: "iHeaderNotice",
  mixins: [mixinPage],
  components: {},
  data() {
    return {
      badgeProps: {
        offset: [20, 0]
      },
      taskList: [],
      taskLoading: !1,
      taskFilter: {},
      taskCount: 0,
      notificationList: [],
      notificationLoading: !1,
      notificationFilter: {},
      notificationCount: 0,
      unreadCount: 0
    };
  },
  computed: {
    ...mapState("admin/layout", ["isMobile"]),
    unreadMessage() {
      let r = 0;
      return this.notificationList.forEach((a) => {
        a.read || r++;
      }), r;
    }
  },
  async mounted() {
    this.init();
  },
  methods: {
    // 初始化
    init() {
      this.taskList = [], this.taskLoading = !1, this.taskFilter.page = 0, this.taskFilter.per = 5, this.taskFilter.orderBy = "-createTime", this.taskCount = 0, this.notificationList = [], this.notificationLoading = !1, this.notificationFilter.page = 0, this.notificationFilter.per = 5, this.notificationFilter.orderBy = "-createTime", this.notificationCount = 0, this.unreadCount = 0, this.loadMore("notification"), this.loadMore("task");
    },
    handleLoadMore(r) {
      this.loadMore(r.name);
    },
    async loadMore(r) {
      if (!this[`${r}Loading`]) {
        if (this[`${r}Loading`] = !0, r == "notification") {
          this.notificationFilter.page++;
          const a = await notificationApi.queryMy(this.notificationFilter);
          this.unreadCount = a.unreadCount, this.notificationCount = a.totalCount, this.notificationList = this.notificationList.concat(
            a.data.map((o) => {
              let s = "", l = "";
              return o.notificationType == "Notification" ? (s = "md-mail", l = "#3391e5") : o.notificationType == "Notice" ? (s = "md-home", l = "#87d068") : o.notificationType == "Alert" && (s = "md-warning", l = "#fe5c57"), {
                icon: s,
                iconColor: l,
                notification: o
              };
            })
          );
        } else {
          this.taskFilter.page++;
          const a = await taskApi.queryMy(this.taskFilter);
          this.taskCount = a.totalCount, this.taskList = this.taskList.concat(
            a.data.map((o) => ({
              icon: "ios-create",
              iconColor: "#ff9900",
              title: o.processInst.applicationType.name + " - " + o.activityInst.activity.name,
              content: o.processInst.title,
              read: 1,
              task: o
            }))
          );
        }
        this[`${r}Loading`] = !1;
      }
    },
    handleClear(r) {
      this.clearUnread(r.name);
    },
    clearUnread(r) {
      r == "notification" && this.confirm("确定要清空收件箱吗？", async () => {
        await notificationApi.clear(), this.notificationFilter.page = 1, this.notificationCount = 0, this.unreadCount = 0, this.notificationList = [];
      }), this[`${r}List`] = this[`${r}List`].map((a) => (a.read = 1, a));
    },
    loadTask() {
      this.taskList = [], this.taskFilter.page = 0, this.loadMore("task");
    },
    openNotification(r) {
      r.isRead || (this.unreadCount--, r.isRead = !0, notificationApi.read(r.id)), this.$refs.notificationForm.open(r);
    }
  }
}, _hoisted_1$4 = { style: { display: "inline-flex" } }, _hoisted_2$4 = { class: "i-layout-header-trigger i-layout-header-trigger-min i-layout-header-trigger-in" };
function _sfc_render$6(r, a, o, s, l, u) {
  const c = resolveComponent("Icon"), d = resolveComponent("NotificationItem"), f = resolveComponent("NotificationTab"), p = resolveComponent("Notification"), v = resolveComponent("task-form"), g = resolveComponent("modal-form");
  return openBlock(), createElementBlock("div", _hoisted_1$4, [
    createElementVNode("span", _hoisted_2$4, [
      createVNode$1(p, {
        wide: r.isMobile,
        "badge-props": l.badgeProps,
        class: normalizeClass(["i-layout-header-notice", { "i-layout-header-notice-mobile": r.isMobile }]),
        "auto-count": "",
        onOnLoadMore: u.handleLoadMore,
        onOnClear: u.handleClear
      }, {
        icon: withCtx(() => [
          createVNode$1(c, { custom: "i-icon i-icon-notification" })
        ]),
        default: withCtx(() => [
          createVNode$1(f, {
            title: r.$t("Front_Label_Todo"),
            name: "task",
            count: l.taskCount,
            "loaded-all": l.taskFilter.page * l.taskFilter.per >= l.taskCount,
            loading: l.taskLoading,
            "scroll-to-load": !1,
            "show-clear": !1
          }, {
            default: withCtx(() => [
              (openBlock(!0), createElementBlock(Fragment, null, renderList(l.taskList, (y, _) => (openBlock(), createBlock(d, {
                key: _,
                title: y.title,
                icon: y.icon,
                "icon-color": y.iconColor,
                content: y.content,
                read: y.read,
                onOnItemClick: (S) => r.$refs.taskForm.open(y.task)
              }, null, 8, ["title", "icon", "icon-color", "content", "read", "onOnItemClick"]))), 128))
            ]),
            _: 1
          }, 8, ["title", "count", "loaded-all", "loading"]),
          createVNode$1(f, {
            title: r.$t("Front_Label_Notification"),
            name: "notification",
            count: l.unreadCount,
            "loaded-all": l.notificationFilter.page * l.notificationFilter.per >= l.notificationCount,
            loading: l.notificationLoading,
            "scroll-to-load": !1
          }, {
            default: withCtx(() => [
              (openBlock(!0), createElementBlock(Fragment, null, renderList(l.notificationList, (y, _) => (openBlock(), createBlock(d, {
                key: _,
                title: y.notification.title,
                icon: y.icon,
                "icon-color": y.iconColor,
                time: y.notification.sendTime,
                read: y.notification.isRead ? 1 : 0,
                onOnItemClick: (S) => u.openNotification(y.notification)
              }, null, 8, ["title", "icon", "icon-color", "time", "read", "onOnItemClick"]))), 128))
            ]),
            _: 1
          }, 8, ["title", "count", "loaded-all", "loading"])
        ]),
        _: 1
      }, 8, ["wide", "badge-props", "class", "onOnLoadMore", "onOnClear"])
    ]),
    createVNode$1(v, { ref: "taskForm" }, null, 512),
    createVNode$1(g, {
      ref: "notificationForm",
      "view-code": "NotificationView",
      "save-enable": !1
    }, null, 512)
  ]);
}
const iHeaderNotice = /* @__PURE__ */ _export_sfc(_sfc_main$6, [["render", _sfc_render$6]]), _sfc_main$5 = {
  components: {},
  mixins: [mixinPage],
  name: "iHeaderUser",
  data() {
    return {
      resetPwdOpened: !1,
      resetPwdData: {},
      resetPwdRule: {
        oldPwd: {
          type: "string",
          required: !0,
          message: this.$t("Front_Msg_Please_Input"),
          trigger: "blur,change"
        },
        newPwd: {
          type: "string",
          required: !0,
          message: this.$t("Front_Msg_Please_Input"),
          trigger: "blur,change"
        },
        checkPwd: {
          type: "string",
          required: !0,
          message: this.$t("Front_Msg_Please_Input"),
          trigger: "blur,change"
        }
      }
    };
  },
  computed: {
    ...mapState("admin/user", ["info"]),
    ...mapState("admin/layout", ["isMobile", "logoutConfirm"])
  },
  methods: {
    ...mapActions("admin/account", ["logout"]),
    ...mapActions("admin/user", ["set"]),
    handleClick(r) {
      r === "logout" && this.logout({
        confirm: this.logoutConfirm,
        vm: this
      });
    },
    // 打开密码修改对话框
    resetPwdOpen() {
      this.resetPwdData = {
        oldPwd: null,
        newPwd: null,
        checkPwd: null
      }, this.$refs.resetPwdForm.resetFields(), this.resetPwdOpened = !0;
    },
    // 修改密码提交保存
    async submitChangePwd() {
      await this.$refs.resetPwdForm.validate() ? this.resetPwdData.newPwd != this.resetPwdData.checkPwd ? this.error("Front_Msg_Password_Inconsistent") : (await userlApi.updatePassword({
        oldPassword: this.resetPwdData.oldPwd,
        newPassword: this.resetPwdData.newPwd
      }), this.success("Front_Msg_Success", () => {
        this.resetPwdOpened = !1;
      })) : this.error("Front_Msg_Form_Validate_Fail");
    },
    // 保存用户信息
    submitUserInfo() {
      this.confirm("Front_Msg_Sure_To_Save", async () => {
        await userlApi.updateUser(this.$refs.form.data), this.success("Front_Msg_Success", () => {
          this.set(this.$refs.form.data), this.$refs.form.opened = !1;
        });
      });
    }
  }
}, _hoisted_1$3 = { class: "i-layout-header-trigger i-layout-header-trigger-min" }, _hoisted_2$3 = {
  key: 2,
  class: "i-layout-header-user-name"
}, _hoisted_3$2 = { class: "title" }, _hoisted_4$1 = { class: "description" }, _hoisted_5$1 = { class: "ivu-ml-8 ivu-mr-8" };
function _sfc_render$5(r, a, o, s, l, u) {
  const c = resolveComponent("Avatar"), d = resolveComponent("Icon"), f = resolveComponent("DropdownItem"), p = resolveComponent("DropdownMenu"), v = resolveComponent("Dropdown"), g = resolveComponent("Input"), y = resolveComponent("FormItem"), _ = resolveComponent("Col"), S = resolveComponent("Row"), C = resolveComponent("Form"), b = resolveComponent("Button"), T = resolveComponent("Modal"), E = resolveComponent("modal-form");
  return openBlock(), createElementBlock("span", _hoisted_1$3, [
    createVNode$1(v, {
      trigger: r.isMobile ? "click" : "hover",
      class: normalizeClass(["i-layout-header-user", { "i-layout-header-user-mobile": r.isMobile }]),
      onOnClick: u.handleClick
    }, {
      list: withCtx(() => [
        createVNode$1(p, null, {
          default: withCtx(() => [
            createVNode$1(f, null, {
              default: withCtx(() => [
                createElementVNode("label", {
                  onClick: a[0] || (a[0] = (...x) => u.resetPwdOpen && u.resetPwdOpen(...x))
                }, [
                  createVNode$1(d, { type: "ios-lock" }),
                  createElementVNode("span", null, toDisplayString$2(r.$t("Front_Label_Change_Password")), 1)
                ])
              ]),
              _: 1
            }),
            createVNode$1(f, null, {
              default: withCtx(() => [
                createElementVNode("label", {
                  onClick: a[1] || (a[1] = (x) => r.$refs.form.open(r.info))
                }, [
                  createVNode$1(d, { type: "ios-contact" }),
                  createElementVNode("span", null, toDisplayString$2(r.$t("Front_Label_User_Info")), 1)
                ])
              ]),
              _: 1
            }),
            createVNode$1(f, {
              divided: "",
              name: "logout"
            }, {
              default: withCtx(() => [
                createVNode$1(d, { type: "ios-log-out" }),
                createElementVNode("span", null, toDisplayString$2(r.$t("Front_Label_Logout")), 1)
              ]),
              _: 1
            })
          ]),
          _: 1
        })
      ]),
      default: withCtx(() => [
        r.info.avatar ? (openBlock(), createBlock(c, {
          key: 0,
          size: "small",
          src: r.info.avatar
        }, null, 8, ["src"])) : createCommentVNode("", !0),
        r.info.avatar ? createCommentVNode("", !0) : (openBlock(), createBlock(d, {
          key: 1,
          type: "md-person"
        })),
        r.isMobile ? createCommentVNode("", !0) : (openBlock(), createElementBlock("span", _hoisted_2$3, toDisplayString$2(r.info.name), 1))
      ]),
      _: 1
    }, 8, ["trigger", "class", "onOnClick"]),
    createElementVNode("template", null, [
      createVNode$1(T, {
        modelValue: l.resetPwdOpened,
        "onUpdate:modelValue": a[6] || (a[6] = (x) => l.resetPwdOpened = x),
        scrollable: ""
      }, {
        header: withCtx(() => [
          createElementVNode("div", null, [
            createElementVNode("span", _hoisted_3$2, toDisplayString$2(r.$t("Front_Label_Change_Password")), 1),
            createElementVNode("span", _hoisted_4$1, toDisplayString$2(r.$t("Front_Label_Change_Password_Desc")), 1)
          ])
        ]),
        footer: withCtx(() => [
          createVNode$1(b, {
            type: "primary",
            "custom-icon": "fa fa-check",
            onClick: u.submitChangePwd
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
            ]),
            _: 1
          }, 8, ["onClick"])
        ]),
        default: withCtx(() => [
          createElementVNode("div", _hoisted_5$1, [
            createVNode$1(C, {
              ref: "resetPwdForm",
              model: l.resetPwdData,
              rules: l.resetPwdRule,
              "label-position": "top",
              "label-colon": "：",
              class: "ivu-mt",
              onSubmit: a[5] || (a[5] = withModifiers(() => {
              }, ["prevent"]))
            }, {
              default: withCtx(() => [
                createVNode$1(S, {
                  gutter: 24,
                  type: "flex"
                }, {
                  default: withCtx(() => [
                    createVNode$1(_, normalizeProps(guardReactiveProps(r.grid24)), {
                      default: withCtx(() => [
                        createVNode$1(y, {
                          label: r.$t("Front_Label_Old_Password"),
                          key: "oldPwd",
                          prop: "oldPwd"
                        }, {
                          default: withCtx(() => [
                            createVNode$1(g, {
                              type: "password",
                              modelValue: l.resetPwdData.oldPwd,
                              "onUpdate:modelValue": a[2] || (a[2] = (x) => l.resetPwdData.oldPwd = x)
                            }, null, 8, ["modelValue"])
                          ]),
                          _: 1
                        }, 8, ["label"])
                      ]),
                      _: 1
                    }, 16),
                    createVNode$1(_, normalizeProps(guardReactiveProps(r.grid24)), {
                      default: withCtx(() => [
                        createVNode$1(y, {
                          label: r.$t("Front_Label_New_Password"),
                          key: "newPwd",
                          prop: "newPwd"
                        }, {
                          default: withCtx(() => [
                            createVNode$1(g, {
                              type: "password",
                              modelValue: l.resetPwdData.newPwd,
                              "onUpdate:modelValue": a[3] || (a[3] = (x) => l.resetPwdData.newPwd = x)
                            }, null, 8, ["modelValue"])
                          ]),
                          _: 1
                        }, 8, ["label"])
                      ]),
                      _: 1
                    }, 16),
                    createVNode$1(_, normalizeProps(guardReactiveProps(r.grid24)), {
                      default: withCtx(() => [
                        createVNode$1(y, {
                          label: r.$t("Front_Label_Confirm_Password"),
                          key: "checkPwd",
                          prop: "checkPwd"
                        }, {
                          default: withCtx(() => [
                            createVNode$1(g, {
                              type: "password",
                              modelValue: l.resetPwdData.checkPwd,
                              "onUpdate:modelValue": a[4] || (a[4] = (x) => l.resetPwdData.checkPwd = x)
                            }, null, 8, ["modelValue"])
                          ]),
                          _: 1
                        }, 8, ["label"])
                      ]),
                      _: 1
                    }, 16)
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }, 8, ["model", "rules"])
          ])
        ]),
        _: 1
      }, 8, ["modelValue"])
    ]),
    createVNode$1(E, {
      ref: "form",
      "view-code": "UserInfoEdit"
    }, {
      footer: withCtx(() => [
        createVNode$1(b, {
          type: "primary",
          "custom-icon": "fa fa-save",
          onClick: u.submitUserInfo
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString$2(r.$t("Front_Btn_Save")), 1)
          ]),
          _: 1
        }, 8, ["onClick"])
      ]),
      _: 1
    }, 512)
  ]);
}
const iHeaderUser = /* @__PURE__ */ _export_sfc(_sfc_main$5, [["render", _sfc_render$5]]), _sfc_main$4 = {
  name: "iHeaderI18n",
  props: {
    outside: {
      type: Boolean,
      default: !1
    }
  },
  data() {
    return {
      //languages: Setting.i18n.list
    };
  },
  computed: {
    ...mapState("admin/i18n", ["locale", "languages"]),
    ...mapState("admin/layout", ["isMobile"])
  },
  methods: {
    ...mapActions("admin/i18n", ["setLocale"]),
    handleClick(r) {
      r !== this.locale && this.setLocale({ locale: r, vm: this });
    }
  }
};
function _sfc_render$4(r, a, o, s, l, u) {
  const c = resolveComponent("Icon"), d = resolveComponent("DropdownItem"), f = resolveComponent("DropdownMenu"), p = resolveComponent("Dropdown");
  return openBlock(), createBlock(p, {
    trigger: r.isMobile ? "click" : "hover",
    class: normalizeClass(["i-layout-header-i18n", { "i-layout-header-user-mobile": r.isMobile }]),
    onOnClick: u.handleClick
  }, {
    list: withCtx(() => [
      createVNode$1(f, null, {
        default: withCtx(() => [
          (openBlock(!0), createElementBlock(Fragment, null, renderList(r.languages, (v, g) => (openBlock(), createBlock(d, {
            key: g,
            name: g,
            selected: r.locale === g
          }, {
            default: withCtx(() => [
              createElementVNode("span", null, toDisplayString$2(v), 1)
            ]),
            _: 2
          }, 1032, ["name", "selected"]))), 128))
        ]),
        _: 1
      })
    ]),
    default: withCtx(() => [
      createElementVNode("span", {
        class: normalizeClass(["i-layout-header-trigger i-layout-header-trigger-min", { "i-layout-header-trigger-no-height": o.outside }])
      }, [
        createVNode$1(c, { custom: "i-icon i-icon-i18n" })
      ], 2)
    ]),
    _: 1
  }, 8, ["trigger", "class", "onOnClick"]);
}
const iHeaderI18n = /* @__PURE__ */ _export_sfc(_sfc_main$4, [["render", _sfc_render$4]]), _imports_0 = "data:image/svg+xml,%3c?xml%20version='1.0'%20encoding='UTF-8'?%3e%3csvg%20width='52px'%20height='45px'%20viewBox='0%200%2052%2045'%20version='1.1'%20xmlns='http://www.w3.org/2000/svg'%20xmlns:xlink='http://www.w3.org/1999/xlink'%3e%3c!--%20Generator:%20Sketch%2050.2%20(55047)%20-%20http://www.bohemiancoding.com/sketch%20--%3e%3ctitle%3eGroup%205%20Copy%205%3c/title%3e%3cdesc%3eCreated%20with%20Sketch.%3c/desc%3e%3cdefs%3e%3cfilter%20x='-9.4%25'%20y='-6.2%25'%20width='118.8%25'%20height='122.5%25'%20filterUnits='objectBoundingBox'%20id='filter-1'%3e%3cfeOffset%20dx='0'%20dy='1'%20in='SourceAlpha'%20result='shadowOffsetOuter1'%3e%3c/feOffset%3e%3cfeGaussianBlur%20stdDeviation='1'%20in='shadowOffsetOuter1'%20result='shadowBlurOuter1'%3e%3c/feGaussianBlur%3e%3cfeColorMatrix%20values='0%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200.15%200'%20type='matrix'%20in='shadowBlurOuter1'%20result='shadowMatrixOuter1'%3e%3c/feColorMatrix%3e%3cfeMerge%3e%3cfeMergeNode%20in='shadowMatrixOuter1'%3e%3c/feMergeNode%3e%3cfeMergeNode%20in='SourceGraphic'%3e%3c/feMergeNode%3e%3c/feMerge%3e%3c/filter%3e%3crect%20id='path-2'%20x='0'%20y='0'%20width='48'%20height='40'%20rx='4'%3e%3c/rect%3e%3cfilter%20x='-4.2%25'%20y='-2.5%25'%20width='108.3%25'%20height='110.0%25'%20filterUnits='objectBoundingBox'%20id='filter-4'%3e%3cfeOffset%20dx='0'%20dy='1'%20in='SourceAlpha'%20result='shadowOffsetOuter1'%3e%3c/feOffset%3e%3cfeGaussianBlur%20stdDeviation='0.5'%20in='shadowOffsetOuter1'%20result='shadowBlurOuter1'%3e%3c/feGaussianBlur%3e%3cfeColorMatrix%20values='0%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200.1%200'%20type='matrix'%20in='shadowBlurOuter1'%3e%3c/feColorMatrix%3e%3c/filter%3e%3c/defs%3e%3cg%20id='配置面板'%20stroke='none'%20stroke-width='1'%20fill='none'%20fill-rule='evenodd'%3e%3cg%20id='setting-copy-2'%20transform='translate(-1190.000000,%20-136.000000)'%3e%3cg%20id='Group-8'%20transform='translate(1167.000000,%200.000000)'%3e%3cg%20id='Group-5-Copy-5'%20filter='url(%23filter-1)'%20transform='translate(25.000000,%20137.000000)'%3e%3cmask%20id='mask-3'%20fill='white'%3e%3cuse%20xlink:href='%23path-2'%3e%3c/use%3e%3c/mask%3e%3cg%20id='Rectangle-18'%3e%3cuse%20fill='black'%20fill-opacity='1'%20filter='url(%23filter-4)'%20xlink:href='%23path-2'%3e%3c/use%3e%3cuse%20fill='%23F0F2F5'%20fill-rule='evenodd'%20xlink:href='%23path-2'%3e%3c/use%3e%3c/g%3e%3crect%20id='Rectangle-11'%20fill='%23FFFFFF'%20mask='url(%23mask-3)'%20x='-1'%20y='0'%20width='49'%20height='10'%3e%3c/rect%3e%3crect%20id='Rectangle-18'%20fill='%23303648'%20mask='url(%23mask-3)'%20x='0'%20y='0'%20width='16'%20height='44'%3e%3c/rect%3e%3c/g%3e%3c/g%3e%3c/g%3e%3c/g%3e%3c/svg%3e", _imports_1 = "data:image/svg+xml,%3c?xml%20version='1.0'%20encoding='UTF-8'?%3e%3csvg%20width='52px'%20height='45px'%20viewBox='0%200%2052%2045'%20version='1.1'%20xmlns='http://www.w3.org/2000/svg'%20xmlns:xlink='http://www.w3.org/1999/xlink'%3e%3c!--%20Generator:%20Sketch%2050.2%20(55047)%20-%20http://www.bohemiancoding.com/sketch%20--%3e%3ctitle%3eGroup%205%3c/title%3e%3cdesc%3eCreated%20with%20Sketch.%3c/desc%3e%3cdefs%3e%3cfilter%20x='-9.4%25'%20y='-6.2%25'%20width='118.8%25'%20height='122.5%25'%20filterUnits='objectBoundingBox'%20id='filter-1'%3e%3cfeOffset%20dx='0'%20dy='1'%20in='SourceAlpha'%20result='shadowOffsetOuter1'%3e%3c/feOffset%3e%3cfeGaussianBlur%20stdDeviation='1'%20in='shadowOffsetOuter1'%20result='shadowBlurOuter1'%3e%3c/feGaussianBlur%3e%3cfeColorMatrix%20values='0%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200.15%200'%20type='matrix'%20in='shadowBlurOuter1'%20result='shadowMatrixOuter1'%3e%3c/feColorMatrix%3e%3cfeMerge%3e%3cfeMergeNode%20in='shadowMatrixOuter1'%3e%3c/feMergeNode%3e%3cfeMergeNode%20in='SourceGraphic'%3e%3c/feMergeNode%3e%3c/feMerge%3e%3c/filter%3e%3crect%20id='path-2'%20x='0'%20y='0'%20width='48'%20height='40'%20rx='4'%3e%3c/rect%3e%3cfilter%20x='-4.2%25'%20y='-2.5%25'%20width='108.3%25'%20height='110.0%25'%20filterUnits='objectBoundingBox'%20id='filter-4'%3e%3cfeOffset%20dx='0'%20dy='1'%20in='SourceAlpha'%20result='shadowOffsetOuter1'%3e%3c/feOffset%3e%3cfeGaussianBlur%20stdDeviation='0.5'%20in='shadowOffsetOuter1'%20result='shadowBlurOuter1'%3e%3c/feGaussianBlur%3e%3cfeColorMatrix%20values='0%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200.1%200'%20type='matrix'%20in='shadowBlurOuter1'%3e%3c/feColorMatrix%3e%3c/filter%3e%3c/defs%3e%3cg%20id='配置面板'%20stroke='none'%20stroke-width='1'%20fill='none'%20fill-rule='evenodd'%3e%3cg%20id='setting-copy-2'%20transform='translate(-1254.000000,%20-136.000000)'%3e%3cg%20id='Group-8'%20transform='translate(1167.000000,%200.000000)'%3e%3cg%20id='Group-5'%20filter='url(%23filter-1)'%20transform='translate(89.000000,%20137.000000)'%3e%3cmask%20id='mask-3'%20fill='white'%3e%3cuse%20xlink:href='%23path-2'%3e%3c/use%3e%3c/mask%3e%3cg%20id='Rectangle-18'%3e%3cuse%20fill='black'%20fill-opacity='1'%20filter='url(%23filter-4)'%20xlink:href='%23path-2'%3e%3c/use%3e%3cuse%20fill='%23F0F2F5'%20fill-rule='evenodd'%20xlink:href='%23path-2'%3e%3c/use%3e%3c/g%3e%3crect%20id='Rectangle-18'%20fill='%23FFFFFF'%20mask='url(%23mask-3)'%20x='0'%20y='0'%20width='16'%20height='44'%3e%3c/rect%3e%3crect%20id='Rectangle-11'%20fill='%23FFFFFF'%20mask='url(%23mask-3)'%20x='-1'%20y='0'%20width='49'%20height='10'%3e%3c/rect%3e%3c/g%3e%3c/g%3e%3c/g%3e%3c/g%3e%3c/svg%3e", _imports_2 = "data:image/svg+xml,%3c?xml%20version='1.0'%20encoding='UTF-8'?%3e%3csvg%20width='52px'%20height='45px'%20viewBox='0%200%2052%2045'%20version='1.1'%20xmlns='http://www.w3.org/2000/svg'%20xmlns:xlink='http://www.w3.org/1999/xlink'%3e%3c!--%20Generator:%20Sketch%2050.2%20(55047)%20-%20http://www.bohemiancoding.com/sketch%20--%3e%3ctitle%3eGroup%205%20Copy%205%3c/title%3e%3cdesc%3eCreated%20with%20Sketch.%3c/desc%3e%3cdefs%3e%3cfilter%20x='-9.4%25'%20y='-6.2%25'%20width='118.8%25'%20height='122.5%25'%20filterUnits='objectBoundingBox'%20id='filter-1'%3e%3cfeOffset%20dx='0'%20dy='1'%20in='SourceAlpha'%20result='shadowOffsetOuter1'%3e%3c/feOffset%3e%3cfeGaussianBlur%20stdDeviation='1'%20in='shadowOffsetOuter1'%20result='shadowBlurOuter1'%3e%3c/feGaussianBlur%3e%3cfeColorMatrix%20values='0%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200.15%200'%20type='matrix'%20in='shadowBlurOuter1'%20result='shadowMatrixOuter1'%3e%3c/feColorMatrix%3e%3cfeMerge%3e%3cfeMergeNode%20in='shadowMatrixOuter1'%3e%3c/feMergeNode%3e%3cfeMergeNode%20in='SourceGraphic'%3e%3c/feMergeNode%3e%3c/feMerge%3e%3c/filter%3e%3crect%20id='path-2'%20x='0'%20y='0'%20width='48'%20height='40'%20rx='4'%3e%3c/rect%3e%3cfilter%20x='-4.2%25'%20y='-2.5%25'%20width='108.3%25'%20height='110.0%25'%20filterUnits='objectBoundingBox'%20id='filter-4'%3e%3cfeOffset%20dx='0'%20dy='1'%20in='SourceAlpha'%20result='shadowOffsetOuter1'%3e%3c/feOffset%3e%3cfeGaussianBlur%20stdDeviation='0.5'%20in='shadowOffsetOuter1'%20result='shadowBlurOuter1'%3e%3c/feGaussianBlur%3e%3cfeColorMatrix%20values='0%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200.1%200'%20type='matrix'%20in='shadowBlurOuter1'%3e%3c/feColorMatrix%3e%3c/filter%3e%3c/defs%3e%3cg%20id='配置面板'%20stroke='none'%20stroke-width='1'%20fill='none'%20fill-rule='evenodd'%3e%3cg%20id='setting-copy-2'%20transform='translate(-1190.000000,%20-136.000000)'%3e%3cg%20id='Group-8'%20transform='translate(1167.000000,%200.000000)'%3e%3cg%20id='Group-5-Copy-5'%20filter='url(%23filter-1)'%20transform='translate(25.000000,%20137.000000)'%3e%3cmask%20id='mask-3'%20fill='white'%3e%3cuse%20xlink:href='%23path-2'%3e%3c/use%3e%3c/mask%3e%3cg%20id='Rectangle-18'%3e%3cuse%20fill='black'%20fill-opacity='1'%20filter='url(%23filter-4)'%20xlink:href='%23path-2'%3e%3c/use%3e%3cuse%20fill='%23F0F2F5'%20fill-rule='evenodd'%20xlink:href='%23path-2'%3e%3c/use%3e%3c/g%3e%3crect%20id='Rectangle-11'%20fill='%23303648'%20mask='url(%23mask-3)'%20x='-1'%20y='0'%20width='49'%20height='10'%3e%3c/rect%3e%3crect%20id='Rectangle-18'%20fill='%23303648'%20mask='url(%23mask-3)'%20x='0'%20y='0'%20width='16'%20height='44'%3e%3c/rect%3e%3c/g%3e%3c/g%3e%3c/g%3e%3c/g%3e%3c/svg%3e", _imports_3 = "data:image/svg+xml,%3c?xml%20version='1.0'%20encoding='UTF-8'?%3e%3csvg%20width='52px'%20height='45px'%20viewBox='0%200%2052%2045'%20version='1.1'%20xmlns='http://www.w3.org/2000/svg'%20xmlns:xlink='http://www.w3.org/1999/xlink'%3e%3c!--%20Generator:%20Sketch%2050.2%20(55047)%20-%20http://www.bohemiancoding.com/sketch%20--%3e%3ctitle%3eGroup%205%20Copy%205%3c/title%3e%3cdesc%3eCreated%20with%20Sketch.%3c/desc%3e%3cdefs%3e%3cfilter%20x='-9.4%25'%20y='-6.2%25'%20width='118.8%25'%20height='122.5%25'%20filterUnits='objectBoundingBox'%20id='filter-1'%3e%3cfeOffset%20dx='0'%20dy='1'%20in='SourceAlpha'%20result='shadowOffsetOuter1'%3e%3c/feOffset%3e%3cfeGaussianBlur%20stdDeviation='1'%20in='shadowOffsetOuter1'%20result='shadowBlurOuter1'%3e%3c/feGaussianBlur%3e%3cfeColorMatrix%20values='0%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200.15%200'%20type='matrix'%20in='shadowBlurOuter1'%20result='shadowMatrixOuter1'%3e%3c/feColorMatrix%3e%3cfeMerge%3e%3cfeMergeNode%20in='shadowMatrixOuter1'%3e%3c/feMergeNode%3e%3cfeMergeNode%20in='SourceGraphic'%3e%3c/feMergeNode%3e%3c/feMerge%3e%3c/filter%3e%3crect%20id='path-2'%20x='0'%20y='0'%20width='48'%20height='40'%20rx='4'%3e%3c/rect%3e%3cfilter%20x='-4.2%25'%20y='-2.5%25'%20width='108.3%25'%20height='110.0%25'%20filterUnits='objectBoundingBox'%20id='filter-4'%3e%3cfeOffset%20dx='0'%20dy='1'%20in='SourceAlpha'%20result='shadowOffsetOuter1'%3e%3c/feOffset%3e%3cfeGaussianBlur%20stdDeviation='0.5'%20in='shadowOffsetOuter1'%20result='shadowBlurOuter1'%3e%3c/feGaussianBlur%3e%3cfeColorMatrix%20values='0%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200%200.1%200'%20type='matrix'%20in='shadowBlurOuter1'%3e%3c/feColorMatrix%3e%3c/filter%3e%3c/defs%3e%3cg%20id='配置面板'%20stroke='none'%20stroke-width='1'%20fill='none'%20fill-rule='evenodd'%3e%3cg%20id='setting-copy-2'%20transform='translate(-1190.000000,%20-136.000000)'%3e%3cg%20id='Group-8'%20transform='translate(1167.000000,%200.000000)'%3e%3cg%20id='Group-5-Copy-5'%20filter='url(%23filter-1)'%20transform='translate(25.000000,%20137.000000)'%3e%3cmask%20id='mask-3'%20fill='white'%3e%3cuse%20xlink:href='%23path-2'%3e%3c/use%3e%3c/mask%3e%3cg%20id='Rectangle-18'%3e%3cuse%20fill='black'%20fill-opacity='1'%20filter='url(%23filter-4)'%20xlink:href='%23path-2'%3e%3c/use%3e%3cuse%20fill='%23F0F2F5'%20fill-rule='evenodd'%20xlink:href='%23path-2'%3e%3c/use%3e%3c/g%3e%3crect%20id='Rectangle-11'%20fill='%232d8cf0'%20mask='url(%23mask-3)'%20x='-1'%20y='0'%20width='49'%20height='10'%3e%3c/rect%3e%3crect%20id='Rectangle-18'%20fill='%23303648'%20mask='url(%23mask-3)'%20x='0'%20y='0'%20width='16'%20height='44'%3e%3c/rect%3e%3c/g%3e%3c/g%3e%3c/g%3e%3c/g%3e%3c/svg%3e", _sfc_main$3 = {
  name: "iHeaderSetting",
  data() {
    return {
      visible: !1
    };
  },
  computed: {
    ...mapState("admin/layout", [
      "siderTheme",
      "headerTheme",
      "headerStick",
      "headerMenu",
      "siderFix",
      "headerFix",
      "headerHide",
      "menuAccordion",
      "showSiderCollapse",
      "tabs",
      "showTabsIcon",
      "tabsFix",
      "showBreadcrumb",
      "showBreadcrumbIcon",
      "showReload",
      "showI18n",
      "showCollapseMenuTitle"
    ])
  },
  methods: {
    ...mapMutations("admin/layout", ["updateLayoutSetting"]),
    showSetting() {
      this.visible = !0;
    },
    handleChangeSetting(r, a) {
      this.updateLayoutSetting({
        key: r,
        value: a
      });
    }
  }
}, _hoisted_1$2 = { class: "i-layout-header-setting-item" }, _hoisted_2$2 = { class: "i-layout-header-setting-item" }, _hoisted_3$1 = { class: "i-layout-header-setting-item" }, _hoisted_4 = { class: "i-layout-header-setting-item-action" }, _hoisted_5 = { class: "i-layout-header-setting-item" }, _hoisted_6 = { class: "i-layout-header-setting-item-action" }, _hoisted_7 = { class: "i-layout-header-setting-item" }, _hoisted_8 = { class: "i-layout-header-setting-item-action" }, _hoisted_9 = { class: "i-layout-header-setting-item-desc" }, _hoisted_10 = { class: "i-layout-header-setting-item-action" }, _hoisted_11 = { class: "i-layout-header-setting-item-desc" }, _hoisted_12 = { class: "i-layout-header-setting-item-action" }, _hoisted_13 = { class: "i-layout-header-setting-item" }, _hoisted_14 = { class: "i-layout-header-setting-item-action" }, _hoisted_15 = { class: "i-layout-header-setting-item" }, _hoisted_16 = { class: "i-layout-header-setting-item-action" }, _hoisted_17 = { class: "i-layout-header-setting-item" }, _hoisted_18 = { class: "i-layout-header-setting-item-action" }, _hoisted_19 = { class: "i-layout-header-setting-item" }, _hoisted_20 = { class: "i-layout-header-setting-item-desc" }, _hoisted_21 = { class: "i-layout-header-setting-item-action" }, _hoisted_22 = { class: "i-layout-header-setting-item-desc" }, _hoisted_23 = { class: "i-layout-header-setting-item-action" }, _hoisted_24 = { class: "i-layout-header-setting-item" }, _hoisted_25 = { class: "i-layout-header-setting-item-action" }, _hoisted_26 = { class: "i-layout-header-setting-item" }, _hoisted_27 = { class: "i-layout-header-setting-item-action" }, _hoisted_28 = { class: "i-layout-header-setting-item" }, _hoisted_29 = { class: "i-layout-header-setting-item-action" }, _hoisted_30 = { class: "i-layout-header-setting-item-desc" }, _hoisted_31 = { class: "i-layout-header-setting-item-action" }, _hoisted_32 = { class: "i-layout-header-setting-item-desc" }, _hoisted_33 = { class: "i-layout-header-setting-item-action" };
function _sfc_render$3(r, a, o, s, l, u) {
  const c = resolveComponent("Icon"), d = resolveComponent("Divider"), f = resolveComponent("Tooltip"), p = resolveComponent("Switch"), v = resolveComponent("Alert"), g = resolveComponent("Drawer");
  return openBlock(), createElementBlock("span", {
    class: "i-layout-header-trigger i-layout-header-trigger-min",
    onClick: a[21] || (a[21] = (...y) => u.showSetting && u.showSetting(...y))
  }, [
    createVNode$1(c, { type: "md-more" }),
    createVNode$1(g, {
      modelValue: l.visible,
      "onUpdate:modelValue": a[20] || (a[20] = (y) => l.visible = y),
      width: "280"
    }, {
      default: withCtx(() => [
        createVNode$1(d, { size: "small" }, {
          default: withCtx(() => a[22] || (a[22] = [
            createTextVNode("主题风格设置")
          ])),
          _: 1
        }),
        createElementVNode("div", _hoisted_1$2, [
          createElementVNode("div", {
            class: normalizeClass(["i-layout-header-setting-item-radio", { on: r.siderTheme === "dark" }]),
            onClick: a[0] || (a[0] = (y) => u.handleChangeSetting("siderTheme", "dark"))
          }, [
            createVNode$1(f, {
              content: "暗色侧边栏",
              placement: "top",
              transfer: ""
            }, {
              default: withCtx(() => a[23] || (a[23] = [
                createElementVNode("img", { src: _imports_0 }, null, -1)
              ])),
              _: 1
            })
          ], 2),
          createElementVNode("div", {
            class: normalizeClass(["i-layout-header-setting-item-radio", { on: r.siderTheme === "light" }]),
            onClick: a[1] || (a[1] = (y) => u.handleChangeSetting("siderTheme", "light"))
          }, [
            createVNode$1(f, {
              content: "亮色侧边栏",
              placement: "top",
              transfer: ""
            }, {
              default: withCtx(() => a[24] || (a[24] = [
                createElementVNode("img", { src: _imports_1 }, null, -1)
              ])),
              _: 1
            })
          ], 2)
        ]),
        createElementVNode("div", _hoisted_2$2, [
          createElementVNode("div", {
            class: normalizeClass(["i-layout-header-setting-item-radio", { on: r.headerTheme === "light" }]),
            onClick: a[2] || (a[2] = (y) => u.handleChangeSetting("headerTheme", "light"))
          }, [
            createVNode$1(f, {
              content: "亮色顶栏",
              placement: "top",
              transfer: ""
            }, {
              default: withCtx(() => a[25] || (a[25] = [
                createElementVNode("img", { src: _imports_0 }, null, -1)
              ])),
              _: 1
            })
          ], 2),
          createElementVNode("div", {
            class: normalizeClass(["i-layout-header-setting-item-radio", { on: r.headerTheme === "dark" }]),
            onClick: a[3] || (a[3] = (y) => u.handleChangeSetting("headerTheme", "dark"))
          }, [
            createVNode$1(f, {
              content: "暗色顶栏",
              placement: "top",
              transfer: ""
            }, {
              default: withCtx(() => a[26] || (a[26] = [
                createElementVNode("img", { src: _imports_2 }, null, -1)
              ])),
              _: 1
            })
          ], 2),
          createElementVNode("div", {
            class: normalizeClass(["i-layout-header-setting-item-radio", { on: r.headerTheme === "primary" }]),
            onClick: a[4] || (a[4] = (y) => u.handleChangeSetting("headerTheme", "primary"))
          }, [
            createVNode$1(f, {
              content: "主色顶栏",
              placement: "top",
              transfer: ""
            }, {
              default: withCtx(() => a[27] || (a[27] = [
                createElementVNode("img", { src: _imports_3 }, null, -1)
              ])),
              _: 1
            })
          ], 2)
        ]),
        createVNode$1(d, { size: "small" }, {
          default: withCtx(() => a[28] || (a[28] = [
            createTextVNode("导航设置")
          ])),
          _: 1
        }),
        createElementVNode("div", _hoisted_3$1, [
          a[29] || (a[29] = createElementVNode("span", { class: "i-layout-header-setting-item-desc" }, "显示顶栏菜单", -1)),
          createElementVNode("span", _hoisted_4, [
            createVNode$1(p, {
              size: "small",
              "model-value": r.headerMenu,
              onOnChange: a[5] || (a[5] = (y) => u.handleChangeSetting("headerMenu", y))
            }, null, 8, ["model-value"])
          ])
        ]),
        createElementVNode("div", _hoisted_5, [
          a[30] || (a[30] = createElementVNode("span", { class: "i-layout-header-setting-item-desc" }, "固定侧边栏", -1)),
          createElementVNode("span", _hoisted_6, [
            createVNode$1(p, {
              size: "small",
              "model-value": r.siderFix,
              onOnChange: a[6] || (a[6] = (y) => u.handleChangeSetting("siderFix", y))
            }, null, 8, ["model-value"])
          ])
        ]),
        createElementVNode("div", _hoisted_7, [
          a[31] || (a[31] = createElementVNode("span", { class: "i-layout-header-setting-item-desc" }, "固定顶栏", -1)),
          createElementVNode("span", _hoisted_8, [
            createVNode$1(p, {
              size: "small",
              "model-value": r.headerFix,
              onOnChange: a[7] || (a[7] = (y) => u.handleChangeSetting("headerFix", y))
            }, null, 8, ["model-value"])
          ])
        ]),
        createElementVNode("div", {
          class: normalizeClass(["i-layout-header-setting-item", { "i-layout-header-setting-item-disabled": !r.headerFix }])
        }, [
          createElementVNode("span", _hoisted_9, [
            a[32] || (a[32] = createTextVNode(" 下滑时隐藏顶栏 ")),
            createVNode$1(f, {
              placement: "top",
              content: "需开启固定顶栏",
              transfer: ""
            }, {
              default: withCtx(() => [
                createVNode$1(c, { type: "ios-help-circle-outline" })
              ]),
              _: 1
            })
          ]),
          createElementVNode("span", _hoisted_10, [
            createVNode$1(p, {
              size: "small",
              "model-value": r.headerHide,
              disabled: !r.headerFix,
              onOnChange: a[8] || (a[8] = (y) => u.handleChangeSetting("headerHide", y))
            }, null, 8, ["model-value", "disabled"])
          ])
        ], 2),
        createElementVNode("div", {
          class: normalizeClass(["i-layout-header-setting-item", { "i-layout-header-setting-item-disabled": !r.headerFix }])
        }, [
          createElementVNode("span", _hoisted_11, [
            a[33] || (a[33] = createTextVNode(" 置顶顶栏 ")),
            createVNode$1(f, {
              placement: "top",
              content: "需开启固定顶栏",
              transfer: ""
            }, {
              default: withCtx(() => [
                createVNode$1(c, { type: "ios-help-circle-outline" })
              ]),
              _: 1
            })
          ]),
          createElementVNode("span", _hoisted_12, [
            createVNode$1(p, {
              size: "small",
              "model-value": r.headerStick,
              disabled: !r.headerFix,
              onOnChange: a[9] || (a[9] = (y) => u.handleChangeSetting("headerStick", y))
            }, null, 8, ["model-value", "disabled"])
          ])
        ], 2),
        createElementVNode("div", _hoisted_13, [
          a[34] || (a[34] = createElementVNode("span", { class: "i-layout-header-setting-item-desc" }, "侧边栏开启手风琴模式", -1)),
          createElementVNode("span", _hoisted_14, [
            createVNode$1(p, {
              size: "small",
              "model-value": r.menuAccordion,
              onOnChange: a[10] || (a[10] = (y) => u.handleChangeSetting("menuAccordion", y))
            }, null, 8, ["model-value"])
          ])
        ]),
        createElementVNode("div", _hoisted_15, [
          a[35] || (a[35] = createElementVNode("span", { class: "i-layout-header-setting-item-desc" }, "显示折叠侧边栏按钮", -1)),
          createElementVNode("span", _hoisted_16, [
            createVNode$1(p, {
              size: "small",
              "model-value": r.showSiderCollapse,
              onOnChange: a[11] || (a[11] = (y) => u.handleChangeSetting("showSiderCollapse", y))
            }, null, 8, ["model-value"])
          ])
        ]),
        createElementVNode("div", _hoisted_17, [
          a[36] || (a[36] = createElementVNode("span", { class: "i-layout-header-setting-item-desc" }, "侧边栏折叠时显示父级菜单名", -1)),
          createElementVNode("span", _hoisted_18, [
            createVNode$1(p, {
              size: "small",
              "model-value": r.showCollapseMenuTitle,
              onOnChange: a[12] || (a[12] = (y) => u.handleChangeSetting("showCollapseMenuTitle", y))
            }, null, 8, ["model-value"])
          ])
        ]),
        createElementVNode("div", _hoisted_19, [
          createElementVNode("span", _hoisted_20, [
            a[37] || (a[37] = createTextVNode(" 显示全局面包屑导航 ")),
            createVNode$1(f, {
              placement: "top",
              content: "headerMenu 开启时无效",
              transfer: ""
            }, {
              default: withCtx(() => [
                createVNode$1(c, { type: "ios-help-circle-outline" })
              ]),
              _: 1
            })
          ]),
          createElementVNode("span", _hoisted_21, [
            createVNode$1(p, {
              size: "small",
              "model-value": r.showBreadcrumb,
              onOnChange: a[13] || (a[13] = (y) => u.handleChangeSetting("showBreadcrumb", y))
            }, null, 8, ["model-value"])
          ])
        ]),
        createElementVNode("div", {
          class: normalizeClass(["i-layout-header-setting-item", { "i-layout-header-setting-item-disabled": !r.showBreadcrumb }])
        }, [
          createElementVNode("span", _hoisted_22, [
            a[38] || (a[38] = createTextVNode(" 全局面包屑显示图标 ")),
            createVNode$1(f, {
              placement: "top",
              content: "需开启全局面包屑导航",
              transfer: ""
            }, {
              default: withCtx(() => [
                createVNode$1(c, { type: "ios-help-circle-outline" })
              ]),
              _: 1
            })
          ]),
          createElementVNode("span", _hoisted_23, [
            createVNode$1(p, {
              size: "small",
              "model-value": r.showBreadcrumbIcon,
              disabled: !r.showBreadcrumb,
              onOnChange: a[14] || (a[14] = (y) => u.handleChangeSetting("showBreadcrumbIcon", y))
            }, null, 8, ["model-value", "disabled"])
          ])
        ], 2),
        createElementVNode("div", _hoisted_24, [
          a[39] || (a[39] = createElementVNode("span", { class: "i-layout-header-setting-item-desc" }, "显示重载页面按钮", -1)),
          createElementVNode("span", _hoisted_25, [
            createVNode$1(p, {
              size: "small",
              "model-value": r.showReload,
              onOnChange: a[15] || (a[15] = (y) => u.handleChangeSetting("showReload", y))
            }, null, 8, ["model-value"])
          ])
        ]),
        createElementVNode("div", _hoisted_26, [
          a[40] || (a[40] = createElementVNode("span", { class: "i-layout-header-setting-item-desc" }, "显示多语言选择", -1)),
          createElementVNode("span", _hoisted_27, [
            createVNode$1(p, {
              size: "small",
              "model-value": r.showI18n,
              onOnChange: a[16] || (a[16] = (y) => u.handleChangeSetting("showI18n", y))
            }, null, 8, ["model-value"])
          ])
        ]),
        createVNode$1(d, { size: "small" }, {
          default: withCtx(() => a[41] || (a[41] = [
            createTextVNode("其它设置")
          ])),
          _: 1
        }),
        createElementVNode("div", _hoisted_28, [
          a[42] || (a[42] = createElementVNode("span", { class: "i-layout-header-setting-item-desc" }, "开启多页签", -1)),
          createElementVNode("span", _hoisted_29, [
            createVNode$1(p, {
              size: "small",
              "model-value": r.tabs,
              onOnChange: a[17] || (a[17] = (y) => u.handleChangeSetting("tabs", y))
            }, null, 8, ["model-value"])
          ])
        ]),
        createElementVNode("div", {
          class: normalizeClass(["i-layout-header-setting-item", { "i-layout-header-setting-item-disabled": !r.tabs }])
        }, [
          createElementVNode("span", _hoisted_30, [
            a[43] || (a[43] = createTextVNode(" 多页签显示图标 ")),
            createVNode$1(f, {
              placement: "top",
              content: "需开启多页签",
              transfer: ""
            }, {
              default: withCtx(() => [
                createVNode$1(c, { type: "ios-help-circle-outline" })
              ]),
              _: 1
            })
          ]),
          createElementVNode("span", _hoisted_31, [
            createVNode$1(p, {
              size: "small",
              "model-value": r.showTabsIcon,
              disabled: !r.tabs,
              onOnChange: a[18] || (a[18] = (y) => u.handleChangeSetting("showTabsIcon", y))
            }, null, 8, ["model-value", "disabled"])
          ])
        ], 2),
        createElementVNode("div", {
          class: normalizeClass(["i-layout-header-setting-item", { "i-layout-header-setting-item-disabled": !r.tabs }])
        }, [
          createElementVNode("span", _hoisted_32, [
            a[44] || (a[44] = createTextVNode(" 固定多页签 ")),
            createVNode$1(f, {
              placement: "top",
              content: "需开启多页签",
              transfer: ""
            }, {
              default: withCtx(() => [
                createVNode$1(c, { type: "ios-help-circle-outline" })
              ]),
              _: 1
            })
          ]),
          createElementVNode("span", _hoisted_33, [
            createVNode$1(p, {
              size: "small",
              "model-value": r.tabsFix,
              disabled: !r.tabs,
              onOnChange: a[19] || (a[19] = (y) => u.handleChangeSetting("tabsFix", y))
            }, null, 8, ["model-value", "disabled"])
          ])
        ], 2),
        createVNode$1(v, { type: "warning" }, {
          desc: withCtx(() => a[45] || (a[45] = [
            createElementVNode("div", null, [
              createTextVNode(" 该功能主要实时预览各种布局效果，更多完整配置在 "),
              createElementVNode("strong", null, "setting.js"),
              createTextVNode(" 中设置。建议在生产环境关闭该布局预览功能。 ")
            ], -1)
          ])),
          _: 1
        })
      ]),
      _: 1
    }, 8, ["modelValue"])
  ]);
}
const iHeaderSetting = /* @__PURE__ */ _export_sfc(_sfc_main$3, [["render", _sfc_render$3]]);
function random$1(r = 32) {
  const a = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890", o = a.length;
  let s = "";
  for (let l = 0; l < r; l++)
    s += a.charAt(Math.floor(Math.random() * o));
  return s;
}
const _sfc_main$2 = {
  name: "iTabs",
  mixins: [],
  emits: ["on-reload"],
  computed: {
    ...mapState("admin/page", ["opened", "current"]),
    ...mapState("admin/layout", ["showTabsIcon", "tabsFix", "tabsReload", "tabsOrder", "headerFix", "headerStick", "isMobile", "menuCollapse"]),
    ...mapGetters("admin/menu", ["hideSider"]),
    classes() {
      return {
        "i-layout-tabs-fix": this.tabsFix
      };
    },
    isHeaderStick() {
      return this.hideSider;
    },
    styles() {
      let r = {};
      this.tabsFix && !this.headerFix && (r.top = `${Setting.headerHeight - this.scrollTop}px`);
      const a = this.isHeaderStick ? 0 : this.menuCollapse ? Setting.menuSideCollapseWidth : Setting.menuSideWidth;
      return !this.isMobile && this.tabsFix && (r.width = `calc(100% - ${a}px)`, r.left = `${a}px`), r;
    }
  },
  data() {
    return {
      // 得到所有侧边菜单，并转为平级，查询图标用
      allSiderMenu: getAllSiderMenu(menuSider),
      scrollTop: 0
    };
  },
  methods: {
    ...mapActions("admin/page", ["close", "closeLeft", "closeRight", "closeOther", "closeAll", "updateOpened"]),
    tabLabel(r) {
      const a = h("span", this.$t(r.meta ? r.meta.title : "未命名") || "未命名");
      let o = [];
      if (this.showTabsIcon) {
        const s = r.fullPath.indexOf("?") >= 0 ? r.fullPath.split("?")[0] : r.fullPath, l = this.allSiderMenu.find((c) => c.path === s) || {};
        let u;
        l.icon ? u = h("Icon", {
          type: l.icon
        }) : l.custom ? u = h("Icon", {
          custom: l.custom
        }) : l.img && (u = h("img", {
          src: l.img
        })), u && o.push(u), o.push(a);
      } else
        o.push(a);
      return h(
        "div",
        {
          class: "i-layout-tabs-title"
        },
        o
      );
    },
    handleClickTab(r) {
      if (r === this.current)
        this.tabsReload && this.$emit("on-reload");
      else {
        const a = this.opened.find((u) => u.fullPath === r), { name: o, params: s, query: l } = a;
        a && this.$router.push({ name: o, params: s, query: l }, () => {
        });
      }
    },
    handleClickClose(r) {
      this.close({
        tagName: r
      });
    },
    handleScroll() {
      if (this.tabsFix && !this.headerFix) {
        const r = document.body.scrollTop + document.documentElement.scrollTop;
        this.scrollTop = r > Setting.headerHeight ? Setting.headerHeight : r;
      }
    },
    handleClose(r) {
      const a = {
        pageSelect: this.current
      };
      switch (r) {
        case "left":
          this.closeLeft(a);
          break;
        case "right":
          this.closeRight(a);
          break;
        case "other":
          this.closeOther(a);
          break;
        case "all":
          this.closeAll();
          break;
      }
    },
    handleDragDrop(r, a, o, s) {
      let l = lodashExports.cloneDeep(this.opened);
      l.splice(s, 1, ...l.splice(o, 1, l[s])), this.updateOpened({ opened: l });
    },
    random() {
      return random$1(6);
    }
  },
  mounted() {
    document.addEventListener("scroll", this.handleScroll, { passive: !0 }), this.handleScroll();
  },
  beforeUnmount() {
    document.removeEventListener("scroll", this.handleScroll);
  }
}, _hoisted_1$1 = { class: "i-layout-tabs-main" }, _hoisted_2$1 = { class: "i-layout-tabs-close-main" };
function _sfc_render$2(r, a, o, s, l, u) {
  const c = resolveComponent("TabPane"), d = resolveComponent("Tabs"), f = resolveComponent("Icon"), p = resolveComponent("DropdownItem"), v = resolveComponent("DropdownMenu"), g = resolveComponent("Dropdown");
  return openBlock(), createElementBlock("div", {
    class: normalizeClass(["i-layout-tabs", u.classes]),
    style: normalizeStyle$1(u.styles)
  }, [
    createElementVNode("div", _hoisted_1$1, [
      createVNode$1(d, {
        type: "card",
        "model-value": r.current,
        animated: !1,
        closable: "",
        draggable: r.tabsOrder,
        onOnClick: u.handleClickTab,
        onOnTabRemove: u.handleClickClose,
        onOnDragDrop: u.handleDragDrop
      }, {
        default: withCtx(() => [
          (openBlock(!0), createElementBlock(Fragment, null, renderList(r.opened, (y, _) => (openBlock(), createBlock(c, {
            key: _,
            label: () => u.tabLabel(y),
            name: y.fullPath,
            closable: y.meta && y.meta.closable
          }, null, 8, ["label", "name", "closable"]))), 128))
        ]),
        _: 1
      }, 8, ["model-value", "draggable", "onOnClick", "onOnTabRemove", "onOnDragDrop"]),
      createVNode$1(g, {
        class: "i-layout-tabs-close",
        onOnClick: u.handleClose
      }, {
        list: withCtx(() => [
          createVNode$1(v, null, {
            default: withCtx(() => [
              createVNode$1(p, { name: "left" }, {
                default: withCtx(() => [
                  createVNode$1(f, { type: "md-arrow-back" }),
                  createTextVNode(" " + toDisplayString$2(r.$t("Front_Label_Tabs_Left")), 1)
                ]),
                _: 1
              }),
              createVNode$1(p, { name: "right" }, {
                default: withCtx(() => [
                  createVNode$1(f, { type: "md-arrow-forward" }),
                  createTextVNode(" " + toDisplayString$2(r.$t("Front_Label_Tabs_Right")), 1)
                ]),
                _: 1
              }),
              createVNode$1(p, { name: "other" }, {
                default: withCtx(() => [
                  createVNode$1(f, { type: "md-close" }),
                  createTextVNode(" " + toDisplayString$2(r.$t("Front_Label_Tabs_Other")), 1)
                ]),
                _: 1
              }),
              createVNode$1(p, { name: "all" }, {
                default: withCtx(() => [
                  createVNode$1(f, { type: "md-close-circle" }),
                  createTextVNode(" " + toDisplayString$2(r.$t("Front_Label_Tabs_All")), 1)
                ]),
                _: 1
              })
            ]),
            _: 1
          })
        ]),
        default: withCtx(() => [
          createElementVNode("div", _hoisted_2$1, [
            createVNode$1(f, { type: "ios-arrow-down" })
          ])
        ]),
        _: 1
      }, 8, ["onOnClick"])
    ])
  ], 6);
}
const iTabs = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["render", _sfc_render$2]]);
function getWaterMarkCanvas(r, a) {
  const o = document.createElement("canvas"), s = o.getContext("2d"), l = 400, u = 400;
  o.width = l, o.height = u, s.textAlign = "center", s.textBaseline = "bottom", s.globalAlpha = a.globalAlpha || 0.1, s.font = a.font || "20px Microsoft Yahei", s.translate(l / 2, u / 2), s.rotate(a.rotateAngle || -0.4), s.translate(-400 / 2 * 1.2, -400 / 2 * 1.2);
  const c = [], d = a.chunkWidth || 400, f = a.chunkHeight || 120, p = 0, v = 1;
  for (let g = 0, y = f / 2, _ = 0; g <= v; g += 1) {
    _ = parseInt(g % 2);
    for (let S = 0, C = d / 2; S <= p; S += 1)
      c.push({
        text: r,
        x: S * d + _ * C,
        y: g * f + y
      });
  }
  return c.forEach((g) => {
    s.fillText(g.text, g.x, g.y);
  }), s.canvas.toDataURL();
}
const _sfc_main$1 = {
  name: "i-water-mark",
  computed: {
    ...mapState("admin/layout", ["waterMark"]),
    styles() {
      return {
        width: "100%",
        height: "100%",
        position: "absolute",
        top: "0",
        left: "0",
        "z-index": "2000",
        "background-size": "320px",
        "background-repeat": "repeat",
        "background-image": `url(${getWaterMarkCanvas(this.waterMark.text, this.waterMark.options)})`,
        "pointer-events": "none"
      };
    }
  }
};
function _sfc_render$1(r, a, o, s, l, u) {
  return r.waterMark.show ? (openBlock(), createElementBlock("div", {
    key: 0,
    style: normalizeStyle$1(u.styles)
  }, null, 4)) : createCommentVNode("", !0);
}
const iWaterMark = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["render", _sfc_render$1]]), _sfc_main = {
  name: "BasicLayout",
  components: {
    iMenuHead,
    iMenuSide,
    iCopyright,
    iHeaderLogo,
    iHeaderCollapse,
    iHeaderReload,
    iHeaderBreadcrumb,
    iHeaderSearch,
    iHeaderUser,
    iHeaderI18n,
    iHeaderLog,
    iHeaderFullscreen,
    iHeaderSetting,
    iHeaderNotice,
    iTabs,
    iWaterMark
  },
  data() {
    return {
      showDrawer: !1,
      ticking: !1,
      headerVisible: !0,
      oldScrollTop: 0,
      isDelayHideSider: !1,
      // hack，当从隐藏侧边栏的 header 切换到正常 header 时，防止 Logo 抖动
      loadRouter: !0
    };
  },
  computed: {
    ...mapState("admin/layout", [
      "siderTheme",
      "headerTheme",
      "headerStick",
      "tabs",
      "tabsFix",
      "siderFix",
      "headerFix",
      "headerHide",
      "headerMenu",
      "isMobile",
      "isTablet",
      "isDesktop",
      "menuCollapse",
      "showMobileLogo",
      "showSearch",
      "showNotice",
      "showFullscreen",
      "showSiderCollapse",
      "showBreadcrumb",
      "showLog",
      "showI18n",
      "showReload",
      "enableSetting"
    ]),
    ...mapState("admin/page", ["keepAlive"]),
    ...mapGetters("admin/menu", ["hideSider"]),
    // 如果开启 headerMenu，且当前 header 的 hideSider 为 true，则将顶部按 headerStick 处理
    // 这时，即使没有开启 headerStick，仍然按开启处理
    isHeaderStick() {
      let r = this.headerStick;
      return this.hideSider && (r = !0), r;
    },
    showHeader() {
      let r = !0;
      return this.headerFix && this.headerHide && !this.headerVisible && (r = !1), r;
    },
    headerClasses() {
      return [
        `i-layout-header-color-${this.headerTheme}`,
        {
          "i-layout-header-fix": this.headerFix,
          "i-layout-header-fix-collapse": this.headerFix && this.menuCollapse,
          "i-layout-header-mobile": this.isMobile,
          "i-layout-header-stick": this.isHeaderStick && !this.isMobile,
          "i-layout-header-with-menu": this.headerMenu,
          "i-layout-header-with-hide-sider": this.hideSider || this.isDelayHideSider
        }
      ];
    },
    headerStyle() {
      const r = this.isHeaderStick ? 0 : this.menuCollapse ? Setting.menuSideCollapseWidth : Setting.menuSideWidth;
      return this.isMobile || !this.headerFix ? {} : {
        width: `calc(100% - ${r}px)`
      };
    },
    siderClasses() {
      return {
        "i-layout-sider-fix": this.siderFix,
        "i-layout-sider-dark": this.siderTheme === "dark"
      };
    },
    contentClasses() {
      return {
        "i-layout-content-fix-with-header": this.headerFix,
        "i-layout-content-with-tabs": this.tabs,
        "i-layout-content-with-tabs-fix": this.tabs && this.tabsFix
      };
    },
    insideClasses() {
      return {
        "i-layout-inside-fix-with-sider": this.siderFix,
        "i-layout-inside-fix-with-sider-collapse": this.siderFix && this.menuCollapse,
        "i-layout-inside-with-hide-sider": this.hideSider,
        "i-layout-inside-mobile": this.isMobile
      };
    },
    drawerClasses() {
      let r = "i-layout-drawer";
      return this.siderTheme === "dark" && (r += " i-layout-drawer-dark"), r;
    },
    menuSideWidth() {
      return this.menuCollapse ? Setting.menuSideCollapseWidth : Setting.menuSideWidth;
    }
  },
  watch: {
    hideSider() {
      this.isDelayHideSider = !0, setTimeout(() => {
        this.isDelayHideSider = !1;
      }, 0);
    },
    $route(r, a) {
      r.name === a.name && Setting.sameRouteForceUpdate && this.handleReload();
    }
  },
  methods: {
    ...mapMutations("admin/layout", ["updateMenuCollapse"]),
    ...mapMutations("admin/page", ["keepAlivePush", "keepAliveRemove"]),
    handleToggleDrawer(r) {
      typeof r == "boolean" ? this.showDrawer = r : this.showDrawer = !this.showDrawer;
    },
    handleScroll() {
      if (!this.headerHide) return;
      const r = document.body.scrollTop + document.documentElement.scrollTop;
      this.ticking || (this.ticking = !0, requestAnimationFrame(() => {
        this.oldScrollTop > r ? this.headerVisible = !0 : r > 300 && this.headerVisible ? this.headerVisible = !1 : r < 300 && !this.headerVisible && (this.headerVisible = !0), this.oldScrollTop = r, this.ticking = !1;
      }));
    },
    handleHeaderWidthChange() {
      const r = this.$refs.breadcrumb;
      r && (r.handleGetWidth(), r.handleCheckWidth()), this.$refs.menuHead;
    },
    handleReload() {
      const r = this.keepAlive.indexOf(this.$route.name) > -1, a = this.$route.name;
      r && this.keepAliveRemove(a), this.loadRouter = !1, nextTick(() => {
        this.loadRouter = !0, r && this.keepAlivePush(a);
      });
    }
  },
  mounted() {
    document.addEventListener("scroll", this.handleScroll, { passive: !0 }), Setting.layout.autoFixRatio == !0 && window.screen.width < 1920 && window.screen.width * window.devicePixelRatio <= 1920 && !navigator.userAgent.match(/AppleWebKit.*Mobile.*/) && !navigator.userAgent.match(/.*Android.*/) && (document.body.style.zoom = 1 / window.devicePixelRatio, setTimeout(() => {
      let r = document.getElementsByClassName("i-layout-sider");
      r.length > 0 && (r[0].style.height = window.devicePixelRatio * 100 + "vh");
      var a = document.getElementsByClassName("i-layout-menu-side");
      a.length > 0 && (a[0].style.height = "calc(" + window.devicePixelRatio * 100 + "vh - 64px)");
    }));
  },
  beforeUnmount() {
    document.removeEventListener("scroll", this.handleScroll);
  },
  created() {
    this.isTablet && this.showSiderCollapse && this.updateMenuCollapse(!0);
  }
}, _hoisted_1 = { class: "i-layout-header-right" }, _hoisted_2 = { class: "i-layout-content-main" }, _hoisted_3 = { key: 1 };
function _sfc_render(r, a, o, s, l, u) {
  const c = resolveComponent("i-menu-side"), d = resolveComponent("Sider"), f = resolveComponent("i-header-logo"), p = resolveComponent("i-header-collapse"), v = resolveComponent("i-header-reload"), g = resolveComponent("i-menu-head"), y = resolveComponent("i-header-breadcrumb"), _ = resolveComponent("i-header-search"), S = resolveComponent("i-header-fullscreen"), C = resolveComponent("i-header-notice"), b = resolveComponent("i-header-user"), T = resolveComponent("i-header-i18n"), E = resolveComponent("i-header-setting"), x = resolveComponent("Header"), $ = resolveComponent("i-tabs"), A = resolveComponent("router-view"), N = resolveComponent("Content"), P = resolveComponent("i-copyright"), L = resolveComponent("Layout"), O = resolveComponent("Drawer"), M = resolveComponent("i-water-mark"), F = resolveDirective("resize");
  return openBlock(), createBlock(L, { class: "i-layout" }, {
    default: withCtx(() => [
      !r.isMobile && !r.hideSider ? (openBlock(), createBlock(d, {
        key: 0,
        class: normalizeClass(["i-layout-sider", u.siderClasses]),
        width: u.menuSideWidth
      }, {
        default: withCtx(() => [
          createVNode$1(c, {
            "hide-logo": u.isHeaderStick && r.headerFix && u.showHeader
          }, null, 8, ["hide-logo"])
        ]),
        _: 1
      }, 8, ["class", "width"])) : createCommentVNode("", !0),
      createVNode$1(L, {
        class: normalizeClass(["i-layout-inside", u.insideClasses])
      }, {
        default: withCtx(() => [
          createVNode$1(Transition, { name: "fade-quick" }, {
            default: withCtx(() => [
              withDirectives((openBlock(), createBlock(x, {
                class: normalizeClass(["i-layout-header", u.headerClasses]),
                style: normalizeStyle$1(u.headerStyle)
              }, {
                default: withCtx(() => [
                  r.isMobile && r.showMobileLogo ? (openBlock(), createBlock(f, { key: 0 })) : createCommentVNode("", !0),
                  !r.isMobile && u.isHeaderStick && r.headerFix ? (openBlock(), createBlock(f, { key: 1 })) : createCommentVNode("", !0),
                  (r.isMobile || r.showSiderCollapse) && !r.hideSider ? (openBlock(), createBlock(p, {
                    key: 2,
                    onOnToggleDrawer: u.handleToggleDrawer
                  }, null, 8, ["onOnToggleDrawer"])) : createCommentVNode("", !0),
                  !r.isMobile && r.showReload ? (openBlock(), createBlock(v, {
                    key: 3,
                    onOnReload: u.handleReload
                  }, null, 8, ["onOnReload"])) : createCommentVNode("", !0),
                  r.headerMenu && !r.isMobile ? (openBlock(), createBlock(g, {
                    key: 4,
                    ref: "menuHead"
                  }, null, 512)) : createCommentVNode("", !0),
                  r.showBreadcrumb && !r.headerMenu && !r.isMobile ? (openBlock(), createBlock(y, {
                    key: 5,
                    ref: "breadcrumb"
                  }, null, 512)) : createCommentVNode("", !0),
                  r.showSearch && !r.headerMenu && !r.isMobile && !r.showBreadcrumb ? (openBlock(), createBlock(_, { key: 6 })) : createCommentVNode("", !0),
                  createElementVNode("div", _hoisted_1, [
                    renderSlot(r.$slots, "header"),
                    renderSlot(r.$slots, "search", {}, () => [
                      r.showSearch && r.isMobile || r.showSearch && (r.headerMenu || r.showBreadcrumb) ? (openBlock(), createBlock(_, { key: 0 })) : createCommentVNode("", !0)
                    ]),
                    r.headerMenu && r.isMobile ? (openBlock(), createBlock(g, { key: 0 })) : createCommentVNode("", !0),
                    r.isDesktop && r.showFullscreen ? (openBlock(), createBlock(S, { key: 1 })) : createCommentVNode("", !0),
                    renderSlot(r.$slots, "notice", {}, () => [
                      r.showNotice ? (openBlock(), createBlock(C, {
                        key: 0,
                        ref: "notice"
                      }, null, 512)) : createCommentVNode("", !0)
                    ]),
                    renderSlot(r.$slots, "user", {}, () => [
                      createVNode$1(b)
                    ]),
                    renderSlot(r.$slots, "i18n", {}, () => [
                      r.showI18n ? (openBlock(), createBlock(T, { key: 0 })) : createCommentVNode("", !0)
                    ]),
                    renderSlot(r.$slots, "setting", {}, () => [
                      r.enableSetting && !r.isMobile ? (openBlock(), createBlock(E, { key: 0 })) : createCommentVNode("", !0)
                    ])
                  ])
                ]),
                _: 3
              }, 8, ["class", "style"])), [
                [vShow, u.showHeader],
                [F, u.handleHeaderWidthChange]
              ])
            ]),
            _: 3
          }),
          createVNode$1(N, {
            class: normalizeClass(["i-layout-content", u.contentClasses])
          }, {
            default: withCtx(() => [
              createVNode$1(Transition, { name: "fade-quick" }, {
                default: withCtx(() => [
                  r.tabs ? withDirectives((openBlock(), createBlock($, {
                    key: 0,
                    onOnReload: u.handleReload
                  }, null, 8, ["onOnReload"])), [
                    [vShow, u.showHeader]
                  ]) : createCommentVNode("", !0)
                ]),
                _: 1
              }),
              createElementVNode("div", _hoisted_2, [
                createVNode$1(A, null, {
                  default: withCtx(({ Component: U }) => [
                    (openBlock(), createBlock(KeepAlive, { include: r.keepAlive }, [
                      l.loadRouter ? (openBlock(), createBlock(resolveDynamicComponent(U), {
                        key: r.$route.name
                      })) : createCommentVNode("", !0)
                    ], 1032, ["include"]))
                  ]),
                  _: 1
                })
              ])
            ]),
            _: 1
          }, 8, ["class"]),
          createVNode$1(P)
        ]),
        _: 3
      }, 8, ["class"]),
      r.isMobile && !r.hideSider ? (openBlock(), createElementBlock("div", _hoisted_3, [
        createVNode$1(O, {
          modelValue: l.showDrawer,
          "onUpdate:modelValue": a[0] || (a[0] = (U) => l.showDrawer = U),
          placement: "left",
          closable: !1,
          "class-name": u.drawerClasses
        }, {
          default: withCtx(() => [
            createVNode$1(c)
          ]),
          _: 1
        }, 8, ["modelValue", "class-name"])
      ])) : createCommentVNode("", !0),
      createVNode$1(M)
    ]),
    _: 3
  });
}
const index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */
var extendStatics = function(r, a) {
  return extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(o, s) {
    o.__proto__ = s;
  } || function(o, s) {
    for (var l in s) Object.prototype.hasOwnProperty.call(s, l) && (o[l] = s[l]);
  }, extendStatics(r, a);
};
function __extends(r, a) {
  if (typeof a != "function" && a !== null)
    throw new TypeError("Class extends value " + String(a) + " is not a constructor or null");
  extendStatics(r, a);
  function o() {
    this.constructor = r;
  }
  r.prototype = a === null ? Object.create(a) : (o.prototype = a.prototype, new o());
}
var Browser = /* @__PURE__ */ function() {
  function r() {
    this.firefox = !1, this.ie = !1, this.edge = !1, this.newEdge = !1, this.weChat = !1;
  }
  return r;
}(), Env = /* @__PURE__ */ function() {
  function r() {
    this.browser = new Browser(), this.node = !1, this.wxa = !1, this.worker = !1, this.svgSupported = !1, this.touchEventsSupported = !1, this.pointerEventsSupported = !1, this.domSupported = !1, this.transformSupported = !1, this.transform3dSupported = !1, this.hasGlobalWindow = typeof window < "u";
  }
  return r;
}(), env = new Env();
typeof wx == "object" && typeof wx.getSystemInfoSync == "function" ? (env.wxa = !0, env.touchEventsSupported = !0) : typeof document > "u" && typeof self < "u" ? env.worker = !0 : !env.hasGlobalWindow || "Deno" in window ? (env.node = !0, env.svgSupported = !0) : detect(navigator.userAgent, env);
function detect(r, a) {
  var o = a.browser, s = r.match(/Firefox\/([\d.]+)/), l = r.match(/MSIE\s([\d.]+)/) || r.match(/Trident\/.+?rv:(([\d.]+))/), u = r.match(/Edge?\/([\d.]+)/), c = /micromessenger/i.test(r);
  s && (o.firefox = !0, o.version = s[1]), l && (o.ie = !0, o.version = l[1]), u && (o.edge = !0, o.version = u[1], o.newEdge = +u[1].split(".")[0] > 18), c && (o.weChat = !0), a.svgSupported = typeof SVGRect < "u", a.touchEventsSupported = "ontouchstart" in window && !o.ie && !o.edge, a.pointerEventsSupported = "onpointerdown" in window && (o.edge || o.ie && +o.version >= 11), a.domSupported = typeof document < "u";
  var d = document.documentElement.style;
  a.transform3dSupported = (o.ie && "transition" in d || o.edge || "WebKitCSSMatrix" in window && "m11" in new WebKitCSSMatrix() || "MozPerspective" in d) && !("OTransition" in d), a.transformSupported = a.transform3dSupported || o.ie && +o.version >= 9;
}
var DEFAULT_FONT_SIZE = 12, DEFAULT_FONT_FAMILY = "sans-serif", DEFAULT_FONT = DEFAULT_FONT_SIZE + "px " + DEFAULT_FONT_FAMILY, OFFSET = 20, SCALE = 100, defaultWidthMapStr = "007LLmW'55;N0500LLLLLLLLLL00NNNLzWW\\\\WQb\\0FWLg\\bWb\\WQ\\WrWWQ000CL5LLFLL0LL**F*gLLLL5F0LF\\FFF5.5N";
function getTextWidthMap(r) {
  var a = {};
  if (typeof JSON > "u")
    return a;
  for (var o = 0; o < r.length; o++) {
    var s = String.fromCharCode(o + 32), l = (r.charCodeAt(o) - OFFSET) / SCALE;
    a[s] = l;
  }
  return a;
}
var DEFAULT_TEXT_WIDTH_MAP = getTextWidthMap(defaultWidthMapStr), platformApi = {
  createCanvas: function() {
    return typeof document < "u" && document.createElement("canvas");
  },
  measureText: /* @__PURE__ */ function() {
    var r, a;
    return function(o, s) {
      if (!r) {
        var l = platformApi.createCanvas();
        r = l && l.getContext("2d");
      }
      if (r)
        return a !== s && (a = r.font = s || DEFAULT_FONT), r.measureText(o);
      o = o || "", s = s || DEFAULT_FONT;
      var u = /((?:\d+)?\.?\d*)px/.exec(s), c = u && +u[1] || DEFAULT_FONT_SIZE, d = 0;
      if (s.indexOf("mono") >= 0)
        d = c * o.length;
      else
        for (var f = 0; f < o.length; f++) {
          var p = DEFAULT_TEXT_WIDTH_MAP[o[f]];
          d += p == null ? c : p * c;
        }
      return { width: d };
    };
  }(),
  loadImage: function(r, a, o) {
    var s = new Image();
    return s.onload = a, s.onerror = o, s.src = r, s;
  }
};
function setPlatformAPI(r) {
  for (var a in platformApi)
    r[a] && (platformApi[a] = r[a]);
}
var BUILTIN_OBJECT = reduce([
  "Function",
  "RegExp",
  "Date",
  "Error",
  "CanvasGradient",
  "CanvasPattern",
  "Image",
  "Canvas"
], function(r, a) {
  return r["[object " + a + "]"] = !0, r;
}, {}), TYPED_ARRAY = reduce([
  "Int8",
  "Uint8",
  "Uint8Clamped",
  "Int16",
  "Uint16",
  "Int32",
  "Uint32",
  "Float32",
  "Float64"
], function(r, a) {
  return r["[object " + a + "Array]"] = !0, r;
}, {}), objToString = Object.prototype.toString, arrayProto = Array.prototype, nativeForEach = arrayProto.forEach, nativeFilter = arrayProto.filter, nativeSlice = arrayProto.slice, nativeMap = arrayProto.map, ctorFunction = (function() {
}).constructor, protoFunction = ctorFunction ? ctorFunction.prototype : null, protoKey = "__proto__", idStart = 2311;
function guid() {
  return idStart++;
}
function logError() {
  for (var r = [], a = 0; a < arguments.length; a++)
    r[a] = arguments[a];
  typeof console < "u" && console.error.apply(console, r);
}
function clone$4(r) {
  if (r == null || typeof r != "object")
    return r;
  var a = r, o = objToString.call(r);
  if (o === "[object Array]") {
    if (!isPrimitive(r)) {
      a = [];
      for (var s = 0, l = r.length; s < l; s++)
        a[s] = clone$4(r[s]);
    }
  } else if (TYPED_ARRAY[o]) {
    if (!isPrimitive(r)) {
      var u = r.constructor;
      if (u.from)
        a = u.from(r);
      else {
        a = new u(r.length);
        for (var s = 0, l = r.length; s < l; s++)
          a[s] = r[s];
      }
    }
  } else if (!BUILTIN_OBJECT[o] && !isPrimitive(r) && !isDom(r)) {
    a = {};
    for (var c in r)
      r.hasOwnProperty(c) && c !== protoKey && (a[c] = clone$4(r[c]));
  }
  return a;
}
function merge(r, a, o) {
  if (!isObject$3(a) || !isObject$3(r))
    return o ? clone$4(a) : r;
  for (var s in a)
    if (a.hasOwnProperty(s) && s !== protoKey) {
      var l = r[s], u = a[s];
      isObject$3(u) && isObject$3(l) && !isArray$1(u) && !isArray$1(l) && !isDom(u) && !isDom(l) && !isBuiltInObject(u) && !isBuiltInObject(l) && !isPrimitive(u) && !isPrimitive(l) ? merge(l, u, o) : (o || !(s in r)) && (r[s] = clone$4(a[s]));
    }
  return r;
}
function mergeAll(r, a) {
  for (var o = r[0], s = 1, l = r.length; s < l; s++)
    o = merge(o, r[s], a);
  return o;
}
function extend(r, a) {
  if (Object.assign)
    Object.assign(r, a);
  else
    for (var o in a)
      a.hasOwnProperty(o) && o !== protoKey && (r[o] = a[o]);
  return r;
}
function defaults(r, a, o) {
  for (var s = keys(a), l = 0, u = s.length; l < u; l++) {
    var c = s[l];
    (o ? a[c] != null : r[c] == null) && (r[c] = a[c]);
  }
  return r;
}
var createCanvas = platformApi.createCanvas;
function indexOf(r, a) {
  if (r) {
    if (r.indexOf)
      return r.indexOf(a);
    for (var o = 0, s = r.length; o < s; o++)
      if (r[o] === a)
        return o;
  }
  return -1;
}
function inherits(r, a) {
  var o = r.prototype;
  function s() {
  }
  s.prototype = a.prototype, r.prototype = new s();
  for (var l in o)
    o.hasOwnProperty(l) && (r.prototype[l] = o[l]);
  r.prototype.constructor = r, r.superClass = a;
}
function mixin(r, a, o) {
  if (r = "prototype" in r ? r.prototype : r, a = "prototype" in a ? a.prototype : a, Object.getOwnPropertyNames)
    for (var s = Object.getOwnPropertyNames(a), l = 0; l < s.length; l++) {
      var u = s[l];
      u !== "constructor" && (o ? a[u] != null : r[u] == null) && (r[u] = a[u]);
    }
  else
    defaults(r, a, o);
}
function isArrayLike(r) {
  return !r || typeof r == "string" ? !1 : typeof r.length == "number";
}
function each$f(r, a, o) {
  if (r && a)
    if (r.forEach && r.forEach === nativeForEach)
      r.forEach(a, o);
    else if (r.length === +r.length)
      for (var s = 0, l = r.length; s < l; s++)
        a.call(o, r[s], s, r);
    else
      for (var u in r)
        r.hasOwnProperty(u) && a.call(o, r[u], u, r);
}
function map$1(r, a, o) {
  if (!r)
    return [];
  if (!a)
    return slice(r);
  if (r.map && r.map === nativeMap)
    return r.map(a, o);
  for (var s = [], l = 0, u = r.length; l < u; l++)
    s.push(a.call(o, r[l], l, r));
  return s;
}
function reduce(r, a, o, s) {
  if (r && a) {
    for (var l = 0, u = r.length; l < u; l++)
      o = a.call(s, o, r[l], l, r);
    return o;
  }
}
function filter(r, a, o) {
  if (!r)
    return [];
  if (!a)
    return slice(r);
  if (r.filter && r.filter === nativeFilter)
    return r.filter(a, o);
  for (var s = [], l = 0, u = r.length; l < u; l++)
    a.call(o, r[l], l, r) && s.push(r[l]);
  return s;
}
function find(r, a, o) {
  if (r && a) {
    for (var s = 0, l = r.length; s < l; s++)
      if (a.call(o, r[s], s, r))
        return r[s];
  }
}
function keys(r) {
  if (!r)
    return [];
  if (Object.keys)
    return Object.keys(r);
  var a = [];
  for (var o in r)
    r.hasOwnProperty(o) && a.push(o);
  return a;
}
function bindPolyfill(r, a) {
  for (var o = [], s = 2; s < arguments.length; s++)
    o[s - 2] = arguments[s];
  return function() {
    return r.apply(a, o.concat(nativeSlice.call(arguments)));
  };
}
var bind$1 = protoFunction && isFunction(protoFunction.bind) ? protoFunction.call.bind(protoFunction.bind) : bindPolyfill;
function curry$1(r) {
  for (var a = [], o = 1; o < arguments.length; o++)
    a[o - 1] = arguments[o];
  return function() {
    return r.apply(this, a.concat(nativeSlice.call(arguments)));
  };
}
function isArray$1(r) {
  return Array.isArray ? Array.isArray(r) : objToString.call(r) === "[object Array]";
}
function isFunction(r) {
  return typeof r == "function";
}
function isString(r) {
  return typeof r == "string";
}
function isStringSafe(r) {
  return objToString.call(r) === "[object String]";
}
function isNumber(r) {
  return typeof r == "number";
}
function isObject$3(r) {
  var a = typeof r;
  return a === "function" || !!r && a === "object";
}
function isBuiltInObject(r) {
  return !!BUILTIN_OBJECT[objToString.call(r)];
}
function isTypedArray(r) {
  return !!TYPED_ARRAY[objToString.call(r)];
}
function isDom(r) {
  return typeof r == "object" && typeof r.nodeType == "number" && typeof r.ownerDocument == "object";
}
function isGradientObject(r) {
  return r.colorStops != null;
}
function isImagePatternObject(r) {
  return r.image != null;
}
function isRegExp(r) {
  return objToString.call(r) === "[object RegExp]";
}
function eqNaN(r) {
  return r !== r;
}
function retrieve() {
  for (var r = [], a = 0; a < arguments.length; a++)
    r[a] = arguments[a];
  for (var o = 0, s = r.length; o < s; o++)
    if (r[o] != null)
      return r[o];
}
function retrieve2(r, a) {
  return r ?? a;
}
function retrieve3(r, a, o) {
  return r ?? a ?? o;
}
function slice(r) {
  for (var a = [], o = 1; o < arguments.length; o++)
    a[o - 1] = arguments[o];
  return nativeSlice.apply(r, a);
}
function normalizeCssArray$1(r) {
  if (typeof r == "number")
    return [r, r, r, r];
  var a = r.length;
  return a === 2 ? [r[0], r[1], r[0], r[1]] : a === 3 ? [r[0], r[1], r[2], r[1]] : r;
}
function assert(r, a) {
  if (!r)
    throw new Error(a);
}
function trim$1(r) {
  return r == null ? null : typeof r.trim == "function" ? r.trim() : r.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, "");
}
var primitiveKey = "__ec_primitive__";
function setAsPrimitive(r) {
  r[primitiveKey] = !0;
}
function isPrimitive(r) {
  return r[primitiveKey];
}
var MapPolyfill = function() {
  function r() {
    this.data = {};
  }
  return r.prototype.delete = function(a) {
    var o = this.has(a);
    return o && delete this.data[a], o;
  }, r.prototype.has = function(a) {
    return this.data.hasOwnProperty(a);
  }, r.prototype.get = function(a) {
    return this.data[a];
  }, r.prototype.set = function(a, o) {
    return this.data[a] = o, this;
  }, r.prototype.keys = function() {
    return keys(this.data);
  }, r.prototype.forEach = function(a) {
    var o = this.data;
    for (var s in o)
      o.hasOwnProperty(s) && a(o[s], s);
  }, r;
}(), isNativeMapSupported = typeof Map == "function";
function maybeNativeMap() {
  return isNativeMapSupported ? /* @__PURE__ */ new Map() : new MapPolyfill();
}
var HashMap = function() {
  function r(a) {
    var o = isArray$1(a);
    this.data = maybeNativeMap();
    var s = this;
    a instanceof r ? a.each(l) : a && each$f(a, l);
    function l(u, c) {
      o ? s.set(u, c) : s.set(c, u);
    }
  }
  return r.prototype.hasKey = function(a) {
    return this.data.has(a);
  }, r.prototype.get = function(a) {
    return this.data.get(a);
  }, r.prototype.set = function(a, o) {
    return this.data.set(a, o), o;
  }, r.prototype.each = function(a, o) {
    this.data.forEach(function(s, l) {
      a.call(o, s, l);
    });
  }, r.prototype.keys = function() {
    var a = this.data.keys();
    return isNativeMapSupported ? Array.from(a) : a;
  }, r.prototype.removeKey = function(a) {
    this.data.delete(a);
  }, r;
}();
function createHashMap(r) {
  return new HashMap(r);
}
function concatArray(r, a) {
  for (var o = new r.constructor(r.length + a.length), s = 0; s < r.length; s++)
    o[s] = r[s];
  for (var l = r.length, s = 0; s < a.length; s++)
    o[s + l] = a[s];
  return o;
}
function createObject(r, a) {
  var o;
  if (Object.create)
    o = Object.create(r);
  else {
    var s = function() {
    };
    s.prototype = r, o = new s();
  }
  return a && extend(o, a), o;
}
function disableUserSelect(r) {
  var a = r.style;
  a.webkitUserSelect = "none", a.userSelect = "none", a.webkitTapHighlightColor = "rgba(0,0,0,0)", a["-webkit-touch-callout"] = "none";
}
function hasOwn(r, a) {
  return r.hasOwnProperty(a);
}
function noop() {
}
var RADIAN_TO_DEGREE = 180 / Math.PI;
const util$1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  HashMap,
  RADIAN_TO_DEGREE,
  assert,
  bind: bind$1,
  clone: clone$4,
  concatArray,
  createCanvas,
  createHashMap,
  createObject,
  curry: curry$1,
  defaults,
  disableUserSelect,
  each: each$f,
  eqNaN,
  extend,
  filter,
  find,
  guid,
  hasOwn,
  indexOf,
  inherits,
  isArray: isArray$1,
  isArrayLike,
  isBuiltInObject,
  isDom,
  isFunction,
  isGradientObject,
  isImagePatternObject,
  isNumber,
  isObject: isObject$3,
  isPrimitive,
  isRegExp,
  isString,
  isStringSafe,
  isTypedArray,
  keys,
  logError,
  map: map$1,
  merge,
  mergeAll,
  mixin,
  noop,
  normalizeCssArray: normalizeCssArray$1,
  reduce,
  retrieve,
  retrieve2,
  retrieve3,
  setAsPrimitive,
  slice,
  trim: trim$1
}, Symbol.toStringTag, { value: "Module" }));
function create$2(r, a) {
  return r == null && (r = 0), a == null && (a = 0), [r, a];
}
function copy$1(r, a) {
  return r[0] = a[0], r[1] = a[1], r;
}
function clone$3(r) {
  return [r[0], r[1]];
}
function set$1(r, a, o) {
  return r[0] = a, r[1] = o, r;
}
function add(r, a, o) {
  return r[0] = a[0] + o[0], r[1] = a[1] + o[1], r;
}
function scaleAndAdd$1(r, a, o, s) {
  return r[0] = a[0] + o[0] * s, r[1] = a[1] + o[1] * s, r;
}
function sub(r, a, o) {
  return r[0] = a[0] - o[0], r[1] = a[1] - o[1], r;
}
function len(r) {
  return Math.sqrt(lenSquare(r));
}
var length = len;
function lenSquare(r) {
  return r[0] * r[0] + r[1] * r[1];
}
var lengthSquare = lenSquare;
function mul$1(r, a, o) {
  return r[0] = a[0] * o[0], r[1] = a[1] * o[1], r;
}
function div(r, a, o) {
  return r[0] = a[0] / o[0], r[1] = a[1] / o[1], r;
}
function dot(r, a) {
  return r[0] * a[0] + r[1] * a[1];
}
function scale$2(r, a, o) {
  return r[0] = a[0] * o, r[1] = a[1] * o, r;
}
function normalize$3(r, a) {
  var o = len(a);
  return o === 0 ? (r[0] = 0, r[1] = 0) : (r[0] = a[0] / o, r[1] = a[1] / o), r;
}
function distance(r, a) {
  return Math.sqrt((r[0] - a[0]) * (r[0] - a[0]) + (r[1] - a[1]) * (r[1] - a[1]));
}
var dist$1 = distance;
function distanceSquare(r, a) {
  return (r[0] - a[0]) * (r[0] - a[0]) + (r[1] - a[1]) * (r[1] - a[1]);
}
var distSquare = distanceSquare;
function negate(r, a) {
  return r[0] = -a[0], r[1] = -a[1], r;
}
function lerp$1(r, a, o, s) {
  return r[0] = a[0] + s * (o[0] - a[0]), r[1] = a[1] + s * (o[1] - a[1]), r;
}
function applyTransform$1(r, a, o) {
  var s = a[0], l = a[1];
  return r[0] = o[0] * s + o[2] * l + o[4], r[1] = o[1] * s + o[3] * l + o[5], r;
}
function min$1(r, a, o) {
  return r[0] = Math.min(a[0], o[0]), r[1] = Math.min(a[1], o[1]), r;
}
function max$1(r, a, o) {
  return r[0] = Math.max(a[0], o[0]), r[1] = Math.max(a[1], o[1]), r;
}
const vector = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  add,
  applyTransform: applyTransform$1,
  clone: clone$3,
  copy: copy$1,
  create: create$2,
  dist: dist$1,
  distSquare,
  distance,
  distanceSquare,
  div,
  dot,
  len,
  lenSquare,
  length,
  lengthSquare,
  lerp: lerp$1,
  max: max$1,
  min: min$1,
  mul: mul$1,
  negate,
  normalize: normalize$3,
  scale: scale$2,
  scaleAndAdd: scaleAndAdd$1,
  set: set$1,
  sub
}, Symbol.toStringTag, { value: "Module" }));
var Param = /* @__PURE__ */ function() {
  function r(a, o) {
    this.target = a, this.topTarget = o && o.topTarget;
  }
  return r;
}(), Draggable = function() {
  function r(a) {
    this.handler = a, a.on("mousedown", this._dragStart, this), a.on("mousemove", this._drag, this), a.on("mouseup", this._dragEnd, this);
  }
  return r.prototype._dragStart = function(a) {
    for (var o = a.target; o && !o.draggable; )
      o = o.parent || o.__hostTarget;
    o && (this._draggingTarget = o, o.dragging = !0, this._x = a.offsetX, this._y = a.offsetY, this.handler.dispatchToElement(new Param(o, a), "dragstart", a.event));
  }, r.prototype._drag = function(a) {
    var o = this._draggingTarget;
    if (o) {
      var s = a.offsetX, l = a.offsetY, u = s - this._x, c = l - this._y;
      this._x = s, this._y = l, o.drift(u, c, a), this.handler.dispatchToElement(new Param(o, a), "drag", a.event);
      var d = this.handler.findHover(s, l, o).target, f = this._dropTarget;
      this._dropTarget = d, o !== d && (f && d !== f && this.handler.dispatchToElement(new Param(f, a), "dragleave", a.event), d && d !== f && this.handler.dispatchToElement(new Param(d, a), "dragenter", a.event));
    }
  }, r.prototype._dragEnd = function(a) {
    var o = this._draggingTarget;
    o && (o.dragging = !1), this.handler.dispatchToElement(new Param(o, a), "dragend", a.event), this._dropTarget && this.handler.dispatchToElement(new Param(this._dropTarget, a), "drop", a.event), this._draggingTarget = null, this._dropTarget = null;
  }, r;
}(), Eventful = function() {
  function r(a) {
    a && (this._$eventProcessor = a);
  }
  return r.prototype.on = function(a, o, s, l) {
    this._$handlers || (this._$handlers = {});
    var u = this._$handlers;
    if (typeof o == "function" && (l = s, s = o, o = null), !s || !a)
      return this;
    var c = this._$eventProcessor;
    o != null && c && c.normalizeQuery && (o = c.normalizeQuery(o)), u[a] || (u[a] = []);
    for (var d = 0; d < u[a].length; d++)
      if (u[a][d].h === s)
        return this;
    var f = {
      h: s,
      query: o,
      ctx: l || this,
      callAtLast: s.zrEventfulCallAtLast
    }, p = u[a].length - 1, v = u[a][p];
    return v && v.callAtLast ? u[a].splice(p, 0, f) : u[a].push(f), this;
  }, r.prototype.isSilent = function(a) {
    var o = this._$handlers;
    return !o || !o[a] || !o[a].length;
  }, r.prototype.off = function(a, o) {
    var s = this._$handlers;
    if (!s)
      return this;
    if (!a)
      return this._$handlers = {}, this;
    if (o) {
      if (s[a]) {
        for (var l = [], u = 0, c = s[a].length; u < c; u++)
          s[a][u].h !== o && l.push(s[a][u]);
        s[a] = l;
      }
      s[a] && s[a].length === 0 && delete s[a];
    } else
      delete s[a];
    return this;
  }, r.prototype.trigger = function(a) {
    for (var o = [], s = 1; s < arguments.length; s++)
      o[s - 1] = arguments[s];
    if (!this._$handlers)
      return this;
    var l = this._$handlers[a], u = this._$eventProcessor;
    if (l)
      for (var c = o.length, d = l.length, f = 0; f < d; f++) {
        var p = l[f];
        if (!(u && u.filter && p.query != null && !u.filter(a, p.query)))
          switch (c) {
            case 0:
              p.h.call(p.ctx);
              break;
            case 1:
              p.h.call(p.ctx, o[0]);
              break;
            case 2:
              p.h.call(p.ctx, o[0], o[1]);
              break;
            default:
              p.h.apply(p.ctx, o);
              break;
          }
      }
    return u && u.afterTrigger && u.afterTrigger(a), this;
  }, r.prototype.triggerWithContext = function(a) {
    for (var o = [], s = 1; s < arguments.length; s++)
      o[s - 1] = arguments[s];
    if (!this._$handlers)
      return this;
    var l = this._$handlers[a], u = this._$eventProcessor;
    if (l)
      for (var c = o.length, d = o[c - 1], f = l.length, p = 0; p < f; p++) {
        var v = l[p];
        if (!(u && u.filter && v.query != null && !u.filter(a, v.query)))
          switch (c) {
            case 0:
              v.h.call(d);
              break;
            case 1:
              v.h.call(d, o[0]);
              break;
            case 2:
              v.h.call(d, o[0], o[1]);
              break;
            default:
              v.h.apply(d, o.slice(1, c - 1));
              break;
          }
      }
    return u && u.afterTrigger && u.afterTrigger(a), this;
  }, r;
}(), LN2 = Math.log(2);
function determinant(r, a, o, s, l, u) {
  var c = s + "-" + l, d = r.length;
  if (u.hasOwnProperty(c))
    return u[c];
  if (a === 1) {
    var f = Math.round(Math.log((1 << d) - 1 & ~l) / LN2);
    return r[o][f];
  }
  for (var p = s | 1 << o, v = o + 1; s & 1 << v; )
    v++;
  for (var g = 0, y = 0, _ = 0; y < d; y++) {
    var S = 1 << y;
    S & l || (g += (_ % 2 ? -1 : 1) * r[o][y] * determinant(r, a - 1, v, p, l | S, u), _++);
  }
  return u[c] = g, g;
}
function buildTransformer(r, a) {
  var o = [
    [r[0], r[1], 1, 0, 0, 0, -a[0] * r[0], -a[0] * r[1]],
    [0, 0, 0, r[0], r[1], 1, -a[1] * r[0], -a[1] * r[1]],
    [r[2], r[3], 1, 0, 0, 0, -a[2] * r[2], -a[2] * r[3]],
    [0, 0, 0, r[2], r[3], 1, -a[3] * r[2], -a[3] * r[3]],
    [r[4], r[5], 1, 0, 0, 0, -a[4] * r[4], -a[4] * r[5]],
    [0, 0, 0, r[4], r[5], 1, -a[5] * r[4], -a[5] * r[5]],
    [r[6], r[7], 1, 0, 0, 0, -a[6] * r[6], -a[6] * r[7]],
    [0, 0, 0, r[6], r[7], 1, -a[7] * r[6], -a[7] * r[7]]
  ], s = {}, l = determinant(o, 8, 0, 0, 0, s);
  if (l !== 0) {
    for (var u = [], c = 0; c < 8; c++)
      for (var d = 0; d < 8; d++)
        u[d] == null && (u[d] = 0), u[d] += ((c + d) % 2 ? -1 : 1) * determinant(o, 7, c === 0 ? 1 : 0, 1 << c, 1 << d, s) / l * a[c];
    return function(f, p, v) {
      var g = p * u[6] + v * u[7] + 1;
      f[0] = (p * u[0] + v * u[1] + u[2]) / g, f[1] = (p * u[3] + v * u[4] + u[5]) / g;
    };
  }
}
var EVENT_SAVED_PROP = "___zrEVENTSAVED", _calcOut$1 = [];
function transformLocalCoord(r, a, o, s, l) {
  return transformCoordWithViewport(_calcOut$1, a, s, l, !0) && transformCoordWithViewport(r, o, _calcOut$1[0], _calcOut$1[1]);
}
function transformCoordWithViewport(r, a, o, s, l) {
  if (a.getBoundingClientRect && env.domSupported && !isCanvasEl(a)) {
    var u = a[EVENT_SAVED_PROP] || (a[EVENT_SAVED_PROP] = {}), c = prepareCoordMarkers(a, u), d = preparePointerTransformer(c, u, l);
    if (d)
      return d(r, o, s), !0;
  }
  return !1;
}
function prepareCoordMarkers(r, a) {
  var o = a.markers;
  if (o)
    return o;
  o = a.markers = [];
  for (var s = ["left", "right"], l = ["top", "bottom"], u = 0; u < 4; u++) {
    var c = document.createElement("div"), d = c.style, f = u % 2, p = (u >> 1) % 2;
    d.cssText = [
      "position: absolute",
      "visibility: hidden",
      "padding: 0",
      "margin: 0",
      "border-width: 0",
      "user-select: none",
      "width:0",
      "height:0",
      s[f] + ":0",
      l[p] + ":0",
      s[1 - f] + ":auto",
      l[1 - p] + ":auto",
      ""
    ].join("!important;"), r.appendChild(c), o.push(c);
  }
  return o;
}
function preparePointerTransformer(r, a, o) {
  for (var s = o ? "invTrans" : "trans", l = a[s], u = a.srcCoords, c = [], d = [], f = !0, p = 0; p < 4; p++) {
    var v = r[p].getBoundingClientRect(), g = 2 * p, y = v.left, _ = v.top;
    c.push(y, _), f = f && u && y === u[g] && _ === u[g + 1], d.push(r[p].offsetLeft, r[p].offsetTop);
  }
  return f && l ? l : (a.srcCoords = c, a[s] = o ? buildTransformer(d, c) : buildTransformer(c, d));
}
function isCanvasEl(r) {
  return r.nodeName.toUpperCase() === "CANVAS";
}
var replaceReg = /([&<>"'])/g, replaceMap = {
  "&": "&amp;",
  "<": "&lt;",
  ">": "&gt;",
  '"': "&quot;",
  "'": "&#39;"
};
function encodeHTML(r) {
  return r == null ? "" : (r + "").replace(replaceReg, function(a, o) {
    return replaceMap[o];
  });
}
var MOUSE_EVENT_REG = /^(?:mouse|pointer|contextmenu|drag|drop)|click/, _calcOut = [], firefoxNotSupportOffsetXY = env.browser.firefox && +env.browser.version.split(".")[0] < 39;
function clientToLocal(r, a, o, s) {
  return o = o || {}, s ? calculateZrXY(r, a, o) : firefoxNotSupportOffsetXY && a.layerX != null && a.layerX !== a.offsetX ? (o.zrX = a.layerX, o.zrY = a.layerY) : a.offsetX != null ? (o.zrX = a.offsetX, o.zrY = a.offsetY) : calculateZrXY(r, a, o), o;
}
function calculateZrXY(r, a, o) {
  if (env.domSupported && r.getBoundingClientRect) {
    var s = a.clientX, l = a.clientY;
    if (isCanvasEl(r)) {
      var u = r.getBoundingClientRect();
      o.zrX = s - u.left, o.zrY = l - u.top;
      return;
    } else if (transformCoordWithViewport(_calcOut, r, s, l)) {
      o.zrX = _calcOut[0], o.zrY = _calcOut[1];
      return;
    }
  }
  o.zrX = o.zrY = 0;
}
function getNativeEvent(r) {
  return r || window.event;
}
function normalizeEvent(r, a, o) {
  if (a = getNativeEvent(a), a.zrX != null)
    return a;
  var s = a.type, l = s && s.indexOf("touch") >= 0;
  if (l) {
    var c = s !== "touchend" ? a.targetTouches[0] : a.changedTouches[0];
    c && clientToLocal(r, c, a, o);
  } else {
    clientToLocal(r, a, a, o);
    var u = getWheelDeltaMayPolyfill(a);
    a.zrDelta = u ? u / 120 : -(a.detail || 0) / 3;
  }
  var d = a.button;
  return a.which == null && d !== void 0 && MOUSE_EVENT_REG.test(a.type) && (a.which = d & 1 ? 1 : d & 2 ? 3 : d & 4 ? 2 : 0), a;
}
function getWheelDeltaMayPolyfill(r) {
  var a = r.wheelDelta;
  if (a)
    return a;
  var o = r.deltaX, s = r.deltaY;
  if (o == null || s == null)
    return a;
  var l = Math.abs(s !== 0 ? s : o), u = s > 0 ? -1 : s < 0 ? 1 : o > 0 ? -1 : 1;
  return 3 * l * u;
}
function addEventListener(r, a, o, s) {
  r.addEventListener(a, o, s);
}
function removeEventListener(r, a, o, s) {
  r.removeEventListener(a, o, s);
}
var stop = function(r) {
  r.preventDefault(), r.stopPropagation(), r.cancelBubble = !0;
};
function isMiddleOrRightButtonOnMouseUpDown(r) {
  return r.which === 2 || r.which === 3;
}
var GestureMgr = function() {
  function r() {
    this._track = [];
  }
  return r.prototype.recognize = function(a, o, s) {
    return this._doTrack(a, o, s), this._recognize(a);
  }, r.prototype.clear = function() {
    return this._track.length = 0, this;
  }, r.prototype._doTrack = function(a, o, s) {
    var l = a.touches;
    if (l) {
      for (var u = {
        points: [],
        touches: [],
        target: o,
        event: a
      }, c = 0, d = l.length; c < d; c++) {
        var f = l[c], p = clientToLocal(s, f, {});
        u.points.push([p.zrX, p.zrY]), u.touches.push(f);
      }
      this._track.push(u);
    }
  }, r.prototype._recognize = function(a) {
    for (var o in recognizers)
      if (recognizers.hasOwnProperty(o)) {
        var s = recognizers[o](this._track, a);
        if (s)
          return s;
      }
  }, r;
}();
function dist(r) {
  var a = r[1][0] - r[0][0], o = r[1][1] - r[0][1];
  return Math.sqrt(a * a + o * o);
}
function center$1(r) {
  return [
    (r[0][0] + r[1][0]) / 2,
    (r[0][1] + r[1][1]) / 2
  ];
}
var recognizers = {
  pinch: function(r, a) {
    var o = r.length;
    if (o) {
      var s = (r[o - 1] || {}).points, l = (r[o - 2] || {}).points || s;
      if (l && l.length > 1 && s && s.length > 1) {
        var u = dist(s) / dist(l);
        !isFinite(u) && (u = 1), a.pinchScale = u;
        var c = center$1(s);
        return a.pinchX = c[0], a.pinchY = c[1], {
          type: "pinch",
          target: r[0].target,
          event: a
        };
      }
    }
  }
};
function create$1() {
  return [1, 0, 0, 1, 0, 0];
}
function identity(r) {
  return r[0] = 1, r[1] = 0, r[2] = 0, r[3] = 1, r[4] = 0, r[5] = 0, r;
}
function copy(r, a) {
  return r[0] = a[0], r[1] = a[1], r[2] = a[2], r[3] = a[3], r[4] = a[4], r[5] = a[5], r;
}
function mul(r, a, o) {
  var s = a[0] * o[0] + a[2] * o[1], l = a[1] * o[0] + a[3] * o[1], u = a[0] * o[2] + a[2] * o[3], c = a[1] * o[2] + a[3] * o[3], d = a[0] * o[4] + a[2] * o[5] + a[4], f = a[1] * o[4] + a[3] * o[5] + a[5];
  return r[0] = s, r[1] = l, r[2] = u, r[3] = c, r[4] = d, r[5] = f, r;
}
function translate(r, a, o) {
  return r[0] = a[0], r[1] = a[1], r[2] = a[2], r[3] = a[3], r[4] = a[4] + o[0], r[5] = a[5] + o[1], r;
}
function rotate(r, a, o, s) {
  s === void 0 && (s = [0, 0]);
  var l = a[0], u = a[2], c = a[4], d = a[1], f = a[3], p = a[5], v = Math.sin(o), g = Math.cos(o);
  return r[0] = l * g + d * v, r[1] = -l * v + d * g, r[2] = u * g + f * v, r[3] = -u * v + g * f, r[4] = g * (c - s[0]) + v * (p - s[1]) + s[0], r[5] = g * (p - s[1]) - v * (c - s[0]) + s[1], r;
}
function scale$1(r, a, o) {
  var s = o[0], l = o[1];
  return r[0] = a[0] * s, r[1] = a[1] * l, r[2] = a[2] * s, r[3] = a[3] * l, r[4] = a[4] * s, r[5] = a[5] * l, r;
}
function invert(r, a) {
  var o = a[0], s = a[2], l = a[4], u = a[1], c = a[3], d = a[5], f = o * c - u * s;
  return f ? (f = 1 / f, r[0] = c * f, r[1] = -u * f, r[2] = -s * f, r[3] = o * f, r[4] = (s * d - c * l) * f, r[5] = (u * l - o * d) * f, r) : null;
}
function clone$2(r) {
  var a = create$1();
  return copy(a, r), a;
}
const matrix = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  clone: clone$2,
  copy,
  create: create$1,
  identity,
  invert,
  mul,
  rotate,
  scale: scale$1,
  translate
}, Symbol.toStringTag, { value: "Module" }));
var Point = function() {
  function r(a, o) {
    this.x = a || 0, this.y = o || 0;
  }
  return r.prototype.copy = function(a) {
    return this.x = a.x, this.y = a.y, this;
  }, r.prototype.clone = function() {
    return new r(this.x, this.y);
  }, r.prototype.set = function(a, o) {
    return this.x = a, this.y = o, this;
  }, r.prototype.equal = function(a) {
    return a.x === this.x && a.y === this.y;
  }, r.prototype.add = function(a) {
    return this.x += a.x, this.y += a.y, this;
  }, r.prototype.scale = function(a) {
    this.x *= a, this.y *= a;
  }, r.prototype.scaleAndAdd = function(a, o) {
    this.x += a.x * o, this.y += a.y * o;
  }, r.prototype.sub = function(a) {
    return this.x -= a.x, this.y -= a.y, this;
  }, r.prototype.dot = function(a) {
    return this.x * a.x + this.y * a.y;
  }, r.prototype.len = function() {
    return Math.sqrt(this.x * this.x + this.y * this.y);
  }, r.prototype.lenSquare = function() {
    return this.x * this.x + this.y * this.y;
  }, r.prototype.normalize = function() {
    var a = this.len();
    return this.x /= a, this.y /= a, this;
  }, r.prototype.distance = function(a) {
    var o = this.x - a.x, s = this.y - a.y;
    return Math.sqrt(o * o + s * s);
  }, r.prototype.distanceSquare = function(a) {
    var o = this.x - a.x, s = this.y - a.y;
    return o * o + s * s;
  }, r.prototype.negate = function() {
    return this.x = -this.x, this.y = -this.y, this;
  }, r.prototype.transform = function(a) {
    if (a) {
      var o = this.x, s = this.y;
      return this.x = a[0] * o + a[2] * s + a[4], this.y = a[1] * o + a[3] * s + a[5], this;
    }
  }, r.prototype.toArray = function(a) {
    return a[0] = this.x, a[1] = this.y, a;
  }, r.prototype.fromArray = function(a) {
    this.x = a[0], this.y = a[1];
  }, r.set = function(a, o, s) {
    a.x = o, a.y = s;
  }, r.copy = function(a, o) {
    a.x = o.x, a.y = o.y;
  }, r.len = function(a) {
    return Math.sqrt(a.x * a.x + a.y * a.y);
  }, r.lenSquare = function(a) {
    return a.x * a.x + a.y * a.y;
  }, r.dot = function(a, o) {
    return a.x * o.x + a.y * o.y;
  }, r.add = function(a, o, s) {
    a.x = o.x + s.x, a.y = o.y + s.y;
  }, r.sub = function(a, o, s) {
    a.x = o.x - s.x, a.y = o.y - s.y;
  }, r.scale = function(a, o, s) {
    a.x = o.x * s, a.y = o.y * s;
  }, r.scaleAndAdd = function(a, o, s, l) {
    a.x = o.x + s.x * l, a.y = o.y + s.y * l;
  }, r.lerp = function(a, o, s, l) {
    var u = 1 - l;
    a.x = u * o.x + l * s.x, a.y = u * o.y + l * s.y;
  }, r;
}(), mathMin$a = Math.min, mathMax$a = Math.max, lt = new Point(), rb = new Point(), lb = new Point(), rt = new Point(), minTv$1 = new Point(), maxTv$1 = new Point(), BoundingRect = function() {
  function r(a, o, s, l) {
    s < 0 && (a = a + s, s = -s), l < 0 && (o = o + l, l = -l), this.x = a, this.y = o, this.width = s, this.height = l;
  }
  return r.prototype.union = function(a) {
    var o = mathMin$a(a.x, this.x), s = mathMin$a(a.y, this.y);
    isFinite(this.x) && isFinite(this.width) ? this.width = mathMax$a(a.x + a.width, this.x + this.width) - o : this.width = a.width, isFinite(this.y) && isFinite(this.height) ? this.height = mathMax$a(a.y + a.height, this.y + this.height) - s : this.height = a.height, this.x = o, this.y = s;
  }, r.prototype.applyTransform = function(a) {
    r.applyTransform(this, this, a);
  }, r.prototype.calculateTransform = function(a) {
    var o = this, s = a.width / o.width, l = a.height / o.height, u = create$1();
    return translate(u, u, [-o.x, -o.y]), scale$1(u, u, [s, l]), translate(u, u, [a.x, a.y]), u;
  }, r.prototype.intersect = function(a, o) {
    if (!a)
      return !1;
    a instanceof r || (a = r.create(a));
    var s = this, l = s.x, u = s.x + s.width, c = s.y, d = s.y + s.height, f = a.x, p = a.x + a.width, v = a.y, g = a.y + a.height, y = !(u < f || p < l || d < v || g < c);
    if (o) {
      var _ = 1 / 0, S = 0, C = Math.abs(u - f), b = Math.abs(p - l), T = Math.abs(d - v), E = Math.abs(g - c), x = Math.min(C, b), $ = Math.min(T, E);
      u < f || p < l ? x > S && (S = x, C < b ? Point.set(maxTv$1, -C, 0) : Point.set(maxTv$1, b, 0)) : x < _ && (_ = x, C < b ? Point.set(minTv$1, C, 0) : Point.set(minTv$1, -b, 0)), d < v || g < c ? $ > S && (S = $, T < E ? Point.set(maxTv$1, 0, -T) : Point.set(maxTv$1, 0, E)) : x < _ && (_ = x, T < E ? Point.set(minTv$1, 0, T) : Point.set(minTv$1, 0, -E));
    }
    return o && Point.copy(o, y ? minTv$1 : maxTv$1), y;
  }, r.prototype.contain = function(a, o) {
    var s = this;
    return a >= s.x && a <= s.x + s.width && o >= s.y && o <= s.y + s.height;
  }, r.prototype.clone = function() {
    return new r(this.x, this.y, this.width, this.height);
  }, r.prototype.copy = function(a) {
    r.copy(this, a);
  }, r.prototype.plain = function() {
    return {
      x: this.x,
      y: this.y,
      width: this.width,
      height: this.height
    };
  }, r.prototype.isFinite = function() {
    return isFinite(this.x) && isFinite(this.y) && isFinite(this.width) && isFinite(this.height);
  }, r.prototype.isZero = function() {
    return this.width === 0 || this.height === 0;
  }, r.create = function(a) {
    return new r(a.x, a.y, a.width, a.height);
  }, r.copy = function(a, o) {
    a.x = o.x, a.y = o.y, a.width = o.width, a.height = o.height;
  }, r.applyTransform = function(a, o, s) {
    if (!s) {
      a !== o && r.copy(a, o);
      return;
    }
    if (s[1] < 1e-5 && s[1] > -1e-5 && s[2] < 1e-5 && s[2] > -1e-5) {
      var l = s[0], u = s[3], c = s[4], d = s[5];
      a.x = o.x * l + c, a.y = o.y * u + d, a.width = o.width * l, a.height = o.height * u, a.width < 0 && (a.x += a.width, a.width = -a.width), a.height < 0 && (a.y += a.height, a.height = -a.height);
      return;
    }
    lt.x = lb.x = o.x, lt.y = rt.y = o.y, rb.x = rt.x = o.x + o.width, rb.y = lb.y = o.y + o.height, lt.transform(s), rt.transform(s), rb.transform(s), lb.transform(s), a.x = mathMin$a(lt.x, rb.x, lb.x, rt.x), a.y = mathMin$a(lt.y, rb.y, lb.y, rt.y);
    var f = mathMax$a(lt.x, rb.x, lb.x, rt.x), p = mathMax$a(lt.y, rb.y, lb.y, rt.y);
    a.width = f - a.x, a.height = p - a.y;
  }, r;
}(), SILENT = "silent";
function makeEventPacket(r, a, o) {
  return {
    type: r,
    event: o,
    target: a.target,
    topTarget: a.topTarget,
    cancelBubble: !1,
    offsetX: o.zrX,
    offsetY: o.zrY,
    gestureEvent: o.gestureEvent,
    pinchX: o.pinchX,
    pinchY: o.pinchY,
    pinchScale: o.pinchScale,
    wheelDelta: o.zrDelta,
    zrByTouch: o.zrByTouch,
    which: o.which,
    stop: stopEvent
  };
}
function stopEvent() {
  stop(this.event);
}
var EmptyProxy = function(r) {
  __extends(a, r);
  function a() {
    var o = r !== null && r.apply(this, arguments) || this;
    return o.handler = null, o;
  }
  return a.prototype.dispose = function() {
  }, a.prototype.setCursor = function() {
  }, a;
}(Eventful), HoveredResult = /* @__PURE__ */ function() {
  function r(a, o) {
    this.x = a, this.y = o;
  }
  return r;
}(), handlerNames = [
  "click",
  "dblclick",
  "mousewheel",
  "mouseout",
  "mouseup",
  "mousedown",
  "mousemove",
  "contextmenu"
], tmpRect$1 = new BoundingRect(0, 0, 0, 0), Handler = function(r) {
  __extends(a, r);
  function a(o, s, l, u, c) {
    var d = r.call(this) || this;
    return d._hovered = new HoveredResult(0, 0), d.storage = o, d.painter = s, d.painterRoot = u, d._pointerSize = c, l = l || new EmptyProxy(), d.proxy = null, d.setHandlerProxy(l), d._draggingMgr = new Draggable(d), d;
  }
  return a.prototype.setHandlerProxy = function(o) {
    this.proxy && this.proxy.dispose(), o && (each$f(handlerNames, function(s) {
      o.on && o.on(s, this[s], this);
    }, this), o.handler = this), this.proxy = o;
  }, a.prototype.mousemove = function(o) {
    var s = o.zrX, l = o.zrY, u = isOutsideBoundary(this, s, l), c = this._hovered, d = c.target;
    d && !d.__zr && (c = this.findHover(c.x, c.y), d = c.target);
    var f = this._hovered = u ? new HoveredResult(s, l) : this.findHover(s, l), p = f.target, v = this.proxy;
    v.setCursor && v.setCursor(p ? p.cursor : "default"), d && p !== d && this.dispatchToElement(c, "mouseout", o), this.dispatchToElement(f, "mousemove", o), p && p !== d && this.dispatchToElement(f, "mouseover", o);
  }, a.prototype.mouseout = function(o) {
    var s = o.zrEventControl;
    s !== "only_globalout" && this.dispatchToElement(this._hovered, "mouseout", o), s !== "no_globalout" && this.trigger("globalout", { type: "globalout", event: o });
  }, a.prototype.resize = function() {
    this._hovered = new HoveredResult(0, 0);
  }, a.prototype.dispatch = function(o, s) {
    var l = this[o];
    l && l.call(this, s);
  }, a.prototype.dispose = function() {
    this.proxy.dispose(), this.storage = null, this.proxy = null, this.painter = null;
  }, a.prototype.setCursorStyle = function(o) {
    var s = this.proxy;
    s.setCursor && s.setCursor(o);
  }, a.prototype.dispatchToElement = function(o, s, l) {
    o = o || {};
    var u = o.target;
    if (!(u && u.silent)) {
      for (var c = "on" + s, d = makeEventPacket(s, o, l); u && (u[c] && (d.cancelBubble = !!u[c].call(u, d)), u.trigger(s, d), u = u.__hostTarget ? u.__hostTarget : u.parent, !d.cancelBubble); )
        ;
      d.cancelBubble || (this.trigger(s, d), this.painter && this.painter.eachOtherLayer && this.painter.eachOtherLayer(function(f) {
        typeof f[c] == "function" && f[c].call(f, d), f.trigger && f.trigger(s, d);
      }));
    }
  }, a.prototype.findHover = function(o, s, l) {
    var u = this.storage.getDisplayList(), c = new HoveredResult(o, s);
    if (setHoverTarget(u, c, o, s, l), this._pointerSize && !c.target) {
      for (var d = [], f = this._pointerSize, p = f / 2, v = new BoundingRect(o - p, s - p, f, f), g = u.length - 1; g >= 0; g--) {
        var y = u[g];
        y !== l && !y.ignore && !y.ignoreCoarsePointer && (!y.parent || !y.parent.ignoreCoarsePointer) && (tmpRect$1.copy(y.getBoundingRect()), y.transform && tmpRect$1.applyTransform(y.transform), tmpRect$1.intersect(v) && d.push(y));
      }
      if (d.length)
        for (var _ = 4, S = Math.PI / 12, C = Math.PI * 2, b = 0; b < p; b += _)
          for (var T = 0; T < C; T += S) {
            var E = o + b * Math.cos(T), x = s + b * Math.sin(T);
            if (setHoverTarget(d, c, E, x, l), c.target)
              return c;
          }
    }
    return c;
  }, a.prototype.processGesture = function(o, s) {
    this._gestureMgr || (this._gestureMgr = new GestureMgr());
    var l = this._gestureMgr;
    s === "start" && l.clear();
    var u = l.recognize(o, this.findHover(o.zrX, o.zrY, null).target, this.proxy.dom);
    if (s === "end" && l.clear(), u) {
      var c = u.type;
      o.gestureEvent = c;
      var d = new HoveredResult();
      d.target = u.target, this.dispatchToElement(d, c, u.event);
    }
  }, a;
}(Eventful);
each$f(["click", "mousedown", "mouseup", "mousewheel", "dblclick", "contextmenu"], function(r) {
  Handler.prototype[r] = function(a) {
    var o = a.zrX, s = a.zrY, l = isOutsideBoundary(this, o, s), u, c;
    if ((r !== "mouseup" || !l) && (u = this.findHover(o, s), c = u.target), r === "mousedown")
      this._downEl = c, this._downPoint = [a.zrX, a.zrY], this._upEl = c;
    else if (r === "mouseup")
      this._upEl = c;
    else if (r === "click") {
      if (this._downEl !== this._upEl || !this._downPoint || dist$1(this._downPoint, [a.zrX, a.zrY]) > 4)
        return;
      this._downPoint = null;
    }
    this.dispatchToElement(u, r, a);
  };
});
function isHover(r, a, o) {
  if (r[r.rectHover ? "rectContain" : "contain"](a, o)) {
    for (var s = r, l = void 0, u = !1; s; ) {
      if (s.ignoreClip && (u = !0), !u) {
        var c = s.getClipPath();
        if (c && !c.contain(a, o))
          return !1;
      }
      s.silent && (l = !0);
      var d = s.__hostTarget;
      s = d || s.parent;
    }
    return l ? SILENT : !0;
  }
  return !1;
}
function setHoverTarget(r, a, o, s, l) {
  for (var u = r.length - 1; u >= 0; u--) {
    var c = r[u], d = void 0;
    if (c !== l && !c.ignore && (d = isHover(c, o, s)) && (!a.topTarget && (a.topTarget = c), d !== SILENT)) {
      a.target = c;
      break;
    }
  }
}
function isOutsideBoundary(r, a, o) {
  var s = r.painter;
  return a < 0 || a > s.getWidth() || o < 0 || o > s.getHeight();
}
var DEFAULT_MIN_MERGE = 32, DEFAULT_MIN_GALLOPING = 7;
function minRunLength(r) {
  for (var a = 0; r >= DEFAULT_MIN_MERGE; )
    a |= r & 1, r >>= 1;
  return r + a;
}
function makeAscendingRun(r, a, o, s) {
  var l = a + 1;
  if (l === o)
    return 1;
  if (s(r[l++], r[a]) < 0) {
    for (; l < o && s(r[l], r[l - 1]) < 0; )
      l++;
    reverseRun(r, a, l);
  } else
    for (; l < o && s(r[l], r[l - 1]) >= 0; )
      l++;
  return l - a;
}
function reverseRun(r, a, o) {
  for (o--; a < o; ) {
    var s = r[a];
    r[a++] = r[o], r[o--] = s;
  }
}
function binaryInsertionSort(r, a, o, s, l) {
  for (s === a && s++; s < o; s++) {
    for (var u = r[s], c = a, d = s, f; c < d; )
      f = c + d >>> 1, l(u, r[f]) < 0 ? d = f : c = f + 1;
    var p = s - c;
    switch (p) {
      case 3:
        r[c + 3] = r[c + 2];
      case 2:
        r[c + 2] = r[c + 1];
      case 1:
        r[c + 1] = r[c];
        break;
      default:
        for (; p > 0; )
          r[c + p] = r[c + p - 1], p--;
    }
    r[c] = u;
  }
}
function gallopLeft(r, a, o, s, l, u) {
  var c = 0, d = 0, f = 1;
  if (u(r, a[o + l]) > 0) {
    for (d = s - l; f < d && u(r, a[o + l + f]) > 0; )
      c = f, f = (f << 1) + 1, f <= 0 && (f = d);
    f > d && (f = d), c += l, f += l;
  } else {
    for (d = l + 1; f < d && u(r, a[o + l - f]) <= 0; )
      c = f, f = (f << 1) + 1, f <= 0 && (f = d);
    f > d && (f = d);
    var p = c;
    c = l - f, f = l - p;
  }
  for (c++; c < f; ) {
    var v = c + (f - c >>> 1);
    u(r, a[o + v]) > 0 ? c = v + 1 : f = v;
  }
  return f;
}
function gallopRight(r, a, o, s, l, u) {
  var c = 0, d = 0, f = 1;
  if (u(r, a[o + l]) < 0) {
    for (d = l + 1; f < d && u(r, a[o + l - f]) < 0; )
      c = f, f = (f << 1) + 1, f <= 0 && (f = d);
    f > d && (f = d);
    var p = c;
    c = l - f, f = l - p;
  } else {
    for (d = s - l; f < d && u(r, a[o + l + f]) >= 0; )
      c = f, f = (f << 1) + 1, f <= 0 && (f = d);
    f > d && (f = d), c += l, f += l;
  }
  for (c++; c < f; ) {
    var v = c + (f - c >>> 1);
    u(r, a[o + v]) < 0 ? f = v : c = v + 1;
  }
  return f;
}
function TimSort(r, a) {
  var o = DEFAULT_MIN_GALLOPING, s, l, u = 0, c = [];
  s = [], l = [];
  function d(_, S) {
    s[u] = _, l[u] = S, u += 1;
  }
  function f() {
    for (; u > 1; ) {
      var _ = u - 2;
      if (_ >= 1 && l[_ - 1] <= l[_] + l[_ + 1] || _ >= 2 && l[_ - 2] <= l[_] + l[_ - 1])
        l[_ - 1] < l[_ + 1] && _--;
      else if (l[_] > l[_ + 1])
        break;
      v(_);
    }
  }
  function p() {
    for (; u > 1; ) {
      var _ = u - 2;
      _ > 0 && l[_ - 1] < l[_ + 1] && _--, v(_);
    }
  }
  function v(_) {
    var S = s[_], C = l[_], b = s[_ + 1], T = l[_ + 1];
    l[_] = C + T, _ === u - 3 && (s[_ + 1] = s[_ + 2], l[_ + 1] = l[_ + 2]), u--;
    var E = gallopRight(r[b], r, S, C, 0, a);
    S += E, C -= E, C !== 0 && (T = gallopLeft(r[S + C - 1], r, b, T, T - 1, a), T !== 0 && (C <= T ? g(S, C, b, T) : y(S, C, b, T)));
  }
  function g(_, S, C, b) {
    var T = 0;
    for (T = 0; T < S; T++)
      c[T] = r[_ + T];
    var E = 0, x = C, $ = _;
    if (r[$++] = r[x++], --b === 0) {
      for (T = 0; T < S; T++)
        r[$ + T] = c[E + T];
      return;
    }
    if (S === 1) {
      for (T = 0; T < b; T++)
        r[$ + T] = r[x + T];
      r[$ + b] = c[E];
      return;
    }
    for (var A = o, N, P, L; ; ) {
      N = 0, P = 0, L = !1;
      do
        if (a(r[x], c[E]) < 0) {
          if (r[$++] = r[x++], P++, N = 0, --b === 0) {
            L = !0;
            break;
          }
        } else if (r[$++] = c[E++], N++, P = 0, --S === 1) {
          L = !0;
          break;
        }
      while ((N | P) < A);
      if (L)
        break;
      do {
        if (N = gallopRight(r[x], c, E, S, 0, a), N !== 0) {
          for (T = 0; T < N; T++)
            r[$ + T] = c[E + T];
          if ($ += N, E += N, S -= N, S <= 1) {
            L = !0;
            break;
          }
        }
        if (r[$++] = r[x++], --b === 0) {
          L = !0;
          break;
        }
        if (P = gallopLeft(c[E], r, x, b, 0, a), P !== 0) {
          for (T = 0; T < P; T++)
            r[$ + T] = r[x + T];
          if ($ += P, x += P, b -= P, b === 0) {
            L = !0;
            break;
          }
        }
        if (r[$++] = c[E++], --S === 1) {
          L = !0;
          break;
        }
        A--;
      } while (N >= DEFAULT_MIN_GALLOPING || P >= DEFAULT_MIN_GALLOPING);
      if (L)
        break;
      A < 0 && (A = 0), A += 2;
    }
    if (o = A, o < 1 && (o = 1), S === 1) {
      for (T = 0; T < b; T++)
        r[$ + T] = r[x + T];
      r[$ + b] = c[E];
    } else {
      if (S === 0)
        throw new Error();
      for (T = 0; T < S; T++)
        r[$ + T] = c[E + T];
    }
  }
  function y(_, S, C, b) {
    var T = 0;
    for (T = 0; T < b; T++)
      c[T] = r[C + T];
    var E = _ + S - 1, x = b - 1, $ = C + b - 1, A = 0, N = 0;
    if (r[$--] = r[E--], --S === 0) {
      for (A = $ - (b - 1), T = 0; T < b; T++)
        r[A + T] = c[T];
      return;
    }
    if (b === 1) {
      for ($ -= S, E -= S, N = $ + 1, A = E + 1, T = S - 1; T >= 0; T--)
        r[N + T] = r[A + T];
      r[$] = c[x];
      return;
    }
    for (var P = o; ; ) {
      var L = 0, O = 0, M = !1;
      do
        if (a(c[x], r[E]) < 0) {
          if (r[$--] = r[E--], L++, O = 0, --S === 0) {
            M = !0;
            break;
          }
        } else if (r[$--] = c[x--], O++, L = 0, --b === 1) {
          M = !0;
          break;
        }
      while ((L | O) < P);
      if (M)
        break;
      do {
        if (L = S - gallopRight(c[x], r, _, S, S - 1, a), L !== 0) {
          for ($ -= L, E -= L, S -= L, N = $ + 1, A = E + 1, T = L - 1; T >= 0; T--)
            r[N + T] = r[A + T];
          if (S === 0) {
            M = !0;
            break;
          }
        }
        if (r[$--] = c[x--], --b === 1) {
          M = !0;
          break;
        }
        if (O = b - gallopLeft(r[E], c, 0, b, b - 1, a), O !== 0) {
          for ($ -= O, x -= O, b -= O, N = $ + 1, A = x + 1, T = 0; T < O; T++)
            r[N + T] = c[A + T];
          if (b <= 1) {
            M = !0;
            break;
          }
        }
        if (r[$--] = r[E--], --S === 0) {
          M = !0;
          break;
        }
        P--;
      } while (L >= DEFAULT_MIN_GALLOPING || O >= DEFAULT_MIN_GALLOPING);
      if (M)
        break;
      P < 0 && (P = 0), P += 2;
    }
    if (o = P, o < 1 && (o = 1), b === 1) {
      for ($ -= S, E -= S, N = $ + 1, A = E + 1, T = S - 1; T >= 0; T--)
        r[N + T] = r[A + T];
      r[$] = c[x];
    } else {
      if (b === 0)
        throw new Error();
      for (A = $ - (b - 1), T = 0; T < b; T++)
        r[A + T] = c[T];
    }
  }
  return {
    mergeRuns: f,
    forceMergeRuns: p,
    pushRun: d
  };
}
function sort$2(r, a, o, s) {
  o || (o = 0), s || (s = r.length);
  var l = s - o;
  if (!(l < 2)) {
    var u = 0;
    if (l < DEFAULT_MIN_MERGE) {
      u = makeAscendingRun(r, o, s, a), binaryInsertionSort(r, o, s, o + u, a);
      return;
    }
    var c = TimSort(r, a), d = minRunLength(l);
    do {
      if (u = makeAscendingRun(r, o, s, a), u < d) {
        var f = l;
        f > d && (f = d), binaryInsertionSort(r, o, o + f, o + u, a), u = f;
      }
      c.pushRun(o, u), c.mergeRuns(), l -= u, o += u;
    } while (l !== 0);
    c.forceMergeRuns();
  }
}
var REDRAW_BIT = 1, STYLE_CHANGED_BIT = 2, SHAPE_CHANGED_BIT = 4, invalidZErrorLogged = !1;
function logInvalidZError() {
  invalidZErrorLogged || (invalidZErrorLogged = !0, console.warn("z / z2 / zlevel of displayable is invalid, which may cause unexpected errors"));
}
function shapeCompareFunc(r, a) {
  return r.zlevel === a.zlevel ? r.z === a.z ? r.z2 - a.z2 : r.z - a.z : r.zlevel - a.zlevel;
}
var Storage = function() {
  function r() {
    this._roots = [], this._displayList = [], this._displayListLen = 0, this.displayableSortFunc = shapeCompareFunc;
  }
  return r.prototype.traverse = function(a, o) {
    for (var s = 0; s < this._roots.length; s++)
      this._roots[s].traverse(a, o);
  }, r.prototype.getDisplayList = function(a, o) {
    o = o || !1;
    var s = this._displayList;
    return (a || !s.length) && this.updateDisplayList(o), s;
  }, r.prototype.updateDisplayList = function(a) {
    this._displayListLen = 0;
    for (var o = this._roots, s = this._displayList, l = 0, u = o.length; l < u; l++)
      this._updateAndAddDisplayable(o[l], null, a);
    s.length = this._displayListLen, sort$2(s, shapeCompareFunc);
  }, r.prototype._updateAndAddDisplayable = function(a, o, s) {
    if (!(a.ignore && !s)) {
      a.beforeUpdate(), a.update(), a.afterUpdate();
      var l = a.getClipPath();
      if (a.ignoreClip)
        o = null;
      else if (l) {
        o ? o = o.slice() : o = [];
        for (var u = l, c = a; u; )
          u.parent = c, u.updateTransform(), o.push(u), c = u, u = u.getClipPath();
      }
      if (a.childrenRef) {
        for (var d = a.childrenRef(), f = 0; f < d.length; f++) {
          var p = d[f];
          a.__dirty && (p.__dirty |= REDRAW_BIT), this._updateAndAddDisplayable(p, o, s);
        }
        a.__dirty = 0;
      } else {
        var v = a;
        o && o.length ? v.__clipPaths = o : v.__clipPaths && v.__clipPaths.length > 0 && (v.__clipPaths = []), isNaN(v.z) && (logInvalidZError(), v.z = 0), isNaN(v.z2) && (logInvalidZError(), v.z2 = 0), isNaN(v.zlevel) && (logInvalidZError(), v.zlevel = 0), this._displayList[this._displayListLen++] = v;
      }
      var g = a.getDecalElement && a.getDecalElement();
      g && this._updateAndAddDisplayable(g, o, s);
      var y = a.getTextGuideLine();
      y && this._updateAndAddDisplayable(y, o, s);
      var _ = a.getTextContent();
      _ && this._updateAndAddDisplayable(_, o, s);
    }
  }, r.prototype.addRoot = function(a) {
    a.__zr && a.__zr.storage === this || this._roots.push(a);
  }, r.prototype.delRoot = function(a) {
    if (a instanceof Array) {
      for (var o = 0, s = a.length; o < s; o++)
        this.delRoot(a[o]);
      return;
    }
    var l = indexOf(this._roots, a);
    l >= 0 && this._roots.splice(l, 1);
  }, r.prototype.delAllRoots = function() {
    this._roots = [], this._displayList = [], this._displayListLen = 0;
  }, r.prototype.getRoots = function() {
    return this._roots;
  }, r.prototype.dispose = function() {
    this._displayList = null, this._roots = null;
  }, r;
}(), requestAnimationFrame$1;
requestAnimationFrame$1 = env.hasGlobalWindow && (window.requestAnimationFrame && window.requestAnimationFrame.bind(window) || window.msRequestAnimationFrame && window.msRequestAnimationFrame.bind(window) || window.mozRequestAnimationFrame || window.webkitRequestAnimationFrame) || function(r) {
  return setTimeout(r, 16);
};
var easingFuncs = {
  linear: function(r) {
    return r;
  },
  quadraticIn: function(r) {
    return r * r;
  },
  quadraticOut: function(r) {
    return r * (2 - r);
  },
  quadraticInOut: function(r) {
    return (r *= 2) < 1 ? 0.5 * r * r : -0.5 * (--r * (r - 2) - 1);
  },
  cubicIn: function(r) {
    return r * r * r;
  },
  cubicOut: function(r) {
    return --r * r * r + 1;
  },
  cubicInOut: function(r) {
    return (r *= 2) < 1 ? 0.5 * r * r * r : 0.5 * ((r -= 2) * r * r + 2);
  },
  quarticIn: function(r) {
    return r * r * r * r;
  },
  quarticOut: function(r) {
    return 1 - --r * r * r * r;
  },
  quarticInOut: function(r) {
    return (r *= 2) < 1 ? 0.5 * r * r * r * r : -0.5 * ((r -= 2) * r * r * r - 2);
  },
  quinticIn: function(r) {
    return r * r * r * r * r;
  },
  quinticOut: function(r) {
    return --r * r * r * r * r + 1;
  },
  quinticInOut: function(r) {
    return (r *= 2) < 1 ? 0.5 * r * r * r * r * r : 0.5 * ((r -= 2) * r * r * r * r + 2);
  },
  sinusoidalIn: function(r) {
    return 1 - Math.cos(r * Math.PI / 2);
  },
  sinusoidalOut: function(r) {
    return Math.sin(r * Math.PI / 2);
  },
  sinusoidalInOut: function(r) {
    return 0.5 * (1 - Math.cos(Math.PI * r));
  },
  exponentialIn: function(r) {
    return r === 0 ? 0 : Math.pow(1024, r - 1);
  },
  exponentialOut: function(r) {
    return r === 1 ? 1 : 1 - Math.pow(2, -10 * r);
  },
  exponentialInOut: function(r) {
    return r === 0 ? 0 : r === 1 ? 1 : (r *= 2) < 1 ? 0.5 * Math.pow(1024, r - 1) : 0.5 * (-Math.pow(2, -10 * (r - 1)) + 2);
  },
  circularIn: function(r) {
    return 1 - Math.sqrt(1 - r * r);
  },
  circularOut: function(r) {
    return Math.sqrt(1 - --r * r);
  },
  circularInOut: function(r) {
    return (r *= 2) < 1 ? -0.5 * (Math.sqrt(1 - r * r) - 1) : 0.5 * (Math.sqrt(1 - (r -= 2) * r) + 1);
  },
  elasticIn: function(r) {
    var a, o = 0.1, s = 0.4;
    return r === 0 ? 0 : r === 1 ? 1 : (!o || o < 1 ? (o = 1, a = s / 4) : a = s * Math.asin(1 / o) / (2 * Math.PI), -(o * Math.pow(2, 10 * (r -= 1)) * Math.sin((r - a) * (2 * Math.PI) / s)));
  },
  elasticOut: function(r) {
    var a, o = 0.1, s = 0.4;
    return r === 0 ? 0 : r === 1 ? 1 : (!o || o < 1 ? (o = 1, a = s / 4) : a = s * Math.asin(1 / o) / (2 * Math.PI), o * Math.pow(2, -10 * r) * Math.sin((r - a) * (2 * Math.PI) / s) + 1);
  },
  elasticInOut: function(r) {
    var a, o = 0.1, s = 0.4;
    return r === 0 ? 0 : r === 1 ? 1 : (!o || o < 1 ? (o = 1, a = s / 4) : a = s * Math.asin(1 / o) / (2 * Math.PI), (r *= 2) < 1 ? -0.5 * (o * Math.pow(2, 10 * (r -= 1)) * Math.sin((r - a) * (2 * Math.PI) / s)) : o * Math.pow(2, -10 * (r -= 1)) * Math.sin((r - a) * (2 * Math.PI) / s) * 0.5 + 1);
  },
  backIn: function(r) {
    var a = 1.70158;
    return r * r * ((a + 1) * r - a);
  },
  backOut: function(r) {
    var a = 1.70158;
    return --r * r * ((a + 1) * r + a) + 1;
  },
  backInOut: function(r) {
    var a = 2.5949095;
    return (r *= 2) < 1 ? 0.5 * (r * r * ((a + 1) * r - a)) : 0.5 * ((r -= 2) * r * ((a + 1) * r + a) + 2);
  },
  bounceIn: function(r) {
    return 1 - easingFuncs.bounceOut(1 - r);
  },
  bounceOut: function(r) {
    return r < 1 / 2.75 ? 7.5625 * r * r : r < 2 / 2.75 ? 7.5625 * (r -= 1.5 / 2.75) * r + 0.75 : r < 2.5 / 2.75 ? 7.5625 * (r -= 2.25 / 2.75) * r + 0.9375 : 7.5625 * (r -= 2.625 / 2.75) * r + 0.984375;
  },
  bounceInOut: function(r) {
    return r < 0.5 ? easingFuncs.bounceIn(r * 2) * 0.5 : easingFuncs.bounceOut(r * 2 - 1) * 0.5 + 0.5;
  }
}, mathPow$2 = Math.pow, mathSqrt$3 = Math.sqrt, EPSILON$4 = 1e-8, EPSILON_NUMERIC = 1e-4, THREE_SQRT = mathSqrt$3(3), ONE_THIRD = 1 / 3, _v0 = create$2(), _v1 = create$2(), _v2 = create$2();
function isAroundZero$1(r) {
  return r > -1e-8 && r < EPSILON$4;
}
function isNotAroundZero$1(r) {
  return r > EPSILON$4 || r < -1e-8;
}
function cubicAt(r, a, o, s, l) {
  var u = 1 - l;
  return u * u * (u * r + 3 * l * a) + l * l * (l * s + 3 * u * o);
}
function cubicDerivativeAt(r, a, o, s, l) {
  var u = 1 - l;
  return 3 * (((a - r) * u + 2 * (o - a) * l) * u + (s - o) * l * l);
}
function cubicRootAt(r, a, o, s, l, u) {
  var c = s + 3 * (a - o) - r, d = 3 * (o - a * 2 + r), f = 3 * (a - r), p = r - l, v = d * d - 3 * c * f, g = d * f - 9 * c * p, y = f * f - 3 * d * p, _ = 0;
  if (isAroundZero$1(v) && isAroundZero$1(g))
    if (isAroundZero$1(d))
      u[0] = 0;
    else {
      var S = -f / d;
      S >= 0 && S <= 1 && (u[_++] = S);
    }
  else {
    var C = g * g - 4 * v * y;
    if (isAroundZero$1(C)) {
      var b = g / v, S = -d / c + b, T = -b / 2;
      S >= 0 && S <= 1 && (u[_++] = S), T >= 0 && T <= 1 && (u[_++] = T);
    } else if (C > 0) {
      var E = mathSqrt$3(C), x = v * d + 1.5 * c * (-g + E), $ = v * d + 1.5 * c * (-g - E);
      x < 0 ? x = -mathPow$2(-x, ONE_THIRD) : x = mathPow$2(x, ONE_THIRD), $ < 0 ? $ = -mathPow$2(-$, ONE_THIRD) : $ = mathPow$2($, ONE_THIRD);
      var S = (-d - (x + $)) / (3 * c);
      S >= 0 && S <= 1 && (u[_++] = S);
    } else {
      var A = (2 * v * d - 3 * c * g) / (2 * mathSqrt$3(v * v * v)), N = Math.acos(A) / 3, P = mathSqrt$3(v), L = Math.cos(N), S = (-d - 2 * P * L) / (3 * c), T = (-d + P * (L + THREE_SQRT * Math.sin(N))) / (3 * c), O = (-d + P * (L - THREE_SQRT * Math.sin(N))) / (3 * c);
      S >= 0 && S <= 1 && (u[_++] = S), T >= 0 && T <= 1 && (u[_++] = T), O >= 0 && O <= 1 && (u[_++] = O);
    }
  }
  return _;
}
function cubicExtrema(r, a, o, s, l) {
  var u = 6 * o - 12 * a + 6 * r, c = 9 * a + 3 * s - 3 * r - 9 * o, d = 3 * a - 3 * r, f = 0;
  if (isAroundZero$1(c)) {
    if (isNotAroundZero$1(u)) {
      var p = -d / u;
      p >= 0 && p <= 1 && (l[f++] = p);
    }
  } else {
    var v = u * u - 4 * c * d;
    if (isAroundZero$1(v))
      l[0] = -u / (2 * c);
    else if (v > 0) {
      var g = mathSqrt$3(v), p = (-u + g) / (2 * c), y = (-u - g) / (2 * c);
      p >= 0 && p <= 1 && (l[f++] = p), y >= 0 && y <= 1 && (l[f++] = y);
    }
  }
  return f;
}
function cubicSubdivide(r, a, o, s, l, u) {
  var c = (a - r) * l + r, d = (o - a) * l + a, f = (s - o) * l + o, p = (d - c) * l + c, v = (f - d) * l + d, g = (v - p) * l + p;
  u[0] = r, u[1] = c, u[2] = p, u[3] = g, u[4] = g, u[5] = v, u[6] = f, u[7] = s;
}
function cubicProjectPoint(r, a, o, s, l, u, c, d, f, p, v) {
  var g, y = 5e-3, _ = 1 / 0, S, C, b, T;
  _v0[0] = f, _v0[1] = p;
  for (var E = 0; E < 1; E += 0.05)
    _v1[0] = cubicAt(r, o, l, c, E), _v1[1] = cubicAt(a, s, u, d, E), b = distSquare(_v0, _v1), b < _ && (g = E, _ = b);
  _ = 1 / 0;
  for (var x = 0; x < 32 && !(y < EPSILON_NUMERIC); x++)
    S = g - y, C = g + y, _v1[0] = cubicAt(r, o, l, c, S), _v1[1] = cubicAt(a, s, u, d, S), b = distSquare(_v1, _v0), S >= 0 && b < _ ? (g = S, _ = b) : (_v2[0] = cubicAt(r, o, l, c, C), _v2[1] = cubicAt(a, s, u, d, C), T = distSquare(_v2, _v0), C <= 1 && T < _ ? (g = C, _ = T) : y *= 0.5);
  return v && (v[0] = cubicAt(r, o, l, c, g), v[1] = cubicAt(a, s, u, d, g)), mathSqrt$3(_);
}
function cubicLength(r, a, o, s, l, u, c, d, f) {
  for (var p = r, v = a, g = 0, y = 1 / f, _ = 1; _ <= f; _++) {
    var S = _ * y, C = cubicAt(r, o, l, c, S), b = cubicAt(a, s, u, d, S), T = C - p, E = b - v;
    g += Math.sqrt(T * T + E * E), p = C, v = b;
  }
  return g;
}
function quadraticAt$1(r, a, o, s) {
  var l = 1 - s;
  return l * (l * r + 2 * s * a) + s * s * o;
}
function quadraticDerivativeAt(r, a, o, s) {
  return 2 * ((1 - s) * (a - r) + s * (o - a));
}
function quadraticRootAt(r, a, o, s, l) {
  var u = r - 2 * a + o, c = 2 * (a - r), d = r - s, f = 0;
  if (isAroundZero$1(u)) {
    if (isNotAroundZero$1(c)) {
      var p = -d / c;
      p >= 0 && p <= 1 && (l[f++] = p);
    }
  } else {
    var v = c * c - 4 * u * d;
    if (isAroundZero$1(v)) {
      var p = -c / (2 * u);
      p >= 0 && p <= 1 && (l[f++] = p);
    } else if (v > 0) {
      var g = mathSqrt$3(v), p = (-c + g) / (2 * u), y = (-c - g) / (2 * u);
      p >= 0 && p <= 1 && (l[f++] = p), y >= 0 && y <= 1 && (l[f++] = y);
    }
  }
  return f;
}
function quadraticExtremum(r, a, o) {
  var s = r + o - 2 * a;
  return s === 0 ? 0.5 : (r - a) / s;
}
function quadraticSubdivide(r, a, o, s, l) {
  var u = (a - r) * s + r, c = (o - a) * s + a, d = (c - u) * s + u;
  l[0] = r, l[1] = u, l[2] = d, l[3] = d, l[4] = c, l[5] = o;
}
function quadraticProjectPoint(r, a, o, s, l, u, c, d, f) {
  var p, v = 5e-3, g = 1 / 0;
  _v0[0] = c, _v0[1] = d;
  for (var y = 0; y < 1; y += 0.05) {
    _v1[0] = quadraticAt$1(r, o, l, y), _v1[1] = quadraticAt$1(a, s, u, y);
    var _ = distSquare(_v0, _v1);
    _ < g && (p = y, g = _);
  }
  g = 1 / 0;
  for (var S = 0; S < 32 && !(v < EPSILON_NUMERIC); S++) {
    var C = p - v, b = p + v;
    _v1[0] = quadraticAt$1(r, o, l, C), _v1[1] = quadraticAt$1(a, s, u, C);
    var _ = distSquare(_v1, _v0);
    if (C >= 0 && _ < g)
      p = C, g = _;
    else {
      _v2[0] = quadraticAt$1(r, o, l, b), _v2[1] = quadraticAt$1(a, s, u, b);
      var T = distSquare(_v2, _v0);
      b <= 1 && T < g ? (p = b, g = T) : v *= 0.5;
    }
  }
  return f && (f[0] = quadraticAt$1(r, o, l, p), f[1] = quadraticAt$1(a, s, u, p)), mathSqrt$3(g);
}
function quadraticLength(r, a, o, s, l, u, c) {
  for (var d = r, f = a, p = 0, v = 1 / c, g = 1; g <= c; g++) {
    var y = g * v, _ = quadraticAt$1(r, o, l, y), S = quadraticAt$1(a, s, u, y), C = _ - d, b = S - f;
    p += Math.sqrt(C * C + b * b), d = _, f = S;
  }
  return p;
}
var regexp = /cubic-bezier\(([0-9,\.e ]+)\)/;
function createCubicEasingFunc(r) {
  var a = r && regexp.exec(r);
  if (a) {
    var o = a[1].split(","), s = +trim$1(o[0]), l = +trim$1(o[1]), u = +trim$1(o[2]), c = +trim$1(o[3]);
    if (isNaN(s + l + u + c))
      return;
    var d = [];
    return function(f) {
      return f <= 0 ? 0 : f >= 1 ? 1 : cubicRootAt(0, s, u, 1, f, d) && cubicAt(0, l, c, 1, d[0]);
    };
  }
}
var Clip = function() {
  function r(a) {
    this._inited = !1, this._startTime = 0, this._pausedTime = 0, this._paused = !1, this._life = a.life || 1e3, this._delay = a.delay || 0, this.loop = a.loop || !1, this.onframe = a.onframe || noop, this.ondestroy = a.ondestroy || noop, this.onrestart = a.onrestart || noop, a.easing && this.setEasing(a.easing);
  }
  return r.prototype.step = function(a, o) {
    if (this._inited || (this._startTime = a + this._delay, this._inited = !0), this._paused) {
      this._pausedTime += o;
      return;
    }
    var s = this._life, l = a - this._startTime - this._pausedTime, u = l / s;
    u < 0 && (u = 0), u = Math.min(u, 1);
    var c = this.easingFunc, d = c ? c(u) : u;
    if (this.onframe(d), u === 1)
      if (this.loop) {
        var f = l % s;
        this._startTime = a - f, this._pausedTime = 0, this.onrestart();
      } else
        return !0;
    return !1;
  }, r.prototype.pause = function() {
    this._paused = !0;
  }, r.prototype.resume = function() {
    this._paused = !1;
  }, r.prototype.setEasing = function(a) {
    this.easing = a, this.easingFunc = isFunction(a) ? a : easingFuncs[a] || createCubicEasingFunc(a);
  }, r;
}(), Entry = /* @__PURE__ */ function() {
  function r(a) {
    this.value = a;
  }
  return r;
}(), LinkedList = function() {
  function r() {
    this._len = 0;
  }
  return r.prototype.insert = function(a) {
    var o = new Entry(a);
    return this.insertEntry(o), o;
  }, r.prototype.insertEntry = function(a) {
    this.head ? (this.tail.next = a, a.prev = this.tail, a.next = null, this.tail = a) : this.head = this.tail = a, this._len++;
  }, r.prototype.remove = function(a) {
    var o = a.prev, s = a.next;
    o ? o.next = s : this.head = s, s ? s.prev = o : this.tail = o, a.next = a.prev = null, this._len--;
  }, r.prototype.len = function() {
    return this._len;
  }, r.prototype.clear = function() {
    this.head = this.tail = null, this._len = 0;
  }, r;
}(), LRU = function() {
  function r(a) {
    this._list = new LinkedList(), this._maxSize = 10, this._map = {}, this._maxSize = a;
  }
  return r.prototype.put = function(a, o) {
    var s = this._list, l = this._map, u = null;
    if (l[a] == null) {
      var c = s.len(), d = this._lastRemovedEntry;
      if (c >= this._maxSize && c > 0) {
        var f = s.head;
        s.remove(f), delete l[f.key], u = f.value, this._lastRemovedEntry = f;
      }
      d ? d.value = o : d = new Entry(o), d.key = a, s.insertEntry(d), l[a] = d;
    }
    return u;
  }, r.prototype.get = function(a) {
    var o = this._map[a], s = this._list;
    if (o != null)
      return o !== s.tail && (s.remove(o), s.insertEntry(o)), o.value;
  }, r.prototype.clear = function() {
    this._list.clear(), this._map = {};
  }, r.prototype.len = function() {
    return this._list.len();
  }, r;
}(), kCSSColorTable = {
  transparent: [0, 0, 0, 0],
  aliceblue: [240, 248, 255, 1],
  antiquewhite: [250, 235, 215, 1],
  aqua: [0, 255, 255, 1],
  aquamarine: [127, 255, 212, 1],
  azure: [240, 255, 255, 1],
  beige: [245, 245, 220, 1],
  bisque: [255, 228, 196, 1],
  black: [0, 0, 0, 1],
  blanchedalmond: [255, 235, 205, 1],
  blue: [0, 0, 255, 1],
  blueviolet: [138, 43, 226, 1],
  brown: [165, 42, 42, 1],
  burlywood: [222, 184, 135, 1],
  cadetblue: [95, 158, 160, 1],
  chartreuse: [127, 255, 0, 1],
  chocolate: [210, 105, 30, 1],
  coral: [255, 127, 80, 1],
  cornflowerblue: [100, 149, 237, 1],
  cornsilk: [255, 248, 220, 1],
  crimson: [220, 20, 60, 1],
  cyan: [0, 255, 255, 1],
  darkblue: [0, 0, 139, 1],
  darkcyan: [0, 139, 139, 1],
  darkgoldenrod: [184, 134, 11, 1],
  darkgray: [169, 169, 169, 1],
  darkgreen: [0, 100, 0, 1],
  darkgrey: [169, 169, 169, 1],
  darkkhaki: [189, 183, 107, 1],
  darkmagenta: [139, 0, 139, 1],
  darkolivegreen: [85, 107, 47, 1],
  darkorange: [255, 140, 0, 1],
  darkorchid: [153, 50, 204, 1],
  darkred: [139, 0, 0, 1],
  darksalmon: [233, 150, 122, 1],
  darkseagreen: [143, 188, 143, 1],
  darkslateblue: [72, 61, 139, 1],
  darkslategray: [47, 79, 79, 1],
  darkslategrey: [47, 79, 79, 1],
  darkturquoise: [0, 206, 209, 1],
  darkviolet: [148, 0, 211, 1],
  deeppink: [255, 20, 147, 1],
  deepskyblue: [0, 191, 255, 1],
  dimgray: [105, 105, 105, 1],
  dimgrey: [105, 105, 105, 1],
  dodgerblue: [30, 144, 255, 1],
  firebrick: [178, 34, 34, 1],
  floralwhite: [255, 250, 240, 1],
  forestgreen: [34, 139, 34, 1],
  fuchsia: [255, 0, 255, 1],
  gainsboro: [220, 220, 220, 1],
  ghostwhite: [248, 248, 255, 1],
  gold: [255, 215, 0, 1],
  goldenrod: [218, 165, 32, 1],
  gray: [128, 128, 128, 1],
  green: [0, 128, 0, 1],
  greenyellow: [173, 255, 47, 1],
  grey: [128, 128, 128, 1],
  honeydew: [240, 255, 240, 1],
  hotpink: [255, 105, 180, 1],
  indianred: [205, 92, 92, 1],
  indigo: [75, 0, 130, 1],
  ivory: [255, 255, 240, 1],
  khaki: [240, 230, 140, 1],
  lavender: [230, 230, 250, 1],
  lavenderblush: [255, 240, 245, 1],
  lawngreen: [124, 252, 0, 1],
  lemonchiffon: [255, 250, 205, 1],
  lightblue: [173, 216, 230, 1],
  lightcoral: [240, 128, 128, 1],
  lightcyan: [224, 255, 255, 1],
  lightgoldenrodyellow: [250, 250, 210, 1],
  lightgray: [211, 211, 211, 1],
  lightgreen: [144, 238, 144, 1],
  lightgrey: [211, 211, 211, 1],
  lightpink: [255, 182, 193, 1],
  lightsalmon: [255, 160, 122, 1],
  lightseagreen: [32, 178, 170, 1],
  lightskyblue: [135, 206, 250, 1],
  lightslategray: [119, 136, 153, 1],
  lightslategrey: [119, 136, 153, 1],
  lightsteelblue: [176, 196, 222, 1],
  lightyellow: [255, 255, 224, 1],
  lime: [0, 255, 0, 1],
  limegreen: [50, 205, 50, 1],
  linen: [250, 240, 230, 1],
  magenta: [255, 0, 255, 1],
  maroon: [128, 0, 0, 1],
  mediumaquamarine: [102, 205, 170, 1],
  mediumblue: [0, 0, 205, 1],
  mediumorchid: [186, 85, 211, 1],
  mediumpurple: [147, 112, 219, 1],
  mediumseagreen: [60, 179, 113, 1],
  mediumslateblue: [123, 104, 238, 1],
  mediumspringgreen: [0, 250, 154, 1],
  mediumturquoise: [72, 209, 204, 1],
  mediumvioletred: [199, 21, 133, 1],
  midnightblue: [25, 25, 112, 1],
  mintcream: [245, 255, 250, 1],
  mistyrose: [255, 228, 225, 1],
  moccasin: [255, 228, 181, 1],
  navajowhite: [255, 222, 173, 1],
  navy: [0, 0, 128, 1],
  oldlace: [253, 245, 230, 1],
  olive: [128, 128, 0, 1],
  olivedrab: [107, 142, 35, 1],
  orange: [255, 165, 0, 1],
  orangered: [255, 69, 0, 1],
  orchid: [218, 112, 214, 1],
  palegoldenrod: [238, 232, 170, 1],
  palegreen: [152, 251, 152, 1],
  paleturquoise: [175, 238, 238, 1],
  palevioletred: [219, 112, 147, 1],
  papayawhip: [255, 239, 213, 1],
  peachpuff: [255, 218, 185, 1],
  peru: [205, 133, 63, 1],
  pink: [255, 192, 203, 1],
  plum: [221, 160, 221, 1],
  powderblue: [176, 224, 230, 1],
  purple: [128, 0, 128, 1],
  red: [255, 0, 0, 1],
  rosybrown: [188, 143, 143, 1],
  royalblue: [65, 105, 225, 1],
  saddlebrown: [139, 69, 19, 1],
  salmon: [250, 128, 114, 1],
  sandybrown: [244, 164, 96, 1],
  seagreen: [46, 139, 87, 1],
  seashell: [255, 245, 238, 1],
  sienna: [160, 82, 45, 1],
  silver: [192, 192, 192, 1],
  skyblue: [135, 206, 235, 1],
  slateblue: [106, 90, 205, 1],
  slategray: [112, 128, 144, 1],
  slategrey: [112, 128, 144, 1],
  snow: [255, 250, 250, 1],
  springgreen: [0, 255, 127, 1],
  steelblue: [70, 130, 180, 1],
  tan: [210, 180, 140, 1],
  teal: [0, 128, 128, 1],
  thistle: [216, 191, 216, 1],
  tomato: [255, 99, 71, 1],
  turquoise: [64, 224, 208, 1],
  violet: [238, 130, 238, 1],
  wheat: [245, 222, 179, 1],
  white: [255, 255, 255, 1],
  whitesmoke: [245, 245, 245, 1],
  yellow: [255, 255, 0, 1],
  yellowgreen: [154, 205, 50, 1]
};
function clampCssByte(r) {
  return r = Math.round(r), r < 0 ? 0 : r > 255 ? 255 : r;
}
function clampCssAngle(r) {
  return r = Math.round(r), r < 0 ? 0 : r > 360 ? 360 : r;
}
function clampCssFloat(r) {
  return r < 0 ? 0 : r > 1 ? 1 : r;
}
function parseCssInt(r) {
  var a = r;
  return a.length && a.charAt(a.length - 1) === "%" ? clampCssByte(parseFloat(a) / 100 * 255) : clampCssByte(parseInt(a, 10));
}
function parseCssFloat(r) {
  var a = r;
  return a.length && a.charAt(a.length - 1) === "%" ? clampCssFloat(parseFloat(a) / 100) : clampCssFloat(parseFloat(a));
}
function cssHueToRgb(r, a, o) {
  return o < 0 ? o += 1 : o > 1 && (o -= 1), o * 6 < 1 ? r + (a - r) * o * 6 : o * 2 < 1 ? a : o * 3 < 2 ? r + (a - r) * (2 / 3 - o) * 6 : r;
}
function lerpNumber(r, a, o) {
  return r + (a - r) * o;
}
function setRgba(r, a, o, s, l) {
  return r[0] = a, r[1] = o, r[2] = s, r[3] = l, r;
}
function copyRgba(r, a) {
  return r[0] = a[0], r[1] = a[1], r[2] = a[2], r[3] = a[3], r;
}
var colorCache = new LRU(20), lastRemovedArr = null;
function putToCache(r, a) {
  lastRemovedArr && copyRgba(lastRemovedArr, a), lastRemovedArr = colorCache.put(r, lastRemovedArr || a.slice());
}
function parse(r, a) {
  if (r) {
    a = a || [];
    var o = colorCache.get(r);
    if (o)
      return copyRgba(a, o);
    r = r + "";
    var s = r.replace(/ /g, "").toLowerCase();
    if (s in kCSSColorTable)
      return copyRgba(a, kCSSColorTable[s]), putToCache(r, a), a;
    var l = s.length;
    if (s.charAt(0) === "#") {
      if (l === 4 || l === 5) {
        var u = parseInt(s.slice(1, 4), 16);
        if (!(u >= 0 && u <= 4095)) {
          setRgba(a, 0, 0, 0, 1);
          return;
        }
        return setRgba(a, (u & 3840) >> 4 | (u & 3840) >> 8, u & 240 | (u & 240) >> 4, u & 15 | (u & 15) << 4, l === 5 ? parseInt(s.slice(4), 16) / 15 : 1), putToCache(r, a), a;
      } else if (l === 7 || l === 9) {
        var u = parseInt(s.slice(1, 7), 16);
        if (!(u >= 0 && u <= 16777215)) {
          setRgba(a, 0, 0, 0, 1);
          return;
        }
        return setRgba(a, (u & 16711680) >> 16, (u & 65280) >> 8, u & 255, l === 9 ? parseInt(s.slice(7), 16) / 255 : 1), putToCache(r, a), a;
      }
      return;
    }
    var c = s.indexOf("("), d = s.indexOf(")");
    if (c !== -1 && d + 1 === l) {
      var f = s.substr(0, c), p = s.substr(c + 1, d - (c + 1)).split(","), v = 1;
      switch (f) {
        case "rgba":
          if (p.length !== 4)
            return p.length === 3 ? setRgba(a, +p[0], +p[1], +p[2], 1) : setRgba(a, 0, 0, 0, 1);
          v = parseCssFloat(p.pop());
        case "rgb":
          if (p.length >= 3)
            return setRgba(a, parseCssInt(p[0]), parseCssInt(p[1]), parseCssInt(p[2]), p.length === 3 ? v : parseCssFloat(p[3])), putToCache(r, a), a;
          setRgba(a, 0, 0, 0, 1);
          return;
        case "hsla":
          if (p.length !== 4) {
            setRgba(a, 0, 0, 0, 1);
            return;
          }
          return p[3] = parseCssFloat(p[3]), hsla2rgba(p, a), putToCache(r, a), a;
        case "hsl":
          if (p.length !== 3) {
            setRgba(a, 0, 0, 0, 1);
            return;
          }
          return hsla2rgba(p, a), putToCache(r, a), a;
        default:
          return;
      }
    }
    setRgba(a, 0, 0, 0, 1);
  }
}
function hsla2rgba(r, a) {
  var o = (parseFloat(r[0]) % 360 + 360) % 360 / 360, s = parseCssFloat(r[1]), l = parseCssFloat(r[2]), u = l <= 0.5 ? l * (s + 1) : l + s - l * s, c = l * 2 - u;
  return a = a || [], setRgba(a, clampCssByte(cssHueToRgb(c, u, o + 1 / 3) * 255), clampCssByte(cssHueToRgb(c, u, o) * 255), clampCssByte(cssHueToRgb(c, u, o - 1 / 3) * 255), 1), r.length === 4 && (a[3] = r[3]), a;
}
function rgba2hsla(r) {
  if (r) {
    var a = r[0] / 255, o = r[1] / 255, s = r[2] / 255, l = Math.min(a, o, s), u = Math.max(a, o, s), c = u - l, d = (u + l) / 2, f, p;
    if (c === 0)
      f = 0, p = 0;
    else {
      d < 0.5 ? p = c / (u + l) : p = c / (2 - u - l);
      var v = ((u - a) / 6 + c / 2) / c, g = ((u - o) / 6 + c / 2) / c, y = ((u - s) / 6 + c / 2) / c;
      a === u ? f = y - g : o === u ? f = 1 / 3 + v - y : s === u && (f = 2 / 3 + g - v), f < 0 && (f += 1), f > 1 && (f -= 1);
    }
    var _ = [f * 360, p, d];
    return r[3] != null && _.push(r[3]), _;
  }
}
function lift(r, a) {
  var o = parse(r);
  if (o) {
    for (var s = 0; s < 3; s++)
      a < 0 ? o[s] = o[s] * (1 - a) | 0 : o[s] = (255 - o[s]) * a + o[s] | 0, o[s] > 255 ? o[s] = 255 : o[s] < 0 && (o[s] = 0);
    return stringify(o, o.length === 4 ? "rgba" : "rgb");
  }
}
function toHex(r) {
  var a = parse(r);
  if (a)
    return ((1 << 24) + (a[0] << 16) + (a[1] << 8) + +a[2]).toString(16).slice(1);
}
function fastLerp(r, a, o) {
  if (!(!(a && a.length) || !(r >= 0 && r <= 1))) {
    o = o || [];
    var s = r * (a.length - 1), l = Math.floor(s), u = Math.ceil(s), c = a[l], d = a[u], f = s - l;
    return o[0] = clampCssByte(lerpNumber(c[0], d[0], f)), o[1] = clampCssByte(lerpNumber(c[1], d[1], f)), o[2] = clampCssByte(lerpNumber(c[2], d[2], f)), o[3] = clampCssFloat(lerpNumber(c[3], d[3], f)), o;
  }
}
var fastMapToColor = fastLerp;
function lerp(r, a, o) {
  if (!(!(a && a.length) || !(r >= 0 && r <= 1))) {
    var s = r * (a.length - 1), l = Math.floor(s), u = Math.ceil(s), c = parse(a[l]), d = parse(a[u]), f = s - l, p = stringify([
      clampCssByte(lerpNumber(c[0], d[0], f)),
      clampCssByte(lerpNumber(c[1], d[1], f)),
      clampCssByte(lerpNumber(c[2], d[2], f)),
      clampCssFloat(lerpNumber(c[3], d[3], f))
    ], "rgba");
    return o ? {
      color: p,
      leftIndex: l,
      rightIndex: u,
      value: s
    } : p;
  }
}
var mapToColor = lerp;
function modifyHSL(r, a, o, s) {
  var l = parse(r);
  if (r)
    return l = rgba2hsla(l), a != null && (l[0] = clampCssAngle(a)), o != null && (l[1] = parseCssFloat(o)), s != null && (l[2] = parseCssFloat(s)), stringify(hsla2rgba(l), "rgba");
}
function modifyAlpha(r, a) {
  var o = parse(r);
  if (o && a != null)
    return o[3] = clampCssFloat(a), stringify(o, "rgba");
}
function stringify(r, a) {
  if (!(!r || !r.length)) {
    var o = r[0] + "," + r[1] + "," + r[2];
    return (a === "rgba" || a === "hsva" || a === "hsla") && (o += "," + r[3]), a + "(" + o + ")";
  }
}
function lum(r, a) {
  var o = parse(r);
  return o ? (0.299 * o[0] + 0.587 * o[1] + 0.114 * o[2]) * o[3] / 255 + (1 - o[3]) * a : 0;
}
function random() {
  return stringify([
    Math.round(Math.random() * 255),
    Math.round(Math.random() * 255),
    Math.round(Math.random() * 255)
  ], "rgb");
}
var liftedColorCache = new LRU(100);
function liftColor(r) {
  if (isString(r)) {
    var a = liftedColorCache.get(r);
    return a || (a = lift(r, -0.1), liftedColorCache.put(r, a)), a;
  } else if (isGradientObject(r)) {
    var o = extend({}, r);
    return o.colorStops = map$1(r.colorStops, function(s) {
      return {
        offset: s.offset,
        color: lift(s.color, -0.1)
      };
    }), o;
  }
  return r;
}
const color = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  fastLerp,
  fastMapToColor,
  lerp,
  lift,
  liftColor,
  lum,
  mapToColor,
  modifyAlpha,
  modifyHSL,
  parse,
  random,
  stringify,
  toHex
}, Symbol.toStringTag, { value: "Module" }));
var mathRound$1 = Math.round;
function normalizeColor(r) {
  var a;
  if (!r || r === "transparent")
    r = "none";
  else if (typeof r == "string" && r.indexOf("rgba") > -1) {
    var o = parse(r);
    o && (r = "rgb(" + o[0] + "," + o[1] + "," + o[2] + ")", a = o[3]);
  }
  return {
    color: r,
    opacity: a ?? 1
  };
}
var EPSILON$3 = 1e-4;
function isAroundZero(r) {
  return r < EPSILON$3 && r > -1e-4;
}
function round3(r) {
  return mathRound$1(r * 1e3) / 1e3;
}
function round4(r) {
  return mathRound$1(r * 1e4) / 1e4;
}
function getMatrixStr(r) {
  return "matrix(" + round3(r[0]) + "," + round3(r[1]) + "," + round3(r[2]) + "," + round3(r[3]) + "," + round4(r[4]) + "," + round4(r[5]) + ")";
}
var TEXT_ALIGN_TO_ANCHOR = {
  left: "start",
  right: "end",
  center: "middle",
  middle: "middle"
};
function adjustTextY$1(r, a, o) {
  return o === "top" ? r += a / 2 : o === "bottom" && (r -= a / 2), r;
}
function hasShadow(r) {
  return r && (r.shadowBlur || r.shadowOffsetX || r.shadowOffsetY);
}
function getShadowKey(r) {
  var a = r.style, o = r.getGlobalScale();
  return [
    a.shadowColor,
    (a.shadowBlur || 0).toFixed(2),
    (a.shadowOffsetX || 0).toFixed(2),
    (a.shadowOffsetY || 0).toFixed(2),
    o[0],
    o[1]
  ].join(",");
}
function isImagePattern(r) {
  return r && !!r.image;
}
function isSVGPattern(r) {
  return r && !!r.svgElement;
}
function isPattern(r) {
  return isImagePattern(r) || isSVGPattern(r);
}
function isLinearGradient(r) {
  return r.type === "linear";
}
function isRadialGradient(r) {
  return r.type === "radial";
}
function isGradient(r) {
  return r && (r.type === "linear" || r.type === "radial");
}
function getIdURL(r) {
  return "url(#" + r + ")";
}
function getPathPrecision(r) {
  var a = r.getGlobalScale(), o = Math.max(a[0], a[1]);
  return Math.max(Math.ceil(Math.log(o) / Math.log(10)), 1);
}
function getSRTTransformString(r) {
  var a = r.x || 0, o = r.y || 0, s = (r.rotation || 0) * RADIAN_TO_DEGREE, l = retrieve2(r.scaleX, 1), u = retrieve2(r.scaleY, 1), c = r.skewX || 0, d = r.skewY || 0, f = [];
  return (a || o) && f.push("translate(" + a + "px," + o + "px)"), s && f.push("rotate(" + s + ")"), (l !== 1 || u !== 1) && f.push("scale(" + l + "," + u + ")"), (c || d) && f.push("skew(" + mathRound$1(c * RADIAN_TO_DEGREE) + "deg, " + mathRound$1(d * RADIAN_TO_DEGREE) + "deg)"), f.join(" ");
}
var encodeBase64 = function() {
  return env.hasGlobalWindow && isFunction(window.btoa) ? function(r) {
    return window.btoa(unescape(encodeURIComponent(r)));
  } : typeof Buffer < "u" ? function(r) {
    return Buffer.from(r).toString("base64");
  } : function(r) {
    return process.env.NODE_ENV !== "production" && logError("Base64 isn't natively supported in the current environment."), null;
  };
}(), arraySlice = Array.prototype.slice;
function interpolateNumber$1(r, a, o) {
  return (a - r) * o + r;
}
function interpolate1DArray(r, a, o, s) {
  for (var l = a.length, u = 0; u < l; u++)
    r[u] = interpolateNumber$1(a[u], o[u], s);
  return r;
}
function interpolate2DArray(r, a, o, s) {
  for (var l = a.length, u = l && a[0].length, c = 0; c < l; c++) {
    r[c] || (r[c] = []);
    for (var d = 0; d < u; d++)
      r[c][d] = interpolateNumber$1(a[c][d], o[c][d], s);
  }
  return r;
}
function add1DArray(r, a, o, s) {
  for (var l = a.length, u = 0; u < l; u++)
    r[u] = a[u] + o[u] * s;
  return r;
}
function add2DArray(r, a, o, s) {
  for (var l = a.length, u = l && a[0].length, c = 0; c < l; c++) {
    r[c] || (r[c] = []);
    for (var d = 0; d < u; d++)
      r[c][d] = a[c][d] + o[c][d] * s;
  }
  return r;
}
function fillColorStops(r, a) {
  for (var o = r.length, s = a.length, l = o > s ? a : r, u = Math.min(o, s), c = l[u - 1] || { color: [0, 0, 0, 0], offset: 0 }, d = u; d < Math.max(o, s); d++)
    l.push({
      offset: c.offset,
      color: c.color.slice()
    });
}
function fillArray(r, a, o) {
  var s = r, l = a;
  if (!(!s.push || !l.push)) {
    var u = s.length, c = l.length;
    if (u !== c) {
      var d = u > c;
      if (d)
        s.length = c;
      else
        for (var f = u; f < c; f++)
          s.push(o === 1 ? l[f] : arraySlice.call(l[f]));
    }
    for (var p = s[0] && s[0].length, f = 0; f < s.length; f++)
      if (o === 1)
        isNaN(s[f]) && (s[f] = l[f]);
      else
        for (var v = 0; v < p; v++)
          isNaN(s[f][v]) && (s[f][v] = l[f][v]);
  }
}
function cloneValue(r) {
  if (isArrayLike(r)) {
    var a = r.length;
    if (isArrayLike(r[0])) {
      for (var o = [], s = 0; s < a; s++)
        o.push(arraySlice.call(r[s]));
      return o;
    }
    return arraySlice.call(r);
  }
  return r;
}
function rgba2String(r) {
  return r[0] = Math.floor(r[0]) || 0, r[1] = Math.floor(r[1]) || 0, r[2] = Math.floor(r[2]) || 0, r[3] = r[3] == null ? 1 : r[3], "rgba(" + r.join(",") + ")";
}
function guessArrayDim(r) {
  return isArrayLike(r && r[0]) ? 2 : 1;
}
var VALUE_TYPE_NUMBER = 0, VALUE_TYPE_1D_ARRAY = 1, VALUE_TYPE_2D_ARRAY = 2, VALUE_TYPE_COLOR = 3, VALUE_TYPE_LINEAR_GRADIENT = 4, VALUE_TYPE_RADIAL_GRADIENT = 5, VALUE_TYPE_UNKOWN = 6;
function isGradientValueType(r) {
  return r === VALUE_TYPE_LINEAR_GRADIENT || r === VALUE_TYPE_RADIAL_GRADIENT;
}
function isArrayValueType(r) {
  return r === VALUE_TYPE_1D_ARRAY || r === VALUE_TYPE_2D_ARRAY;
}
var tmpRgba = [0, 0, 0, 0], Track = function() {
  function r(a) {
    this.keyframes = [], this.discrete = !1, this._invalid = !1, this._needsSort = !1, this._lastFr = 0, this._lastFrP = 0, this.propName = a;
  }
  return r.prototype.isFinished = function() {
    return this._finished;
  }, r.prototype.setFinished = function() {
    this._finished = !0, this._additiveTrack && this._additiveTrack.setFinished();
  }, r.prototype.needsAnimate = function() {
    return this.keyframes.length >= 1;
  }, r.prototype.getAdditiveTrack = function() {
    return this._additiveTrack;
  }, r.prototype.addKeyframe = function(a, o, s) {
    this._needsSort = !0;
    var l = this.keyframes, u = l.length, c = !1, d = VALUE_TYPE_UNKOWN, f = o;
    if (isArrayLike(o)) {
      var p = guessArrayDim(o);
      d = p, (p === 1 && !isNumber(o[0]) || p === 2 && !isNumber(o[0][0])) && (c = !0);
    } else if (isNumber(o) && !eqNaN(o))
      d = VALUE_TYPE_NUMBER;
    else if (isString(o))
      if (!isNaN(+o))
        d = VALUE_TYPE_NUMBER;
      else {
        var v = parse(o);
        v && (f = v, d = VALUE_TYPE_COLOR);
      }
    else if (isGradientObject(o)) {
      var g = extend({}, f);
      g.colorStops = map$1(o.colorStops, function(_) {
        return {
          offset: _.offset,
          color: parse(_.color)
        };
      }), isLinearGradient(o) ? d = VALUE_TYPE_LINEAR_GRADIENT : isRadialGradient(o) && (d = VALUE_TYPE_RADIAL_GRADIENT), f = g;
    }
    u === 0 ? this.valType = d : (d !== this.valType || d === VALUE_TYPE_UNKOWN) && (c = !0), this.discrete = this.discrete || c;
    var y = {
      time: a,
      value: f,
      rawValue: o,
      percent: 0
    };
    return s && (y.easing = s, y.easingFunc = isFunction(s) ? s : easingFuncs[s] || createCubicEasingFunc(s)), l.push(y), y;
  }, r.prototype.prepare = function(a, o) {
    var s = this.keyframes;
    this._needsSort && s.sort(function(C, b) {
      return C.time - b.time;
    });
    for (var l = this.valType, u = s.length, c = s[u - 1], d = this.discrete, f = isArrayValueType(l), p = isGradientValueType(l), v = 0; v < u; v++) {
      var g = s[v], y = g.value, _ = c.value;
      g.percent = g.time / a, d || (f && v !== u - 1 ? fillArray(y, _, l) : p && fillColorStops(y.colorStops, _.colorStops));
    }
    if (!d && l !== VALUE_TYPE_RADIAL_GRADIENT && o && this.needsAnimate() && o.needsAnimate() && l === o.valType && !o._finished) {
      this._additiveTrack = o;
      for (var S = s[0].value, v = 0; v < u; v++)
        l === VALUE_TYPE_NUMBER ? s[v].additiveValue = s[v].value - S : l === VALUE_TYPE_COLOR ? s[v].additiveValue = add1DArray([], s[v].value, S, -1) : isArrayValueType(l) && (s[v].additiveValue = l === VALUE_TYPE_1D_ARRAY ? add1DArray([], s[v].value, S, -1) : add2DArray([], s[v].value, S, -1));
    }
  }, r.prototype.step = function(a, o) {
    if (!this._finished) {
      this._additiveTrack && this._additiveTrack._finished && (this._additiveTrack = null);
      var s = this._additiveTrack != null, l = s ? "additiveValue" : "value", u = this.valType, c = this.keyframes, d = c.length, f = this.propName, p = u === VALUE_TYPE_COLOR, v, g = this._lastFr, y = Math.min, _, S;
      if (d === 1)
        _ = S = c[0];
      else {
        if (o < 0)
          v = 0;
        else if (o < this._lastFrP) {
          var C = y(g + 1, d - 1);
          for (v = C; v >= 0 && !(c[v].percent <= o); v--)
            ;
          v = y(v, d - 2);
        } else {
          for (v = g; v < d && !(c[v].percent > o); v++)
            ;
          v = y(v - 1, d - 2);
        }
        S = c[v + 1], _ = c[v];
      }
      if (_ && S) {
        this._lastFr = v, this._lastFrP = o;
        var b = S.percent - _.percent, T = b === 0 ? 1 : y((o - _.percent) / b, 1);
        S.easingFunc && (T = S.easingFunc(T));
        var E = s ? this._additiveValue : p ? tmpRgba : a[f];
        if ((isArrayValueType(u) || p) && !E && (E = this._additiveValue = []), this.discrete)
          a[f] = T < 1 ? _.rawValue : S.rawValue;
        else if (isArrayValueType(u))
          u === VALUE_TYPE_1D_ARRAY ? interpolate1DArray(E, _[l], S[l], T) : interpolate2DArray(E, _[l], S[l], T);
        else if (isGradientValueType(u)) {
          var x = _[l], $ = S[l], A = u === VALUE_TYPE_LINEAR_GRADIENT;
          a[f] = {
            type: A ? "linear" : "radial",
            x: interpolateNumber$1(x.x, $.x, T),
            y: interpolateNumber$1(x.y, $.y, T),
            colorStops: map$1(x.colorStops, function(P, L) {
              var O = $.colorStops[L];
              return {
                offset: interpolateNumber$1(P.offset, O.offset, T),
                color: rgba2String(interpolate1DArray([], P.color, O.color, T))
              };
            }),
            global: $.global
          }, A ? (a[f].x2 = interpolateNumber$1(x.x2, $.x2, T), a[f].y2 = interpolateNumber$1(x.y2, $.y2, T)) : a[f].r = interpolateNumber$1(x.r, $.r, T);
        } else if (p)
          interpolate1DArray(E, _[l], S[l], T), s || (a[f] = rgba2String(E));
        else {
          var N = interpolateNumber$1(_[l], S[l], T);
          s ? this._additiveValue = N : a[f] = N;
        }
        s && this._addToTarget(a);
      }
    }
  }, r.prototype._addToTarget = function(a) {
    var o = this.valType, s = this.propName, l = this._additiveValue;
    o === VALUE_TYPE_NUMBER ? a[s] = a[s] + l : o === VALUE_TYPE_COLOR ? (parse(a[s], tmpRgba), add1DArray(tmpRgba, tmpRgba, l, 1), a[s] = rgba2String(tmpRgba)) : o === VALUE_TYPE_1D_ARRAY ? add1DArray(a[s], a[s], l, 1) : o === VALUE_TYPE_2D_ARRAY && add2DArray(a[s], a[s], l, 1);
  }, r;
}(), Animator = function() {
  function r(a, o, s, l) {
    if (this._tracks = {}, this._trackKeys = [], this._maxTime = 0, this._started = 0, this._clip = null, this._target = a, this._loop = o, o && l) {
      logError("Can' use additive animation on looped animation.");
      return;
    }
    this._additiveAnimators = l, this._allowDiscrete = s;
  }
  return r.prototype.getMaxTime = function() {
    return this._maxTime;
  }, r.prototype.getDelay = function() {
    return this._delay;
  }, r.prototype.getLoop = function() {
    return this._loop;
  }, r.prototype.getTarget = function() {
    return this._target;
  }, r.prototype.changeTarget = function(a) {
    this._target = a;
  }, r.prototype.when = function(a, o, s) {
    return this.whenWithKeys(a, o, keys(o), s);
  }, r.prototype.whenWithKeys = function(a, o, s, l) {
    for (var u = this._tracks, c = 0; c < s.length; c++) {
      var d = s[c], f = u[d];
      if (!f) {
        f = u[d] = new Track(d);
        var p = void 0, v = this._getAdditiveTrack(d);
        if (v) {
          var g = v.keyframes, y = g[g.length - 1];
          p = y && y.value, v.valType === VALUE_TYPE_COLOR && p && (p = rgba2String(p));
        } else
          p = this._target[d];
        if (p == null)
          continue;
        a > 0 && f.addKeyframe(0, cloneValue(p), l), this._trackKeys.push(d);
      }
      f.addKeyframe(a, cloneValue(o[d]), l);
    }
    return this._maxTime = Math.max(this._maxTime, a), this;
  }, r.prototype.pause = function() {
    this._clip.pause(), this._paused = !0;
  }, r.prototype.resume = function() {
    this._clip.resume(), this._paused = !1;
  }, r.prototype.isPaused = function() {
    return !!this._paused;
  }, r.prototype.duration = function(a) {
    return this._maxTime = a, this._force = !0, this;
  }, r.prototype._doneCallback = function() {
    this._setTracksFinished(), this._clip = null;
    var a = this._doneCbs;
    if (a)
      for (var o = a.length, s = 0; s < o; s++)
        a[s].call(this);
  }, r.prototype._abortedCallback = function() {
    this._setTracksFinished();
    var a = this.animation, o = this._abortedCbs;
    if (a && a.removeClip(this._clip), this._clip = null, o)
      for (var s = 0; s < o.length; s++)
        o[s].call(this);
  }, r.prototype._setTracksFinished = function() {
    for (var a = this._tracks, o = this._trackKeys, s = 0; s < o.length; s++)
      a[o[s]].setFinished();
  }, r.prototype._getAdditiveTrack = function(a) {
    var o, s = this._additiveAnimators;
    if (s)
      for (var l = 0; l < s.length; l++) {
        var u = s[l].getTrack(a);
        u && (o = u);
      }
    return o;
  }, r.prototype.start = function(a) {
    if (!(this._started > 0)) {
      this._started = 1;
      for (var o = this, s = [], l = this._maxTime || 0, u = 0; u < this._trackKeys.length; u++) {
        var c = this._trackKeys[u], d = this._tracks[c], f = this._getAdditiveTrack(c), p = d.keyframes, v = p.length;
        if (d.prepare(l, f), d.needsAnimate())
          if (!this._allowDiscrete && d.discrete) {
            var g = p[v - 1];
            g && (o._target[d.propName] = g.rawValue), d.setFinished();
          } else
            s.push(d);
      }
      if (s.length || this._force) {
        var y = new Clip({
          life: l,
          loop: this._loop,
          delay: this._delay || 0,
          onframe: function(_) {
            o._started = 2;
            var S = o._additiveAnimators;
            if (S) {
              for (var C = !1, b = 0; b < S.length; b++)
                if (S[b]._clip) {
                  C = !0;
                  break;
                }
              C || (o._additiveAnimators = null);
            }
            for (var b = 0; b < s.length; b++)
              s[b].step(o._target, _);
            var T = o._onframeCbs;
            if (T)
              for (var b = 0; b < T.length; b++)
                T[b](o._target, _);
          },
          ondestroy: function() {
            o._doneCallback();
          }
        });
        this._clip = y, this.animation && this.animation.addClip(y), a && y.setEasing(a);
      } else
        this._doneCallback();
      return this;
    }
  }, r.prototype.stop = function(a) {
    if (this._clip) {
      var o = this._clip;
      a && o.onframe(1), this._abortedCallback();
    }
  }, r.prototype.delay = function(a) {
    return this._delay = a, this;
  }, r.prototype.during = function(a) {
    return a && (this._onframeCbs || (this._onframeCbs = []), this._onframeCbs.push(a)), this;
  }, r.prototype.done = function(a) {
    return a && (this._doneCbs || (this._doneCbs = []), this._doneCbs.push(a)), this;
  }, r.prototype.aborted = function(a) {
    return a && (this._abortedCbs || (this._abortedCbs = []), this._abortedCbs.push(a)), this;
  }, r.prototype.getClip = function() {
    return this._clip;
  }, r.prototype.getTrack = function(a) {
    return this._tracks[a];
  }, r.prototype.getTracks = function() {
    var a = this;
    return map$1(this._trackKeys, function(o) {
      return a._tracks[o];
    });
  }, r.prototype.stopTracks = function(a, o) {
    if (!a.length || !this._clip)
      return !0;
    for (var s = this._tracks, l = this._trackKeys, u = 0; u < a.length; u++) {
      var c = s[a[u]];
      c && !c.isFinished() && (o ? c.step(this._target, 1) : this._started === 1 && c.step(this._target, 0), c.setFinished());
    }
    for (var d = !0, u = 0; u < l.length; u++)
      if (!s[l[u]].isFinished()) {
        d = !1;
        break;
      }
    return d && this._abortedCallback(), d;
  }, r.prototype.saveTo = function(a, o, s) {
    if (a) {
      o = o || this._trackKeys;
      for (var l = 0; l < o.length; l++) {
        var u = o[l], c = this._tracks[u];
        if (!(!c || c.isFinished())) {
          var d = c.keyframes, f = d[s ? 0 : d.length - 1];
          f && (a[u] = cloneValue(f.rawValue));
        }
      }
    }
  }, r.prototype.__changeFinalValue = function(a, o) {
    o = o || keys(a);
    for (var s = 0; s < o.length; s++) {
      var l = o[s], u = this._tracks[l];
      if (u) {
        var c = u.keyframes;
        if (c.length > 1) {
          var d = c.pop();
          u.addKeyframe(d.time, a[l]), u.prepare(this._maxTime, u.getAdditiveTrack());
        }
      }
    }
  }, r;
}();
function getTime() {
  return (/* @__PURE__ */ new Date()).getTime();
}
var Animation = function(r) {
  __extends(a, r);
  function a(o) {
    var s = r.call(this) || this;
    return s._running = !1, s._time = 0, s._pausedTime = 0, s._pauseStart = 0, s._paused = !1, o = o || {}, s.stage = o.stage || {}, s;
  }
  return a.prototype.addClip = function(o) {
    o.animation && this.removeClip(o), this._head ? (this._tail.next = o, o.prev = this._tail, o.next = null, this._tail = o) : this._head = this._tail = o, o.animation = this;
  }, a.prototype.addAnimator = function(o) {
    o.animation = this;
    var s = o.getClip();
    s && this.addClip(s);
  }, a.prototype.removeClip = function(o) {
    if (o.animation) {
      var s = o.prev, l = o.next;
      s ? s.next = l : this._head = l, l ? l.prev = s : this._tail = s, o.next = o.prev = o.animation = null;
    }
  }, a.prototype.removeAnimator = function(o) {
    var s = o.getClip();
    s && this.removeClip(s), o.animation = null;
  }, a.prototype.update = function(o) {
    for (var s = getTime() - this._pausedTime, l = s - this._time, u = this._head; u; ) {
      var c = u.next, d = u.step(s, l);
      d && (u.ondestroy(), this.removeClip(u)), u = c;
    }
    this._time = s, o || (this.trigger("frame", l), this.stage.update && this.stage.update());
  }, a.prototype._startLoop = function() {
    var o = this;
    this._running = !0;
    function s() {
      o._running && (requestAnimationFrame$1(s), !o._paused && o.update());
    }
    requestAnimationFrame$1(s);
  }, a.prototype.start = function() {
    this._running || (this._time = getTime(), this._pausedTime = 0, this._startLoop());
  }, a.prototype.stop = function() {
    this._running = !1;
  }, a.prototype.pause = function() {
    this._paused || (this._pauseStart = getTime(), this._paused = !0);
  }, a.prototype.resume = function() {
    this._paused && (this._pausedTime += getTime() - this._pauseStart, this._paused = !1);
  }, a.prototype.clear = function() {
    for (var o = this._head; o; ) {
      var s = o.next;
      o.prev = o.next = o.animation = null, o = s;
    }
    this._head = this._tail = null;
  }, a.prototype.isFinished = function() {
    return this._head == null;
  }, a.prototype.animate = function(o, s) {
    s = s || {}, this.start();
    var l = new Animator(o, s.loop);
    return this.addAnimator(l), l;
  }, a;
}(Eventful), TOUCH_CLICK_DELAY = 300, globalEventSupported = env.domSupported, localNativeListenerNames = function() {
  var r = [
    "click",
    "dblclick",
    "mousewheel",
    "wheel",
    "mouseout",
    "mouseup",
    "mousedown",
    "mousemove",
    "contextmenu"
  ], a = [
    "touchstart",
    "touchend",
    "touchmove"
  ], o = {
    pointerdown: 1,
    pointerup: 1,
    pointermove: 1,
    pointerout: 1
  }, s = map$1(r, function(l) {
    var u = l.replace("mouse", "pointer");
    return o.hasOwnProperty(u) ? u : l;
  });
  return {
    mouse: r,
    touch: a,
    pointer: s
  };
}(), globalNativeListenerNames = {
  mouse: ["mousemove", "mouseup"],
  pointer: ["pointermove", "pointerup"]
}, wheelEventSupported = !1;
function isPointerFromTouch(r) {
  var a = r.pointerType;
  return a === "pen" || a === "touch";
}
function setTouchTimer(r) {
  r.touching = !0, r.touchTimer != null && (clearTimeout(r.touchTimer), r.touchTimer = null), r.touchTimer = setTimeout(function() {
    r.touching = !1, r.touchTimer = null;
  }, 700);
}
function markTouch(r) {
  r && (r.zrByTouch = !0);
}
function normalizeGlobalEvent(r, a) {
  return normalizeEvent(r.dom, new FakeGlobalEvent(r, a), !0);
}
function isLocalEl(r, a) {
  for (var o = a, s = !1; o && o.nodeType !== 9 && !(s = o.domBelongToZr || o !== a && o === r.painterRoot); )
    o = o.parentNode;
  return s;
}
var FakeGlobalEvent = /* @__PURE__ */ function() {
  function r(a, o) {
    this.stopPropagation = noop, this.stopImmediatePropagation = noop, this.preventDefault = noop, this.type = o.type, this.target = this.currentTarget = a.dom, this.pointerType = o.pointerType, this.clientX = o.clientX, this.clientY = o.clientY;
  }
  return r;
}(), localDOMHandlers = {
  mousedown: function(r) {
    r = normalizeEvent(this.dom, r), this.__mayPointerCapture = [r.zrX, r.zrY], this.trigger("mousedown", r);
  },
  mousemove: function(r) {
    r = normalizeEvent(this.dom, r);
    var a = this.__mayPointerCapture;
    a && (r.zrX !== a[0] || r.zrY !== a[1]) && this.__togglePointerCapture(!0), this.trigger("mousemove", r);
  },
  mouseup: function(r) {
    r = normalizeEvent(this.dom, r), this.__togglePointerCapture(!1), this.trigger("mouseup", r);
  },
  mouseout: function(r) {
    r = normalizeEvent(this.dom, r);
    var a = r.toElement || r.relatedTarget;
    isLocalEl(this, a) || (this.__pointerCapturing && (r.zrEventControl = "no_globalout"), this.trigger("mouseout", r));
  },
  wheel: function(r) {
    wheelEventSupported = !0, r = normalizeEvent(this.dom, r), this.trigger("mousewheel", r);
  },
  mousewheel: function(r) {
    wheelEventSupported || (r = normalizeEvent(this.dom, r), this.trigger("mousewheel", r));
  },
  touchstart: function(r) {
    r = normalizeEvent(this.dom, r), markTouch(r), this.__lastTouchMoment = /* @__PURE__ */ new Date(), this.handler.processGesture(r, "start"), localDOMHandlers.mousemove.call(this, r), localDOMHandlers.mousedown.call(this, r);
  },
  touchmove: function(r) {
    r = normalizeEvent(this.dom, r), markTouch(r), this.handler.processGesture(r, "change"), localDOMHandlers.mousemove.call(this, r);
  },
  touchend: function(r) {
    r = normalizeEvent(this.dom, r), markTouch(r), this.handler.processGesture(r, "end"), localDOMHandlers.mouseup.call(this, r), +/* @__PURE__ */ new Date() - +this.__lastTouchMoment < TOUCH_CLICK_DELAY && localDOMHandlers.click.call(this, r);
  },
  pointerdown: function(r) {
    localDOMHandlers.mousedown.call(this, r);
  },
  pointermove: function(r) {
    isPointerFromTouch(r) || localDOMHandlers.mousemove.call(this, r);
  },
  pointerup: function(r) {
    localDOMHandlers.mouseup.call(this, r);
  },
  pointerout: function(r) {
    isPointerFromTouch(r) || localDOMHandlers.mouseout.call(this, r);
  }
};
each$f(["click", "dblclick", "contextmenu"], function(r) {
  localDOMHandlers[r] = function(a) {
    a = normalizeEvent(this.dom, a), this.trigger(r, a);
  };
});
var globalDOMHandlers = {
  pointermove: function(r) {
    isPointerFromTouch(r) || globalDOMHandlers.mousemove.call(this, r);
  },
  pointerup: function(r) {
    globalDOMHandlers.mouseup.call(this, r);
  },
  mousemove: function(r) {
    this.trigger("mousemove", r);
  },
  mouseup: function(r) {
    var a = this.__pointerCapturing;
    this.__togglePointerCapture(!1), this.trigger("mouseup", r), a && (r.zrEventControl = "only_globalout", this.trigger("mouseout", r));
  }
};
function mountLocalDOMEventListeners(r, a) {
  var o = a.domHandlers;
  env.pointerEventsSupported ? each$f(localNativeListenerNames.pointer, function(s) {
    mountSingleDOMEventListener(a, s, function(l) {
      o[s].call(r, l);
    });
  }) : (env.touchEventsSupported && each$f(localNativeListenerNames.touch, function(s) {
    mountSingleDOMEventListener(a, s, function(l) {
      o[s].call(r, l), setTouchTimer(a);
    });
  }), each$f(localNativeListenerNames.mouse, function(s) {
    mountSingleDOMEventListener(a, s, function(l) {
      l = getNativeEvent(l), a.touching || o[s].call(r, l);
    });
  }));
}
function mountGlobalDOMEventListeners(r, a) {
  env.pointerEventsSupported ? each$f(globalNativeListenerNames.pointer, o) : env.touchEventsSupported || each$f(globalNativeListenerNames.mouse, o);
  function o(s) {
    function l(u) {
      u = getNativeEvent(u), isLocalEl(r, u.target) || (u = normalizeGlobalEvent(r, u), a.domHandlers[s].call(r, u));
    }
    mountSingleDOMEventListener(a, s, l, { capture: !0 });
  }
}
function mountSingleDOMEventListener(r, a, o, s) {
  r.mounted[a] = o, r.listenerOpts[a] = s, addEventListener(r.domTarget, a, o, s);
}
function unmountDOMEventListeners(r) {
  var a = r.mounted;
  for (var o in a)
    a.hasOwnProperty(o) && removeEventListener(r.domTarget, o, a[o], r.listenerOpts[o]);
  r.mounted = {};
}
var DOMHandlerScope = /* @__PURE__ */ function() {
  function r(a, o) {
    this.mounted = {}, this.listenerOpts = {}, this.touching = !1, this.domTarget = a, this.domHandlers = o;
  }
  return r;
}(), HandlerDomProxy = function(r) {
  __extends(a, r);
  function a(o, s) {
    var l = r.call(this) || this;
    return l.__pointerCapturing = !1, l.dom = o, l.painterRoot = s, l._localHandlerScope = new DOMHandlerScope(o, localDOMHandlers), globalEventSupported && (l._globalHandlerScope = new DOMHandlerScope(document, globalDOMHandlers)), mountLocalDOMEventListeners(l, l._localHandlerScope), l;
  }
  return a.prototype.dispose = function() {
    unmountDOMEventListeners(this._localHandlerScope), globalEventSupported && unmountDOMEventListeners(this._globalHandlerScope);
  }, a.prototype.setCursor = function(o) {
    this.dom.style && (this.dom.style.cursor = o || "default");
  }, a.prototype.__togglePointerCapture = function(o) {
    if (this.__mayPointerCapture = null, globalEventSupported && +this.__pointerCapturing ^ +o) {
      this.__pointerCapturing = o;
      var s = this._globalHandlerScope;
      o ? mountGlobalDOMEventListeners(this, s) : unmountDOMEventListeners(s);
    }
  }, a;
}(Eventful), dpr = 1;
env.hasGlobalWindow && (dpr = Math.max(window.devicePixelRatio || window.screen && window.screen.deviceXDPI / window.screen.logicalXDPI || 1, 1));
var devicePixelRatio = dpr, DARK_MODE_THRESHOLD = 0.4, DARK_LABEL_COLOR = "#333", LIGHT_LABEL_COLOR = "#ccc", LIGHTER_LABEL_COLOR = "#eee", mIdentity = identity, EPSILON$2 = 5e-5;
function isNotAroundZero(r) {
  return r > EPSILON$2 || r < -5e-5;
}
var scaleTmp = [], tmpTransform = [], originTransform = create$1(), abs = Math.abs, Transformable = function() {
  function r() {
  }
  return r.prototype.getLocalTransform = function(a) {
    return r.getLocalTransform(this, a);
  }, r.prototype.setPosition = function(a) {
    this.x = a[0], this.y = a[1];
  }, r.prototype.setScale = function(a) {
    this.scaleX = a[0], this.scaleY = a[1];
  }, r.prototype.setSkew = function(a) {
    this.skewX = a[0], this.skewY = a[1];
  }, r.prototype.setOrigin = function(a) {
    this.originX = a[0], this.originY = a[1];
  }, r.prototype.needLocalTransform = function() {
    return isNotAroundZero(this.rotation) || isNotAroundZero(this.x) || isNotAroundZero(this.y) || isNotAroundZero(this.scaleX - 1) || isNotAroundZero(this.scaleY - 1) || isNotAroundZero(this.skewX) || isNotAroundZero(this.skewY);
  }, r.prototype.updateTransform = function() {
    var a = this.parent && this.parent.transform, o = this.needLocalTransform(), s = this.transform;
    if (!(o || a)) {
      s && (mIdentity(s), this.invTransform = null);
      return;
    }
    s = s || create$1(), o ? this.getLocalTransform(s) : mIdentity(s), a && (o ? mul(s, a, s) : copy(s, a)), this.transform = s, this._resolveGlobalScaleRatio(s);
  }, r.prototype._resolveGlobalScaleRatio = function(a) {
    var o = this.globalScaleRatio;
    if (o != null && o !== 1) {
      this.getGlobalScale(scaleTmp);
      var s = scaleTmp[0] < 0 ? -1 : 1, l = scaleTmp[1] < 0 ? -1 : 1, u = ((scaleTmp[0] - s) * o + s) / scaleTmp[0] || 0, c = ((scaleTmp[1] - l) * o + l) / scaleTmp[1] || 0;
      a[0] *= u, a[1] *= u, a[2] *= c, a[3] *= c;
    }
    this.invTransform = this.invTransform || create$1(), invert(this.invTransform, a);
  }, r.prototype.getComputedTransform = function() {
    for (var a = this, o = []; a; )
      o.push(a), a = a.parent;
    for (; a = o.pop(); )
      a.updateTransform();
    return this.transform;
  }, r.prototype.setLocalTransform = function(a) {
    if (a) {
      var o = a[0] * a[0] + a[1] * a[1], s = a[2] * a[2] + a[3] * a[3], l = Math.atan2(a[1], a[0]), u = Math.PI / 2 + l - Math.atan2(a[3], a[2]);
      s = Math.sqrt(s) * Math.cos(u), o = Math.sqrt(o), this.skewX = u, this.skewY = 0, this.rotation = -l, this.x = +a[4], this.y = +a[5], this.scaleX = o, this.scaleY = s, this.originX = 0, this.originY = 0;
    }
  }, r.prototype.decomposeTransform = function() {
    if (this.transform) {
      var a = this.parent, o = this.transform;
      a && a.transform && (a.invTransform = a.invTransform || create$1(), mul(tmpTransform, a.invTransform, o), o = tmpTransform);
      var s = this.originX, l = this.originY;
      (s || l) && (originTransform[4] = s, originTransform[5] = l, mul(tmpTransform, o, originTransform), tmpTransform[4] -= s, tmpTransform[5] -= l, o = tmpTransform), this.setLocalTransform(o);
    }
  }, r.prototype.getGlobalScale = function(a) {
    var o = this.transform;
    return a = a || [], o ? (a[0] = Math.sqrt(o[0] * o[0] + o[1] * o[1]), a[1] = Math.sqrt(o[2] * o[2] + o[3] * o[3]), o[0] < 0 && (a[0] = -a[0]), o[3] < 0 && (a[1] = -a[1]), a) : (a[0] = 1, a[1] = 1, a);
  }, r.prototype.transformCoordToLocal = function(a, o) {
    var s = [a, o], l = this.invTransform;
    return l && applyTransform$1(s, s, l), s;
  }, r.prototype.transformCoordToGlobal = function(a, o) {
    var s = [a, o], l = this.transform;
    return l && applyTransform$1(s, s, l), s;
  }, r.prototype.getLineScale = function() {
    var a = this.transform;
    return a && abs(a[0] - 1) > 1e-10 && abs(a[3] - 1) > 1e-10 ? Math.sqrt(abs(a[0] * a[3] - a[2] * a[1])) : 1;
  }, r.prototype.copyTransform = function(a) {
    copyTransform(this, a);
  }, r.getLocalTransform = function(a, o) {
    o = o || [];
    var s = a.originX || 0, l = a.originY || 0, u = a.scaleX, c = a.scaleY, d = a.anchorX, f = a.anchorY, p = a.rotation || 0, v = a.x, g = a.y, y = a.skewX ? Math.tan(a.skewX) : 0, _ = a.skewY ? Math.tan(-a.skewY) : 0;
    if (s || l || d || f) {
      var S = s + d, C = l + f;
      o[4] = -S * u - y * C * c, o[5] = -C * c - _ * S * u;
    } else
      o[4] = o[5] = 0;
    return o[0] = u, o[3] = c, o[1] = _ * u, o[2] = y * c, p && rotate(o, o, p), o[4] += s + v, o[5] += l + g, o;
  }, r.initDefaultProps = function() {
    var a = r.prototype;
    a.scaleX = a.scaleY = a.globalScaleRatio = 1, a.x = a.y = a.originX = a.originY = a.skewX = a.skewY = a.rotation = a.anchorX = a.anchorY = 0;
  }(), r;
}(), TRANSFORMABLE_PROPS = [
  "x",
  "y",
  "originX",
  "originY",
  "anchorX",
  "anchorY",
  "rotation",
  "scaleX",
  "scaleY",
  "skewX",
  "skewY"
];
function copyTransform(r, a) {
  for (var o = 0; o < TRANSFORMABLE_PROPS.length; o++) {
    var s = TRANSFORMABLE_PROPS[o];
    r[s] = a[s];
  }
}
var textWidthCache = {};
function getWidth(r, a) {
  a = a || DEFAULT_FONT;
  var o = textWidthCache[a];
  o || (o = textWidthCache[a] = new LRU(500));
  var s = o.get(r);
  return s == null && (s = platformApi.measureText(r, a).width, o.put(r, s)), s;
}
function innerGetBoundingRect(r, a, o, s) {
  var l = getWidth(r, a), u = getLineHeight(a), c = adjustTextX(0, l, o), d = adjustTextY(0, u, s), f = new BoundingRect(c, d, l, u);
  return f;
}
function getBoundingRect(r, a, o, s) {
  var l = ((r || "") + "").split(`
`), u = l.length;
  if (u === 1)
    return innerGetBoundingRect(l[0], a, o, s);
  for (var c = new BoundingRect(0, 0, 0, 0), d = 0; d < l.length; d++) {
    var f = innerGetBoundingRect(l[d], a, o, s);
    d === 0 ? c.copy(f) : c.union(f);
  }
  return c;
}
function adjustTextX(r, a, o) {
  return o === "right" ? r -= a : o === "center" && (r -= a / 2), r;
}
function adjustTextY(r, a, o) {
  return o === "middle" ? r -= a / 2 : o === "bottom" && (r -= a), r;
}
function getLineHeight(r) {
  return getWidth("国", r);
}
function parsePercent$1(r, a) {
  return typeof r == "string" ? r.lastIndexOf("%") >= 0 ? parseFloat(r) / 100 * a : parseFloat(r) : r;
}
function calculateTextPosition(r, a, o) {
  var s = a.position || "inside", l = a.distance != null ? a.distance : 5, u = o.height, c = o.width, d = u / 2, f = o.x, p = o.y, v = "left", g = "top";
  if (s instanceof Array)
    f += parsePercent$1(s[0], o.width), p += parsePercent$1(s[1], o.height), v = null, g = null;
  else
    switch (s) {
      case "left":
        f -= l, p += d, v = "right", g = "middle";
        break;
      case "right":
        f += l + c, p += d, g = "middle";
        break;
      case "top":
        f += c / 2, p -= l, v = "center", g = "bottom";
        break;
      case "bottom":
        f += c / 2, p += u + l, v = "center";
        break;
      case "inside":
        f += c / 2, p += d, v = "center", g = "middle";
        break;
      case "insideLeft":
        f += l, p += d, g = "middle";
        break;
      case "insideRight":
        f += c - l, p += d, v = "right", g = "middle";
        break;
      case "insideTop":
        f += c / 2, p += l, v = "center";
        break;
      case "insideBottom":
        f += c / 2, p += u - l, v = "center", g = "bottom";
        break;
      case "insideTopLeft":
        f += l, p += l;
        break;
      case "insideTopRight":
        f += c - l, p += l, v = "right";
        break;
      case "insideBottomLeft":
        f += l, p += u - l, g = "bottom";
        break;
      case "insideBottomRight":
        f += c - l, p += u - l, v = "right", g = "bottom";
        break;
    }
  return r = r || {}, r.x = f, r.y = p, r.align = v, r.verticalAlign = g, r;
}
var PRESERVED_NORMAL_STATE = "__zr_normal__", PRIMARY_STATES_KEYS$1 = TRANSFORMABLE_PROPS.concat(["ignore"]), DEFAULT_ANIMATABLE_MAP = reduce(TRANSFORMABLE_PROPS, function(r, a) {
  return r[a] = !0, r;
}, { ignore: !1 }), tmpTextPosCalcRes = {}, tmpBoundingRect = new BoundingRect(0, 0, 0, 0), Element$1 = function() {
  function r(a) {
    this.id = guid(), this.animators = [], this.currentStates = [], this.states = {}, this._init(a);
  }
  return r.prototype._init = function(a) {
    this.attr(a);
  }, r.prototype.drift = function(a, o, s) {
    switch (this.draggable) {
      case "horizontal":
        o = 0;
        break;
      case "vertical":
        a = 0;
        break;
    }
    var l = this.transform;
    l || (l = this.transform = [1, 0, 0, 1, 0, 0]), l[4] += a, l[5] += o, this.decomposeTransform(), this.markRedraw();
  }, r.prototype.beforeUpdate = function() {
  }, r.prototype.afterUpdate = function() {
  }, r.prototype.update = function() {
    this.updateTransform(), this.__dirty && this.updateInnerText();
  }, r.prototype.updateInnerText = function(a) {
    var o = this._textContent;
    if (o && (!o.ignore || a)) {
      this.textConfig || (this.textConfig = {});
      var s = this.textConfig, l = s.local, u = o.innerTransformable, c = void 0, d = void 0, f = !1;
      u.parent = l ? this : null;
      var p = !1;
      if (u.copyTransform(o), s.position != null) {
        var v = tmpBoundingRect;
        s.layoutRect ? v.copy(s.layoutRect) : v.copy(this.getBoundingRect()), l || v.applyTransform(this.transform), this.calculateTextPosition ? this.calculateTextPosition(tmpTextPosCalcRes, s, v) : calculateTextPosition(tmpTextPosCalcRes, s, v), u.x = tmpTextPosCalcRes.x, u.y = tmpTextPosCalcRes.y, c = tmpTextPosCalcRes.align, d = tmpTextPosCalcRes.verticalAlign;
        var g = s.origin;
        if (g && s.rotation != null) {
          var y = void 0, _ = void 0;
          g === "center" ? (y = v.width * 0.5, _ = v.height * 0.5) : (y = parsePercent$1(g[0], v.width), _ = parsePercent$1(g[1], v.height)), p = !0, u.originX = -u.x + y + (l ? 0 : v.x), u.originY = -u.y + _ + (l ? 0 : v.y);
        }
      }
      s.rotation != null && (u.rotation = s.rotation);
      var S = s.offset;
      S && (u.x += S[0], u.y += S[1], p || (u.originX = -S[0], u.originY = -S[1]));
      var C = s.inside == null ? typeof s.position == "string" && s.position.indexOf("inside") >= 0 : s.inside, b = this._innerTextDefaultStyle || (this._innerTextDefaultStyle = {}), T = void 0, E = void 0, x = void 0;
      C && this.canBeInsideText() ? (T = s.insideFill, E = s.insideStroke, (T == null || T === "auto") && (T = this.getInsideTextFill()), (E == null || E === "auto") && (E = this.getInsideTextStroke(T), x = !0)) : (T = s.outsideFill, E = s.outsideStroke, (T == null || T === "auto") && (T = this.getOutsideFill()), (E == null || E === "auto") && (E = this.getOutsideStroke(T), x = !0)), T = T || "#000", (T !== b.fill || E !== b.stroke || x !== b.autoStroke || c !== b.align || d !== b.verticalAlign) && (f = !0, b.fill = T, b.stroke = E, b.autoStroke = x, b.align = c, b.verticalAlign = d, o.setDefaultTextStyle(b)), o.__dirty |= REDRAW_BIT, f && o.dirtyStyle(!0);
    }
  }, r.prototype.canBeInsideText = function() {
    return !0;
  }, r.prototype.getInsideTextFill = function() {
    return "#fff";
  }, r.prototype.getInsideTextStroke = function(a) {
    return "#000";
  }, r.prototype.getOutsideFill = function() {
    return this.__zr && this.__zr.isDarkMode() ? LIGHT_LABEL_COLOR : DARK_LABEL_COLOR;
  }, r.prototype.getOutsideStroke = function(a) {
    var o = this.__zr && this.__zr.getBackgroundColor(), s = typeof o == "string" && parse(o);
    s || (s = [255, 255, 255, 1]);
    for (var l = s[3], u = this.__zr.isDarkMode(), c = 0; c < 3; c++)
      s[c] = s[c] * l + (u ? 0 : 255) * (1 - l);
    return s[3] = 1, stringify(s, "rgba");
  }, r.prototype.traverse = function(a, o) {
  }, r.prototype.attrKV = function(a, o) {
    a === "textConfig" ? this.setTextConfig(o) : a === "textContent" ? this.setTextContent(o) : a === "clipPath" ? this.setClipPath(o) : a === "extra" ? (this.extra = this.extra || {}, extend(this.extra, o)) : this[a] = o;
  }, r.prototype.hide = function() {
    this.ignore = !0, this.markRedraw();
  }, r.prototype.show = function() {
    this.ignore = !1, this.markRedraw();
  }, r.prototype.attr = function(a, o) {
    if (typeof a == "string")
      this.attrKV(a, o);
    else if (isObject$3(a))
      for (var s = a, l = keys(s), u = 0; u < l.length; u++) {
        var c = l[u];
        this.attrKV(c, a[c]);
      }
    return this.markRedraw(), this;
  }, r.prototype.saveCurrentToNormalState = function(a) {
    this._innerSaveToNormal(a);
    for (var o = this._normalState, s = 0; s < this.animators.length; s++) {
      var l = this.animators[s], u = l.__fromStateTransition;
      if (!(l.getLoop() || u && u !== PRESERVED_NORMAL_STATE)) {
        var c = l.targetName, d = c ? o[c] : o;
        l.saveTo(d);
      }
    }
  }, r.prototype._innerSaveToNormal = function(a) {
    var o = this._normalState;
    o || (o = this._normalState = {}), a.textConfig && !o.textConfig && (o.textConfig = this.textConfig), this._savePrimaryToNormal(a, o, PRIMARY_STATES_KEYS$1);
  }, r.prototype._savePrimaryToNormal = function(a, o, s) {
    for (var l = 0; l < s.length; l++) {
      var u = s[l];
      a[u] != null && !(u in o) && (o[u] = this[u]);
    }
  }, r.prototype.hasState = function() {
    return this.currentStates.length > 0;
  }, r.prototype.getState = function(a) {
    return this.states[a];
  }, r.prototype.ensureState = function(a) {
    var o = this.states;
    return o[a] || (o[a] = {}), o[a];
  }, r.prototype.clearStates = function(a) {
    this.useState(PRESERVED_NORMAL_STATE, !1, a);
  }, r.prototype.useState = function(a, o, s, l) {
    var u = a === PRESERVED_NORMAL_STATE, c = this.hasState();
    if (!(!c && u)) {
      var d = this.currentStates, f = this.stateTransition;
      if (!(indexOf(d, a) >= 0 && (o || d.length === 1))) {
        var p;
        if (this.stateProxy && !u && (p = this.stateProxy(a)), p || (p = this.states && this.states[a]), !p && !u) {
          logError("State " + a + " not exists.");
          return;
        }
        u || this.saveCurrentToNormalState(p);
        var v = !!(p && p.hoverLayer || l);
        v && this._toggleHoverLayerFlag(!0), this._applyStateObj(a, p, this._normalState, o, !s && !this.__inHover && f && f.duration > 0, f);
        var g = this._textContent, y = this._textGuide;
        return g && g.useState(a, o, s, v), y && y.useState(a, o, s, v), u ? (this.currentStates = [], this._normalState = {}) : o ? this.currentStates.push(a) : this.currentStates = [a], this._updateAnimationTargets(), this.markRedraw(), !v && this.__inHover && (this._toggleHoverLayerFlag(!1), this.__dirty &= -2), p;
      }
    }
  }, r.prototype.useStates = function(a, o, s) {
    if (!a.length)
      this.clearStates();
    else {
      var l = [], u = this.currentStates, c = a.length, d = c === u.length;
      if (d) {
        for (var f = 0; f < c; f++)
          if (a[f] !== u[f]) {
            d = !1;
            break;
          }
      }
      if (d)
        return;
      for (var f = 0; f < c; f++) {
        var p = a[f], v = void 0;
        this.stateProxy && (v = this.stateProxy(p, a)), v || (v = this.states[p]), v && l.push(v);
      }
      var g = l[c - 1], y = !!(g && g.hoverLayer || s);
      y && this._toggleHoverLayerFlag(!0);
      var _ = this._mergeStates(l), S = this.stateTransition;
      this.saveCurrentToNormalState(_), this._applyStateObj(a.join(","), _, this._normalState, !1, !o && !this.__inHover && S && S.duration > 0, S);
      var C = this._textContent, b = this._textGuide;
      C && C.useStates(a, o, y), b && b.useStates(a, o, y), this._updateAnimationTargets(), this.currentStates = a.slice(), this.markRedraw(), !y && this.__inHover && (this._toggleHoverLayerFlag(!1), this.__dirty &= -2);
    }
  }, r.prototype.isSilent = function() {
    for (var a = this.silent, o = this.parent; !a && o; ) {
      if (o.silent) {
        a = !0;
        break;
      }
      o = o.parent;
    }
    return a;
  }, r.prototype._updateAnimationTargets = function() {
    for (var a = 0; a < this.animators.length; a++) {
      var o = this.animators[a];
      o.targetName && o.changeTarget(this[o.targetName]);
    }
  }, r.prototype.removeState = function(a) {
    var o = indexOf(this.currentStates, a);
    if (o >= 0) {
      var s = this.currentStates.slice();
      s.splice(o, 1), this.useStates(s);
    }
  }, r.prototype.replaceState = function(a, o, s) {
    var l = this.currentStates.slice(), u = indexOf(l, a), c = indexOf(l, o) >= 0;
    u >= 0 ? c ? l.splice(u, 1) : l[u] = o : s && !c && l.push(o), this.useStates(l);
  }, r.prototype.toggleState = function(a, o) {
    o ? this.useState(a, !0) : this.removeState(a);
  }, r.prototype._mergeStates = function(a) {
    for (var o = {}, s, l = 0; l < a.length; l++) {
      var u = a[l];
      extend(o, u), u.textConfig && (s = s || {}, extend(s, u.textConfig));
    }
    return s && (o.textConfig = s), o;
  }, r.prototype._applyStateObj = function(a, o, s, l, u, c) {
    var d = !(o && l);
    o && o.textConfig ? (this.textConfig = extend({}, l ? this.textConfig : s.textConfig), extend(this.textConfig, o.textConfig)) : d && s.textConfig && (this.textConfig = s.textConfig);
    for (var f = {}, p = !1, v = 0; v < PRIMARY_STATES_KEYS$1.length; v++) {
      var g = PRIMARY_STATES_KEYS$1[v], y = u && DEFAULT_ANIMATABLE_MAP[g];
      o && o[g] != null ? y ? (p = !0, f[g] = o[g]) : this[g] = o[g] : d && s[g] != null && (y ? (p = !0, f[g] = s[g]) : this[g] = s[g]);
    }
    if (!u)
      for (var v = 0; v < this.animators.length; v++) {
        var _ = this.animators[v], S = _.targetName;
        _.getLoop() || _.__changeFinalValue(S ? (o || s)[S] : o || s);
      }
    p && this._transitionState(a, f, c);
  }, r.prototype._attachComponent = function(a) {
    if (a.__zr && !a.__hostTarget) {
      if (process.env.NODE_ENV !== "production")
        throw new Error("Text element has been added to zrender.");
      return;
    }
    if (a === this) {
      if (process.env.NODE_ENV !== "production")
        throw new Error("Recursive component attachment.");
      return;
    }
    var o = this.__zr;
    o && a.addSelfToZr(o), a.__zr = o, a.__hostTarget = this;
  }, r.prototype._detachComponent = function(a) {
    a.__zr && a.removeSelfFromZr(a.__zr), a.__zr = null, a.__hostTarget = null;
  }, r.prototype.getClipPath = function() {
    return this._clipPath;
  }, r.prototype.setClipPath = function(a) {
    this._clipPath && this._clipPath !== a && this.removeClipPath(), this._attachComponent(a), this._clipPath = a, this.markRedraw();
  }, r.prototype.removeClipPath = function() {
    var a = this._clipPath;
    a && (this._detachComponent(a), this._clipPath = null, this.markRedraw());
  }, r.prototype.getTextContent = function() {
    return this._textContent;
  }, r.prototype.setTextContent = function(a) {
    var o = this._textContent;
    if (o !== a) {
      if (o && o !== a && this.removeTextContent(), process.env.NODE_ENV !== "production" && a.__zr && !a.__hostTarget)
        throw new Error("Text element has been added to zrender.");
      a.innerTransformable = new Transformable(), this._attachComponent(a), this._textContent = a, this.markRedraw();
    }
  }, r.prototype.setTextConfig = function(a) {
    this.textConfig || (this.textConfig = {}), extend(this.textConfig, a), this.markRedraw();
  }, r.prototype.removeTextConfig = function() {
    this.textConfig = null, this.markRedraw();
  }, r.prototype.removeTextContent = function() {
    var a = this._textContent;
    a && (a.innerTransformable = null, this._detachComponent(a), this._textContent = null, this._innerTextDefaultStyle = null, this.markRedraw());
  }, r.prototype.getTextGuideLine = function() {
    return this._textGuide;
  }, r.prototype.setTextGuideLine = function(a) {
    this._textGuide && this._textGuide !== a && this.removeTextGuideLine(), this._attachComponent(a), this._textGuide = a, this.markRedraw();
  }, r.prototype.removeTextGuideLine = function() {
    var a = this._textGuide;
    a && (this._detachComponent(a), this._textGuide = null, this.markRedraw());
  }, r.prototype.markRedraw = function() {
    this.__dirty |= REDRAW_BIT;
    var a = this.__zr;
    a && (this.__inHover ? a.refreshHover() : a.refresh()), this.__hostTarget && this.__hostTarget.markRedraw();
  }, r.prototype.dirty = function() {
    this.markRedraw();
  }, r.prototype._toggleHoverLayerFlag = function(a) {
    this.__inHover = a;
    var o = this._textContent, s = this._textGuide;
    o && (o.__inHover = a), s && (s.__inHover = a);
  }, r.prototype.addSelfToZr = function(a) {
    if (this.__zr !== a) {
      this.__zr = a;
      var o = this.animators;
      if (o)
        for (var s = 0; s < o.length; s++)
          a.animation.addAnimator(o[s]);
      this._clipPath && this._clipPath.addSelfToZr(a), this._textContent && this._textContent.addSelfToZr(a), this._textGuide && this._textGuide.addSelfToZr(a);
    }
  }, r.prototype.removeSelfFromZr = function(a) {
    if (this.__zr) {
      this.__zr = null;
      var o = this.animators;
      if (o)
        for (var s = 0; s < o.length; s++)
          a.animation.removeAnimator(o[s]);
      this._clipPath && this._clipPath.removeSelfFromZr(a), this._textContent && this._textContent.removeSelfFromZr(a), this._textGuide && this._textGuide.removeSelfFromZr(a);
    }
  }, r.prototype.animate = function(a, o, s) {
    var l = a ? this[a] : this;
    if (process.env.NODE_ENV !== "production" && !l) {
      logError('Property "' + a + '" is not existed in element ' + this.id);
      return;
    }
    var u = new Animator(l, o, s);
    return a && (u.targetName = a), this.addAnimator(u, a), u;
  }, r.prototype.addAnimator = function(a, o) {
    var s = this.__zr, l = this;
    a.during(function() {
      l.updateDuringAnimation(o);
    }).done(function() {
      var u = l.animators, c = indexOf(u, a);
      c >= 0 && u.splice(c, 1);
    }), this.animators.push(a), s && s.animation.addAnimator(a), s && s.wakeUp();
  }, r.prototype.updateDuringAnimation = function(a) {
    this.markRedraw();
  }, r.prototype.stopAnimation = function(a, o) {
    for (var s = this.animators, l = s.length, u = [], c = 0; c < l; c++) {
      var d = s[c];
      !a || a === d.scope ? d.stop(o) : u.push(d);
    }
    return this.animators = u, this;
  }, r.prototype.animateTo = function(a, o, s) {
    animateTo(this, a, o, s);
  }, r.prototype.animateFrom = function(a, o, s) {
    animateTo(this, a, o, s, !0);
  }, r.prototype._transitionState = function(a, o, s, l) {
    for (var u = animateTo(this, o, s, l), c = 0; c < u.length; c++)
      u[c].__fromStateTransition = a;
  }, r.prototype.getBoundingRect = function() {
    return null;
  }, r.prototype.getPaintRect = function() {
    return null;
  }, r.initDefaultProps = function() {
    var a = r.prototype;
    a.type = "element", a.name = "", a.ignore = a.silent = a.isGroup = a.draggable = a.dragging = a.ignoreClip = a.__inHover = !1, a.__dirty = REDRAW_BIT;
    var o = {};
    function s(u, c, d) {
      o[u + c + d] || (console.warn("DEPRECATED: '" + u + "' has been deprecated. use '" + c + "', '" + d + "' instead"), o[u + c + d] = !0);
    }
    function l(u, c, d, f) {
      Object.defineProperty(a, u, {
        get: function() {
          if (process.env.NODE_ENV !== "production" && s(u, d, f), !this[c]) {
            var v = this[c] = [];
            p(this, v);
          }
          return this[c];
        },
        set: function(v) {
          process.env.NODE_ENV !== "production" && s(u, d, f), this[d] = v[0], this[f] = v[1], this[c] = v, p(this, v);
        }
      });
      function p(v, g) {
        Object.defineProperty(g, 0, {
          get: function() {
            return v[d];
          },
          set: function(y) {
            v[d] = y;
          }
        }), Object.defineProperty(g, 1, {
          get: function() {
            return v[f];
          },
          set: function(y) {
            v[f] = y;
          }
        });
      }
    }
    Object.defineProperty && (l("position", "_legacyPos", "x", "y"), l("scale", "_legacyScale", "scaleX", "scaleY"), l("origin", "_legacyOrigin", "originX", "originY"));
  }(), r;
}();
mixin(Element$1, Eventful);
mixin(Element$1, Transformable);
function animateTo(r, a, o, s, l) {
  o = o || {};
  var u = [];
  animateToShallow(r, "", r, a, o, s, u, l);
  var c = u.length, d = !1, f = o.done, p = o.aborted, v = function() {
    d = !0, c--, c <= 0 && (d ? f && f() : p && p());
  }, g = function() {
    c--, c <= 0 && (d ? f && f() : p && p());
  };
  c || f && f(), u.length > 0 && o.during && u[0].during(function(S, C) {
    o.during(C);
  });
  for (var y = 0; y < u.length; y++) {
    var _ = u[y];
    _.done(v), _.aborted(g), o.force && _.duration(o.duration), _.start(o.easing);
  }
  return u;
}
function copyArrShallow(r, a, o) {
  for (var s = 0; s < o; s++)
    r[s] = a[s];
}
function is2DArray(r) {
  return isArrayLike(r[0]);
}
function copyValue(r, a, o) {
  if (isArrayLike(a[o]))
    if (isArrayLike(r[o]) || (r[o] = []), isTypedArray(a[o])) {
      var s = a[o].length;
      r[o].length !== s && (r[o] = new a[o].constructor(s), copyArrShallow(r[o], a[o], s));
    } else {
      var l = a[o], u = r[o], c = l.length;
      if (is2DArray(l))
        for (var d = l[0].length, f = 0; f < c; f++)
          u[f] ? copyArrShallow(u[f], l[f], d) : u[f] = Array.prototype.slice.call(l[f]);
      else
        copyArrShallow(u, l, c);
      u.length = l.length;
    }
  else
    r[o] = a[o];
}
function isValueSame(r, a) {
  return r === a || isArrayLike(r) && isArrayLike(a) && is1DArraySame(r, a);
}
function is1DArraySame(r, a) {
  var o = r.length;
  if (o !== a.length)
    return !1;
  for (var s = 0; s < o; s++)
    if (r[s] !== a[s])
      return !1;
  return !0;
}
function animateToShallow(r, a, o, s, l, u, c, d) {
  for (var f = keys(s), p = l.duration, v = l.delay, g = l.additive, y = l.setToFinal, _ = !isObject$3(u), S = r.animators, C = [], b = 0; b < f.length; b++) {
    var T = f[b], E = s[T];
    if (E != null && o[T] != null && (_ || u[T]))
      if (isObject$3(E) && !isArrayLike(E) && !isGradientObject(E)) {
        if (a) {
          d || (o[T] = E, r.updateDuringAnimation(a));
          continue;
        }
        animateToShallow(r, T, o[T], E, l, u && u[T], c, d);
      } else
        C.push(T);
    else d || (o[T] = E, r.updateDuringAnimation(a), C.push(T));
  }
  var x = C.length;
  if (!g && x)
    for (var $ = 0; $ < S.length; $++) {
      var A = S[$];
      if (A.targetName === a) {
        var N = A.stopTracks(C);
        if (N) {
          var P = indexOf(S, A);
          S.splice(P, 1);
        }
      }
    }
  if (l.force || (C = filter(C, function(F) {
    return !isValueSame(s[F], o[F]);
  }), x = C.length), x > 0 || l.force && !c.length) {
    var L = void 0, O = void 0, M = void 0;
    if (d) {
      O = {}, y && (L = {});
      for (var $ = 0; $ < x; $++) {
        var T = C[$];
        O[T] = o[T], y ? L[T] = s[T] : o[T] = s[T];
      }
    } else if (y) {
      M = {};
      for (var $ = 0; $ < x; $++) {
        var T = C[$];
        M[T] = cloneValue(o[T]), copyValue(o, s, T);
      }
    }
    var A = new Animator(o, !1, !1, g ? filter(S, function(U) {
      return U.targetName === a;
    }) : null);
    A.targetName = a, l.scope && (A.scope = l.scope), y && L && A.whenWithKeys(0, L, C), M && A.whenWithKeys(0, M, C), A.whenWithKeys(p ?? 500, d ? O : s, C).delay(v || 0), r.addAnimator(A, a), c.push(A);
  }
}
var Group$3 = function(r) {
  __extends(a, r);
  function a(o) {
    var s = r.call(this) || this;
    return s.isGroup = !0, s._children = [], s.attr(o), s;
  }
  return a.prototype.childrenRef = function() {
    return this._children;
  }, a.prototype.children = function() {
    return this._children.slice();
  }, a.prototype.childAt = function(o) {
    return this._children[o];
  }, a.prototype.childOfName = function(o) {
    for (var s = this._children, l = 0; l < s.length; l++)
      if (s[l].name === o)
        return s[l];
  }, a.prototype.childCount = function() {
    return this._children.length;
  }, a.prototype.add = function(o) {
    if (o && (o !== this && o.parent !== this && (this._children.push(o), this._doAdd(o)), process.env.NODE_ENV !== "production" && o.__hostTarget))
      throw "This elemenet has been used as an attachment";
    return this;
  }, a.prototype.addBefore = function(o, s) {
    if (o && o !== this && o.parent !== this && s && s.parent === this) {
      var l = this._children, u = l.indexOf(s);
      u >= 0 && (l.splice(u, 0, o), this._doAdd(o));
    }
    return this;
  }, a.prototype.replace = function(o, s) {
    var l = indexOf(this._children, o);
    return l >= 0 && this.replaceAt(s, l), this;
  }, a.prototype.replaceAt = function(o, s) {
    var l = this._children, u = l[s];
    if (o && o !== this && o.parent !== this && o !== u) {
      l[s] = o, u.parent = null;
      var c = this.__zr;
      c && u.removeSelfFromZr(c), this._doAdd(o);
    }
    return this;
  }, a.prototype._doAdd = function(o) {
    o.parent && o.parent.remove(o), o.parent = this;
    var s = this.__zr;
    s && s !== o.__zr && o.addSelfToZr(s), s && s.refresh();
  }, a.prototype.remove = function(o) {
    var s = this.__zr, l = this._children, u = indexOf(l, o);
    return u < 0 ? this : (l.splice(u, 1), o.parent = null, s && o.removeSelfFromZr(s), s && s.refresh(), this);
  }, a.prototype.removeAll = function() {
    for (var o = this._children, s = this.__zr, l = 0; l < o.length; l++) {
      var u = o[l];
      s && u.removeSelfFromZr(s), u.parent = null;
    }
    return o.length = 0, this;
  }, a.prototype.eachChild = function(o, s) {
    for (var l = this._children, u = 0; u < l.length; u++) {
      var c = l[u];
      o.call(s, c, u);
    }
    return this;
  }, a.prototype.traverse = function(o, s) {
    for (var l = 0; l < this._children.length; l++) {
      var u = this._children[l], c = o.call(s, u);
      u.isGroup && !c && u.traverse(o, s);
    }
    return this;
  }, a.prototype.addSelfToZr = function(o) {
    r.prototype.addSelfToZr.call(this, o);
    for (var s = 0; s < this._children.length; s++) {
      var l = this._children[s];
      l.addSelfToZr(o);
    }
  }, a.prototype.removeSelfFromZr = function(o) {
    r.prototype.removeSelfFromZr.call(this, o);
    for (var s = 0; s < this._children.length; s++) {
      var l = this._children[s];
      l.removeSelfFromZr(o);
    }
  }, a.prototype.getBoundingRect = function(o) {
    for (var s = new BoundingRect(0, 0, 0, 0), l = o || this._children, u = [], c = null, d = 0; d < l.length; d++) {
      var f = l[d];
      if (!(f.ignore || f.invisible)) {
        var p = f.getBoundingRect(), v = f.getLocalTransform(u);
        v ? (BoundingRect.applyTransform(s, p, v), c = c || s.clone(), c.union(s)) : (c = c || p.clone(), c.union(p));
      }
    }
    return c || s;
  }, a;
}(Element$1);
Group$3.prototype.type = "group";
/*!
* ZRender, a high performance 2d drawing library.
*
* Copyright (c) 2013, Baidu Inc.
* All rights reserved.
*
* LICENSE
* https://github.com/ecomfe/zrender/blob/master/LICENSE.txt
*/
var painterCtors = {}, instances$1 = {};
function delInstance(r) {
  delete instances$1[r];
}
function isDarkMode(r) {
  if (!r)
    return !1;
  if (typeof r == "string")
    return lum(r, 1) < DARK_MODE_THRESHOLD;
  if (r.colorStops) {
    for (var a = r.colorStops, o = 0, s = a.length, l = 0; l < s; l++)
      o += lum(a[l].color, 1);
    return o /= s, o < DARK_MODE_THRESHOLD;
  }
  return !1;
}
var ZRender = function() {
  function r(a, o, s) {
    var l = this;
    this._sleepAfterStill = 10, this._stillFrameAccum = 0, this._needsRefresh = !0, this._needsRefreshHover = !0, this._darkMode = !1, s = s || {}, this.dom = o, this.id = a;
    var u = new Storage(), c = s.renderer || "canvas";
    if (painterCtors[c] || (c = keys(painterCtors)[0]), process.env.NODE_ENV !== "production" && !painterCtors[c])
      throw new Error("Renderer '" + c + "' is not imported. Please import it first.");
    s.useDirtyRect = s.useDirtyRect == null ? !1 : s.useDirtyRect;
    var d = new painterCtors[c](o, u, s, a), f = s.ssr || d.ssrOnly;
    this.storage = u, this.painter = d;
    var p = !env.node && !env.worker && !f ? new HandlerDomProxy(d.getViewportRoot(), d.root) : null, v = s.useCoarsePointer, g = v == null || v === "auto" ? env.touchEventsSupported : !!v, y = 44, _;
    g && (_ = retrieve2(s.pointerSize, y)), this.handler = new Handler(u, d, p, d.root, _), this.animation = new Animation({
      stage: {
        update: f ? null : function() {
          return l._flush(!0);
        }
      }
    }), f || this.animation.start();
  }
  return r.prototype.add = function(a) {
    this._disposed || !a || (this.storage.addRoot(a), a.addSelfToZr(this), this.refresh());
  }, r.prototype.remove = function(a) {
    this._disposed || !a || (this.storage.delRoot(a), a.removeSelfFromZr(this), this.refresh());
  }, r.prototype.configLayer = function(a, o) {
    this._disposed || (this.painter.configLayer && this.painter.configLayer(a, o), this.refresh());
  }, r.prototype.setBackgroundColor = function(a) {
    this._disposed || (this.painter.setBackgroundColor && this.painter.setBackgroundColor(a), this.refresh(), this._backgroundColor = a, this._darkMode = isDarkMode(a));
  }, r.prototype.getBackgroundColor = function() {
    return this._backgroundColor;
  }, r.prototype.setDarkMode = function(a) {
    this._darkMode = a;
  }, r.prototype.isDarkMode = function() {
    return this._darkMode;
  }, r.prototype.refreshImmediately = function(a) {
    this._disposed || (a || this.animation.update(!0), this._needsRefresh = !1, this.painter.refresh(), this._needsRefresh = !1);
  }, r.prototype.refresh = function() {
    this._disposed || (this._needsRefresh = !0, this.animation.start());
  }, r.prototype.flush = function() {
    this._disposed || this._flush(!1);
  }, r.prototype._flush = function(a) {
    var o, s = getTime();
    this._needsRefresh && (o = !0, this.refreshImmediately(a)), this._needsRefreshHover && (o = !0, this.refreshHoverImmediately());
    var l = getTime();
    o ? (this._stillFrameAccum = 0, this.trigger("rendered", {
      elapsedTime: l - s
    })) : this._sleepAfterStill > 0 && (this._stillFrameAccum++, this._stillFrameAccum > this._sleepAfterStill && this.animation.stop());
  }, r.prototype.setSleepAfterStill = function(a) {
    this._sleepAfterStill = a;
  }, r.prototype.wakeUp = function() {
    this._disposed || (this.animation.start(), this._stillFrameAccum = 0);
  }, r.prototype.refreshHover = function() {
    this._needsRefreshHover = !0;
  }, r.prototype.refreshHoverImmediately = function() {
    this._disposed || (this._needsRefreshHover = !1, this.painter.refreshHover && this.painter.getType() === "canvas" && this.painter.refreshHover());
  }, r.prototype.resize = function(a) {
    this._disposed || (a = a || {}, this.painter.resize(a.width, a.height), this.handler.resize());
  }, r.prototype.clearAnimation = function() {
    this._disposed || this.animation.clear();
  }, r.prototype.getWidth = function() {
    if (!this._disposed)
      return this.painter.getWidth();
  }, r.prototype.getHeight = function() {
    if (!this._disposed)
      return this.painter.getHeight();
  }, r.prototype.setCursorStyle = function(a) {
    this._disposed || this.handler.setCursorStyle(a);
  }, r.prototype.findHover = function(a, o) {
    if (!this._disposed)
      return this.handler.findHover(a, o);
  }, r.prototype.on = function(a, o, s) {
    return this._disposed || this.handler.on(a, o, s), this;
  }, r.prototype.off = function(a, o) {
    this._disposed || this.handler.off(a, o);
  }, r.prototype.trigger = function(a, o) {
    this._disposed || this.handler.trigger(a, o);
  }, r.prototype.clear = function() {
    if (!this._disposed) {
      for (var a = this.storage.getRoots(), o = 0; o < a.length; o++)
        a[o] instanceof Group$3 && a[o].removeSelfFromZr(this);
      this.storage.delAllRoots(), this.painter.clear();
    }
  }, r.prototype.dispose = function() {
    this._disposed || (this.animation.stop(), this.clear(), this.storage.dispose(), this.painter.dispose(), this.handler.dispose(), this.animation = this.storage = this.painter = this.handler = null, this._disposed = !0, delInstance(this.id));
  }, r;
}();
function init$2(r, a) {
  var o = new ZRender(guid(), r, a);
  return instances$1[o.id] = o, o;
}
function dispose$1(r) {
  r.dispose();
}
function disposeAll() {
  for (var r in instances$1)
    instances$1.hasOwnProperty(r) && instances$1[r].dispose();
  instances$1 = {};
}
function getInstance(r) {
  return instances$1[r];
}
function registerPainter(r, a) {
  painterCtors[r] = a;
}
var ssrDataGetter;
function getElementSSRData(r) {
  if (typeof ssrDataGetter == "function")
    return ssrDataGetter(r);
}
function registerSSRDataGetter(r) {
  ssrDataGetter = r;
}
var version$1 = "5.6.1";
const zrender = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  dispose: dispose$1,
  disposeAll,
  getElementSSRData,
  getInstance,
  init: init$2,
  registerPainter,
  registerSSRDataGetter,
  version: version$1
}, Symbol.toStringTag, { value: "Module" }));
var RADIAN_EPSILON = 1e-4, ROUND_SUPPORTED_PRECISION_MAX = 20;
function _trim(r) {
  return r.replace(/^\s+|\s+$/g, "");
}
function linearMap$2(r, a, o, s) {
  var l = a[0], u = a[1], c = o[0], d = o[1], f = u - l, p = d - c;
  if (f === 0)
    return p === 0 ? c : (c + d) / 2;
  if (s)
    if (f > 0) {
      if (r <= l)
        return c;
      if (r >= u)
        return d;
    } else {
      if (r >= l)
        return c;
      if (r <= u)
        return d;
    }
  else {
    if (r === l)
      return c;
    if (r === u)
      return d;
  }
  return (r - l) / f * p + c;
}
function parsePercent(r, a) {
  switch (r) {
    case "center":
    case "middle":
      r = "50%";
      break;
    case "left":
    case "top":
      r = "0%";
      break;
    case "right":
    case "bottom":
      r = "100%";
      break;
  }
  return isString(r) ? _trim(r).match(/%$/) ? parseFloat(r) / 100 * a : parseFloat(r) : r == null ? NaN : +r;
}
function round$3(r, a, o) {
  return a == null && (a = 10), a = Math.min(Math.max(0, a), ROUND_SUPPORTED_PRECISION_MAX), r = (+r).toFixed(a), o ? r : +r;
}
function asc$2(r) {
  return r.sort(function(a, o) {
    return a - o;
  }), r;
}
function getPrecision(r) {
  if (r = +r, isNaN(r))
    return 0;
  if (r > 1e-14) {
    for (var a = 1, o = 0; o < 15; o++, a *= 10)
      if (Math.round(r * a) / a === r)
        return o;
  }
  return getPrecisionSafe(r);
}
function getPrecisionSafe(r) {
  var a = r.toString().toLowerCase(), o = a.indexOf("e"), s = o > 0 ? +a.slice(o + 1) : 0, l = o > 0 ? o : a.length, u = a.indexOf("."), c = u < 0 ? 0 : l - 1 - u;
  return Math.max(0, c - s);
}
function getPixelPrecision(r, a) {
  var o = Math.log, s = Math.LN10, l = Math.floor(o(r[1] - r[0]) / s), u = Math.round(o(Math.abs(a[1] - a[0])) / s), c = Math.min(Math.max(-l + u, 0), 20);
  return isFinite(c) ? c : 20;
}
function getPercentWithPrecision(r, a, o) {
  if (!r[a])
    return 0;
  var s = getPercentSeats(r, o);
  return s[a] || 0;
}
function getPercentSeats(r, a) {
  var o = reduce(r, function(_, S) {
    return _ + (isNaN(S) ? 0 : S);
  }, 0);
  if (o === 0)
    return [];
  for (var s = Math.pow(10, a), l = map$1(r, function(_) {
    return (isNaN(_) ? 0 : _) / o * s * 100;
  }), u = s * 100, c = map$1(l, function(_) {
    return Math.floor(_);
  }), d = reduce(c, function(_, S) {
    return _ + S;
  }, 0), f = map$1(l, function(_, S) {
    return _ - c[S];
  }); d < u; ) {
    for (var p = Number.NEGATIVE_INFINITY, v = null, g = 0, y = f.length; g < y; ++g)
      f[g] > p && (p = f[g], v = g);
    ++c[v], f[v] = 0, ++d;
  }
  return map$1(c, function(_) {
    return _ / s;
  });
}
function addSafe(r, a) {
  var o = Math.max(getPrecision(r), getPrecision(a)), s = r + a;
  return o > ROUND_SUPPORTED_PRECISION_MAX ? s : round$3(s, o);
}
var MAX_SAFE_INTEGER = 9007199254740991;
function remRadian(r) {
  var a = Math.PI * 2;
  return (r % a + a) % a;
}
function isRadianAroundZero(r) {
  return r > -1e-4 && r < RADIAN_EPSILON;
}
var TIME_REG = /^(?:(\d{4})(?:[-\/](\d{1,2})(?:[-\/](\d{1,2})(?:[T ](\d{1,2})(?::(\d{1,2})(?::(\d{1,2})(?:[.,](\d+))?)?)?(Z|[\+\-]\d\d:?\d\d)?)?)?)?)?$/;
function parseDate(r) {
  if (r instanceof Date)
    return r;
  if (isString(r)) {
    var a = TIME_REG.exec(r);
    if (!a)
      return /* @__PURE__ */ new Date(NaN);
    if (a[8]) {
      var o = +a[4] || 0;
      return a[8].toUpperCase() !== "Z" && (o -= +a[8].slice(0, 3)), new Date(Date.UTC(+a[1], +(a[2] || 1) - 1, +a[3] || 1, o, +(a[5] || 0), +a[6] || 0, a[7] ? +a[7].substring(0, 3) : 0));
    } else
      return new Date(+a[1], +(a[2] || 1) - 1, +a[3] || 1, +a[4] || 0, +(a[5] || 0), +a[6] || 0, a[7] ? +a[7].substring(0, 3) : 0);
  } else if (r == null)
    return /* @__PURE__ */ new Date(NaN);
  return new Date(Math.round(r));
}
function quantity(r) {
  return Math.pow(10, quantityExponent(r));
}
function quantityExponent(r) {
  if (r === 0)
    return 0;
  var a = Math.floor(Math.log(r) / Math.LN10);
  return r / Math.pow(10, a) >= 10 && a++, a;
}
function nice(r, a) {
  var o = quantityExponent(r), s = Math.pow(10, o), l = r / s, u;
  return a ? l < 1.5 ? u = 1 : l < 2.5 ? u = 2 : l < 4 ? u = 3 : l < 7 ? u = 5 : u = 10 : l < 1 ? u = 1 : l < 2 ? u = 2 : l < 3 ? u = 3 : l < 5 ? u = 5 : u = 10, r = u * s, o >= -20 ? +r.toFixed(o < 0 ? -o : 0) : r;
}
function quantile(r, a) {
  var o = (r.length - 1) * a + 1, s = Math.floor(o), l = +r[s - 1], u = o - s;
  return u ? l + u * (r[s] - l) : l;
}
function reformIntervals(r) {
  r.sort(function(f, p) {
    return d(f, p, 0) ? -1 : 1;
  });
  for (var a = -1 / 0, o = 1, s = 0; s < r.length; ) {
    for (var l = r[s].interval, u = r[s].close, c = 0; c < 2; c++)
      l[c] <= a && (l[c] = a, u[c] = c ? 1 : 1 - o), a = l[c], o = u[c];
    l[0] === l[1] && u[0] * u[1] !== 1 ? r.splice(s, 1) : s++;
  }
  return r;
  function d(f, p, v) {
    return f.interval[v] < p.interval[v] || f.interval[v] === p.interval[v] && (f.close[v] - p.close[v] === (v ? -1 : 1) || !v && d(f, p, 1));
  }
}
function numericToNumber(r) {
  var a = parseFloat(r);
  return a == r && (a !== 0 || !isString(r) || r.indexOf("x") <= 0) ? a : NaN;
}
function isNumeric(r) {
  return !isNaN(numericToNumber(r));
}
function getRandomIdBase() {
  return Math.round(Math.random() * 9);
}
function getGreatestCommonDividor(r, a) {
  return a === 0 ? r : getGreatestCommonDividor(a, r % a);
}
function getLeastCommonMultiple(r, a) {
  return r == null ? a : a == null ? r : r * a / getGreatestCommonDividor(r, a);
}
var ECHARTS_PREFIX = "[ECharts] ", storedLogs = {}, hasConsole = typeof console < "u" && console.warn && console.log;
function outputLog(r, a, o) {
  if (hasConsole) {
    if (o) {
      if (storedLogs[a])
        return;
      storedLogs[a] = !0;
    }
    console[r](ECHARTS_PREFIX + a);
  }
}
function log(r, a) {
  outputLog("log", r, a);
}
function warn(r, a) {
  outputLog("warn", r, a);
}
function error(r, a) {
  outputLog("error", r, a);
}
function deprecateLog(r) {
  process.env.NODE_ENV !== "production" && outputLog("warn", "DEPRECATED: " + r, !0);
}
function deprecateReplaceLog(r, a, o) {
  process.env.NODE_ENV !== "production" && deprecateLog((o ? "[" + o + "]" : "") + (r + " is deprecated, use " + a + " instead."));
}
function makePrintable() {
  for (var r = [], a = 0; a < arguments.length; a++)
    r[a] = arguments[a];
  var o = "";
  if (process.env.NODE_ENV !== "production") {
    var s = function(l) {
      return l === void 0 ? "undefined" : l === 1 / 0 ? "Infinity" : l === -1 / 0 ? "-Infinity" : eqNaN(l) ? "NaN" : l instanceof Date ? "Date(" + l.toISOString() + ")" : isFunction(l) ? "function () { ... }" : isRegExp(l) ? l + "" : null;
    };
    o = map$1(r, function(l) {
      if (isString(l))
        return l;
      var u = s(l);
      if (u != null)
        return u;
      if (typeof JSON < "u" && JSON.stringify)
        try {
          return JSON.stringify(l, function(c, d) {
            var f = s(d);
            return f ?? d;
          });
        } catch {
          return "?";
        }
      else
        return "?";
    }).join(" ");
  }
  return o;
}
function throwError(r) {
  throw new Error(r);
}
function interpolateNumber(r, a, o) {
  return (a - r) * o + r;
}
var DUMMY_COMPONENT_NAME_PREFIX = "series\0", INTERNAL_COMPONENT_ID_PREFIX = "\0_ec_\0";
function normalizeToArray(r) {
  return r instanceof Array ? r : r == null ? [] : [r];
}
function defaultEmphasis(r, a, o) {
  if (r) {
    r[a] = r[a] || {}, r.emphasis = r.emphasis || {}, r.emphasis[a] = r.emphasis[a] || {};
    for (var s = 0, l = o.length; s < l; s++) {
      var u = o[s];
      !r.emphasis[a].hasOwnProperty(u) && r[a].hasOwnProperty(u) && (r.emphasis[a][u] = r[a][u]);
    }
  }
}
var TEXT_STYLE_OPTIONS = ["fontStyle", "fontWeight", "fontSize", "fontFamily", "rich", "tag", "color", "textBorderColor", "textBorderWidth", "width", "height", "lineHeight", "align", "verticalAlign", "baseline", "shadowColor", "shadowBlur", "shadowOffsetX", "shadowOffsetY", "textShadowColor", "textShadowBlur", "textShadowOffsetX", "textShadowOffsetY", "backgroundColor", "borderColor", "borderWidth", "borderRadius", "padding"];
function getDataItemValue(r) {
  return isObject$3(r) && !isArray$1(r) && !(r instanceof Date) ? r.value : r;
}
function isDataItemOption(r) {
  return isObject$3(r) && !(r instanceof Array);
}
function mappingToExists(r, a, o) {
  var s = o === "normalMerge", l = o === "replaceMerge", u = o === "replaceAll";
  r = r || [], a = (a || []).slice();
  var c = createHashMap();
  each$f(a, function(f, p) {
    if (!isObject$3(f)) {
      a[p] = null;
      return;
    }
    process.env.NODE_ENV !== "production" && (f.id != null && !isValidIdOrName(f.id) && warnInvalidateIdOrName(f.id), f.name != null && !isValidIdOrName(f.name) && warnInvalidateIdOrName(f.name));
  });
  var d = prepareResult(r, c, o);
  return (s || l) && mappingById(d, r, c, a), s && mappingByName(d, a), s || l ? mappingByIndex(d, a, l) : u && mappingInReplaceAllMode(d, a), makeIdAndName(d), d;
}
function prepareResult(r, a, o) {
  var s = [];
  if (o === "replaceAll")
    return s;
  for (var l = 0; l < r.length; l++) {
    var u = r[l];
    u && u.id != null && a.set(u.id, l), s.push({
      existing: o === "replaceMerge" || isComponentIdInternal(u) ? null : u,
      newOption: null,
      keyInfo: null,
      brandNew: null
    });
  }
  return s;
}
function mappingById(r, a, o, s) {
  each$f(s, function(l, u) {
    if (!(!l || l.id == null)) {
      var c = makeComparableKey(l.id), d = o.get(c);
      if (d != null) {
        var f = r[d];
        assert(!f.newOption, 'Duplicated option on id "' + c + '".'), f.newOption = l, f.existing = a[d], s[u] = null;
      }
    }
  });
}
function mappingByName(r, a) {
  each$f(a, function(o, s) {
    if (!(!o || o.name == null))
      for (var l = 0; l < r.length; l++) {
        var u = r[l].existing;
        if (!r[l].newOption && u && (u.id == null || o.id == null) && !isComponentIdInternal(o) && !isComponentIdInternal(u) && keyExistAndEqual("name", u, o)) {
          r[l].newOption = o, a[s] = null;
          return;
        }
      }
  });
}
function mappingByIndex(r, a, o) {
  each$f(a, function(s) {
    if (s) {
      for (
        var l, u = 0;
        // Be `!resultItem` only when `nextIdx >= result.length`.
        (l = r[u]) && (l.newOption || isComponentIdInternal(l.existing) || // In mode "replaceMerge", here no not-mapped-non-internal-existing.
        l.existing && s.id != null && !keyExistAndEqual("id", s, l.existing));
      )
        u++;
      l ? (l.newOption = s, l.brandNew = o) : r.push({
        newOption: s,
        brandNew: o,
        existing: null,
        keyInfo: null
      }), u++;
    }
  });
}
function mappingInReplaceAllMode(r, a) {
  each$f(a, function(o) {
    r.push({
      newOption: o,
      brandNew: !0,
      existing: null,
      keyInfo: null
    });
  });
}
function makeIdAndName(r) {
  var a = createHashMap();
  each$f(r, function(o) {
    var s = o.existing;
    s && a.set(s.id, o);
  }), each$f(r, function(o) {
    var s = o.newOption;
    assert(!s || s.id == null || !a.get(s.id) || a.get(s.id) === o, "id duplicates: " + (s && s.id)), s && s.id != null && a.set(s.id, o), !o.keyInfo && (o.keyInfo = {});
  }), each$f(r, function(o, s) {
    var l = o.existing, u = o.newOption, c = o.keyInfo;
    if (isObject$3(u)) {
      if (c.name = u.name != null ? makeComparableKey(u.name) : l ? l.name : DUMMY_COMPONENT_NAME_PREFIX + s, l)
        c.id = makeComparableKey(l.id);
      else if (u.id != null)
        c.id = makeComparableKey(u.id);
      else {
        var d = 0;
        do
          c.id = "\0" + c.name + "\0" + d++;
        while (a.get(c.id));
      }
      a.set(c.id, o);
    }
  });
}
function keyExistAndEqual(r, a, o) {
  var s = convertOptionIdName(a[r], null), l = convertOptionIdName(o[r], null);
  return s != null && l != null && s === l;
}
function makeComparableKey(r) {
  if (process.env.NODE_ENV !== "production" && r == null)
    throw new Error();
  return convertOptionIdName(r, "");
}
function convertOptionIdName(r, a) {
  return r == null ? a : isString(r) ? r : isNumber(r) || isStringSafe(r) ? r + "" : a;
}
function warnInvalidateIdOrName(r) {
  process.env.NODE_ENV !== "production" && warn("`" + r + "` is invalid id or name. Must be a string or number.");
}
function isValidIdOrName(r) {
  return isStringSafe(r) || isNumeric(r);
}
function isNameSpecified(r) {
  var a = r.name;
  return !!(a && a.indexOf(DUMMY_COMPONENT_NAME_PREFIX));
}
function isComponentIdInternal(r) {
  return r && r.id != null && makeComparableKey(r.id).indexOf(INTERNAL_COMPONENT_ID_PREFIX) === 0;
}
function makeInternalComponentId(r) {
  return INTERNAL_COMPONENT_ID_PREFIX + r;
}
function setComponentTypeToKeyInfo(r, a, o) {
  each$f(r, function(s) {
    var l = s.newOption;
    isObject$3(l) && (s.keyInfo.mainType = a, s.keyInfo.subType = determineSubType(a, l, s.existing, o));
  });
}
function determineSubType(r, a, o, s) {
  var l = a.type ? a.type : o ? o.subType : s.determineSubType(r, a);
  return l;
}
function compressBatches(r, a) {
  var o = {}, s = {};
  return l(r || [], o), l(a || [], s, o), [u(o), u(s)];
  function l(c, d, f) {
    for (var p = 0, v = c.length; p < v; p++) {
      var g = convertOptionIdName(c[p].seriesId, null);
      if (g == null)
        return;
      for (var y = normalizeToArray(c[p].dataIndex), _ = f && f[g], S = 0, C = y.length; S < C; S++) {
        var b = y[S];
        _ && _[b] ? _[b] = null : (d[g] || (d[g] = {}))[b] = 1;
      }
    }
  }
  function u(c, d) {
    var f = [];
    for (var p in c)
      if (c.hasOwnProperty(p) && c[p] != null)
        if (d)
          f.push(+p);
        else {
          var v = u(c[p], !0);
          v.length && f.push({
            seriesId: p,
            dataIndex: v
          });
        }
    return f;
  }
}
function queryDataIndex(r, a) {
  if (a.dataIndexInside != null)
    return a.dataIndexInside;
  if (a.dataIndex != null)
    return isArray$1(a.dataIndex) ? map$1(a.dataIndex, function(o) {
      return r.indexOfRawIndex(o);
    }) : r.indexOfRawIndex(a.dataIndex);
  if (a.name != null)
    return isArray$1(a.name) ? map$1(a.name, function(o) {
      return r.indexOfName(o);
    }) : r.indexOfName(a.name);
}
function makeInner() {
  var r = "__ec_inner_" + innerUniqueIndex++;
  return function(a) {
    return a[r] || (a[r] = {});
  };
}
var innerUniqueIndex = getRandomIdBase();
function parseFinder$1(r, a, o) {
  var s = preParseFinder(a, o), l = s.mainTypeSpecified, u = s.queryOptionMap, c = s.others, d = c, f = o ? o.defaultMainType : null;
  return !l && f && u.set(f, {}), u.each(function(p, v) {
    var g = queryReferringComponents(r, v, p, {
      useDefault: f === v,
      enableAll: o && o.enableAll != null ? o.enableAll : !0,
      enableNone: o && o.enableNone != null ? o.enableNone : !0
    });
    d[v + "Models"] = g.models, d[v + "Model"] = g.models[0];
  }), d;
}
function preParseFinder(r, a) {
  var o;
  if (isString(r)) {
    var s = {};
    s[r + "Index"] = 0, o = s;
  } else
    o = r;
  var l = createHashMap(), u = {}, c = !1;
  return each$f(o, function(d, f) {
    if (f === "dataIndex" || f === "dataIndexInside") {
      u[f] = d;
      return;
    }
    var p = f.match(/^(\w+)(Index|Id|Name)$/) || [], v = p[1], g = (p[2] || "").toLowerCase();
    if (!(!v || !g || a && a.includeMainTypes && indexOf(a.includeMainTypes, v) < 0)) {
      c = c || !!v;
      var y = l.get(v) || l.set(v, {});
      y[g] = d;
    }
  }), {
    mainTypeSpecified: c,
    queryOptionMap: l,
    others: u
  };
}
var SINGLE_REFERRING = {
  useDefault: !0,
  enableAll: !1,
  enableNone: !1
}, MULTIPLE_REFERRING = {
  useDefault: !1,
  enableAll: !0,
  enableNone: !0
};
function queryReferringComponents(r, a, o, s) {
  s = s || SINGLE_REFERRING;
  var l = o.index, u = o.id, c = o.name, d = {
    models: null,
    specified: l != null || u != null || c != null
  };
  if (!d.specified) {
    var f = void 0;
    return d.models = s.useDefault && (f = r.getComponent(a)) ? [f] : [], d;
  }
  return l === "none" || l === !1 ? (assert(s.enableNone, '`"none"` or `false` is not a valid value on index option.'), d.models = [], d) : (l === "all" && (assert(s.enableAll, '`"all"` is not a valid value on index option.'), l = u = c = null), d.models = r.queryComponents({
    mainType: a,
    index: l,
    id: u,
    name: c
  }), d);
}
function setAttribute(r, a, o) {
  r.setAttribute ? r.setAttribute(a, o) : r[a] = o;
}
function getAttribute(r, a) {
  return r.getAttribute ? r.getAttribute(a) : r[a];
}
function getTooltipRenderMode(r) {
  return r === "auto" ? env.domSupported ? "html" : "richText" : r || "html";
}
function groupData(r, a) {
  var o = createHashMap(), s = [];
  return each$f(r, function(l) {
    var u = a(l);
    (o.get(u) || (s.push(u), o.set(u, []))).push(l);
  }), {
    keys: s,
    buckets: o
  };
}
function interpolateRawValues(r, a, o, s, l) {
  var u = a == null || a === "auto";
  if (s == null)
    return s;
  if (isNumber(s)) {
    var c = interpolateNumber(o || 0, s, l);
    return round$3(c, u ? Math.max(getPrecision(o || 0), getPrecision(s)) : a);
  } else {
    if (isString(s))
      return l < 1 ? o : s;
    for (var d = [], f = o, p = s, v = Math.max(f ? f.length : 0, p.length), g = 0; g < v; ++g) {
      var y = r.getDimensionInfo(g);
      if (y && y.type === "ordinal")
        d[g] = (l < 1 && f ? f : p)[g];
      else {
        var _ = f && f[g] ? f[g] : 0, S = p[g], c = interpolateNumber(_, S, l);
        d[g] = round$3(c, u ? Math.max(getPrecision(_), getPrecision(S)) : a);
      }
    }
    return d;
  }
}
var TYPE_DELIMITER = ".", IS_CONTAINER = "___EC__COMPONENT__CONTAINER___", IS_EXTENDED_CLASS = "___EC__EXTENDED_CLASS___";
function parseClassType(r) {
  var a = {
    main: "",
    sub: ""
  };
  if (r) {
    var o = r.split(TYPE_DELIMITER);
    a.main = o[0] || "", a.sub = o[1] || "";
  }
  return a;
}
function checkClassType(r) {
  assert(/^[a-zA-Z0-9_]+([.][a-zA-Z0-9_]+)?$/.test(r), 'componentType "' + r + '" illegal');
}
function isExtendedClass(r) {
  return !!(r && r[IS_EXTENDED_CLASS]);
}
function enableClassExtend(r, a) {
  r.$constructor = r, r.extend = function(o) {
    process.env.NODE_ENV !== "production" && each$f(a, function(u) {
      o[u] || console.warn("Method `" + u + "` should be implemented" + (o.type ? " in " + o.type : "") + ".");
    });
    var s = this, l;
    return isESClass(s) ? l = /** @class */
    function(u) {
      __extends(c, u);
      function c() {
        return u.apply(this, arguments) || this;
      }
      return c;
    }(s) : (l = function() {
      (o.$constructor || s).apply(this, arguments);
    }, inherits(l, this)), extend(l.prototype, o), l[IS_EXTENDED_CLASS] = !0, l.extend = this.extend, l.superCall = superCall, l.superApply = superApply, l.superClass = s, l;
  };
}
function isESClass(r) {
  return isFunction(r) && /^class\s/.test(Function.prototype.toString.call(r));
}
function mountExtend(r, a) {
  r.extend = a.extend;
}
var classBase = Math.round(Math.random() * 10);
function enableClassCheck(r) {
  var a = ["__\0is_clz", classBase++].join("_");
  r.prototype[a] = !0, process.env.NODE_ENV !== "production" && assert(!r.isInstance, 'The method "is" can not be defined.'), r.isInstance = function(o) {
    return !!(o && o[a]);
  };
}
function superCall(r, a) {
  for (var o = [], s = 2; s < arguments.length; s++)
    o[s - 2] = arguments[s];
  return this.superClass.prototype[a].apply(r, o);
}
function superApply(r, a, o) {
  return this.superClass.prototype[a].apply(r, o);
}
function enableClassManagement(r) {
  var a = {};
  r.registerClass = function(s) {
    var l = s.type || s.prototype.type;
    if (l) {
      checkClassType(l), s.prototype.type = l;
      var u = parseClassType(l);
      if (!u.sub)
        process.env.NODE_ENV !== "production" && a[u.main] && console.warn(u.main + " exists."), a[u.main] = s;
      else if (u.sub !== IS_CONTAINER) {
        var c = o(u);
        c[u.sub] = s;
      }
    }
    return s;
  }, r.getClass = function(s, l, u) {
    var c = a[s];
    if (c && c[IS_CONTAINER] && (c = l ? c[l] : null), u && !c)
      throw new Error(l ? "Component " + s + "." + (l || "") + " is used but not imported." : s + ".type should be specified.");
    return c;
  }, r.getClassesByMainType = function(s) {
    var l = parseClassType(s), u = [], c = a[l.main];
    return c && c[IS_CONTAINER] ? each$f(c, function(d, f) {
      f !== IS_CONTAINER && u.push(d);
    }) : u.push(c), u;
  }, r.hasClass = function(s) {
    var l = parseClassType(s);
    return !!a[l.main];
  }, r.getAllClassMainTypes = function() {
    var s = [];
    return each$f(a, function(l, u) {
      s.push(u);
    }), s;
  }, r.hasSubTypes = function(s) {
    var l = parseClassType(s), u = a[l.main];
    return u && u[IS_CONTAINER];
  };
  function o(s) {
    var l = a[s.main];
    return (!l || !l[IS_CONTAINER]) && (l = a[s.main] = {}, l[IS_CONTAINER] = !0), l;
  }
}
function makeStyleMapper(r, a) {
  for (var o = 0; o < r.length; o++)
    r[o][1] || (r[o][1] = r[o][0]);
  return a = a || !1, function(s, l, u) {
    for (var c = {}, d = 0; d < r.length; d++) {
      var f = r[d][1];
      if (!(l && indexOf(l, f) >= 0 || u && indexOf(u, f) < 0)) {
        var p = s.getShallow(f, a);
        p != null && (c[r[d][0]] = p);
      }
    }
    return c;
  };
}
var AREA_STYLE_KEY_MAP = [
  ["fill", "color"],
  ["shadowBlur"],
  ["shadowOffsetX"],
  ["shadowOffsetY"],
  ["opacity"],
  ["shadowColor"]
  // Option decal is in `DecalObject` but style.decal is in `PatternObject`.
  // So do not transfer decal directly.
], getAreaStyle = makeStyleMapper(AREA_STYLE_KEY_MAP), AreaStyleMixin = (
  /** @class */
  function() {
    function r() {
    }
    return r.prototype.getAreaStyle = function(a, o) {
      return getAreaStyle(this, a, o);
    }, r;
  }()
), globalImageCache = new LRU(50);
function findExistImage(r) {
  if (typeof r == "string") {
    var a = globalImageCache.get(r);
    return a && a.image;
  } else
    return r;
}
function createOrUpdateImage(r, a, o, s, l) {
  if (r)
    if (typeof r == "string") {
      if (a && a.__zrImageSrc === r || !o)
        return a;
      var u = globalImageCache.get(r), c = { hostEl: o, cb: s, cbPayload: l };
      return u ? (a = u.image, !isImageReady(a) && u.pending.push(c)) : (a = platformApi.loadImage(r, imageOnLoad, imageOnLoad), a.__zrImageSrc = r, globalImageCache.put(r, a.__cachedImgObj = {
        image: a,
        pending: [c]
      })), a;
    } else
      return r;
  else return a;
}
function imageOnLoad() {
  var r = this.__cachedImgObj;
  this.onload = this.onerror = this.__cachedImgObj = null;
  for (var a = 0; a < r.pending.length; a++) {
    var o = r.pending[a], s = o.cb;
    s && s(this, o.cbPayload), o.hostEl.dirty();
  }
  r.pending.length = 0;
}
function isImageReady(r) {
  return r && r.width && r.height;
}
var STYLE_REG = /\{([a-zA-Z0-9_]+)\|([^}]*)\}/g;
function truncateText(r, a, o, s, l) {
  var u = {};
  return truncateText2(u, r, a, o, s, l), u.text;
}
function truncateText2(r, a, o, s, l, u) {
  if (!o) {
    r.text = "", r.isTruncated = !1;
    return;
  }
  var c = (a + "").split(`
`);
  u = prepareTruncateOptions(o, s, l, u);
  for (var d = !1, f = {}, p = 0, v = c.length; p < v; p++)
    truncateSingleLine(f, c[p], u), c[p] = f.textLine, d = d || f.isTruncated;
  r.text = c.join(`
`), r.isTruncated = d;
}
function prepareTruncateOptions(r, a, o, s) {
  s = s || {};
  var l = extend({}, s);
  l.font = a, o = retrieve2(o, "..."), l.maxIterations = retrieve2(s.maxIterations, 2);
  var u = l.minChar = retrieve2(s.minChar, 0);
  l.cnCharWidth = getWidth("国", a);
  var c = l.ascCharWidth = getWidth("a", a);
  l.placeholder = retrieve2(s.placeholder, "");
  for (var d = r = Math.max(0, r - 1), f = 0; f < u && d >= c; f++)
    d -= c;
  var p = getWidth(o, a);
  return p > d && (o = "", p = 0), d = r - p, l.ellipsis = o, l.ellipsisWidth = p, l.contentWidth = d, l.containerWidth = r, l;
}
function truncateSingleLine(r, a, o) {
  var s = o.containerWidth, l = o.font, u = o.contentWidth;
  if (!s) {
    r.textLine = "", r.isTruncated = !1;
    return;
  }
  var c = getWidth(a, l);
  if (c <= s) {
    r.textLine = a, r.isTruncated = !1;
    return;
  }
  for (var d = 0; ; d++) {
    if (c <= u || d >= o.maxIterations) {
      a += o.ellipsis;
      break;
    }
    var f = d === 0 ? estimateLength(a, u, o.ascCharWidth, o.cnCharWidth) : c > 0 ? Math.floor(a.length * u / c) : 0;
    a = a.substr(0, f), c = getWidth(a, l);
  }
  a === "" && (a = o.placeholder), r.textLine = a, r.isTruncated = !0;
}
function estimateLength(r, a, o, s) {
  for (var l = 0, u = 0, c = r.length; u < c && l < a; u++) {
    var d = r.charCodeAt(u);
    l += 0 <= d && d <= 127 ? o : s;
  }
  return u;
}
function parsePlainText(r, a) {
  r != null && (r += "");
  var o = a.overflow, s = a.padding, l = a.font, u = o === "truncate", c = getLineHeight(l), d = retrieve2(a.lineHeight, c), f = !!a.backgroundColor, p = a.lineOverflow === "truncate", v = !1, g = a.width, y;
  g != null && (o === "break" || o === "breakAll") ? y = r ? wrapText(r, a.font, g, o === "breakAll", 0).lines : [] : y = r ? r.split(`
`) : [];
  var _ = y.length * d, S = retrieve2(a.height, _);
  if (_ > S && p) {
    var C = Math.floor(S / d);
    v = v || y.length > C, y = y.slice(0, C);
  }
  if (r && u && g != null)
    for (var b = prepareTruncateOptions(g, l, a.ellipsis, {
      minChar: a.truncateMinChar,
      placeholder: a.placeholder
    }), T = {}, E = 0; E < y.length; E++)
      truncateSingleLine(T, y[E], b), y[E] = T.textLine, v = v || T.isTruncated;
  for (var x = S, $ = 0, E = 0; E < y.length; E++)
    $ = Math.max(getWidth(y[E], l), $);
  g == null && (g = $);
  var A = $;
  return s && (x += s[0] + s[2], A += s[1] + s[3], g += s[1] + s[3]), f && (A = g), {
    lines: y,
    height: S,
    outerWidth: A,
    outerHeight: x,
    lineHeight: d,
    calculatedLineHeight: c,
    contentWidth: $,
    contentHeight: _,
    width: g,
    isTruncated: v
  };
}
var RichTextToken = /* @__PURE__ */ function() {
  function r() {
  }
  return r;
}(), RichTextLine = /* @__PURE__ */ function() {
  function r(a) {
    this.tokens = [], a && (this.tokens = a);
  }
  return r;
}(), RichTextContentBlock = /* @__PURE__ */ function() {
  function r() {
    this.width = 0, this.height = 0, this.contentWidth = 0, this.contentHeight = 0, this.outerWidth = 0, this.outerHeight = 0, this.lines = [], this.isTruncated = !1;
  }
  return r;
}();
function parseRichText(r, a) {
  var o = new RichTextContentBlock();
  if (r != null && (r += ""), !r)
    return o;
  for (var s = a.width, l = a.height, u = a.overflow, c = (u === "break" || u === "breakAll") && s != null ? { width: s, accumWidth: 0, breakAll: u === "breakAll" } : null, d = STYLE_REG.lastIndex = 0, f; (f = STYLE_REG.exec(r)) != null; ) {
    var p = f.index;
    p > d && pushTokens(o, r.substring(d, p), a, c), pushTokens(o, f[2], a, c, f[1]), d = STYLE_REG.lastIndex;
  }
  d < r.length && pushTokens(o, r.substring(d, r.length), a, c);
  var v = [], g = 0, y = 0, _ = a.padding, S = u === "truncate", C = a.lineOverflow === "truncate", b = {};
  function T(de, X, W) {
    de.width = X, de.lineHeight = W, g += W, y = Math.max(y, X);
  }
  e: for (var E = 0; E < o.lines.length; E++) {
    for (var x = o.lines[E], $ = 0, A = 0, N = 0; N < x.tokens.length; N++) {
      var P = x.tokens[N], L = P.styleName && a.rich[P.styleName] || {}, O = P.textPadding = L.padding, M = O ? O[1] + O[3] : 0, F = P.font = L.font || a.font;
      P.contentHeight = getLineHeight(F);
      var U = retrieve2(L.height, P.contentHeight);
      if (P.innerHeight = U, O && (U += O[0] + O[2]), P.height = U, P.lineHeight = retrieve3(L.lineHeight, a.lineHeight, U), P.align = L && L.align || a.align, P.verticalAlign = L && L.verticalAlign || "middle", C && l != null && g + P.lineHeight > l) {
        var R = o.lines.length;
        N > 0 ? (x.tokens = x.tokens.slice(0, N), T(x, A, $), o.lines = o.lines.slice(0, E + 1)) : o.lines = o.lines.slice(0, E), o.isTruncated = o.isTruncated || o.lines.length < R;
        break e;
      }
      var H = L.width, V = H == null || H === "auto";
      if (typeof H == "string" && H.charAt(H.length - 1) === "%")
        P.percentWidth = H, v.push(P), P.contentWidth = getWidth(P.text, F);
      else {
        if (V) {
          var Y = L.backgroundColor, G = Y && Y.image;
          G && (G = findExistImage(G), isImageReady(G) && (P.width = Math.max(P.width, G.width * U / G.height)));
        }
        var Z = S && s != null ? s - A : null;
        Z != null && Z < P.width ? !V || Z < M ? (P.text = "", P.width = P.contentWidth = 0) : (truncateText2(b, P.text, Z - M, F, a.ellipsis, { minChar: a.truncateMinChar }), P.text = b.text, o.isTruncated = o.isTruncated || b.isTruncated, P.width = P.contentWidth = getWidth(P.text, F)) : P.contentWidth = getWidth(P.text, F);
      }
      P.width += M, A += P.width, L && ($ = Math.max($, P.lineHeight));
    }
    T(x, A, $);
  }
  o.outerWidth = o.width = retrieve2(s, y), o.outerHeight = o.height = retrieve2(l, g), o.contentHeight = g, o.contentWidth = y, _ && (o.outerWidth += _[1] + _[3], o.outerHeight += _[0] + _[2]);
  for (var E = 0; E < v.length; E++) {
    var P = v[E], re = P.percentWidth;
    P.width = parseInt(re, 10) / 100 * o.width;
  }
  return o;
}
function pushTokens(r, a, o, s, l) {
  var u = a === "", c = l && o.rich[l] || {}, d = r.lines, f = c.font || o.font, p = !1, v, g;
  if (s) {
    var y = c.padding, _ = y ? y[1] + y[3] : 0;
    if (c.width != null && c.width !== "auto") {
      var S = parsePercent$1(c.width, s.width) + _;
      d.length > 0 && S + s.accumWidth > s.width && (v = a.split(`
`), p = !0), s.accumWidth = S;
    } else {
      var C = wrapText(a, f, s.width, s.breakAll, s.accumWidth);
      s.accumWidth = C.accumWidth + _, g = C.linesWidths, v = C.lines;
    }
  } else
    v = a.split(`
`);
  for (var b = 0; b < v.length; b++) {
    var T = v[b], E = new RichTextToken();
    if (E.styleName = l, E.text = T, E.isLineHolder = !T && !u, typeof c.width == "number" ? E.width = c.width : E.width = g ? g[b] : getWidth(T, f), !b && !p) {
      var x = (d[d.length - 1] || (d[0] = new RichTextLine())).tokens, $ = x.length;
      $ === 1 && x[0].isLineHolder ? x[0] = E : (T || !$ || u) && x.push(E);
    } else
      d.push(new RichTextLine([E]));
  }
}
function isAlphabeticLetter(r) {
  var a = r.charCodeAt(0);
  return a >= 32 && a <= 591 || a >= 880 && a <= 4351 || a >= 4608 && a <= 5119 || a >= 7680 && a <= 8303;
}
var breakCharMap = reduce(",&?/;] ".split(""), function(r, a) {
  return r[a] = !0, r;
}, {});
function isWordBreakChar(r) {
  return isAlphabeticLetter(r) ? !!breakCharMap[r] : !0;
}
function wrapText(r, a, o, s, l) {
  for (var u = [], c = [], d = "", f = "", p = 0, v = 0, g = 0; g < r.length; g++) {
    var y = r.charAt(g);
    if (y === `
`) {
      f && (d += f, v += p), u.push(d), c.push(v), d = "", f = "", p = 0, v = 0;
      continue;
    }
    var _ = getWidth(y, a), S = s ? !1 : !isWordBreakChar(y);
    if (u.length ? v + _ > o : l + v + _ > o) {
      v ? (d || f) && (S ? (d || (d = f, f = "", p = 0, v = p), u.push(d), c.push(v - p), f += y, p += _, d = "", v = p) : (f && (d += f, f = "", p = 0), u.push(d), c.push(v), d = y, v = _)) : S ? (u.push(f), c.push(p), f = y, p = _) : (u.push(y), c.push(_));
      continue;
    }
    v += _, S ? (f += y, p += _) : (f && (d += f, f = "", p = 0), d += y);
  }
  return !u.length && !d && (d = r, f = "", p = 0), f && (d += f), d && (u.push(d), c.push(v)), u.length === 1 && (v += l), {
    accumWidth: v,
    lines: u,
    linesWidths: c
  };
}
var STYLE_MAGIC_KEY = "__zr_style_" + Math.round(Math.random() * 10), DEFAULT_COMMON_STYLE = {
  shadowBlur: 0,
  shadowOffsetX: 0,
  shadowOffsetY: 0,
  shadowColor: "#000",
  opacity: 1,
  blend: "source-over"
}, DEFAULT_COMMON_ANIMATION_PROPS = {
  style: {
    shadowBlur: !0,
    shadowOffsetX: !0,
    shadowOffsetY: !0,
    shadowColor: !0,
    opacity: !0
  }
};
DEFAULT_COMMON_STYLE[STYLE_MAGIC_KEY] = !0;
var PRIMARY_STATES_KEYS = ["z", "z2", "invisible"], PRIMARY_STATES_KEYS_IN_HOVER_LAYER = ["invisible"], Displayable = function(r) {
  __extends(a, r);
  function a(o) {
    return r.call(this, o) || this;
  }
  return a.prototype._init = function(o) {
    for (var s = keys(o), l = 0; l < s.length; l++) {
      var u = s[l];
      u === "style" ? this.useStyle(o[u]) : r.prototype.attrKV.call(this, u, o[u]);
    }
    this.style || this.useStyle({});
  }, a.prototype.beforeBrush = function() {
  }, a.prototype.afterBrush = function() {
  }, a.prototype.innerBeforeBrush = function() {
  }, a.prototype.innerAfterBrush = function() {
  }, a.prototype.shouldBePainted = function(o, s, l, u) {
    var c = this.transform;
    if (this.ignore || this.invisible || this.style.opacity === 0 || this.culling && isDisplayableCulled(this, o, s) || c && !c[0] && !c[3])
      return !1;
    if (l && this.__clipPaths) {
      for (var d = 0; d < this.__clipPaths.length; ++d)
        if (this.__clipPaths[d].isZeroArea())
          return !1;
    }
    if (u && this.parent)
      for (var f = this.parent; f; ) {
        if (f.ignore)
          return !1;
        f = f.parent;
      }
    return !0;
  }, a.prototype.contain = function(o, s) {
    return this.rectContain(o, s);
  }, a.prototype.traverse = function(o, s) {
    o.call(s, this);
  }, a.prototype.rectContain = function(o, s) {
    var l = this.transformCoordToLocal(o, s), u = this.getBoundingRect();
    return u.contain(l[0], l[1]);
  }, a.prototype.getPaintRect = function() {
    var o = this._paintRect;
    if (!this._paintRect || this.__dirty) {
      var s = this.transform, l = this.getBoundingRect(), u = this.style, c = u.shadowBlur || 0, d = u.shadowOffsetX || 0, f = u.shadowOffsetY || 0;
      o = this._paintRect || (this._paintRect = new BoundingRect(0, 0, 0, 0)), s ? BoundingRect.applyTransform(o, l, s) : o.copy(l), (c || d || f) && (o.width += c * 2 + Math.abs(d), o.height += c * 2 + Math.abs(f), o.x = Math.min(o.x, o.x + d - c), o.y = Math.min(o.y, o.y + f - c));
      var p = this.dirtyRectTolerance;
      o.isZero() || (o.x = Math.floor(o.x - p), o.y = Math.floor(o.y - p), o.width = Math.ceil(o.width + 1 + p * 2), o.height = Math.ceil(o.height + 1 + p * 2));
    }
    return o;
  }, a.prototype.setPrevPaintRect = function(o) {
    o ? (this._prevPaintRect = this._prevPaintRect || new BoundingRect(0, 0, 0, 0), this._prevPaintRect.copy(o)) : this._prevPaintRect = null;
  }, a.prototype.getPrevPaintRect = function() {
    return this._prevPaintRect;
  }, a.prototype.animateStyle = function(o) {
    return this.animate("style", o);
  }, a.prototype.updateDuringAnimation = function(o) {
    o === "style" ? this.dirtyStyle() : this.markRedraw();
  }, a.prototype.attrKV = function(o, s) {
    o !== "style" ? r.prototype.attrKV.call(this, o, s) : this.style ? this.setStyle(s) : this.useStyle(s);
  }, a.prototype.setStyle = function(o, s) {
    return typeof o == "string" ? this.style[o] = s : extend(this.style, o), this.dirtyStyle(), this;
  }, a.prototype.dirtyStyle = function(o) {
    o || this.markRedraw(), this.__dirty |= STYLE_CHANGED_BIT, this._rect && (this._rect = null);
  }, a.prototype.dirty = function() {
    this.dirtyStyle();
  }, a.prototype.styleChanged = function() {
    return !!(this.__dirty & STYLE_CHANGED_BIT);
  }, a.prototype.styleUpdated = function() {
    this.__dirty &= -3;
  }, a.prototype.createStyle = function(o) {
    return createObject(DEFAULT_COMMON_STYLE, o);
  }, a.prototype.useStyle = function(o) {
    o[STYLE_MAGIC_KEY] || (o = this.createStyle(o)), this.__inHover ? this.__hoverStyle = o : this.style = o, this.dirtyStyle();
  }, a.prototype.isStyleObject = function(o) {
    return o[STYLE_MAGIC_KEY];
  }, a.prototype._innerSaveToNormal = function(o) {
    r.prototype._innerSaveToNormal.call(this, o);
    var s = this._normalState;
    o.style && !s.style && (s.style = this._mergeStyle(this.createStyle(), this.style)), this._savePrimaryToNormal(o, s, PRIMARY_STATES_KEYS);
  }, a.prototype._applyStateObj = function(o, s, l, u, c, d) {
    r.prototype._applyStateObj.call(this, o, s, l, u, c, d);
    var f = !(s && u), p;
    if (s && s.style ? c ? u ? p = s.style : (p = this._mergeStyle(this.createStyle(), l.style), this._mergeStyle(p, s.style)) : (p = this._mergeStyle(this.createStyle(), u ? this.style : l.style), this._mergeStyle(p, s.style)) : f && (p = l.style), p)
      if (c) {
        var v = this.style;
        if (this.style = this.createStyle(f ? {} : v), f)
          for (var g = keys(v), y = 0; y < g.length; y++) {
            var _ = g[y];
            _ in p && (p[_] = p[_], this.style[_] = v[_]);
          }
        for (var S = keys(p), y = 0; y < S.length; y++) {
          var _ = S[y];
          this.style[_] = this.style[_];
        }
        this._transitionState(o, {
          style: p
        }, d, this.getAnimationStyleProps());
      } else
        this.useStyle(p);
    for (var C = this.__inHover ? PRIMARY_STATES_KEYS_IN_HOVER_LAYER : PRIMARY_STATES_KEYS, y = 0; y < C.length; y++) {
      var _ = C[y];
      s && s[_] != null ? this[_] = s[_] : f && l[_] != null && (this[_] = l[_]);
    }
  }, a.prototype._mergeStates = function(o) {
    for (var s = r.prototype._mergeStates.call(this, o), l, u = 0; u < o.length; u++) {
      var c = o[u];
      c.style && (l = l || {}, this._mergeStyle(l, c.style));
    }
    return l && (s.style = l), s;
  }, a.prototype._mergeStyle = function(o, s) {
    return extend(o, s), o;
  }, a.prototype.getAnimationStyleProps = function() {
    return DEFAULT_COMMON_ANIMATION_PROPS;
  }, a.initDefaultProps = function() {
    var o = a.prototype;
    o.type = "displayable", o.invisible = !1, o.z = 0, o.z2 = 0, o.zlevel = 0, o.culling = !1, o.cursor = "pointer", o.rectHover = !1, o.incremental = !1, o._rect = null, o.dirtyRectTolerance = 0, o.__dirty = REDRAW_BIT | STYLE_CHANGED_BIT;
  }(), a;
}(Element$1), tmpRect = new BoundingRect(0, 0, 0, 0), viewRect = new BoundingRect(0, 0, 0, 0);
function isDisplayableCulled(r, a, o) {
  return tmpRect.copy(r.getBoundingRect()), r.transform && tmpRect.applyTransform(r.transform), viewRect.width = a, viewRect.height = o, !tmpRect.intersect(viewRect);
}
var mathMin$9 = Math.min, mathMax$9 = Math.max, mathSin$4 = Math.sin, mathCos$4 = Math.cos, PI2$8 = Math.PI * 2, start = create$2(), end = create$2(), extremity = create$2();
function fromPoints(r, a, o) {
  if (r.length !== 0) {
    for (var s = r[0], l = s[0], u = s[0], c = s[1], d = s[1], f = 1; f < r.length; f++)
      s = r[f], l = mathMin$9(l, s[0]), u = mathMax$9(u, s[0]), c = mathMin$9(c, s[1]), d = mathMax$9(d, s[1]);
    a[0] = l, a[1] = c, o[0] = u, o[1] = d;
  }
}
function fromLine(r, a, o, s, l, u) {
  l[0] = mathMin$9(r, o), l[1] = mathMin$9(a, s), u[0] = mathMax$9(r, o), u[1] = mathMax$9(a, s);
}
var xDim = [], yDim = [];
function fromCubic(r, a, o, s, l, u, c, d, f, p) {
  var v = cubicExtrema, g = cubicAt, y = v(r, o, l, c, xDim);
  f[0] = 1 / 0, f[1] = 1 / 0, p[0] = -1 / 0, p[1] = -1 / 0;
  for (var _ = 0; _ < y; _++) {
    var S = g(r, o, l, c, xDim[_]);
    f[0] = mathMin$9(S, f[0]), p[0] = mathMax$9(S, p[0]);
  }
  y = v(a, s, u, d, yDim);
  for (var _ = 0; _ < y; _++) {
    var C = g(a, s, u, d, yDim[_]);
    f[1] = mathMin$9(C, f[1]), p[1] = mathMax$9(C, p[1]);
  }
  f[0] = mathMin$9(r, f[0]), p[0] = mathMax$9(r, p[0]), f[0] = mathMin$9(c, f[0]), p[0] = mathMax$9(c, p[0]), f[1] = mathMin$9(a, f[1]), p[1] = mathMax$9(a, p[1]), f[1] = mathMin$9(d, f[1]), p[1] = mathMax$9(d, p[1]);
}
function fromQuadratic(r, a, o, s, l, u, c, d) {
  var f = quadraticExtremum, p = quadraticAt$1, v = mathMax$9(mathMin$9(f(r, o, l), 1), 0), g = mathMax$9(mathMin$9(f(a, s, u), 1), 0), y = p(r, o, l, v), _ = p(a, s, u, g);
  c[0] = mathMin$9(r, l, y), c[1] = mathMin$9(a, u, _), d[0] = mathMax$9(r, l, y), d[1] = mathMax$9(a, u, _);
}
function fromArc(r, a, o, s, l, u, c, d, f) {
  var p = min$1, v = max$1, g = Math.abs(l - u);
  if (g % PI2$8 < 1e-4 && g > 1e-4) {
    d[0] = r - o, d[1] = a - s, f[0] = r + o, f[1] = a + s;
    return;
  }
  if (start[0] = mathCos$4(l) * o + r, start[1] = mathSin$4(l) * s + a, end[0] = mathCos$4(u) * o + r, end[1] = mathSin$4(u) * s + a, p(d, start, end), v(f, start, end), l = l % PI2$8, l < 0 && (l = l + PI2$8), u = u % PI2$8, u < 0 && (u = u + PI2$8), l > u && !c ? u += PI2$8 : l < u && c && (l += PI2$8), c) {
    var y = u;
    u = l, l = y;
  }
  for (var _ = 0; _ < u; _ += Math.PI / 2)
    _ > l && (extremity[0] = mathCos$4(_) * o + r, extremity[1] = mathSin$4(_) * s + a, p(d, extremity, d), v(f, extremity, f));
}
var CMD$4 = {
  M: 1,
  L: 2,
  C: 3,
  Q: 4,
  A: 5,
  Z: 6,
  R: 7
}, tmpOutX = [], tmpOutY = [], min = [], max = [], min2 = [], max2 = [], mathMin$8 = Math.min, mathMax$8 = Math.max, mathCos$3 = Math.cos, mathSin$3 = Math.sin, mathAbs$2 = Math.abs, PI$8 = Math.PI, PI2$7 = PI$8 * 2, hasTypedArray = typeof Float32Array < "u", tmpAngles = [];
function modPI2(r) {
  var a = Math.round(r / PI$8 * 1e8) / 1e8;
  return a % 2 * PI$8;
}
function normalizeArcAngles(r, a) {
  var o = modPI2(r[0]);
  o < 0 && (o += PI2$7);
  var s = o - r[0], l = r[1];
  l += s, !a && l - o >= PI2$7 ? l = o + PI2$7 : a && o - l >= PI2$7 ? l = o - PI2$7 : !a && o > l ? l = o + (PI2$7 - modPI2(o - l)) : a && o < l && (l = o - (PI2$7 - modPI2(l - o))), r[0] = o, r[1] = l;
}
var PathProxy = function() {
  function r(a) {
    this.dpr = 1, this._xi = 0, this._yi = 0, this._x0 = 0, this._y0 = 0, this._len = 0, a && (this._saveData = !1), this._saveData && (this.data = []);
  }
  return r.prototype.increaseVersion = function() {
    this._version++;
  }, r.prototype.getVersion = function() {
    return this._version;
  }, r.prototype.setScale = function(a, o, s) {
    s = s || 0, s > 0 && (this._ux = mathAbs$2(s / devicePixelRatio / a) || 0, this._uy = mathAbs$2(s / devicePixelRatio / o) || 0);
  }, r.prototype.setDPR = function(a) {
    this.dpr = a;
  }, r.prototype.setContext = function(a) {
    this._ctx = a;
  }, r.prototype.getContext = function() {
    return this._ctx;
  }, r.prototype.beginPath = function() {
    return this._ctx && this._ctx.beginPath(), this.reset(), this;
  }, r.prototype.reset = function() {
    this._saveData && (this._len = 0), this._pathSegLen && (this._pathSegLen = null, this._pathLen = 0), this._version++;
  }, r.prototype.moveTo = function(a, o) {
    return this._drawPendingPt(), this.addData(CMD$4.M, a, o), this._ctx && this._ctx.moveTo(a, o), this._x0 = a, this._y0 = o, this._xi = a, this._yi = o, this;
  }, r.prototype.lineTo = function(a, o) {
    var s = mathAbs$2(a - this._xi), l = mathAbs$2(o - this._yi), u = s > this._ux || l > this._uy;
    if (this.addData(CMD$4.L, a, o), this._ctx && u && this._ctx.lineTo(a, o), u)
      this._xi = a, this._yi = o, this._pendingPtDist = 0;
    else {
      var c = s * s + l * l;
      c > this._pendingPtDist && (this._pendingPtX = a, this._pendingPtY = o, this._pendingPtDist = c);
    }
    return this;
  }, r.prototype.bezierCurveTo = function(a, o, s, l, u, c) {
    return this._drawPendingPt(), this.addData(CMD$4.C, a, o, s, l, u, c), this._ctx && this._ctx.bezierCurveTo(a, o, s, l, u, c), this._xi = u, this._yi = c, this;
  }, r.prototype.quadraticCurveTo = function(a, o, s, l) {
    return this._drawPendingPt(), this.addData(CMD$4.Q, a, o, s, l), this._ctx && this._ctx.quadraticCurveTo(a, o, s, l), this._xi = s, this._yi = l, this;
  }, r.prototype.arc = function(a, o, s, l, u, c) {
    this._drawPendingPt(), tmpAngles[0] = l, tmpAngles[1] = u, normalizeArcAngles(tmpAngles, c), l = tmpAngles[0], u = tmpAngles[1];
    var d = u - l;
    return this.addData(CMD$4.A, a, o, s, s, l, d, 0, c ? 0 : 1), this._ctx && this._ctx.arc(a, o, s, l, u, c), this._xi = mathCos$3(u) * s + a, this._yi = mathSin$3(u) * s + o, this;
  }, r.prototype.arcTo = function(a, o, s, l, u) {
    return this._drawPendingPt(), this._ctx && this._ctx.arcTo(a, o, s, l, u), this;
  }, r.prototype.rect = function(a, o, s, l) {
    return this._drawPendingPt(), this._ctx && this._ctx.rect(a, o, s, l), this.addData(CMD$4.R, a, o, s, l), this;
  }, r.prototype.closePath = function() {
    this._drawPendingPt(), this.addData(CMD$4.Z);
    var a = this._ctx, o = this._x0, s = this._y0;
    return a && a.closePath(), this._xi = o, this._yi = s, this;
  }, r.prototype.fill = function(a) {
    a && a.fill(), this.toStatic();
  }, r.prototype.stroke = function(a) {
    a && a.stroke(), this.toStatic();
  }, r.prototype.len = function() {
    return this._len;
  }, r.prototype.setData = function(a) {
    var o = a.length;
    !(this.data && this.data.length === o) && hasTypedArray && (this.data = new Float32Array(o));
    for (var s = 0; s < o; s++)
      this.data[s] = a[s];
    this._len = o;
  }, r.prototype.appendPath = function(a) {
    a instanceof Array || (a = [a]);
    for (var o = a.length, s = 0, l = this._len, u = 0; u < o; u++)
      s += a[u].len();
    hasTypedArray && this.data instanceof Float32Array && (this.data = new Float32Array(l + s));
    for (var u = 0; u < o; u++)
      for (var c = a[u].data, d = 0; d < c.length; d++)
        this.data[l++] = c[d];
    this._len = l;
  }, r.prototype.addData = function(a, o, s, l, u, c, d, f, p) {
    if (this._saveData) {
      var v = this.data;
      this._len + arguments.length > v.length && (this._expandData(), v = this.data);
      for (var g = 0; g < arguments.length; g++)
        v[this._len++] = arguments[g];
    }
  }, r.prototype._drawPendingPt = function() {
    this._pendingPtDist > 0 && (this._ctx && this._ctx.lineTo(this._pendingPtX, this._pendingPtY), this._pendingPtDist = 0);
  }, r.prototype._expandData = function() {
    if (!(this.data instanceof Array)) {
      for (var a = [], o = 0; o < this._len; o++)
        a[o] = this.data[o];
      this.data = a;
    }
  }, r.prototype.toStatic = function() {
    if (this._saveData) {
      this._drawPendingPt();
      var a = this.data;
      a instanceof Array && (a.length = this._len, hasTypedArray && this._len > 11 && (this.data = new Float32Array(a)));
    }
  }, r.prototype.getBoundingRect = function() {
    min[0] = min[1] = min2[0] = min2[1] = Number.MAX_VALUE, max[0] = max[1] = max2[0] = max2[1] = -Number.MAX_VALUE;
    var a = this.data, o = 0, s = 0, l = 0, u = 0, c;
    for (c = 0; c < this._len; ) {
      var d = a[c++], f = c === 1;
      switch (f && (o = a[c], s = a[c + 1], l = o, u = s), d) {
        case CMD$4.M:
          o = l = a[c++], s = u = a[c++], min2[0] = l, min2[1] = u, max2[0] = l, max2[1] = u;
          break;
        case CMD$4.L:
          fromLine(o, s, a[c], a[c + 1], min2, max2), o = a[c++], s = a[c++];
          break;
        case CMD$4.C:
          fromCubic(o, s, a[c++], a[c++], a[c++], a[c++], a[c], a[c + 1], min2, max2), o = a[c++], s = a[c++];
          break;
        case CMD$4.Q:
          fromQuadratic(o, s, a[c++], a[c++], a[c], a[c + 1], min2, max2), o = a[c++], s = a[c++];
          break;
        case CMD$4.A:
          var p = a[c++], v = a[c++], g = a[c++], y = a[c++], _ = a[c++], S = a[c++] + _;
          c += 1;
          var C = !a[c++];
          f && (l = mathCos$3(_) * g + p, u = mathSin$3(_) * y + v), fromArc(p, v, g, y, _, S, C, min2, max2), o = mathCos$3(S) * g + p, s = mathSin$3(S) * y + v;
          break;
        case CMD$4.R:
          l = o = a[c++], u = s = a[c++];
          var b = a[c++], T = a[c++];
          fromLine(l, u, l + b, u + T, min2, max2);
          break;
        case CMD$4.Z:
          o = l, s = u;
          break;
      }
      min$1(min, min, min2), max$1(max, max, max2);
    }
    return c === 0 && (min[0] = min[1] = max[0] = max[1] = 0), new BoundingRect(min[0], min[1], max[0] - min[0], max[1] - min[1]);
  }, r.prototype._calculateLength = function() {
    var a = this.data, o = this._len, s = this._ux, l = this._uy, u = 0, c = 0, d = 0, f = 0;
    this._pathSegLen || (this._pathSegLen = []);
    for (var p = this._pathSegLen, v = 0, g = 0, y = 0; y < o; ) {
      var _ = a[y++], S = y === 1;
      S && (u = a[y], c = a[y + 1], d = u, f = c);
      var C = -1;
      switch (_) {
        case CMD$4.M:
          u = d = a[y++], c = f = a[y++];
          break;
        case CMD$4.L: {
          var b = a[y++], T = a[y++], E = b - u, x = T - c;
          (mathAbs$2(E) > s || mathAbs$2(x) > l || y === o - 1) && (C = Math.sqrt(E * E + x * x), u = b, c = T);
          break;
        }
        case CMD$4.C: {
          var $ = a[y++], A = a[y++], b = a[y++], T = a[y++], N = a[y++], P = a[y++];
          C = cubicLength(u, c, $, A, b, T, N, P, 10), u = N, c = P;
          break;
        }
        case CMD$4.Q: {
          var $ = a[y++], A = a[y++], b = a[y++], T = a[y++];
          C = quadraticLength(u, c, $, A, b, T, 10), u = b, c = T;
          break;
        }
        case CMD$4.A:
          var L = a[y++], O = a[y++], M = a[y++], F = a[y++], U = a[y++], R = a[y++], H = R + U;
          y += 1, S && (d = mathCos$3(U) * M + L, f = mathSin$3(U) * F + O), C = mathMax$8(M, F) * mathMin$8(PI2$7, Math.abs(R)), u = mathCos$3(H) * M + L, c = mathSin$3(H) * F + O;
          break;
        case CMD$4.R: {
          d = u = a[y++], f = c = a[y++];
          var V = a[y++], Y = a[y++];
          C = V * 2 + Y * 2;
          break;
        }
        case CMD$4.Z: {
          var E = d - u, x = f - c;
          C = Math.sqrt(E * E + x * x), u = d, c = f;
          break;
        }
      }
      C >= 0 && (p[g++] = C, v += C);
    }
    return this._pathLen = v, v;
  }, r.prototype.rebuildPath = function(a, o) {
    var s = this.data, l = this._ux, u = this._uy, c = this._len, d, f, p, v, g, y, _ = o < 1, S, C, b = 0, T = 0, E, x = 0, $, A;
    if (!(_ && (this._pathSegLen || this._calculateLength(), S = this._pathSegLen, C = this._pathLen, E = o * C, !E)))
      e: for (var N = 0; N < c; ) {
        var P = s[N++], L = N === 1;
        switch (L && (p = s[N], v = s[N + 1], d = p, f = v), P !== CMD$4.L && x > 0 && (a.lineTo($, A), x = 0), P) {
          case CMD$4.M:
            d = p = s[N++], f = v = s[N++], a.moveTo(p, v);
            break;
          case CMD$4.L: {
            g = s[N++], y = s[N++];
            var O = mathAbs$2(g - p), M = mathAbs$2(y - v);
            if (O > l || M > u) {
              if (_) {
                var F = S[T++];
                if (b + F > E) {
                  var U = (E - b) / F;
                  a.lineTo(p * (1 - U) + g * U, v * (1 - U) + y * U);
                  break e;
                }
                b += F;
              }
              a.lineTo(g, y), p = g, v = y, x = 0;
            } else {
              var R = O * O + M * M;
              R > x && ($ = g, A = y, x = R);
            }
            break;
          }
          case CMD$4.C: {
            var H = s[N++], V = s[N++], Y = s[N++], G = s[N++], Z = s[N++], re = s[N++];
            if (_) {
              var F = S[T++];
              if (b + F > E) {
                var U = (E - b) / F;
                cubicSubdivide(p, H, Y, Z, U, tmpOutX), cubicSubdivide(v, V, G, re, U, tmpOutY), a.bezierCurveTo(tmpOutX[1], tmpOutY[1], tmpOutX[2], tmpOutY[2], tmpOutX[3], tmpOutY[3]);
                break e;
              }
              b += F;
            }
            a.bezierCurveTo(H, V, Y, G, Z, re), p = Z, v = re;
            break;
          }
          case CMD$4.Q: {
            var H = s[N++], V = s[N++], Y = s[N++], G = s[N++];
            if (_) {
              var F = S[T++];
              if (b + F > E) {
                var U = (E - b) / F;
                quadraticSubdivide(p, H, Y, U, tmpOutX), quadraticSubdivide(v, V, G, U, tmpOutY), a.quadraticCurveTo(tmpOutX[1], tmpOutY[1], tmpOutX[2], tmpOutY[2]);
                break e;
              }
              b += F;
            }
            a.quadraticCurveTo(H, V, Y, G), p = Y, v = G;
            break;
          }
          case CMD$4.A:
            var de = s[N++], X = s[N++], W = s[N++], te = s[N++], ae = s[N++], Te = s[N++], $e = s[N++], se = !s[N++], fe = W > te ? W : te, ce = mathAbs$2(W - te) > 1e-3, ge = ae + Te, ve = !1;
            if (_) {
              var F = S[T++];
              b + F > E && (ge = ae + Te * (E - b) / F, ve = !0), b += F;
            }
            if (ce && a.ellipse ? a.ellipse(de, X, W, te, $e, ae, ge, se) : a.arc(de, X, fe, ae, ge, se), ve)
              break e;
            L && (d = mathCos$3(ae) * W + de, f = mathSin$3(ae) * te + X), p = mathCos$3(ge) * W + de, v = mathSin$3(ge) * te + X;
            break;
          case CMD$4.R:
            d = p = s[N], f = v = s[N + 1], g = s[N++], y = s[N++];
            var xe = s[N++], Ae = s[N++];
            if (_) {
              var F = S[T++];
              if (b + F > E) {
                var oe = E - b;
                a.moveTo(g, y), a.lineTo(g + mathMin$8(oe, xe), y), oe -= xe, oe > 0 && a.lineTo(g + xe, y + mathMin$8(oe, Ae)), oe -= Ae, oe > 0 && a.lineTo(g + mathMax$8(xe - oe, 0), y + Ae), oe -= xe, oe > 0 && a.lineTo(g, y + mathMax$8(Ae - oe, 0));
                break e;
              }
              b += F;
            }
            a.rect(g, y, xe, Ae);
            break;
          case CMD$4.Z:
            if (_) {
              var F = S[T++];
              if (b + F > E) {
                var U = (E - b) / F;
                a.lineTo(p * (1 - U) + d * U, v * (1 - U) + f * U);
                break e;
              }
              b += F;
            }
            a.closePath(), p = d, v = f;
        }
      }
  }, r.prototype.clone = function() {
    var a = new r(), o = this.data;
    return a.data = o.slice ? o.slice() : Array.prototype.slice.call(o), a._len = this._len, a;
  }, r.CMD = CMD$4, r.initDefaultProps = function() {
    var a = r.prototype;
    a._saveData = !0, a._ux = 0, a._uy = 0, a._pendingPtDist = 0, a._version = 0;
  }(), r;
}();
function containStroke$4(r, a, o, s, l, u, c) {
  if (l === 0)
    return !1;
  var d = l, f = 0, p = r;
  if (c > a + d && c > s + d || c < a - d && c < s - d || u > r + d && u > o + d || u < r - d && u < o - d)
    return !1;
  if (r !== o)
    f = (a - s) / (r - o), p = (r * s - o * a) / (r - o);
  else
    return Math.abs(u - r) <= d / 2;
  var v = f * u - c + p, g = v * v / (f * f + 1);
  return g <= d / 2 * d / 2;
}
function containStroke$3(r, a, o, s, l, u, c, d, f, p, v) {
  if (f === 0)
    return !1;
  var g = f;
  if (v > a + g && v > s + g && v > u + g && v > d + g || v < a - g && v < s - g && v < u - g && v < d - g || p > r + g && p > o + g && p > l + g && p > c + g || p < r - g && p < o - g && p < l - g && p < c - g)
    return !1;
  var y = cubicProjectPoint(r, a, o, s, l, u, c, d, p, v, null);
  return y <= g / 2;
}
function containStroke$2(r, a, o, s, l, u, c, d, f) {
  if (c === 0)
    return !1;
  var p = c;
  if (f > a + p && f > s + p && f > u + p || f < a - p && f < s - p && f < u - p || d > r + p && d > o + p && d > l + p || d < r - p && d < o - p && d < l - p)
    return !1;
  var v = quadraticProjectPoint(r, a, o, s, l, u, d, f, null);
  return v <= p / 2;
}
var PI2$6 = Math.PI * 2;
function normalizeRadian(r) {
  return r %= PI2$6, r < 0 && (r += PI2$6), r;
}
var PI2$5 = Math.PI * 2;
function containStroke$1(r, a, o, s, l, u, c, d, f) {
  if (c === 0)
    return !1;
  var p = c;
  d -= r, f -= a;
  var v = Math.sqrt(d * d + f * f);
  if (v - p > o || v + p < o)
    return !1;
  if (Math.abs(s - l) % PI2$5 < 1e-4)
    return !0;
  if (u) {
    var g = s;
    s = normalizeRadian(l), l = normalizeRadian(g);
  } else
    s = normalizeRadian(s), l = normalizeRadian(l);
  s > l && (l += PI2$5);
  var y = Math.atan2(f, d);
  return y < 0 && (y += PI2$5), y >= s && y <= l || y + PI2$5 >= s && y + PI2$5 <= l;
}
function windingLine(r, a, o, s, l, u) {
  if (u > a && u > s || u < a && u < s || s === a)
    return 0;
  var c = (u - a) / (s - a), d = s < a ? 1 : -1;
  (c === 1 || c === 0) && (d = s < a ? 0.5 : -0.5);
  var f = c * (o - r) + r;
  return f === l ? 1 / 0 : f > l ? d : 0;
}
var CMD$3 = PathProxy.CMD, PI2$4 = Math.PI * 2, EPSILON$1 = 1e-4;
function isAroundEqual$1(r, a) {
  return Math.abs(r - a) < EPSILON$1;
}
var roots = [-1, -1, -1], extrema = [-1, -1];
function swapExtrema() {
  var r = extrema[0];
  extrema[0] = extrema[1], extrema[1] = r;
}
function windingCubic(r, a, o, s, l, u, c, d, f, p) {
  if (p > a && p > s && p > u && p > d || p < a && p < s && p < u && p < d)
    return 0;
  var v = cubicRootAt(a, s, u, d, p, roots);
  if (v === 0)
    return 0;
  for (var g = 0, y = -1, _ = void 0, S = void 0, C = 0; C < v; C++) {
    var b = roots[C], T = b === 0 || b === 1 ? 0.5 : 1, E = cubicAt(r, o, l, c, b);
    E < f || (y < 0 && (y = cubicExtrema(a, s, u, d, extrema), extrema[1] < extrema[0] && y > 1 && swapExtrema(), _ = cubicAt(a, s, u, d, extrema[0]), y > 1 && (S = cubicAt(a, s, u, d, extrema[1]))), y === 2 ? b < extrema[0] ? g += _ < a ? T : -T : b < extrema[1] ? g += S < _ ? T : -T : g += d < S ? T : -T : b < extrema[0] ? g += _ < a ? T : -T : g += d < _ ? T : -T);
  }
  return g;
}
function windingQuadratic(r, a, o, s, l, u, c, d) {
  if (d > a && d > s && d > u || d < a && d < s && d < u)
    return 0;
  var f = quadraticRootAt(a, s, u, d, roots);
  if (f === 0)
    return 0;
  var p = quadraticExtremum(a, s, u);
  if (p >= 0 && p <= 1) {
    for (var v = 0, g = quadraticAt$1(a, s, u, p), y = 0; y < f; y++) {
      var _ = roots[y] === 0 || roots[y] === 1 ? 0.5 : 1, S = quadraticAt$1(r, o, l, roots[y]);
      S < c || (roots[y] < p ? v += g < a ? _ : -_ : v += u < g ? _ : -_);
    }
    return v;
  } else {
    var _ = roots[0] === 0 || roots[0] === 1 ? 0.5 : 1, S = quadraticAt$1(r, o, l, roots[0]);
    return S < c ? 0 : u < a ? _ : -_;
  }
}
function windingArc(r, a, o, s, l, u, c, d) {
  if (d -= a, d > o || d < -o)
    return 0;
  var f = Math.sqrt(o * o - d * d);
  roots[0] = -f, roots[1] = f;
  var p = Math.abs(s - l);
  if (p < 1e-4)
    return 0;
  if (p >= PI2$4 - 1e-4) {
    s = 0, l = PI2$4;
    var v = u ? 1 : -1;
    return c >= roots[0] + r && c <= roots[1] + r ? v : 0;
  }
  if (s > l) {
    var g = s;
    s = l, l = g;
  }
  s < 0 && (s += PI2$4, l += PI2$4);
  for (var y = 0, _ = 0; _ < 2; _++) {
    var S = roots[_];
    if (S + r > c) {
      var C = Math.atan2(d, S), v = u ? 1 : -1;
      C < 0 && (C = PI2$4 + C), (C >= s && C <= l || C + PI2$4 >= s && C + PI2$4 <= l) && (C > Math.PI / 2 && C < Math.PI * 1.5 && (v = -v), y += v);
    }
  }
  return y;
}
function containPath(r, a, o, s, l) {
  for (var u = r.data, c = r.len(), d = 0, f = 0, p = 0, v = 0, g = 0, y, _, S = 0; S < c; ) {
    var C = u[S++], b = S === 1;
    switch (C === CMD$3.M && S > 1 && (o || (d += windingLine(f, p, v, g, s, l))), b && (f = u[S], p = u[S + 1], v = f, g = p), C) {
      case CMD$3.M:
        v = u[S++], g = u[S++], f = v, p = g;
        break;
      case CMD$3.L:
        if (o) {
          if (containStroke$4(f, p, u[S], u[S + 1], a, s, l))
            return !0;
        } else
          d += windingLine(f, p, u[S], u[S + 1], s, l) || 0;
        f = u[S++], p = u[S++];
        break;
      case CMD$3.C:
        if (o) {
          if (containStroke$3(f, p, u[S++], u[S++], u[S++], u[S++], u[S], u[S + 1], a, s, l))
            return !0;
        } else
          d += windingCubic(f, p, u[S++], u[S++], u[S++], u[S++], u[S], u[S + 1], s, l) || 0;
        f = u[S++], p = u[S++];
        break;
      case CMD$3.Q:
        if (o) {
          if (containStroke$2(f, p, u[S++], u[S++], u[S], u[S + 1], a, s, l))
            return !0;
        } else
          d += windingQuadratic(f, p, u[S++], u[S++], u[S], u[S + 1], s, l) || 0;
        f = u[S++], p = u[S++];
        break;
      case CMD$3.A:
        var T = u[S++], E = u[S++], x = u[S++], $ = u[S++], A = u[S++], N = u[S++];
        S += 1;
        var P = !!(1 - u[S++]);
        y = Math.cos(A) * x + T, _ = Math.sin(A) * $ + E, b ? (v = y, g = _) : d += windingLine(f, p, y, _, s, l);
        var L = (s - T) * $ / x + T;
        if (o) {
          if (containStroke$1(T, E, $, A, A + N, P, a, L, l))
            return !0;
        } else
          d += windingArc(T, E, $, A, A + N, P, L, l);
        f = Math.cos(A + N) * x + T, p = Math.sin(A + N) * $ + E;
        break;
      case CMD$3.R:
        v = f = u[S++], g = p = u[S++];
        var O = u[S++], M = u[S++];
        if (y = v + O, _ = g + M, o) {
          if (containStroke$4(v, g, y, g, a, s, l) || containStroke$4(y, g, y, _, a, s, l) || containStroke$4(y, _, v, _, a, s, l) || containStroke$4(v, _, v, g, a, s, l))
            return !0;
        } else
          d += windingLine(y, g, y, _, s, l), d += windingLine(v, _, v, g, s, l);
        break;
      case CMD$3.Z:
        if (o) {
          if (containStroke$4(f, p, v, g, a, s, l))
            return !0;
        } else
          d += windingLine(f, p, v, g, s, l);
        f = v, p = g;
        break;
    }
  }
  return !o && !isAroundEqual$1(p, g) && (d += windingLine(f, p, v, g, s, l) || 0), d !== 0;
}
function contain$2(r, a, o) {
  return containPath(r, 0, !1, a, o);
}
function containStroke(r, a, o, s) {
  return containPath(r, a, !0, o, s);
}
var DEFAULT_PATH_STYLE = defaults({
  fill: "#000",
  stroke: null,
  strokePercent: 1,
  fillOpacity: 1,
  strokeOpacity: 1,
  lineDashOffset: 0,
  lineWidth: 1,
  lineCap: "butt",
  miterLimit: 10,
  strokeNoScale: !1,
  strokeFirst: !1
}, DEFAULT_COMMON_STYLE), DEFAULT_PATH_ANIMATION_PROPS = {
  style: defaults({
    fill: !0,
    stroke: !0,
    strokePercent: !0,
    fillOpacity: !0,
    strokeOpacity: !0,
    lineDashOffset: !0,
    lineWidth: !0,
    miterLimit: !0
  }, DEFAULT_COMMON_ANIMATION_PROPS.style)
}, pathCopyParams = TRANSFORMABLE_PROPS.concat([
  "invisible",
  "culling",
  "z",
  "z2",
  "zlevel",
  "parent"
]), Path = function(r) {
  __extends(a, r);
  function a(o) {
    return r.call(this, o) || this;
  }
  return a.prototype.update = function() {
    var o = this;
    r.prototype.update.call(this);
    var s = this.style;
    if (s.decal) {
      var l = this._decalEl = this._decalEl || new a();
      l.buildPath === a.prototype.buildPath && (l.buildPath = function(f) {
        o.buildPath(f, o.shape);
      }), l.silent = !0;
      var u = l.style;
      for (var c in s)
        u[c] !== s[c] && (u[c] = s[c]);
      u.fill = s.fill ? s.decal : null, u.decal = null, u.shadowColor = null, s.strokeFirst && (u.stroke = null);
      for (var d = 0; d < pathCopyParams.length; ++d)
        l[pathCopyParams[d]] = this[pathCopyParams[d]];
      l.__dirty |= REDRAW_BIT;
    } else this._decalEl && (this._decalEl = null);
  }, a.prototype.getDecalElement = function() {
    return this._decalEl;
  }, a.prototype._init = function(o) {
    var s = keys(o);
    this.shape = this.getDefaultShape();
    var l = this.getDefaultStyle();
    l && this.useStyle(l);
    for (var u = 0; u < s.length; u++) {
      var c = s[u], d = o[c];
      c === "style" ? this.style ? extend(this.style, d) : this.useStyle(d) : c === "shape" ? extend(this.shape, d) : r.prototype.attrKV.call(this, c, d);
    }
    this.style || this.useStyle({});
  }, a.prototype.getDefaultStyle = function() {
    return null;
  }, a.prototype.getDefaultShape = function() {
    return {};
  }, a.prototype.canBeInsideText = function() {
    return this.hasFill();
  }, a.prototype.getInsideTextFill = function() {
    var o = this.style.fill;
    if (o !== "none") {
      if (isString(o)) {
        var s = lum(o, 0);
        return s > 0.5 ? DARK_LABEL_COLOR : s > 0.2 ? LIGHTER_LABEL_COLOR : LIGHT_LABEL_COLOR;
      } else if (o)
        return LIGHT_LABEL_COLOR;
    }
    return DARK_LABEL_COLOR;
  }, a.prototype.getInsideTextStroke = function(o) {
    var s = this.style.fill;
    if (isString(s)) {
      var l = this.__zr, u = !!(l && l.isDarkMode()), c = lum(o, 0) < DARK_MODE_THRESHOLD;
      if (u === c)
        return s;
    }
  }, a.prototype.buildPath = function(o, s, l) {
  }, a.prototype.pathUpdated = function() {
    this.__dirty &= -5;
  }, a.prototype.getUpdatedPathProxy = function(o) {
    return !this.path && this.createPathProxy(), this.path.beginPath(), this.buildPath(this.path, this.shape, o), this.path;
  }, a.prototype.createPathProxy = function() {
    this.path = new PathProxy(!1);
  }, a.prototype.hasStroke = function() {
    var o = this.style, s = o.stroke;
    return !(s == null || s === "none" || !(o.lineWidth > 0));
  }, a.prototype.hasFill = function() {
    var o = this.style, s = o.fill;
    return s != null && s !== "none";
  }, a.prototype.getBoundingRect = function() {
    var o = this._rect, s = this.style, l = !o;
    if (l) {
      var u = !1;
      this.path || (u = !0, this.createPathProxy());
      var c = this.path;
      (u || this.__dirty & SHAPE_CHANGED_BIT) && (c.beginPath(), this.buildPath(c, this.shape, !1), this.pathUpdated()), o = c.getBoundingRect();
    }
    if (this._rect = o, this.hasStroke() && this.path && this.path.len() > 0) {
      var d = this._rectStroke || (this._rectStroke = o.clone());
      if (this.__dirty || l) {
        d.copy(o);
        var f = s.strokeNoScale ? this.getLineScale() : 1, p = s.lineWidth;
        if (!this.hasFill()) {
          var v = this.strokeContainThreshold;
          p = Math.max(p, v ?? 4);
        }
        f > 1e-10 && (d.width += p / f, d.height += p / f, d.x -= p / f / 2, d.y -= p / f / 2);
      }
      return d;
    }
    return o;
  }, a.prototype.contain = function(o, s) {
    var l = this.transformCoordToLocal(o, s), u = this.getBoundingRect(), c = this.style;
    if (o = l[0], s = l[1], u.contain(o, s)) {
      var d = this.path;
      if (this.hasStroke()) {
        var f = c.lineWidth, p = c.strokeNoScale ? this.getLineScale() : 1;
        if (p > 1e-10 && (this.hasFill() || (f = Math.max(f, this.strokeContainThreshold)), containStroke(d, f / p, o, s)))
          return !0;
      }
      if (this.hasFill())
        return contain$2(d, o, s);
    }
    return !1;
  }, a.prototype.dirtyShape = function() {
    this.__dirty |= SHAPE_CHANGED_BIT, this._rect && (this._rect = null), this._decalEl && this._decalEl.dirtyShape(), this.markRedraw();
  }, a.prototype.dirty = function() {
    this.dirtyStyle(), this.dirtyShape();
  }, a.prototype.animateShape = function(o) {
    return this.animate("shape", o);
  }, a.prototype.updateDuringAnimation = function(o) {
    o === "style" ? this.dirtyStyle() : o === "shape" ? this.dirtyShape() : this.markRedraw();
  }, a.prototype.attrKV = function(o, s) {
    o === "shape" ? this.setShape(s) : r.prototype.attrKV.call(this, o, s);
  }, a.prototype.setShape = function(o, s) {
    var l = this.shape;
    return l || (l = this.shape = {}), typeof o == "string" ? l[o] = s : extend(l, o), this.dirtyShape(), this;
  }, a.prototype.shapeChanged = function() {
    return !!(this.__dirty & SHAPE_CHANGED_BIT);
  }, a.prototype.createStyle = function(o) {
    return createObject(DEFAULT_PATH_STYLE, o);
  }, a.prototype._innerSaveToNormal = function(o) {
    r.prototype._innerSaveToNormal.call(this, o);
    var s = this._normalState;
    o.shape && !s.shape && (s.shape = extend({}, this.shape));
  }, a.prototype._applyStateObj = function(o, s, l, u, c, d) {
    r.prototype._applyStateObj.call(this, o, s, l, u, c, d);
    var f = !(s && u), p;
    if (s && s.shape ? c ? u ? p = s.shape : (p = extend({}, l.shape), extend(p, s.shape)) : (p = extend({}, u ? this.shape : l.shape), extend(p, s.shape)) : f && (p = l.shape), p)
      if (c) {
        this.shape = extend({}, this.shape);
        for (var v = {}, g = keys(p), y = 0; y < g.length; y++) {
          var _ = g[y];
          typeof p[_] == "object" ? this.shape[_] = p[_] : v[_] = p[_];
        }
        this._transitionState(o, {
          shape: v
        }, d);
      } else
        this.shape = p, this.dirtyShape();
  }, a.prototype._mergeStates = function(o) {
    for (var s = r.prototype._mergeStates.call(this, o), l, u = 0; u < o.length; u++) {
      var c = o[u];
      c.shape && (l = l || {}, this._mergeStyle(l, c.shape));
    }
    return l && (s.shape = l), s;
  }, a.prototype.getAnimationStyleProps = function() {
    return DEFAULT_PATH_ANIMATION_PROPS;
  }, a.prototype.isZeroArea = function() {
    return !1;
  }, a.extend = function(o) {
    var s = function(u) {
      __extends(c, u);
      function c(d) {
        var f = u.call(this, d) || this;
        return o.init && o.init.call(f, d), f;
      }
      return c.prototype.getDefaultStyle = function() {
        return clone$4(o.style);
      }, c.prototype.getDefaultShape = function() {
        return clone$4(o.shape);
      }, c;
    }(a);
    for (var l in o)
      typeof o[l] == "function" && (s.prototype[l] = o[l]);
    return s;
  }, a.initDefaultProps = function() {
    var o = a.prototype;
    o.type = "path", o.strokeContainThreshold = 5, o.segmentIgnoreThreshold = 0, o.subPixelOptimize = !1, o.autoBatch = !1, o.__dirty = REDRAW_BIT | STYLE_CHANGED_BIT | SHAPE_CHANGED_BIT;
  }(), a;
}(Displayable), DEFAULT_TSPAN_STYLE = defaults({
  strokeFirst: !0,
  font: DEFAULT_FONT,
  x: 0,
  y: 0,
  textAlign: "left",
  textBaseline: "top",
  miterLimit: 2
}, DEFAULT_PATH_STYLE), TSpan = function(r) {
  __extends(a, r);
  function a() {
    return r !== null && r.apply(this, arguments) || this;
  }
  return a.prototype.hasStroke = function() {
    var o = this.style, s = o.stroke;
    return s != null && s !== "none" && o.lineWidth > 0;
  }, a.prototype.hasFill = function() {
    var o = this.style, s = o.fill;
    return s != null && s !== "none";
  }, a.prototype.createStyle = function(o) {
    return createObject(DEFAULT_TSPAN_STYLE, o);
  }, a.prototype.setBoundingRect = function(o) {
    this._rect = o;
  }, a.prototype.getBoundingRect = function() {
    var o = this.style;
    if (!this._rect) {
      var s = o.text;
      s != null ? s += "" : s = "";
      var l = getBoundingRect(s, o.font, o.textAlign, o.textBaseline);
      if (l.x += o.x || 0, l.y += o.y || 0, this.hasStroke()) {
        var u = o.lineWidth;
        l.x -= u / 2, l.y -= u / 2, l.width += u, l.height += u;
      }
      this._rect = l;
    }
    return this._rect;
  }, a.initDefaultProps = function() {
    var o = a.prototype;
    o.dirtyRectTolerance = 10;
  }(), a;
}(Displayable);
TSpan.prototype.type = "tspan";
var DEFAULT_IMAGE_STYLE = defaults({
  x: 0,
  y: 0
}, DEFAULT_COMMON_STYLE), DEFAULT_IMAGE_ANIMATION_PROPS = {
  style: defaults({
    x: !0,
    y: !0,
    width: !0,
    height: !0,
    sx: !0,
    sy: !0,
    sWidth: !0,
    sHeight: !0
  }, DEFAULT_COMMON_ANIMATION_PROPS.style)
};
function isImageLike$1(r) {
  return !!(r && typeof r != "string" && r.width && r.height);
}
var ZRImage = function(r) {
  __extends(a, r);
  function a() {
    return r !== null && r.apply(this, arguments) || this;
  }
  return a.prototype.createStyle = function(o) {
    return createObject(DEFAULT_IMAGE_STYLE, o);
  }, a.prototype._getSize = function(o) {
    var s = this.style, l = s[o];
    if (l != null)
      return l;
    var u = isImageLike$1(s.image) ? s.image : this.__image;
    if (!u)
      return 0;
    var c = o === "width" ? "height" : "width", d = s[c];
    return d == null ? u[o] : u[o] / u[c] * d;
  }, a.prototype.getWidth = function() {
    return this._getSize("width");
  }, a.prototype.getHeight = function() {
    return this._getSize("height");
  }, a.prototype.getAnimationStyleProps = function() {
    return DEFAULT_IMAGE_ANIMATION_PROPS;
  }, a.prototype.getBoundingRect = function() {
    var o = this.style;
    return this._rect || (this._rect = new BoundingRect(o.x || 0, o.y || 0, this.getWidth(), this.getHeight())), this._rect;
  }, a;
}(Displayable);
ZRImage.prototype.type = "image";
function buildPath$2(r, a) {
  var o = a.x, s = a.y, l = a.width, u = a.height, c = a.r, d, f, p, v;
  l < 0 && (o = o + l, l = -l), u < 0 && (s = s + u, u = -u), typeof c == "number" ? d = f = p = v = c : c instanceof Array ? c.length === 1 ? d = f = p = v = c[0] : c.length === 2 ? (d = p = c[0], f = v = c[1]) : c.length === 3 ? (d = c[0], f = v = c[1], p = c[2]) : (d = c[0], f = c[1], p = c[2], v = c[3]) : d = f = p = v = 0;
  var g;
  d + f > l && (g = d + f, d *= l / g, f *= l / g), p + v > l && (g = p + v, p *= l / g, v *= l / g), f + p > u && (g = f + p, f *= u / g, p *= u / g), d + v > u && (g = d + v, d *= u / g, v *= u / g), r.moveTo(o + d, s), r.lineTo(o + l - f, s), f !== 0 && r.arc(o + l - f, s + f, f, -Math.PI / 2, 0), r.lineTo(o + l, s + u - p), p !== 0 && r.arc(o + l - p, s + u - p, p, 0, Math.PI / 2), r.lineTo(o + v, s + u), v !== 0 && r.arc(o + v, s + u - v, v, Math.PI / 2, Math.PI), r.lineTo(o, s + d), d !== 0 && r.arc(o + d, s + d, d, Math.PI, Math.PI * 1.5);
}
var round$2 = Math.round;
function subPixelOptimizeLine$1(r, a, o) {
  if (a) {
    var s = a.x1, l = a.x2, u = a.y1, c = a.y2;
    r.x1 = s, r.x2 = l, r.y1 = u, r.y2 = c;
    var d = o && o.lineWidth;
    return d && (round$2(s * 2) === round$2(l * 2) && (r.x1 = r.x2 = subPixelOptimize$1(s, d, !0)), round$2(u * 2) === round$2(c * 2) && (r.y1 = r.y2 = subPixelOptimize$1(u, d, !0))), r;
  }
}
function subPixelOptimizeRect$1(r, a, o) {
  if (a) {
    var s = a.x, l = a.y, u = a.width, c = a.height;
    r.x = s, r.y = l, r.width = u, r.height = c;
    var d = o && o.lineWidth;
    return d && (r.x = subPixelOptimize$1(s, d, !0), r.y = subPixelOptimize$1(l, d, !0), r.width = Math.max(subPixelOptimize$1(s + u, d, !1) - r.x, u === 0 ? 0 : 1), r.height = Math.max(subPixelOptimize$1(l + c, d, !1) - r.y, c === 0 ? 0 : 1)), r;
  }
}
function subPixelOptimize$1(r, a, o) {
  if (!a)
    return r;
  var s = round$2(r * 2);
  return (s + round$2(a)) % 2 === 0 ? s / 2 : (s + (o ? 1 : -1)) / 2;
}
var RectShape = /* @__PURE__ */ function() {
  function r() {
    this.x = 0, this.y = 0, this.width = 0, this.height = 0;
  }
  return r;
}(), subPixelOptimizeOutputShape$1 = {}, Rect$2 = function(r) {
  __extends(a, r);
  function a(o) {
    return r.call(this, o) || this;
  }
  return a.prototype.getDefaultShape = function() {
    return new RectShape();
  }, a.prototype.buildPath = function(o, s) {
    var l, u, c, d;
    if (this.subPixelOptimize) {
      var f = subPixelOptimizeRect$1(subPixelOptimizeOutputShape$1, s, this.style);
      l = f.x, u = f.y, c = f.width, d = f.height, f.r = s.r, s = f;
    } else
      l = s.x, u = s.y, c = s.width, d = s.height;
    s.r ? buildPath$2(o, s) : o.rect(l, u, c, d);
  }, a.prototype.isZeroArea = function() {
    return !this.shape.width || !this.shape.height;
  }, a;
}(Path);
Rect$2.prototype.type = "rect";
var DEFAULT_RICH_TEXT_COLOR = {
  fill: "#000"
}, DEFAULT_STROKE_LINE_WIDTH = 2, DEFAULT_TEXT_ANIMATION_PROPS = {
  style: defaults({
    fill: !0,
    stroke: !0,
    fillOpacity: !0,
    strokeOpacity: !0,
    lineWidth: !0,
    fontSize: !0,
    lineHeight: !0,
    width: !0,
    height: !0,
    textShadowColor: !0,
    textShadowBlur: !0,
    textShadowOffsetX: !0,
    textShadowOffsetY: !0,
    backgroundColor: !0,
    padding: !0,
    borderColor: !0,
    borderWidth: !0,
    borderRadius: !0
  }, DEFAULT_COMMON_ANIMATION_PROPS.style)
}, ZRText = function(r) {
  __extends(a, r);
  function a(o) {
    var s = r.call(this) || this;
    return s.type = "text", s._children = [], s._defaultStyle = DEFAULT_RICH_TEXT_COLOR, s.attr(o), s;
  }
  return a.prototype.childrenRef = function() {
    return this._children;
  }, a.prototype.update = function() {
    r.prototype.update.call(this), this.styleChanged() && this._updateSubTexts();
    for (var o = 0; o < this._children.length; o++) {
      var s = this._children[o];
      s.zlevel = this.zlevel, s.z = this.z, s.z2 = this.z2, s.culling = this.culling, s.cursor = this.cursor, s.invisible = this.invisible;
    }
  }, a.prototype.updateTransform = function() {
    var o = this.innerTransformable;
    o ? (o.updateTransform(), o.transform && (this.transform = o.transform)) : r.prototype.updateTransform.call(this);
  }, a.prototype.getLocalTransform = function(o) {
    var s = this.innerTransformable;
    return s ? s.getLocalTransform(o) : r.prototype.getLocalTransform.call(this, o);
  }, a.prototype.getComputedTransform = function() {
    return this.__hostTarget && (this.__hostTarget.getComputedTransform(), this.__hostTarget.updateInnerText(!0)), r.prototype.getComputedTransform.call(this);
  }, a.prototype._updateSubTexts = function() {
    this._childCursor = 0, normalizeTextStyle(this.style), this.style.rich ? this._updateRichTexts() : this._updatePlainTexts(), this._children.length = this._childCursor, this.styleUpdated();
  }, a.prototype.addSelfToZr = function(o) {
    r.prototype.addSelfToZr.call(this, o);
    for (var s = 0; s < this._children.length; s++)
      this._children[s].__zr = o;
  }, a.prototype.removeSelfFromZr = function(o) {
    r.prototype.removeSelfFromZr.call(this, o);
    for (var s = 0; s < this._children.length; s++)
      this._children[s].__zr = null;
  }, a.prototype.getBoundingRect = function() {
    if (this.styleChanged() && this._updateSubTexts(), !this._rect) {
      for (var o = new BoundingRect(0, 0, 0, 0), s = this._children, l = [], u = null, c = 0; c < s.length; c++) {
        var d = s[c], f = d.getBoundingRect(), p = d.getLocalTransform(l);
        p ? (o.copy(f), o.applyTransform(p), u = u || o.clone(), u.union(o)) : (u = u || f.clone(), u.union(f));
      }
      this._rect = u || o;
    }
    return this._rect;
  }, a.prototype.setDefaultTextStyle = function(o) {
    this._defaultStyle = o || DEFAULT_RICH_TEXT_COLOR;
  }, a.prototype.setTextContent = function(o) {
    if (process.env.NODE_ENV !== "production")
      throw new Error("Can't attach text on another text");
  }, a.prototype._mergeStyle = function(o, s) {
    if (!s)
      return o;
    var l = s.rich, u = o.rich || l && {};
    return extend(o, s), l && u ? (this._mergeRich(u, l), o.rich = u) : u && (o.rich = u), o;
  }, a.prototype._mergeRich = function(o, s) {
    for (var l = keys(s), u = 0; u < l.length; u++) {
      var c = l[u];
      o[c] = o[c] || {}, extend(o[c], s[c]);
    }
  }, a.prototype.getAnimationStyleProps = function() {
    return DEFAULT_TEXT_ANIMATION_PROPS;
  }, a.prototype._getOrCreateChild = function(o) {
    var s = this._children[this._childCursor];
    return (!s || !(s instanceof o)) && (s = new o()), this._children[this._childCursor++] = s, s.__zr = this.__zr, s.parent = this, s;
  }, a.prototype._updatePlainTexts = function() {
    var o = this.style, s = o.font || DEFAULT_FONT, l = o.padding, u = getStyleText(o), c = parsePlainText(u, o), d = needDrawBackground(o), f = !!o.backgroundColor, p = c.outerHeight, v = c.outerWidth, g = c.contentWidth, y = c.lines, _ = c.lineHeight, S = this._defaultStyle;
    this.isTruncated = !!c.isTruncated;
    var C = o.x || 0, b = o.y || 0, T = o.align || S.align || "left", E = o.verticalAlign || S.verticalAlign || "top", x = C, $ = adjustTextY(b, c.contentHeight, E);
    if (d || l) {
      var A = adjustTextX(C, v, T), N = adjustTextY(b, p, E);
      d && this._renderBackground(o, o, A, N, v, p);
    }
    $ += _ / 2, l && (x = getTextXForPadding(C, T, l), E === "top" ? $ += l[0] : E === "bottom" && ($ -= l[2]));
    for (var P = 0, L = !1, O = getFill("fill" in o ? o.fill : (L = !0, S.fill)), M = getStroke("stroke" in o ? o.stroke : !f && (!S.autoStroke || L) ? (P = DEFAULT_STROKE_LINE_WIDTH, S.stroke) : null), F = o.textShadowBlur > 0, U = o.width != null && (o.overflow === "truncate" || o.overflow === "break" || o.overflow === "breakAll"), R = c.calculatedLineHeight, H = 0; H < y.length; H++) {
      var V = this._getOrCreateChild(TSpan), Y = V.createStyle();
      V.useStyle(Y), Y.text = y[H], Y.x = x, Y.y = $, Y.textAlign = T, Y.textBaseline = "middle", Y.opacity = o.opacity, Y.strokeFirst = !0, F && (Y.shadowBlur = o.textShadowBlur || 0, Y.shadowColor = o.textShadowColor || "transparent", Y.shadowOffsetX = o.textShadowOffsetX || 0, Y.shadowOffsetY = o.textShadowOffsetY || 0), Y.stroke = M, Y.fill = O, M && (Y.lineWidth = o.lineWidth || P, Y.lineDash = o.lineDash, Y.lineDashOffset = o.lineDashOffset || 0), Y.font = s, setSeparateFont(Y, o), $ += _, U && V.setBoundingRect(new BoundingRect(adjustTextX(Y.x, g, Y.textAlign), adjustTextY(Y.y, R, Y.textBaseline), g, R));
    }
  }, a.prototype._updateRichTexts = function() {
    var o = this.style, s = getStyleText(o), l = parseRichText(s, o), u = l.width, c = l.outerWidth, d = l.outerHeight, f = o.padding, p = o.x || 0, v = o.y || 0, g = this._defaultStyle, y = o.align || g.align, _ = o.verticalAlign || g.verticalAlign;
    this.isTruncated = !!l.isTruncated;
    var S = adjustTextX(p, c, y), C = adjustTextY(v, d, _), b = S, T = C;
    f && (b += f[3], T += f[0]);
    var E = b + u;
    needDrawBackground(o) && this._renderBackground(o, o, S, C, c, d);
    for (var x = !!o.backgroundColor, $ = 0; $ < l.lines.length; $++) {
      for (var A = l.lines[$], N = A.tokens, P = N.length, L = A.lineHeight, O = A.width, M = 0, F = b, U = E, R = P - 1, H = void 0; M < P && (H = N[M], !H.align || H.align === "left"); )
        this._placeToken(H, o, L, T, F, "left", x), O -= H.width, F += H.width, M++;
      for (; R >= 0 && (H = N[R], H.align === "right"); )
        this._placeToken(H, o, L, T, U, "right", x), O -= H.width, U -= H.width, R--;
      for (F += (u - (F - b) - (E - U) - O) / 2; M <= R; )
        H = N[M], this._placeToken(H, o, L, T, F + H.width / 2, "center", x), F += H.width, M++;
      T += L;
    }
  }, a.prototype._placeToken = function(o, s, l, u, c, d, f) {
    var p = s.rich[o.styleName] || {};
    p.text = o.text;
    var v = o.verticalAlign, g = u + l / 2;
    v === "top" ? g = u + o.height / 2 : v === "bottom" && (g = u + l - o.height / 2);
    var y = !o.isLineHolder && needDrawBackground(p);
    y && this._renderBackground(p, s, d === "right" ? c - o.width : d === "center" ? c - o.width / 2 : c, g - o.height / 2, o.width, o.height);
    var _ = !!p.backgroundColor, S = o.textPadding;
    S && (c = getTextXForPadding(c, d, S), g -= o.height / 2 - S[0] - o.innerHeight / 2);
    var C = this._getOrCreateChild(TSpan), b = C.createStyle();
    C.useStyle(b);
    var T = this._defaultStyle, E = !1, x = 0, $ = getFill("fill" in p ? p.fill : "fill" in s ? s.fill : (E = !0, T.fill)), A = getStroke("stroke" in p ? p.stroke : "stroke" in s ? s.stroke : !_ && !f && (!T.autoStroke || E) ? (x = DEFAULT_STROKE_LINE_WIDTH, T.stroke) : null), N = p.textShadowBlur > 0 || s.textShadowBlur > 0;
    b.text = o.text, b.x = c, b.y = g, N && (b.shadowBlur = p.textShadowBlur || s.textShadowBlur || 0, b.shadowColor = p.textShadowColor || s.textShadowColor || "transparent", b.shadowOffsetX = p.textShadowOffsetX || s.textShadowOffsetX || 0, b.shadowOffsetY = p.textShadowOffsetY || s.textShadowOffsetY || 0), b.textAlign = d, b.textBaseline = "middle", b.font = o.font || DEFAULT_FONT, b.opacity = retrieve3(p.opacity, s.opacity, 1), setSeparateFont(b, p), A && (b.lineWidth = retrieve3(p.lineWidth, s.lineWidth, x), b.lineDash = retrieve2(p.lineDash, s.lineDash), b.lineDashOffset = s.lineDashOffset || 0, b.stroke = A), $ && (b.fill = $);
    var P = o.contentWidth, L = o.contentHeight;
    C.setBoundingRect(new BoundingRect(adjustTextX(b.x, P, b.textAlign), adjustTextY(b.y, L, b.textBaseline), P, L));
  }, a.prototype._renderBackground = function(o, s, l, u, c, d) {
    var f = o.backgroundColor, p = o.borderWidth, v = o.borderColor, g = f && f.image, y = f && !g, _ = o.borderRadius, S = this, C, b;
    if (y || o.lineHeight || p && v) {
      C = this._getOrCreateChild(Rect$2), C.useStyle(C.createStyle()), C.style.fill = null;
      var T = C.shape;
      T.x = l, T.y = u, T.width = c, T.height = d, T.r = _, C.dirtyShape();
    }
    if (y) {
      var E = C.style;
      E.fill = f || null, E.fillOpacity = retrieve2(o.fillOpacity, 1);
    } else if (g) {
      b = this._getOrCreateChild(ZRImage), b.onload = function() {
        S.dirtyStyle();
      };
      var x = b.style;
      x.image = f.image, x.x = l, x.y = u, x.width = c, x.height = d;
    }
    if (p && v) {
      var E = C.style;
      E.lineWidth = p, E.stroke = v, E.strokeOpacity = retrieve2(o.strokeOpacity, 1), E.lineDash = o.borderDash, E.lineDashOffset = o.borderDashOffset || 0, C.strokeContainThreshold = 0, C.hasFill() && C.hasStroke() && (E.strokeFirst = !0, E.lineWidth *= 2);
    }
    var $ = (C || b).style;
    $.shadowBlur = o.shadowBlur || 0, $.shadowColor = o.shadowColor || "transparent", $.shadowOffsetX = o.shadowOffsetX || 0, $.shadowOffsetY = o.shadowOffsetY || 0, $.opacity = retrieve3(o.opacity, s.opacity, 1);
  }, a.makeFont = function(o) {
    var s = "";
    return hasSeparateFont(o) && (s = [
      o.fontStyle,
      o.fontWeight,
      parseFontSize(o.fontSize),
      o.fontFamily || "sans-serif"
    ].join(" ")), s && trim$1(s) || o.textFont || o.font;
  }, a;
}(Displayable), VALID_TEXT_ALIGN = { left: !0, right: 1, center: 1 }, VALID_TEXT_VERTICAL_ALIGN = { top: 1, bottom: 1, middle: 1 }, FONT_PARTS = ["fontStyle", "fontWeight", "fontSize", "fontFamily"];
function parseFontSize(r) {
  return typeof r == "string" && (r.indexOf("px") !== -1 || r.indexOf("rem") !== -1 || r.indexOf("em") !== -1) ? r : isNaN(+r) ? DEFAULT_FONT_SIZE + "px" : r + "px";
}
function setSeparateFont(r, a) {
  for (var o = 0; o < FONT_PARTS.length; o++) {
    var s = FONT_PARTS[o], l = a[s];
    l != null && (r[s] = l);
  }
}
function hasSeparateFont(r) {
  return r.fontSize != null || r.fontFamily || r.fontWeight;
}
function normalizeTextStyle(r) {
  return normalizeStyle(r), each$f(r.rich, normalizeStyle), r;
}
function normalizeStyle(r) {
  if (r) {
    r.font = ZRText.makeFont(r);
    var a = r.align;
    a === "middle" && (a = "center"), r.align = a == null || VALID_TEXT_ALIGN[a] ? a : "left";
    var o = r.verticalAlign;
    o === "center" && (o = "middle"), r.verticalAlign = o == null || VALID_TEXT_VERTICAL_ALIGN[o] ? o : "top";
    var s = r.padding;
    s && (r.padding = normalizeCssArray$1(r.padding));
  }
}
function getStroke(r, a) {
  return r == null || a <= 0 || r === "transparent" || r === "none" ? null : r.image || r.colorStops ? "#000" : r;
}
function getFill(r) {
  return r == null || r === "none" ? null : r.image || r.colorStops ? "#000" : r;
}
function getTextXForPadding(r, a, o) {
  return a === "right" ? r - o[1] : a === "center" ? r + o[3] / 2 - o[1] / 2 : r + o[3];
}
function getStyleText(r) {
  var a = r.text;
  return a != null && (a += ""), a;
}
function needDrawBackground(r) {
  return !!(r.backgroundColor || r.lineHeight || r.borderWidth && r.borderColor);
}
var getECData = makeInner(), setCommonECData = function(r, a, o, s) {
  if (s) {
    var l = getECData(s);
    l.dataIndex = o, l.dataType = a, l.seriesIndex = r, l.ssrType = "chart", s.type === "group" && s.traverse(function(u) {
      var c = getECData(u);
      c.seriesIndex = r, c.dataIndex = o, c.dataType = a, c.ssrType = "chart";
    });
  }
}, _highlightNextDigit = 1, _highlightKeyMap = {}, getSavedStates = makeInner(), getComponentStates = makeInner(), HOVER_STATE_NORMAL = 0, HOVER_STATE_BLUR = 1, HOVER_STATE_EMPHASIS = 2, SPECIAL_STATES = ["emphasis", "blur", "select"], DISPLAY_STATES = ["normal", "emphasis", "blur", "select"], Z2_EMPHASIS_LIFT = 10, Z2_SELECT_LIFT = 9, HIGHLIGHT_ACTION_TYPE = "highlight", DOWNPLAY_ACTION_TYPE = "downplay", SELECT_ACTION_TYPE = "select", UNSELECT_ACTION_TYPE = "unselect", TOGGLE_SELECT_ACTION_TYPE = "toggleSelect";
function hasFillOrStroke(r) {
  return r != null && r !== "none";
}
function doChangeHoverState(r, a, o) {
  r.onHoverStateChange && (r.hoverState || 0) !== o && r.onHoverStateChange(a), r.hoverState = o;
}
function singleEnterEmphasis(r) {
  doChangeHoverState(r, "emphasis", HOVER_STATE_EMPHASIS);
}
function singleLeaveEmphasis(r) {
  r.hoverState === HOVER_STATE_EMPHASIS && doChangeHoverState(r, "normal", HOVER_STATE_NORMAL);
}
function singleEnterBlur(r) {
  doChangeHoverState(r, "blur", HOVER_STATE_BLUR);
}
function singleLeaveBlur(r) {
  r.hoverState === HOVER_STATE_BLUR && doChangeHoverState(r, "normal", HOVER_STATE_NORMAL);
}
function singleEnterSelect(r) {
  r.selected = !0;
}
function singleLeaveSelect(r) {
  r.selected = !1;
}
function updateElementState(r, a, o) {
  a(r, o);
}
function traverseUpdateState(r, a, o) {
  updateElementState(r, a, o), r.isGroup && r.traverse(function(s) {
    updateElementState(s, a, o);
  });
}
function setStatesFlag(r, a) {
  switch (a) {
    case "emphasis":
      r.hoverState = HOVER_STATE_EMPHASIS;
      break;
    case "normal":
      r.hoverState = HOVER_STATE_NORMAL;
      break;
    case "blur":
      r.hoverState = HOVER_STATE_BLUR;
      break;
    case "select":
      r.selected = !0;
  }
}
function getFromStateStyle(r, a, o, s) {
  for (var l = r.style, u = {}, c = 0; c < a.length; c++) {
    var d = a[c], f = l[d];
    u[d] = f ?? s[d];
  }
  for (var c = 0; c < r.animators.length; c++) {
    var p = r.animators[c];
    p.__fromStateTransition && p.__fromStateTransition.indexOf(o) < 0 && p.targetName === "style" && p.saveTo(u, a);
  }
  return u;
}
function createEmphasisDefaultState(r, a, o, s) {
  var l = o && indexOf(o, "select") >= 0, u = !1;
  if (r instanceof Path) {
    var c = getSavedStates(r), d = l && c.selectFill || c.normalFill, f = l && c.selectStroke || c.normalStroke;
    if (hasFillOrStroke(d) || hasFillOrStroke(f)) {
      s = s || {};
      var p = s.style || {};
      p.fill === "inherit" ? (u = !0, s = extend({}, s), p = extend({}, p), p.fill = d) : !hasFillOrStroke(p.fill) && hasFillOrStroke(d) ? (u = !0, s = extend({}, s), p = extend({}, p), p.fill = liftColor(d)) : !hasFillOrStroke(p.stroke) && hasFillOrStroke(f) && (u || (s = extend({}, s), p = extend({}, p)), p.stroke = liftColor(f)), s.style = p;
    }
  }
  if (s && s.z2 == null) {
    u || (s = extend({}, s));
    var v = r.z2EmphasisLift;
    s.z2 = r.z2 + (v ?? Z2_EMPHASIS_LIFT);
  }
  return s;
}
function createSelectDefaultState(r, a, o) {
  if (o && o.z2 == null) {
    o = extend({}, o);
    var s = r.z2SelectLift;
    o.z2 = r.z2 + (s ?? Z2_SELECT_LIFT);
  }
  return o;
}
function createBlurDefaultState(r, a, o) {
  var s = indexOf(r.currentStates, a) >= 0, l = r.style.opacity, u = s ? null : getFromStateStyle(r, ["opacity"], a, {
    opacity: 1
  });
  o = o || {};
  var c = o.style || {};
  return c.opacity == null && (o = extend({}, o), c = extend({
    // Already being applied 'emphasis'. DON'T mul opacity multiple times.
    opacity: s ? l : u.opacity * 0.1
  }, c), o.style = c), o;
}
function elementStateProxy(r, a) {
  var o = this.states[r];
  if (this.style) {
    if (r === "emphasis")
      return createEmphasisDefaultState(this, r, a, o);
    if (r === "blur")
      return createBlurDefaultState(this, r, o);
    if (r === "select")
      return createSelectDefaultState(this, r, o);
  }
  return o;
}
function setDefaultStateProxy(r) {
  r.stateProxy = elementStateProxy;
  var a = r.getTextContent(), o = r.getTextGuideLine();
  a && (a.stateProxy = elementStateProxy), o && (o.stateProxy = elementStateProxy);
}
function enterEmphasisWhenMouseOver(r, a) {
  !shouldSilent(r, a) && !r.__highByOuter && traverseUpdateState(r, singleEnterEmphasis);
}
function leaveEmphasisWhenMouseOut(r, a) {
  !shouldSilent(r, a) && !r.__highByOuter && traverseUpdateState(r, singleLeaveEmphasis);
}
function enterEmphasis(r, a) {
  r.__highByOuter |= 1 << (a || 0), traverseUpdateState(r, singleEnterEmphasis);
}
function leaveEmphasis(r, a) {
  !(r.__highByOuter &= ~(1 << (a || 0))) && traverseUpdateState(r, singleLeaveEmphasis);
}
function enterBlur(r) {
  traverseUpdateState(r, singleEnterBlur);
}
function leaveBlur(r) {
  traverseUpdateState(r, singleLeaveBlur);
}
function enterSelect(r) {
  traverseUpdateState(r, singleEnterSelect);
}
function leaveSelect(r) {
  traverseUpdateState(r, singleLeaveSelect);
}
function shouldSilent(r, a) {
  return r.__highDownSilentOnTouch && a.zrByTouch;
}
function allLeaveBlur(r) {
  var a = r.getModel(), o = [], s = [];
  a.eachComponent(function(l, u) {
    var c = getComponentStates(u), d = l === "series", f = d ? r.getViewOfSeriesModel(u) : r.getViewOfComponentModel(u);
    !d && s.push(f), c.isBlured && (f.group.traverse(function(p) {
      singleLeaveBlur(p);
    }), d && o.push(u)), c.isBlured = !1;
  }), each$f(s, function(l) {
    l && l.toggleBlurSeries && l.toggleBlurSeries(o, !1, a);
  });
}
function blurSeries(r, a, o, s) {
  var l = s.getModel();
  o = o || "coordinateSystem";
  function u(p, v) {
    for (var g = 0; g < v.length; g++) {
      var y = p.getItemGraphicEl(v[g]);
      y && leaveBlur(y);
    }
  }
  if (r != null && !(!a || a === "none")) {
    var c = l.getSeriesByIndex(r), d = c.coordinateSystem;
    d && d.master && (d = d.master);
    var f = [];
    l.eachSeries(function(p) {
      var v = c === p, g = p.coordinateSystem;
      g && g.master && (g = g.master);
      var y = g && d ? g === d : v;
      if (!// Not blur other series if blurScope series
      (o === "series" && !v || o === "coordinateSystem" && !y || a === "series" && v)) {
        var _ = s.getViewOfSeriesModel(p);
        if (_.group.traverse(function(b) {
          b.__highByOuter && v && a === "self" || singleEnterBlur(b);
        }), isArrayLike(a))
          u(p.getData(), a);
        else if (isObject$3(a))
          for (var S = keys(a), C = 0; C < S.length; C++)
            u(p.getData(S[C]), a[S[C]]);
        f.push(p), getComponentStates(p).isBlured = !0;
      }
    }), l.eachComponent(function(p, v) {
      if (p !== "series") {
        var g = s.getViewOfComponentModel(v);
        g && g.toggleBlurSeries && g.toggleBlurSeries(f, !0, l);
      }
    });
  }
}
function blurComponent(r, a, o) {
  if (!(r == null || a == null)) {
    var s = o.getModel().getComponent(r, a);
    if (s) {
      getComponentStates(s).isBlured = !0;
      var l = o.getViewOfComponentModel(s);
      !l || !l.focusBlurEnabled || l.group.traverse(function(u) {
        singleEnterBlur(u);
      });
    }
  }
}
function blurSeriesFromHighlightPayload(r, a, o) {
  var s = r.seriesIndex, l = r.getData(a.dataType);
  if (!l) {
    process.env.NODE_ENV !== "production" && error("Unknown dataType " + a.dataType);
    return;
  }
  var u = queryDataIndex(l, a);
  u = (isArray$1(u) ? u[0] : u) || 0;
  var c = l.getItemGraphicEl(u);
  if (!c)
    for (var d = l.count(), f = 0; !c && f < d; )
      c = l.getItemGraphicEl(f++);
  if (c) {
    var p = getECData(c);
    blurSeries(s, p.focus, p.blurScope, o);
  } else {
    var v = r.get(["emphasis", "focus"]), g = r.get(["emphasis", "blurScope"]);
    v != null && blurSeries(s, v, g, o);
  }
}
function findComponentHighDownDispatchers(r, a, o, s) {
  var l = {
    focusSelf: !1,
    dispatchers: null
  };
  if (r == null || r === "series" || a == null || o == null)
    return l;
  var u = s.getModel().getComponent(r, a);
  if (!u)
    return l;
  var c = s.getViewOfComponentModel(u);
  if (!c || !c.findHighDownDispatchers)
    return l;
  for (var d = c.findHighDownDispatchers(o), f, p = 0; p < d.length; p++)
    if (process.env.NODE_ENV !== "production" && !isHighDownDispatcher(d[p]) && error("param should be highDownDispatcher"), getECData(d[p]).focus === "self") {
      f = !0;
      break;
    }
  return {
    focusSelf: f,
    dispatchers: d
  };
}
function handleGlobalMouseOverForHighDown(r, a, o) {
  process.env.NODE_ENV !== "production" && !isHighDownDispatcher(r) && error("param should be highDownDispatcher");
  var s = getECData(r), l = findComponentHighDownDispatchers(s.componentMainType, s.componentIndex, s.componentHighDownName, o), u = l.dispatchers, c = l.focusSelf;
  u ? (c && blurComponent(s.componentMainType, s.componentIndex, o), each$f(u, function(d) {
    return enterEmphasisWhenMouseOver(d, a);
  })) : (blurSeries(s.seriesIndex, s.focus, s.blurScope, o), s.focus === "self" && blurComponent(s.componentMainType, s.componentIndex, o), enterEmphasisWhenMouseOver(r, a));
}
function handleGlobalMouseOutForHighDown(r, a, o) {
  process.env.NODE_ENV !== "production" && !isHighDownDispatcher(r) && error("param should be highDownDispatcher"), allLeaveBlur(o);
  var s = getECData(r), l = findComponentHighDownDispatchers(s.componentMainType, s.componentIndex, s.componentHighDownName, o).dispatchers;
  l ? each$f(l, function(u) {
    return leaveEmphasisWhenMouseOut(u, a);
  }) : leaveEmphasisWhenMouseOut(r, a);
}
function toggleSelectionFromPayload(r, a, o) {
  if (isSelectChangePayload(a)) {
    var s = a.dataType, l = r.getData(s), u = queryDataIndex(l, a);
    isArray$1(u) || (u = [u]), r[a.type === TOGGLE_SELECT_ACTION_TYPE ? "toggleSelect" : a.type === SELECT_ACTION_TYPE ? "select" : "unselect"](u, s);
  }
}
function updateSeriesElementSelection(r) {
  var a = r.getAllData();
  each$f(a, function(o) {
    var s = o.data, l = o.type;
    s.eachItemGraphicEl(function(u, c) {
      r.isSelected(c, l) ? enterSelect(u) : leaveSelect(u);
    });
  });
}
function getAllSelectedIndices(r) {
  var a = [];
  return r.eachSeries(function(o) {
    var s = o.getAllData();
    each$f(s, function(l) {
      l.data;
      var u = l.type, c = o.getSelectedDataIndices();
      if (c.length > 0) {
        var d = {
          dataIndex: c,
          seriesIndex: o.seriesIndex
        };
        u != null && (d.dataType = u), a.push(d);
      }
    });
  }), a;
}
function enableHoverEmphasis(r, a, o) {
  setAsHighDownDispatcher(r, !0), traverseUpdateState(r, setDefaultStateProxy), enableHoverFocus(r, a, o);
}
function disableHoverEmphasis(r) {
  setAsHighDownDispatcher(r, !1);
}
function toggleHoverEmphasis(r, a, o, s) {
  s ? disableHoverEmphasis(r) : enableHoverEmphasis(r, a, o);
}
function enableHoverFocus(r, a, o) {
  var s = getECData(r);
  a != null ? (s.focus = a, s.blurScope = o) : s.focus && (s.focus = null);
}
var OTHER_STATES = ["emphasis", "blur", "select"], defaultStyleGetterMap = {
  itemStyle: "getItemStyle",
  lineStyle: "getLineStyle",
  areaStyle: "getAreaStyle"
};
function setStatesStylesFromModel(r, a, o, s) {
  o = o || "itemStyle";
  for (var l = 0; l < OTHER_STATES.length; l++) {
    var u = OTHER_STATES[l], c = a.getModel([u, o]), d = r.ensureState(u);
    d.style = s ? s(c) : c[defaultStyleGetterMap[o]]();
  }
}
function setAsHighDownDispatcher(r, a) {
  var o = a === !1, s = r;
  r.highDownSilentOnTouch && (s.__highDownSilentOnTouch = r.highDownSilentOnTouch), (!o || s.__highDownDispatcher) && (s.__highByOuter = s.__highByOuter || 0, s.__highDownDispatcher = !o);
}
function isHighDownDispatcher(r) {
  return !!(r && r.__highDownDispatcher);
}
function enableComponentHighDownFeatures(r, a, o) {
  var s = getECData(r);
  s.componentMainType = a.mainType, s.componentIndex = a.componentIndex, s.componentHighDownName = o;
}
function getHighlightDigit(r) {
  var a = _highlightKeyMap[r];
  return a == null && _highlightNextDigit <= 32 && (a = _highlightKeyMap[r] = _highlightNextDigit++), a;
}
function isSelectChangePayload(r) {
  var a = r.type;
  return a === SELECT_ACTION_TYPE || a === UNSELECT_ACTION_TYPE || a === TOGGLE_SELECT_ACTION_TYPE;
}
function isHighDownPayload(r) {
  var a = r.type;
  return a === HIGHLIGHT_ACTION_TYPE || a === DOWNPLAY_ACTION_TYPE;
}
function savePathStates(r) {
  var a = getSavedStates(r);
  a.normalFill = r.style.fill, a.normalStroke = r.style.stroke;
  var o = r.states.select || {};
  a.selectFill = o.style && o.style.fill || null, a.selectStroke = o.style && o.style.stroke || null;
}
var CMD$2 = PathProxy.CMD, points$2 = [[], [], []], mathSqrt$2 = Math.sqrt, mathAtan2 = Math.atan2;
function transformPath(r, a) {
  if (a) {
    var o = r.data, s = r.len(), l, u, c, d, f, p, v = CMD$2.M, g = CMD$2.C, y = CMD$2.L, _ = CMD$2.R, S = CMD$2.A, C = CMD$2.Q;
    for (c = 0, d = 0; c < s; ) {
      switch (l = o[c++], d = c, u = 0, l) {
        case v:
          u = 1;
          break;
        case y:
          u = 1;
          break;
        case g:
          u = 3;
          break;
        case C:
          u = 2;
          break;
        case S:
          var b = a[4], T = a[5], E = mathSqrt$2(a[0] * a[0] + a[1] * a[1]), x = mathSqrt$2(a[2] * a[2] + a[3] * a[3]), $ = mathAtan2(-a[1] / x, a[0] / E);
          o[c] *= E, o[c++] += b, o[c] *= x, o[c++] += T, o[c++] *= E, o[c++] *= x, o[c++] += $, o[c++] += $, c += 2, d = c;
          break;
        case _:
          p[0] = o[c++], p[1] = o[c++], applyTransform$1(p, p, a), o[d++] = p[0], o[d++] = p[1], p[0] += o[c++], p[1] += o[c++], applyTransform$1(p, p, a), o[d++] = p[0], o[d++] = p[1];
      }
      for (f = 0; f < u; f++) {
        var A = points$2[f];
        A[0] = o[c++], A[1] = o[c++], applyTransform$1(A, A, a), o[d++] = A[0], o[d++] = A[1];
      }
    }
    r.increaseVersion();
  }
}
var mathSqrt$1 = Math.sqrt, mathSin$2 = Math.sin, mathCos$2 = Math.cos, PI$7 = Math.PI;
function vMag(r) {
  return Math.sqrt(r[0] * r[0] + r[1] * r[1]);
}
function vRatio(r, a) {
  return (r[0] * a[0] + r[1] * a[1]) / (vMag(r) * vMag(a));
}
function vAngle(r, a) {
  return (r[0] * a[1] < r[1] * a[0] ? -1 : 1) * Math.acos(vRatio(r, a));
}
function processArc(r, a, o, s, l, u, c, d, f, p, v) {
  var g = f * (PI$7 / 180), y = mathCos$2(g) * (r - o) / 2 + mathSin$2(g) * (a - s) / 2, _ = -1 * mathSin$2(g) * (r - o) / 2 + mathCos$2(g) * (a - s) / 2, S = y * y / (c * c) + _ * _ / (d * d);
  S > 1 && (c *= mathSqrt$1(S), d *= mathSqrt$1(S));
  var C = (l === u ? -1 : 1) * mathSqrt$1((c * c * (d * d) - c * c * (_ * _) - d * d * (y * y)) / (c * c * (_ * _) + d * d * (y * y))) || 0, b = C * c * _ / d, T = C * -d * y / c, E = (r + o) / 2 + mathCos$2(g) * b - mathSin$2(g) * T, x = (a + s) / 2 + mathSin$2(g) * b + mathCos$2(g) * T, $ = vAngle([1, 0], [(y - b) / c, (_ - T) / d]), A = [(y - b) / c, (_ - T) / d], N = [(-1 * y - b) / c, (-1 * _ - T) / d], P = vAngle(A, N);
  if (vRatio(A, N) <= -1 && (P = PI$7), vRatio(A, N) >= 1 && (P = 0), P < 0) {
    var L = Math.round(P / PI$7 * 1e6) / 1e6;
    P = PI$7 * 2 + L % 2 * PI$7;
  }
  v.addData(p, E, x, c, d, $, P, g, u);
}
var commandReg = /([mlvhzcqtsa])([^mlvhzcqtsa]*)/ig, numberReg$1 = /-?([0-9]*\.)?[0-9]+([eE]-?[0-9]+)?/g;
function createPathProxyFromString(r) {
  var a = new PathProxy();
  if (!r)
    return a;
  var o = 0, s = 0, l = o, u = s, c, d = PathProxy.CMD, f = r.match(commandReg);
  if (!f)
    return a;
  for (var p = 0; p < f.length; p++) {
    for (var v = f[p], g = v.charAt(0), y = void 0, _ = v.match(numberReg$1) || [], S = _.length, C = 0; C < S; C++)
      _[C] = parseFloat(_[C]);
    for (var b = 0; b < S; ) {
      var T = void 0, E = void 0, x = void 0, $ = void 0, A = void 0, N = void 0, P = void 0, L = o, O = s, M = void 0, F = void 0;
      switch (g) {
        case "l":
          o += _[b++], s += _[b++], y = d.L, a.addData(y, o, s);
          break;
        case "L":
          o = _[b++], s = _[b++], y = d.L, a.addData(y, o, s);
          break;
        case "m":
          o += _[b++], s += _[b++], y = d.M, a.addData(y, o, s), l = o, u = s, g = "l";
          break;
        case "M":
          o = _[b++], s = _[b++], y = d.M, a.addData(y, o, s), l = o, u = s, g = "L";
          break;
        case "h":
          o += _[b++], y = d.L, a.addData(y, o, s);
          break;
        case "H":
          o = _[b++], y = d.L, a.addData(y, o, s);
          break;
        case "v":
          s += _[b++], y = d.L, a.addData(y, o, s);
          break;
        case "V":
          s = _[b++], y = d.L, a.addData(y, o, s);
          break;
        case "C":
          y = d.C, a.addData(y, _[b++], _[b++], _[b++], _[b++], _[b++], _[b++]), o = _[b - 2], s = _[b - 1];
          break;
        case "c":
          y = d.C, a.addData(y, _[b++] + o, _[b++] + s, _[b++] + o, _[b++] + s, _[b++] + o, _[b++] + s), o += _[b - 2], s += _[b - 1];
          break;
        case "S":
          T = o, E = s, M = a.len(), F = a.data, c === d.C && (T += o - F[M - 4], E += s - F[M - 3]), y = d.C, L = _[b++], O = _[b++], o = _[b++], s = _[b++], a.addData(y, T, E, L, O, o, s);
          break;
        case "s":
          T = o, E = s, M = a.len(), F = a.data, c === d.C && (T += o - F[M - 4], E += s - F[M - 3]), y = d.C, L = o + _[b++], O = s + _[b++], o += _[b++], s += _[b++], a.addData(y, T, E, L, O, o, s);
          break;
        case "Q":
          L = _[b++], O = _[b++], o = _[b++], s = _[b++], y = d.Q, a.addData(y, L, O, o, s);
          break;
        case "q":
          L = _[b++] + o, O = _[b++] + s, o += _[b++], s += _[b++], y = d.Q, a.addData(y, L, O, o, s);
          break;
        case "T":
          T = o, E = s, M = a.len(), F = a.data, c === d.Q && (T += o - F[M - 4], E += s - F[M - 3]), o = _[b++], s = _[b++], y = d.Q, a.addData(y, T, E, o, s);
          break;
        case "t":
          T = o, E = s, M = a.len(), F = a.data, c === d.Q && (T += o - F[M - 4], E += s - F[M - 3]), o += _[b++], s += _[b++], y = d.Q, a.addData(y, T, E, o, s);
          break;
        case "A":
          x = _[b++], $ = _[b++], A = _[b++], N = _[b++], P = _[b++], L = o, O = s, o = _[b++], s = _[b++], y = d.A, processArc(L, O, o, s, N, P, x, $, A, y, a);
          break;
        case "a":
          x = _[b++], $ = _[b++], A = _[b++], N = _[b++], P = _[b++], L = o, O = s, o += _[b++], s += _[b++], y = d.A, processArc(L, O, o, s, N, P, x, $, A, y, a);
          break;
      }
    }
    (g === "z" || g === "Z") && (y = d.Z, a.addData(y), o = l, s = u), c = y;
  }
  return a.toStatic(), a;
}
var SVGPath = function(r) {
  __extends(a, r);
  function a() {
    return r !== null && r.apply(this, arguments) || this;
  }
  return a.prototype.applyTransform = function(o) {
  }, a;
}(Path);
function isPathProxy(r) {
  return r.setData != null;
}
function createPathOptions(r, a) {
  var o = createPathProxyFromString(r), s = extend({}, a);
  return s.buildPath = function(l) {
    if (isPathProxy(l)) {
      l.setData(o.data);
      var u = l.getContext();
      u && l.rebuildPath(u, 1);
    } else {
      var u = l;
      o.rebuildPath(u, 1);
    }
  }, s.applyTransform = function(l) {
    transformPath(o, l), this.dirtyShape();
  }, s;
}
function createFromString(r, a) {
  return new SVGPath(createPathOptions(r, a));
}
function extendFromString(r, a) {
  var o = createPathOptions(r, a), s = function(l) {
    __extends(u, l);
    function u(c) {
      var d = l.call(this, c) || this;
      return d.applyTransform = o.applyTransform, d.buildPath = o.buildPath, d;
    }
    return u;
  }(SVGPath);
  return s;
}
function mergePath$1(r, a) {
  for (var o = [], s = r.length, l = 0; l < s; l++) {
    var u = r[l];
    o.push(u.getUpdatedPathProxy(!0));
  }
  var c = new Path(a);
  return c.createPathProxy(), c.buildPath = function(d) {
    if (isPathProxy(d)) {
      d.appendPath(o);
      var f = d.getContext();
      f && d.rebuildPath(f, 1);
    }
  }, c;
}
function clonePath(r, a) {
  a = a || {};
  var o = new Path();
  return r.shape && o.setShape(r.shape), o.setStyle(r.style), a.bakeTransform ? transformPath(o.path, r.getComputedTransform()) : a.toLocal ? o.setLocalTransform(r.getComputedTransform()) : o.copyTransform(r), o.buildPath = r.buildPath, o.applyTransform = o.applyTransform, o.z = r.z, o.z2 = r.z2, o.zlevel = r.zlevel, o;
}
var CircleShape = /* @__PURE__ */ function() {
  function r() {
    this.cx = 0, this.cy = 0, this.r = 0;
  }
  return r;
}(), Circle = function(r) {
  __extends(a, r);
  function a(o) {
    return r.call(this, o) || this;
  }
  return a.prototype.getDefaultShape = function() {
    return new CircleShape();
  }, a.prototype.buildPath = function(o, s) {
    o.moveTo(s.cx + s.r, s.cy), o.arc(s.cx, s.cy, s.r, 0, Math.PI * 2);
  }, a;
}(Path);
Circle.prototype.type = "circle";
var EllipseShape = /* @__PURE__ */ function() {
  function r() {
    this.cx = 0, this.cy = 0, this.rx = 0, this.ry = 0;
  }
  return r;
}(), Ellipse = function(r) {
  __extends(a, r);
  function a(o) {
    return r.call(this, o) || this;
  }
  return a.prototype.getDefaultShape = function() {
    return new EllipseShape();
  }, a.prototype.buildPath = function(o, s) {
    var l = 0.5522848, u = s.cx, c = s.cy, d = s.rx, f = s.ry, p = d * l, v = f * l;
    o.moveTo(u - d, c), o.bezierCurveTo(u - d, c - v, u - p, c - f, u, c - f), o.bezierCurveTo(u + p, c - f, u + d, c - v, u + d, c), o.bezierCurveTo(u + d, c + v, u + p, c + f, u, c + f), o.bezierCurveTo(u - p, c + f, u - d, c + v, u - d, c), o.closePath();
  }, a;
}(Path);
Ellipse.prototype.type = "ellipse";
var PI$6 = Math.PI, PI2$3 = PI$6 * 2, mathSin$1 = Math.sin, mathCos$1 = Math.cos, mathACos = Math.acos, mathATan2 = Math.atan2, mathAbs$1 = Math.abs, mathSqrt = Math.sqrt, mathMax$7 = Math.max, mathMin$7 = Math.min, e = 1e-4;
function intersect(r, a, o, s, l, u, c, d) {
  var f = o - r, p = s - a, v = c - l, g = d - u, y = g * f - v * p;
  if (!(y * y < e))
    return y = (v * (a - u) - g * (r - l)) / y, [r + y * f, a + y * p];
}
function computeCornerTangents(r, a, o, s, l, u, c) {
  var d = r - o, f = a - s, p = (c ? u : -u) / mathSqrt(d * d + f * f), v = p * f, g = -p * d, y = r + v, _ = a + g, S = o + v, C = s + g, b = (y + S) / 2, T = (_ + C) / 2, E = S - y, x = C - _, $ = E * E + x * x, A = l - u, N = y * C - S * _, P = (x < 0 ? -1 : 1) * mathSqrt(mathMax$7(0, A * A * $ - N * N)), L = (N * x - E * P) / $, O = (-N * E - x * P) / $, M = (N * x + E * P) / $, F = (-N * E + x * P) / $, U = L - b, R = O - T, H = M - b, V = F - T;
  return U * U + R * R > H * H + V * V && (L = M, O = F), {
    cx: L,
    cy: O,
    x0: -v,
    y0: -g,
    x1: L * (l / A - 1),
    y1: O * (l / A - 1)
  };
}
function normalizeCornerRadius(r) {
  var a;
  if (isArray$1(r)) {
    var o = r.length;
    if (!o)
      return r;
    o === 1 ? a = [r[0], r[0], 0, 0] : o === 2 ? a = [r[0], r[0], r[1], r[1]] : o === 3 ? a = r.concat(r[2]) : a = r;
  } else
    a = [r, r, r, r];
  return a;
}
function buildPath$1(r, a) {
  var o, s = mathMax$7(a.r, 0), l = mathMax$7(a.r0 || 0, 0), u = s > 0, c = l > 0;
  if (!(!u && !c)) {
    if (u || (s = l, l = 0), l > s) {
      var d = s;
      s = l, l = d;
    }
    var f = a.startAngle, p = a.endAngle;
    if (!(isNaN(f) || isNaN(p))) {
      var v = a.cx, g = a.cy, y = !!a.clockwise, _ = mathAbs$1(p - f), S = _ > PI2$3 && _ % PI2$3;
      if (S > e && (_ = S), !(s > e))
        r.moveTo(v, g);
      else if (_ > PI2$3 - e)
        r.moveTo(v + s * mathCos$1(f), g + s * mathSin$1(f)), r.arc(v, g, s, f, p, !y), l > e && (r.moveTo(v + l * mathCos$1(p), g + l * mathSin$1(p)), r.arc(v, g, l, p, f, y));
      else {
        var C = void 0, b = void 0, T = void 0, E = void 0, x = void 0, $ = void 0, A = void 0, N = void 0, P = void 0, L = void 0, O = void 0, M = void 0, F = void 0, U = void 0, R = void 0, H = void 0, V = s * mathCos$1(f), Y = s * mathSin$1(f), G = l * mathCos$1(p), Z = l * mathSin$1(p), re = _ > e;
        if (re) {
          var de = a.cornerRadius;
          de && (o = normalizeCornerRadius(de), C = o[0], b = o[1], T = o[2], E = o[3]);
          var X = mathAbs$1(s - l) / 2;
          if (x = mathMin$7(X, T), $ = mathMin$7(X, E), A = mathMin$7(X, C), N = mathMin$7(X, b), O = P = mathMax$7(x, $), M = L = mathMax$7(A, N), (P > e || L > e) && (F = s * mathCos$1(p), U = s * mathSin$1(p), R = l * mathCos$1(f), H = l * mathSin$1(f), _ < PI$6)) {
            var W = intersect(V, Y, R, H, F, U, G, Z);
            if (W) {
              var te = V - W[0], ae = Y - W[1], Te = F - W[0], $e = U - W[1], se = 1 / mathSin$1(mathACos((te * Te + ae * $e) / (mathSqrt(te * te + ae * ae) * mathSqrt(Te * Te + $e * $e))) / 2), fe = mathSqrt(W[0] * W[0] + W[1] * W[1]);
              O = mathMin$7(P, (s - fe) / (se + 1)), M = mathMin$7(L, (l - fe) / (se - 1));
            }
          }
        }
        if (!re)
          r.moveTo(v + V, g + Y);
        else if (O > e) {
          var ce = mathMin$7(T, O), ge = mathMin$7(E, O), ve = computeCornerTangents(R, H, V, Y, s, ce, y), xe = computeCornerTangents(F, U, G, Z, s, ge, y);
          r.moveTo(v + ve.cx + ve.x0, g + ve.cy + ve.y0), O < P && ce === ge ? r.arc(v + ve.cx, g + ve.cy, O, mathATan2(ve.y0, ve.x0), mathATan2(xe.y0, xe.x0), !y) : (ce > 0 && r.arc(v + ve.cx, g + ve.cy, ce, mathATan2(ve.y0, ve.x0), mathATan2(ve.y1, ve.x1), !y), r.arc(v, g, s, mathATan2(ve.cy + ve.y1, ve.cx + ve.x1), mathATan2(xe.cy + xe.y1, xe.cx + xe.x1), !y), ge > 0 && r.arc(v + xe.cx, g + xe.cy, ge, mathATan2(xe.y1, xe.x1), mathATan2(xe.y0, xe.x0), !y));
        } else
          r.moveTo(v + V, g + Y), r.arc(v, g, s, f, p, !y);
        if (!(l > e) || !re)
          r.lineTo(v + G, g + Z);
        else if (M > e) {
          var ce = mathMin$7(C, M), ge = mathMin$7(b, M), ve = computeCornerTangents(G, Z, F, U, l, -ge, y), xe = computeCornerTangents(V, Y, R, H, l, -ce, y);
          r.lineTo(v + ve.cx + ve.x0, g + ve.cy + ve.y0), M < L && ce === ge ? r.arc(v + ve.cx, g + ve.cy, M, mathATan2(ve.y0, ve.x0), mathATan2(xe.y0, xe.x0), !y) : (ge > 0 && r.arc(v + ve.cx, g + ve.cy, ge, mathATan2(ve.y0, ve.x0), mathATan2(ve.y1, ve.x1), !y), r.arc(v, g, l, mathATan2(ve.cy + ve.y1, ve.cx + ve.x1), mathATan2(xe.cy + xe.y1, xe.cx + xe.x1), y), ce > 0 && r.arc(v + xe.cx, g + xe.cy, ce, mathATan2(xe.y1, xe.x1), mathATan2(xe.y0, xe.x0), !y));
        } else
          r.lineTo(v + G, g + Z), r.arc(v, g, l, p, f, y);
      }
      r.closePath();
    }
  }
}
var SectorShape = /* @__PURE__ */ function() {
  function r() {
    this.cx = 0, this.cy = 0, this.r0 = 0, this.r = 0, this.startAngle = 0, this.endAngle = Math.PI * 2, this.clockwise = !0, this.cornerRadius = 0;
  }
  return r;
}(), Sector = function(r) {
  __extends(a, r);
  function a(o) {
    return r.call(this, o) || this;
  }
  return a.prototype.getDefaultShape = function() {
    return new SectorShape();
  }, a.prototype.buildPath = function(o, s) {
    buildPath$1(o, s);
  }, a.prototype.isZeroArea = function() {
    return this.shape.startAngle === this.shape.endAngle || this.shape.r === this.shape.r0;
  }, a;
}(Path);
Sector.prototype.type = "sector";
var RingShape = /* @__PURE__ */ function() {
  function r() {
    this.cx = 0, this.cy = 0, this.r = 0, this.r0 = 0;
  }
  return r;
}(), Ring = function(r) {
  __extends(a, r);
  function a(o) {
    return r.call(this, o) || this;
  }
  return a.prototype.getDefaultShape = function() {
    return new RingShape();
  }, a.prototype.buildPath = function(o, s) {
    var l = s.cx, u = s.cy, c = Math.PI * 2;
    o.moveTo(l + s.r, u), o.arc(l, u, s.r, 0, c, !1), o.moveTo(l + s.r0, u), o.arc(l, u, s.r0, 0, c, !0);
  }, a;
}(Path);
Ring.prototype.type = "ring";
function smoothBezier(r, a, o, s) {
  var l = [], u = [], c = [], d = [], f, p, v, g;
  if (s) {
    v = [1 / 0, 1 / 0], g = [-1 / 0, -1 / 0];
    for (var y = 0, _ = r.length; y < _; y++)
      min$1(v, v, r[y]), max$1(g, g, r[y]);
    min$1(v, v, s[0]), max$1(g, g, s[1]);
  }
  for (var y = 0, _ = r.length; y < _; y++) {
    var S = r[y];
    if (o)
      f = r[y ? y - 1 : _ - 1], p = r[(y + 1) % _];
    else if (y === 0 || y === _ - 1) {
      l.push(clone$3(r[y]));
      continue;
    } else
      f = r[y - 1], p = r[y + 1];
    sub(u, p, f), scale$2(u, u, a);
    var C = distance(S, f), b = distance(S, p), T = C + b;
    T !== 0 && (C /= T, b /= T), scale$2(c, u, -C), scale$2(d, u, b);
    var E = add([], S, c), x = add([], S, d);
    s && (max$1(E, E, v), min$1(E, E, g), max$1(x, x, v), min$1(x, x, g)), l.push(E), l.push(x);
  }
  return o && l.push(l.shift()), l;
}
function buildPath(r, a, o) {
  var s = a.smooth, l = a.points;
  if (l && l.length >= 2) {
    if (s) {
      var u = smoothBezier(l, s, o, a.smoothConstraint);
      r.moveTo(l[0][0], l[0][1]);
      for (var c = l.length, d = 0; d < (o ? c : c - 1); d++) {
        var f = u[d * 2], p = u[d * 2 + 1], v = l[(d + 1) % c];
        r.bezierCurveTo(f[0], f[1], p[0], p[1], v[0], v[1]);
      }
    } else {
      r.moveTo(l[0][0], l[0][1]);
      for (var d = 1, g = l.length; d < g; d++)
        r.lineTo(l[d][0], l[d][1]);
    }
    o && r.closePath();
  }
}
var PolygonShape = /* @__PURE__ */ function() {
  function r() {
    this.points = null, this.smooth = 0, this.smoothConstraint = null;
  }
  return r;
}(), Polygon = function(r) {
  __extends(a, r);
  function a(o) {
    return r.call(this, o) || this;
  }
  return a.prototype.getDefaultShape = function() {
    return new PolygonShape();
  }, a.prototype.buildPath = function(o, s) {
    buildPath(o, s, !0);
  }, a;
}(Path);
Polygon.prototype.type = "polygon";
var PolylineShape = /* @__PURE__ */ function() {
  function r() {
    this.points = null, this.percent = 1, this.smooth = 0, this.smoothConstraint = null;
  }
  return r;
}(), Polyline$1 = function(r) {
  __extends(a, r);
  function a(o) {
    return r.call(this, o) || this;
  }
  return a.prototype.getDefaultStyle = function() {
    return {
      stroke: "#000",
      fill: null
    };
  }, a.prototype.getDefaultShape = function() {
    return new PolylineShape();
  }, a.prototype.buildPath = function(o, s) {
    buildPath(o, s, !1);
  }, a;
}(Path);
Polyline$1.prototype.type = "polyline";
var subPixelOptimizeOutputShape = {}, LineShape = /* @__PURE__ */ function() {
  function r() {
    this.x1 = 0, this.y1 = 0, this.x2 = 0, this.y2 = 0, this.percent = 1;
  }
  return r;
}(), Line$1 = function(r) {
  __extends(a, r);
  function a(o) {
    return r.call(this, o) || this;
  }
  return a.prototype.getDefaultStyle = function() {
    return {
      stroke: "#000",
      fill: null
    };
  }, a.prototype.getDefaultShape = function() {
    return new LineShape();
  }, a.prototype.buildPath = function(o, s) {
    var l, u, c, d;
    if (this.subPixelOptimize) {
      var f = subPixelOptimizeLine$1(subPixelOptimizeOutputShape, s, this.style);
      l = f.x1, u = f.y1, c = f.x2, d = f.y2;
    } else
      l = s.x1, u = s.y1, c = s.x2, d = s.y2;
    var p = s.percent;
    p !== 0 && (o.moveTo(l, u), p < 1 && (c = l * (1 - p) + c * p, d = u * (1 - p) + d * p), o.lineTo(c, d));
  }, a.prototype.pointAt = function(o) {
    var s = this.shape;
    return [
      s.x1 * (1 - o) + s.x2 * o,
      s.y1 * (1 - o) + s.y2 * o
    ];
  }, a;
}(Path);
Line$1.prototype.type = "line";
var out = [], BezierCurveShape = /* @__PURE__ */ function() {
  function r() {
    this.x1 = 0, this.y1 = 0, this.x2 = 0, this.y2 = 0, this.cpx1 = 0, this.cpy1 = 0, this.percent = 1;
  }
  return r;
}();
function someVectorAt(r, a, o) {
  var s = r.cpx2, l = r.cpy2;
  return s != null || l != null ? [
    (o ? cubicDerivativeAt : cubicAt)(r.x1, r.cpx1, r.cpx2, r.x2, a),
    (o ? cubicDerivativeAt : cubicAt)(r.y1, r.cpy1, r.cpy2, r.y2, a)
  ] : [
    (o ? quadraticDerivativeAt : quadraticAt$1)(r.x1, r.cpx1, r.x2, a),
    (o ? quadraticDerivativeAt : quadraticAt$1)(r.y1, r.cpy1, r.y2, a)
  ];
}
var BezierCurve = function(r) {
  __extends(a, r);
  function a(o) {
    return r.call(this, o) || this;
  }
  return a.prototype.getDefaultStyle = function() {
    return {
      stroke: "#000",
      fill: null
    };
  }, a.prototype.getDefaultShape = function() {
    return new BezierCurveShape();
  }, a.prototype.buildPath = function(o, s) {
    var l = s.x1, u = s.y1, c = s.x2, d = s.y2, f = s.cpx1, p = s.cpy1, v = s.cpx2, g = s.cpy2, y = s.percent;
    y !== 0 && (o.moveTo(l, u), v == null || g == null ? (y < 1 && (quadraticSubdivide(l, f, c, y, out), f = out[1], c = out[2], quadraticSubdivide(u, p, d, y, out), p = out[1], d = out[2]), o.quadraticCurveTo(f, p, c, d)) : (y < 1 && (cubicSubdivide(l, f, v, c, y, out), f = out[1], v = out[2], c = out[3], cubicSubdivide(u, p, g, d, y, out), p = out[1], g = out[2], d = out[3]), o.bezierCurveTo(f, p, v, g, c, d)));
  }, a.prototype.pointAt = function(o) {
    return someVectorAt(this.shape, o, !1);
  }, a.prototype.tangentAt = function(o) {
    var s = someVectorAt(this.shape, o, !0);
    return normalize$3(s, s);
  }, a;
}(Path);
BezierCurve.prototype.type = "bezier-curve";
var ArcShape = /* @__PURE__ */ function() {
  function r() {
    this.cx = 0, this.cy = 0, this.r = 0, this.startAngle = 0, this.endAngle = Math.PI * 2, this.clockwise = !0;
  }
  return r;
}(), Arc = function(r) {
  __extends(a, r);
  function a(o) {
    return r.call(this, o) || this;
  }
  return a.prototype.getDefaultStyle = function() {
    return {
      stroke: "#000",
      fill: null
    };
  }, a.prototype.getDefaultShape = function() {
    return new ArcShape();
  }, a.prototype.buildPath = function(o, s) {
    var l = s.cx, u = s.cy, c = Math.max(s.r, 0), d = s.startAngle, f = s.endAngle, p = s.clockwise, v = Math.cos(d), g = Math.sin(d);
    o.moveTo(v * c + l, g * c + u), o.arc(l, u, c, d, f, !p);
  }, a;
}(Path);
Arc.prototype.type = "arc";
var CompoundPath = function(r) {
  __extends(a, r);
  function a() {
    var o = r !== null && r.apply(this, arguments) || this;
    return o.type = "compound", o;
  }
  return a.prototype._updatePathDirty = function() {
    for (var o = this.shape.paths, s = this.shapeChanged(), l = 0; l < o.length; l++)
      s = s || o[l].shapeChanged();
    s && this.dirtyShape();
  }, a.prototype.beforeBrush = function() {
    this._updatePathDirty();
    for (var o = this.shape.paths || [], s = this.getGlobalScale(), l = 0; l < o.length; l++)
      o[l].path || o[l].createPathProxy(), o[l].path.setScale(s[0], s[1], o[l].segmentIgnoreThreshold);
  }, a.prototype.buildPath = function(o, s) {
    for (var l = s.paths || [], u = 0; u < l.length; u++)
      l[u].buildPath(o, l[u].shape, !0);
  }, a.prototype.afterBrush = function() {
    for (var o = this.shape.paths || [], s = 0; s < o.length; s++)
      o[s].pathUpdated();
  }, a.prototype.getBoundingRect = function() {
    return this._updatePathDirty.call(this), Path.prototype.getBoundingRect.call(this);
  }, a;
}(Path), Gradient = function() {
  function r(a) {
    this.colorStops = a || [];
  }
  return r.prototype.addColorStop = function(a, o) {
    this.colorStops.push({
      offset: a,
      color: o
    });
  }, r;
}(), LinearGradient = function(r) {
  __extends(a, r);
  function a(o, s, l, u, c, d) {
    var f = r.call(this, c) || this;
    return f.x = o ?? 0, f.y = s ?? 0, f.x2 = l ?? 1, f.y2 = u ?? 0, f.type = "linear", f.global = d || !1, f;
  }
  return a;
}(Gradient), RadialGradient = function(r) {
  __extends(a, r);
  function a(o, s, l, u, c) {
    var d = r.call(this, u) || this;
    return d.x = o ?? 0.5, d.y = s ?? 0.5, d.r = l ?? 0.5, d.type = "radial", d.global = c || !1, d;
  }
  return a;
}(Gradient), extent = [0, 0], extent2 = [0, 0], minTv = new Point(), maxTv = new Point(), OrientedBoundingRect = function() {
  function r(a, o) {
    this._corners = [], this._axes = [], this._origin = [0, 0];
    for (var s = 0; s < 4; s++)
      this._corners[s] = new Point();
    for (var s = 0; s < 2; s++)
      this._axes[s] = new Point();
    a && this.fromBoundingRect(a, o);
  }
  return r.prototype.fromBoundingRect = function(a, o) {
    var s = this._corners, l = this._axes, u = a.x, c = a.y, d = u + a.width, f = c + a.height;
    if (s[0].set(u, c), s[1].set(d, c), s[2].set(d, f), s[3].set(u, f), o)
      for (var p = 0; p < 4; p++)
        s[p].transform(o);
    Point.sub(l[0], s[1], s[0]), Point.sub(l[1], s[3], s[0]), l[0].normalize(), l[1].normalize();
    for (var p = 0; p < 2; p++)
      this._origin[p] = l[p].dot(s[0]);
  }, r.prototype.intersect = function(a, o) {
    var s = !0, l = !o;
    return minTv.set(1 / 0, 1 / 0), maxTv.set(0, 0), !this._intersectCheckOneSide(this, a, minTv, maxTv, l, 1) && (s = !1, l) || !this._intersectCheckOneSide(a, this, minTv, maxTv, l, -1) && (s = !1, l) || l || Point.copy(o, s ? minTv : maxTv), s;
  }, r.prototype._intersectCheckOneSide = function(a, o, s, l, u, c) {
    for (var d = !0, f = 0; f < 2; f++) {
      var p = this._axes[f];
      if (this._getProjMinMaxOnAxis(f, a._corners, extent), this._getProjMinMaxOnAxis(f, o._corners, extent2), extent[1] < extent2[0] || extent[0] > extent2[1]) {
        if (d = !1, u)
          return d;
        var v = Math.abs(extent2[0] - extent[1]), g = Math.abs(extent[0] - extent2[1]);
        Math.min(v, g) > l.len() && (v < g ? Point.scale(l, p, -v * c) : Point.scale(l, p, g * c));
      } else if (s) {
        var v = Math.abs(extent2[0] - extent[1]), g = Math.abs(extent[0] - extent2[1]);
        Math.min(v, g) < s.len() && (v < g ? Point.scale(s, p, v * c) : Point.scale(s, p, -g * c));
      }
    }
    return d;
  }, r.prototype._getProjMinMaxOnAxis = function(a, o, s) {
    for (var l = this._axes[a], u = this._origin, c = o[0].dot(l) + u[a], d = c, f = c, p = 1; p < o.length; p++) {
      var v = o[p].dot(l) + u[a];
      d = Math.min(v, d), f = Math.max(v, f);
    }
    s[0] = d, s[1] = f;
  }, r;
}(), m = [], IncrementalDisplayable = function(r) {
  __extends(a, r);
  function a() {
    var o = r !== null && r.apply(this, arguments) || this;
    return o.notClear = !0, o.incremental = !0, o._displayables = [], o._temporaryDisplayables = [], o._cursor = 0, o;
  }
  return a.prototype.traverse = function(o, s) {
    o.call(s, this);
  }, a.prototype.useStyle = function() {
    this.style = {};
  }, a.prototype.getCursor = function() {
    return this._cursor;
  }, a.prototype.innerAfterBrush = function() {
    this._cursor = this._displayables.length;
  }, a.prototype.clearDisplaybles = function() {
    this._displayables = [], this._temporaryDisplayables = [], this._cursor = 0, this.markRedraw(), this.notClear = !1;
  }, a.prototype.clearTemporalDisplayables = function() {
    this._temporaryDisplayables = [];
  }, a.prototype.addDisplayable = function(o, s) {
    s ? this._temporaryDisplayables.push(o) : this._displayables.push(o), this.markRedraw();
  }, a.prototype.addDisplayables = function(o, s) {
    s = s || !1;
    for (var l = 0; l < o.length; l++)
      this.addDisplayable(o[l], s);
  }, a.prototype.getDisplayables = function() {
    return this._displayables;
  }, a.prototype.getTemporalDisplayables = function() {
    return this._temporaryDisplayables;
  }, a.prototype.eachPendingDisplayable = function(o) {
    for (var s = this._cursor; s < this._displayables.length; s++)
      o && o(this._displayables[s]);
    for (var s = 0; s < this._temporaryDisplayables.length; s++)
      o && o(this._temporaryDisplayables[s]);
  }, a.prototype.update = function() {
    this.updateTransform();
    for (var o = this._cursor; o < this._displayables.length; o++) {
      var s = this._displayables[o];
      s.parent = this, s.update(), s.parent = null;
    }
    for (var o = 0; o < this._temporaryDisplayables.length; o++) {
      var s = this._temporaryDisplayables[o];
      s.parent = this, s.update(), s.parent = null;
    }
  }, a.prototype.getBoundingRect = function() {
    if (!this._rect) {
      for (var o = new BoundingRect(1 / 0, 1 / 0, -1 / 0, -1 / 0), s = 0; s < this._displayables.length; s++) {
        var l = this._displayables[s], u = l.getBoundingRect().clone();
        l.needLocalTransform() && u.applyTransform(l.getLocalTransform(m)), o.union(u);
      }
      this._rect = o;
    }
    return this._rect;
  }, a.prototype.contain = function(o, s) {
    var l = this.transformCoordToLocal(o, s), u = this.getBoundingRect();
    if (u.contain(l[0], l[1]))
      for (var c = 0; c < this._displayables.length; c++) {
        var d = this._displayables[c];
        if (d.contain(o, s))
          return !0;
      }
    return !1;
  }, a;
}(Displayable), transitionStore = makeInner();
function getAnimationConfig(r, a, o, s, l) {
  var u;
  if (a && a.ecModel) {
    var c = a.ecModel.getUpdatePayload();
    u = c && c.animation;
  }
  var d = a && a.isAnimationEnabled(), f = r === "update";
  if (d) {
    var p = void 0, v = void 0, g = void 0;
    s ? (p = retrieve2(s.duration, 200), v = retrieve2(s.easing, "cubicOut"), g = 0) : (p = a.getShallow(f ? "animationDurationUpdate" : "animationDuration"), v = a.getShallow(f ? "animationEasingUpdate" : "animationEasing"), g = a.getShallow(f ? "animationDelayUpdate" : "animationDelay")), u && (u.duration != null && (p = u.duration), u.easing != null && (v = u.easing), u.delay != null && (g = u.delay)), isFunction(g) && (g = g(o, l)), isFunction(p) && (p = p(o));
    var y = {
      duration: p || 0,
      delay: g,
      easing: v
    };
    return y;
  } else
    return null;
}
function animateOrSetProps(r, a, o, s, l, u, c) {
  var d = !1, f;
  isFunction(l) ? (c = u, u = l, l = null) : isObject$3(l) && (u = l.cb, c = l.during, d = l.isFrom, f = l.removeOpt, l = l.dataIndex);
  var p = r === "leave";
  p || a.stopAnimation("leave");
  var v = getAnimationConfig(r, s, l, p ? f || {} : null, s && s.getAnimationDelayParams ? s.getAnimationDelayParams(a, l) : null);
  if (v && v.duration > 0) {
    var g = v.duration, y = v.delay, _ = v.easing, S = {
      duration: g,
      delay: y || 0,
      easing: _,
      done: u,
      force: !!u || !!c,
      // Set to final state in update/init animation.
      // So the post processing based on the path shape can be done correctly.
      setToFinal: !p,
      scope: r,
      during: c
    };
    d ? a.animateFrom(o, S) : a.animateTo(o, S);
  } else
    a.stopAnimation(), !d && a.attr(o), c && c(1), u && u();
}
function updateProps$1(r, a, o, s, l, u) {
  animateOrSetProps("update", r, a, o, s, l, u);
}
function initProps(r, a, o, s, l, u) {
  animateOrSetProps("enter", r, a, o, s, l, u);
}
function isElementRemoved(r) {
  if (!r.__zr)
    return !0;
  for (var a = 0; a < r.animators.length; a++) {
    var o = r.animators[a];
    if (o.scope === "leave")
      return !0;
  }
  return !1;
}
function removeElement(r, a, o, s, l, u) {
  isElementRemoved(r) || animateOrSetProps("leave", r, a, o, s, l, u);
}
function fadeOutDisplayable(r, a, o, s) {
  r.removeTextContent(), r.removeTextGuideLine(), removeElement(r, {
    style: {
      opacity: 0
    }
  }, a, o, s);
}
function removeElementWithFadeOut(r, a, o) {
  function s() {
    r.parent && r.parent.remove(r);
  }
  r.isGroup ? r.traverse(function(l) {
    l.isGroup || fadeOutDisplayable(l, a, o, s);
  }) : fadeOutDisplayable(r, a, o, s);
}
function saveOldStyle(r) {
  transitionStore(r).oldStyle = r.style;
}
function getOldStyle(r) {
  return transitionStore(r).oldStyle;
}
var mathMax$6 = Math.max, mathMin$6 = Math.min, _customShapeMap = {};
function extendShape(r) {
  return Path.extend(r);
}
var extendPathFromString = extendFromString;
function extendPath(r, a) {
  return extendPathFromString(r, a);
}
function registerShape(r, a) {
  _customShapeMap[r] = a;
}
function getShapeClass(r) {
  if (_customShapeMap.hasOwnProperty(r))
    return _customShapeMap[r];
}
function makePath(r, a, o, s) {
  var l = createFromString(r, a);
  return o && (s === "center" && (o = centerGraphic(o, l.getBoundingRect())), resizePath(l, o)), l;
}
function makeImage(r, a, o) {
  var s = new ZRImage({
    style: {
      image: r,
      x: a.x,
      y: a.y,
      width: a.width,
      height: a.height
    },
    onload: function(l) {
      if (o === "center") {
        var u = {
          width: l.width,
          height: l.height
        };
        s.setStyle(centerGraphic(a, u));
      }
    }
  });
  return s;
}
function centerGraphic(r, a) {
  var o = a.width / a.height, s = r.height * o, l;
  s <= r.width ? l = r.height : (s = r.width, l = s / o);
  var u = r.x + r.width / 2, c = r.y + r.height / 2;
  return {
    x: u - s / 2,
    y: c - l / 2,
    width: s,
    height: l
  };
}
var mergePath = mergePath$1;
function resizePath(r, a) {
  if (r.applyTransform) {
    var o = r.getBoundingRect(), s = o.calculateTransform(a);
    r.applyTransform(s);
  }
}
function subPixelOptimizeLine(r, a) {
  return subPixelOptimizeLine$1(r, r, {
    lineWidth: a
  }), r;
}
function subPixelOptimizeRect(r) {
  return subPixelOptimizeRect$1(r.shape, r.shape, r.style), r;
}
var subPixelOptimize = subPixelOptimize$1;
function getTransform$1(r, a) {
  for (var o = identity([]); r && r !== a; )
    mul(o, r.getLocalTransform(), o), r = r.parent;
  return o;
}
function applyTransform(r, a, o) {
  return a && !isArrayLike(a) && (a = Transformable.getLocalTransform(a)), o && (a = invert([], a)), applyTransform$1([], r, a);
}
function transformDirection(r, a, o) {
  var s = a[4] === 0 || a[5] === 0 || a[0] === 0 ? 1 : Math.abs(2 * a[4] / a[0]), l = a[4] === 0 || a[5] === 0 || a[2] === 0 ? 1 : Math.abs(2 * a[4] / a[2]), u = [r === "left" ? -s : r === "right" ? s : 0, r === "top" ? -l : r === "bottom" ? l : 0];
  return u = applyTransform(u, a, o), Math.abs(u[0]) > Math.abs(u[1]) ? u[0] > 0 ? "right" : "left" : u[1] > 0 ? "bottom" : "top";
}
function isNotGroup(r) {
  return !r.isGroup;
}
function isPath$1(r) {
  return r.shape != null;
}
function groupTransition(r, a, o) {
  if (!r || !a)
    return;
  function s(c) {
    var d = {};
    return c.traverse(function(f) {
      isNotGroup(f) && f.anid && (d[f.anid] = f);
    }), d;
  }
  function l(c) {
    var d = {
      x: c.x,
      y: c.y,
      rotation: c.rotation
    };
    return isPath$1(c) && (d.shape = extend({}, c.shape)), d;
  }
  var u = s(r);
  a.traverse(function(c) {
    if (isNotGroup(c) && c.anid) {
      var d = u[c.anid];
      if (d) {
        var f = l(c);
        c.attr(l(d)), updateProps$1(c, f, o, getECData(c).dataIndex);
      }
    }
  });
}
function clipPointsByRect(r, a) {
  return map$1(r, function(o) {
    var s = o[0];
    s = mathMax$6(s, a.x), s = mathMin$6(s, a.x + a.width);
    var l = o[1];
    return l = mathMax$6(l, a.y), l = mathMin$6(l, a.y + a.height), [s, l];
  });
}
function clipRectByRect(r, a) {
  var o = mathMax$6(r.x, a.x), s = mathMin$6(r.x + r.width, a.x + a.width), l = mathMax$6(r.y, a.y), u = mathMin$6(r.y + r.height, a.y + a.height);
  if (s >= o && u >= l)
    return {
      x: o,
      y: l,
      width: s - o,
      height: u - l
    };
}
function createIcon(r, a, o) {
  var s = extend({
    rectHover: !0
  }, a), l = s.style = {
    strokeNoScale: !0
  };
  if (o = o || {
    x: -1,
    y: -1,
    width: 2,
    height: 2
  }, r)
    return r.indexOf("image://") === 0 ? (l.image = r.slice(8), defaults(l, o), new ZRImage(s)) : makePath(r.replace("path://", ""), s, o, "center");
}
function linePolygonIntersect(r, a, o, s, l) {
  for (var u = 0, c = l[l.length - 1]; u < l.length; u++) {
    var d = l[u];
    if (lineLineIntersect$1(r, a, o, s, d[0], d[1], c[0], c[1]))
      return !0;
    c = d;
  }
}
function lineLineIntersect$1(r, a, o, s, l, u, c, d) {
  var f = o - r, p = s - a, v = c - l, g = d - u, y = crossProduct2d$1(v, g, f, p);
  if (nearZero(y))
    return !1;
  var _ = r - l, S = a - u, C = crossProduct2d$1(_, S, f, p) / y;
  if (C < 0 || C > 1)
    return !1;
  var b = crossProduct2d$1(_, S, v, g) / y;
  return !(b < 0 || b > 1);
}
function crossProduct2d$1(r, a, o, s) {
  return r * s - o * a;
}
function nearZero(r) {
  return r <= 1e-6 && r >= -1e-6;
}
function setTooltipConfig(r) {
  var a = r.itemTooltipOption, o = r.componentModel, s = r.itemName, l = isString(a) ? {
    formatter: a
  } : a, u = o.mainType, c = o.componentIndex, d = {
    componentType: u,
    name: s,
    $vars: ["name"]
  };
  d[u + "Index"] = c;
  var f = r.formatterParamsExtra;
  f && each$f(keys(f), function(v) {
    hasOwn(d, v) || (d[v] = f[v], d.$vars.push(v));
  });
  var p = getECData(r.el);
  p.componentMainType = u, p.componentIndex = c, p.tooltipConfig = {
    name: s,
    option: defaults({
      content: s,
      encodeHTMLContent: !0,
      formatterParams: d
    }, l)
  };
}
function traverseElement(r, a) {
  var o;
  r.isGroup && (o = a(r)), o || r.traverse(a);
}
function traverseElements(r, a) {
  if (r)
    if (isArray$1(r))
      for (var o = 0; o < r.length; o++)
        traverseElement(r[o], a);
    else
      traverseElement(r, a);
}
registerShape("circle", Circle);
registerShape("ellipse", Ellipse);
registerShape("sector", Sector);
registerShape("ring", Ring);
registerShape("polygon", Polygon);
registerShape("polyline", Polyline$1);
registerShape("rect", Rect$2);
registerShape("line", Line$1);
registerShape("bezierCurve", BezierCurve);
registerShape("arc", Arc);
const graphic$1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Arc,
  BezierCurve,
  BoundingRect,
  Circle,
  CompoundPath,
  Ellipse,
  Group: Group$3,
  Image: ZRImage,
  IncrementalDisplayable,
  Line: Line$1,
  LinearGradient,
  OrientedBoundingRect,
  Path,
  Point,
  Polygon,
  Polyline: Polyline$1,
  RadialGradient,
  Rect: Rect$2,
  Ring,
  Sector,
  Text: ZRText,
  applyTransform,
  clipPointsByRect,
  clipRectByRect,
  createIcon,
  extendPath,
  extendShape,
  getShapeClass,
  getTransform: getTransform$1,
  groupTransition,
  initProps,
  isElementRemoved,
  lineLineIntersect: lineLineIntersect$1,
  linePolygonIntersect,
  makeImage,
  makePath,
  mergePath,
  registerShape,
  removeElement,
  removeElementWithFadeOut,
  resizePath,
  setTooltipConfig,
  subPixelOptimize,
  subPixelOptimizeLine,
  subPixelOptimizeRect,
  transformDirection,
  traverseElements,
  updateProps: updateProps$1
}, Symbol.toStringTag, { value: "Module" }));
var EMPTY_OBJ = {};
function setLabelText(r, a) {
  for (var o = 0; o < SPECIAL_STATES.length; o++) {
    var s = SPECIAL_STATES[o], l = a[s], u = r.ensureState(s);
    u.style = u.style || {}, u.style.text = l;
  }
  var c = r.currentStates.slice();
  r.clearStates(!0), r.setStyle({
    text: a.normal
  }), r.useStates(c, !0);
}
function getLabelText(r, a, o) {
  var s = r.labelFetcher, l = r.labelDataIndex, u = r.labelDimIndex, c = a.normal, d;
  s && (d = s.getFormattedLabel(l, "normal", null, u, c && c.get("formatter"), o != null ? {
    interpolatedValue: o
  } : null)), d == null && (d = isFunction(r.defaultText) ? r.defaultText(l, r, o) : r.defaultText);
  for (var f = {
    normal: d
  }, p = 0; p < SPECIAL_STATES.length; p++) {
    var v = SPECIAL_STATES[p], g = a[v];
    f[v] = retrieve2(s ? s.getFormattedLabel(l, v, null, u, g && g.get("formatter")) : null, d);
  }
  return f;
}
function setLabelStyle(r, a, o, s) {
  o = o || EMPTY_OBJ;
  for (var l = r instanceof ZRText, u = !1, c = 0; c < DISPLAY_STATES.length; c++) {
    var d = a[DISPLAY_STATES[c]];
    if (d && d.getShallow("show")) {
      u = !0;
      break;
    }
  }
  var f = l ? r : r.getTextContent();
  if (u) {
    l || (f || (f = new ZRText(), r.setTextContent(f)), r.stateProxy && (f.stateProxy = r.stateProxy));
    var p = getLabelText(o, a), v = a.normal, g = !!v.getShallow("show"), y = createTextStyle$1(v, s && s.normal, o, !1, !l);
    y.text = p.normal, l || r.setTextConfig(createTextConfig(v, o, !1));
    for (var c = 0; c < SPECIAL_STATES.length; c++) {
      var _ = SPECIAL_STATES[c], d = a[_];
      if (d) {
        var S = f.ensureState(_), C = !!retrieve2(d.getShallow("show"), g);
        if (C !== g && (S.ignore = !C), S.style = createTextStyle$1(d, s && s[_], o, !0, !l), S.style.text = p[_], !l) {
          var b = r.ensureState(_);
          b.textConfig = createTextConfig(d, o, !0);
        }
      }
    }
    f.silent = !!v.getShallow("silent"), f.style.x != null && (y.x = f.style.x), f.style.y != null && (y.y = f.style.y), f.ignore = !g, f.useStyle(y), f.dirty(), o.enableTextSetter && (labelInner(f).setLabelText = function(T) {
      var E = getLabelText(o, a, T);
      setLabelText(f, E);
    });
  } else f && (f.ignore = !0);
  r.dirty();
}
function getLabelStatesModels(r, a) {
  a = a || "label";
  for (var o = {
    normal: r.getModel(a)
  }, s = 0; s < SPECIAL_STATES.length; s++) {
    var l = SPECIAL_STATES[s];
    o[l] = r.getModel([l, a]);
  }
  return o;
}
function createTextStyle$1(r, a, o, s, l) {
  var u = {};
  return setTextStyleCommon(u, r, o, s, l), a && extend(u, a), u;
}
function createTextConfig(r, a, o) {
  a = a || {};
  var s = {}, l, u = r.getShallow("rotate"), c = retrieve2(r.getShallow("distance"), o ? null : 5), d = r.getShallow("offset");
  return l = r.getShallow("position") || (o ? null : "inside"), l === "outside" && (l = a.defaultOutsidePosition || "top"), l != null && (s.position = l), d != null && (s.offset = d), u != null && (u *= Math.PI / 180, s.rotation = u), c != null && (s.distance = c), s.outsideFill = r.get("color") === "inherit" ? a.inheritColor || null : "auto", s;
}
function setTextStyleCommon(r, a, o, s, l) {
  o = o || EMPTY_OBJ;
  var u = a.ecModel, c = u && u.option.textStyle, d = getRichItemNames(a), f;
  if (d) {
    f = {};
    for (var p in d)
      if (d.hasOwnProperty(p)) {
        var v = a.getModel(["rich", p]);
        setTokenTextStyle(f[p] = {}, v, c, o, s, l, !1, !0);
      }
  }
  f && (r.rich = f);
  var g = a.get("overflow");
  g && (r.overflow = g);
  var y = a.get("minMargin");
  y != null && (r.margin = y), setTokenTextStyle(r, a, c, o, s, l, !0, !1);
}
function getRichItemNames(r) {
  for (var a; r && r !== r.ecModel; ) {
    var o = (r.option || EMPTY_OBJ).rich;
    if (o) {
      a = a || {};
      for (var s = keys(o), l = 0; l < s.length; l++) {
        var u = s[l];
        a[u] = 1;
      }
    }
    r = r.parentModel;
  }
  return a;
}
var TEXT_PROPS_WITH_GLOBAL = ["fontStyle", "fontWeight", "fontSize", "fontFamily", "textShadowColor", "textShadowBlur", "textShadowOffsetX", "textShadowOffsetY"], TEXT_PROPS_SELF = ["align", "lineHeight", "width", "height", "tag", "verticalAlign", "ellipsis"], TEXT_PROPS_BOX = ["padding", "borderWidth", "borderRadius", "borderDashOffset", "backgroundColor", "borderColor", "shadowColor", "shadowBlur", "shadowOffsetX", "shadowOffsetY"];
function setTokenTextStyle(r, a, o, s, l, u, c, d) {
  o = !l && o || EMPTY_OBJ;
  var f = s && s.inheritColor, p = a.getShallow("color"), v = a.getShallow("textBorderColor"), g = retrieve2(a.getShallow("opacity"), o.opacity);
  (p === "inherit" || p === "auto") && (process.env.NODE_ENV !== "production" && p === "auto" && deprecateReplaceLog("color: 'auto'", "color: 'inherit'"), f ? p = f : p = null), (v === "inherit" || v === "auto") && (process.env.NODE_ENV !== "production" && v === "auto" && deprecateReplaceLog("color: 'auto'", "color: 'inherit'"), f ? v = f : v = null), u || (p = p || o.color, v = v || o.textBorderColor), p != null && (r.fill = p), v != null && (r.stroke = v);
  var y = retrieve2(a.getShallow("textBorderWidth"), o.textBorderWidth);
  y != null && (r.lineWidth = y);
  var _ = retrieve2(a.getShallow("textBorderType"), o.textBorderType);
  _ != null && (r.lineDash = _);
  var S = retrieve2(a.getShallow("textBorderDashOffset"), o.textBorderDashOffset);
  S != null && (r.lineDashOffset = S), !l && g == null && !d && (g = s && s.defaultOpacity), g != null && (r.opacity = g), !l && !u && r.fill == null && s.inheritColor && (r.fill = s.inheritColor);
  for (var C = 0; C < TEXT_PROPS_WITH_GLOBAL.length; C++) {
    var b = TEXT_PROPS_WITH_GLOBAL[C], T = retrieve2(a.getShallow(b), o[b]);
    T != null && (r[b] = T);
  }
  for (var C = 0; C < TEXT_PROPS_SELF.length; C++) {
    var b = TEXT_PROPS_SELF[C], T = a.getShallow(b);
    T != null && (r[b] = T);
  }
  if (r.verticalAlign == null) {
    var E = a.getShallow("baseline");
    E != null && (r.verticalAlign = E);
  }
  if (!c || !s.disableBox) {
    for (var C = 0; C < TEXT_PROPS_BOX.length; C++) {
      var b = TEXT_PROPS_BOX[C], T = a.getShallow(b);
      T != null && (r[b] = T);
    }
    var x = a.getShallow("borderType");
    x != null && (r.borderDash = x), (r.backgroundColor === "auto" || r.backgroundColor === "inherit") && f && (process.env.NODE_ENV !== "production" && r.backgroundColor === "auto" && deprecateReplaceLog("backgroundColor: 'auto'", "backgroundColor: 'inherit'"), r.backgroundColor = f), (r.borderColor === "auto" || r.borderColor === "inherit") && f && (process.env.NODE_ENV !== "production" && r.borderColor === "auto" && deprecateReplaceLog("borderColor: 'auto'", "borderColor: 'inherit'"), r.borderColor = f);
  }
}
function getFont(r, a) {
  var o = a && a.getModel("textStyle");
  return trim$1([
    // FIXME in node-canvas fontWeight is before fontStyle
    r.fontStyle || o && o.getShallow("fontStyle") || "",
    r.fontWeight || o && o.getShallow("fontWeight") || "",
    (r.fontSize || o && o.getShallow("fontSize") || 12) + "px",
    r.fontFamily || o && o.getShallow("fontFamily") || "sans-serif"
  ].join(" "));
}
var labelInner = makeInner();
function setLabelValueAnimation(r, a, o, s) {
  if (r) {
    var l = labelInner(r);
    l.prevValue = l.value, l.value = o;
    var u = a.normal;
    l.valueAnimation = u.get("valueAnimation"), l.valueAnimation && (l.precision = u.get("precision"), l.defaultInterpolatedText = s, l.statesModels = a);
  }
}
function animateLabelValue(r, a, o, s, l) {
  var u = labelInner(r);
  if (!u.valueAnimation || u.prevValue === u.value)
    return;
  var c = u.defaultInterpolatedText, d = retrieve2(u.interpolatedValue, u.prevValue), f = u.value;
  function p(v) {
    var g = interpolateRawValues(o, u.precision, d, f, v);
    u.interpolatedValue = v === 1 ? null : g;
    var y = getLabelText({
      labelDataIndex: a,
      labelFetcher: l,
      defaultText: c ? c(g) : g + ""
    }, u.statesModels, g);
    setLabelText(r, y);
  }
  r.percent = 0, (u.prevValue == null ? initProps : updateProps$1)(r, {
    // percent is used to prevent animation from being aborted #15916
    percent: 1
  }, s, a, null, p);
}
var PATH_COLOR = ["textStyle", "color"], textStyleParams = ["fontStyle", "fontWeight", "fontSize", "fontFamily", "padding", "lineHeight", "rich", "width", "height", "overflow"], tmpText = new ZRText(), TextStyleMixin = (
  /** @class */
  function() {
    function r() {
    }
    return r.prototype.getTextColor = function(a) {
      var o = this.ecModel;
      return this.getShallow("color") || (!a && o ? o.get(PATH_COLOR) : null);
    }, r.prototype.getFont = function() {
      return getFont({
        fontStyle: this.getShallow("fontStyle"),
        fontWeight: this.getShallow("fontWeight"),
        fontSize: this.getShallow("fontSize"),
        fontFamily: this.getShallow("fontFamily")
      }, this.ecModel);
    }, r.prototype.getTextRect = function(a) {
      for (var o = {
        text: a,
        verticalAlign: this.getShallow("verticalAlign") || this.getShallow("baseline")
      }, s = 0; s < textStyleParams.length; s++)
        o[textStyleParams[s]] = this.getShallow(textStyleParams[s]);
      return tmpText.useStyle(o), tmpText.update(), tmpText.getBoundingRect();
    }, r;
  }()
), LINE_STYLE_KEY_MAP = [
  ["lineWidth", "width"],
  ["stroke", "color"],
  ["opacity"],
  ["shadowBlur"],
  ["shadowOffsetX"],
  ["shadowOffsetY"],
  ["shadowColor"],
  ["lineDash", "type"],
  ["lineDashOffset", "dashOffset"],
  ["lineCap", "cap"],
  ["lineJoin", "join"],
  ["miterLimit"]
  // Option decal is in `DecalObject` but style.decal is in `PatternObject`.
  // So do not transfer decal directly.
], getLineStyle = makeStyleMapper(LINE_STYLE_KEY_MAP), LineStyleMixin = (
  /** @class */
  function() {
    function r() {
    }
    return r.prototype.getLineStyle = function(a) {
      return getLineStyle(this, a);
    }, r;
  }()
), ITEM_STYLE_KEY_MAP = [
  ["fill", "color"],
  ["stroke", "borderColor"],
  ["lineWidth", "borderWidth"],
  ["opacity"],
  ["shadowBlur"],
  ["shadowOffsetX"],
  ["shadowOffsetY"],
  ["shadowColor"],
  ["lineDash", "borderType"],
  ["lineDashOffset", "borderDashOffset"],
  ["lineCap", "borderCap"],
  ["lineJoin", "borderJoin"],
  ["miterLimit", "borderMiterLimit"]
  // Option decal is in `DecalObject` but style.decal is in `PatternObject`.
  // So do not transfer decal directly.
], getItemStyle = makeStyleMapper(ITEM_STYLE_KEY_MAP), ItemStyleMixin = (
  /** @class */
  function() {
    function r() {
    }
    return r.prototype.getItemStyle = function(a, o) {
      return getItemStyle(this, a, o);
    }, r;
  }()
), Model = (
  /** @class */
  function() {
    function r(a, o, s) {
      this.parentModel = o, this.ecModel = s, this.option = a;
    }
    return r.prototype.init = function(a, o, s) {
    }, r.prototype.mergeOption = function(a, o) {
      merge(this.option, a, !0);
    }, r.prototype.get = function(a, o) {
      return a == null ? this.option : this._doGet(this.parsePath(a), !o && this.parentModel);
    }, r.prototype.getShallow = function(a, o) {
      var s = this.option, l = s == null ? s : s[a];
      if (l == null && !o) {
        var u = this.parentModel;
        u && (l = u.getShallow(a));
      }
      return l;
    }, r.prototype.getModel = function(a, o) {
      var s = a != null, l = s ? this.parsePath(a) : null, u = s ? this._doGet(l) : this.option;
      return o = o || this.parentModel && this.parentModel.getModel(this.resolveParentPath(l)), new r(u, o, this.ecModel);
    }, r.prototype.isEmpty = function() {
      return this.option == null;
    }, r.prototype.restoreData = function() {
    }, r.prototype.clone = function() {
      var a = this.constructor;
      return new a(clone$4(this.option));
    }, r.prototype.parsePath = function(a) {
      return typeof a == "string" ? a.split(".") : a;
    }, r.prototype.resolveParentPath = function(a) {
      return a;
    }, r.prototype.isAnimationEnabled = function() {
      if (!env.node && this.option) {
        if (this.option.animation != null)
          return !!this.option.animation;
        if (this.parentModel)
          return this.parentModel.isAnimationEnabled();
      }
    }, r.prototype._doGet = function(a, o) {
      var s = this.option;
      if (!a)
        return s;
      for (var l = 0; l < a.length && !(a[l] && (s = s && typeof s == "object" ? s[a[l]] : null, s == null)); l++)
        ;
      return s == null && o && (s = o._doGet(this.resolveParentPath(a), o.parentModel)), s;
    }, r;
  }()
);
enableClassExtend(Model);
enableClassCheck(Model);
mixin(Model, LineStyleMixin);
mixin(Model, ItemStyleMixin);
mixin(Model, AreaStyleMixin);
mixin(Model, TextStyleMixin);
var base = Math.round(Math.random() * 10);
function getUID(r) {
  return [r || "", base++].join("_");
}
function enableSubTypeDefaulter(r) {
  var a = {};
  r.registerSubTypeDefaulter = function(o, s) {
    var l = parseClassType(o);
    a[l.main] = s;
  }, r.determineSubType = function(o, s) {
    var l = s.type;
    if (!l) {
      var u = parseClassType(o).main;
      r.hasSubTypes(o) && a[u] && (l = a[u](s));
    }
    return l;
  };
}
function enableTopologicalTravel(r, a) {
  r.topologicalTravel = function(u, c, d, f) {
    if (!u.length)
      return;
    var p = o(c), v = p.graph, g = p.noEntryList, y = {};
    for (each$f(u, function(E) {
      y[E] = !0;
    }); g.length; ) {
      var _ = g.pop(), S = v[_], C = !!y[_];
      C && (d.call(f, _, S.originalDeps.slice()), delete y[_]), each$f(S.successor, C ? T : b);
    }
    each$f(y, function() {
      var E = "";
      throw process.env.NODE_ENV !== "production" && (E = makePrintable("Circular dependency may exists: ", y, u, c)), new Error(E);
    });
    function b(E) {
      v[E].entryCount--, v[E].entryCount === 0 && g.push(E);
    }
    function T(E) {
      y[E] = !0, b(E);
    }
  };
  function o(u) {
    var c = {}, d = [];
    return each$f(u, function(f) {
      var p = s(c, f), v = p.originalDeps = a(f), g = l(v, u);
      p.entryCount = g.length, p.entryCount === 0 && d.push(f), each$f(g, function(y) {
        indexOf(p.predecessor, y) < 0 && p.predecessor.push(y);
        var _ = s(c, y);
        indexOf(_.successor, y) < 0 && _.successor.push(f);
      });
    }), {
      graph: c,
      noEntryList: d
    };
  }
  function s(u, c) {
    return u[c] || (u[c] = {
      predecessor: [],
      successor: []
    }), u[c];
  }
  function l(u, c) {
    var d = [];
    return each$f(u, function(f) {
      indexOf(c, f) >= 0 && d.push(f);
    }), d;
  }
}
function inheritDefaultOption(r, a) {
  return merge(merge({}, r, !0), a, !0);
}
const langEN = {
  time: {
    month: ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"],
    monthAbbr: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
    dayOfWeek: ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"],
    dayOfWeekAbbr: ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]
  },
  legend: {
    selector: {
      all: "All",
      inverse: "Inv"
    }
  },
  toolbox: {
    brush: {
      title: {
        rect: "Box Select",
        polygon: "Lasso Select",
        lineX: "Horizontally Select",
        lineY: "Vertically Select",
        keep: "Keep Selections",
        clear: "Clear Selections"
      }
    },
    dataView: {
      title: "Data View",
      lang: ["Data View", "Close", "Refresh"]
    },
    dataZoom: {
      title: {
        zoom: "Zoom",
        back: "Zoom Reset"
      }
    },
    magicType: {
      title: {
        line: "Switch to Line Chart",
        bar: "Switch to Bar Chart",
        stack: "Stack",
        tiled: "Tile"
      }
    },
    restore: {
      title: "Restore"
    },
    saveAsImage: {
      title: "Save as Image",
      lang: ["Right Click to Save Image"]
    }
  },
  series: {
    typeNames: {
      pie: "Pie chart",
      bar: "Bar chart",
      line: "Line chart",
      scatter: "Scatter plot",
      effectScatter: "Ripple scatter plot",
      radar: "Radar chart",
      tree: "Tree",
      treemap: "Treemap",
      boxplot: "Boxplot",
      candlestick: "Candlestick",
      k: "K line chart",
      heatmap: "Heat map",
      map: "Map",
      parallel: "Parallel coordinate map",
      lines: "Line graph",
      graph: "Relationship graph",
      sankey: "Sankey diagram",
      funnel: "Funnel chart",
      gauge: "Gauge",
      pictorialBar: "Pictorial bar",
      themeRiver: "Theme River Map",
      sunburst: "Sunburst",
      custom: "Custom chart",
      chart: "Chart"
    }
  },
  aria: {
    general: {
      withTitle: 'This is a chart about "{title}"',
      withoutTitle: "This is a chart"
    },
    series: {
      single: {
        prefix: "",
        withName: " with type {seriesType} named {seriesName}.",
        withoutName: " with type {seriesType}."
      },
      multiple: {
        prefix: ". It consists of {seriesCount} series count.",
        withName: " The {seriesId} series is a {seriesType} representing {seriesName}.",
        withoutName: " The {seriesId} series is a {seriesType}.",
        separator: {
          middle: "",
          end: ""
        }
      }
    },
    data: {
      allData: "The data is as follows: ",
      partialData: "The first {displayCnt} items are: ",
      withName: "the data for {name} is {value}",
      withoutName: "{value}",
      separator: {
        middle: ", ",
        end: ". "
      }
    }
  }
}, langZH = {
  time: {
    month: ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"],
    monthAbbr: ["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"],
    dayOfWeek: ["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"],
    dayOfWeekAbbr: ["日", "一", "二", "三", "四", "五", "六"]
  },
  legend: {
    selector: {
      all: "全选",
      inverse: "反选"
    }
  },
  toolbox: {
    brush: {
      title: {
        rect: "矩形选择",
        polygon: "圈选",
        lineX: "横向选择",
        lineY: "纵向选择",
        keep: "保持选择",
        clear: "清除选择"
      }
    },
    dataView: {
      title: "数据视图",
      lang: ["数据视图", "关闭", "刷新"]
    },
    dataZoom: {
      title: {
        zoom: "区域缩放",
        back: "区域缩放还原"
      }
    },
    magicType: {
      title: {
        line: "切换为折线图",
        bar: "切换为柱状图",
        stack: "切换为堆叠",
        tiled: "切换为平铺"
      }
    },
    restore: {
      title: "还原"
    },
    saveAsImage: {
      title: "保存为图片",
      lang: ["右键另存为图片"]
    }
  },
  series: {
    typeNames: {
      pie: "饼图",
      bar: "柱状图",
      line: "折线图",
      scatter: "散点图",
      effectScatter: "涟漪散点图",
      radar: "雷达图",
      tree: "树图",
      treemap: "矩形树图",
      boxplot: "箱型图",
      candlestick: "K线图",
      k: "K线图",
      heatmap: "热力图",
      map: "地图",
      parallel: "平行坐标图",
      lines: "线图",
      graph: "关系图",
      sankey: "桑基图",
      funnel: "漏斗图",
      gauge: "仪表盘图",
      pictorialBar: "象形柱图",
      themeRiver: "主题河流图",
      sunburst: "旭日图",
      custom: "自定义图表",
      chart: "图表"
    }
  },
  aria: {
    general: {
      withTitle: "这是一个关于“{title}”的图表。",
      withoutTitle: "这是一个图表，"
    },
    series: {
      single: {
        prefix: "",
        withName: "图表类型是{seriesType}，表示{seriesName}。",
        withoutName: "图表类型是{seriesType}。"
      },
      multiple: {
        prefix: "它由{seriesCount}个图表系列组成。",
        withName: "第{seriesId}个系列是一个表示{seriesName}的{seriesType}，",
        withoutName: "第{seriesId}个系列是一个{seriesType}，",
        separator: {
          middle: "；",
          end: "。"
        }
      }
    },
    data: {
      allData: "其数据是——",
      partialData: "其中，前{displayCnt}项是——",
      withName: "{name}的数据是{value}",
      withoutName: "{value}",
      separator: {
        middle: "，",
        end: ""
      }
    }
  }
};
var LOCALE_ZH = "ZH", LOCALE_EN = "EN", DEFAULT_LOCALE = LOCALE_EN, localeStorage = {}, localeModels = {}, SYSTEM_LANG = env.domSupported ? function() {
  var r = (
    /* eslint-disable-next-line */
    (document.documentElement.lang || navigator.language || navigator.browserLanguage || DEFAULT_LOCALE).toUpperCase()
  );
  return r.indexOf(LOCALE_ZH) > -1 ? LOCALE_ZH : DEFAULT_LOCALE;
}() : DEFAULT_LOCALE;
function registerLocale(r, a) {
  r = r.toUpperCase(), localeModels[r] = new Model(a), localeStorage[r] = a;
}
function createLocaleObject(r) {
  if (isString(r)) {
    var a = localeStorage[r.toUpperCase()] || {};
    return r === LOCALE_ZH || r === LOCALE_EN ? clone$4(a) : merge(clone$4(a), clone$4(localeStorage[DEFAULT_LOCALE]), !1);
  } else
    return merge(clone$4(r), clone$4(localeStorage[DEFAULT_LOCALE]), !1);
}
function getLocaleModel(r) {
  return localeModels[r];
}
function getDefaultLocaleModel() {
  return localeModels[DEFAULT_LOCALE];
}
registerLocale(LOCALE_EN, langEN);
registerLocale(LOCALE_ZH, langZH);
var ONE_SECOND = 1e3, ONE_MINUTE = ONE_SECOND * 60, ONE_HOUR = ONE_MINUTE * 60, ONE_DAY = ONE_HOUR * 24, ONE_YEAR = ONE_DAY * 365, defaultLeveledFormatter = {
  year: "{yyyy}",
  month: "{MMM}",
  day: "{d}",
  hour: "{HH}:{mm}",
  minute: "{HH}:{mm}",
  second: "{HH}:{mm}:{ss}",
  millisecond: "{HH}:{mm}:{ss} {SSS}",
  none: "{yyyy}-{MM}-{dd} {HH}:{mm}:{ss} {SSS}"
}, fullDayFormatter = "{yyyy}-{MM}-{dd}", fullLeveledFormatter = {
  year: "{yyyy}",
  month: "{yyyy}-{MM}",
  day: fullDayFormatter,
  hour: fullDayFormatter + " " + defaultLeveledFormatter.hour,
  minute: fullDayFormatter + " " + defaultLeveledFormatter.minute,
  second: fullDayFormatter + " " + defaultLeveledFormatter.second,
  millisecond: defaultLeveledFormatter.none
}, primaryTimeUnits = ["year", "month", "day", "hour", "minute", "second", "millisecond"], timeUnits = ["year", "half-year", "quarter", "month", "week", "half-week", "day", "half-day", "quarter-day", "hour", "minute", "second", "millisecond"];
function pad(r, a) {
  return r += "", "0000".substr(0, a - r.length) + r;
}
function getPrimaryTimeUnit(r) {
  switch (r) {
    case "half-year":
    case "quarter":
      return "month";
    case "week":
    case "half-week":
      return "day";
    case "half-day":
    case "quarter-day":
      return "hour";
    default:
      return r;
  }
}
function isPrimaryTimeUnit(r) {
  return r === getPrimaryTimeUnit(r);
}
function getDefaultFormatPrecisionOfInterval(r) {
  switch (r) {
    case "year":
    case "month":
      return "day";
    case "millisecond":
      return "millisecond";
    default:
      return "second";
  }
}
function format$1(r, a, o, s) {
  var l = parseDate(r), u = l[fullYearGetterName(o)](), c = l[monthGetterName(o)]() + 1, d = Math.floor((c - 1) / 3) + 1, f = l[dateGetterName(o)](), p = l["get" + (o ? "UTC" : "") + "Day"](), v = l[hoursGetterName(o)](), g = (v - 1) % 12 + 1, y = l[minutesGetterName(o)](), _ = l[secondsGetterName(o)](), S = l[millisecondsGetterName(o)](), C = v >= 12 ? "pm" : "am", b = C.toUpperCase(), T = s instanceof Model ? s : getLocaleModel(s || SYSTEM_LANG) || getDefaultLocaleModel(), E = T.getModel("time"), x = E.get("month"), $ = E.get("monthAbbr"), A = E.get("dayOfWeek"), N = E.get("dayOfWeekAbbr");
  return (a || "").replace(/{a}/g, C + "").replace(/{A}/g, b + "").replace(/{yyyy}/g, u + "").replace(/{yy}/g, pad(u % 100 + "", 2)).replace(/{Q}/g, d + "").replace(/{MMMM}/g, x[c - 1]).replace(/{MMM}/g, $[c - 1]).replace(/{MM}/g, pad(c, 2)).replace(/{M}/g, c + "").replace(/{dd}/g, pad(f, 2)).replace(/{d}/g, f + "").replace(/{eeee}/g, A[p]).replace(/{ee}/g, N[p]).replace(/{e}/g, p + "").replace(/{HH}/g, pad(v, 2)).replace(/{H}/g, v + "").replace(/{hh}/g, pad(g + "", 2)).replace(/{h}/g, g + "").replace(/{mm}/g, pad(y, 2)).replace(/{m}/g, y + "").replace(/{ss}/g, pad(_, 2)).replace(/{s}/g, _ + "").replace(/{SSS}/g, pad(S, 3)).replace(/{S}/g, S + "");
}
function leveledFormat(r, a, o, s, l) {
  var u = null;
  if (isString(o))
    u = o;
  else if (isFunction(o))
    u = o(r.value, a, {
      level: r.level
    });
  else {
    var c = extend({}, defaultLeveledFormatter);
    if (r.level > 0)
      for (var d = 0; d < primaryTimeUnits.length; ++d)
        c[primaryTimeUnits[d]] = "{primary|" + c[primaryTimeUnits[d]] + "}";
    var f = o ? o.inherit === !1 ? o : defaults(o, c) : c, p = getUnitFromValue(r.value, l);
    if (f[p])
      u = f[p];
    else if (f.inherit) {
      for (var v = timeUnits.indexOf(p), d = v - 1; d >= 0; --d)
        if (f[p]) {
          u = f[p];
          break;
        }
      u = u || c.none;
    }
    if (isArray$1(u)) {
      var g = r.level == null ? 0 : r.level >= 0 ? r.level : u.length + r.level;
      g = Math.min(g, u.length - 1), u = u[g];
    }
  }
  return format$1(new Date(r.value), u, l, s);
}
function getUnitFromValue(r, a) {
  var o = parseDate(r), s = o[monthGetterName(a)]() + 1, l = o[dateGetterName(a)](), u = o[hoursGetterName(a)](), c = o[minutesGetterName(a)](), d = o[secondsGetterName(a)](), f = o[millisecondsGetterName(a)](), p = f === 0, v = p && d === 0, g = v && c === 0, y = g && u === 0, _ = y && l === 1, S = _ && s === 1;
  return S ? "year" : _ ? "month" : y ? "day" : g ? "hour" : v ? "minute" : p ? "second" : "millisecond";
}
function getUnitValue(r, a, o) {
  var s = isNumber(r) ? parseDate(r) : r;
  switch (a = a || getUnitFromValue(r, o), a) {
    case "year":
      return s[fullYearGetterName(o)]();
    case "half-year":
      return s[monthGetterName(o)]() >= 6 ? 1 : 0;
    case "quarter":
      return Math.floor((s[monthGetterName(o)]() + 1) / 4);
    case "month":
      return s[monthGetterName(o)]();
    case "day":
      return s[dateGetterName(o)]();
    case "half-day":
      return s[hoursGetterName(o)]() / 24;
    case "hour":
      return s[hoursGetterName(o)]();
    case "minute":
      return s[minutesGetterName(o)]();
    case "second":
      return s[secondsGetterName(o)]();
    case "millisecond":
      return s[millisecondsGetterName(o)]();
  }
}
function fullYearGetterName(r) {
  return r ? "getUTCFullYear" : "getFullYear";
}
function monthGetterName(r) {
  return r ? "getUTCMonth" : "getMonth";
}
function dateGetterName(r) {
  return r ? "getUTCDate" : "getDate";
}
function hoursGetterName(r) {
  return r ? "getUTCHours" : "getHours";
}
function minutesGetterName(r) {
  return r ? "getUTCMinutes" : "getMinutes";
}
function secondsGetterName(r) {
  return r ? "getUTCSeconds" : "getSeconds";
}
function millisecondsGetterName(r) {
  return r ? "getUTCMilliseconds" : "getMilliseconds";
}
function fullYearSetterName(r) {
  return r ? "setUTCFullYear" : "setFullYear";
}
function monthSetterName(r) {
  return r ? "setUTCMonth" : "setMonth";
}
function dateSetterName(r) {
  return r ? "setUTCDate" : "setDate";
}
function hoursSetterName(r) {
  return r ? "setUTCHours" : "setHours";
}
function minutesSetterName(r) {
  return r ? "setUTCMinutes" : "setMinutes";
}
function secondsSetterName(r) {
  return r ? "setUTCSeconds" : "setSeconds";
}
function millisecondsSetterName(r) {
  return r ? "setUTCMilliseconds" : "setMilliseconds";
}
function getTextRect(r, a, o, s, l, u, c, d) {
  var f = new ZRText({
    style: {
      text: r,
      font: a,
      align: o,
      verticalAlign: s,
      padding: l,
      rich: u,
      overflow: c ? "truncate" : null,
      lineHeight: d
    }
  });
  return f.getBoundingRect();
}
function addCommas(r) {
  if (!isNumeric(r))
    return isString(r) ? r : "-";
  var a = (r + "").split(".");
  return a[0].replace(/(\d{1,3})(?=(?:\d{3})+(?!\d))/g, "$1,") + (a.length > 1 ? "." + a[1] : "");
}
function toCamelCase(r, a) {
  return r = (r || "").toLowerCase().replace(/-(.)/g, function(o, s) {
    return s.toUpperCase();
  }), a && r && (r = r.charAt(0).toUpperCase() + r.slice(1)), r;
}
var normalizeCssArray = normalizeCssArray$1;
function makeValueReadable(r, a, o) {
  var s = "{yyyy}-{MM}-{dd} {HH}:{mm}:{ss}";
  function l(v) {
    return v && trim$1(v) ? v : "-";
  }
  function u(v) {
    return !!(v != null && !isNaN(v) && isFinite(v));
  }
  var c = a === "time", d = r instanceof Date;
  if (c || d) {
    var f = c ? parseDate(r) : r;
    if (isNaN(+f)) {
      if (d)
        return "-";
    } else return format$1(f, s, o);
  }
  if (a === "ordinal")
    return isStringSafe(r) ? l(r) : isNumber(r) && u(r) ? r + "" : "-";
  var p = numericToNumber(r);
  return u(p) ? addCommas(p) : isStringSafe(r) ? l(r) : typeof r == "boolean" ? r + "" : "-";
}
var TPL_VAR_ALIAS = ["a", "b", "c", "d", "e", "f", "g"], wrapVar = function(r, a) {
  return "{" + r + (a ?? "") + "}";
};
function formatTpl(r, a, o) {
  isArray$1(a) || (a = [a]);
  var s = a.length;
  if (!s)
    return "";
  for (var l = a[0].$vars || [], u = 0; u < l.length; u++) {
    var c = TPL_VAR_ALIAS[u];
    r = r.replace(wrapVar(c), wrapVar(c, 0));
  }
  for (var d = 0; d < s; d++)
    for (var f = 0; f < l.length; f++) {
      var p = a[d][l[f]];
      r = r.replace(wrapVar(TPL_VAR_ALIAS[f], d), o ? encodeHTML(p) : p);
    }
  return r;
}
function formatTplSimple(r, a, o) {
  return each$f(a, function(s, l) {
    r = r.replace("{" + l + "}", s);
  }), r;
}
function getTooltipMarker(r, a) {
  var o = isString(r) ? {
    color: r,
    extraCssText: a
  } : r || {}, s = o.color, l = o.type;
  a = o.extraCssText;
  var u = o.renderMode || "html";
  if (!s)
    return "";
  if (u === "html")
    return l === "subItem" ? '<span style="display:inline-block;vertical-align:middle;margin-right:8px;margin-left:3px;border-radius:4px;width:4px;height:4px;background-color:' + encodeHTML(s) + ";" + (a || "") + '"></span>' : '<span style="display:inline-block;margin-right:4px;border-radius:10px;width:10px;height:10px;background-color:' + encodeHTML(s) + ";" + (a || "") + '"></span>';
  var c = o.markerId || "markerX";
  return {
    renderMode: u,
    content: "{" + c + "|}  ",
    style: l === "subItem" ? {
      width: 4,
      height: 4,
      borderRadius: 2,
      backgroundColor: s
    } : {
      width: 10,
      height: 10,
      borderRadius: 5,
      backgroundColor: s
    }
  };
}
function formatTime(r, a, o) {
  process.env.NODE_ENV !== "production" && deprecateReplaceLog("echarts.format.formatTime", "echarts.time.format"), (r === "week" || r === "month" || r === "quarter" || r === "half-year" || r === "year") && (r = `MM-dd
yyyy`);
  var s = parseDate(a), l = o ? "getUTC" : "get", u = s[l + "FullYear"](), c = s[l + "Month"]() + 1, d = s[l + "Date"](), f = s[l + "Hours"](), p = s[l + "Minutes"](), v = s[l + "Seconds"](), g = s[l + "Milliseconds"]();
  return r = r.replace("MM", pad(c, 2)).replace("M", c).replace("yyyy", u).replace("yy", pad(u % 100 + "", 2)).replace("dd", pad(d, 2)).replace("d", d).replace("hh", pad(f, 2)).replace("h", f).replace("mm", pad(p, 2)).replace("m", p).replace("ss", pad(v, 2)).replace("s", v).replace("SSS", pad(g, 3)), r;
}
function capitalFirst(r) {
  return r && r.charAt(0).toUpperCase() + r.substr(1);
}
function convertToColorString(r, a) {
  return a = a || "transparent", isString(r) ? r : isObject$3(r) && r.colorStops && (r.colorStops[0] || {}).color || a;
}
function windowOpen(r, a) {
  if (a === "_blank" || a === "blank") {
    var o = window.open();
    o.opener = null, o.location.href = r;
  } else
    window.open(r, a);
}
var each$e = each$f, LOCATION_PARAMS = ["left", "right", "top", "bottom", "width", "height"], HV_NAMES = [["width", "left", "right"], ["height", "top", "bottom"]];
function boxLayout(r, a, o, s, l) {
  var u = 0, c = 0;
  s == null && (s = 1 / 0), l == null && (l = 1 / 0);
  var d = 0;
  a.eachChild(function(f, p) {
    var v = f.getBoundingRect(), g = a.childAt(p + 1), y = g && g.getBoundingRect(), _, S;
    if (r === "horizontal") {
      var C = v.width + (y ? -y.x + v.x : 0);
      _ = u + C, _ > s || f.newline ? (u = 0, _ = C, c += d + o, d = v.height) : d = Math.max(d, v.height);
    } else {
      var b = v.height + (y ? -y.y + v.y : 0);
      S = c + b, S > l || f.newline ? (u += d + o, c = 0, S = b, d = v.width) : d = Math.max(d, v.width);
    }
    f.newline || (f.x = u, f.y = c, f.markRedraw(), r === "horizontal" ? u = _ + o : c = S + o);
  });
}
var box = boxLayout;
curry$1(boxLayout, "vertical");
curry$1(boxLayout, "horizontal");
function getAvailableSize(r, a, o) {
  var s = a.width, l = a.height, u = parsePercent(r.left, s), c = parsePercent(r.top, l), d = parsePercent(r.right, s), f = parsePercent(r.bottom, l);
  return (isNaN(u) || isNaN(parseFloat(r.left))) && (u = 0), (isNaN(d) || isNaN(parseFloat(r.right))) && (d = s), (isNaN(c) || isNaN(parseFloat(r.top))) && (c = 0), (isNaN(f) || isNaN(parseFloat(r.bottom))) && (f = l), o = normalizeCssArray(o || 0), {
    width: Math.max(d - u - o[1] - o[3], 0),
    height: Math.max(f - c - o[0] - o[2], 0)
  };
}
function getLayoutRect(r, a, o) {
  o = normalizeCssArray(o || 0);
  var s = a.width, l = a.height, u = parsePercent(r.left, s), c = parsePercent(r.top, l), d = parsePercent(r.right, s), f = parsePercent(r.bottom, l), p = parsePercent(r.width, s), v = parsePercent(r.height, l), g = o[2] + o[0], y = o[1] + o[3], _ = r.aspect;
  switch (isNaN(p) && (p = s - d - y - u), isNaN(v) && (v = l - f - g - c), _ != null && (isNaN(p) && isNaN(v) && (_ > s / l ? p = s * 0.8 : v = l * 0.8), isNaN(p) && (p = _ * v), isNaN(v) && (v = p / _)), isNaN(u) && (u = s - d - p - y), isNaN(c) && (c = l - f - v - g), r.left || r.right) {
    case "center":
      u = s / 2 - p / 2 - o[3];
      break;
    case "right":
      u = s - p - y;
      break;
  }
  switch (r.top || r.bottom) {
    case "middle":
    case "center":
      c = l / 2 - v / 2 - o[0];
      break;
    case "bottom":
      c = l - v - g;
      break;
  }
  u = u || 0, c = c || 0, isNaN(p) && (p = s - y - u - (d || 0)), isNaN(v) && (v = l - g - c - (f || 0));
  var S = new BoundingRect(u + o[3], c + o[0], p, v);
  return S.margin = o, S;
}
function positionElement(r, a, o, s, l, u) {
  var c = !l || !l.hv || l.hv[0], d = !l || !l.hv || l.hv[1], f = l && l.boundingMode || "all";
  if (u = u || r, u.x = r.x, u.y = r.y, !c && !d)
    return !1;
  var p;
  if (f === "raw")
    p = r.type === "group" ? new BoundingRect(0, 0, +a.width || 0, +a.height || 0) : r.getBoundingRect();
  else if (p = r.getBoundingRect(), r.needLocalTransform()) {
    var v = r.getLocalTransform();
    p = p.clone(), p.applyTransform(v);
  }
  var g = getLayoutRect(defaults({
    width: p.width,
    height: p.height
  }, a), o, s), y = c ? g.x - p.x : 0, _ = d ? g.y - p.y : 0;
  return f === "raw" ? (u.x = y, u.y = _) : (u.x += y, u.y += _), u === r && r.markRedraw(), !0;
}
function sizeCalculable(r, a) {
  return r[HV_NAMES[a][0]] != null || r[HV_NAMES[a][1]] != null && r[HV_NAMES[a][2]] != null;
}
function fetchLayoutMode(r) {
  var a = r.layoutMode || r.constructor.layoutMode;
  return isObject$3(a) ? a : a ? {
    type: a
  } : null;
}
function mergeLayoutParam(r, a, o) {
  var s = o && o.ignoreSize;
  !isArray$1(s) && (s = [s, s]);
  var l = c(HV_NAMES[0], 0), u = c(HV_NAMES[1], 1);
  p(HV_NAMES[0], r, l), p(HV_NAMES[1], r, u);
  function c(v, g) {
    var y = {}, _ = 0, S = {}, C = 0, b = 2;
    if (each$e(v, function(x) {
      S[x] = r[x];
    }), each$e(v, function(x) {
      d(a, x) && (y[x] = S[x] = a[x]), f(y, x) && _++, f(S, x) && C++;
    }), s[g])
      return f(a, v[1]) ? S[v[2]] = null : f(a, v[2]) && (S[v[1]] = null), S;
    if (C === b || !_)
      return S;
    if (_ >= b)
      return y;
    for (var T = 0; T < v.length; T++) {
      var E = v[T];
      if (!d(y, E) && d(r, E)) {
        y[E] = r[E];
        break;
      }
    }
    return y;
  }
  function d(v, g) {
    return v.hasOwnProperty(g);
  }
  function f(v, g) {
    return v[g] != null && v[g] !== "auto";
  }
  function p(v, g, y) {
    each$e(v, function(_) {
      g[_] = y[_];
    });
  }
}
function getLayoutParams(r) {
  return copyLayoutParams({}, r);
}
function copyLayoutParams(r, a) {
  return a && r && each$e(LOCATION_PARAMS, function(o) {
    a.hasOwnProperty(o) && (r[o] = a[o]);
  }), r;
}
var inner$l = makeInner(), ComponentModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s, l) {
      var u = r.call(this, o, s, l) || this;
      return u.uid = getUID("ec_cpt_model"), u;
    }
    return a.prototype.init = function(o, s, l) {
      this.mergeDefaultAndTheme(o, l);
    }, a.prototype.mergeDefaultAndTheme = function(o, s) {
      var l = fetchLayoutMode(this), u = l ? getLayoutParams(o) : {}, c = s.getTheme();
      merge(o, c.get(this.mainType)), merge(o, this.getDefaultOption()), l && mergeLayoutParam(o, u, l);
    }, a.prototype.mergeOption = function(o, s) {
      merge(this.option, o, !0);
      var l = fetchLayoutMode(this);
      l && mergeLayoutParam(this.option, o, l);
    }, a.prototype.optionUpdated = function(o, s) {
    }, a.prototype.getDefaultOption = function() {
      var o = this.constructor;
      if (!isExtendedClass(o))
        return o.defaultOption;
      var s = inner$l(this);
      if (!s.defaultOption) {
        for (var l = [], u = o; u; ) {
          var c = u.prototype.defaultOption;
          c && l.push(c), u = u.superClass;
        }
        for (var d = {}, f = l.length - 1; f >= 0; f--)
          d = merge(d, l[f], !0);
        s.defaultOption = d;
      }
      return s.defaultOption;
    }, a.prototype.getReferringComponents = function(o, s) {
      var l = o + "Index", u = o + "Id";
      return queryReferringComponents(this.ecModel, o, {
        index: this.get(l, !0),
        id: this.get(u, !0)
      }, s);
    }, a.prototype.getBoxLayoutParams = function() {
      var o = this;
      return {
        left: o.get("left"),
        top: o.get("top"),
        right: o.get("right"),
        bottom: o.get("bottom"),
        width: o.get("width"),
        height: o.get("height")
      };
    }, a.prototype.getZLevelKey = function() {
      return "";
    }, a.prototype.setZLevel = function(o) {
      this.option.zlevel = o;
    }, a.protoInitialize = function() {
      var o = a.prototype;
      o.type = "component", o.id = "", o.name = "", o.mainType = "", o.subType = "", o.componentIndex = 0;
    }(), a;
  }(Model)
);
mountExtend(ComponentModel, Model);
enableClassManagement(ComponentModel);
enableSubTypeDefaulter(ComponentModel);
enableTopologicalTravel(ComponentModel, getDependencies);
function getDependencies(r) {
  var a = [];
  return each$f(ComponentModel.getClassesByMainType(r), function(o) {
    a = a.concat(o.dependencies || o.prototype.dependencies || []);
  }), a = map$1(a, function(o) {
    return parseClassType(o).main;
  }), r !== "dataset" && indexOf(a, "dataset") <= 0 && a.unshift("dataset"), a;
}
var platform = "";
typeof navigator < "u" && (platform = navigator.platform || "");
var decalColor = "rgba(0, 0, 0, 0.2)";
const globalDefault = {
  darkMode: "auto",
  // backgroundColor: 'rgba(0,0,0,0)',
  colorBy: "series",
  color: ["#5470c6", "#91cc75", "#fac858", "#ee6666", "#73c0de", "#3ba272", "#fc8452", "#9a60b4", "#ea7ccc"],
  gradientColor: ["#f6efa6", "#d88273", "#bf444c"],
  aria: {
    decal: {
      decals: [{
        color: decalColor,
        dashArrayX: [1, 0],
        dashArrayY: [2, 5],
        symbolSize: 1,
        rotation: Math.PI / 6
      }, {
        color: decalColor,
        symbol: "circle",
        dashArrayX: [[8, 8], [0, 8, 8, 0]],
        dashArrayY: [6, 0],
        symbolSize: 0.8
      }, {
        color: decalColor,
        dashArrayX: [1, 0],
        dashArrayY: [4, 3],
        rotation: -Math.PI / 4
      }, {
        color: decalColor,
        dashArrayX: [[6, 6], [0, 6, 6, 0]],
        dashArrayY: [6, 0]
      }, {
        color: decalColor,
        dashArrayX: [[1, 0], [1, 6]],
        dashArrayY: [1, 0, 6, 0],
        rotation: Math.PI / 4
      }, {
        color: decalColor,
        symbol: "triangle",
        dashArrayX: [[9, 9], [0, 9, 9, 0]],
        dashArrayY: [7, 2],
        symbolSize: 0.75
      }]
    }
  },
  // If xAxis and yAxis declared, grid is created by default.
  // grid: {},
  textStyle: {
    // color: '#000',
    // decoration: 'none',
    // PENDING
    fontFamily: platform.match(/^Win/) ? "Microsoft YaHei" : "sans-serif",
    // fontFamily: 'Arial, Verdana, sans-serif',
    fontSize: 12,
    fontStyle: "normal",
    fontWeight: "normal"
  },
  // http://blogs.adobe.com/webplatform/2014/02/24/using-blend-modes-in-html-canvas/
  // https://developer.mozilla.org/en-US/docs/Web/API/CanvasRenderingContext2D/globalCompositeOperation
  // Default is source-over
  blendMode: null,
  stateAnimation: {
    duration: 300,
    easing: "cubicOut"
  },
  animation: "auto",
  animationDuration: 1e3,
  animationDurationUpdate: 500,
  animationEasing: "cubicInOut",
  animationEasingUpdate: "cubicInOut",
  animationThreshold: 2e3,
  // Configuration for progressive/incremental rendering
  progressiveThreshold: 3e3,
  progressive: 400,
  // Threshold of if use single hover layer to optimize.
  // It is recommended that `hoverLayerThreshold` is equivalent to or less than
  // `progressiveThreshold`, otherwise hover will cause restart of progressive,
  // which is unexpected.
  // see example <echarts/test/heatmap-large.html>.
  hoverLayerThreshold: 3e3,
  // See: module:echarts/scale/Time
  useUTC: !1
};
var VISUAL_DIMENSIONS = createHashMap(["tooltip", "label", "itemName", "itemId", "itemGroupId", "itemChildGroupId", "seriesName"]), SOURCE_FORMAT_ORIGINAL = "original", SOURCE_FORMAT_ARRAY_ROWS = "arrayRows", SOURCE_FORMAT_OBJECT_ROWS = "objectRows", SOURCE_FORMAT_KEYED_COLUMNS = "keyedColumns", SOURCE_FORMAT_TYPED_ARRAY = "typedArray", SOURCE_FORMAT_UNKNOWN = "unknown", SERIES_LAYOUT_BY_COLUMN = "column", SERIES_LAYOUT_BY_ROW = "row", BE_ORDINAL = {
  Must: 1,
  Might: 2,
  Not: 3
  // Other cases
}, innerGlobalModel = makeInner();
function resetSourceDefaulter(r) {
  innerGlobalModel(r).datasetMap = createHashMap();
}
function makeSeriesEncodeForAxisCoordSys(r, a, o) {
  var s = {}, l = querySeriesUpstreamDatasetModel(a);
  if (!l || !r)
    return s;
  var u = [], c = [], d = a.ecModel, f = innerGlobalModel(d).datasetMap, p = l.uid + "_" + o.seriesLayoutBy, v, g;
  r = r.slice(), each$f(r, function(C, b) {
    var T = isObject$3(C) ? C : r[b] = {
      name: C
    };
    T.type === "ordinal" && v == null && (v = b, g = S(T)), s[T.name] = [];
  });
  var y = f.get(p) || f.set(p, {
    categoryWayDim: g,
    valueWayDim: 0
  });
  each$f(r, function(C, b) {
    var T = C.name, E = S(C);
    if (v == null) {
      var x = y.valueWayDim;
      _(s[T], x, E), _(c, x, E), y.valueWayDim += E;
    } else if (v === b)
      _(s[T], 0, E), _(u, 0, E);
    else {
      var x = y.categoryWayDim;
      _(s[T], x, E), _(c, x, E), y.categoryWayDim += E;
    }
  });
  function _(C, b, T) {
    for (var E = 0; E < T; E++)
      C.push(b + E);
  }
  function S(C) {
    var b = C.dimsDef;
    return b ? b.length : 1;
  }
  return u.length && (s.itemName = u), c.length && (s.seriesName = c), s;
}
function makeSeriesEncodeForNameBased(r, a, o) {
  var s = {}, l = querySeriesUpstreamDatasetModel(r);
  if (!l)
    return s;
  var u = a.sourceFormat, c = a.dimensionsDefine, d;
  (u === SOURCE_FORMAT_OBJECT_ROWS || u === SOURCE_FORMAT_KEYED_COLUMNS) && each$f(c, function(v, g) {
    (isObject$3(v) ? v.name : v) === "name" && (d = g);
  });
  var f = function() {
    for (var v = {}, g = {}, y = [], _ = 0, S = Math.min(5, o); _ < S; _++) {
      var C = doGuessOrdinal(a.data, u, a.seriesLayoutBy, c, a.startIndex, _);
      y.push(C);
      var b = C === BE_ORDINAL.Not;
      if (b && v.v == null && _ !== d && (v.v = _), (v.n == null || v.n === v.v || !b && y[v.n] === BE_ORDINAL.Not) && (v.n = _), T(v) && y[v.n] !== BE_ORDINAL.Not)
        return v;
      b || (C === BE_ORDINAL.Might && g.v == null && _ !== d && (g.v = _), (g.n == null || g.n === g.v) && (g.n = _));
    }
    function T(E) {
      return E.v != null && E.n != null;
    }
    return T(v) ? v : T(g) ? g : null;
  }();
  if (f) {
    s.value = [f.v];
    var p = d ?? f.n;
    s.itemName = [p], s.seriesName = [p];
  }
  return s;
}
function querySeriesUpstreamDatasetModel(r) {
  var a = r.get("data", !0);
  if (!a)
    return queryReferringComponents(r.ecModel, "dataset", {
      index: r.get("datasetIndex", !0),
      id: r.get("datasetId", !0)
    }, SINGLE_REFERRING).models[0];
}
function queryDatasetUpstreamDatasetModels(r) {
  return !r.get("transform", !0) && !r.get("fromTransformResult", !0) ? [] : queryReferringComponents(r.ecModel, "dataset", {
    index: r.get("fromDatasetIndex", !0),
    id: r.get("fromDatasetId", !0)
  }, SINGLE_REFERRING).models;
}
function guessOrdinal(r, a) {
  return doGuessOrdinal(r.data, r.sourceFormat, r.seriesLayoutBy, r.dimensionsDefine, r.startIndex, a);
}
function doGuessOrdinal(r, a, o, s, l, u) {
  var c, d = 5;
  if (isTypedArray(r))
    return BE_ORDINAL.Not;
  var f, p;
  if (s) {
    var v = s[u];
    isObject$3(v) ? (f = v.name, p = v.type) : isString(v) && (f = v);
  }
  if (p != null)
    return p === "ordinal" ? BE_ORDINAL.Must : BE_ORDINAL.Not;
  if (a === SOURCE_FORMAT_ARRAY_ROWS) {
    var g = r;
    if (o === SERIES_LAYOUT_BY_ROW) {
      for (var y = g[u], _ = 0; _ < (y || []).length && _ < d; _++)
        if ((c = $(y[l + _])) != null)
          return c;
    } else
      for (var _ = 0; _ < g.length && _ < d; _++) {
        var S = g[l + _];
        if (S && (c = $(S[u])) != null)
          return c;
      }
  } else if (a === SOURCE_FORMAT_OBJECT_ROWS) {
    var C = r;
    if (!f)
      return BE_ORDINAL.Not;
    for (var _ = 0; _ < C.length && _ < d; _++) {
      var b = C[_];
      if (b && (c = $(b[f])) != null)
        return c;
    }
  } else if (a === SOURCE_FORMAT_KEYED_COLUMNS) {
    var T = r;
    if (!f)
      return BE_ORDINAL.Not;
    var y = T[f];
    if (!y || isTypedArray(y))
      return BE_ORDINAL.Not;
    for (var _ = 0; _ < y.length && _ < d; _++)
      if ((c = $(y[_])) != null)
        return c;
  } else if (a === SOURCE_FORMAT_ORIGINAL)
    for (var E = r, _ = 0; _ < E.length && _ < d; _++) {
      var b = E[_], x = getDataItemValue(b);
      if (!isArray$1(x))
        return BE_ORDINAL.Not;
      if ((c = $(x[u])) != null)
        return c;
    }
  function $(A) {
    var N = isString(A);
    if (A != null && Number.isFinite(Number(A)) && A !== "")
      return N ? BE_ORDINAL.Might : BE_ORDINAL.Not;
    if (N && A !== "-")
      return BE_ORDINAL.Must;
  }
  return BE_ORDINAL.Not;
}
var internalOptionCreatorMap = createHashMap();
function registerInternalOptionCreator(r, a) {
  assert(internalOptionCreatorMap.get(r) == null && a), internalOptionCreatorMap.set(r, a);
}
function concatInternalOptions(r, a, o) {
  var s = internalOptionCreatorMap.get(a);
  if (!s)
    return o;
  var l = s(r);
  if (!l)
    return o;
  if (process.env.NODE_ENV !== "production")
    for (var u = 0; u < l.length; u++)
      assert(isComponentIdInternal(l[u]));
  return o.concat(l);
}
var innerColor = makeInner(), innerDecal = makeInner(), PaletteMixin = (
  /** @class */
  function() {
    function r() {
    }
    return r.prototype.getColorFromPalette = function(a, o, s) {
      var l = normalizeToArray(this.get("color", !0)), u = this.get("colorLayer", !0);
      return getFromPalette(this, innerColor, l, u, a, o, s);
    }, r.prototype.clearColorPalette = function() {
      clearPalette(this, innerColor);
    }, r;
  }()
);
function getDecalFromPalette(r, a, o, s) {
  var l = normalizeToArray(r.get(["aria", "decal", "decals"]));
  return getFromPalette(r, innerDecal, l, null, a, o, s);
}
function getNearestPalette(r, a) {
  for (var o = r.length, s = 0; s < o; s++)
    if (r[s].length > a)
      return r[s];
  return r[o - 1];
}
function getFromPalette(r, a, o, s, l, u, c) {
  u = u || r;
  var d = a(u), f = d.paletteIdx || 0, p = d.paletteNameMap = d.paletteNameMap || {};
  if (p.hasOwnProperty(l))
    return p[l];
  var v = c == null || !s ? o : getNearestPalette(s, c);
  if (v = v || o, !(!v || !v.length)) {
    var g = v[f];
    return l && (p[l] = g), d.paletteIdx = (f + 1) % v.length, g;
  }
}
function clearPalette(r, a) {
  a(r).paletteIdx = 0, a(r).paletteNameMap = {};
}
var reCreateSeriesIndices, assertSeriesInitialized, initBase, OPTION_INNER_KEY = "\0_ec_inner", OPTION_INNER_VALUE = 1, BUITIN_COMPONENTS_MAP = {
  grid: "GridComponent",
  polar: "PolarComponent",
  geo: "GeoComponent",
  singleAxis: "SingleAxisComponent",
  parallel: "ParallelComponent",
  calendar: "CalendarComponent",
  graphic: "GraphicComponent",
  toolbox: "ToolboxComponent",
  tooltip: "TooltipComponent",
  axisPointer: "AxisPointerComponent",
  brush: "BrushComponent",
  title: "TitleComponent",
  timeline: "TimelineComponent",
  markPoint: "MarkPointComponent",
  markLine: "MarkLineComponent",
  markArea: "MarkAreaComponent",
  legend: "LegendComponent",
  dataZoom: "DataZoomComponent",
  visualMap: "VisualMapComponent",
  // aria: 'AriaComponent',
  // dataset: 'DatasetComponent',
  // Dependencies
  xAxis: "GridComponent",
  yAxis: "GridComponent",
  angleAxis: "PolarComponent",
  radiusAxis: "PolarComponent"
}, BUILTIN_CHARTS_MAP = {
  line: "LineChart",
  bar: "BarChart",
  pie: "PieChart",
  scatter: "ScatterChart",
  radar: "RadarChart",
  map: "MapChart",
  tree: "TreeChart",
  treemap: "TreemapChart",
  graph: "GraphChart",
  gauge: "GaugeChart",
  funnel: "FunnelChart",
  parallel: "ParallelChart",
  sankey: "SankeyChart",
  boxplot: "BoxplotChart",
  candlestick: "CandlestickChart",
  effectScatter: "EffectScatterChart",
  lines: "LinesChart",
  heatmap: "HeatmapChart",
  pictorialBar: "PictorialBarChart",
  themeRiver: "ThemeRiverChart",
  sunburst: "SunburstChart",
  custom: "CustomChart"
}, componetsMissingLogPrinted = {};
function checkMissingComponents(r) {
  each$f(r, function(a, o) {
    if (!ComponentModel.hasClass(o)) {
      var s = BUITIN_COMPONENTS_MAP[o];
      s && !componetsMissingLogPrinted[s] && (error("Component " + o + ` is used but not imported.
import { ` + s + ` } from 'echarts/components';
echarts.use([` + s + "]);"), componetsMissingLogPrinted[s] = !0);
    }
  });
}
var GlobalModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a.prototype.init = function(o, s, l, u, c, d) {
      u = u || {}, this.option = null, this._theme = new Model(u), this._locale = new Model(c), this._optionManager = d;
    }, a.prototype.setOption = function(o, s, l) {
      process.env.NODE_ENV !== "production" && (assert(o != null, "option is null/undefined"), assert(o[OPTION_INNER_KEY] !== OPTION_INNER_VALUE, "please use chart.getOption()"));
      var u = normalizeSetOptionInput(s);
      this._optionManager.setOption(o, l, u), this._resetOption(null, u);
    }, a.prototype.resetOption = function(o, s) {
      return this._resetOption(o, normalizeSetOptionInput(s));
    }, a.prototype._resetOption = function(o, s) {
      var l = !1, u = this._optionManager;
      if (!o || o === "recreate") {
        var c = u.mountOption(o === "recreate");
        process.env.NODE_ENV !== "production" && checkMissingComponents(c), !this.option || o === "recreate" ? initBase(this, c) : (this.restoreData(), this._mergeOption(c, s)), l = !0;
      }
      if ((o === "timeline" || o === "media") && this.restoreData(), !o || o === "recreate" || o === "timeline") {
        var d = u.getTimelineOption(this);
        d && (l = !0, this._mergeOption(d, s));
      }
      if (!o || o === "recreate" || o === "media") {
        var f = u.getMediaOption(this);
        f.length && each$f(f, function(p) {
          l = !0, this._mergeOption(p, s);
        }, this);
      }
      return l;
    }, a.prototype.mergeOption = function(o) {
      this._mergeOption(o, null);
    }, a.prototype._mergeOption = function(o, s) {
      var l = this.option, u = this._componentsMap, c = this._componentsCount, d = [], f = createHashMap(), p = s && s.replaceMergeMainTypeMap;
      resetSourceDefaulter(this), each$f(o, function(g, y) {
        g != null && (ComponentModel.hasClass(y) ? y && (d.push(y), f.set(y, !0)) : l[y] = l[y] == null ? clone$4(g) : merge(l[y], g, !0));
      }), p && p.each(function(g, y) {
        ComponentModel.hasClass(y) && !f.get(y) && (d.push(y), f.set(y, !0));
      }), ComponentModel.topologicalTravel(d, ComponentModel.getAllClassMainTypes(), v, this);
      function v(g) {
        var y = concatInternalOptions(this, g, normalizeToArray(o[g])), _ = u.get(g), S = (
          // `!oldCmptList` means init. See the comment in `mappingToExists`
          _ ? p && p.get(g) ? "replaceMerge" : "normalMerge" : "replaceAll"
        ), C = mappingToExists(_, y, S);
        setComponentTypeToKeyInfo(C, g, ComponentModel), l[g] = null, u.set(g, null), c.set(g, 0);
        var b = [], T = [], E = 0, x, $;
        each$f(C, function(A, N) {
          var P = A.existing, L = A.newOption;
          if (!L)
            P && (P.mergeOption({}, this), P.optionUpdated({}, !1));
          else {
            var O = g === "series", M = ComponentModel.getClass(
              g,
              A.keyInfo.subType,
              !O
              // Give a more detailed warn later if series don't exists
            );
            if (!M) {
              if (process.env.NODE_ENV !== "production") {
                var F = A.keyInfo.subType, U = BUILTIN_CHARTS_MAP[F];
                componetsMissingLogPrinted[F] || (componetsMissingLogPrinted[F] = !0, error(U ? "Series " + F + ` is used but not imported.
import { ` + U + ` } from 'echarts/charts';
echarts.use([` + U + "]);" : "Unknown series " + F));
              }
              return;
            }
            if (g === "tooltip") {
              if (x) {
                process.env.NODE_ENV !== "production" && ($ || (warn("Currently only one tooltip component is allowed."), $ = !0));
                return;
              }
              x = !0;
            }
            if (P && P.constructor === M)
              P.name = A.keyInfo.name, P.mergeOption(L, this), P.optionUpdated(L, !1);
            else {
              var R = extend({
                componentIndex: N
              }, A.keyInfo);
              P = new M(L, this, this, R), extend(P, R), A.brandNew && (P.__requireNewView = !0), P.init(L, this, this), P.optionUpdated(null, !0);
            }
          }
          P ? (b.push(P.option), T.push(P), E++) : (b.push(void 0), T.push(void 0));
        }, this), l[g] = b, u.set(g, T), c.set(g, E), g === "series" && reCreateSeriesIndices(this);
      }
      this._seriesIndices || reCreateSeriesIndices(this);
    }, a.prototype.getOption = function() {
      var o = clone$4(this.option);
      return each$f(o, function(s, l) {
        if (ComponentModel.hasClass(l)) {
          for (var u = normalizeToArray(s), c = u.length, d = !1, f = c - 1; f >= 0; f--)
            u[f] && !isComponentIdInternal(u[f]) ? d = !0 : (u[f] = null, !d && c--);
          u.length = c, o[l] = u;
        }
      }), delete o[OPTION_INNER_KEY], o;
    }, a.prototype.getTheme = function() {
      return this._theme;
    }, a.prototype.getLocaleModel = function() {
      return this._locale;
    }, a.prototype.setUpdatePayload = function(o) {
      this._payload = o;
    }, a.prototype.getUpdatePayload = function() {
      return this._payload;
    }, a.prototype.getComponent = function(o, s) {
      var l = this._componentsMap.get(o);
      if (l) {
        var u = l[s || 0];
        if (u)
          return u;
        if (s == null) {
          for (var c = 0; c < l.length; c++)
            if (l[c])
              return l[c];
        }
      }
    }, a.prototype.queryComponents = function(o) {
      var s = o.mainType;
      if (!s)
        return [];
      var l = o.index, u = o.id, c = o.name, d = this._componentsMap.get(s);
      if (!d || !d.length)
        return [];
      var f;
      return l != null ? (f = [], each$f(normalizeToArray(l), function(p) {
        d[p] && f.push(d[p]);
      })) : u != null ? f = queryByIdOrName("id", u, d) : c != null ? f = queryByIdOrName("name", c, d) : f = filter(d, function(p) {
        return !!p;
      }), filterBySubType(f, o);
    }, a.prototype.findComponents = function(o) {
      var s = o.query, l = o.mainType, u = d(s), c = u ? this.queryComponents(u) : filter(this._componentsMap.get(l), function(p) {
        return !!p;
      });
      return f(filterBySubType(c, o));
      function d(p) {
        var v = l + "Index", g = l + "Id", y = l + "Name";
        return p && (p[v] != null || p[g] != null || p[y] != null) ? {
          mainType: l,
          // subType will be filtered finally.
          index: p[v],
          id: p[g],
          name: p[y]
        } : null;
      }
      function f(p) {
        return o.filter ? filter(p, o.filter) : p;
      }
    }, a.prototype.eachComponent = function(o, s, l) {
      var u = this._componentsMap;
      if (isFunction(o)) {
        var c = s, d = o;
        u.each(function(g, y) {
          for (var _ = 0; g && _ < g.length; _++) {
            var S = g[_];
            S && d.call(c, y, S, S.componentIndex);
          }
        });
      } else
        for (var f = isString(o) ? u.get(o) : isObject$3(o) ? this.findComponents(o) : null, p = 0; f && p < f.length; p++) {
          var v = f[p];
          v && s.call(l, v, v.componentIndex);
        }
    }, a.prototype.getSeriesByName = function(o) {
      var s = convertOptionIdName(o, null);
      return filter(this._componentsMap.get("series"), function(l) {
        return !!l && s != null && l.name === s;
      });
    }, a.prototype.getSeriesByIndex = function(o) {
      return this._componentsMap.get("series")[o];
    }, a.prototype.getSeriesByType = function(o) {
      return filter(this._componentsMap.get("series"), function(s) {
        return !!s && s.subType === o;
      });
    }, a.prototype.getSeries = function() {
      return filter(this._componentsMap.get("series"), function(o) {
        return !!o;
      });
    }, a.prototype.getSeriesCount = function() {
      return this._componentsCount.get("series");
    }, a.prototype.eachSeries = function(o, s) {
      assertSeriesInitialized(this), each$f(this._seriesIndices, function(l) {
        var u = this._componentsMap.get("series")[l];
        o.call(s, u, l);
      }, this);
    }, a.prototype.eachRawSeries = function(o, s) {
      each$f(this._componentsMap.get("series"), function(l) {
        l && o.call(s, l, l.componentIndex);
      });
    }, a.prototype.eachSeriesByType = function(o, s, l) {
      assertSeriesInitialized(this), each$f(this._seriesIndices, function(u) {
        var c = this._componentsMap.get("series")[u];
        c.subType === o && s.call(l, c, u);
      }, this);
    }, a.prototype.eachRawSeriesByType = function(o, s, l) {
      return each$f(this.getSeriesByType(o), s, l);
    }, a.prototype.isSeriesFiltered = function(o) {
      return assertSeriesInitialized(this), this._seriesIndicesMap.get(o.componentIndex) == null;
    }, a.prototype.getCurrentSeriesIndices = function() {
      return (this._seriesIndices || []).slice();
    }, a.prototype.filterSeries = function(o, s) {
      assertSeriesInitialized(this);
      var l = [];
      each$f(this._seriesIndices, function(u) {
        var c = this._componentsMap.get("series")[u];
        o.call(s, c, u) && l.push(u);
      }, this), this._seriesIndices = l, this._seriesIndicesMap = createHashMap(l);
    }, a.prototype.restoreData = function(o) {
      reCreateSeriesIndices(this);
      var s = this._componentsMap, l = [];
      s.each(function(u, c) {
        ComponentModel.hasClass(c) && l.push(c);
      }), ComponentModel.topologicalTravel(l, ComponentModel.getAllClassMainTypes(), function(u) {
        each$f(s.get(u), function(c) {
          c && (u !== "series" || !isNotTargetSeries(c, o)) && c.restoreData();
        });
      });
    }, a.internalField = function() {
      reCreateSeriesIndices = function(o) {
        var s = o._seriesIndices = [];
        each$f(o._componentsMap.get("series"), function(l) {
          l && s.push(l.componentIndex);
        }), o._seriesIndicesMap = createHashMap(s);
      }, assertSeriesInitialized = function(o) {
        if (process.env.NODE_ENV !== "production" && !o._seriesIndices)
          throw new Error("Option should contains series.");
      }, initBase = function(o, s) {
        o.option = {}, o.option[OPTION_INNER_KEY] = OPTION_INNER_VALUE, o._componentsMap = createHashMap({
          series: []
        }), o._componentsCount = createHashMap();
        var l = s.aria;
        isObject$3(l) && l.enabled == null && (l.enabled = !0), mergeTheme(s, o._theme.option), merge(s, globalDefault, !1), o._mergeOption(s, null);
      };
    }(), a;
  }(Model)
);
function isNotTargetSeries(r, a) {
  if (a) {
    var o = a.seriesIndex, s = a.seriesId, l = a.seriesName;
    return o != null && r.componentIndex !== o || s != null && r.id !== s || l != null && r.name !== l;
  }
}
function mergeTheme(r, a) {
  var o = r.color && !r.colorLayer;
  each$f(a, function(s, l) {
    l === "colorLayer" && o || ComponentModel.hasClass(l) || (typeof s == "object" ? r[l] = r[l] ? merge(r[l], s, !1) : clone$4(s) : r[l] == null && (r[l] = s));
  });
}
function queryByIdOrName(r, a, o) {
  if (isArray$1(a)) {
    var s = createHashMap();
    return each$f(a, function(u) {
      if (u != null) {
        var c = convertOptionIdName(u, null);
        c != null && s.set(u, !0);
      }
    }), filter(o, function(u) {
      return u && s.get(u[r]);
    });
  } else {
    var l = convertOptionIdName(a, null);
    return filter(o, function(u) {
      return u && l != null && u[r] === l;
    });
  }
}
function filterBySubType(r, a) {
  return a.hasOwnProperty("subType") ? filter(r, function(o) {
    return o && o.subType === a.subType;
  }) : r;
}
function normalizeSetOptionInput(r) {
  var a = createHashMap();
  return r && each$f(normalizeToArray(r.replaceMerge), function(o) {
    process.env.NODE_ENV !== "production" && assert(ComponentModel.hasClass(o), '"' + o + '" is not valid component main type in "replaceMerge"'), a.set(o, !0);
  }), {
    replaceMergeMainTypeMap: a
  };
}
mixin(GlobalModel, PaletteMixin);
var availableMethods = [
  "getDom",
  "getZr",
  "getWidth",
  "getHeight",
  "getDevicePixelRatio",
  "dispatchAction",
  "isSSR",
  "isDisposed",
  "on",
  "off",
  "getDataURL",
  "getConnectedDataURL",
  // 'getModel',
  "getOption",
  // 'getViewOfComponentModel',
  // 'getViewOfSeriesModel',
  "getId",
  "updateLabelLayout"
], ExtensionAPI = (
  /** @class */
  /* @__PURE__ */ function() {
    function r(a) {
      each$f(availableMethods, function(o) {
        this[o] = bind$1(a[o], a);
      }, this);
    }
    return r;
  }()
), coordinateSystemCreators = {}, CoordinateSystemManager = (
  /** @class */
  function() {
    function r() {
      this._coordinateSystems = [];
    }
    return r.prototype.create = function(a, o) {
      var s = [];
      each$f(coordinateSystemCreators, function(l, u) {
        var c = l.create(a, o);
        s = s.concat(c || []);
      }), this._coordinateSystems = s;
    }, r.prototype.update = function(a, o) {
      each$f(this._coordinateSystems, function(s) {
        s.update && s.update(a, o);
      });
    }, r.prototype.getCoordinateSystems = function() {
      return this._coordinateSystems.slice();
    }, r.register = function(a, o) {
      coordinateSystemCreators[a] = o;
    }, r.get = function(a) {
      return coordinateSystemCreators[a];
    }, r;
  }()
), QUERY_REG = /^(min|max)?(.+)$/, OptionManager = (
  /** @class */
  function() {
    function r(a) {
      this._timelineOptions = [], this._mediaList = [], this._currentMediaIndices = [], this._api = a;
    }
    return r.prototype.setOption = function(a, o, s) {
      a && (each$f(normalizeToArray(a.series), function(c) {
        c && c.data && isTypedArray(c.data) && setAsPrimitive(c.data);
      }), each$f(normalizeToArray(a.dataset), function(c) {
        c && c.source && isTypedArray(c.source) && setAsPrimitive(c.source);
      })), a = clone$4(a);
      var l = this._optionBackup, u = parseRawOption(a, o, !l);
      this._newBaseOption = u.baseOption, l ? (u.timelineOptions.length && (l.timelineOptions = u.timelineOptions), u.mediaList.length && (l.mediaList = u.mediaList), u.mediaDefault && (l.mediaDefault = u.mediaDefault)) : this._optionBackup = u;
    }, r.prototype.mountOption = function(a) {
      var o = this._optionBackup;
      return this._timelineOptions = o.timelineOptions, this._mediaList = o.mediaList, this._mediaDefault = o.mediaDefault, this._currentMediaIndices = [], clone$4(a ? o.baseOption : this._newBaseOption);
    }, r.prototype.getTimelineOption = function(a) {
      var o, s = this._timelineOptions;
      if (s.length) {
        var l = a.getComponent("timeline");
        l && (o = clone$4(
          // FIXME:TS as TimelineModel or quivlant interface
          s[l.getCurrentIndex()]
        ));
      }
      return o;
    }, r.prototype.getMediaOption = function(a) {
      var o = this._api.getWidth(), s = this._api.getHeight(), l = this._mediaList, u = this._mediaDefault, c = [], d = [];
      if (!l.length && !u)
        return d;
      for (var f = 0, p = l.length; f < p; f++)
        applyMediaQuery(l[f].query, o, s) && c.push(f);
      return !c.length && u && (c = [-1]), c.length && !indicesEquals(c, this._currentMediaIndices) && (d = map$1(c, function(v) {
        return clone$4(v === -1 ? u.option : l[v].option);
      })), this._currentMediaIndices = c, d;
    }, r;
  }()
);
function parseRawOption(r, a, o) {
  var s = [], l, u, c = r.baseOption, d = r.timeline, f = r.options, p = r.media, v = !!r.media, g = !!(f || d || c && c.timeline);
  c ? (u = c, u.timeline || (u.timeline = d)) : ((g || v) && (r.options = r.media = null), u = r), v && (isArray$1(p) ? each$f(p, function(_) {
    process.env.NODE_ENV !== "production" && _ && !_.option && isObject$3(_.query) && isObject$3(_.query.option) && error("Illegal media option. Must be like { media: [ { query: {}, option: {} } ] }"), _ && _.option && (_.query ? s.push(_) : l || (l = _));
  }) : process.env.NODE_ENV !== "production" && error("Illegal media option. Must be an array. Like { media: [ {...}, {...} ] }")), y(u), each$f(f, function(_) {
    return y(_);
  }), each$f(s, function(_) {
    return y(_.option);
  });
  function y(_) {
    each$f(a, function(S) {
      S(_, o);
    });
  }
  return {
    baseOption: u,
    timelineOptions: f || [],
    mediaDefault: l,
    mediaList: s
  };
}
function applyMediaQuery(r, a, o) {
  var s = {
    width: a,
    height: o,
    aspectratio: a / o
    // lower case for convenience.
  }, l = !0;
  return each$f(r, function(u, c) {
    var d = c.match(QUERY_REG);
    if (!(!d || !d[1] || !d[2])) {
      var f = d[1], p = d[2].toLowerCase();
      compare(s[p], u, f) || (l = !1);
    }
  }), l;
}
function compare(r, a, o) {
  return o === "min" ? r >= a : o === "max" ? r <= a : r === a;
}
function indicesEquals(r, a) {
  return r.join(",") === a.join(",");
}
var each$d = each$f, isObject$2 = isObject$3, POSSIBLE_STYLES = ["areaStyle", "lineStyle", "nodeStyle", "linkStyle", "chordStyle", "label", "labelLine"];
function compatEC2ItemStyle(r) {
  var a = r && r.itemStyle;
  if (a)
    for (var o = 0, s = POSSIBLE_STYLES.length; o < s; o++) {
      var l = POSSIBLE_STYLES[o], u = a.normal, c = a.emphasis;
      u && u[l] && (process.env.NODE_ENV !== "production" && deprecateReplaceLog("itemStyle.normal." + l, l), r[l] = r[l] || {}, r[l].normal ? merge(r[l].normal, u[l]) : r[l].normal = u[l], u[l] = null), c && c[l] && (process.env.NODE_ENV !== "production" && deprecateReplaceLog("itemStyle.emphasis." + l, "emphasis." + l), r[l] = r[l] || {}, r[l].emphasis ? merge(r[l].emphasis, c[l]) : r[l].emphasis = c[l], c[l] = null);
    }
}
function convertNormalEmphasis(r, a, o) {
  if (r && r[a] && (r[a].normal || r[a].emphasis)) {
    var s = r[a].normal, l = r[a].emphasis;
    s && (process.env.NODE_ENV !== "production" && deprecateLog("'normal' hierarchy in " + a + " has been removed since 4.0. All style properties are configured in " + a + " directly now."), o ? (r[a].normal = r[a].emphasis = null, defaults(r[a], s)) : r[a] = s), l && (process.env.NODE_ENV !== "production" && deprecateLog(a + ".emphasis has been changed to emphasis." + a + " since 4.0"), r.emphasis = r.emphasis || {}, r.emphasis[a] = l, l.focus && (r.emphasis.focus = l.focus), l.blurScope && (r.emphasis.blurScope = l.blurScope));
  }
}
function removeEC3NormalStatus(r) {
  convertNormalEmphasis(r, "itemStyle"), convertNormalEmphasis(r, "lineStyle"), convertNormalEmphasis(r, "areaStyle"), convertNormalEmphasis(r, "label"), convertNormalEmphasis(r, "labelLine"), convertNormalEmphasis(r, "upperLabel"), convertNormalEmphasis(r, "edgeLabel");
}
function compatTextStyle(r, a) {
  var o = isObject$2(r) && r[a], s = isObject$2(o) && o.textStyle;
  if (s) {
    process.env.NODE_ENV !== "production" && deprecateLog("textStyle hierarchy in " + a + " has been removed since 4.0. All textStyle properties are configured in " + a + " directly now.");
    for (var l = 0, u = TEXT_STYLE_OPTIONS.length; l < u; l++) {
      var c = TEXT_STYLE_OPTIONS[l];
      s.hasOwnProperty(c) && (o[c] = s[c]);
    }
  }
}
function compatEC3CommonStyles(r) {
  r && (removeEC3NormalStatus(r), compatTextStyle(r, "label"), r.emphasis && compatTextStyle(r.emphasis, "label"));
}
function processSeries(r) {
  if (isObject$2(r)) {
    compatEC2ItemStyle(r), removeEC3NormalStatus(r), compatTextStyle(r, "label"), compatTextStyle(r, "upperLabel"), compatTextStyle(r, "edgeLabel"), r.emphasis && (compatTextStyle(r.emphasis, "label"), compatTextStyle(r.emphasis, "upperLabel"), compatTextStyle(r.emphasis, "edgeLabel"));
    var a = r.markPoint;
    a && (compatEC2ItemStyle(a), compatEC3CommonStyles(a));
    var o = r.markLine;
    o && (compatEC2ItemStyle(o), compatEC3CommonStyles(o));
    var s = r.markArea;
    s && compatEC3CommonStyles(s);
    var l = r.data;
    if (r.type === "graph") {
      l = l || r.nodes;
      var u = r.links || r.edges;
      if (u && !isTypedArray(u))
        for (var c = 0; c < u.length; c++)
          compatEC3CommonStyles(u[c]);
      each$f(r.categories, function(p) {
        removeEC3NormalStatus(p);
      });
    }
    if (l && !isTypedArray(l))
      for (var c = 0; c < l.length; c++)
        compatEC3CommonStyles(l[c]);
    if (a = r.markPoint, a && a.data)
      for (var d = a.data, c = 0; c < d.length; c++)
        compatEC3CommonStyles(d[c]);
    if (o = r.markLine, o && o.data)
      for (var f = o.data, c = 0; c < f.length; c++)
        isArray$1(f[c]) ? (compatEC3CommonStyles(f[c][0]), compatEC3CommonStyles(f[c][1])) : compatEC3CommonStyles(f[c]);
    r.type === "gauge" ? (compatTextStyle(r, "axisLabel"), compatTextStyle(r, "title"), compatTextStyle(r, "detail")) : r.type === "treemap" ? (convertNormalEmphasis(r.breadcrumb, "itemStyle"), each$f(r.levels, function(p) {
      removeEC3NormalStatus(p);
    })) : r.type === "tree" && removeEC3NormalStatus(r.leaves);
  }
}
function toArr(r) {
  return isArray$1(r) ? r : r ? [r] : [];
}
function toObj(r) {
  return (isArray$1(r) ? r[0] : r) || {};
}
function globalCompatStyle(r, a) {
  each$d(toArr(r.series), function(s) {
    isObject$2(s) && processSeries(s);
  });
  var o = ["xAxis", "yAxis", "radiusAxis", "angleAxis", "singleAxis", "parallelAxis", "radar"];
  a && o.push("valueAxis", "categoryAxis", "logAxis", "timeAxis"), each$d(o, function(s) {
    each$d(toArr(r[s]), function(l) {
      l && (compatTextStyle(l, "axisLabel"), compatTextStyle(l.axisPointer, "label"));
    });
  }), each$d(toArr(r.parallel), function(s) {
    var l = s && s.parallelAxisDefault;
    compatTextStyle(l, "axisLabel"), compatTextStyle(l && l.axisPointer, "label");
  }), each$d(toArr(r.calendar), function(s) {
    convertNormalEmphasis(s, "itemStyle"), compatTextStyle(s, "dayLabel"), compatTextStyle(s, "monthLabel"), compatTextStyle(s, "yearLabel");
  }), each$d(toArr(r.radar), function(s) {
    compatTextStyle(s, "name"), s.name && s.axisName == null && (s.axisName = s.name, delete s.name, process.env.NODE_ENV !== "production" && deprecateLog("name property in radar component has been changed to axisName")), s.nameGap != null && s.axisNameGap == null && (s.axisNameGap = s.nameGap, delete s.nameGap, process.env.NODE_ENV !== "production" && deprecateLog("nameGap property in radar component has been changed to axisNameGap")), process.env.NODE_ENV !== "production" && each$d(s.indicator, function(l) {
      l.text && deprecateReplaceLog("text", "name", "radar.indicator");
    });
  }), each$d(toArr(r.geo), function(s) {
    isObject$2(s) && (compatEC3CommonStyles(s), each$d(toArr(s.regions), function(l) {
      compatEC3CommonStyles(l);
    }));
  }), each$d(toArr(r.timeline), function(s) {
    compatEC3CommonStyles(s), convertNormalEmphasis(s, "label"), convertNormalEmphasis(s, "itemStyle"), convertNormalEmphasis(s, "controlStyle", !0);
    var l = s.data;
    isArray$1(l) && each$f(l, function(u) {
      isObject$3(u) && (convertNormalEmphasis(u, "label"), convertNormalEmphasis(u, "itemStyle"));
    });
  }), each$d(toArr(r.toolbox), function(s) {
    convertNormalEmphasis(s, "iconStyle"), each$d(s.feature, function(l) {
      convertNormalEmphasis(l, "iconStyle");
    });
  }), compatTextStyle(toObj(r.axisPointer), "label"), compatTextStyle(toObj(r.tooltip).axisPointer, "label");
}
function get(r, a) {
  for (var o = a.split(","), s = r, l = 0; l < o.length && (s = s && s[o[l]], s != null); l++)
    ;
  return s;
}
function set(r, a, o, s) {
  for (var l = a.split(","), u = r, c, d = 0; d < l.length - 1; d++)
    c = l[d], u[c] == null && (u[c] = {}), u = u[c];
  u[l[d]] == null && (u[l[d]] = o);
}
function compatLayoutProperties(r) {
  r && each$f(LAYOUT_PROPERTIES, function(a) {
    a[0] in r && !(a[1] in r) && (r[a[1]] = r[a[0]]);
  });
}
var LAYOUT_PROPERTIES = [["x", "left"], ["y", "top"], ["x2", "right"], ["y2", "bottom"]], COMPATITABLE_COMPONENTS = ["grid", "geo", "parallel", "legend", "toolbox", "title", "visualMap", "dataZoom", "timeline"], BAR_ITEM_STYLE_MAP = [["borderRadius", "barBorderRadius"], ["borderColor", "barBorderColor"], ["borderWidth", "barBorderWidth"]];
function compatBarItemStyle(r) {
  var a = r && r.itemStyle;
  if (a)
    for (var o = 0; o < BAR_ITEM_STYLE_MAP.length; o++) {
      var s = BAR_ITEM_STYLE_MAP[o][1], l = BAR_ITEM_STYLE_MAP[o][0];
      a[s] != null && (a[l] = a[s], process.env.NODE_ENV !== "production" && deprecateReplaceLog(s, l));
    }
}
function compatPieLabel(r) {
  r && r.alignTo === "edge" && r.margin != null && r.edgeDistance == null && (process.env.NODE_ENV !== "production" && deprecateReplaceLog("label.margin", "label.edgeDistance", "pie"), r.edgeDistance = r.margin);
}
function compatSunburstState(r) {
  r && r.downplay && !r.blur && (r.blur = r.downplay, process.env.NODE_ENV !== "production" && deprecateReplaceLog("downplay", "blur", "sunburst"));
}
function compatGraphFocus(r) {
  r && r.focusNodeAdjacency != null && (r.emphasis = r.emphasis || {}, r.emphasis.focus == null && (process.env.NODE_ENV !== "production" && deprecateReplaceLog("focusNodeAdjacency", "emphasis: { focus: 'adjacency'}", "graph/sankey"), r.emphasis.focus = "adjacency"));
}
function traverseTree(r, a) {
  if (r)
    for (var o = 0; o < r.length; o++)
      a(r[o]), r[o] && traverseTree(r[o].children, a);
}
function globalBackwardCompat(r, a) {
  globalCompatStyle(r, a), r.series = normalizeToArray(r.series), each$f(r.series, function(o) {
    if (isObject$3(o)) {
      var s = o.type;
      if (s === "line")
        o.clipOverflow != null && (o.clip = o.clipOverflow, process.env.NODE_ENV !== "production" && deprecateReplaceLog("clipOverflow", "clip", "line"));
      else if (s === "pie" || s === "gauge") {
        o.clockWise != null && (o.clockwise = o.clockWise, process.env.NODE_ENV !== "production" && deprecateReplaceLog("clockWise", "clockwise")), compatPieLabel(o.label);
        var l = o.data;
        if (l && !isTypedArray(l))
          for (var u = 0; u < l.length; u++)
            compatPieLabel(l[u]);
        o.hoverOffset != null && (o.emphasis = o.emphasis || {}, (o.emphasis.scaleSize = null) && (process.env.NODE_ENV !== "production" && deprecateReplaceLog("hoverOffset", "emphasis.scaleSize"), o.emphasis.scaleSize = o.hoverOffset));
      } else if (s === "gauge") {
        var c = get(o, "pointer.color");
        c != null && set(o, "itemStyle.color", c);
      } else if (s === "bar") {
        compatBarItemStyle(o), compatBarItemStyle(o.backgroundStyle), compatBarItemStyle(o.emphasis);
        var l = o.data;
        if (l && !isTypedArray(l))
          for (var u = 0; u < l.length; u++)
            typeof l[u] == "object" && (compatBarItemStyle(l[u]), compatBarItemStyle(l[u] && l[u].emphasis));
      } else if (s === "sunburst") {
        var d = o.highlightPolicy;
        d && (o.emphasis = o.emphasis || {}, o.emphasis.focus || (o.emphasis.focus = d, process.env.NODE_ENV !== "production" && deprecateReplaceLog("highlightPolicy", "emphasis.focus", "sunburst"))), compatSunburstState(o), traverseTree(o.data, compatSunburstState);
      } else s === "graph" || s === "sankey" ? compatGraphFocus(o) : s === "map" && (o.mapType && !o.map && (process.env.NODE_ENV !== "production" && deprecateReplaceLog("mapType", "map", "map"), o.map = o.mapType), o.mapLocation && (process.env.NODE_ENV !== "production" && deprecateLog("`mapLocation` is not used anymore."), defaults(o, o.mapLocation)));
      o.hoverAnimation != null && (o.emphasis = o.emphasis || {}, o.emphasis && o.emphasis.scale == null && (process.env.NODE_ENV !== "production" && deprecateReplaceLog("hoverAnimation", "emphasis.scale"), o.emphasis.scale = o.hoverAnimation)), compatLayoutProperties(o);
    }
  }), r.dataRange && (r.visualMap = r.dataRange), each$f(COMPATITABLE_COMPONENTS, function(o) {
    var s = r[o];
    s && (isArray$1(s) || (s = [s]), each$f(s, function(l) {
      compatLayoutProperties(l);
    }));
  });
}
function dataStack$1(r) {
  var a = createHashMap();
  r.eachSeries(function(o) {
    var s = o.get("stack");
    if (s) {
      var l = a.get(s) || a.set(s, []), u = o.getData(), c = {
        // Used for calculate axis extent automatically.
        // TODO: Type getCalculationInfo return more specific type?
        stackResultDimension: u.getCalculationInfo("stackResultDimension"),
        stackedOverDimension: u.getCalculationInfo("stackedOverDimension"),
        stackedDimension: u.getCalculationInfo("stackedDimension"),
        stackedByDimension: u.getCalculationInfo("stackedByDimension"),
        isStackedByIndex: u.getCalculationInfo("isStackedByIndex"),
        data: u,
        seriesModel: o
      };
      if (!c.stackedDimension || !(c.isStackedByIndex || c.stackedByDimension))
        return;
      l.length && u.setCalculationInfo("stackedOnSeries", l[l.length - 1].seriesModel), l.push(c);
    }
  }), a.each(calculateStack);
}
function calculateStack(r) {
  each$f(r, function(a, o) {
    var s = [], l = [NaN, NaN], u = [a.stackResultDimension, a.stackedOverDimension], c = a.data, d = a.isStackedByIndex, f = a.seriesModel.get("stackStrategy") || "samesign";
    c.modify(u, function(p, v, g) {
      var y = c.get(a.stackedDimension, g);
      if (isNaN(y))
        return l;
      var _, S;
      d ? S = c.getRawIndex(g) : _ = c.get(a.stackedByDimension, g);
      for (var C = NaN, b = o - 1; b >= 0; b--) {
        var T = r[b];
        if (d || (S = T.data.rawIndexOf(T.stackedByDimension, _)), S >= 0) {
          var E = T.data.getByRawIndex(T.stackResultDimension, S);
          if (f === "all" || f === "positive" && E > 0 || f === "negative" && E < 0 || f === "samesign" && y >= 0 && E > 0 || f === "samesign" && y <= 0 && E < 0) {
            y = addSafe(y, E), C = E;
            break;
          }
        }
      }
      return s[0] = y, s[1] = C, s;
    });
  });
}
var SourceImpl = (
  /** @class */
  /* @__PURE__ */ function() {
    function r(a) {
      this.data = a.data || (a.sourceFormat === SOURCE_FORMAT_KEYED_COLUMNS ? {} : []), this.sourceFormat = a.sourceFormat || SOURCE_FORMAT_UNKNOWN, this.seriesLayoutBy = a.seriesLayoutBy || SERIES_LAYOUT_BY_COLUMN, this.startIndex = a.startIndex || 0, this.dimensionsDetectedCount = a.dimensionsDetectedCount, this.metaRawOption = a.metaRawOption;
      var o = this.dimensionsDefine = a.dimensionsDefine;
      if (o)
        for (var s = 0; s < o.length; s++) {
          var l = o[s];
          l.type == null && guessOrdinal(this, s) === BE_ORDINAL.Must && (l.type = "ordinal");
        }
    }
    return r;
  }()
);
function isSourceInstance(r) {
  return r instanceof SourceImpl;
}
function createSource(r, a, o) {
  o = o || detectSourceFormat(r);
  var s = a.seriesLayoutBy, l = determineSourceDimensions(r, o, s, a.sourceHeader, a.dimensions), u = new SourceImpl({
    data: r,
    sourceFormat: o,
    seriesLayoutBy: s,
    dimensionsDefine: l.dimensionsDefine,
    startIndex: l.startIndex,
    dimensionsDetectedCount: l.dimensionsDetectedCount,
    metaRawOption: clone$4(a)
  });
  return u;
}
function createSourceFromSeriesDataOption(r) {
  return new SourceImpl({
    data: r,
    sourceFormat: isTypedArray(r) ? SOURCE_FORMAT_TYPED_ARRAY : SOURCE_FORMAT_ORIGINAL
  });
}
function cloneSourceShallow(r) {
  return new SourceImpl({
    data: r.data,
    sourceFormat: r.sourceFormat,
    seriesLayoutBy: r.seriesLayoutBy,
    dimensionsDefine: clone$4(r.dimensionsDefine),
    startIndex: r.startIndex,
    dimensionsDetectedCount: r.dimensionsDetectedCount
  });
}
function detectSourceFormat(r) {
  var a = SOURCE_FORMAT_UNKNOWN;
  if (isTypedArray(r))
    a = SOURCE_FORMAT_TYPED_ARRAY;
  else if (isArray$1(r)) {
    r.length === 0 && (a = SOURCE_FORMAT_ARRAY_ROWS);
    for (var o = 0, s = r.length; o < s; o++) {
      var l = r[o];
      if (l != null) {
        if (isArray$1(l) || isTypedArray(l)) {
          a = SOURCE_FORMAT_ARRAY_ROWS;
          break;
        } else if (isObject$3(l)) {
          a = SOURCE_FORMAT_OBJECT_ROWS;
          break;
        }
      }
    }
  } else if (isObject$3(r)) {
    for (var u in r)
      if (hasOwn(r, u) && isArrayLike(r[u])) {
        a = SOURCE_FORMAT_KEYED_COLUMNS;
        break;
      }
  }
  return a;
}
function determineSourceDimensions(r, a, o, s, l) {
  var u, c;
  if (!r)
    return {
      dimensionsDefine: normalizeDimensionsOption(l),
      startIndex: c,
      dimensionsDetectedCount: u
    };
  if (a === SOURCE_FORMAT_ARRAY_ROWS) {
    var d = r;
    s === "auto" || s == null ? arrayRowsTravelFirst(function(p) {
      p != null && p !== "-" && (isString(p) ? c == null && (c = 1) : c = 0);
    }, o, d, 10) : c = isNumber(s) ? s : s ? 1 : 0, !l && c === 1 && (l = [], arrayRowsTravelFirst(function(p, v) {
      l[v] = p != null ? p + "" : "";
    }, o, d, 1 / 0)), u = l ? l.length : o === SERIES_LAYOUT_BY_ROW ? d.length : d[0] ? d[0].length : null;
  } else if (a === SOURCE_FORMAT_OBJECT_ROWS)
    l || (l = objectRowsCollectDimensions(r));
  else if (a === SOURCE_FORMAT_KEYED_COLUMNS)
    l || (l = [], each$f(r, function(p, v) {
      l.push(v);
    }));
  else if (a === SOURCE_FORMAT_ORIGINAL) {
    var f = getDataItemValue(r[0]);
    u = isArray$1(f) && f.length || 1;
  } else a === SOURCE_FORMAT_TYPED_ARRAY && process.env.NODE_ENV !== "production" && assert(!!l, "dimensions must be given if data is TypedArray.");
  return {
    startIndex: c,
    dimensionsDefine: normalizeDimensionsOption(l),
    dimensionsDetectedCount: u
  };
}
function objectRowsCollectDimensions(r) {
  for (var a = 0, o; a < r.length && !(o = r[a++]); )
    ;
  if (o)
    return keys(o);
}
function normalizeDimensionsOption(r) {
  if (r) {
    var a = createHashMap();
    return map$1(r, function(o, s) {
      o = isObject$3(o) ? o : {
        name: o
      };
      var l = {
        name: o.name,
        displayName: o.displayName,
        type: o.type
      };
      if (l.name == null)
        return l;
      l.name += "", l.displayName == null && (l.displayName = l.name);
      var u = a.get(l.name);
      return u ? l.name += "-" + u.count++ : a.set(l.name, {
        count: 1
      }), l;
    });
  }
}
function arrayRowsTravelFirst(r, a, o, s) {
  if (a === SERIES_LAYOUT_BY_ROW)
    for (var l = 0; l < o.length && l < s; l++)
      r(o[l] ? o[l][0] : null, l);
  else
    for (var u = o[0] || [], l = 0; l < u.length && l < s; l++)
      r(u[l], l);
}
function shouldRetrieveDataByName(r) {
  var a = r.sourceFormat;
  return a === SOURCE_FORMAT_OBJECT_ROWS || a === SOURCE_FORMAT_KEYED_COLUMNS;
}
var _a, _b, _c, providerMethods, mountMethods, DefaultDataProvider = (
  /** @class */
  function() {
    function r(a, o) {
      var s = isSourceInstance(a) ? a : createSourceFromSeriesDataOption(a);
      this._source = s;
      var l = this._data = s.data;
      if (s.sourceFormat === SOURCE_FORMAT_TYPED_ARRAY) {
        if (process.env.NODE_ENV !== "production" && o == null)
          throw new Error("Typed array data must specify dimension size");
        this._offset = 0, this._dimSize = o, this._data = l;
      }
      mountMethods(this, l, s);
    }
    return r.prototype.getSource = function() {
      return this._source;
    }, r.prototype.count = function() {
      return 0;
    }, r.prototype.getItem = function(a, o) {
    }, r.prototype.appendData = function(a) {
    }, r.prototype.clean = function() {
    }, r.protoInitialize = function() {
      var a = r.prototype;
      a.pure = !1, a.persistent = !0;
    }(), r.internalField = function() {
      var a;
      mountMethods = function(c, d, f) {
        var p = f.sourceFormat, v = f.seriesLayoutBy, g = f.startIndex, y = f.dimensionsDefine, _ = providerMethods[getMethodMapKey(p, v)];
        if (process.env.NODE_ENV !== "production" && assert(_, "Invalide sourceFormat: " + p), extend(c, _), p === SOURCE_FORMAT_TYPED_ARRAY)
          c.getItem = o, c.count = l, c.fillStorage = s;
        else {
          var S = getRawSourceItemGetter(p, v);
          c.getItem = bind$1(S, null, d, g, y);
          var C = getRawSourceDataCounter(p, v);
          c.count = bind$1(C, null, d, g, y);
        }
      };
      var o = function(c, d) {
        c = c - this._offset, d = d || [];
        for (var f = this._data, p = this._dimSize, v = p * c, g = 0; g < p; g++)
          d[g] = f[v + g];
        return d;
      }, s = function(c, d, f, p) {
        for (var v = this._data, g = this._dimSize, y = 0; y < g; y++) {
          for (var _ = p[y], S = _[0] == null ? 1 / 0 : _[0], C = _[1] == null ? -1 / 0 : _[1], b = d - c, T = f[y], E = 0; E < b; E++) {
            var x = v[E * g + y];
            T[c + E] = x, x < S && (S = x), x > C && (C = x);
          }
          _[0] = S, _[1] = C;
        }
      }, l = function() {
        return this._data ? this._data.length / this._dimSize : 0;
      };
      providerMethods = (a = {}, a[SOURCE_FORMAT_ARRAY_ROWS + "_" + SERIES_LAYOUT_BY_COLUMN] = {
        pure: !0,
        appendData: u
      }, a[SOURCE_FORMAT_ARRAY_ROWS + "_" + SERIES_LAYOUT_BY_ROW] = {
        pure: !0,
        appendData: function() {
          throw new Error('Do not support appendData when set seriesLayoutBy: "row".');
        }
      }, a[SOURCE_FORMAT_OBJECT_ROWS] = {
        pure: !0,
        appendData: u
      }, a[SOURCE_FORMAT_KEYED_COLUMNS] = {
        pure: !0,
        appendData: function(c) {
          var d = this._data;
          each$f(c, function(f, p) {
            for (var v = d[p] || (d[p] = []), g = 0; g < (f || []).length; g++)
              v.push(f[g]);
          });
        }
      }, a[SOURCE_FORMAT_ORIGINAL] = {
        appendData: u
      }, a[SOURCE_FORMAT_TYPED_ARRAY] = {
        persistent: !1,
        pure: !0,
        appendData: function(c) {
          process.env.NODE_ENV !== "production" && assert(isTypedArray(c), "Added data must be TypedArray if data in initialization is TypedArray"), this._data = c;
        },
        // Clean self if data is already used.
        clean: function() {
          this._offset += this.count(), this._data = null;
        }
      }, a);
      function u(c) {
        for (var d = 0; d < c.length; d++)
          this._data.push(c[d]);
      }
    }(), r;
  }()
), getItemSimply = function(r, a, o, s) {
  return r[s];
}, rawSourceItemGetterMap = (_a = {}, _a[SOURCE_FORMAT_ARRAY_ROWS + "_" + SERIES_LAYOUT_BY_COLUMN] = function(r, a, o, s) {
  return r[s + a];
}, _a[SOURCE_FORMAT_ARRAY_ROWS + "_" + SERIES_LAYOUT_BY_ROW] = function(r, a, o, s, l) {
  s += a;
  for (var u = l || [], c = r, d = 0; d < c.length; d++) {
    var f = c[d];
    u[d] = f ? f[s] : null;
  }
  return u;
}, _a[SOURCE_FORMAT_OBJECT_ROWS] = getItemSimply, _a[SOURCE_FORMAT_KEYED_COLUMNS] = function(r, a, o, s, l) {
  for (var u = l || [], c = 0; c < o.length; c++) {
    var d = o[c].name;
    if (process.env.NODE_ENV !== "production" && d == null)
      throw new Error();
    var f = r[d];
    u[c] = f ? f[s] : null;
  }
  return u;
}, _a[SOURCE_FORMAT_ORIGINAL] = getItemSimply, _a);
function getRawSourceItemGetter(r, a) {
  var o = rawSourceItemGetterMap[getMethodMapKey(r, a)];
  return process.env.NODE_ENV !== "production" && assert(o, 'Do not support get item on "' + r + '", "' + a + '".'), o;
}
var countSimply = function(r, a, o) {
  return r.length;
}, rawSourceDataCounterMap = (_b = {}, _b[SOURCE_FORMAT_ARRAY_ROWS + "_" + SERIES_LAYOUT_BY_COLUMN] = function(r, a, o) {
  return Math.max(0, r.length - a);
}, _b[SOURCE_FORMAT_ARRAY_ROWS + "_" + SERIES_LAYOUT_BY_ROW] = function(r, a, o) {
  var s = r[0];
  return s ? Math.max(0, s.length - a) : 0;
}, _b[SOURCE_FORMAT_OBJECT_ROWS] = countSimply, _b[SOURCE_FORMAT_KEYED_COLUMNS] = function(r, a, o) {
  var s = o[0].name;
  if (process.env.NODE_ENV !== "production" && s == null)
    throw new Error();
  var l = r[s];
  return l ? l.length : 0;
}, _b[SOURCE_FORMAT_ORIGINAL] = countSimply, _b);
function getRawSourceDataCounter(r, a) {
  var o = rawSourceDataCounterMap[getMethodMapKey(r, a)];
  return process.env.NODE_ENV !== "production" && assert(o, 'Do not support count on "' + r + '", "' + a + '".'), o;
}
var getRawValueSimply = function(r, a, o) {
  return r[a];
}, rawSourceValueGetterMap = (_c = {}, _c[SOURCE_FORMAT_ARRAY_ROWS] = getRawValueSimply, _c[SOURCE_FORMAT_OBJECT_ROWS] = function(r, a, o) {
  return r[o];
}, _c[SOURCE_FORMAT_KEYED_COLUMNS] = getRawValueSimply, _c[SOURCE_FORMAT_ORIGINAL] = function(r, a, o) {
  var s = getDataItemValue(r);
  return s instanceof Array ? s[a] : s;
}, _c[SOURCE_FORMAT_TYPED_ARRAY] = getRawValueSimply, _c);
function getRawSourceValueGetter(r) {
  var a = rawSourceValueGetterMap[r];
  return process.env.NODE_ENV !== "production" && assert(a, 'Do not support get value on "' + r + '".'), a;
}
function getMethodMapKey(r, a) {
  return r === SOURCE_FORMAT_ARRAY_ROWS ? r + "_" + a : r;
}
function retrieveRawValue(r, a, o) {
  if (r) {
    var s = r.getRawDataItem(a);
    if (s != null) {
      var l = r.getStore(), u = l.getSource().sourceFormat;
      if (o != null) {
        var c = r.getDimensionIndex(o), d = l.getDimensionProperty(c);
        return getRawSourceValueGetter(u)(s, c, d);
      } else {
        var f = s;
        return u === SOURCE_FORMAT_ORIGINAL && (f = getDataItemValue(s)), f;
      }
    }
  }
}
var DIMENSION_LABEL_REG = /\{@(.+?)\}/g, DataFormatMixin = (
  /** @class */
  function() {
    function r() {
    }
    return r.prototype.getDataParams = function(a, o) {
      var s = this.getData(o), l = this.getRawValue(a, o), u = s.getRawIndex(a), c = s.getName(a), d = s.getRawDataItem(a), f = s.getItemVisual(a, "style"), p = f && f[s.getItemVisual(a, "drawType") || "fill"], v = f && f.stroke, g = this.mainType, y = g === "series", _ = s.userOutput && s.userOutput.get();
      return {
        componentType: g,
        componentSubType: this.subType,
        componentIndex: this.componentIndex,
        seriesType: y ? this.subType : null,
        seriesIndex: this.seriesIndex,
        seriesId: y ? this.id : null,
        seriesName: y ? this.name : null,
        name: c,
        dataIndex: u,
        data: d,
        dataType: o,
        value: l,
        color: p,
        borderColor: v,
        dimensionNames: _ ? _.fullDimensions : null,
        encode: _ ? _.encode : null,
        // Param name list for mapping `a`, `b`, `c`, `d`, `e`
        $vars: ["seriesName", "name", "value"]
      };
    }, r.prototype.getFormattedLabel = function(a, o, s, l, u, c) {
      o = o || "normal";
      var d = this.getData(s), f = this.getDataParams(a, s);
      if (c && (f.value = c.interpolatedValue), l != null && isArray$1(f.value) && (f.value = f.value[l]), !u) {
        var p = d.getItemModel(a);
        u = p.get(o === "normal" ? ["label", "formatter"] : [o, "label", "formatter"]);
      }
      if (isFunction(u))
        return f.status = o, f.dimensionIndex = l, u(f);
      if (isString(u)) {
        var v = formatTpl(u, f);
        return v.replace(DIMENSION_LABEL_REG, function(g, y) {
          var _ = y.length, S = y;
          S.charAt(0) === "[" && S.charAt(_ - 1) === "]" && (S = +S.slice(1, _ - 1), process.env.NODE_ENV !== "production" && isNaN(S) && error("Invalide label formatter: @" + y + ", only support @[0], @[1], @[2], ..."));
          var C = retrieveRawValue(d, a, S);
          if (c && isArray$1(c.interpolatedValue)) {
            var b = d.getDimensionIndex(S);
            b >= 0 && (C = c.interpolatedValue[b]);
          }
          return C != null ? C + "" : "";
        });
      }
    }, r.prototype.getRawValue = function(a, o) {
      return retrieveRawValue(this.getData(o), a);
    }, r.prototype.formatTooltip = function(a, o, s) {
    }, r;
  }()
);
function normalizeTooltipFormatResult(r) {
  var a, o;
  return isObject$3(r) ? r.type ? o = r : process.env.NODE_ENV !== "production" && console.warn("The return type of `formatTooltip` is not supported: " + makePrintable(r)) : a = r, {
    text: a,
    // markers: markers || markersExisting,
    frag: o
  };
}
function createTask(r) {
  return new Task(r);
}
var Task = (
  /** @class */
  function() {
    function r(a) {
      a = a || {}, this._reset = a.reset, this._plan = a.plan, this._count = a.count, this._onDirty = a.onDirty, this._dirty = !0;
    }
    return r.prototype.perform = function(a) {
      var o = this._upstream, s = a && a.skip;
      if (this._dirty && o) {
        var l = this.context;
        l.data = l.outputData = o.context.outputData;
      }
      this.__pipeline && (this.__pipeline.currentTask = this);
      var u;
      this._plan && !s && (u = this._plan(this.context));
      var c = v(this._modBy), d = this._modDataCount || 0, f = v(a && a.modBy), p = a && a.modDataCount || 0;
      (c !== f || d !== p) && (u = "reset");
      function v(E) {
        return !(E >= 1) && (E = 1), E;
      }
      var g;
      (this._dirty || u === "reset") && (this._dirty = !1, g = this._doReset(s)), this._modBy = f, this._modDataCount = p;
      var y = a && a.step;
      if (o ? (process.env.NODE_ENV !== "production" && assert(o._outputDueEnd != null), this._dueEnd = o._outputDueEnd) : (process.env.NODE_ENV !== "production" && assert(!this._progress || this._count), this._dueEnd = this._count ? this._count(this.context) : 1 / 0), this._progress) {
        var _ = this._dueIndex, S = Math.min(y != null ? this._dueIndex + y : 1 / 0, this._dueEnd);
        if (!s && (g || _ < S)) {
          var C = this._progress;
          if (isArray$1(C))
            for (var b = 0; b < C.length; b++)
              this._doProgress(C[b], _, S, f, p);
          else
            this._doProgress(C, _, S, f, p);
        }
        this._dueIndex = S;
        var T = this._settedOutputEnd != null ? this._settedOutputEnd : S;
        process.env.NODE_ENV !== "production" && assert(T >= this._outputDueEnd), this._outputDueEnd = T;
      } else
        this._dueIndex = this._outputDueEnd = this._settedOutputEnd != null ? this._settedOutputEnd : this._dueEnd;
      return this.unfinished();
    }, r.prototype.dirty = function() {
      this._dirty = !0, this._onDirty && this._onDirty(this.context);
    }, r.prototype._doProgress = function(a, o, s, l, u) {
      iterator.reset(o, s, l, u), this._callingProgress = a, this._callingProgress({
        start: o,
        end: s,
        count: s - o,
        next: iterator.next
      }, this.context);
    }, r.prototype._doReset = function(a) {
      this._dueIndex = this._outputDueEnd = this._dueEnd = 0, this._settedOutputEnd = null;
      var o, s;
      !a && this._reset && (o = this._reset(this.context), o && o.progress && (s = o.forceFirstProgress, o = o.progress), isArray$1(o) && !o.length && (o = null)), this._progress = o, this._modBy = this._modDataCount = null;
      var l = this._downstream;
      return l && l.dirty(), s;
    }, r.prototype.unfinished = function() {
      return this._progress && this._dueIndex < this._dueEnd;
    }, r.prototype.pipe = function(a) {
      process.env.NODE_ENV !== "production" && assert(a && !a._disposed && a !== this), (this._downstream !== a || this._dirty) && (this._downstream = a, a._upstream = this, a.dirty());
    }, r.prototype.dispose = function() {
      this._disposed || (this._upstream && (this._upstream._downstream = null), this._downstream && (this._downstream._upstream = null), this._dirty = !1, this._disposed = !0);
    }, r.prototype.getUpstream = function() {
      return this._upstream;
    }, r.prototype.getDownstream = function() {
      return this._downstream;
    }, r.prototype.setOutputEnd = function(a) {
      this._outputDueEnd = this._settedOutputEnd = a;
    }, r;
  }()
), iterator = /* @__PURE__ */ function() {
  var r, a, o, s, l, u = {
    reset: function(f, p, v, g) {
      a = f, r = p, o = v, s = g, l = Math.ceil(s / o), u.next = o > 1 && s > 0 ? d : c;
    }
  };
  return u;
  function c() {
    return a < r ? a++ : null;
  }
  function d() {
    var f = a % l * o + Math.ceil(a / l), p = a >= r ? null : f < s ? f : a;
    return a++, p;
  }
}();
function parseDataValue(r, a) {
  var o = a && a.type;
  return o === "ordinal" ? r : (o === "time" && !isNumber(r) && r != null && r !== "-" && (r = +parseDate(r)), r == null || r === "" ? NaN : Number(r));
}
var valueParserMap = createHashMap({
  number: function(r) {
    return parseFloat(r);
  },
  time: function(r) {
    return +parseDate(r);
  },
  trim: function(r) {
    return isString(r) ? trim$1(r) : r;
  }
});
function getRawValueParser(r) {
  return valueParserMap.get(r);
}
var ORDER_COMPARISON_OP_MAP = {
  lt: function(r, a) {
    return r < a;
  },
  lte: function(r, a) {
    return r <= a;
  },
  gt: function(r, a) {
    return r > a;
  },
  gte: function(r, a) {
    return r >= a;
  }
}, FilterOrderComparator = (
  /** @class */
  function() {
    function r(a, o) {
      if (!isNumber(o)) {
        var s = "";
        process.env.NODE_ENV !== "production" && (s = 'rvalue of "<", ">", "<=", ">=" can only be number in filter.'), throwError(s);
      }
      this._opFn = ORDER_COMPARISON_OP_MAP[a], this._rvalFloat = numericToNumber(o);
    }
    return r.prototype.evaluate = function(a) {
      return isNumber(a) ? this._opFn(a, this._rvalFloat) : this._opFn(numericToNumber(a), this._rvalFloat);
    }, r;
  }()
), SortOrderComparator = (
  /** @class */
  function() {
    function r(a, o) {
      var s = a === "desc";
      this._resultLT = s ? 1 : -1, o == null && (o = s ? "min" : "max"), this._incomparable = o === "min" ? -1 / 0 : 1 / 0;
    }
    return r.prototype.evaluate = function(a, o) {
      var s = isNumber(a) ? a : numericToNumber(a), l = isNumber(o) ? o : numericToNumber(o), u = isNaN(s), c = isNaN(l);
      if (u && (s = this._incomparable), c && (l = this._incomparable), u && c) {
        var d = isString(a), f = isString(o);
        d && (s = f ? a : 0), f && (l = d ? o : 0);
      }
      return s < l ? this._resultLT : s > l ? -this._resultLT : 0;
    }, r;
  }()
), FilterEqualityComparator = (
  /** @class */
  function() {
    function r(a, o) {
      this._rval = o, this._isEQ = a, this._rvalTypeof = typeof o, this._rvalFloat = numericToNumber(o);
    }
    return r.prototype.evaluate = function(a) {
      var o = a === this._rval;
      if (!o) {
        var s = typeof a;
        s !== this._rvalTypeof && (s === "number" || this._rvalTypeof === "number") && (o = numericToNumber(a) === this._rvalFloat);
      }
      return this._isEQ ? o : !o;
    }, r;
  }()
);
function createFilterComparator(r, a) {
  return r === "eq" || r === "ne" ? new FilterEqualityComparator(r === "eq", a) : hasOwn(ORDER_COMPARISON_OP_MAP, r) ? new FilterOrderComparator(r, a) : null;
}
var ExternalSource = (
  /** @class */
  function() {
    function r() {
    }
    return r.prototype.getRawData = function() {
      throw new Error("not supported");
    }, r.prototype.getRawDataItem = function(a) {
      throw new Error("not supported");
    }, r.prototype.cloneRawData = function() {
    }, r.prototype.getDimensionInfo = function(a) {
    }, r.prototype.cloneAllDimensionInfo = function() {
    }, r.prototype.count = function() {
    }, r.prototype.retrieveValue = function(a, o) {
    }, r.prototype.retrieveValueFromItem = function(a, o) {
    }, r.prototype.convertValue = function(a, o) {
      return parseDataValue(a, o);
    }, r;
  }()
);
function createExternalSource(r, a) {
  var o = new ExternalSource(), s = r.data, l = o.sourceFormat = r.sourceFormat, u = r.startIndex, c = "";
  r.seriesLayoutBy !== SERIES_LAYOUT_BY_COLUMN && (process.env.NODE_ENV !== "production" && (c = '`seriesLayoutBy` of upstream dataset can only be "column" in data transform.'), throwError(c));
  var d = [], f = {}, p = r.dimensionsDefine;
  if (p)
    each$f(p, function(C, b) {
      var T = C.name, E = {
        index: b,
        name: T,
        displayName: C.displayName
      };
      if (d.push(E), T != null) {
        var x = "";
        hasOwn(f, T) && (process.env.NODE_ENV !== "production" && (x = 'dimension name "' + T + '" duplicated.'), throwError(x)), f[T] = E;
      }
    });
  else
    for (var v = 0; v < r.dimensionsDetectedCount; v++)
      d.push({
        index: v
      });
  var g = getRawSourceItemGetter(l, SERIES_LAYOUT_BY_COLUMN);
  a.__isBuiltIn && (o.getRawDataItem = function(C) {
    return g(s, u, d, C);
  }, o.getRawData = bind$1(getRawData, null, r)), o.cloneRawData = bind$1(cloneRawData, null, r);
  var y = getRawSourceDataCounter(l, SERIES_LAYOUT_BY_COLUMN);
  o.count = bind$1(y, null, s, u, d);
  var _ = getRawSourceValueGetter(l);
  o.retrieveValue = function(C, b) {
    var T = g(s, u, d, C);
    return S(T, b);
  };
  var S = o.retrieveValueFromItem = function(C, b) {
    if (C != null) {
      var T = d[b];
      if (T)
        return _(C, b, T.name);
    }
  };
  return o.getDimensionInfo = bind$1(getDimensionInfo, null, d, f), o.cloneAllDimensionInfo = bind$1(cloneAllDimensionInfo, null, d), o;
}
function getRawData(r) {
  var a = r.sourceFormat;
  if (!isSupportedSourceFormat(a)) {
    var o = "";
    process.env.NODE_ENV !== "production" && (o = "`getRawData` is not supported in source format " + a), throwError(o);
  }
  return r.data;
}
function cloneRawData(r) {
  var a = r.sourceFormat, o = r.data;
  if (!isSupportedSourceFormat(a)) {
    var s = "";
    process.env.NODE_ENV !== "production" && (s = "`cloneRawData` is not supported in source format " + a), throwError(s);
  }
  if (a === SOURCE_FORMAT_ARRAY_ROWS) {
    for (var l = [], u = 0, c = o.length; u < c; u++)
      l.push(o[u].slice());
    return l;
  } else if (a === SOURCE_FORMAT_OBJECT_ROWS) {
    for (var l = [], u = 0, c = o.length; u < c; u++)
      l.push(extend({}, o[u]));
    return l;
  }
}
function getDimensionInfo(r, a, o) {
  if (o != null) {
    if (isNumber(o) || !isNaN(o) && !hasOwn(a, o))
      return r[o];
    if (hasOwn(a, o))
      return a[o];
  }
}
function cloneAllDimensionInfo(r) {
  return clone$4(r);
}
var externalTransformMap = createHashMap();
function registerExternalTransform(r) {
  r = clone$4(r);
  var a = r.type, o = "";
  a || (process.env.NODE_ENV !== "production" && (o = "Must have a `type` when `registerTransform`."), throwError(o));
  var s = a.split(":");
  s.length !== 2 && (process.env.NODE_ENV !== "production" && (o = 'Name must include namespace like "ns:regression".'), throwError(o));
  var l = !1;
  s[0] === "echarts" && (a = s[1], l = !0), r.__isBuiltIn = l, externalTransformMap.set(a, r);
}
function applyDataTransform(r, a, o) {
  var s = normalizeToArray(r), l = s.length, u = "";
  l || (process.env.NODE_ENV !== "production" && (u = "If `transform` declared, it should at least contain one transform."), throwError(u));
  for (var c = 0, d = l; c < d; c++) {
    var f = s[c];
    a = applySingleDataTransform(f, a, o, l === 1 ? null : c), c !== d - 1 && (a.length = Math.max(a.length, 1));
  }
  return a;
}
function applySingleDataTransform(r, a, o, s) {
  var l = "";
  a.length || (process.env.NODE_ENV !== "production" && (l = "Must have at least one upstream dataset."), throwError(l)), isObject$3(r) || (process.env.NODE_ENV !== "production" && (l = "transform declaration must be an object rather than " + typeof r + "."), throwError(l));
  var u = r.type, c = externalTransformMap.get(u);
  c || (process.env.NODE_ENV !== "production" && (l = 'Can not find transform on type "' + u + '".'), throwError(l));
  var d = map$1(a, function(v) {
    return createExternalSource(v, c);
  }), f = normalizeToArray(c.transform({
    upstream: d[0],
    upstreamList: d,
    config: clone$4(r.config)
  }));
  if (process.env.NODE_ENV !== "production" && r.print) {
    var p = map$1(f, function(v) {
      var g = s != null ? " === pipe index: " + s : "";
      return ["=== dataset index: " + o.datasetIndex + g + " ===", "- transform result data:", makePrintable(v.data), "- transform result dimensions:", makePrintable(v.dimensions)].join(`
`);
    }).join(`
`);
    log(p);
  }
  return map$1(f, function(v, g) {
    var y = "";
    isObject$3(v) || (process.env.NODE_ENV !== "production" && (y = "A transform should not return some empty results."), throwError(y)), v.data || (process.env.NODE_ENV !== "production" && (y = "Transform result data should be not be null or undefined"), throwError(y));
    var _ = detectSourceFormat(v.data);
    isSupportedSourceFormat(_) || (process.env.NODE_ENV !== "production" && (y = "Transform result data should be array rows or object rows."), throwError(y));
    var S, C = a[0];
    if (C && g === 0 && !v.dimensions) {
      var b = C.startIndex;
      b && (v.data = C.data.slice(0, b).concat(v.data)), S = {
        seriesLayoutBy: SERIES_LAYOUT_BY_COLUMN,
        sourceHeader: b,
        dimensions: C.metaRawOption.dimensions
      };
    } else
      S = {
        seriesLayoutBy: SERIES_LAYOUT_BY_COLUMN,
        sourceHeader: 0,
        dimensions: v.dimensions
      };
    return createSource(v.data, S, null);
  });
}
function isSupportedSourceFormat(r) {
  return r === SOURCE_FORMAT_ARRAY_ROWS || r === SOURCE_FORMAT_OBJECT_ROWS;
}
var UNDEFINED = "undefined", CtorUint32Array = typeof Uint32Array === UNDEFINED ? Array : Uint32Array, CtorUint16Array = typeof Uint16Array === UNDEFINED ? Array : Uint16Array, CtorInt32Array$1 = typeof Int32Array === UNDEFINED ? Array : Int32Array, CtorFloat64Array = typeof Float64Array === UNDEFINED ? Array : Float64Array, dataCtors = {
  float: CtorFloat64Array,
  int: CtorInt32Array$1,
  // Ordinal data type can be string or int
  ordinal: Array,
  number: Array,
  time: CtorFloat64Array
}, defaultDimValueGetters;
function getIndicesCtor(r) {
  return r > 65535 ? CtorUint32Array : CtorUint16Array;
}
function getInitialExtent() {
  return [1 / 0, -1 / 0];
}
function cloneChunk(r) {
  var a = r.constructor;
  return a === Array ? r.slice() : new a(r);
}
function prepareStore(r, a, o, s, l) {
  var u = dataCtors[o || "float"];
  if (l) {
    var c = r[a], d = c && c.length;
    if (d !== s) {
      for (var f = new u(s), p = 0; p < d; p++)
        f[p] = c[p];
      r[a] = f;
    }
  } else
    r[a] = new u(s);
}
var DataStore = (
  /** @class */
  function() {
    function r() {
      this._chunks = [], this._rawExtent = [], this._extent = [], this._count = 0, this._rawCount = 0, this._calcDimNameToIdx = createHashMap();
    }
    return r.prototype.initData = function(a, o, s) {
      process.env.NODE_ENV !== "production" && assert(isFunction(a.getItem) && isFunction(a.count), "Invalid data provider."), this._provider = a, this._chunks = [], this._indices = null, this.getRawIndex = this._getRawIdxIdentity;
      var l = a.getSource(), u = this.defaultDimValueGetter = defaultDimValueGetters[l.sourceFormat];
      this._dimValueGetter = s || u, this._rawExtent = [];
      var c = shouldRetrieveDataByName(l);
      this._dimensions = map$1(o, function(d) {
        return process.env.NODE_ENV !== "production" && c && assert(d.property != null), {
          // Only pick these two props. Not leak other properties like orderMeta.
          type: d.type,
          property: d.property
        };
      }), this._initDataFromProvider(0, a.count());
    }, r.prototype.getProvider = function() {
      return this._provider;
    }, r.prototype.getSource = function() {
      return this._provider.getSource();
    }, r.prototype.ensureCalculationDimension = function(a, o) {
      var s = this._calcDimNameToIdx, l = this._dimensions, u = s.get(a);
      if (u != null) {
        if (l[u].type === o)
          return u;
      } else
        u = l.length;
      return l[u] = {
        type: o
      }, s.set(a, u), this._chunks[u] = new dataCtors[o || "float"](this._rawCount), this._rawExtent[u] = getInitialExtent(), u;
    }, r.prototype.collectOrdinalMeta = function(a, o) {
      var s = this._chunks[a], l = this._dimensions[a], u = this._rawExtent, c = l.ordinalOffset || 0, d = s.length;
      c === 0 && (u[a] = getInitialExtent());
      for (var f = u[a], p = c; p < d; p++) {
        var v = s[p] = o.parseAndCollect(s[p]);
        isNaN(v) || (f[0] = Math.min(v, f[0]), f[1] = Math.max(v, f[1]));
      }
      l.ordinalMeta = o, l.ordinalOffset = d, l.type = "ordinal";
    }, r.prototype.getOrdinalMeta = function(a) {
      var o = this._dimensions[a], s = o.ordinalMeta;
      return s;
    }, r.prototype.getDimensionProperty = function(a) {
      var o = this._dimensions[a];
      return o && o.property;
    }, r.prototype.appendData = function(a) {
      process.env.NODE_ENV !== "production" && assert(!this._indices, "appendData can only be called on raw data.");
      var o = this._provider, s = this.count();
      o.appendData(a);
      var l = o.count();
      return o.persistent || (l += s), s < l && this._initDataFromProvider(s, l, !0), [s, l];
    }, r.prototype.appendValues = function(a, o) {
      for (var s = this._chunks, l = this._dimensions, u = l.length, c = this._rawExtent, d = this.count(), f = d + Math.max(a.length, o || 0), p = 0; p < u; p++) {
        var v = l[p];
        prepareStore(s, p, v.type, f, !0);
      }
      for (var g = [], y = d; y < f; y++)
        for (var _ = y - d, S = 0; S < u; S++) {
          var v = l[S], C = defaultDimValueGetters.arrayRows.call(this, a[_] || g, v.property, _, S);
          s[S][y] = C;
          var b = c[S];
          C < b[0] && (b[0] = C), C > b[1] && (b[1] = C);
        }
      return this._rawCount = this._count = f, {
        start: d,
        end: f
      };
    }, r.prototype._initDataFromProvider = function(a, o, s) {
      for (var l = this._provider, u = this._chunks, c = this._dimensions, d = c.length, f = this._rawExtent, p = map$1(c, function(E) {
        return E.property;
      }), v = 0; v < d; v++) {
        var g = c[v];
        f[v] || (f[v] = getInitialExtent()), prepareStore(u, v, g.type, o, s);
      }
      if (l.fillStorage)
        l.fillStorage(a, o, u, f);
      else
        for (var y = [], _ = a; _ < o; _++) {
          y = l.getItem(_, y);
          for (var S = 0; S < d; S++) {
            var C = u[S], b = this._dimValueGetter(y, p[S], _, S);
            C[_] = b;
            var T = f[S];
            b < T[0] && (T[0] = b), b > T[1] && (T[1] = b);
          }
        }
      !l.persistent && l.clean && l.clean(), this._rawCount = this._count = o, this._extent = [];
    }, r.prototype.count = function() {
      return this._count;
    }, r.prototype.get = function(a, o) {
      if (!(o >= 0 && o < this._count))
        return NaN;
      var s = this._chunks[a];
      return s ? s[this.getRawIndex(o)] : NaN;
    }, r.prototype.getValues = function(a, o) {
      var s = [], l = [];
      if (o == null) {
        o = a, a = [];
        for (var u = 0; u < this._dimensions.length; u++)
          l.push(u);
      } else
        l = a;
      for (var u = 0, c = l.length; u < c; u++)
        s.push(this.get(l[u], o));
      return s;
    }, r.prototype.getByRawIndex = function(a, o) {
      if (!(o >= 0 && o < this._rawCount))
        return NaN;
      var s = this._chunks[a];
      return s ? s[o] : NaN;
    }, r.prototype.getSum = function(a) {
      var o = this._chunks[a], s = 0;
      if (o)
        for (var l = 0, u = this.count(); l < u; l++) {
          var c = this.get(a, l);
          isNaN(c) || (s += c);
        }
      return s;
    }, r.prototype.getMedian = function(a) {
      var o = [];
      this.each([a], function(u) {
        isNaN(u) || o.push(u);
      });
      var s = o.sort(function(u, c) {
        return u - c;
      }), l = this.count();
      return l === 0 ? 0 : l % 2 === 1 ? s[(l - 1) / 2] : (s[l / 2] + s[l / 2 - 1]) / 2;
    }, r.prototype.indexOfRawIndex = function(a) {
      if (a >= this._rawCount || a < 0)
        return -1;
      if (!this._indices)
        return a;
      var o = this._indices, s = o[a];
      if (s != null && s < this._count && s === a)
        return a;
      for (var l = 0, u = this._count - 1; l <= u; ) {
        var c = (l + u) / 2 | 0;
        if (o[c] < a)
          l = c + 1;
        else if (o[c] > a)
          u = c - 1;
        else
          return c;
      }
      return -1;
    }, r.prototype.indicesOfNearest = function(a, o, s) {
      var l = this._chunks, u = l[a], c = [];
      if (!u)
        return c;
      s == null && (s = 1 / 0);
      for (var d = 1 / 0, f = -1, p = 0, v = 0, g = this.count(); v < g; v++) {
        var y = this.getRawIndex(v), _ = o - u[y], S = Math.abs(_);
        S <= s && ((S < d || S === d && _ >= 0 && f < 0) && (d = S, f = _, p = 0), _ === f && (c[p++] = v));
      }
      return c.length = p, c;
    }, r.prototype.getIndices = function() {
      var a, o = this._indices;
      if (o) {
        var s = o.constructor, l = this._count;
        if (s === Array) {
          a = new s(l);
          for (var u = 0; u < l; u++)
            a[u] = o[u];
        } else
          a = new s(o.buffer, 0, l);
      } else {
        var s = getIndicesCtor(this._rawCount);
        a = new s(this.count());
        for (var u = 0; u < a.length; u++)
          a[u] = u;
      }
      return a;
    }, r.prototype.filter = function(a, o) {
      if (!this._count)
        return this;
      for (var s = this.clone(), l = s.count(), u = getIndicesCtor(s._rawCount), c = new u(l), d = [], f = a.length, p = 0, v = a[0], g = s._chunks, y = 0; y < l; y++) {
        var _ = void 0, S = s.getRawIndex(y);
        if (f === 0)
          _ = o(y);
        else if (f === 1) {
          var C = g[v][S];
          _ = o(C, y);
        } else {
          for (var b = 0; b < f; b++)
            d[b] = g[a[b]][S];
          d[b] = y, _ = o.apply(null, d);
        }
        _ && (c[p++] = S);
      }
      return p < l && (s._indices = c), s._count = p, s._extent = [], s._updateGetRawIdx(), s;
    }, r.prototype.selectRange = function(a) {
      var o = this.clone(), s = o._count;
      if (!s)
        return this;
      var l = keys(a), u = l.length;
      if (!u)
        return this;
      var c = o.count(), d = getIndicesCtor(o._rawCount), f = new d(c), p = 0, v = l[0], g = a[v][0], y = a[v][1], _ = o._chunks, S = !1;
      if (!o._indices) {
        var C = 0;
        if (u === 1) {
          for (var b = _[l[0]], T = 0; T < s; T++) {
            var E = b[T];
            (E >= g && E <= y || isNaN(E)) && (f[p++] = C), C++;
          }
          S = !0;
        } else if (u === 2) {
          for (var b = _[l[0]], x = _[l[1]], $ = a[l[1]][0], A = a[l[1]][1], T = 0; T < s; T++) {
            var E = b[T], N = x[T];
            (E >= g && E <= y || isNaN(E)) && (N >= $ && N <= A || isNaN(N)) && (f[p++] = C), C++;
          }
          S = !0;
        }
      }
      if (!S)
        if (u === 1)
          for (var T = 0; T < c; T++) {
            var P = o.getRawIndex(T), E = _[l[0]][P];
            (E >= g && E <= y || isNaN(E)) && (f[p++] = P);
          }
        else
          for (var T = 0; T < c; T++) {
            for (var L = !0, P = o.getRawIndex(T), O = 0; O < u; O++) {
              var M = l[O], E = _[M][P];
              (E < a[M][0] || E > a[M][1]) && (L = !1);
            }
            L && (f[p++] = o.getRawIndex(T));
          }
      return p < c && (o._indices = f), o._count = p, o._extent = [], o._updateGetRawIdx(), o;
    }, r.prototype.map = function(a, o) {
      var s = this.clone(a);
      return this._updateDims(s, a, o), s;
    }, r.prototype.modify = function(a, o) {
      this._updateDims(this, a, o);
    }, r.prototype._updateDims = function(a, o, s) {
      for (var l = a._chunks, u = [], c = o.length, d = a.count(), f = [], p = a._rawExtent, v = 0; v < o.length; v++)
        p[o[v]] = getInitialExtent();
      for (var g = 0; g < d; g++) {
        for (var y = a.getRawIndex(g), _ = 0; _ < c; _++)
          f[_] = l[o[_]][y];
        f[c] = g;
        var S = s && s.apply(null, f);
        if (S != null) {
          typeof S != "object" && (u[0] = S, S = u);
          for (var v = 0; v < S.length; v++) {
            var C = o[v], b = S[v], T = p[C], E = l[C];
            E && (E[y] = b), b < T[0] && (T[0] = b), b > T[1] && (T[1] = b);
          }
        }
      }
    }, r.prototype.lttbDownSample = function(a, o) {
      var s = this.clone([a], !0), l = s._chunks, u = l[a], c = this.count(), d = 0, f = Math.floor(1 / o), p = this.getRawIndex(0), v, g, y, _ = new (getIndicesCtor(this._rawCount))(Math.min((Math.ceil(c / f) + 2) * 2, c));
      _[d++] = p;
      for (var S = 1; S < c - 1; S += f) {
        for (var C = Math.min(S + f, c - 1), b = Math.min(S + f * 2, c), T = (b + C) / 2, E = 0, x = C; x < b; x++) {
          var $ = this.getRawIndex(x), A = u[$];
          isNaN(A) || (E += A);
        }
        E /= b - C;
        var N = S, P = Math.min(S + f, c), L = S - 1, O = u[p];
        v = -1, y = N;
        for (var M = -1, F = 0, x = N; x < P; x++) {
          var $ = this.getRawIndex(x), A = u[$];
          if (isNaN(A)) {
            F++, M < 0 && (M = $);
            continue;
          }
          g = Math.abs((L - T) * (A - O) - (L - x) * (E - O)), g > v && (v = g, y = $);
        }
        F > 0 && F < P - N && (_[d++] = Math.min(M, y), y = Math.max(M, y)), _[d++] = y, p = y;
      }
      return _[d++] = this.getRawIndex(c - 1), s._count = d, s._indices = _, s.getRawIndex = this._getRawIdx, s;
    }, r.prototype.minmaxDownSample = function(a, o) {
      for (var s = this.clone([a], !0), l = s._chunks, u = Math.floor(1 / o), c = l[a], d = this.count(), f = new (getIndicesCtor(this._rawCount))(Math.ceil(d / u) * 2), p = 0, v = 0; v < d; v += u) {
        var g = v, y = c[this.getRawIndex(g)], _ = v, S = c[this.getRawIndex(_)], C = u;
        v + u > d && (C = d - v);
        for (var b = 0; b < C; b++) {
          var T = this.getRawIndex(v + b), E = c[T];
          E < y && (y = E, g = v + b), E > S && (S = E, _ = v + b);
        }
        var x = this.getRawIndex(g), $ = this.getRawIndex(_);
        g < _ ? (f[p++] = x, f[p++] = $) : (f[p++] = $, f[p++] = x);
      }
      return s._count = p, s._indices = f, s._updateGetRawIdx(), s;
    }, r.prototype.downSample = function(a, o, s, l) {
      for (var u = this.clone([a], !0), c = u._chunks, d = [], f = Math.floor(1 / o), p = c[a], v = this.count(), g = u._rawExtent[a] = getInitialExtent(), y = new (getIndicesCtor(this._rawCount))(Math.ceil(v / f)), _ = 0, S = 0; S < v; S += f) {
        f > v - S && (f = v - S, d.length = f);
        for (var C = 0; C < f; C++) {
          var b = this.getRawIndex(S + C);
          d[C] = p[b];
        }
        var T = s(d), E = this.getRawIndex(Math.min(S + l(d, T) || 0, v - 1));
        p[E] = T, T < g[0] && (g[0] = T), T > g[1] && (g[1] = T), y[_++] = E;
      }
      return u._count = _, u._indices = y, u._updateGetRawIdx(), u;
    }, r.prototype.each = function(a, o) {
      if (this._count)
        for (var s = a.length, l = this._chunks, u = 0, c = this.count(); u < c; u++) {
          var d = this.getRawIndex(u);
          switch (s) {
            case 0:
              o(u);
              break;
            case 1:
              o(l[a[0]][d], u);
              break;
            case 2:
              o(l[a[0]][d], l[a[1]][d], u);
              break;
            default:
              for (var f = 0, p = []; f < s; f++)
                p[f] = l[a[f]][d];
              p[f] = u, o.apply(null, p);
          }
        }
    }, r.prototype.getDataExtent = function(a) {
      var o = this._chunks[a], s = getInitialExtent();
      if (!o)
        return s;
      var l = this.count(), u = !this._indices, c;
      if (u)
        return this._rawExtent[a].slice();
      if (c = this._extent[a], c)
        return c.slice();
      c = s;
      for (var d = c[0], f = c[1], p = 0; p < l; p++) {
        var v = this.getRawIndex(p), g = o[v];
        g < d && (d = g), g > f && (f = g);
      }
      return c = [d, f], this._extent[a] = c, c;
    }, r.prototype.getRawDataItem = function(a) {
      var o = this.getRawIndex(a);
      if (this._provider.persistent)
        return this._provider.getItem(o);
      for (var s = [], l = this._chunks, u = 0; u < l.length; u++)
        s.push(l[u][o]);
      return s;
    }, r.prototype.clone = function(a, o) {
      var s = new r(), l = this._chunks, u = a && reduce(a, function(d, f) {
        return d[f] = !0, d;
      }, {});
      if (u)
        for (var c = 0; c < l.length; c++)
          s._chunks[c] = u[c] ? cloneChunk(l[c]) : l[c];
      else
        s._chunks = l;
      return this._copyCommonProps(s), o || (s._indices = this._cloneIndices()), s._updateGetRawIdx(), s;
    }, r.prototype._copyCommonProps = function(a) {
      a._count = this._count, a._rawCount = this._rawCount, a._provider = this._provider, a._dimensions = this._dimensions, a._extent = clone$4(this._extent), a._rawExtent = clone$4(this._rawExtent);
    }, r.prototype._cloneIndices = function() {
      if (this._indices) {
        var a = this._indices.constructor, o = void 0;
        if (a === Array) {
          var s = this._indices.length;
          o = new a(s);
          for (var l = 0; l < s; l++)
            o[l] = this._indices[l];
        } else
          o = new a(this._indices);
        return o;
      }
      return null;
    }, r.prototype._getRawIdxIdentity = function(a) {
      return a;
    }, r.prototype._getRawIdx = function(a) {
      return a < this._count && a >= 0 ? this._indices[a] : -1;
    }, r.prototype._updateGetRawIdx = function() {
      this.getRawIndex = this._indices ? this._getRawIdx : this._getRawIdxIdentity;
    }, r.internalField = function() {
      function a(o, s, l, u) {
        return parseDataValue(o[u], this._dimensions[u]);
      }
      defaultDimValueGetters = {
        arrayRows: a,
        objectRows: function(o, s, l, u) {
          return parseDataValue(o[s], this._dimensions[u]);
        },
        keyedColumns: a,
        original: function(o, s, l, u) {
          var c = o && (o.value == null ? o : o.value);
          return parseDataValue(c instanceof Array ? c[u] : c, this._dimensions[u]);
        },
        typedArray: function(o, s, l, u) {
          return o[u];
        }
      };
    }(), r;
  }()
), SourceManager = (
  /** @class */
  function() {
    function r(a) {
      this._sourceList = [], this._storeList = [], this._upstreamSignList = [], this._versionSignBase = 0, this._dirty = !0, this._sourceHost = a;
    }
    return r.prototype.dirty = function() {
      this._setLocalSource([], []), this._storeList = [], this._dirty = !0;
    }, r.prototype._setLocalSource = function(a, o) {
      this._sourceList = a, this._upstreamSignList = o, this._versionSignBase++, this._versionSignBase > 9e10 && (this._versionSignBase = 0);
    }, r.prototype._getVersionSign = function() {
      return this._sourceHost.uid + "_" + this._versionSignBase;
    }, r.prototype.prepareSource = function() {
      this._isDirty() && (this._createSource(), this._dirty = !1);
    }, r.prototype._createSource = function() {
      this._setLocalSource([], []);
      var a = this._sourceHost, o = this._getUpstreamSourceManagers(), s = !!o.length, l, u;
      if (isSeries(a)) {
        var c = a, d = void 0, f = void 0, p = void 0;
        if (s) {
          var v = o[0];
          v.prepareSource(), p = v.getSource(), d = p.data, f = p.sourceFormat, u = [v._getVersionSign()];
        } else
          d = c.get("data", !0), f = isTypedArray(d) ? SOURCE_FORMAT_TYPED_ARRAY : SOURCE_FORMAT_ORIGINAL, u = [];
        var g = this._getSourceMetaRawOption() || {}, y = p && p.metaRawOption || {}, _ = retrieve2(g.seriesLayoutBy, y.seriesLayoutBy) || null, S = retrieve2(g.sourceHeader, y.sourceHeader), C = retrieve2(g.dimensions, y.dimensions), b = _ !== y.seriesLayoutBy || !!S != !!y.sourceHeader || C;
        l = b ? [createSource(d, {
          seriesLayoutBy: _,
          sourceHeader: S,
          dimensions: C
        }, f)] : [];
      } else {
        var T = a;
        if (s) {
          var E = this._applyTransform(o);
          l = E.sourceList, u = E.upstreamSignList;
        } else {
          var x = T.get("source", !0);
          l = [createSource(x, this._getSourceMetaRawOption(), null)], u = [];
        }
      }
      process.env.NODE_ENV !== "production" && assert(l && u), this._setLocalSource(l, u);
    }, r.prototype._applyTransform = function(a) {
      var o = this._sourceHost, s = o.get("transform", !0), l = o.get("fromTransformResult", !0);
      if (process.env.NODE_ENV !== "production" && assert(l != null || s != null), l != null) {
        var u = "";
        a.length !== 1 && (process.env.NODE_ENV !== "production" && (u = "When using `fromTransformResult`, there should be only one upstream dataset"), doThrow(u));
      }
      var c, d = [], f = [];
      return each$f(a, function(p) {
        p.prepareSource();
        var v = p.getSource(l || 0), g = "";
        l != null && !v && (process.env.NODE_ENV !== "production" && (g = "Can not retrieve result by `fromTransformResult`: " + l), doThrow(g)), d.push(v), f.push(p._getVersionSign());
      }), s ? c = applyDataTransform(s, d, {
        datasetIndex: o.componentIndex
      }) : l != null && (c = [cloneSourceShallow(d[0])]), {
        sourceList: c,
        upstreamSignList: f
      };
    }, r.prototype._isDirty = function() {
      if (this._dirty)
        return !0;
      for (var a = this._getUpstreamSourceManagers(), o = 0; o < a.length; o++) {
        var s = a[o];
        if (
          // Consider the case that there is ancestor diry, call it recursively.
          // The performance is probably not an issue because usually the chain is not long.
          s._isDirty() || this._upstreamSignList[o] !== s._getVersionSign()
        )
          return !0;
      }
    }, r.prototype.getSource = function(a) {
      a = a || 0;
      var o = this._sourceList[a];
      if (!o) {
        var s = this._getUpstreamSourceManagers();
        return s[0] && s[0].getSource(a);
      }
      return o;
    }, r.prototype.getSharedDataStore = function(a) {
      process.env.NODE_ENV !== "production" && assert(isSeries(this._sourceHost), "Can only call getDataStore on series source manager.");
      var o = a.makeStoreSchema();
      return this._innerGetDataStore(o.dimensions, a.source, o.hash);
    }, r.prototype._innerGetDataStore = function(a, o, s) {
      var l = 0, u = this._storeList, c = u[l];
      c || (c = u[l] = {});
      var d = c[s];
      if (!d) {
        var f = this._getUpstreamSourceManagers()[0];
        isSeries(this._sourceHost) && f ? d = f._innerGetDataStore(a, o, s) : (d = new DataStore(), d.initData(new DefaultDataProvider(o, a.length), a)), c[s] = d;
      }
      return d;
    }, r.prototype._getUpstreamSourceManagers = function() {
      var a = this._sourceHost;
      if (isSeries(a)) {
        var o = querySeriesUpstreamDatasetModel(a);
        return o ? [o.getSourceManager()] : [];
      } else
        return map$1(queryDatasetUpstreamDatasetModels(a), function(s) {
          return s.getSourceManager();
        });
    }, r.prototype._getSourceMetaRawOption = function() {
      var a = this._sourceHost, o, s, l;
      if (isSeries(a))
        o = a.get("seriesLayoutBy", !0), s = a.get("sourceHeader", !0), l = a.get("dimensions", !0);
      else if (!this._getUpstreamSourceManagers().length) {
        var u = a;
        o = u.get("seriesLayoutBy", !0), s = u.get("sourceHeader", !0), l = u.get("dimensions", !0);
      }
      return {
        seriesLayoutBy: o,
        sourceHeader: s,
        dimensions: l
      };
    }, r;
  }()
);
function disableTransformOptionMerge(r) {
  var a = r.option.transform;
  a && setAsPrimitive(r.option.transform);
}
function isSeries(r) {
  return r.mainType === "series";
}
function doThrow(r) {
  throw new Error(r);
}
var TOOLTIP_LINE_HEIGHT_CSS = "line-height:1";
function getTooltipLineHeight(r) {
  var a = r.lineHeight;
  return a == null ? TOOLTIP_LINE_HEIGHT_CSS : "line-height:" + encodeHTML(a + "") + "px";
}
function getTooltipTextStyle(r, a) {
  var o = r.color || "#6e7079", s = r.fontSize || 12, l = r.fontWeight || "400", u = r.color || "#464646", c = r.fontSize || 14, d = r.fontWeight || "900";
  return a === "html" ? {
    // eslint-disable-next-line max-len
    nameStyle: "font-size:" + encodeHTML(s + "") + "px;color:" + encodeHTML(o) + ";font-weight:" + encodeHTML(l + ""),
    // eslint-disable-next-line max-len
    valueStyle: "font-size:" + encodeHTML(c + "") + "px;color:" + encodeHTML(u) + ";font-weight:" + encodeHTML(d + "")
  } : {
    nameStyle: {
      fontSize: s,
      fill: o,
      fontWeight: l
    },
    valueStyle: {
      fontSize: c,
      fill: u,
      fontWeight: d
    }
  };
}
var HTML_GAPS = [0, 10, 20, 30], RICH_TEXT_GAPS = ["", `
`, `

`, `


`];
function createTooltipMarkup(r, a) {
  return a.type = r, a;
}
function isSectionFragment(r) {
  return r.type === "section";
}
function getBuilder(r) {
  return isSectionFragment(r) ? buildSection : buildNameValue;
}
function getBlockGapLevel(r) {
  if (isSectionFragment(r)) {
    var a = 0, o = r.blocks.length, s = o > 1 || o > 0 && !r.noHeader;
    return each$f(r.blocks, function(l) {
      var u = getBlockGapLevel(l);
      u >= a && (a = u + +(s && // 0 always can not be readable gap level.
      (!u || isSectionFragment(l) && !l.noHeader)));
    }), a;
  }
  return 0;
}
function buildSection(r, a, o, s) {
  var l = a.noHeader, u = getGap(getBlockGapLevel(a)), c = [], d = a.blocks || [];
  assert(!d || isArray$1(d)), d = d || [];
  var f = r.orderMode;
  if (a.sortBlocks && f) {
    d = d.slice();
    var p = {
      valueAsc: "asc",
      valueDesc: "desc"
    };
    if (hasOwn(p, f)) {
      var v = new SortOrderComparator(p[f], null);
      d.sort(function(C, b) {
        return v.evaluate(C.sortParam, b.sortParam);
      });
    } else f === "seriesDesc" && d.reverse();
  }
  each$f(d, function(C, b) {
    var T = a.valueFormatter, E = getBuilder(C)(
      // Inherit valueFormatter
      T ? extend(extend({}, r), {
        valueFormatter: T
      }) : r,
      C,
      b > 0 ? u.html : 0,
      s
    );
    E != null && c.push(E);
  });
  var g = r.renderMode === "richText" ? c.join(u.richText) : wrapBlockHTML(s, c.join(""), l ? o : u.html);
  if (l)
    return g;
  var y = makeValueReadable(a.header, "ordinal", r.useUTC), _ = getTooltipTextStyle(s, r.renderMode).nameStyle, S = getTooltipLineHeight(s);
  return r.renderMode === "richText" ? wrapInlineNameRichText(r, y, _) + u.richText + g : wrapBlockHTML(s, '<div style="' + _ + ";" + S + ';">' + encodeHTML(y) + "</div>" + g, o);
}
function buildNameValue(r, a, o, s) {
  var l = r.renderMode, u = a.noName, c = a.noValue, d = !a.markerType, f = a.name, p = r.useUTC, v = a.valueFormatter || r.valueFormatter || function($) {
    return $ = isArray$1($) ? $ : [$], map$1($, function(A, N) {
      return makeValueReadable(A, isArray$1(_) ? _[N] : _, p);
    });
  };
  if (!(u && c)) {
    var g = d ? "" : r.markupStyleCreator.makeTooltipMarker(a.markerType, a.markerColor || "#333", l), y = u ? "" : makeValueReadable(f, "ordinal", p), _ = a.valueType, S = c ? [] : v(a.value, a.dataIndex), C = !d || !u, b = !d && u, T = getTooltipTextStyle(s, l), E = T.nameStyle, x = T.valueStyle;
    return l === "richText" ? (d ? "" : g) + (u ? "" : wrapInlineNameRichText(r, y, E)) + (c ? "" : wrapInlineValueRichText(r, S, C, b, x)) : wrapBlockHTML(s, (d ? "" : g) + (u ? "" : wrapInlineNameHTML(y, !d, E)) + (c ? "" : wrapInlineValueHTML(S, C, b, x)), o);
  }
}
function buildTooltipMarkup(r, a, o, s, l, u) {
  if (r) {
    var c = getBuilder(r), d = {
      useUTC: l,
      renderMode: o,
      orderMode: s,
      markupStyleCreator: a,
      valueFormatter: r.valueFormatter
    };
    return c(d, r, 0, u);
  }
}
function getGap(r) {
  return {
    html: HTML_GAPS[r],
    richText: RICH_TEXT_GAPS[r]
  };
}
function wrapBlockHTML(r, a, o) {
  var s = '<div style="clear:both"></div>', l = "margin: " + o + "px 0 0", u = getTooltipLineHeight(r);
  return '<div style="' + l + ";" + u + ';">' + a + s + "</div>";
}
function wrapInlineNameHTML(r, a, o) {
  var s = a ? "margin-left:2px" : "";
  return '<span style="' + o + ";" + s + '">' + encodeHTML(r) + "</span>";
}
function wrapInlineValueHTML(r, a, o, s) {
  var l = o ? "10px" : "20px", u = a ? "float:right;margin-left:" + l : "";
  return r = isArray$1(r) ? r : [r], '<span style="' + u + ";" + s + '">' + map$1(r, function(c) {
    return encodeHTML(c);
  }).join("&nbsp;&nbsp;") + "</span>";
}
function wrapInlineNameRichText(r, a, o) {
  return r.markupStyleCreator.wrapRichTextStyle(a, o);
}
function wrapInlineValueRichText(r, a, o, s, l) {
  var u = [l], c = s ? 10 : 20;
  return o && u.push({
    padding: [0, 0, 0, c],
    align: "right"
  }), r.markupStyleCreator.wrapRichTextStyle(isArray$1(a) ? a.join("  ") : a, u);
}
function retrieveVisualColorForTooltipMarker(r, a) {
  var o = r.getData().getItemVisual(a, "style"), s = o[r.visualDrawType];
  return convertToColorString(s);
}
function getPaddingFromTooltipModel(r, a) {
  var o = r.get("padding");
  return o ?? (a === "richText" ? [8, 10] : 10);
}
var TooltipMarkupStyleCreator = (
  /** @class */
  function() {
    function r() {
      this.richTextStyles = {}, this._nextStyleNameId = getRandomIdBase();
    }
    return r.prototype._generateStyleName = function() {
      return "__EC_aUTo_" + this._nextStyleNameId++;
    }, r.prototype.makeTooltipMarker = function(a, o, s) {
      var l = s === "richText" ? this._generateStyleName() : null, u = getTooltipMarker({
        color: o,
        type: a,
        renderMode: s,
        markerId: l
      });
      return isString(u) ? u : (process.env.NODE_ENV !== "production" && assert(l), this.richTextStyles[l] = u.style, u.content);
    }, r.prototype.wrapRichTextStyle = function(a, o) {
      var s = {};
      isArray$1(o) ? each$f(o, function(u) {
        return extend(s, u);
      }) : extend(s, o);
      var l = this._generateStyleName();
      return this.richTextStyles[l] = s, "{" + l + "|" + a + "}";
    }, r;
  }()
);
function defaultSeriesFormatTooltip(r) {
  var a = r.series, o = r.dataIndex, s = r.multipleSeries, l = a.getData(), u = l.mapDimensionsAll("defaultedTooltip"), c = u.length, d = a.getRawValue(o), f = isArray$1(d), p = retrieveVisualColorForTooltipMarker(a, o), v, g, y, _;
  if (c > 1 || f && !c) {
    var S = formatTooltipArrayValue(d, a, o, u, p);
    v = S.inlineValues, g = S.inlineValueTypes, y = S.blocks, _ = S.inlineValues[0];
  } else if (c) {
    var C = l.getDimensionInfo(u[0]);
    _ = v = retrieveRawValue(l, o, u[0]), g = C.type;
  } else
    _ = v = f ? d[0] : d;
  var b = isNameSpecified(a), T = b && a.name || "", E = l.getName(o), x = s ? T : E;
  return createTooltipMarkup("section", {
    header: T,
    // When series name is not specified, do not show a header line with only '-'.
    // This case always happens in tooltip.trigger: 'item'.
    noHeader: s || !b,
    sortParam: _,
    blocks: [createTooltipMarkup("nameValue", {
      markerType: "item",
      markerColor: p,
      // Do not mix display seriesName and itemName in one tooltip,
      // which might confuses users.
      name: x,
      // name dimension might be auto assigned, where the name might
      // be not readable. So we check trim here.
      noName: !trim$1(x),
      value: v,
      valueType: g,
      dataIndex: o
    })].concat(y || [])
  });
}
function formatTooltipArrayValue(r, a, o, s, l) {
  var u = a.getData(), c = reduce(r, function(g, y, _) {
    var S = u.getDimensionInfo(_);
    return g = g || S && S.tooltip !== !1 && S.displayName != null;
  }, !1), d = [], f = [], p = [];
  s.length ? each$f(s, function(g) {
    v(retrieveRawValue(u, o, g), g);
  }) : each$f(r, v);
  function v(g, y) {
    var _ = u.getDimensionInfo(y);
    !_ || _.otherDims.tooltip === !1 || (c ? p.push(createTooltipMarkup("nameValue", {
      markerType: "subItem",
      markerColor: l,
      name: _.displayName,
      value: g,
      valueType: _.type
    })) : (d.push(g), f.push(_.type)));
  }
  return {
    inlineValues: d,
    inlineValueTypes: f,
    blocks: p
  };
}
var inner$k = makeInner();
function getSelectionKey(r, a) {
  return r.getName(a) || r.getId(a);
}
var SERIES_UNIVERSAL_TRANSITION_PROP = "__universalTransitionEnabled", SeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o._selectedDataIndicesMap = {}, o;
    }
    return a.prototype.init = function(o, s, l) {
      this.seriesIndex = this.componentIndex, this.dataTask = createTask({
        count: dataTaskCount,
        reset: dataTaskReset
      }), this.dataTask.context = {
        model: this
      }, this.mergeDefaultAndTheme(o, l);
      var u = inner$k(this).sourceManager = new SourceManager(this);
      u.prepareSource();
      var c = this.getInitialData(o, l);
      wrapData(c, this), this.dataTask.context.data = c, process.env.NODE_ENV !== "production" && assert(c, "getInitialData returned invalid data."), inner$k(this).dataBeforeProcessed = c, autoSeriesName(this), this._initSelectedMapFromData(c);
    }, a.prototype.mergeDefaultAndTheme = function(o, s) {
      var l = fetchLayoutMode(this), u = l ? getLayoutParams(o) : {}, c = this.subType;
      ComponentModel.hasClass(c) && (c += "Series"), merge(o, s.getTheme().get(this.subType)), merge(o, this.getDefaultOption()), defaultEmphasis(o, "label", ["show"]), this.fillDataTextStyle(o.data), l && mergeLayoutParam(o, u, l);
    }, a.prototype.mergeOption = function(o, s) {
      o = merge(this.option, o, !0), this.fillDataTextStyle(o.data);
      var l = fetchLayoutMode(this);
      l && mergeLayoutParam(this.option, o, l);
      var u = inner$k(this).sourceManager;
      u.dirty(), u.prepareSource();
      var c = this.getInitialData(o, s);
      wrapData(c, this), this.dataTask.dirty(), this.dataTask.context.data = c, inner$k(this).dataBeforeProcessed = c, autoSeriesName(this), this._initSelectedMapFromData(c);
    }, a.prototype.fillDataTextStyle = function(o) {
      if (o && !isTypedArray(o))
        for (var s = ["show"], l = 0; l < o.length; l++)
          o[l] && o[l].label && defaultEmphasis(o[l], "label", s);
    }, a.prototype.getInitialData = function(o, s) {
    }, a.prototype.appendData = function(o) {
      var s = this.getRawData();
      s.appendData(o.data);
    }, a.prototype.getData = function(o) {
      var s = getCurrentTask(this);
      if (s) {
        var l = s.context.data;
        return o == null || !l.getLinkedData ? l : l.getLinkedData(o);
      } else
        return inner$k(this).data;
    }, a.prototype.getAllData = function() {
      var o = this.getData();
      return o && o.getLinkedDataAll ? o.getLinkedDataAll() : [{
        data: o
      }];
    }, a.prototype.setData = function(o) {
      var s = getCurrentTask(this);
      if (s) {
        var l = s.context;
        l.outputData = o, s !== this.dataTask && (l.data = o);
      }
      inner$k(this).data = o;
    }, a.prototype.getEncode = function() {
      var o = this.get("encode", !0);
      if (o)
        return createHashMap(o);
    }, a.prototype.getSourceManager = function() {
      return inner$k(this).sourceManager;
    }, a.prototype.getSource = function() {
      return this.getSourceManager().getSource();
    }, a.prototype.getRawData = function() {
      return inner$k(this).dataBeforeProcessed;
    }, a.prototype.getColorBy = function() {
      var o = this.get("colorBy");
      return o || "series";
    }, a.prototype.isColorBySeries = function() {
      return this.getColorBy() === "series";
    }, a.prototype.getBaseAxis = function() {
      var o = this.coordinateSystem;
      return o && o.getBaseAxis && o.getBaseAxis();
    }, a.prototype.formatTooltip = function(o, s, l) {
      return defaultSeriesFormatTooltip({
        series: this,
        dataIndex: o,
        multipleSeries: s
      });
    }, a.prototype.isAnimationEnabled = function() {
      var o = this.ecModel;
      if (env.node && !(o && o.ssr))
        return !1;
      var s = this.getShallow("animation");
      return s && this.getData().count() > this.getShallow("animationThreshold") && (s = !1), !!s;
    }, a.prototype.restoreData = function() {
      this.dataTask.dirty();
    }, a.prototype.getColorFromPalette = function(o, s, l) {
      var u = this.ecModel, c = PaletteMixin.prototype.getColorFromPalette.call(this, o, s, l);
      return c || (c = u.getColorFromPalette(o, s, l)), c;
    }, a.prototype.coordDimToDataDim = function(o) {
      return this.getRawData().mapDimensionsAll(o);
    }, a.prototype.getProgressive = function() {
      return this.get("progressive");
    }, a.prototype.getProgressiveThreshold = function() {
      return this.get("progressiveThreshold");
    }, a.prototype.select = function(o, s) {
      this._innerSelect(this.getData(s), o);
    }, a.prototype.unselect = function(o, s) {
      var l = this.option.selectedMap;
      if (l) {
        var u = this.option.selectedMode, c = this.getData(s);
        if (u === "series" || l === "all") {
          this.option.selectedMap = {}, this._selectedDataIndicesMap = {};
          return;
        }
        for (var d = 0; d < o.length; d++) {
          var f = o[d], p = getSelectionKey(c, f);
          l[p] = !1, this._selectedDataIndicesMap[p] = -1;
        }
      }
    }, a.prototype.toggleSelect = function(o, s) {
      for (var l = [], u = 0; u < o.length; u++)
        l[0] = o[u], this.isSelected(o[u], s) ? this.unselect(l, s) : this.select(l, s);
    }, a.prototype.getSelectedDataIndices = function() {
      if (this.option.selectedMap === "all")
        return [].slice.call(this.getData().getIndices());
      for (var o = this._selectedDataIndicesMap, s = keys(o), l = [], u = 0; u < s.length; u++) {
        var c = o[s[u]];
        c >= 0 && l.push(c);
      }
      return l;
    }, a.prototype.isSelected = function(o, s) {
      var l = this.option.selectedMap;
      if (!l)
        return !1;
      var u = this.getData(s);
      return (l === "all" || l[getSelectionKey(u, o)]) && !u.getItemModel(o).get(["select", "disabled"]);
    }, a.prototype.isUniversalTransitionEnabled = function() {
      if (this[SERIES_UNIVERSAL_TRANSITION_PROP])
        return !0;
      var o = this.option.universalTransition;
      return o ? o === !0 ? !0 : o && o.enabled : !1;
    }, a.prototype._innerSelect = function(o, s) {
      var l, u, c = this.option, d = c.selectedMode, f = s.length;
      if (!(!d || !f)) {
        if (d === "series")
          c.selectedMap = "all";
        else if (d === "multiple") {
          isObject$3(c.selectedMap) || (c.selectedMap = {});
          for (var p = c.selectedMap, v = 0; v < f; v++) {
            var g = s[v], y = getSelectionKey(o, g);
            p[y] = !0, this._selectedDataIndicesMap[y] = o.getRawIndex(g);
          }
        } else if (d === "single" || d === !0) {
          var _ = s[f - 1], y = getSelectionKey(o, _);
          c.selectedMap = (l = {}, l[y] = !0, l), this._selectedDataIndicesMap = (u = {}, u[y] = o.getRawIndex(_), u);
        }
      }
    }, a.prototype._initSelectedMapFromData = function(o) {
      if (!this.option.selectedMap) {
        var s = [];
        o.hasItemOption && o.each(function(l) {
          var u = o.getRawDataItem(l);
          u && u.selected && s.push(l);
        }), s.length > 0 && this._innerSelect(o, s);
      }
    }, a.registerClass = function(o) {
      return ComponentModel.registerClass(o);
    }, a.protoInitialize = function() {
      var o = a.prototype;
      o.type = "series.__base__", o.seriesIndex = 0, o.ignoreStyleOnData = !1, o.hasSymbolVisual = !1, o.defaultSymbol = "circle", o.visualStyleAccessPath = "itemStyle", o.visualDrawType = "fill";
    }(), a;
  }(ComponentModel)
);
mixin(SeriesModel, DataFormatMixin);
mixin(SeriesModel, PaletteMixin);
mountExtend(SeriesModel, ComponentModel);
function autoSeriesName(r) {
  var a = r.name;
  isNameSpecified(r) || (r.name = getSeriesAutoName(r) || a);
}
function getSeriesAutoName(r) {
  var a = r.getRawData(), o = a.mapDimensionsAll("seriesName"), s = [];
  return each$f(o, function(l) {
    var u = a.getDimensionInfo(l);
    u.displayName && s.push(u.displayName);
  }), s.join(" ");
}
function dataTaskCount(r) {
  return r.model.getRawData().count();
}
function dataTaskReset(r) {
  var a = r.model;
  return a.setData(a.getRawData().cloneShallow()), dataTaskProgress;
}
function dataTaskProgress(r, a) {
  a.outputData && r.end > a.outputData.count() && a.model.getRawData().cloneShallow(a.outputData);
}
function wrapData(r, a) {
  each$f(concatArray(r.CHANGABLE_METHODS, r.DOWNSAMPLE_METHODS), function(o) {
    r.wrapMethod(o, curry$1(onDataChange, a));
  });
}
function onDataChange(r, a) {
  var o = getCurrentTask(r);
  return o && o.setOutputEnd((a || this).count()), a;
}
function getCurrentTask(r) {
  var a = (r.ecModel || {}).scheduler, o = a && a.getPipeline(r.uid);
  if (o) {
    var s = o.currentTask;
    if (s) {
      var l = s.agentStubMap;
      l && (s = l.get(r.uid));
    }
    return s;
  }
}
var ComponentView = (
  /** @class */
  function() {
    function r() {
      this.group = new Group$3(), this.uid = getUID("viewComponent");
    }
    return r.prototype.init = function(a, o) {
    }, r.prototype.render = function(a, o, s, l) {
    }, r.prototype.dispose = function(a, o) {
    }, r.prototype.updateView = function(a, o, s, l) {
    }, r.prototype.updateLayout = function(a, o, s, l) {
    }, r.prototype.updateVisual = function(a, o, s, l) {
    }, r.prototype.toggleBlurSeries = function(a, o, s) {
    }, r.prototype.eachRendered = function(a) {
      var o = this.group;
      o && o.traverse(a);
    }, r;
  }()
);
enableClassExtend(ComponentView);
enableClassManagement(ComponentView);
function createRenderPlanner() {
  var r = makeInner();
  return function(a) {
    var o = r(a), s = a.pipelineContext, l = !!o.large, u = !!o.progressiveRender, c = o.large = !!(s && s.large), d = o.progressiveRender = !!(s && s.progressiveRender);
    return (l !== c || u !== d) && "reset";
  };
}
var inner$j = makeInner(), renderPlanner = createRenderPlanner(), ChartView = (
  /** @class */
  function() {
    function r() {
      this.group = new Group$3(), this.uid = getUID("viewChart"), this.renderTask = createTask({
        plan: renderTaskPlan,
        reset: renderTaskReset
      }), this.renderTask.context = {
        view: this
      };
    }
    return r.prototype.init = function(a, o) {
    }, r.prototype.render = function(a, o, s, l) {
      if (process.env.NODE_ENV !== "production")
        throw new Error("render method must been implemented");
    }, r.prototype.highlight = function(a, o, s, l) {
      var u = a.getData(l && l.dataType);
      if (!u) {
        process.env.NODE_ENV !== "production" && error("Unknown dataType " + l.dataType);
        return;
      }
      toggleHighlight(u, l, "emphasis");
    }, r.prototype.downplay = function(a, o, s, l) {
      var u = a.getData(l && l.dataType);
      if (!u) {
        process.env.NODE_ENV !== "production" && error("Unknown dataType " + l.dataType);
        return;
      }
      toggleHighlight(u, l, "normal");
    }, r.prototype.remove = function(a, o) {
      this.group.removeAll();
    }, r.prototype.dispose = function(a, o) {
    }, r.prototype.updateView = function(a, o, s, l) {
      this.render(a, o, s, l);
    }, r.prototype.updateLayout = function(a, o, s, l) {
      this.render(a, o, s, l);
    }, r.prototype.updateVisual = function(a, o, s, l) {
      this.render(a, o, s, l);
    }, r.prototype.eachRendered = function(a) {
      traverseElements(this.group, a);
    }, r.markUpdateMethod = function(a, o) {
      inner$j(a).updateMethod = o;
    }, r.protoInitialize = function() {
      var a = r.prototype;
      a.type = "chart";
    }(), r;
  }()
);
function elSetState(r, a, o) {
  r && isHighDownDispatcher(r) && (a === "emphasis" ? enterEmphasis : leaveEmphasis)(r, o);
}
function toggleHighlight(r, a, o) {
  var s = queryDataIndex(r, a), l = a && a.highlightKey != null ? getHighlightDigit(a.highlightKey) : null;
  s != null ? each$f(normalizeToArray(s), function(u) {
    elSetState(r.getItemGraphicEl(u), o, l);
  }) : r.eachItemGraphicEl(function(u) {
    elSetState(u, o, l);
  });
}
enableClassExtend(ChartView, ["dispose"]);
enableClassManagement(ChartView);
function renderTaskPlan(r) {
  return renderPlanner(r.model);
}
function renderTaskReset(r) {
  var a = r.model, o = r.ecModel, s = r.api, l = r.payload, u = a.pipelineContext.progressiveRender, c = r.view, d = l && inner$j(l).updateMethod, f = u ? "incrementalPrepareRender" : d && c[d] ? d : "render";
  return f !== "render" && c[f](a, o, s, l), progressMethodMap[f];
}
var progressMethodMap = {
  incrementalPrepareRender: {
    progress: function(r, a) {
      a.view.incrementalRender(r, a.model, a.ecModel, a.api, a.payload);
    }
  },
  render: {
    // Put view.render in `progress` to support appendData. But in this case
    // view.render should not be called in reset, otherwise it will be called
    // twise. Use `forceFirstProgress` to make sure that view.render is called
    // in any cases.
    forceFirstProgress: !0,
    progress: function(r, a) {
      a.view.render(a.model, a.ecModel, a.api, a.payload);
    }
  }
}, ORIGIN_METHOD = "\0__throttleOriginMethod", RATE = "\0__throttleRate", THROTTLE_TYPE = "\0__throttleType";
function throttle(r, a, o) {
  var s, l = 0, u = 0, c = null, d, f, p, v;
  a = a || 0;
  function g() {
    u = (/* @__PURE__ */ new Date()).getTime(), c = null, r.apply(f, p || []);
  }
  var y = function() {
    for (var _ = [], S = 0; S < arguments.length; S++)
      _[S] = arguments[S];
    s = (/* @__PURE__ */ new Date()).getTime(), f = this, p = _;
    var C = v || a, b = v || o;
    v = null, d = s - (b ? l : u) - C, clearTimeout(c), b ? c = setTimeout(g, C) : d >= 0 ? g() : c = setTimeout(g, -d), l = s;
  };
  return y.clear = function() {
    c && (clearTimeout(c), c = null);
  }, y.debounceNextCall = function(_) {
    v = _;
  }, y;
}
function createOrUpdate(r, a, o, s) {
  var l = r[a];
  if (l) {
    var u = l[ORIGIN_METHOD] || l, c = l[THROTTLE_TYPE], d = l[RATE];
    if (d !== o || c !== s) {
      if (o == null || !s)
        return r[a] = u;
      l = r[a] = throttle(u, o, s === "debounce"), l[ORIGIN_METHOD] = u, l[THROTTLE_TYPE] = s, l[RATE] = o;
    }
    return l;
  }
}
function clear$1(r, a) {
  var o = r[a];
  o && o[ORIGIN_METHOD] && (o.clear && o.clear(), r[a] = o[ORIGIN_METHOD]);
}
var inner$i = makeInner(), defaultStyleMappers = {
  itemStyle: makeStyleMapper(ITEM_STYLE_KEY_MAP, !0),
  lineStyle: makeStyleMapper(LINE_STYLE_KEY_MAP, !0)
}, defaultColorKey = {
  lineStyle: "stroke",
  itemStyle: "fill"
};
function getStyleMapper(r, a) {
  var o = r.visualStyleMapper || defaultStyleMappers[a];
  return o || (console.warn("Unknown style type '" + a + "'."), defaultStyleMappers.itemStyle);
}
function getDefaultColorKey(r, a) {
  var o = r.visualDrawType || defaultColorKey[a];
  return o || (console.warn("Unknown style type '" + a + "'."), "fill");
}
var seriesStyleTask = {
  createOnAllSeries: !0,
  performRawSeries: !0,
  reset: function(r, a) {
    var o = r.getData(), s = r.visualStyleAccessPath || "itemStyle", l = r.getModel(s), u = getStyleMapper(r, s), c = u(l), d = l.getShallow("decal");
    d && (o.setVisual("decal", d), d.dirty = !0);
    var f = getDefaultColorKey(r, s), p = c[f], v = isFunction(p) ? p : null, g = c.fill === "auto" || c.stroke === "auto";
    if (!c[f] || v || g) {
      var y = r.getColorFromPalette(
        // TODO series count changed.
        r.name,
        null,
        a.getSeriesCount()
      );
      c[f] || (c[f] = y, o.setVisual("colorFromPalette", !0)), c.fill = c.fill === "auto" || isFunction(c.fill) ? y : c.fill, c.stroke = c.stroke === "auto" || isFunction(c.stroke) ? y : c.stroke;
    }
    if (o.setVisual("style", c), o.setVisual("drawType", f), !a.isSeriesFiltered(r) && v)
      return o.setVisual("colorFromPalette", !1), {
        dataEach: function(_, S) {
          var C = r.getDataParams(S), b = extend({}, c);
          b[f] = v(C), _.setItemVisual(S, "style", b);
        }
      };
  }
}, sharedModel = new Model(), dataStyleTask = {
  createOnAllSeries: !0,
  performRawSeries: !0,
  reset: function(r, a) {
    if (!(r.ignoreStyleOnData || a.isSeriesFiltered(r))) {
      var o = r.getData(), s = r.visualStyleAccessPath || "itemStyle", l = getStyleMapper(r, s), u = o.getVisual("drawType");
      return {
        dataEach: o.hasItemOption ? function(c, d) {
          var f = c.getRawDataItem(d);
          if (f && f[s]) {
            sharedModel.option = f[s];
            var p = l(sharedModel), v = c.ensureUniqueItemVisual(d, "style");
            extend(v, p), sharedModel.option.decal && (c.setItemVisual(d, "decal", sharedModel.option.decal), sharedModel.option.decal.dirty = !0), u in p && c.setItemVisual(d, "colorFromPalette", !1);
          }
        } : null
      };
    }
  }
}, dataColorPaletteTask = {
  performRawSeries: !0,
  overallReset: function(r) {
    var a = createHashMap();
    r.eachSeries(function(o) {
      var s = o.getColorBy();
      if (!o.isColorBySeries()) {
        var l = o.type + "-" + s, u = a.get(l);
        u || (u = {}, a.set(l, u)), inner$i(o).scope = u;
      }
    }), r.eachSeries(function(o) {
      if (!(o.isColorBySeries() || r.isSeriesFiltered(o))) {
        var s = o.getRawData(), l = {}, u = o.getData(), c = inner$i(o).scope, d = o.visualStyleAccessPath || "itemStyle", f = getDefaultColorKey(o, d);
        u.each(function(p) {
          var v = u.getRawIndex(p);
          l[v] = p;
        }), s.each(function(p) {
          var v = l[p], g = u.getItemVisual(v, "colorFromPalette");
          if (g) {
            var y = u.ensureUniqueItemVisual(v, "style"), _ = s.getName(p) || p + "", S = s.count();
            y[f] = o.getColorFromPalette(_, c, S);
          }
        });
      }
    });
  }
}, PI$5 = Math.PI;
function defaultLoading(r, a) {
  a = a || {}, defaults(a, {
    text: "loading",
    textColor: "#000",
    fontSize: 12,
    fontWeight: "normal",
    fontStyle: "normal",
    fontFamily: "sans-serif",
    maskColor: "rgba(255, 255, 255, 0.8)",
    showSpinner: !0,
    color: "#5470c6",
    spinnerRadius: 10,
    lineWidth: 5,
    zlevel: 0
  });
  var o = new Group$3(), s = new Rect$2({
    style: {
      fill: a.maskColor
    },
    zlevel: a.zlevel,
    z: 1e4
  });
  o.add(s);
  var l = new ZRText({
    style: {
      text: a.text,
      fill: a.textColor,
      fontSize: a.fontSize,
      fontWeight: a.fontWeight,
      fontStyle: a.fontStyle,
      fontFamily: a.fontFamily
    },
    zlevel: a.zlevel,
    z: 10001
  }), u = new Rect$2({
    style: {
      fill: "none"
    },
    textContent: l,
    textConfig: {
      position: "right",
      distance: 10
    },
    zlevel: a.zlevel,
    z: 10001
  });
  o.add(u);
  var c;
  return a.showSpinner && (c = new Arc({
    shape: {
      startAngle: -PI$5 / 2,
      endAngle: -PI$5 / 2 + 0.1,
      r: a.spinnerRadius
    },
    style: {
      stroke: a.color,
      lineCap: "round",
      lineWidth: a.lineWidth
    },
    zlevel: a.zlevel,
    z: 10001
  }), c.animateShape(!0).when(1e3, {
    endAngle: PI$5 * 3 / 2
  }).start("circularInOut"), c.animateShape(!0).when(1e3, {
    startAngle: PI$5 * 3 / 2
  }).delay(300).start("circularInOut"), o.add(c)), o.resize = function() {
    var d = l.getBoundingRect().width, f = a.showSpinner ? a.spinnerRadius : 0, p = (r.getWidth() - f * 2 - (a.showSpinner && d ? 10 : 0) - d) / 2 - (a.showSpinner && d ? 0 : 5 + d / 2) + (a.showSpinner ? 0 : d / 2) + (d ? 0 : f), v = r.getHeight() / 2;
    a.showSpinner && c.setShape({
      cx: p,
      cy: v
    }), u.setShape({
      x: p - f,
      y: v - f,
      width: f * 2,
      height: f * 2
    }), s.setShape({
      x: 0,
      y: 0,
      width: r.getWidth(),
      height: r.getHeight()
    });
  }, o.resize(), o;
}
var Scheduler = (
  /** @class */
  function() {
    function r(a, o, s, l) {
      this._stageTaskMap = createHashMap(), this.ecInstance = a, this.api = o, s = this._dataProcessorHandlers = s.slice(), l = this._visualHandlers = l.slice(), this._allHandlers = s.concat(l);
    }
    return r.prototype.restoreData = function(a, o) {
      a.restoreData(o), this._stageTaskMap.each(function(s) {
        var l = s.overallTask;
        l && l.dirty();
      });
    }, r.prototype.getPerformArgs = function(a, o) {
      if (a.__pipeline) {
        var s = this._pipelineMap.get(a.__pipeline.id), l = s.context, u = !o && s.progressiveEnabled && (!l || l.progressiveRender) && a.__idxInPipeline > s.blockIndex, c = u ? s.step : null, d = l && l.modDataCount, f = d != null ? Math.ceil(d / c) : null;
        return {
          step: c,
          modBy: f,
          modDataCount: d
        };
      }
    }, r.prototype.getPipeline = function(a) {
      return this._pipelineMap.get(a);
    }, r.prototype.updateStreamModes = function(a, o) {
      var s = this._pipelineMap.get(a.uid), l = a.getData(), u = l.count(), c = s.progressiveEnabled && o.incrementalPrepareRender && u >= s.threshold, d = a.get("large") && u >= a.get("largeThreshold"), f = a.get("progressiveChunkMode") === "mod" ? u : null;
      a.pipelineContext = s.context = {
        progressiveRender: c,
        modDataCount: f,
        large: d
      };
    }, r.prototype.restorePipelines = function(a) {
      var o = this, s = o._pipelineMap = createHashMap();
      a.eachSeries(function(l) {
        var u = l.getProgressive(), c = l.uid;
        s.set(c, {
          id: c,
          head: null,
          tail: null,
          threshold: l.getProgressiveThreshold(),
          progressiveEnabled: u && !(l.preventIncremental && l.preventIncremental()),
          blockIndex: -1,
          step: Math.round(u || 700),
          count: 0
        }), o._pipe(l, l.dataTask);
      });
    }, r.prototype.prepareStageTasks = function() {
      var a = this._stageTaskMap, o = this.api.getModel(), s = this.api;
      each$f(this._allHandlers, function(l) {
        var u = a.get(l.uid) || a.set(l.uid, {}), c = "";
        process.env.NODE_ENV !== "production" && (c = '"reset" and "overallReset" must not be both specified.'), assert(!(l.reset && l.overallReset), c), l.reset && this._createSeriesStageTask(l, u, o, s), l.overallReset && this._createOverallStageTask(l, u, o, s);
      }, this);
    }, r.prototype.prepareView = function(a, o, s, l) {
      var u = a.renderTask, c = u.context;
      c.model = o, c.ecModel = s, c.api = l, u.__block = !a.incrementalPrepareRender, this._pipe(o, u);
    }, r.prototype.performDataProcessorTasks = function(a, o) {
      this._performStageTasks(this._dataProcessorHandlers, a, o, {
        block: !0
      });
    }, r.prototype.performVisualTasks = function(a, o, s) {
      this._performStageTasks(this._visualHandlers, a, o, s);
    }, r.prototype._performStageTasks = function(a, o, s, l) {
      l = l || {};
      var u = !1, c = this;
      each$f(a, function(f, p) {
        if (!(l.visualType && l.visualType !== f.visualType)) {
          var v = c._stageTaskMap.get(f.uid), g = v.seriesTaskMap, y = v.overallTask;
          if (y) {
            var _, S = y.agentStubMap;
            S.each(function(b) {
              d(l, b) && (b.dirty(), _ = !0);
            }), _ && y.dirty(), c.updatePayload(y, s);
            var C = c.getPerformArgs(y, l.block);
            S.each(function(b) {
              b.perform(C);
            }), y.perform(C) && (u = !0);
          } else g && g.each(function(b, T) {
            d(l, b) && b.dirty();
            var E = c.getPerformArgs(b, l.block);
            E.skip = !f.performRawSeries && o.isSeriesFiltered(b.context.model), c.updatePayload(b, s), b.perform(E) && (u = !0);
          });
        }
      });
      function d(f, p) {
        return f.setDirty && (!f.dirtyMap || f.dirtyMap.get(p.__pipeline.id));
      }
      this.unfinished = u || this.unfinished;
    }, r.prototype.performSeriesTasks = function(a) {
      var o;
      a.eachSeries(function(s) {
        o = s.dataTask.perform() || o;
      }), this.unfinished = o || this.unfinished;
    }, r.prototype.plan = function() {
      this._pipelineMap.each(function(a) {
        var o = a.tail;
        do {
          if (o.__block) {
            a.blockIndex = o.__idxInPipeline;
            break;
          }
          o = o.getUpstream();
        } while (o);
      });
    }, r.prototype.updatePayload = function(a, o) {
      o !== "remain" && (a.context.payload = o);
    }, r.prototype._createSeriesStageTask = function(a, o, s, l) {
      var u = this, c = o.seriesTaskMap, d = o.seriesTaskMap = createHashMap(), f = a.seriesType, p = a.getTargetSeries;
      a.createOnAllSeries ? s.eachRawSeries(v) : f ? s.eachRawSeriesByType(f, v) : p && p(s, l).each(v);
      function v(g) {
        var y = g.uid, _ = d.set(y, c && c.get(y) || createTask({
          plan: seriesTaskPlan,
          reset: seriesTaskReset,
          count: seriesTaskCount
        }));
        _.context = {
          model: g,
          ecModel: s,
          api: l,
          // PENDING: `useClearVisual` not used?
          useClearVisual: a.isVisual && !a.isLayout,
          plan: a.plan,
          reset: a.reset,
          scheduler: u
        }, u._pipe(g, _);
      }
    }, r.prototype._createOverallStageTask = function(a, o, s, l) {
      var u = this, c = o.overallTask = o.overallTask || createTask({
        reset: overallTaskReset
      });
      c.context = {
        ecModel: s,
        api: l,
        overallReset: a.overallReset,
        scheduler: u
      };
      var d = c.agentStubMap, f = c.agentStubMap = createHashMap(), p = a.seriesType, v = a.getTargetSeries, g = !0, y = !1, _ = "";
      process.env.NODE_ENV !== "production" && (_ = '"createOnAllSeries" is not supported for "overallReset", because it will block all streams.'), assert(!a.createOnAllSeries, _), p ? s.eachRawSeriesByType(p, S) : v ? v(s, l).each(S) : (g = !1, each$f(s.getSeries(), S));
      function S(C) {
        var b = C.uid, T = f.set(b, d && d.get(b) || // When the result of `getTargetSeries` changed, the overallTask
        // should be set as dirty and re-performed.
        (y = !0, createTask({
          reset: stubReset,
          onDirty: stubOnDirty
        })));
        T.context = {
          model: C,
          overallProgress: g
          // FIXME:TS never used, so comment it
          // modifyOutputEnd: modifyOutputEnd
        }, T.agent = c, T.__block = g, u._pipe(C, T);
      }
      y && c.dirty();
    }, r.prototype._pipe = function(a, o) {
      var s = a.uid, l = this._pipelineMap.get(s);
      !l.head && (l.head = o), l.tail && l.tail.pipe(o), l.tail = o, o.__idxInPipeline = l.count++, o.__pipeline = l;
    }, r.wrapStageHandler = function(a, o) {
      return isFunction(a) && (a = {
        overallReset: a,
        seriesType: detectSeriseType(a)
      }), a.uid = getUID("stageHandler"), o && (a.visualType = o), a;
    }, r;
  }()
);
function overallTaskReset(r) {
  r.overallReset(r.ecModel, r.api, r.payload);
}
function stubReset(r) {
  return r.overallProgress && stubProgress;
}
function stubProgress() {
  this.agent.dirty(), this.getDownstream().dirty();
}
function stubOnDirty() {
  this.agent && this.agent.dirty();
}
function seriesTaskPlan(r) {
  return r.plan ? r.plan(r.model, r.ecModel, r.api, r.payload) : null;
}
function seriesTaskReset(r) {
  r.useClearVisual && r.data.clearAllVisual();
  var a = r.resetDefines = normalizeToArray(r.reset(r.model, r.ecModel, r.api, r.payload));
  return a.length > 1 ? map$1(a, function(o, s) {
    return makeSeriesTaskProgress(s);
  }) : singleSeriesTaskProgress;
}
var singleSeriesTaskProgress = makeSeriesTaskProgress(0);
function makeSeriesTaskProgress(r) {
  return function(a, o) {
    var s = o.data, l = o.resetDefines[r];
    if (l && l.dataEach)
      for (var u = a.start; u < a.end; u++)
        l.dataEach(s, u);
    else l && l.progress && l.progress(a, s);
  };
}
function seriesTaskCount(r) {
  return r.data.count();
}
function detectSeriseType(r) {
  seriesType = null;
  try {
    r(ecModelMock, apiMock);
  } catch {
  }
  return seriesType;
}
var ecModelMock = {}, apiMock = {}, seriesType;
mockMethods(ecModelMock, GlobalModel);
mockMethods(apiMock, ExtensionAPI);
ecModelMock.eachSeriesByType = ecModelMock.eachRawSeriesByType = function(r) {
  seriesType = r;
};
ecModelMock.eachComponent = function(r) {
  r.mainType === "series" && r.subType && (seriesType = r.subType);
};
function mockMethods(r, a) {
  for (var o in a.prototype)
    r[o] = noop;
}
var colorAll = ["#37A2DA", "#32C5E9", "#67E0E3", "#9FE6B8", "#FFDB5C", "#ff9f7f", "#fb7293", "#E062AE", "#E690D1", "#e7bcf3", "#9d96f5", "#8378EA", "#96BFFF"];
const lightTheme = {
  color: colorAll,
  colorLayer: [["#37A2DA", "#ffd85c", "#fd7b5f"], ["#37A2DA", "#67E0E3", "#FFDB5C", "#ff9f7f", "#E062AE", "#9d96f5"], ["#37A2DA", "#32C5E9", "#9FE6B8", "#FFDB5C", "#ff9f7f", "#fb7293", "#e7bcf3", "#8378EA", "#96BFFF"], colorAll]
};
var contrastColor = "#B9B8CE", backgroundColor = "#100C2A", axisCommon = function() {
  return {
    axisLine: {
      lineStyle: {
        color: contrastColor
      }
    },
    splitLine: {
      lineStyle: {
        color: "#484753"
      }
    },
    splitArea: {
      areaStyle: {
        color: ["rgba(255,255,255,0.02)", "rgba(255,255,255,0.05)"]
      }
    },
    minorSplitLine: {
      lineStyle: {
        color: "#20203B"
      }
    }
  };
}, colorPalette = ["#4992ff", "#7cffb2", "#fddd60", "#ff6e76", "#58d9f9", "#05c091", "#ff8a45", "#8d48e3", "#dd79ff"], theme = {
  darkMode: !0,
  color: colorPalette,
  backgroundColor,
  axisPointer: {
    lineStyle: {
      color: "#817f91"
    },
    crossStyle: {
      color: "#817f91"
    },
    label: {
      // TODO Contrast of label backgorundColor
      color: "#fff"
    }
  },
  legend: {
    textStyle: {
      color: contrastColor
    },
    pageTextStyle: {
      color: contrastColor
    }
  },
  textStyle: {
    color: contrastColor
  },
  title: {
    textStyle: {
      color: "#EEF1FA"
    },
    subtextStyle: {
      color: "#B9B8CE"
    }
  },
  toolbox: {
    iconStyle: {
      borderColor: contrastColor
    }
  },
  dataZoom: {
    borderColor: "#71708A",
    textStyle: {
      color: contrastColor
    },
    brushStyle: {
      color: "rgba(135,163,206,0.3)"
    },
    handleStyle: {
      color: "#353450",
      borderColor: "#C5CBE3"
    },
    moveHandleStyle: {
      color: "#B0B6C3",
      opacity: 0.3
    },
    fillerColor: "rgba(135,163,206,0.2)",
    emphasis: {
      handleStyle: {
        borderColor: "#91B7F2",
        color: "#4D587D"
      },
      moveHandleStyle: {
        color: "#636D9A",
        opacity: 0.7
      }
    },
    dataBackground: {
      lineStyle: {
        color: "#71708A",
        width: 1
      },
      areaStyle: {
        color: "#71708A"
      }
    },
    selectedDataBackground: {
      lineStyle: {
        color: "#87A3CE"
      },
      areaStyle: {
        color: "#87A3CE"
      }
    }
  },
  visualMap: {
    textStyle: {
      color: contrastColor
    }
  },
  timeline: {
    lineStyle: {
      color: contrastColor
    },
    label: {
      color: contrastColor
    },
    controlStyle: {
      color: contrastColor,
      borderColor: contrastColor
    }
  },
  calendar: {
    itemStyle: {
      color: backgroundColor
    },
    dayLabel: {
      color: contrastColor
    },
    monthLabel: {
      color: contrastColor
    },
    yearLabel: {
      color: contrastColor
    }
  },
  timeAxis: axisCommon(),
  logAxis: axisCommon(),
  valueAxis: axisCommon(),
  categoryAxis: axisCommon(),
  line: {
    symbol: "circle"
  },
  graph: {
    color: colorPalette
  },
  gauge: {
    title: {
      color: contrastColor
    },
    axisLine: {
      lineStyle: {
        color: [[1, "rgba(207,212,219,0.2)"]]
      }
    },
    axisLabel: {
      color: contrastColor
    },
    detail: {
      color: "#EEF1FA"
    }
  },
  candlestick: {
    itemStyle: {
      color: "#f64e56",
      color0: "#54ea92",
      borderColor: "#f64e56",
      borderColor0: "#54ea92"
      // borderColor: '#ca2824',
      // borderColor0: '#09a443'
    }
  }
};
theme.categoryAxis.splitLine.show = !1;
var ECEventProcessor = (
  /** @class */
  function() {
    function r() {
    }
    return r.prototype.normalizeQuery = function(a) {
      var o = {}, s = {}, l = {};
      if (isString(a)) {
        var u = parseClassType(a);
        o.mainType = u.main || null, o.subType = u.sub || null;
      } else {
        var c = ["Index", "Name", "Id"], d = {
          name: 1,
          dataIndex: 1,
          dataType: 1
        };
        each$f(a, function(f, p) {
          for (var v = !1, g = 0; g < c.length; g++) {
            var y = c[g], _ = p.lastIndexOf(y);
            if (_ > 0 && _ === p.length - y.length) {
              var S = p.slice(0, _);
              S !== "data" && (o.mainType = S, o[y.toLowerCase()] = f, v = !0);
            }
          }
          d.hasOwnProperty(p) && (s[p] = f, v = !0), v || (l[p] = f);
        });
      }
      return {
        cptQuery: o,
        dataQuery: s,
        otherQuery: l
      };
    }, r.prototype.filter = function(a, o) {
      var s = this.eventInfo;
      if (!s)
        return !0;
      var l = s.targetEl, u = s.packedEvent, c = s.model, d = s.view;
      if (!c || !d)
        return !0;
      var f = o.cptQuery, p = o.dataQuery;
      return v(f, c, "mainType") && v(f, c, "subType") && v(f, c, "index", "componentIndex") && v(f, c, "name") && v(f, c, "id") && v(p, u, "name") && v(p, u, "dataIndex") && v(p, u, "dataType") && (!d.filterForExposedEvent || d.filterForExposedEvent(a, o.otherQuery, l, u));
      function v(g, y, _, S) {
        return g[_] == null || y[S || _] === g[_];
      }
    }, r.prototype.afterTrigger = function() {
      this.eventInfo = null;
    }, r;
  }()
), SYMBOL_PROPS_WITH_CB = ["symbol", "symbolSize", "symbolRotate", "symbolOffset"], SYMBOL_PROPS = SYMBOL_PROPS_WITH_CB.concat(["symbolKeepAspect"]), seriesSymbolTask = {
  createOnAllSeries: !0,
  // For legend.
  performRawSeries: !0,
  reset: function(r, a) {
    var o = r.getData();
    if (r.legendIcon && o.setVisual("legendIcon", r.legendIcon), !r.hasSymbolVisual)
      return;
    for (var s = {}, l = {}, u = !1, c = 0; c < SYMBOL_PROPS_WITH_CB.length; c++) {
      var d = SYMBOL_PROPS_WITH_CB[c], f = r.get(d);
      isFunction(f) ? (u = !0, l[d] = f) : s[d] = f;
    }
    if (s.symbol = s.symbol || r.defaultSymbol, o.setVisual(extend({
      legendIcon: r.legendIcon || s.symbol,
      symbolKeepAspect: r.get("symbolKeepAspect")
    }, s)), a.isSeriesFiltered(r))
      return;
    var p = keys(l);
    function v(g, y) {
      for (var _ = r.getRawValue(y), S = r.getDataParams(y), C = 0; C < p.length; C++) {
        var b = p[C];
        g.setItemVisual(y, b, l[b](_, S));
      }
    }
    return {
      dataEach: u ? v : null
    };
  }
}, dataSymbolTask = {
  createOnAllSeries: !0,
  // For legend.
  performRawSeries: !0,
  reset: function(r, a) {
    if (!r.hasSymbolVisual || a.isSeriesFiltered(r))
      return;
    var o = r.getData();
    function s(l, u) {
      for (var c = l.getItemModel(u), d = 0; d < SYMBOL_PROPS.length; d++) {
        var f = SYMBOL_PROPS[d], p = c.getShallow(f, !0);
        p != null && l.setItemVisual(u, f, p);
      }
    }
    return {
      dataEach: o.hasItemOption ? s : null
    };
  }
};
function getItemVisualFromData(r, a, o) {
  switch (o) {
    case "color":
      var s = r.getItemVisual(a, "style");
      return s[r.getVisual("drawType")];
    case "opacity":
      return r.getItemVisual(a, "style").opacity;
    case "symbol":
    case "symbolSize":
    case "liftZ":
      return r.getItemVisual(a, o);
    default:
      process.env.NODE_ENV !== "production" && console.warn("Unknown visual type " + o);
  }
}
function getVisualFromData(r, a) {
  switch (a) {
    case "color":
      var o = r.getVisual("style");
      return o[r.getVisual("drawType")];
    case "opacity":
      return r.getVisual("style").opacity;
    case "symbol":
    case "symbolSize":
    case "liftZ":
      return r.getVisual(a);
    default:
      process.env.NODE_ENV !== "production" && console.warn("Unknown visual type " + a);
  }
}
function setItemVisualFromData(r, a, o, s) {
  switch (o) {
    case "color":
      var l = r.ensureUniqueItemVisual(a, "style");
      l[r.getVisual("drawType")] = s, r.setItemVisual(a, "colorFromPalette", !1);
      break;
    case "opacity":
      r.ensureUniqueItemVisual(a, "style").opacity = s;
      break;
    case "symbol":
    case "symbolSize":
    case "liftZ":
      r.setItemVisual(a, o, s);
      break;
    default:
      process.env.NODE_ENV !== "production" && console.warn("Unknown visual type " + o);
  }
}
function createLegacyDataSelectAction(r, a) {
  function o(s, l) {
    var u = [];
    return s.eachComponent({
      mainType: "series",
      subType: r,
      query: l
    }, function(c) {
      u.push(c.seriesIndex);
    }), u;
  }
  each$f([[r + "ToggleSelect", "toggleSelect"], [r + "Select", "select"], [r + "UnSelect", "unselect"]], function(s) {
    a(s[0], function(l, u, c) {
      l = extend({}, l), process.env.NODE_ENV !== "production" && deprecateReplaceLog(l.type, s[1]), c.dispatchAction(extend(l, {
        type: s[1],
        seriesIndex: o(u, l)
      }));
    });
  });
}
function handleSeriesLegacySelectEvents(r, a, o, s, l) {
  var u = r + a;
  o.isSilent(u) || (process.env.NODE_ENV !== "production" && deprecateLog("event " + u + " is deprecated."), s.eachComponent({
    mainType: "series",
    subType: "pie"
  }, function(c) {
    for (var d = c.seriesIndex, f = c.option.selectedMap, p = l.selected, v = 0; v < p.length; v++)
      if (p[v].seriesIndex === d) {
        var g = c.getData(), y = queryDataIndex(g, l.fromActionPayload);
        o.trigger(u, {
          type: u,
          seriesId: c.id,
          name: isArray$1(y) ? g.getName(y[0]) : g.getName(y),
          selected: isString(f) ? f : extend({}, f)
        });
      }
  }));
}
function handleLegacySelectEvents(r, a, o) {
  r.on("selectchanged", function(s) {
    var l = o.getModel();
    s.isFromClick ? (handleSeriesLegacySelectEvents("map", "selectchanged", a, l, s), handleSeriesLegacySelectEvents("pie", "selectchanged", a, l, s)) : s.fromAction === "select" ? (handleSeriesLegacySelectEvents("map", "selected", a, l, s), handleSeriesLegacySelectEvents("pie", "selected", a, l, s)) : s.fromAction === "unselect" && (handleSeriesLegacySelectEvents("map", "unselected", a, l, s), handleSeriesLegacySelectEvents("pie", "unselected", a, l, s));
  });
}
function findEventDispatcher(r, a, o) {
  for (var s; r && !(a(r) && (s = r, o)); )
    r = r.__hostTarget || r.parent;
  return s;
}
var wmUniqueIndex = Math.round(Math.random() * 9), supportDefineProperty = typeof Object.defineProperty == "function", WeakMap$1 = function() {
  function r() {
    this._id = "__ec_inner_" + wmUniqueIndex++;
  }
  return r.prototype.get = function(a) {
    return this._guard(a)[this._id];
  }, r.prototype.set = function(a, o) {
    var s = this._guard(a);
    return supportDefineProperty ? Object.defineProperty(s, this._id, {
      value: o,
      enumerable: !1,
      configurable: !0
    }) : s[this._id] = o, this;
  }, r.prototype.delete = function(a) {
    return this.has(a) ? (delete this._guard(a)[this._id], !0) : !1;
  }, r.prototype.has = function(a) {
    return !!this._guard(a)[this._id];
  }, r.prototype._guard = function(a) {
    if (a !== Object(a))
      throw TypeError("Value of WeakMap is not a non-null object.");
    return a;
  }, r;
}(), Triangle = Path.extend({
  type: "triangle",
  shape: {
    cx: 0,
    cy: 0,
    width: 0,
    height: 0
  },
  buildPath: function(r, a) {
    var o = a.cx, s = a.cy, l = a.width / 2, u = a.height / 2;
    r.moveTo(o, s - u), r.lineTo(o + l, s + u), r.lineTo(o - l, s + u), r.closePath();
  }
}), Diamond = Path.extend({
  type: "diamond",
  shape: {
    cx: 0,
    cy: 0,
    width: 0,
    height: 0
  },
  buildPath: function(r, a) {
    var o = a.cx, s = a.cy, l = a.width / 2, u = a.height / 2;
    r.moveTo(o, s - u), r.lineTo(o + l, s), r.lineTo(o, s + u), r.lineTo(o - l, s), r.closePath();
  }
}), Pin = Path.extend({
  type: "pin",
  shape: {
    // x, y on the cusp
    x: 0,
    y: 0,
    width: 0,
    height: 0
  },
  buildPath: function(r, a) {
    var o = a.x, s = a.y, l = a.width / 5 * 3, u = Math.max(l, a.height), c = l / 2, d = c * c / (u - c), f = s - u + c + d, p = Math.asin(d / c), v = Math.cos(p) * c, g = Math.sin(p), y = Math.cos(p), _ = c * 0.6, S = c * 0.7;
    r.moveTo(o - v, f + d), r.arc(o, f, c, Math.PI - p, Math.PI * 2 + p), r.bezierCurveTo(o + v - g * _, f + d + y * _, o, s - S, o, s), r.bezierCurveTo(o, s - S, o - v + g * _, f + d + y * _, o - v, f + d), r.closePath();
  }
}), Arrow = Path.extend({
  type: "arrow",
  shape: {
    x: 0,
    y: 0,
    width: 0,
    height: 0
  },
  buildPath: function(r, a) {
    var o = a.height, s = a.width, l = a.x, u = a.y, c = s / 3 * 2;
    r.moveTo(l, u), r.lineTo(l + c, u + o), r.lineTo(l, u + o / 4 * 3), r.lineTo(l - c, u + o), r.lineTo(l, u), r.closePath();
  }
}), symbolCtors = {
  line: Line$1,
  rect: Rect$2,
  roundRect: Rect$2,
  square: Rect$2,
  circle: Circle,
  diamond: Diamond,
  pin: Pin,
  arrow: Arrow,
  triangle: Triangle
}, symbolShapeMakers = {
  line: function(r, a, o, s, l) {
    l.x1 = r, l.y1 = a + s / 2, l.x2 = r + o, l.y2 = a + s / 2;
  },
  rect: function(r, a, o, s, l) {
    l.x = r, l.y = a, l.width = o, l.height = s;
  },
  roundRect: function(r, a, o, s, l) {
    l.x = r, l.y = a, l.width = o, l.height = s, l.r = Math.min(o, s) / 4;
  },
  square: function(r, a, o, s, l) {
    var u = Math.min(o, s);
    l.x = r, l.y = a, l.width = u, l.height = u;
  },
  circle: function(r, a, o, s, l) {
    l.cx = r + o / 2, l.cy = a + s / 2, l.r = Math.min(o, s) / 2;
  },
  diamond: function(r, a, o, s, l) {
    l.cx = r + o / 2, l.cy = a + s / 2, l.width = o, l.height = s;
  },
  pin: function(r, a, o, s, l) {
    l.x = r + o / 2, l.y = a + s / 2, l.width = o, l.height = s;
  },
  arrow: function(r, a, o, s, l) {
    l.x = r + o / 2, l.y = a + s / 2, l.width = o, l.height = s;
  },
  triangle: function(r, a, o, s, l) {
    l.cx = r + o / 2, l.cy = a + s / 2, l.width = o, l.height = s;
  }
}, symbolBuildProxies = {};
each$f(symbolCtors, function(r, a) {
  symbolBuildProxies[a] = new r();
});
var SymbolClz = Path.extend({
  type: "symbol",
  shape: {
    symbolType: "",
    x: 0,
    y: 0,
    width: 0,
    height: 0
  },
  calculateTextPosition: function(r, a, o) {
    var s = calculateTextPosition(r, a, o), l = this.shape;
    return l && l.symbolType === "pin" && a.position === "inside" && (s.y = o.y + o.height * 0.4), s;
  },
  buildPath: function(r, a, o) {
    var s = a.symbolType;
    if (s !== "none") {
      var l = symbolBuildProxies[s];
      l || (s = "rect", l = symbolBuildProxies[s]), symbolShapeMakers[s](a.x, a.y, a.width, a.height, l.shape), l.buildPath(r, l.shape, o);
    }
  }
});
function symbolPathSetColor(r, a) {
  if (this.type !== "image") {
    var o = this.style;
    this.__isEmptyBrush ? (o.stroke = r, o.fill = a || "#fff", o.lineWidth = 2) : this.shape.symbolType === "line" ? o.stroke = r : o.fill = r, this.markRedraw();
  }
}
function createSymbol$1(r, a, o, s, l, u, c) {
  var d = r.indexOf("empty") === 0;
  d && (r = r.substr(5, 1).toLowerCase() + r.substr(6));
  var f;
  return r.indexOf("image://") === 0 ? f = makeImage(r.slice(8), new BoundingRect(a, o, s, l), c ? "center" : "cover") : r.indexOf("path://") === 0 ? f = makePath(r.slice(7), {}, new BoundingRect(a, o, s, l), c ? "center" : "cover") : f = new SymbolClz({
    shape: {
      symbolType: r,
      x: a,
      y: o,
      width: s,
      height: l
    }
  }), f.__isEmptyBrush = d, f.setColor = symbolPathSetColor, u && f.setColor(u), f;
}
function normalizeSymbolSize(r) {
  return isArray$1(r) || (r = [+r, +r]), [r[0] || 0, r[1] || 0];
}
function normalizeSymbolOffset(r, a) {
  if (r != null)
    return isArray$1(r) || (r = [r, r]), [parsePercent(r[0], a[0]) || 0, parsePercent(retrieve2(r[1], r[0]), a[1]) || 0];
}
function isSafeNum(r) {
  return isFinite(r);
}
function createLinearGradient(r, a, o) {
  var s = a.x == null ? 0 : a.x, l = a.x2 == null ? 1 : a.x2, u = a.y == null ? 0 : a.y, c = a.y2 == null ? 0 : a.y2;
  a.global || (s = s * o.width + o.x, l = l * o.width + o.x, u = u * o.height + o.y, c = c * o.height + o.y), s = isSafeNum(s) ? s : 0, l = isSafeNum(l) ? l : 1, u = isSafeNum(u) ? u : 0, c = isSafeNum(c) ? c : 0;
  var d = r.createLinearGradient(s, u, l, c);
  return d;
}
function createRadialGradient(r, a, o) {
  var s = o.width, l = o.height, u = Math.min(s, l), c = a.x == null ? 0.5 : a.x, d = a.y == null ? 0.5 : a.y, f = a.r == null ? 0.5 : a.r;
  a.global || (c = c * s + o.x, d = d * l + o.y, f = f * u), c = isSafeNum(c) ? c : 0.5, d = isSafeNum(d) ? d : 0.5, f = f >= 0 && isSafeNum(f) ? f : 0.5;
  var p = r.createRadialGradient(c, d, 0, c, d, f);
  return p;
}
function getCanvasGradient(r, a, o) {
  for (var s = a.type === "radial" ? createRadialGradient(r, a, o) : createLinearGradient(r, a, o), l = a.colorStops, u = 0; u < l.length; u++)
    s.addColorStop(l[u].offset, l[u].color);
  return s;
}
function isClipPathChanged(r, a) {
  if (r === a || !r && !a)
    return !1;
  if (!r || !a || r.length !== a.length)
    return !0;
  for (var o = 0; o < r.length; o++)
    if (r[o] !== a[o])
      return !0;
  return !1;
}
function parseInt10(r) {
  return parseInt(r, 10);
}
function getSize$1(r, a, o) {
  var s = ["width", "height"][a], l = ["clientWidth", "clientHeight"][a], u = ["paddingLeft", "paddingTop"][a], c = ["paddingRight", "paddingBottom"][a];
  if (o[s] != null && o[s] !== "auto")
    return parseFloat(o[s]);
  var d = document.defaultView.getComputedStyle(r);
  return (r[l] || parseInt10(d[s]) || parseInt10(r.style[s])) - (parseInt10(d[u]) || 0) - (parseInt10(d[c]) || 0) | 0;
}
function normalizeLineDash(r, a) {
  return !r || r === "solid" || !(a > 0) ? null : r === "dashed" ? [4 * a, 2 * a] : r === "dotted" ? [a] : isNumber(r) ? [r] : isArray$1(r) ? r : null;
}
function getLineDash(r) {
  var a = r.style, o = a.lineDash && a.lineWidth > 0 && normalizeLineDash(a.lineDash, a.lineWidth), s = a.lineDashOffset;
  if (o) {
    var l = a.strokeNoScale && r.getLineScale ? r.getLineScale() : 1;
    l && l !== 1 && (o = map$1(o, function(u) {
      return u / l;
    }), s /= l);
  }
  return [o, s];
}
var pathProxyForDraw = new PathProxy(!0);
function styleHasStroke(r) {
  var a = r.stroke;
  return !(a == null || a === "none" || !(r.lineWidth > 0));
}
function isValidStrokeFillStyle(r) {
  return typeof r == "string" && r !== "none";
}
function styleHasFill(r) {
  var a = r.fill;
  return a != null && a !== "none";
}
function doFillPath(r, a) {
  if (a.fillOpacity != null && a.fillOpacity !== 1) {
    var o = r.globalAlpha;
    r.globalAlpha = a.fillOpacity * a.opacity, r.fill(), r.globalAlpha = o;
  } else
    r.fill();
}
function doStrokePath(r, a) {
  if (a.strokeOpacity != null && a.strokeOpacity !== 1) {
    var o = r.globalAlpha;
    r.globalAlpha = a.strokeOpacity * a.opacity, r.stroke(), r.globalAlpha = o;
  } else
    r.stroke();
}
function createCanvasPattern(r, a, o) {
  var s = createOrUpdateImage(a.image, a.__image, o);
  if (isImageReady(s)) {
    var l = r.createPattern(s, a.repeat || "repeat");
    if (typeof DOMMatrix == "function" && l && l.setTransform) {
      var u = new DOMMatrix();
      u.translateSelf(a.x || 0, a.y || 0), u.rotateSelf(0, 0, (a.rotation || 0) * RADIAN_TO_DEGREE), u.scaleSelf(a.scaleX || 1, a.scaleY || 1), l.setTransform(u);
    }
    return l;
  }
}
function brushPath(r, a, o, s) {
  var l, u = styleHasStroke(o), c = styleHasFill(o), d = o.strokePercent, f = d < 1, p = !a.path;
  (!a.silent || f) && p && a.createPathProxy();
  var v = a.path || pathProxyForDraw, g = a.__dirty;
  if (!s) {
    var y = o.fill, _ = o.stroke, S = c && !!y.colorStops, C = u && !!_.colorStops, b = c && !!y.image, T = u && !!_.image, E = void 0, x = void 0, $ = void 0, A = void 0, N = void 0;
    (S || C) && (N = a.getBoundingRect()), S && (E = g ? getCanvasGradient(r, y, N) : a.__canvasFillGradient, a.__canvasFillGradient = E), C && (x = g ? getCanvasGradient(r, _, N) : a.__canvasStrokeGradient, a.__canvasStrokeGradient = x), b && ($ = g || !a.__canvasFillPattern ? createCanvasPattern(r, y, a) : a.__canvasFillPattern, a.__canvasFillPattern = $), T && (A = g || !a.__canvasStrokePattern ? createCanvasPattern(r, _, a) : a.__canvasStrokePattern, a.__canvasStrokePattern = $), S ? r.fillStyle = E : b && ($ ? r.fillStyle = $ : c = !1), C ? r.strokeStyle = x : T && (A ? r.strokeStyle = A : u = !1);
  }
  var P = a.getGlobalScale();
  v.setScale(P[0], P[1], a.segmentIgnoreThreshold);
  var L, O;
  r.setLineDash && o.lineDash && (l = getLineDash(a), L = l[0], O = l[1]);
  var M = !0;
  (p || g & SHAPE_CHANGED_BIT) && (v.setDPR(r.dpr), f ? v.setContext(null) : (v.setContext(r), M = !1), v.reset(), a.buildPath(v, a.shape, s), v.toStatic(), a.pathUpdated()), M && v.rebuildPath(r, f ? d : 1), L && (r.setLineDash(L), r.lineDashOffset = O), s || (o.strokeFirst ? (u && doStrokePath(r, o), c && doFillPath(r, o)) : (c && doFillPath(r, o), u && doStrokePath(r, o))), L && r.setLineDash([]);
}
function brushImage(r, a, o) {
  var s = a.__image = createOrUpdateImage(o.image, a.__image, a, a.onload);
  if (!(!s || !isImageReady(s))) {
    var l = o.x || 0, u = o.y || 0, c = a.getWidth(), d = a.getHeight(), f = s.width / s.height;
    if (c == null && d != null ? c = d * f : d == null && c != null ? d = c / f : c == null && d == null && (c = s.width, d = s.height), o.sWidth && o.sHeight) {
      var p = o.sx || 0, v = o.sy || 0;
      r.drawImage(s, p, v, o.sWidth, o.sHeight, l, u, c, d);
    } else if (o.sx && o.sy) {
      var p = o.sx, v = o.sy, g = c - p, y = d - v;
      r.drawImage(s, p, v, g, y, l, u, c, d);
    } else
      r.drawImage(s, l, u, c, d);
  }
}
function brushText(r, a, o) {
  var s, l = o.text;
  if (l != null && (l += ""), l) {
    r.font = o.font || DEFAULT_FONT, r.textAlign = o.textAlign, r.textBaseline = o.textBaseline;
    var u = void 0, c = void 0;
    r.setLineDash && o.lineDash && (s = getLineDash(a), u = s[0], c = s[1]), u && (r.setLineDash(u), r.lineDashOffset = c), o.strokeFirst ? (styleHasStroke(o) && r.strokeText(l, o.x, o.y), styleHasFill(o) && r.fillText(l, o.x, o.y)) : (styleHasFill(o) && r.fillText(l, o.x, o.y), styleHasStroke(o) && r.strokeText(l, o.x, o.y)), u && r.setLineDash([]);
  }
}
var SHADOW_NUMBER_PROPS = ["shadowBlur", "shadowOffsetX", "shadowOffsetY"], STROKE_PROPS = [
  ["lineCap", "butt"],
  ["lineJoin", "miter"],
  ["miterLimit", 10]
];
function bindCommonProps(r, a, o, s, l) {
  var u = !1;
  if (!s && (o = o || {}, a === o))
    return !1;
  if (s || a.opacity !== o.opacity) {
    flushPathDrawn(r, l), u = !0;
    var c = Math.max(Math.min(a.opacity, 1), 0);
    r.globalAlpha = isNaN(c) ? DEFAULT_COMMON_STYLE.opacity : c;
  }
  (s || a.blend !== o.blend) && (u || (flushPathDrawn(r, l), u = !0), r.globalCompositeOperation = a.blend || DEFAULT_COMMON_STYLE.blend);
  for (var d = 0; d < SHADOW_NUMBER_PROPS.length; d++) {
    var f = SHADOW_NUMBER_PROPS[d];
    (s || a[f] !== o[f]) && (u || (flushPathDrawn(r, l), u = !0), r[f] = r.dpr * (a[f] || 0));
  }
  return (s || a.shadowColor !== o.shadowColor) && (u || (flushPathDrawn(r, l), u = !0), r.shadowColor = a.shadowColor || DEFAULT_COMMON_STYLE.shadowColor), u;
}
function bindPathAndTextCommonStyle(r, a, o, s, l) {
  var u = getStyle(a, l.inHover), c = s ? null : o && getStyle(o, l.inHover) || {};
  if (u === c)
    return !1;
  var d = bindCommonProps(r, u, c, s, l);
  if ((s || u.fill !== c.fill) && (d || (flushPathDrawn(r, l), d = !0), isValidStrokeFillStyle(u.fill) && (r.fillStyle = u.fill)), (s || u.stroke !== c.stroke) && (d || (flushPathDrawn(r, l), d = !0), isValidStrokeFillStyle(u.stroke) && (r.strokeStyle = u.stroke)), (s || u.opacity !== c.opacity) && (d || (flushPathDrawn(r, l), d = !0), r.globalAlpha = u.opacity == null ? 1 : u.opacity), a.hasStroke()) {
    var f = u.lineWidth, p = f / (u.strokeNoScale && a.getLineScale ? a.getLineScale() : 1);
    r.lineWidth !== p && (d || (flushPathDrawn(r, l), d = !0), r.lineWidth = p);
  }
  for (var v = 0; v < STROKE_PROPS.length; v++) {
    var g = STROKE_PROPS[v], y = g[0];
    (s || u[y] !== c[y]) && (d || (flushPathDrawn(r, l), d = !0), r[y] = u[y] || g[1]);
  }
  return d;
}
function bindImageStyle(r, a, o, s, l) {
  return bindCommonProps(r, getStyle(a, l.inHover), o && getStyle(o, l.inHover), s, l);
}
function setContextTransform(r, a) {
  var o = a.transform, s = r.dpr || 1;
  o ? r.setTransform(s * o[0], s * o[1], s * o[2], s * o[3], s * o[4], s * o[5]) : r.setTransform(s, 0, 0, s, 0, 0);
}
function updateClipStatus(r, a, o) {
  for (var s = !1, l = 0; l < r.length; l++) {
    var u = r[l];
    s = s || u.isZeroArea(), setContextTransform(a, u), a.beginPath(), u.buildPath(a, u.shape), a.clip();
  }
  o.allClipped = s;
}
function isTransformChanged(r, a) {
  return r && a ? r[0] !== a[0] || r[1] !== a[1] || r[2] !== a[2] || r[3] !== a[3] || r[4] !== a[4] || r[5] !== a[5] : !(!r && !a);
}
var DRAW_TYPE_PATH = 1, DRAW_TYPE_IMAGE = 2, DRAW_TYPE_TEXT = 3, DRAW_TYPE_INCREMENTAL = 4;
function canPathBatch(r) {
  var a = styleHasFill(r), o = styleHasStroke(r);
  return !(r.lineDash || !(+a ^ +o) || a && typeof r.fill != "string" || o && typeof r.stroke != "string" || r.strokePercent < 1 || r.strokeOpacity < 1 || r.fillOpacity < 1);
}
function flushPathDrawn(r, a) {
  a.batchFill && r.fill(), a.batchStroke && r.stroke(), a.batchFill = "", a.batchStroke = "";
}
function getStyle(r, a) {
  return a && r.__hoverStyle || r.style;
}
function brushSingle(r, a) {
  brush$1(r, a, { inHover: !1, viewWidth: 0, viewHeight: 0 }, !0);
}
function brush$1(r, a, o, s) {
  var l = a.transform;
  if (!a.shouldBePainted(o.viewWidth, o.viewHeight, !1, !1)) {
    a.__dirty &= -2, a.__isRendered = !1;
    return;
  }
  var u = a.__clipPaths, c = o.prevElClipPaths, d = !1, f = !1;
  if ((!c || isClipPathChanged(u, c)) && (c && c.length && (flushPathDrawn(r, o), r.restore(), f = d = !0, o.prevElClipPaths = null, o.allClipped = !1, o.prevEl = null), u && u.length && (flushPathDrawn(r, o), r.save(), updateClipStatus(u, r, o), d = !0), o.prevElClipPaths = u), o.allClipped) {
    a.__isRendered = !1;
    return;
  }
  a.beforeBrush && a.beforeBrush(), a.innerBeforeBrush();
  var p = o.prevEl;
  p || (f = d = !0);
  var v = a instanceof Path && a.autoBatch && canPathBatch(a.style);
  d || isTransformChanged(l, p.transform) ? (flushPathDrawn(r, o), setContextTransform(r, a)) : v || flushPathDrawn(r, o);
  var g = getStyle(a, o.inHover);
  a instanceof Path ? (o.lastDrawType !== DRAW_TYPE_PATH && (f = !0, o.lastDrawType = DRAW_TYPE_PATH), bindPathAndTextCommonStyle(r, a, p, f, o), (!v || !o.batchFill && !o.batchStroke) && r.beginPath(), brushPath(r, a, g, v), v && (o.batchFill = g.fill || "", o.batchStroke = g.stroke || "")) : a instanceof TSpan ? (o.lastDrawType !== DRAW_TYPE_TEXT && (f = !0, o.lastDrawType = DRAW_TYPE_TEXT), bindPathAndTextCommonStyle(r, a, p, f, o), brushText(r, a, g)) : a instanceof ZRImage ? (o.lastDrawType !== DRAW_TYPE_IMAGE && (f = !0, o.lastDrawType = DRAW_TYPE_IMAGE), bindImageStyle(r, a, p, f, o), brushImage(r, a, g)) : a.getTemporalDisplayables && (o.lastDrawType !== DRAW_TYPE_INCREMENTAL && (f = !0, o.lastDrawType = DRAW_TYPE_INCREMENTAL), brushIncremental(r, a, o)), v && s && flushPathDrawn(r, o), a.innerAfterBrush(), a.afterBrush && a.afterBrush(), o.prevEl = a, a.__dirty = 0, a.__isRendered = !0;
}
function brushIncremental(r, a, o) {
  var s = a.getDisplayables(), l = a.getTemporalDisplayables();
  r.save();
  var u = {
    prevElClipPaths: null,
    prevEl: null,
    allClipped: !1,
    viewWidth: o.viewWidth,
    viewHeight: o.viewHeight,
    inHover: o.inHover
  }, c, d;
  for (c = a.getCursor(), d = s.length; c < d; c++) {
    var f = s[c];
    f.beforeBrush && f.beforeBrush(), f.innerBeforeBrush(), brush$1(r, f, u, c === d - 1), f.innerAfterBrush(), f.afterBrush && f.afterBrush(), u.prevEl = f;
  }
  for (var p = 0, v = l.length; p < v; p++) {
    var f = l[p];
    f.beforeBrush && f.beforeBrush(), f.innerBeforeBrush(), brush$1(r, f, u, p === v - 1), f.innerAfterBrush(), f.afterBrush && f.afterBrush(), u.prevEl = f;
  }
  a.clearTemporalDisplayables(), a.notClear = !0, r.restore();
}
var decalMap = new WeakMap$1(), decalCache = new LRU(100), decalKeys = ["symbol", "symbolSize", "symbolKeepAspect", "color", "backgroundColor", "dashArrayX", "dashArrayY", "maxTileWidth", "maxTileHeight"];
function createOrUpdatePatternFromDecal(r, a) {
  if (r === "none")
    return null;
  var o = a.getDevicePixelRatio(), s = a.getZr(), l = s.painter.type === "svg";
  r.dirty && decalMap.delete(r);
  var u = decalMap.get(r);
  if (u)
    return u;
  var c = defaults(r, {
    symbol: "rect",
    symbolSize: 1,
    symbolKeepAspect: !0,
    color: "rgba(0, 0, 0, 0.2)",
    backgroundColor: null,
    dashArrayX: 5,
    dashArrayY: 5,
    rotation: 0,
    maxTileWidth: 512,
    maxTileHeight: 512
  });
  c.backgroundColor === "none" && (c.backgroundColor = null);
  var d = {
    repeat: "repeat"
  };
  return f(d), d.rotation = c.rotation, d.scaleX = d.scaleY = l ? 1 : 1 / o, decalMap.set(r, d), r.dirty = !1, d;
  function f(p) {
    for (var v = [o], g = !0, y = 0; y < decalKeys.length; ++y) {
      var _ = c[decalKeys[y]];
      if (_ != null && !isArray$1(_) && !isString(_) && !isNumber(_) && typeof _ != "boolean") {
        g = !1;
        break;
      }
      v.push(_);
    }
    var S;
    if (g) {
      S = v.join(",") + (l ? "-svg" : "");
      var C = decalCache.get(S);
      C && (l ? p.svgElement = C : p.image = C);
    }
    var b = normalizeDashArrayX(c.dashArrayX), T = normalizeDashArrayY(c.dashArrayY), E = normalizeSymbolArray(c.symbol), x = getLineBlockLengthX(b), $ = getLineBlockLengthY(T), A = !l && platformApi.createCanvas(), N = l && {
      tag: "g",
      attrs: {},
      key: "dcl",
      children: []
    }, P = O(), L;
    A && (A.width = P.width * o, A.height = P.height * o, L = A.getContext("2d")), M(), g && decalCache.put(S, A || N), p.image = A, p.svgElement = N, p.svgWidth = P.width, p.svgHeight = P.height;
    function O() {
      for (var F = 1, U = 0, R = x.length; U < R; ++U)
        F = getLeastCommonMultiple(F, x[U]);
      for (var H = 1, U = 0, R = E.length; U < R; ++U)
        H = getLeastCommonMultiple(H, E[U].length);
      F *= H;
      var V = $ * x.length * E.length;
      if (process.env.NODE_ENV !== "production") {
        var Y = function(G) {
          console.warn("Calculated decal size is greater than " + G + " due to decal option settings so " + G + " is used for the decal size. Please consider changing the decal option to make a smaller decal or set " + G + " to be larger to avoid incontinuity.");
        };
        F > c.maxTileWidth && Y("maxTileWidth"), V > c.maxTileHeight && Y("maxTileHeight");
      }
      return {
        width: Math.max(1, Math.min(F, c.maxTileWidth)),
        height: Math.max(1, Math.min(V, c.maxTileHeight))
      };
    }
    function M() {
      L && (L.clearRect(0, 0, A.width, A.height), c.backgroundColor && (L.fillStyle = c.backgroundColor, L.fillRect(0, 0, A.width, A.height)));
      for (var F = 0, U = 0; U < T.length; ++U)
        F += T[U];
      if (F <= 0)
        return;
      for (var R = -$, H = 0, V = 0, Y = 0; R < P.height; ) {
        if (H % 2 === 0) {
          for (var G = V / 2 % E.length, Z = 0, re = 0, de = 0; Z < P.width * 2; ) {
            for (var X = 0, U = 0; U < b[Y].length; ++U)
              X += b[Y][U];
            if (X <= 0)
              break;
            if (re % 2 === 0) {
              var W = (1 - c.symbolSize) * 0.5, te = Z + b[Y][re] * W, ae = R + T[H] * W, Te = b[Y][re] * c.symbolSize, $e = T[H] * c.symbolSize, se = de / 2 % E[G].length;
              fe(te, ae, Te, $e, E[G][se]);
            }
            Z += b[Y][re], ++de, ++re, re === b[Y].length && (re = 0);
          }
          ++Y, Y === b.length && (Y = 0);
        }
        R += T[H], ++V, ++H, H === T.length && (H = 0);
      }
      function fe(ce, ge, ve, xe, Ae) {
        var oe = l ? 1 : o, De = createSymbol$1(Ae, ce * oe, ge * oe, ve * oe, xe * oe, c.color, c.symbolKeepAspect);
        if (l) {
          var Re = s.painter.renderOneToVNode(De);
          Re && N.children.push(Re);
        } else
          brushSingle(L, De);
      }
    }
  }
}
function normalizeSymbolArray(r) {
  if (!r || r.length === 0)
    return [["rect"]];
  if (isString(r))
    return [[r]];
  for (var a = !0, o = 0; o < r.length; ++o)
    if (!isString(r[o])) {
      a = !1;
      break;
    }
  if (a)
    return normalizeSymbolArray([r]);
  for (var s = [], o = 0; o < r.length; ++o)
    isString(r[o]) ? s.push([r[o]]) : s.push(r[o]);
  return s;
}
function normalizeDashArrayX(r) {
  if (!r || r.length === 0)
    return [[0, 0]];
  if (isNumber(r)) {
    var a = Math.ceil(r);
    return [[a, a]];
  }
  for (var o = !0, s = 0; s < r.length; ++s)
    if (!isNumber(r[s])) {
      o = !1;
      break;
    }
  if (o)
    return normalizeDashArrayX([r]);
  for (var l = [], s = 0; s < r.length; ++s)
    if (isNumber(r[s])) {
      var a = Math.ceil(r[s]);
      l.push([a, a]);
    } else {
      var a = map$1(r[s], function(d) {
        return Math.ceil(d);
      });
      a.length % 2 === 1 ? l.push(a.concat(a)) : l.push(a);
    }
  return l;
}
function normalizeDashArrayY(r) {
  if (!r || typeof r == "object" && r.length === 0)
    return [0, 0];
  if (isNumber(r)) {
    var a = Math.ceil(r);
    return [a, a];
  }
  var o = map$1(r, function(s) {
    return Math.ceil(s);
  });
  return r.length % 2 ? o.concat(o) : o;
}
function getLineBlockLengthX(r) {
  return map$1(r, function(a) {
    return getLineBlockLengthY(a);
  });
}
function getLineBlockLengthY(r) {
  for (var a = 0, o = 0; o < r.length; ++o)
    a += r[o];
  return r.length % 2 === 1 ? a * 2 : a;
}
function decalVisual(r, a) {
  r.eachRawSeries(function(o) {
    if (!r.isSeriesFiltered(o)) {
      var s = o.getData();
      s.hasItemVisual() && s.each(function(c) {
        var d = s.getItemVisual(c, "decal");
        if (d) {
          var f = s.ensureUniqueItemVisual(c, "style");
          f.decal = createOrUpdatePatternFromDecal(d, a);
        }
      });
      var l = s.getVisual("decal");
      if (l) {
        var u = s.getVisual("style");
        u.decal = createOrUpdatePatternFromDecal(l, a);
      }
    }
  });
}
var lifecycle = new Eventful(), implsStore = {};
function registerImpl(r, a) {
  process.env.NODE_ENV !== "production" && implsStore[r] && error("Already has an implementation of " + r + "."), implsStore[r] = a;
}
function getImpl(r) {
  return process.env.NODE_ENV !== "production" && (implsStore[r] || error("Implementation of " + r + " doesn't exists.")), implsStore[r];
}
var version = "5.6.0", dependencies = {
  zrender: "5.6.1"
}, TEST_FRAME_REMAIN_TIME = 1, PRIORITY_PROCESSOR_SERIES_FILTER = 800, PRIORITY_PROCESSOR_DATASTACK = 900, PRIORITY_PROCESSOR_FILTER = 1e3, PRIORITY_PROCESSOR_DEFAULT = 2e3, PRIORITY_PROCESSOR_STATISTIC = 5e3, PRIORITY_VISUAL_LAYOUT = 1e3, PRIORITY_VISUAL_PROGRESSIVE_LAYOUT = 1100, PRIORITY_VISUAL_GLOBAL = 2e3, PRIORITY_VISUAL_CHART = 3e3, PRIORITY_VISUAL_COMPONENT = 4e3, PRIORITY_VISUAL_CHART_DATA_CUSTOM = 4500, PRIORITY_VISUAL_POST_CHART_LAYOUT = 4600, PRIORITY_VISUAL_BRUSH = 5e3, PRIORITY_VISUAL_ARIA = 6e3, PRIORITY_VISUAL_DECAL = 7e3, PRIORITY = {
  PROCESSOR: {
    FILTER: PRIORITY_PROCESSOR_FILTER,
    SERIES_FILTER: PRIORITY_PROCESSOR_SERIES_FILTER,
    STATISTIC: PRIORITY_PROCESSOR_STATISTIC
  },
  VISUAL: {
    LAYOUT: PRIORITY_VISUAL_LAYOUT,
    PROGRESSIVE_LAYOUT: PRIORITY_VISUAL_PROGRESSIVE_LAYOUT,
    GLOBAL: PRIORITY_VISUAL_GLOBAL,
    CHART: PRIORITY_VISUAL_CHART,
    POST_CHART_LAYOUT: PRIORITY_VISUAL_POST_CHART_LAYOUT,
    COMPONENT: PRIORITY_VISUAL_COMPONENT,
    BRUSH: PRIORITY_VISUAL_BRUSH,
    CHART_ITEM: PRIORITY_VISUAL_CHART_DATA_CUSTOM,
    ARIA: PRIORITY_VISUAL_ARIA,
    DECAL: PRIORITY_VISUAL_DECAL
  }
}, IN_MAIN_PROCESS_KEY = "__flagInMainProcess", PENDING_UPDATE = "__pendingUpdate", STATUS_NEEDS_UPDATE_KEY = "__needsUpdateStatus", ACTION_REG = /^[a-zA-Z0-9_]+$/, CONNECT_STATUS_KEY = "__connectUpdateStatus", CONNECT_STATUS_PENDING = 0, CONNECT_STATUS_UPDATING = 1, CONNECT_STATUS_UPDATED = 2;
function createRegisterEventWithLowercaseECharts(r) {
  return function() {
    for (var a = [], o = 0; o < arguments.length; o++)
      a[o] = arguments[o];
    if (this.isDisposed()) {
      disposedWarning(this.id);
      return;
    }
    return toLowercaseNameAndCallEventful(this, r, a);
  };
}
function createRegisterEventWithLowercaseMessageCenter(r) {
  return function() {
    for (var a = [], o = 0; o < arguments.length; o++)
      a[o] = arguments[o];
    return toLowercaseNameAndCallEventful(this, r, a);
  };
}
function toLowercaseNameAndCallEventful(r, a, o) {
  return o[0] = o[0] && o[0].toLowerCase(), Eventful.prototype[a].apply(r, o);
}
var MessageCenter = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a;
  }(Eventful)
), messageCenterProto = MessageCenter.prototype;
messageCenterProto.on = createRegisterEventWithLowercaseMessageCenter("on");
messageCenterProto.off = createRegisterEventWithLowercaseMessageCenter("off");
var prepare, prepareView, updateDirectly, updateMethods, doConvertPixel, updateStreamModes, doDispatchAction, flushPendingActions, triggerUpdatedEvent, bindRenderedEvent, bindMouseEvent, render, renderComponents, renderSeries, createExtensionAPI, enableConnect, markStatusToUpdate, applyChangedStates, ECharts = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s, l) {
      var u = r.call(this, new ECEventProcessor()) || this;
      u._chartsViews = [], u._chartsMap = {}, u._componentsViews = [], u._componentsMap = {}, u._pendingActions = [], l = l || {}, isString(s) && (s = themeStorage[s]), u._dom = o;
      var c = "canvas", d = "auto", f = !1;
      if (process.env.NODE_ENV !== "production") {
        var p = (
          /* eslint-disable-next-line */
          env.hasGlobalWindow ? window : global
        );
        p && (c = retrieve2(p.__ECHARTS__DEFAULT__RENDERER__, c), d = retrieve2(p.__ECHARTS__DEFAULT__COARSE_POINTER, d), f = retrieve2(p.__ECHARTS__DEFAULT__USE_DIRTY_RECT__, f));
      }
      l.ssr && registerSSRDataGetter(function(_) {
        var S = getECData(_), C = S.dataIndex;
        if (C != null) {
          var b = createHashMap();
          return b.set("series_index", S.seriesIndex), b.set("data_index", C), S.ssrType && b.set("ssr_type", S.ssrType), b;
        }
      });
      var v = u._zr = init$2(o, {
        renderer: l.renderer || c,
        devicePixelRatio: l.devicePixelRatio,
        width: l.width,
        height: l.height,
        ssr: l.ssr,
        useDirtyRect: retrieve2(l.useDirtyRect, f),
        useCoarsePointer: retrieve2(l.useCoarsePointer, d),
        pointerSize: l.pointerSize
      });
      u._ssr = l.ssr, u._throttledZrFlush = throttle(bind$1(v.flush, v), 17), s = clone$4(s), s && globalBackwardCompat(s, !0), u._theme = s, u._locale = createLocaleObject(l.locale || SYSTEM_LANG), u._coordSysMgr = new CoordinateSystemManager();
      var g = u._api = createExtensionAPI(u);
      function y(_, S) {
        return _.__prio - S.__prio;
      }
      return sort$2(visualFuncs, y), sort$2(dataProcessorFuncs, y), u._scheduler = new Scheduler(u, g, dataProcessorFuncs, visualFuncs), u._messageCenter = new MessageCenter(), u._initEvents(), u.resize = bind$1(u.resize, u), v.animation.on("frame", u._onframe, u), bindRenderedEvent(v, u), bindMouseEvent(v, u), setAsPrimitive(u), u;
    }
    return a.prototype._onframe = function() {
      if (!this._disposed) {
        applyChangedStates(this);
        var o = this._scheduler;
        if (this[PENDING_UPDATE]) {
          var s = this[PENDING_UPDATE].silent;
          this[IN_MAIN_PROCESS_KEY] = !0;
          try {
            prepare(this), updateMethods.update.call(this, null, this[PENDING_UPDATE].updateParams);
          } catch (f) {
            throw this[IN_MAIN_PROCESS_KEY] = !1, this[PENDING_UPDATE] = null, f;
          }
          this._zr.flush(), this[IN_MAIN_PROCESS_KEY] = !1, this[PENDING_UPDATE] = null, flushPendingActions.call(this, s), triggerUpdatedEvent.call(this, s);
        } else if (o.unfinished) {
          var l = TEST_FRAME_REMAIN_TIME, u = this._model, c = this._api;
          o.unfinished = !1;
          do {
            var d = +/* @__PURE__ */ new Date();
            o.performSeriesTasks(u), o.performDataProcessorTasks(u), updateStreamModes(this, u), o.performVisualTasks(u), renderSeries(this, this._model, c, "remain", {}), l -= +/* @__PURE__ */ new Date() - d;
          } while (l > 0 && o.unfinished);
          o.unfinished || this._zr.flush();
        }
      }
    }, a.prototype.getDom = function() {
      return this._dom;
    }, a.prototype.getId = function() {
      return this.id;
    }, a.prototype.getZr = function() {
      return this._zr;
    }, a.prototype.isSSR = function() {
      return this._ssr;
    }, a.prototype.setOption = function(o, s, l) {
      if (this[IN_MAIN_PROCESS_KEY]) {
        process.env.NODE_ENV !== "production" && error("`setOption` should not be called during main process.");
        return;
      }
      if (this._disposed) {
        disposedWarning(this.id);
        return;
      }
      var u, c, d;
      if (isObject$3(s) && (l = s.lazyUpdate, u = s.silent, c = s.replaceMerge, d = s.transition, s = s.notMerge), this[IN_MAIN_PROCESS_KEY] = !0, !this._model || s) {
        var f = new OptionManager(this._api), p = this._theme, v = this._model = new GlobalModel();
        v.scheduler = this._scheduler, v.ssr = this._ssr, v.init(null, null, null, p, this._locale, f);
      }
      this._model.setOption(o, {
        replaceMerge: c
      }, optionPreprocessorFuncs);
      var g = {
        seriesTransition: d,
        optionChanged: !0
      };
      if (l)
        this[PENDING_UPDATE] = {
          silent: u,
          updateParams: g
        }, this[IN_MAIN_PROCESS_KEY] = !1, this.getZr().wakeUp();
      else {
        try {
          prepare(this), updateMethods.update.call(this, null, g);
        } catch (y) {
          throw this[PENDING_UPDATE] = null, this[IN_MAIN_PROCESS_KEY] = !1, y;
        }
        this._ssr || this._zr.flush(), this[PENDING_UPDATE] = null, this[IN_MAIN_PROCESS_KEY] = !1, flushPendingActions.call(this, u), triggerUpdatedEvent.call(this, u);
      }
    }, a.prototype.setTheme = function() {
      deprecateLog("ECharts#setTheme() is DEPRECATED in ECharts 3.0");
    }, a.prototype.getModel = function() {
      return this._model;
    }, a.prototype.getOption = function() {
      return this._model && this._model.getOption();
    }, a.prototype.getWidth = function() {
      return this._zr.getWidth();
    }, a.prototype.getHeight = function() {
      return this._zr.getHeight();
    }, a.prototype.getDevicePixelRatio = function() {
      return this._zr.painter.dpr || env.hasGlobalWindow && window.devicePixelRatio || 1;
    }, a.prototype.getRenderedCanvas = function(o) {
      return process.env.NODE_ENV !== "production" && deprecateReplaceLog("getRenderedCanvas", "renderToCanvas"), this.renderToCanvas(o);
    }, a.prototype.renderToCanvas = function(o) {
      o = o || {};
      var s = this._zr.painter;
      if (process.env.NODE_ENV !== "production" && s.type !== "canvas")
        throw new Error("renderToCanvas can only be used in the canvas renderer.");
      return s.getRenderedCanvas({
        backgroundColor: o.backgroundColor || this._model.get("backgroundColor"),
        pixelRatio: o.pixelRatio || this.getDevicePixelRatio()
      });
    }, a.prototype.renderToSVGString = function(o) {
      o = o || {};
      var s = this._zr.painter;
      if (process.env.NODE_ENV !== "production" && s.type !== "svg")
        throw new Error("renderToSVGString can only be used in the svg renderer.");
      return s.renderToString({
        useViewBox: o.useViewBox
      });
    }, a.prototype.getSvgDataURL = function() {
      if (env.svgSupported) {
        var o = this._zr, s = o.storage.getDisplayList();
        return each$f(s, function(l) {
          l.stopAnimation(null, !0);
        }), o.painter.toDataURL();
      }
    }, a.prototype.getDataURL = function(o) {
      if (this._disposed) {
        disposedWarning(this.id);
        return;
      }
      o = o || {};
      var s = o.excludeComponents, l = this._model, u = [], c = this;
      each$f(s, function(f) {
        l.eachComponent({
          mainType: f
        }, function(p) {
          var v = c._componentsMap[p.__viewId];
          v.group.ignore || (u.push(v), v.group.ignore = !0);
        });
      });
      var d = this._zr.painter.getType() === "svg" ? this.getSvgDataURL() : this.renderToCanvas(o).toDataURL("image/" + (o && o.type || "png"));
      return each$f(u, function(f) {
        f.group.ignore = !1;
      }), d;
    }, a.prototype.getConnectedDataURL = function(o) {
      if (this._disposed) {
        disposedWarning(this.id);
        return;
      }
      var s = o.type === "svg", l = this.group, u = Math.min, c = Math.max, d = 1 / 0;
      if (connectedGroups[l]) {
        var f = d, p = d, v = -d, g = -d, y = [], _ = o && o.pixelRatio || this.getDevicePixelRatio();
        each$f(instances, function(x, $) {
          if (x.group === l) {
            var A = s ? x.getZr().painter.getSvgDom().innerHTML : x.renderToCanvas(clone$4(o)), N = x.getDom().getBoundingClientRect();
            f = u(N.left, f), p = u(N.top, p), v = c(N.right, v), g = c(N.bottom, g), y.push({
              dom: A,
              left: N.left,
              top: N.top
            });
          }
        }), f *= _, p *= _, v *= _, g *= _;
        var S = v - f, C = g - p, b = platformApi.createCanvas(), T = init$2(b, {
          renderer: s ? "svg" : "canvas"
        });
        if (T.resize({
          width: S,
          height: C
        }), s) {
          var E = "";
          return each$f(y, function(x) {
            var $ = x.left - f, A = x.top - p;
            E += '<g transform="translate(' + $ + "," + A + ')">' + x.dom + "</g>";
          }), T.painter.getSvgRoot().innerHTML = E, o.connectedBackgroundColor && T.painter.setBackgroundColor(o.connectedBackgroundColor), T.refreshImmediately(), T.painter.toDataURL();
        } else
          return o.connectedBackgroundColor && T.add(new Rect$2({
            shape: {
              x: 0,
              y: 0,
              width: S,
              height: C
            },
            style: {
              fill: o.connectedBackgroundColor
            }
          })), each$f(y, function(x) {
            var $ = new ZRImage({
              style: {
                x: x.left * _ - f,
                y: x.top * _ - p,
                image: x.dom
              }
            });
            T.add($);
          }), T.refreshImmediately(), b.toDataURL("image/" + (o && o.type || "png"));
      } else
        return this.getDataURL(o);
    }, a.prototype.convertToPixel = function(o, s) {
      return doConvertPixel(this, "convertToPixel", o, s);
    }, a.prototype.convertFromPixel = function(o, s) {
      return doConvertPixel(this, "convertFromPixel", o, s);
    }, a.prototype.containPixel = function(o, s) {
      if (this._disposed) {
        disposedWarning(this.id);
        return;
      }
      var l = this._model, u, c = parseFinder$1(l, o);
      return each$f(c, function(d, f) {
        f.indexOf("Models") >= 0 && each$f(d, function(p) {
          var v = p.coordinateSystem;
          if (v && v.containPoint)
            u = u || !!v.containPoint(s);
          else if (f === "seriesModels") {
            var g = this._chartsMap[p.__viewId];
            g && g.containPoint ? u = u || g.containPoint(s, p) : process.env.NODE_ENV !== "production" && warn(f + ": " + (g ? "The found component do not support containPoint." : "No view mapping to the found component."));
          } else
            process.env.NODE_ENV !== "production" && warn(f + ": containPoint is not supported");
        }, this);
      }, this), !!u;
    }, a.prototype.getVisual = function(o, s) {
      var l = this._model, u = parseFinder$1(l, o, {
        defaultMainType: "series"
      }), c = u.seriesModel;
      process.env.NODE_ENV !== "production" && (c || warn("There is no specified series model"));
      var d = c.getData(), f = u.hasOwnProperty("dataIndexInside") ? u.dataIndexInside : u.hasOwnProperty("dataIndex") ? d.indexOfRawIndex(u.dataIndex) : null;
      return f != null ? getItemVisualFromData(d, f, s) : getVisualFromData(d, s);
    }, a.prototype.getViewOfComponentModel = function(o) {
      return this._componentsMap[o.__viewId];
    }, a.prototype.getViewOfSeriesModel = function(o) {
      return this._chartsMap[o.__viewId];
    }, a.prototype._initEvents = function() {
      var o = this;
      each$f(MOUSE_EVENT_NAMES, function(s) {
        var l = function(u) {
          var c = o.getModel(), d = u.target, f, p = s === "globalout";
          if (p ? f = {} : d && findEventDispatcher(d, function(S) {
            var C = getECData(S);
            if (C && C.dataIndex != null) {
              var b = C.dataModel || c.getSeriesByIndex(C.seriesIndex);
              return f = b && b.getDataParams(C.dataIndex, C.dataType, d) || {}, !0;
            } else if (C.eventData)
              return f = extend({}, C.eventData), !0;
          }, !0), f) {
            var v = f.componentType, g = f.componentIndex;
            (v === "markLine" || v === "markPoint" || v === "markArea") && (v = "series", g = f.seriesIndex);
            var y = v && g != null && c.getComponent(v, g), _ = y && o[y.mainType === "series" ? "_chartsMap" : "_componentsMap"][y.__viewId];
            process.env.NODE_ENV !== "production" && !p && !(y && _) && warn("model or view can not be found by params"), f.event = u, f.type = s, o._$eventProcessor.eventInfo = {
              targetEl: d,
              packedEvent: f,
              model: y,
              view: _
            }, o.trigger(s, f);
          }
        };
        l.zrEventfulCallAtLast = !0, o._zr.on(s, l, o);
      }), each$f(eventActionMap, function(s, l) {
        o._messageCenter.on(l, function(u) {
          this.trigger(l, u);
        }, o);
      }), each$f(["selectchanged"], function(s) {
        o._messageCenter.on(s, function(l) {
          this.trigger(s, l);
        }, o);
      }), handleLegacySelectEvents(this._messageCenter, this, this._api);
    }, a.prototype.isDisposed = function() {
      return this._disposed;
    }, a.prototype.clear = function() {
      if (this._disposed) {
        disposedWarning(this.id);
        return;
      }
      this.setOption({
        series: []
      }, !0);
    }, a.prototype.dispose = function() {
      if (this._disposed) {
        disposedWarning(this.id);
        return;
      }
      this._disposed = !0;
      var o = this.getDom();
      o && setAttribute(this.getDom(), DOM_ATTRIBUTE_KEY, "");
      var s = this, l = s._api, u = s._model;
      each$f(s._componentsViews, function(c) {
        c.dispose(u, l);
      }), each$f(s._chartsViews, function(c) {
        c.dispose(u, l);
      }), s._zr.dispose(), s._dom = s._model = s._chartsMap = s._componentsMap = s._chartsViews = s._componentsViews = s._scheduler = s._api = s._zr = s._throttledZrFlush = s._theme = s._coordSysMgr = s._messageCenter = null, delete instances[s.id];
    }, a.prototype.resize = function(o) {
      if (this[IN_MAIN_PROCESS_KEY]) {
        process.env.NODE_ENV !== "production" && error("`resize` should not be called during main process.");
        return;
      }
      if (this._disposed) {
        disposedWarning(this.id);
        return;
      }
      this._zr.resize(o);
      var s = this._model;
      if (this._loadingFX && this._loadingFX.resize(), !!s) {
        var l = s.resetOption("media"), u = o && o.silent;
        this[PENDING_UPDATE] && (u == null && (u = this[PENDING_UPDATE].silent), l = !0, this[PENDING_UPDATE] = null), this[IN_MAIN_PROCESS_KEY] = !0;
        try {
          l && prepare(this), updateMethods.update.call(this, {
            type: "resize",
            animation: extend({
              // Disable animation
              duration: 0
            }, o && o.animation)
          });
        } catch (c) {
          throw this[IN_MAIN_PROCESS_KEY] = !1, c;
        }
        this[IN_MAIN_PROCESS_KEY] = !1, flushPendingActions.call(this, u), triggerUpdatedEvent.call(this, u);
      }
    }, a.prototype.showLoading = function(o, s) {
      if (this._disposed) {
        disposedWarning(this.id);
        return;
      }
      if (isObject$3(o) && (s = o, o = ""), o = o || "default", this.hideLoading(), !loadingEffects[o]) {
        process.env.NODE_ENV !== "production" && warn("Loading effects " + o + " not exists.");
        return;
      }
      var l = loadingEffects[o](this._api, s), u = this._zr;
      this._loadingFX = l, u.add(l);
    }, a.prototype.hideLoading = function() {
      if (this._disposed) {
        disposedWarning(this.id);
        return;
      }
      this._loadingFX && this._zr.remove(this._loadingFX), this._loadingFX = null;
    }, a.prototype.makeActionFromEvent = function(o) {
      var s = extend({}, o);
      return s.type = eventActionMap[o.type], s;
    }, a.prototype.dispatchAction = function(o, s) {
      if (this._disposed) {
        disposedWarning(this.id);
        return;
      }
      if (isObject$3(s) || (s = {
        silent: !!s
      }), !!actions[o.type] && this._model) {
        if (this[IN_MAIN_PROCESS_KEY]) {
          this._pendingActions.push(o);
          return;
        }
        var l = s.silent;
        doDispatchAction.call(this, o, l);
        var u = s.flush;
        u ? this._zr.flush() : u !== !1 && env.browser.weChat && this._throttledZrFlush(), flushPendingActions.call(this, l), triggerUpdatedEvent.call(this, l);
      }
    }, a.prototype.updateLabelLayout = function() {
      lifecycle.trigger("series:layoutlabels", this._model, this._api, {
        // Not adding series labels.
        // TODO
        updatedSeries: []
      });
    }, a.prototype.appendData = function(o) {
      if (this._disposed) {
        disposedWarning(this.id);
        return;
      }
      var s = o.seriesIndex, l = this.getModel(), u = l.getSeriesByIndex(s);
      process.env.NODE_ENV !== "production" && assert(o.data && u), u.appendData(o), this._scheduler.unfinished = !0, this.getZr().wakeUp();
    }, a.internalField = function() {
      prepare = function(g) {
        var y = g._scheduler;
        y.restorePipelines(g._model), y.prepareStageTasks(), prepareView(g, !0), prepareView(g, !1), y.plan();
      }, prepareView = function(g, y) {
        for (var _ = g._model, S = g._scheduler, C = y ? g._componentsViews : g._chartsViews, b = y ? g._componentsMap : g._chartsMap, T = g._zr, E = g._api, x = 0; x < C.length; x++)
          C[x].__alive = !1;
        y ? _.eachComponent(function(N, P) {
          N !== "series" && $(P);
        }) : _.eachSeries($);
        function $(N) {
          var P = N.__requireNewView;
          N.__requireNewView = !1;
          var L = "_ec_" + N.id + "_" + N.type, O = !P && b[L];
          if (!O) {
            var M = parseClassType(N.type), F = y ? ComponentView.getClass(M.main, M.sub) : (
              // FIXME:TS
              // (ChartView as ChartViewConstructor).getClass('series', classType.sub)
              // For backward compat, still support a chart type declared as only subType
              // like "liquidfill", but recommend "series.liquidfill"
              // But need a base class to make a type series.
              ChartView.getClass(M.sub)
            );
            process.env.NODE_ENV !== "production" && assert(F, M.sub + " does not exist."), O = new F(), O.init(_, E), b[L] = O, C.push(O), T.add(O.group);
          }
          N.__viewId = O.__id = L, O.__alive = !0, O.__model = N, O.group.__ecComponentInfo = {
            mainType: N.mainType,
            index: N.componentIndex
          }, !y && S.prepareView(O, N, _, E);
        }
        for (var x = 0; x < C.length; ) {
          var A = C[x];
          A.__alive ? x++ : (!y && A.renderTask.dispose(), T.remove(A.group), A.dispose(_, E), C.splice(x, 1), b[A.__id] === A && delete b[A.__id], A.__id = A.group.__ecComponentInfo = null);
        }
      }, updateDirectly = function(g, y, _, S, C) {
        var b = g._model;
        if (b.setUpdatePayload(_), !S) {
          each$f([].concat(g._componentsViews).concat(g._chartsViews), A);
          return;
        }
        var T = {};
        T[S + "Id"] = _[S + "Id"], T[S + "Index"] = _[S + "Index"], T[S + "Name"] = _[S + "Name"];
        var E = {
          mainType: S,
          query: T
        };
        C && (E.subType = C);
        var x = _.excludeSeriesId, $;
        x != null && ($ = createHashMap(), each$f(normalizeToArray(x), function(N) {
          var P = convertOptionIdName(N, null);
          P != null && $.set(P, !0);
        })), b && b.eachComponent(E, function(N) {
          var P = $ && $.get(N.id) != null;
          if (!P)
            if (isHighDownPayload(_))
              if (N instanceof SeriesModel)
                _.type === HIGHLIGHT_ACTION_TYPE && !_.notBlur && !N.get(["emphasis", "disabled"]) && blurSeriesFromHighlightPayload(N, _, g._api);
              else {
                var L = findComponentHighDownDispatchers(N.mainType, N.componentIndex, _.name, g._api), O = L.focusSelf, M = L.dispatchers;
                _.type === HIGHLIGHT_ACTION_TYPE && O && !_.notBlur && blurComponent(N.mainType, N.componentIndex, g._api), M && each$f(M, function(F) {
                  _.type === HIGHLIGHT_ACTION_TYPE ? enterEmphasis(F) : leaveEmphasis(F);
                });
              }
            else isSelectChangePayload(_) && N instanceof SeriesModel && (toggleSelectionFromPayload(N, _, g._api), updateSeriesElementSelection(N), markStatusToUpdate(g));
        }, g), b && b.eachComponent(E, function(N) {
          var P = $ && $.get(N.id) != null;
          P || A(g[S === "series" ? "_chartsMap" : "_componentsMap"][N.__viewId]);
        }, g);
        function A(N) {
          N && N.__alive && N[y] && N[y](N.__model, b, g._api, _);
        }
      }, updateMethods = {
        prepareAndUpdate: function(g) {
          prepare(this), updateMethods.update.call(this, g, {
            // Needs to mark option changed if newOption is given.
            // It's from MagicType.
            // TODO If use a separate flag optionChanged in payload?
            optionChanged: g.newOption != null
          });
        },
        update: function(g, y) {
          var _ = this._model, S = this._api, C = this._zr, b = this._coordSysMgr, T = this._scheduler;
          if (_) {
            _.setUpdatePayload(g), T.restoreData(_, g), T.performSeriesTasks(_), b.create(_, S), T.performDataProcessorTasks(_, g), updateStreamModes(this, _), b.update(_, S), o(_), T.performVisualTasks(_, g), render(this, _, S, g, y);
            var E = _.get("backgroundColor") || "transparent", x = _.get("darkMode");
            C.setBackgroundColor(E), x != null && x !== "auto" && C.setDarkMode(x), lifecycle.trigger("afterupdate", _, S);
          }
        },
        updateTransform: function(g) {
          var y = this, _ = this._model, S = this._api;
          if (_) {
            _.setUpdatePayload(g);
            var C = [];
            _.eachComponent(function(T, E) {
              if (T !== "series") {
                var x = y.getViewOfComponentModel(E);
                if (x && x.__alive)
                  if (x.updateTransform) {
                    var $ = x.updateTransform(E, _, S, g);
                    $ && $.update && C.push(x);
                  } else
                    C.push(x);
              }
            });
            var b = createHashMap();
            _.eachSeries(function(T) {
              var E = y._chartsMap[T.__viewId];
              if (E.updateTransform) {
                var x = E.updateTransform(T, _, S, g);
                x && x.update && b.set(T.uid, 1);
              } else
                b.set(T.uid, 1);
            }), o(_), this._scheduler.performVisualTasks(_, g, {
              setDirty: !0,
              dirtyMap: b
            }), renderSeries(this, _, S, g, {}, b), lifecycle.trigger("afterupdate", _, S);
          }
        },
        updateView: function(g) {
          var y = this._model;
          y && (y.setUpdatePayload(g), ChartView.markUpdateMethod(g, "updateView"), o(y), this._scheduler.performVisualTasks(y, g, {
            setDirty: !0
          }), render(this, y, this._api, g, {}), lifecycle.trigger("afterupdate", y, this._api));
        },
        updateVisual: function(g) {
          var y = this, _ = this._model;
          _ && (_.setUpdatePayload(g), _.eachSeries(function(S) {
            S.getData().clearAllVisual();
          }), ChartView.markUpdateMethod(g, "updateVisual"), o(_), this._scheduler.performVisualTasks(_, g, {
            visualType: "visual",
            setDirty: !0
          }), _.eachComponent(function(S, C) {
            if (S !== "series") {
              var b = y.getViewOfComponentModel(C);
              b && b.__alive && b.updateVisual(C, _, y._api, g);
            }
          }), _.eachSeries(function(S) {
            var C = y._chartsMap[S.__viewId];
            C.updateVisual(S, _, y._api, g);
          }), lifecycle.trigger("afterupdate", _, this._api));
        },
        updateLayout: function(g) {
          updateMethods.update.call(this, g);
        }
      }, doConvertPixel = function(g, y, _, S) {
        if (g._disposed) {
          disposedWarning(g.id);
          return;
        }
        for (var C = g._model, b = g._coordSysMgr.getCoordinateSystems(), T, E = parseFinder$1(C, _), x = 0; x < b.length; x++) {
          var $ = b[x];
          if ($[y] && (T = $[y](C, E, S)) != null)
            return T;
        }
        process.env.NODE_ENV !== "production" && warn("No coordinate system that supports " + y + " found by the given finder.");
      }, updateStreamModes = function(g, y) {
        var _ = g._chartsMap, S = g._scheduler;
        y.eachSeries(function(C) {
          S.updateStreamModes(C, _[C.__viewId]);
        });
      }, doDispatchAction = function(g, y) {
        var _ = this, S = this.getModel(), C = g.type, b = g.escapeConnect, T = actions[C], E = T.actionInfo, x = (E.update || "update").split(":"), $ = x.pop(), A = x[0] != null && parseClassType(x[0]);
        this[IN_MAIN_PROCESS_KEY] = !0;
        var N = [g], P = !1;
        g.batch && (P = !0, N = map$1(g.batch, function(H) {
          return H = defaults(extend({}, H), g), H.batch = null, H;
        }));
        var L = [], O, M = isSelectChangePayload(g), F = isHighDownPayload(g);
        if (F && allLeaveBlur(this._api), each$f(N, function(H) {
          if (O = T.action(H, _._model, _._api), O = O || extend({}, H), O.type = E.event || O.type, L.push(O), F) {
            var V = preParseFinder(g), Y = V.queryOptionMap, G = V.mainTypeSpecified, Z = G ? Y.keys()[0] : "series";
            updateDirectly(_, $, H, Z), markStatusToUpdate(_);
          } else M ? (updateDirectly(_, $, H, "series"), markStatusToUpdate(_)) : A && updateDirectly(_, $, H, A.main, A.sub);
        }), $ !== "none" && !F && !M && !A)
          try {
            this[PENDING_UPDATE] ? (prepare(this), updateMethods.update.call(this, g), this[PENDING_UPDATE] = null) : updateMethods[$].call(this, g);
          } catch (H) {
            throw this[IN_MAIN_PROCESS_KEY] = !1, H;
          }
        if (P ? O = {
          type: E.event || C,
          escapeConnect: b,
          batch: L
        } : O = L[0], this[IN_MAIN_PROCESS_KEY] = !1, !y) {
          var U = this._messageCenter;
          if (U.trigger(O.type, O), M) {
            var R = {
              type: "selectchanged",
              escapeConnect: b,
              selected: getAllSelectedIndices(S),
              isFromClick: g.isFromClick || !1,
              fromAction: g.type,
              fromActionPayload: g
            };
            U.trigger(R.type, R);
          }
        }
      }, flushPendingActions = function(g) {
        for (var y = this._pendingActions; y.length; ) {
          var _ = y.shift();
          doDispatchAction.call(this, _, g);
        }
      }, triggerUpdatedEvent = function(g) {
        !g && this.trigger("updated");
      }, bindRenderedEvent = function(g, y) {
        g.on("rendered", function(_) {
          y.trigger("rendered", _), // Although zr is dirty if initial animation is not finished
          // and this checking is called on frame, we also check
          // animation finished for robustness.
          g.animation.isFinished() && !y[PENDING_UPDATE] && !y._scheduler.unfinished && !y._pendingActions.length && y.trigger("finished");
        });
      }, bindMouseEvent = function(g, y) {
        g.on("mouseover", function(_) {
          var S = _.target, C = findEventDispatcher(S, isHighDownDispatcher);
          C && (handleGlobalMouseOverForHighDown(C, _, y._api), markStatusToUpdate(y));
        }).on("mouseout", function(_) {
          var S = _.target, C = findEventDispatcher(S, isHighDownDispatcher);
          C && (handleGlobalMouseOutForHighDown(C, _, y._api), markStatusToUpdate(y));
        }).on("click", function(_) {
          var S = _.target, C = findEventDispatcher(S, function(E) {
            return getECData(E).dataIndex != null;
          }, !0);
          if (C) {
            var b = C.selected ? "unselect" : "select", T = getECData(C);
            y._api.dispatchAction({
              type: b,
              dataType: T.dataType,
              dataIndexInside: T.dataIndex,
              seriesIndex: T.seriesIndex,
              isFromClick: !0
            });
          }
        });
      };
      function o(g) {
        g.clearColorPalette(), g.eachSeries(function(y) {
          y.clearColorPalette();
        });
      }
      function s(g) {
        var y = [], _ = [], S = !1;
        if (g.eachComponent(function(E, x) {
          var $ = x.get("zlevel") || 0, A = x.get("z") || 0, N = x.getZLevelKey();
          S = S || !!N, (E === "series" ? _ : y).push({
            zlevel: $,
            z: A,
            idx: x.componentIndex,
            type: E,
            key: N
          });
        }), S) {
          var C = y.concat(_), b, T;
          sort$2(C, function(E, x) {
            return E.zlevel === x.zlevel ? E.z - x.z : E.zlevel - x.zlevel;
          }), each$f(C, function(E) {
            var x = g.getComponent(E.type, E.idx), $ = E.zlevel, A = E.key;
            b != null && ($ = Math.max(b, $)), A ? ($ === b && A !== T && $++, T = A) : T && ($ === b && $++, T = ""), b = $, x.setZLevel($);
          });
        }
      }
      render = function(g, y, _, S, C) {
        s(y), renderComponents(g, y, _, S, C), each$f(g._chartsViews, function(b) {
          b.__alive = !1;
        }), renderSeries(g, y, _, S, C), each$f(g._chartsViews, function(b) {
          b.__alive || b.remove(y, _);
        });
      }, renderComponents = function(g, y, _, S, C, b) {
        each$f(b || g._componentsViews, function(T) {
          var E = T.__model;
          p(E, T), T.render(E, y, _, S), d(E, T), v(E, T);
        });
      }, renderSeries = function(g, y, _, S, C, b) {
        var T = g._scheduler;
        C = extend(C || {}, {
          updatedSeries: y.getSeries()
        }), lifecycle.trigger("series:beforeupdate", y, _, C);
        var E = !1;
        y.eachSeries(function(x) {
          var $ = g._chartsMap[x.__viewId];
          $.__alive = !0;
          var A = $.renderTask;
          T.updatePayload(A, S), p(x, $), b && b.get(x.uid) && A.dirty(), A.perform(T.getPerformArgs(A)) && (E = !0), $.group.silent = !!x.get("silent"), c(x, $), updateSeriesElementSelection(x);
        }), T.unfinished = E || T.unfinished, lifecycle.trigger("series:layoutlabels", y, _, C), lifecycle.trigger("series:transition", y, _, C), y.eachSeries(function(x) {
          var $ = g._chartsMap[x.__viewId];
          d(x, $), v(x, $);
        }), u(g, y), lifecycle.trigger("series:afterupdate", y, _, C);
      }, markStatusToUpdate = function(g) {
        g[STATUS_NEEDS_UPDATE_KEY] = !0, g.getZr().wakeUp();
      }, applyChangedStates = function(g) {
        g[STATUS_NEEDS_UPDATE_KEY] && (g.getZr().storage.traverse(function(y) {
          isElementRemoved(y) || l(y);
        }), g[STATUS_NEEDS_UPDATE_KEY] = !1);
      };
      function l(g) {
        for (var y = [], _ = g.currentStates, S = 0; S < _.length; S++) {
          var C = _[S];
          C === "emphasis" || C === "blur" || C === "select" || y.push(C);
        }
        g.selected && g.states.select && y.push("select"), g.hoverState === HOVER_STATE_EMPHASIS && g.states.emphasis ? y.push("emphasis") : g.hoverState === HOVER_STATE_BLUR && g.states.blur && y.push("blur"), g.useStates(y);
      }
      function u(g, y) {
        var _ = g._zr, S = _.storage, C = 0;
        S.traverse(function(b) {
          b.isGroup || C++;
        }), C > y.get("hoverLayerThreshold") && !env.node && !env.worker && y.eachSeries(function(b) {
          if (!b.preventUsingHoverLayer) {
            var T = g._chartsMap[b.__viewId];
            T.__alive && T.eachRendered(function(E) {
              E.states.emphasis && (E.states.emphasis.hoverLayer = !0);
            });
          }
        });
      }
      function c(g, y) {
        var _ = g.get("blendMode") || null;
        y.eachRendered(function(S) {
          S.isGroup || (S.style.blend = _);
        });
      }
      function d(g, y) {
        if (!g.preventAutoZ) {
          var _ = g.get("z") || 0, S = g.get("zlevel") || 0;
          y.eachRendered(function(C) {
            return f(C, _, S, -1 / 0), !0;
          });
        }
      }
      function f(g, y, _, S) {
        var C = g.getTextContent(), b = g.getTextGuideLine(), T = g.isGroup;
        if (T)
          for (var E = g.childrenRef(), x = 0; x < E.length; x++)
            S = Math.max(f(E[x], y, _, S), S);
        else
          g.z = y, g.zlevel = _, S = Math.max(g.z2, S);
        if (C && (C.z = y, C.zlevel = _, isFinite(S) && (C.z2 = S + 2)), b) {
          var $ = g.textGuideLineConfig;
          b.z = y, b.zlevel = _, isFinite(S) && (b.z2 = S + ($ && $.showAbove ? 1 : -1));
        }
        return S;
      }
      function p(g, y) {
        y.eachRendered(function(_) {
          if (!isElementRemoved(_)) {
            var S = _.getTextContent(), C = _.getTextGuideLine();
            _.stateTransition && (_.stateTransition = null), S && S.stateTransition && (S.stateTransition = null), C && C.stateTransition && (C.stateTransition = null), _.hasState() ? (_.prevStates = _.currentStates, _.clearStates()) : _.prevStates && (_.prevStates = null);
          }
        });
      }
      function v(g, y) {
        var _ = g.getModel("stateAnimation"), S = g.isAnimationEnabled(), C = _.get("duration"), b = C > 0 ? {
          duration: C,
          delay: _.get("delay"),
          easing: _.get("easing")
          // additive: stateAnimationModel.get('additive')
        } : null;
        y.eachRendered(function(T) {
          if (T.states && T.states.emphasis) {
            if (isElementRemoved(T))
              return;
            if (T instanceof Path && savePathStates(T), T.__dirty) {
              var E = T.prevStates;
              E && T.useStates(E);
            }
            if (S) {
              T.stateTransition = b;
              var x = T.getTextContent(), $ = T.getTextGuideLine();
              x && (x.stateTransition = b), $ && ($.stateTransition = b);
            }
            T.__dirty && l(T);
          }
        });
      }
      createExtensionAPI = function(g) {
        return new /** @class */
        (function(y) {
          __extends(_, y);
          function _() {
            return y !== null && y.apply(this, arguments) || this;
          }
          return _.prototype.getCoordinateSystems = function() {
            return g._coordSysMgr.getCoordinateSystems();
          }, _.prototype.getComponentByElement = function(S) {
            for (; S; ) {
              var C = S.__ecComponentInfo;
              if (C != null)
                return g._model.getComponent(C.mainType, C.index);
              S = S.parent;
            }
          }, _.prototype.enterEmphasis = function(S, C) {
            enterEmphasis(S, C), markStatusToUpdate(g);
          }, _.prototype.leaveEmphasis = function(S, C) {
            leaveEmphasis(S, C), markStatusToUpdate(g);
          }, _.prototype.enterBlur = function(S) {
            enterBlur(S), markStatusToUpdate(g);
          }, _.prototype.leaveBlur = function(S) {
            leaveBlur(S), markStatusToUpdate(g);
          }, _.prototype.enterSelect = function(S) {
            enterSelect(S), markStatusToUpdate(g);
          }, _.prototype.leaveSelect = function(S) {
            leaveSelect(S), markStatusToUpdate(g);
          }, _.prototype.getModel = function() {
            return g.getModel();
          }, _.prototype.getViewOfComponentModel = function(S) {
            return g.getViewOfComponentModel(S);
          }, _.prototype.getViewOfSeriesModel = function(S) {
            return g.getViewOfSeriesModel(S);
          }, _;
        }(ExtensionAPI))(g);
      }, enableConnect = function(g) {
        function y(_, S) {
          for (var C = 0; C < _.length; C++) {
            var b = _[C];
            b[CONNECT_STATUS_KEY] = S;
          }
        }
        each$f(eventActionMap, function(_, S) {
          g._messageCenter.on(S, function(C) {
            if (connectedGroups[g.group] && g[CONNECT_STATUS_KEY] !== CONNECT_STATUS_PENDING) {
              if (C && C.escapeConnect)
                return;
              var b = g.makeActionFromEvent(C), T = [];
              each$f(instances, function(E) {
                E !== g && E.group === g.group && T.push(E);
              }), y(T, CONNECT_STATUS_PENDING), each$f(T, function(E) {
                E[CONNECT_STATUS_KEY] !== CONNECT_STATUS_UPDATING && E.dispatchAction(b);
              }), y(T, CONNECT_STATUS_UPDATED);
            }
          });
        });
      };
    }(), a;
  }(Eventful)
), echartsProto = ECharts.prototype;
echartsProto.on = createRegisterEventWithLowercaseECharts("on");
echartsProto.off = createRegisterEventWithLowercaseECharts("off");
echartsProto.one = function(r, a, o) {
  var s = this;
  deprecateLog("ECharts#one is deprecated.");
  function l() {
    for (var u = [], c = 0; c < arguments.length; c++)
      u[c] = arguments[c];
    a && a.apply && a.apply(this, u), s.off(r, l);
  }
  this.on.call(this, r, l, o);
};
var MOUSE_EVENT_NAMES = ["click", "dblclick", "mouseover", "mouseout", "mousemove", "mousedown", "mouseup", "globalout", "contextmenu"];
function disposedWarning(r) {
  process.env.NODE_ENV !== "production" && warn("Instance " + r + " has been disposed");
}
var actions = {}, eventActionMap = {}, dataProcessorFuncs = [], optionPreprocessorFuncs = [], visualFuncs = [], themeStorage = {}, loadingEffects = {}, instances = {}, connectedGroups = {}, idBase = +/* @__PURE__ */ new Date() - 0, groupIdBase = +/* @__PURE__ */ new Date() - 0, DOM_ATTRIBUTE_KEY = "_echarts_instance_";
function init$1(r, a, o) {
  var s = !(o && o.ssr);
  if (s) {
    if (process.env.NODE_ENV !== "production" && !r)
      throw new Error("Initialize failed: invalid dom.");
    var l = getInstanceByDom(r);
    if (l)
      return process.env.NODE_ENV !== "production" && warn("There is a chart instance already initialized on the dom."), l;
    process.env.NODE_ENV !== "production" && isDom(r) && r.nodeName.toUpperCase() !== "CANVAS" && (!r.clientWidth && (!o || o.width == null) || !r.clientHeight && (!o || o.height == null)) && warn("Can't get DOM width or height. Please check dom.clientWidth and dom.clientHeight. They should not be 0.For example, you may need to call this in the callback of window.onload.");
  }
  var u = new ECharts(r, a, o);
  return u.id = "ec_" + idBase++, instances[u.id] = u, s && setAttribute(r, DOM_ATTRIBUTE_KEY, u.id), enableConnect(u), lifecycle.trigger("afterinit", u), u;
}
function connect(r) {
  if (isArray$1(r)) {
    var a = r;
    r = null, each$f(a, function(o) {
      o.group != null && (r = o.group);
    }), r = r || "g_" + groupIdBase++, each$f(a, function(o) {
      o.group = r;
    });
  }
  return connectedGroups[r] = !0, r;
}
function disconnect(r) {
  connectedGroups[r] = !1;
}
var disConnect = disconnect;
function dispose(r) {
  isString(r) ? r = instances[r] : r instanceof ECharts || (r = getInstanceByDom(r)), r instanceof ECharts && !r.isDisposed() && r.dispose();
}
function getInstanceByDom(r) {
  return instances[getAttribute(r, DOM_ATTRIBUTE_KEY)];
}
function getInstanceById(r) {
  return instances[r];
}
function registerTheme(r, a) {
  themeStorage[r] = a;
}
function registerPreprocessor(r) {
  indexOf(optionPreprocessorFuncs, r) < 0 && optionPreprocessorFuncs.push(r);
}
function registerProcessor(r, a) {
  normalizeRegister(dataProcessorFuncs, r, a, PRIORITY_PROCESSOR_DEFAULT);
}
function registerPostInit(r) {
  registerUpdateLifecycle("afterinit", r);
}
function registerPostUpdate(r) {
  registerUpdateLifecycle("afterupdate", r);
}
function registerUpdateLifecycle(r, a) {
  lifecycle.on(r, a);
}
function registerAction(r, a, o) {
  isFunction(a) && (o = a, a = "");
  var s = isObject$3(r) ? r.type : [r, r = {
    event: a
  }][0];
  r.event = (r.event || s).toLowerCase(), a = r.event, !eventActionMap[a] && (assert(ACTION_REG.test(s) && ACTION_REG.test(a)), actions[s] || (actions[s] = {
    action: o,
    actionInfo: r
  }), eventActionMap[a] = s);
}
function registerCoordinateSystem(r, a) {
  CoordinateSystemManager.register(r, a);
}
function getCoordinateSystemDimensions(r) {
  var a = CoordinateSystemManager.get(r);
  if (a)
    return a.getDimensionsInfo ? a.getDimensionsInfo() : a.dimensions.slice();
}
function registerLayout(r, a) {
  normalizeRegister(visualFuncs, r, a, PRIORITY_VISUAL_LAYOUT, "layout");
}
function registerVisual(r, a) {
  normalizeRegister(visualFuncs, r, a, PRIORITY_VISUAL_CHART, "visual");
}
var registeredTasks = [];
function normalizeRegister(r, a, o, s, l) {
  if ((isFunction(a) || isObject$3(a)) && (o = a, a = s), process.env.NODE_ENV !== "production") {
    if (isNaN(a) || a == null)
      throw new Error("Illegal priority");
    each$f(r, function(c) {
      assert(c.__raw !== o);
    });
  }
  if (!(indexOf(registeredTasks, o) >= 0)) {
    registeredTasks.push(o);
    var u = Scheduler.wrapStageHandler(o, l);
    u.__prio = a, u.__raw = o, r.push(u);
  }
}
function registerLoading(r, a) {
  loadingEffects[r] = a;
}
function setCanvasCreator(r) {
  process.env.NODE_ENV !== "production" && deprecateLog("setCanvasCreator is deprecated. Use setPlatformAPI({ createCanvas }) instead."), setPlatformAPI({
    createCanvas: r
  });
}
function registerMap$1(r, a, o) {
  var s = getImpl("registerMap");
  s && s(r, a, o);
}
function getMap(r) {
  var a = getImpl("getMap");
  return a && a(r);
}
var registerTransform = registerExternalTransform;
registerVisual(PRIORITY_VISUAL_GLOBAL, seriesStyleTask);
registerVisual(PRIORITY_VISUAL_CHART_DATA_CUSTOM, dataStyleTask);
registerVisual(PRIORITY_VISUAL_CHART_DATA_CUSTOM, dataColorPaletteTask);
registerVisual(PRIORITY_VISUAL_GLOBAL, seriesSymbolTask);
registerVisual(PRIORITY_VISUAL_CHART_DATA_CUSTOM, dataSymbolTask);
registerVisual(PRIORITY_VISUAL_DECAL, decalVisual);
registerPreprocessor(globalBackwardCompat);
registerProcessor(PRIORITY_PROCESSOR_DATASTACK, dataStack$1);
registerLoading("default", defaultLoading);
registerAction({
  type: HIGHLIGHT_ACTION_TYPE,
  event: HIGHLIGHT_ACTION_TYPE,
  update: HIGHLIGHT_ACTION_TYPE
}, noop);
registerAction({
  type: DOWNPLAY_ACTION_TYPE,
  event: DOWNPLAY_ACTION_TYPE,
  update: DOWNPLAY_ACTION_TYPE
}, noop);
registerAction({
  type: SELECT_ACTION_TYPE,
  event: SELECT_ACTION_TYPE,
  update: SELECT_ACTION_TYPE
}, noop);
registerAction({
  type: UNSELECT_ACTION_TYPE,
  event: UNSELECT_ACTION_TYPE,
  update: UNSELECT_ACTION_TYPE
}, noop);
registerAction({
  type: TOGGLE_SELECT_ACTION_TYPE,
  event: TOGGLE_SELECT_ACTION_TYPE,
  update: TOGGLE_SELECT_ACTION_TYPE
}, noop);
registerTheme("light", lightTheme);
registerTheme("dark", theme);
var dataTool = {}, extensions = [], extensionRegisters = {
  registerPreprocessor,
  registerProcessor,
  registerPostInit,
  registerPostUpdate,
  registerUpdateLifecycle,
  registerAction,
  registerCoordinateSystem,
  registerLayout,
  registerVisual,
  registerTransform,
  registerLoading,
  registerMap: registerMap$1,
  registerImpl,
  PRIORITY,
  ComponentModel,
  ComponentView,
  SeriesModel,
  ChartView,
  // TODO Use ComponentModel and SeriesModel instead of Constructor
  registerComponentModel: function(r) {
    ComponentModel.registerClass(r);
  },
  registerComponentView: function(r) {
    ComponentView.registerClass(r);
  },
  registerSeriesModel: function(r) {
    SeriesModel.registerClass(r);
  },
  registerChartView: function(r) {
    ChartView.registerClass(r);
  },
  registerSubTypeDefaulter: function(r, a) {
    ComponentModel.registerSubTypeDefaulter(r, a);
  },
  registerPainter: function(r, a) {
    registerPainter(r, a);
  }
};
function use(r) {
  if (isArray$1(r)) {
    each$f(r, function(a) {
      use(a);
    });
    return;
  }
  indexOf(extensions, r) >= 0 || (extensions.push(r), isFunction(r) && (r = {
    install: r
  }), r.install(extensionRegisters));
}
function dataIndexMapValueLength(r) {
  return r == null ? 0 : r.length || 1;
}
function defaultKeyGetter(r) {
  return r;
}
var DataDiffer = (
  /** @class */
  function() {
    function r(a, o, s, l, u, c) {
      this._old = a, this._new = o, this._oldKeyGetter = s || defaultKeyGetter, this._newKeyGetter = l || defaultKeyGetter, this.context = u, this._diffModeMultiple = c === "multiple";
    }
    return r.prototype.add = function(a) {
      return this._add = a, this;
    }, r.prototype.update = function(a) {
      return this._update = a, this;
    }, r.prototype.updateManyToOne = function(a) {
      return this._updateManyToOne = a, this;
    }, r.prototype.updateOneToMany = function(a) {
      return this._updateOneToMany = a, this;
    }, r.prototype.updateManyToMany = function(a) {
      return this._updateManyToMany = a, this;
    }, r.prototype.remove = function(a) {
      return this._remove = a, this;
    }, r.prototype.execute = function() {
      this[this._diffModeMultiple ? "_executeMultiple" : "_executeOneToOne"]();
    }, r.prototype._executeOneToOne = function() {
      var a = this._old, o = this._new, s = {}, l = new Array(a.length), u = new Array(o.length);
      this._initIndexMap(a, null, l, "_oldKeyGetter"), this._initIndexMap(o, s, u, "_newKeyGetter");
      for (var c = 0; c < a.length; c++) {
        var d = l[c], f = s[d], p = dataIndexMapValueLength(f);
        if (p > 1) {
          var v = f.shift();
          f.length === 1 && (s[d] = f[0]), this._update && this._update(v, c);
        } else p === 1 ? (s[d] = null, this._update && this._update(f, c)) : this._remove && this._remove(c);
      }
      this._performRestAdd(u, s);
    }, r.prototype._executeMultiple = function() {
      var a = this._old, o = this._new, s = {}, l = {}, u = [], c = [];
      this._initIndexMap(a, s, u, "_oldKeyGetter"), this._initIndexMap(o, l, c, "_newKeyGetter");
      for (var d = 0; d < u.length; d++) {
        var f = u[d], p = s[f], v = l[f], g = dataIndexMapValueLength(p), y = dataIndexMapValueLength(v);
        if (g > 1 && y === 1)
          this._updateManyToOne && this._updateManyToOne(v, p), l[f] = null;
        else if (g === 1 && y > 1)
          this._updateOneToMany && this._updateOneToMany(v, p), l[f] = null;
        else if (g === 1 && y === 1)
          this._update && this._update(v, p), l[f] = null;
        else if (g > 1 && y > 1)
          this._updateManyToMany && this._updateManyToMany(v, p), l[f] = null;
        else if (g > 1)
          for (var _ = 0; _ < g; _++)
            this._remove && this._remove(p[_]);
        else
          this._remove && this._remove(p);
      }
      this._performRestAdd(c, l);
    }, r.prototype._performRestAdd = function(a, o) {
      for (var s = 0; s < a.length; s++) {
        var l = a[s], u = o[l], c = dataIndexMapValueLength(u);
        if (c > 1)
          for (var d = 0; d < c; d++)
            this._add && this._add(u[d]);
        else c === 1 && this._add && this._add(u);
        o[l] = null;
      }
    }, r.prototype._initIndexMap = function(a, o, s, l) {
      for (var u = this._diffModeMultiple, c = 0; c < a.length; c++) {
        var d = "_ec_" + this[l](a[c], c);
        if (u || (s[c] = d), !!o) {
          var f = o[d], p = dataIndexMapValueLength(f);
          p === 0 ? (o[d] = c, u && s.push(d)) : p === 1 ? o[d] = [f, c] : f.push(c);
        }
      }
    }, r;
  }()
), DimensionUserOuput = (
  /** @class */
  function() {
    function r(a, o) {
      this._encode = a, this._schema = o;
    }
    return r.prototype.get = function() {
      return {
        // Do not generate full dimension name until fist used.
        fullDimensions: this._getFullDimensionNames(),
        encode: this._encode
      };
    }, r.prototype._getFullDimensionNames = function() {
      return this._cachedDimNames || (this._cachedDimNames = this._schema ? this._schema.makeOutputDimensionNames() : []), this._cachedDimNames;
    }, r;
  }()
);
function summarizeDimensions(r, a) {
  var o = {}, s = o.encode = {}, l = createHashMap(), u = [], c = [], d = {};
  each$f(r.dimensions, function(y) {
    var _ = r.getDimensionInfo(y), S = _.coordDim;
    if (S) {
      process.env.NODE_ENV !== "production" && assert(VISUAL_DIMENSIONS.get(S) == null);
      var C = _.coordDimIndex;
      getOrCreateEncodeArr(s, S)[C] = y, _.isExtraCoord || (l.set(S, 1), mayLabelDimType(_.type) && (u[0] = y), getOrCreateEncodeArr(d, S)[C] = r.getDimensionIndex(_.name)), _.defaultTooltip && c.push(y);
    }
    VISUAL_DIMENSIONS.each(function(b, T) {
      var E = getOrCreateEncodeArr(s, T), x = _.otherDims[T];
      x != null && x !== !1 && (E[x] = _.name);
    });
  });
  var f = [], p = {};
  l.each(function(y, _) {
    var S = s[_];
    p[_] = S[0], f = f.concat(S);
  }), o.dataDimsOnCoord = f, o.dataDimIndicesOnCoord = map$1(f, function(y) {
    return r.getDimensionInfo(y).storeDimIndex;
  }), o.encodeFirstDimNotExtra = p;
  var v = s.label;
  v && v.length && (u = v.slice());
  var g = s.tooltip;
  return g && g.length ? c = g.slice() : c.length || (c = u.slice()), s.defaultedLabel = u, s.defaultedTooltip = c, o.userOutput = new DimensionUserOuput(d, a), o;
}
function getOrCreateEncodeArr(r, a) {
  return r.hasOwnProperty(a) || (r[a] = []), r[a];
}
function getDimensionTypeByAxis(r) {
  return r === "category" ? "ordinal" : r === "time" ? "time" : "float";
}
function mayLabelDimType(r) {
  return !(r === "ordinal" || r === "time");
}
var SeriesDimensionDefine = (
  /** @class */
  /* @__PURE__ */ function() {
    function r(a) {
      this.otherDims = {}, a != null && extend(this, a);
    }
    return r;
  }()
), inner$h = makeInner(), dimTypeShort = {
  float: "f",
  int: "i",
  ordinal: "o",
  number: "n",
  time: "t"
}, SeriesDataSchema = (
  /** @class */
  function() {
    function r(a) {
      this.dimensions = a.dimensions, this._dimOmitted = a.dimensionOmitted, this.source = a.source, this._fullDimCount = a.fullDimensionCount, this._updateDimOmitted(a.dimensionOmitted);
    }
    return r.prototype.isDimensionOmitted = function() {
      return this._dimOmitted;
    }, r.prototype._updateDimOmitted = function(a) {
      this._dimOmitted = a, a && (this._dimNameMap || (this._dimNameMap = ensureSourceDimNameMap(this.source)));
    }, r.prototype.getSourceDimensionIndex = function(a) {
      return retrieve2(this._dimNameMap.get(a), -1);
    }, r.prototype.getSourceDimension = function(a) {
      var o = this.source.dimensionsDefine;
      if (o)
        return o[a];
    }, r.prototype.makeStoreSchema = function() {
      for (var a = this._fullDimCount, o = shouldRetrieveDataByName(this.source), s = !shouldOmitUnusedDimensions(a), l = "", u = [], c = 0, d = 0; c < a; c++) {
        var f = void 0, p = void 0, v = void 0, g = this.dimensions[d];
        if (g && g.storeDimIndex === c)
          f = o ? g.name : null, p = g.type, v = g.ordinalMeta, d++;
        else {
          var y = this.getSourceDimension(c);
          y && (f = o ? y.name : null, p = y.type);
        }
        u.push({
          property: f,
          type: p,
          ordinalMeta: v
        }), o && f != null && (!g || !g.isCalculationCoord) && (l += s ? f.replace(/\`/g, "`1").replace(/\$/g, "`2") : f), l += "$", l += dimTypeShort[p] || "f", v && (l += v.uid), l += "$";
      }
      var _ = this.source, S = [_.seriesLayoutBy, _.startIndex, l].join("$$");
      return {
        dimensions: u,
        hash: S
      };
    }, r.prototype.makeOutputDimensionNames = function() {
      for (var a = [], o = 0, s = 0; o < this._fullDimCount; o++) {
        var l = void 0, u = this.dimensions[s];
        if (u && u.storeDimIndex === o)
          u.isCalculationCoord || (l = u.name), s++;
        else {
          var c = this.getSourceDimension(o);
          c && (l = c.name);
        }
        a.push(l);
      }
      return a;
    }, r.prototype.appendCalculationDimension = function(a) {
      this.dimensions.push(a), a.isCalculationCoord = !0, this._fullDimCount++, this._updateDimOmitted(!0);
    }, r;
  }()
);
function isSeriesDataSchema(r) {
  return r instanceof SeriesDataSchema;
}
function createDimNameMap(r) {
  for (var a = createHashMap(), o = 0; o < (r || []).length; o++) {
    var s = r[o], l = isObject$3(s) ? s.name : s;
    l != null && a.get(l) == null && a.set(l, o);
  }
  return a;
}
function ensureSourceDimNameMap(r) {
  var a = inner$h(r);
  return a.dimNameMap || (a.dimNameMap = createDimNameMap(r.dimensionsDefine));
}
function shouldOmitUnusedDimensions(r) {
  return r > 30;
}
var isObject$1 = isObject$3, map = map$1, CtorInt32Array = typeof Int32Array > "u" ? Array : Int32Array, ID_PREFIX = "e\0\0", INDEX_NOT_FOUND = -1, TRANSFERABLE_PROPERTIES = ["hasItemOption", "_nameList", "_idList", "_invertedIndicesMap", "_dimSummary", "userOutput", "_rawData", "_dimValueGetter", "_nameDimIdx", "_idDimIdx", "_nameRepeatCount"], CLONE_PROPERTIES = ["_approximateExtent"], prepareInvertedIndex, getId, getIdNameFromStore, normalizeDimensions, transferProperties, cloneListForMapAndSample, makeIdFromName, SeriesData = (
  /** @class */
  function() {
    function r(a, o) {
      this.type = "list", this._dimOmitted = !1, this._nameList = [], this._idList = [], this._visual = {}, this._layout = {}, this._itemVisuals = [], this._itemLayouts = [], this._graphicEls = [], this._approximateExtent = {}, this._calculationInfo = {}, this.hasItemOption = !1, this.TRANSFERABLE_METHODS = ["cloneShallow", "downSample", "minmaxDownSample", "lttbDownSample", "map"], this.CHANGABLE_METHODS = ["filterSelf", "selectRange"], this.DOWNSAMPLE_METHODS = ["downSample", "minmaxDownSample", "lttbDownSample"];
      var s, l = !1;
      isSeriesDataSchema(a) ? (s = a.dimensions, this._dimOmitted = a.isDimensionOmitted(), this._schema = a) : (l = !0, s = a), s = s || ["x", "y"];
      for (var u = {}, c = [], d = {}, f = !1, p = {}, v = 0; v < s.length; v++) {
        var g = s[v], y = isString(g) ? new SeriesDimensionDefine({
          name: g
        }) : g instanceof SeriesDimensionDefine ? g : new SeriesDimensionDefine(g), _ = y.name;
        y.type = y.type || "float", y.coordDim || (y.coordDim = _, y.coordDimIndex = 0);
        var S = y.otherDims = y.otherDims || {};
        c.push(_), u[_] = y, p[_] != null && (f = !0), y.createInvertedIndices && (d[_] = []), S.itemName === 0 && (this._nameDimIdx = v), S.itemId === 0 && (this._idDimIdx = v), process.env.NODE_ENV !== "production" && assert(l || y.storeDimIndex >= 0), l && (y.storeDimIndex = v);
      }
      if (this.dimensions = c, this._dimInfos = u, this._initGetDimensionInfo(f), this.hostModel = o, this._invertedIndicesMap = d, this._dimOmitted) {
        var C = this._dimIdxToName = createHashMap();
        each$f(c, function(b) {
          C.set(u[b].storeDimIndex, b);
        });
      }
    }
    return r.prototype.getDimension = function(a) {
      var o = this._recognizeDimIndex(a);
      if (o == null)
        return a;
      if (o = a, !this._dimOmitted)
        return this.dimensions[o];
      var s = this._dimIdxToName.get(o);
      if (s != null)
        return s;
      var l = this._schema.getSourceDimension(o);
      if (l)
        return l.name;
    }, r.prototype.getDimensionIndex = function(a) {
      var o = this._recognizeDimIndex(a);
      if (o != null)
        return o;
      if (a == null)
        return -1;
      var s = this._getDimInfo(a);
      return s ? s.storeDimIndex : this._dimOmitted ? this._schema.getSourceDimensionIndex(a) : -1;
    }, r.prototype._recognizeDimIndex = function(a) {
      if (isNumber(a) || a != null && !isNaN(a) && !this._getDimInfo(a) && (!this._dimOmitted || this._schema.getSourceDimensionIndex(a) < 0))
        return +a;
    }, r.prototype._getStoreDimIndex = function(a) {
      var o = this.getDimensionIndex(a);
      if (process.env.NODE_ENV !== "production" && o == null)
        throw new Error("Unknown dimension " + a);
      return o;
    }, r.prototype.getDimensionInfo = function(a) {
      return this._getDimInfo(this.getDimension(a));
    }, r.prototype._initGetDimensionInfo = function(a) {
      var o = this._dimInfos;
      this._getDimInfo = a ? function(s) {
        return o.hasOwnProperty(s) ? o[s] : void 0;
      } : function(s) {
        return o[s];
      };
    }, r.prototype.getDimensionsOnCoord = function() {
      return this._dimSummary.dataDimsOnCoord.slice();
    }, r.prototype.mapDimension = function(a, o) {
      var s = this._dimSummary;
      if (o == null)
        return s.encodeFirstDimNotExtra[a];
      var l = s.encode[a];
      return l ? l[o] : null;
    }, r.prototype.mapDimensionsAll = function(a) {
      var o = this._dimSummary, s = o.encode[a];
      return (s || []).slice();
    }, r.prototype.getStore = function() {
      return this._store;
    }, r.prototype.initData = function(a, o, s) {
      var l = this, u;
      if (a instanceof DataStore && (u = a), !u) {
        var c = this.dimensions, d = isSourceInstance(a) || isArrayLike(a) ? new DefaultDataProvider(a, c.length) : a;
        u = new DataStore();
        var f = map(c, function(p) {
          return {
            type: l._dimInfos[p].type,
            property: p
          };
        });
        u.initData(d, f, s);
      }
      this._store = u, this._nameList = (o || []).slice(), this._idList = [], this._nameRepeatCount = {}, this._doInit(0, u.count()), this._dimSummary = summarizeDimensions(this, this._schema), this.userOutput = this._dimSummary.userOutput;
    }, r.prototype.appendData = function(a) {
      var o = this._store.appendData(a);
      this._doInit(o[0], o[1]);
    }, r.prototype.appendValues = function(a, o) {
      var s = this._store.appendValues(a, o && o.length), l = s.start, u = s.end, c = this._shouldMakeIdFromName();
      if (this._updateOrdinalMeta(), o)
        for (var d = l; d < u; d++) {
          var f = d - l;
          this._nameList[d] = o[f], c && makeIdFromName(this, d);
        }
    }, r.prototype._updateOrdinalMeta = function() {
      for (var a = this._store, o = this.dimensions, s = 0; s < o.length; s++) {
        var l = this._dimInfos[o[s]];
        l.ordinalMeta && a.collectOrdinalMeta(l.storeDimIndex, l.ordinalMeta);
      }
    }, r.prototype._shouldMakeIdFromName = function() {
      var a = this._store.getProvider();
      return this._idDimIdx == null && a.getSource().sourceFormat !== SOURCE_FORMAT_TYPED_ARRAY && !a.fillStorage;
    }, r.prototype._doInit = function(a, o) {
      if (!(a >= o)) {
        var s = this._store, l = s.getProvider();
        this._updateOrdinalMeta();
        var u = this._nameList, c = this._idList, d = l.getSource().sourceFormat, f = d === SOURCE_FORMAT_ORIGINAL;
        if (f && !l.pure)
          for (var p = [], v = a; v < o; v++) {
            var g = l.getItem(v, p);
            if (!this.hasItemOption && isDataItemOption(g) && (this.hasItemOption = !0), g) {
              var y = g.name;
              u[v] == null && y != null && (u[v] = convertOptionIdName(y, null));
              var _ = g.id;
              c[v] == null && _ != null && (c[v] = convertOptionIdName(_, null));
            }
          }
        if (this._shouldMakeIdFromName())
          for (var v = a; v < o; v++)
            makeIdFromName(this, v);
        prepareInvertedIndex(this);
      }
    }, r.prototype.getApproximateExtent = function(a) {
      return this._approximateExtent[a] || this._store.getDataExtent(this._getStoreDimIndex(a));
    }, r.prototype.setApproximateExtent = function(a, o) {
      o = this.getDimension(o), this._approximateExtent[o] = a.slice();
    }, r.prototype.getCalculationInfo = function(a) {
      return this._calculationInfo[a];
    }, r.prototype.setCalculationInfo = function(a, o) {
      isObject$1(a) ? extend(this._calculationInfo, a) : this._calculationInfo[a] = o;
    }, r.prototype.getName = function(a) {
      var o = this.getRawIndex(a), s = this._nameList[o];
      return s == null && this._nameDimIdx != null && (s = getIdNameFromStore(this, this._nameDimIdx, o)), s == null && (s = ""), s;
    }, r.prototype._getCategory = function(a, o) {
      var s = this._store.get(a, o), l = this._store.getOrdinalMeta(a);
      return l ? l.categories[s] : s;
    }, r.prototype.getId = function(a) {
      return getId(this, this.getRawIndex(a));
    }, r.prototype.count = function() {
      return this._store.count();
    }, r.prototype.get = function(a, o) {
      var s = this._store, l = this._dimInfos[a];
      if (l)
        return s.get(l.storeDimIndex, o);
    }, r.prototype.getByRawIndex = function(a, o) {
      var s = this._store, l = this._dimInfos[a];
      if (l)
        return s.getByRawIndex(l.storeDimIndex, o);
    }, r.prototype.getIndices = function() {
      return this._store.getIndices();
    }, r.prototype.getDataExtent = function(a) {
      return this._store.getDataExtent(this._getStoreDimIndex(a));
    }, r.prototype.getSum = function(a) {
      return this._store.getSum(this._getStoreDimIndex(a));
    }, r.prototype.getMedian = function(a) {
      return this._store.getMedian(this._getStoreDimIndex(a));
    }, r.prototype.getValues = function(a, o) {
      var s = this, l = this._store;
      return isArray$1(a) ? l.getValues(map(a, function(u) {
        return s._getStoreDimIndex(u);
      }), o) : l.getValues(a);
    }, r.prototype.hasValue = function(a) {
      for (var o = this._dimSummary.dataDimIndicesOnCoord, s = 0, l = o.length; s < l; s++)
        if (isNaN(this._store.get(o[s], a)))
          return !1;
      return !0;
    }, r.prototype.indexOfName = function(a) {
      for (var o = 0, s = this._store.count(); o < s; o++)
        if (this.getName(o) === a)
          return o;
      return -1;
    }, r.prototype.getRawIndex = function(a) {
      return this._store.getRawIndex(a);
    }, r.prototype.indexOfRawIndex = function(a) {
      return this._store.indexOfRawIndex(a);
    }, r.prototype.rawIndexOf = function(a, o) {
      var s = a && this._invertedIndicesMap[a];
      if (process.env.NODE_ENV !== "production" && !s)
        throw new Error("Do not supported yet");
      var l = s && s[o];
      return l == null || isNaN(l) ? INDEX_NOT_FOUND : l;
    }, r.prototype.indicesOfNearest = function(a, o, s) {
      return this._store.indicesOfNearest(this._getStoreDimIndex(a), o, s);
    }, r.prototype.each = function(a, o, s) {
      isFunction(a) && (s = o, o = a, a = []);
      var l = s || this, u = map(normalizeDimensions(a), this._getStoreDimIndex, this);
      this._store.each(u, l ? bind$1(o, l) : o);
    }, r.prototype.filterSelf = function(a, o, s) {
      isFunction(a) && (s = o, o = a, a = []);
      var l = s || this, u = map(normalizeDimensions(a), this._getStoreDimIndex, this);
      return this._store = this._store.filter(u, l ? bind$1(o, l) : o), this;
    }, r.prototype.selectRange = function(a) {
      var o = this, s = {}, l = keys(a);
      return each$f(l, function(u) {
        var c = o._getStoreDimIndex(u);
        s[c] = a[u];
      }), this._store = this._store.selectRange(s), this;
    }, r.prototype.mapArray = function(a, o, s) {
      isFunction(a) && (s = o, o = a, a = []), s = s || this;
      var l = [];
      return this.each(a, function() {
        l.push(o && o.apply(this, arguments));
      }, s), l;
    }, r.prototype.map = function(a, o, s, l) {
      var u = s || l || this, c = map(normalizeDimensions(a), this._getStoreDimIndex, this), d = cloneListForMapAndSample(this);
      return d._store = this._store.map(c, u ? bind$1(o, u) : o), d;
    }, r.prototype.modify = function(a, o, s, l) {
      var u = this, c = s || l || this;
      process.env.NODE_ENV !== "production" && each$f(normalizeDimensions(a), function(f) {
        var p = u.getDimensionInfo(f);
        p.isCalculationCoord || console.error("Danger: only stack dimension can be modified");
      });
      var d = map(normalizeDimensions(a), this._getStoreDimIndex, this);
      this._store.modify(d, c ? bind$1(o, c) : o);
    }, r.prototype.downSample = function(a, o, s, l) {
      var u = cloneListForMapAndSample(this);
      return u._store = this._store.downSample(this._getStoreDimIndex(a), o, s, l), u;
    }, r.prototype.minmaxDownSample = function(a, o) {
      var s = cloneListForMapAndSample(this);
      return s._store = this._store.minmaxDownSample(this._getStoreDimIndex(a), o), s;
    }, r.prototype.lttbDownSample = function(a, o) {
      var s = cloneListForMapAndSample(this);
      return s._store = this._store.lttbDownSample(this._getStoreDimIndex(a), o), s;
    }, r.prototype.getRawDataItem = function(a) {
      return this._store.getRawDataItem(a);
    }, r.prototype.getItemModel = function(a) {
      var o = this.hostModel, s = this.getRawDataItem(a);
      return new Model(s, o, o && o.ecModel);
    }, r.prototype.diff = function(a) {
      var o = this;
      return new DataDiffer(a ? a.getStore().getIndices() : [], this.getStore().getIndices(), function(s) {
        return getId(a, s);
      }, function(s) {
        return getId(o, s);
      });
    }, r.prototype.getVisual = function(a) {
      var o = this._visual;
      return o && o[a];
    }, r.prototype.setVisual = function(a, o) {
      this._visual = this._visual || {}, isObject$1(a) ? extend(this._visual, a) : this._visual[a] = o;
    }, r.prototype.getItemVisual = function(a, o) {
      var s = this._itemVisuals[a], l = s && s[o];
      return l ?? this.getVisual(o);
    }, r.prototype.hasItemVisual = function() {
      return this._itemVisuals.length > 0;
    }, r.prototype.ensureUniqueItemVisual = function(a, o) {
      var s = this._itemVisuals, l = s[a];
      l || (l = s[a] = {});
      var u = l[o];
      return u == null && (u = this.getVisual(o), isArray$1(u) ? u = u.slice() : isObject$1(u) && (u = extend({}, u)), l[o] = u), u;
    }, r.prototype.setItemVisual = function(a, o, s) {
      var l = this._itemVisuals[a] || {};
      this._itemVisuals[a] = l, isObject$1(o) ? extend(l, o) : l[o] = s;
    }, r.prototype.clearAllVisual = function() {
      this._visual = {}, this._itemVisuals = [];
    }, r.prototype.setLayout = function(a, o) {
      isObject$1(a) ? extend(this._layout, a) : this._layout[a] = o;
    }, r.prototype.getLayout = function(a) {
      return this._layout[a];
    }, r.prototype.getItemLayout = function(a) {
      return this._itemLayouts[a];
    }, r.prototype.setItemLayout = function(a, o, s) {
      this._itemLayouts[a] = s ? extend(this._itemLayouts[a] || {}, o) : o;
    }, r.prototype.clearItemLayouts = function() {
      this._itemLayouts.length = 0;
    }, r.prototype.setItemGraphicEl = function(a, o) {
      var s = this.hostModel && this.hostModel.seriesIndex;
      setCommonECData(s, this.dataType, a, o), this._graphicEls[a] = o;
    }, r.prototype.getItemGraphicEl = function(a) {
      return this._graphicEls[a];
    }, r.prototype.eachItemGraphicEl = function(a, o) {
      each$f(this._graphicEls, function(s, l) {
        s && a && a.call(o, s, l);
      });
    }, r.prototype.cloneShallow = function(a) {
      return a || (a = new r(this._schema ? this._schema : map(this.dimensions, this._getDimInfo, this), this.hostModel)), transferProperties(a, this), a._store = this._store, a;
    }, r.prototype.wrapMethod = function(a, o) {
      var s = this[a];
      isFunction(s) && (this.__wrappedMethods = this.__wrappedMethods || [], this.__wrappedMethods.push(a), this[a] = function() {
        var l = s.apply(this, arguments);
        return o.apply(this, [l].concat(slice(arguments)));
      });
    }, r.internalField = function() {
      prepareInvertedIndex = function(a) {
        var o = a._invertedIndicesMap;
        each$f(o, function(s, l) {
          var u = a._dimInfos[l], c = u.ordinalMeta, d = a._store;
          if (c) {
            s = o[l] = new CtorInt32Array(c.categories.length);
            for (var f = 0; f < s.length; f++)
              s[f] = INDEX_NOT_FOUND;
            for (var f = 0; f < d.count(); f++)
              s[d.get(u.storeDimIndex, f)] = f;
          }
        });
      }, getIdNameFromStore = function(a, o, s) {
        return convertOptionIdName(a._getCategory(o, s), null);
      }, getId = function(a, o) {
        var s = a._idList[o];
        return s == null && a._idDimIdx != null && (s = getIdNameFromStore(a, a._idDimIdx, o)), s == null && (s = ID_PREFIX + o), s;
      }, normalizeDimensions = function(a) {
        return isArray$1(a) || (a = a != null ? [a] : []), a;
      }, cloneListForMapAndSample = function(a) {
        var o = new r(a._schema ? a._schema : map(a.dimensions, a._getDimInfo, a), a.hostModel);
        return transferProperties(o, a), o;
      }, transferProperties = function(a, o) {
        each$f(TRANSFERABLE_PROPERTIES.concat(o.__wrappedMethods || []), function(s) {
          o.hasOwnProperty(s) && (a[s] = o[s]);
        }), a.__wrappedMethods = o.__wrappedMethods, each$f(CLONE_PROPERTIES, function(s) {
          a[s] = clone$4(o[s]);
        }), a._calculationInfo = extend({}, o._calculationInfo);
      }, makeIdFromName = function(a, o) {
        var s = a._nameList, l = a._idList, u = a._nameDimIdx, c = a._idDimIdx, d = s[o], f = l[o];
        if (d == null && u != null && (s[o] = d = getIdNameFromStore(a, u, o)), f == null && c != null && (l[o] = f = getIdNameFromStore(a, c, o)), f == null && d != null) {
          var p = a._nameRepeatCount, v = p[d] = (p[d] || 0) + 1;
          f = d, v > 1 && (f += "__ec__" + v), l[o] = f;
        }
      };
    }(), r;
  }()
);
function createDimensions(r, a) {
  return prepareSeriesDataSchema(r, a).dimensions;
}
function prepareSeriesDataSchema(r, a) {
  isSourceInstance(r) || (r = createSourceFromSeriesDataOption(r)), a = a || {};
  var o = a.coordDimensions || [], s = a.dimensionsDefine || r.dimensionsDefine || [], l = createHashMap(), u = [], c = getDimCount(r, o, s, a.dimensionsCount), d = a.canOmitUnusedDimensions && shouldOmitUnusedDimensions(c), f = s === r.dimensionsDefine, p = f ? ensureSourceDimNameMap(r) : createDimNameMap(s), v = a.encodeDefine;
  !v && a.encodeDefaulter && (v = a.encodeDefaulter(r, c));
  for (var g = createHashMap(v), y = new CtorInt32Array$1(c), _ = 0; _ < y.length; _++)
    y[_] = -1;
  function S(O) {
    var M = y[O];
    if (M < 0) {
      var F = s[O], U = isObject$3(F) ? F : {
        name: F
      }, R = new SeriesDimensionDefine(), H = U.name;
      H != null && p.get(H) != null && (R.name = R.displayName = H), U.type != null && (R.type = U.type), U.displayName != null && (R.displayName = U.displayName);
      var V = u.length;
      return y[O] = V, R.storeDimIndex = O, u.push(R), R;
    }
    return u[M];
  }
  if (!d)
    for (var _ = 0; _ < c; _++)
      S(_);
  g.each(function(O, M) {
    var F = normalizeToArray(O).slice();
    if (F.length === 1 && !isString(F[0]) && F[0] < 0) {
      g.set(M, !1);
      return;
    }
    var U = g.set(M, []);
    each$f(F, function(R, H) {
      var V = isString(R) ? p.get(R) : R;
      V != null && V < c && (U[H] = V, b(S(V), M, H));
    });
  });
  var C = 0;
  each$f(o, function(O) {
    var M, F, U, R;
    if (isString(O))
      M = O, R = {};
    else {
      R = O, M = R.name;
      var H = R.ordinalMeta;
      R.ordinalMeta = null, R = extend({}, R), R.ordinalMeta = H, F = R.dimsDef, U = R.otherDims, R.name = R.coordDim = R.coordDimIndex = R.dimsDef = R.otherDims = null;
    }
    var V = g.get(M);
    if (V !== !1) {
      if (V = normalizeToArray(V), !V.length)
        for (var Y = 0; Y < (F && F.length || 1); Y++) {
          for (; C < c && S(C).coordDim != null; )
            C++;
          C < c && V.push(C++);
        }
      each$f(V, function(G, Z) {
        var re = S(G);
        if (f && R.type != null && (re.type = R.type), b(defaults(re, R), M, Z), re.name == null && F) {
          var de = F[Z];
          !isObject$3(de) && (de = {
            name: de
          }), re.name = re.displayName = de.name, re.defaultTooltip = de.defaultTooltip;
        }
        U && defaults(re.otherDims, U);
      });
    }
  });
  function b(O, M, F) {
    VISUAL_DIMENSIONS.get(M) != null ? O.otherDims[M] = F : (O.coordDim = M, O.coordDimIndex = F, l.set(M, !0));
  }
  var T = a.generateCoord, E = a.generateCoordCount, x = E != null;
  E = T ? E || 1 : 0;
  var $ = T || "value";
  function A(O) {
    O.name == null && (O.name = O.coordDim);
  }
  if (d)
    each$f(u, function(O) {
      A(O);
    }), u.sort(function(O, M) {
      return O.storeDimIndex - M.storeDimIndex;
    });
  else
    for (var N = 0; N < c; N++) {
      var P = S(N), L = P.coordDim;
      L == null && (P.coordDim = genCoordDimName($, l, x), P.coordDimIndex = 0, (!T || E <= 0) && (P.isExtraCoord = !0), E--), A(P), P.type == null && (guessOrdinal(r, N) === BE_ORDINAL.Must || P.isExtraCoord && (P.otherDims.itemName != null || P.otherDims.seriesName != null)) && (P.type = "ordinal");
    }
  return removeDuplication(u), new SeriesDataSchema({
    source: r,
    dimensions: u,
    fullDimensionCount: c,
    dimensionOmitted: d
  });
}
function removeDuplication(r) {
  for (var a = createHashMap(), o = 0; o < r.length; o++) {
    var s = r[o], l = s.name, u = a.get(l) || 0;
    u > 0 && (s.name = l + (u - 1)), u++, a.set(l, u);
  }
}
function getDimCount(r, a, o, s) {
  var l = Math.max(r.dimensionsDetectedCount || 1, a.length, o.length, s || 0);
  return each$f(a, function(u) {
    var c;
    isObject$3(u) && (c = u.dimsDef) && (l = Math.max(l, c.length));
  }), l;
}
function genCoordDimName(r, a, o) {
  if (o || a.hasKey(r)) {
    for (var s = 0; a.hasKey(r + s); )
      s++;
    r += s;
  }
  return a.set(r, !0), r;
}
var CoordSysInfo = (
  /** @class */
  /* @__PURE__ */ function() {
    function r(a) {
      this.coordSysDims = [], this.axisMap = createHashMap(), this.categoryAxisMap = createHashMap(), this.coordSysName = a;
    }
    return r;
  }()
);
function getCoordSysInfoBySeries(r) {
  var a = r.get("coordinateSystem"), o = new CoordSysInfo(a), s = fetchers[a];
  if (s)
    return s(r, o, o.axisMap, o.categoryAxisMap), o;
}
var fetchers = {
  cartesian2d: function(r, a, o, s) {
    var l = r.getReferringComponents("xAxis", SINGLE_REFERRING).models[0], u = r.getReferringComponents("yAxis", SINGLE_REFERRING).models[0];
    if (process.env.NODE_ENV !== "production") {
      if (!l)
        throw new Error('xAxis "' + retrieve(r.get("xAxisIndex"), r.get("xAxisId"), 0) + '" not found');
      if (!u)
        throw new Error('yAxis "' + retrieve(r.get("xAxisIndex"), r.get("yAxisId"), 0) + '" not found');
    }
    a.coordSysDims = ["x", "y"], o.set("x", l), o.set("y", u), isCategory(l) && (s.set("x", l), a.firstCategoryDimIndex = 0), isCategory(u) && (s.set("y", u), a.firstCategoryDimIndex == null && (a.firstCategoryDimIndex = 1));
  },
  singleAxis: function(r, a, o, s) {
    var l = r.getReferringComponents("singleAxis", SINGLE_REFERRING).models[0];
    if (process.env.NODE_ENV !== "production" && !l)
      throw new Error("singleAxis should be specified.");
    a.coordSysDims = ["single"], o.set("single", l), isCategory(l) && (s.set("single", l), a.firstCategoryDimIndex = 0);
  },
  polar: function(r, a, o, s) {
    var l = r.getReferringComponents("polar", SINGLE_REFERRING).models[0], u = l.findAxisModel("radiusAxis"), c = l.findAxisModel("angleAxis");
    if (process.env.NODE_ENV !== "production") {
      if (!c)
        throw new Error("angleAxis option not found");
      if (!u)
        throw new Error("radiusAxis option not found");
    }
    a.coordSysDims = ["radius", "angle"], o.set("radius", u), o.set("angle", c), isCategory(u) && (s.set("radius", u), a.firstCategoryDimIndex = 0), isCategory(c) && (s.set("angle", c), a.firstCategoryDimIndex == null && (a.firstCategoryDimIndex = 1));
  },
  geo: function(r, a, o, s) {
    a.coordSysDims = ["lng", "lat"];
  },
  parallel: function(r, a, o, s) {
    var l = r.ecModel, u = l.getComponent("parallel", r.get("parallelIndex")), c = a.coordSysDims = u.dimensions.slice();
    each$f(u.parallelAxisIndex, function(d, f) {
      var p = l.getComponent("parallelAxis", d), v = c[f];
      o.set(v, p), isCategory(p) && (s.set(v, p), a.firstCategoryDimIndex == null && (a.firstCategoryDimIndex = f));
    });
  }
};
function isCategory(r) {
  return r.get("type") === "category";
}
function enableDataStack(r, a, o) {
  o = o || {};
  var s = o.byIndex, l = o.stackedCoordDimension, u, c, d;
  isLegacyDimensionsInput(a) ? u = a : (c = a.schema, u = c.dimensions, d = a.store);
  var f = !!(r && r.get("stack")), p, v, g, y;
  if (each$f(u, function(E, x) {
    isString(E) && (u[x] = E = {
      name: E
    }), f && !E.isExtraCoord && (!s && !p && E.ordinalMeta && (p = E), !v && E.type !== "ordinal" && E.type !== "time" && (!l || l === E.coordDim) && (v = E));
  }), v && !s && !p && (s = !0), v) {
    g = "__\0ecstackresult_" + r.id, y = "__\0ecstackedover_" + r.id, p && (p.createInvertedIndices = !0);
    var _ = v.coordDim, S = v.type, C = 0;
    each$f(u, function(E) {
      E.coordDim === _ && C++;
    });
    var b = {
      name: g,
      coordDim: _,
      coordDimIndex: C,
      type: S,
      isExtraCoord: !0,
      isCalculationCoord: !0,
      storeDimIndex: u.length
    }, T = {
      name: y,
      // This dimension contains stack base (generally, 0), so do not set it as
      // `stackedDimCoordDim` to avoid extent calculation, consider log scale.
      coordDim: y,
      coordDimIndex: C + 1,
      type: S,
      isExtraCoord: !0,
      isCalculationCoord: !0,
      storeDimIndex: u.length + 1
    };
    c ? (d && (b.storeDimIndex = d.ensureCalculationDimension(y, S), T.storeDimIndex = d.ensureCalculationDimension(g, S)), c.appendCalculationDimension(b), c.appendCalculationDimension(T)) : (u.push(b), u.push(T));
  }
  return {
    stackedDimension: v && v.name,
    stackedByDimension: p && p.name,
    isStackedByIndex: s,
    stackedOverDimension: y,
    stackResultDimension: g
  };
}
function isLegacyDimensionsInput(r) {
  return !isSeriesDataSchema(r.schema);
}
function isDimensionStacked(r, a) {
  return !!a && a === r.getCalculationInfo("stackedDimension");
}
function getStackedDimension(r, a) {
  return isDimensionStacked(r, a) ? r.getCalculationInfo("stackResultDimension") : a;
}
function getCoordSysDimDefs(r, a) {
  var o = r.get("coordinateSystem"), s = CoordinateSystemManager.get(o), l;
  return a && a.coordSysDims && (l = map$1(a.coordSysDims, function(u) {
    var c = {
      name: u
    }, d = a.axisMap.get(u);
    if (d) {
      var f = d.get("type");
      c.type = getDimensionTypeByAxis(f);
    }
    return c;
  })), l || (l = s && (s.getDimensionsInfo ? s.getDimensionsInfo() : s.dimensions.slice()) || ["x", "y"]), l;
}
function injectOrdinalMeta(r, a, o) {
  var s, l;
  return o && each$f(r, function(u, c) {
    var d = u.coordDim, f = o.categoryAxisMap.get(d);
    f && (s == null && (s = c), u.ordinalMeta = f.getOrdinalMeta(), a && (u.createInvertedIndices = !0)), u.otherDims.itemName != null && (l = !0);
  }), !l && s != null && (r[s].otherDims.itemName = 0), s;
}
function createSeriesData(r, a, o) {
  o = o || {};
  var s = a.getSourceManager(), l, u = !1;
  r ? (u = !0, l = createSourceFromSeriesDataOption(r)) : (l = s.getSource(), u = l.sourceFormat === SOURCE_FORMAT_ORIGINAL);
  var c = getCoordSysInfoBySeries(a), d = getCoordSysDimDefs(a, c), f = o.useEncodeDefaulter, p = isFunction(f) ? f : f ? curry$1(makeSeriesEncodeForAxisCoordSys, d, a) : null, v = {
    coordDimensions: d,
    generateCoord: o.generateCoord,
    encodeDefine: a.getEncode(),
    encodeDefaulter: p,
    canOmitUnusedDimensions: !u
  }, g = prepareSeriesDataSchema(l, v), y = injectOrdinalMeta(g.dimensions, o.createInvertedIndices, c), _ = u ? null : s.getSharedDataStore(g), S = enableDataStack(a, {
    schema: g,
    store: _
  }), C = new SeriesData(g, a);
  C.setCalculationInfo(S);
  var b = y != null && isNeedCompleteOrdinalData(l) ? function(T, E, x, $) {
    return $ === y ? x : this.defaultDimValueGetter(T, E, x, $);
  } : null;
  return C.hasItemOption = !1, C.initData(
    // Try to reuse the data store in sourceManager if using dataset.
    u ? l : _,
    null,
    b
  ), C;
}
function isNeedCompleteOrdinalData(r) {
  if (r.sourceFormat === SOURCE_FORMAT_ORIGINAL) {
    var a = firstDataNotNull(r.data || []);
    return !isArray$1(getDataItemValue(a));
  }
}
function firstDataNotNull(r) {
  for (var a = 0; a < r.length && r[a] == null; )
    a++;
  return r[a];
}
var Scale = (
  /** @class */
  function() {
    function r(a) {
      this._setting = a || {}, this._extent = [1 / 0, -1 / 0];
    }
    return r.prototype.getSetting = function(a) {
      return this._setting[a];
    }, r.prototype.unionExtent = function(a) {
      var o = this._extent;
      a[0] < o[0] && (o[0] = a[0]), a[1] > o[1] && (o[1] = a[1]);
    }, r.prototype.unionExtentFromData = function(a, o) {
      this.unionExtent(a.getApproximateExtent(o));
    }, r.prototype.getExtent = function() {
      return this._extent.slice();
    }, r.prototype.setExtent = function(a, o) {
      var s = this._extent;
      isNaN(a) || (s[0] = a), isNaN(o) || (s[1] = o);
    }, r.prototype.isInExtentRange = function(a) {
      return this._extent[0] <= a && this._extent[1] >= a;
    }, r.prototype.isBlank = function() {
      return this._isBlank;
    }, r.prototype.setBlank = function(a) {
      this._isBlank = a;
    }, r;
  }()
);
enableClassManagement(Scale);
var uidBase = 0, OrdinalMeta = (
  /** @class */
  function() {
    function r(a) {
      this.categories = a.categories || [], this._needCollect = a.needCollect, this._deduplication = a.deduplication, this.uid = ++uidBase;
    }
    return r.createByAxisModel = function(a) {
      var o = a.option, s = o.data, l = s && map$1(s, getName);
      return new r({
        categories: l,
        needCollect: !l,
        // deduplication is default in axis.
        deduplication: o.dedplication !== !1
      });
    }, r.prototype.getOrdinal = function(a) {
      return this._getOrCreateMap().get(a);
    }, r.prototype.parseAndCollect = function(a) {
      var o, s = this._needCollect;
      if (!isString(a) && !s)
        return a;
      if (s && !this._deduplication)
        return o = this.categories.length, this.categories[o] = a, o;
      var l = this._getOrCreateMap();
      return o = l.get(a), o == null && (s ? (o = this.categories.length, this.categories[o] = a, l.set(a, o)) : o = NaN), o;
    }, r.prototype._getOrCreateMap = function() {
      return this._map || (this._map = createHashMap(this.categories));
    }, r;
  }()
);
function getName(r) {
  return isObject$3(r) && r.value != null ? r.value : r + "";
}
function isValueNice(r) {
  var a = Math.pow(10, quantityExponent(Math.abs(r))), o = Math.abs(r / a);
  return o === 0 || o === 1 || o === 2 || o === 3 || o === 5;
}
function isIntervalOrLogScale(r) {
  return r.type === "interval" || r.type === "log";
}
function intervalScaleNiceTicks(r, a, o, s) {
  var l = {}, u = r[1] - r[0], c = l.interval = nice(u / a, !0);
  o != null && c < o && (c = l.interval = o), s != null && c > s && (c = l.interval = s);
  var d = l.intervalPrecision = getIntervalPrecision(c), f = l.niceTickExtent = [round$3(Math.ceil(r[0] / c) * c, d), round$3(Math.floor(r[1] / c) * c, d)];
  return fixExtent(f, r), l;
}
function increaseInterval(r) {
  var a = Math.pow(10, quantityExponent(r)), o = r / a;
  return o ? o === 2 ? o = 3 : o === 3 ? o = 5 : o *= 2 : o = 1, round$3(o * a);
}
function getIntervalPrecision(r) {
  return getPrecision(r) + 2;
}
function clamp(r, a, o) {
  r[a] = Math.max(Math.min(r[a], o[1]), o[0]);
}
function fixExtent(r, a) {
  !isFinite(r[0]) && (r[0] = a[0]), !isFinite(r[1]) && (r[1] = a[1]), clamp(r, 0, a), clamp(r, 1, a), r[0] > r[1] && (r[0] = r[1]);
}
function contain$1(r, a) {
  return r >= a[0] && r <= a[1];
}
function normalize$2(r, a) {
  return a[1] === a[0] ? 0.5 : (r - a[0]) / (a[1] - a[0]);
}
function scale(r, a) {
  return r * (a[1] - a[0]) + a[0];
}
var OrdinalScale = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      var s = r.call(this, o) || this;
      s.type = "ordinal";
      var l = s.getSetting("ordinalMeta");
      return l || (l = new OrdinalMeta({})), isArray$1(l) && (l = new OrdinalMeta({
        categories: map$1(l, function(u) {
          return isObject$3(u) ? u.value : u;
        })
      })), s._ordinalMeta = l, s._extent = s.getSetting("extent") || [0, l.categories.length - 1], s;
    }
    return a.prototype.parse = function(o) {
      return o == null ? NaN : isString(o) ? this._ordinalMeta.getOrdinal(o) : Math.round(o);
    }, a.prototype.contain = function(o) {
      return o = this.parse(o), contain$1(o, this._extent) && this._ordinalMeta.categories[o] != null;
    }, a.prototype.normalize = function(o) {
      return o = this._getTickNumber(this.parse(o)), normalize$2(o, this._extent);
    }, a.prototype.scale = function(o) {
      return o = Math.round(scale(o, this._extent)), this.getRawOrdinalNumber(o);
    }, a.prototype.getTicks = function() {
      for (var o = [], s = this._extent, l = s[0]; l <= s[1]; )
        o.push({
          value: l
        }), l++;
      return o;
    }, a.prototype.getMinorTicks = function(o) {
    }, a.prototype.setSortInfo = function(o) {
      if (o == null) {
        this._ordinalNumbersByTick = this._ticksByOrdinalNumber = null;
        return;
      }
      for (var s = o.ordinalNumbers, l = this._ordinalNumbersByTick = [], u = this._ticksByOrdinalNumber = [], c = 0, d = this._ordinalMeta.categories.length, f = Math.min(d, s.length); c < f; ++c) {
        var p = s[c];
        l[c] = p, u[p] = c;
      }
      for (var v = 0; c < d; ++c) {
        for (; u[v] != null; )
          v++;
        l.push(v), u[v] = c;
      }
    }, a.prototype._getTickNumber = function(o) {
      var s = this._ticksByOrdinalNumber;
      return s && o >= 0 && o < s.length ? s[o] : o;
    }, a.prototype.getRawOrdinalNumber = function(o) {
      var s = this._ordinalNumbersByTick;
      return s && o >= 0 && o < s.length ? s[o] : o;
    }, a.prototype.getLabel = function(o) {
      if (!this.isBlank()) {
        var s = this.getRawOrdinalNumber(o.value), l = this._ordinalMeta.categories[s];
        return l == null ? "" : l + "";
      }
    }, a.prototype.count = function() {
      return this._extent[1] - this._extent[0] + 1;
    }, a.prototype.unionExtentFromData = function(o, s) {
      this.unionExtent(o.getApproximateExtent(s));
    }, a.prototype.isInExtentRange = function(o) {
      return o = this._getTickNumber(o), this._extent[0] <= o && this._extent[1] >= o;
    }, a.prototype.getOrdinalMeta = function() {
      return this._ordinalMeta;
    }, a.prototype.calcNiceTicks = function() {
    }, a.prototype.calcNiceExtent = function() {
    }, a.type = "ordinal", a;
  }(Scale)
);
Scale.registerClass(OrdinalScale);
var roundNumber = round$3, IntervalScale = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = "interval", o._interval = 0, o._intervalPrecision = 2, o;
    }
    return a.prototype.parse = function(o) {
      return o;
    }, a.prototype.contain = function(o) {
      return contain$1(o, this._extent);
    }, a.prototype.normalize = function(o) {
      return normalize$2(o, this._extent);
    }, a.prototype.scale = function(o) {
      return scale(o, this._extent);
    }, a.prototype.setExtent = function(o, s) {
      var l = this._extent;
      isNaN(o) || (l[0] = parseFloat(o)), isNaN(s) || (l[1] = parseFloat(s));
    }, a.prototype.unionExtent = function(o) {
      var s = this._extent;
      o[0] < s[0] && (s[0] = o[0]), o[1] > s[1] && (s[1] = o[1]), this.setExtent(s[0], s[1]);
    }, a.prototype.getInterval = function() {
      return this._interval;
    }, a.prototype.setInterval = function(o) {
      this._interval = o, this._niceExtent = this._extent.slice(), this._intervalPrecision = getIntervalPrecision(o);
    }, a.prototype.getTicks = function(o) {
      var s = this._interval, l = this._extent, u = this._niceExtent, c = this._intervalPrecision, d = [];
      if (!s)
        return d;
      var f = 1e4;
      l[0] < u[0] && (o ? d.push({
        value: roundNumber(u[0] - s, c)
      }) : d.push({
        value: l[0]
      }));
      for (var p = u[0]; p <= u[1] && (d.push({
        value: p
      }), p = roundNumber(p + s, c), p !== d[d.length - 1].value); )
        if (d.length > f)
          return [];
      var v = d.length ? d[d.length - 1].value : u[1];
      return l[1] > v && (o ? d.push({
        value: roundNumber(v + s, c)
      }) : d.push({
        value: l[1]
      })), d;
    }, a.prototype.getMinorTicks = function(o) {
      for (var s = this.getTicks(!0), l = [], u = this.getExtent(), c = 1; c < s.length; c++) {
        for (var d = s[c], f = s[c - 1], p = 0, v = [], g = d.value - f.value, y = g / o; p < o - 1; ) {
          var _ = roundNumber(f.value + (p + 1) * y);
          _ > u[0] && _ < u[1] && v.push(_), p++;
        }
        l.push(v);
      }
      return l;
    }, a.prototype.getLabel = function(o, s) {
      if (o == null)
        return "";
      var l = s && s.precision;
      l == null ? l = getPrecision(o.value) || 0 : l === "auto" && (l = this._intervalPrecision);
      var u = roundNumber(o.value, l, !0);
      return addCommas(u);
    }, a.prototype.calcNiceTicks = function(o, s, l) {
      o = o || 5;
      var u = this._extent, c = u[1] - u[0];
      if (isFinite(c)) {
        c < 0 && (c = -c, u.reverse());
        var d = intervalScaleNiceTicks(u, o, s, l);
        this._intervalPrecision = d.intervalPrecision, this._interval = d.interval, this._niceExtent = d.niceTickExtent;
      }
    }, a.prototype.calcNiceExtent = function(o) {
      var s = this._extent;
      if (s[0] === s[1])
        if (s[0] !== 0) {
          var l = Math.abs(s[0]);
          o.fixMax || (s[1] += l / 2), s[0] -= l / 2;
        } else
          s[1] = 1;
      var u = s[1] - s[0];
      isFinite(u) || (s[0] = 0, s[1] = 1), this.calcNiceTicks(o.splitNumber, o.minInterval, o.maxInterval);
      var c = this._interval;
      o.fixMin || (s[0] = roundNumber(Math.floor(s[0] / c) * c)), o.fixMax || (s[1] = roundNumber(Math.ceil(s[1] / c) * c));
    }, a.prototype.setNiceExtent = function(o, s) {
      this._niceExtent = [o, s];
    }, a.type = "interval", a;
  }(Scale)
);
Scale.registerClass(IntervalScale);
var supportFloat32Array = typeof Float32Array < "u", Float32ArrayCtor = supportFloat32Array ? Float32Array : Array;
function createFloat32Array(r) {
  return isArray$1(r) ? supportFloat32Array ? new Float32Array(r) : r : new Float32ArrayCtor(r);
}
var STACK_PREFIX = "__ec_stack_";
function getSeriesStackId$1(r) {
  return r.get("stack") || STACK_PREFIX + r.seriesIndex;
}
function getAxisKey$1(r) {
  return r.dim + r.index;
}
function getLayoutOnAxis(r) {
  var a = [], o = r.axis, s = "axis0";
  if (o.type === "category") {
    for (var l = o.getBandWidth(), u = 0; u < r.count; u++)
      a.push(defaults({
        bandWidth: l,
        axisKey: s,
        stackId: STACK_PREFIX + u
      }, r));
    for (var c = doCalBarWidthAndOffset(a), d = [], u = 0; u < r.count; u++) {
      var f = c[s][STACK_PREFIX + u];
      f.offsetCenter = f.offset + f.width / 2, d.push(f);
    }
    return d;
  }
}
function prepareLayoutBarSeries(r, a) {
  var o = [];
  return a.eachSeriesByType(r, function(s) {
    isOnCartesian(s) && o.push(s);
  }), o;
}
function getValueAxesMinGaps(r) {
  var a = {};
  each$f(r, function(f) {
    var p = f.coordinateSystem, v = p.getBaseAxis();
    if (!(v.type !== "time" && v.type !== "value"))
      for (var g = f.getData(), y = v.dim + "_" + v.index, _ = g.getDimensionIndex(g.mapDimension(v.dim)), S = g.getStore(), C = 0, b = S.count(); C < b; ++C) {
        var T = S.get(_, C);
        a[y] ? a[y].push(T) : a[y] = [T];
      }
  });
  var o = {};
  for (var s in a)
    if (a.hasOwnProperty(s)) {
      var l = a[s];
      if (l) {
        l.sort(function(f, p) {
          return f - p;
        });
        for (var u = null, c = 1; c < l.length; ++c) {
          var d = l[c] - l[c - 1];
          d > 0 && (u = u === null ? d : Math.min(u, d));
        }
        o[s] = u;
      }
    }
  return o;
}
function makeColumnLayout(r) {
  var a = getValueAxesMinGaps(r), o = [];
  return each$f(r, function(s) {
    var l = s.coordinateSystem, u = l.getBaseAxis(), c = u.getExtent(), d;
    if (u.type === "category")
      d = u.getBandWidth();
    else if (u.type === "value" || u.type === "time") {
      var f = u.dim + "_" + u.index, p = a[f], v = Math.abs(c[1] - c[0]), g = u.scale.getExtent(), y = Math.abs(g[1] - g[0]);
      d = p ? v / y * p : v;
    } else {
      var _ = s.getData();
      d = Math.abs(c[1] - c[0]) / _.count();
    }
    var S = parsePercent(s.get("barWidth"), d), C = parsePercent(s.get("barMaxWidth"), d), b = parsePercent(
      // barMinWidth by default is 0.5 / 1 in cartesian. Because in value axis,
      // the auto-calculated bar width might be less than 0.5 / 1.
      s.get("barMinWidth") || (isInLargeMode(s) ? 0.5 : 1),
      d
    ), T = s.get("barGap"), E = s.get("barCategoryGap");
    o.push({
      bandWidth: d,
      barWidth: S,
      barMaxWidth: C,
      barMinWidth: b,
      barGap: T,
      barCategoryGap: E,
      axisKey: getAxisKey$1(u),
      stackId: getSeriesStackId$1(s)
    });
  }), doCalBarWidthAndOffset(o);
}
function doCalBarWidthAndOffset(r) {
  var a = {};
  each$f(r, function(s, l) {
    var u = s.axisKey, c = s.bandWidth, d = a[u] || {
      bandWidth: c,
      remainedWidth: c,
      autoWidthCount: 0,
      categoryGap: null,
      gap: "20%",
      stacks: {}
    }, f = d.stacks;
    a[u] = d;
    var p = s.stackId;
    f[p] || d.autoWidthCount++, f[p] = f[p] || {
      width: 0,
      maxWidth: 0
    };
    var v = s.barWidth;
    v && !f[p].width && (f[p].width = v, v = Math.min(d.remainedWidth, v), d.remainedWidth -= v);
    var g = s.barMaxWidth;
    g && (f[p].maxWidth = g);
    var y = s.barMinWidth;
    y && (f[p].minWidth = y);
    var _ = s.barGap;
    _ != null && (d.gap = _);
    var S = s.barCategoryGap;
    S != null && (d.categoryGap = S);
  });
  var o = {};
  return each$f(a, function(s, l) {
    o[l] = {};
    var u = s.stacks, c = s.bandWidth, d = s.categoryGap;
    if (d == null) {
      var f = keys(u).length;
      d = Math.max(35 - f * 4, 15) + "%";
    }
    var p = parsePercent(d, c), v = parsePercent(s.gap, 1), g = s.remainedWidth, y = s.autoWidthCount, _ = (g - p) / (y + (y - 1) * v);
    _ = Math.max(_, 0), each$f(u, function(T) {
      var E = T.maxWidth, x = T.minWidth;
      if (T.width) {
        var $ = T.width;
        E && ($ = Math.min($, E)), x && ($ = Math.max($, x)), T.width = $, g -= $ + v * $, y--;
      } else {
        var $ = _;
        E && E < $ && ($ = Math.min(E, g)), x && x > $ && ($ = x), $ !== _ && (T.width = $, g -= $ + v * $, y--);
      }
    }), _ = (g - p) / (y + (y - 1) * v), _ = Math.max(_, 0);
    var S = 0, C;
    each$f(u, function(T, E) {
      T.width || (T.width = _), C = T, S += T.width * (1 + v);
    }), C && (S -= C.width * v);
    var b = -S / 2;
    each$f(u, function(T, E) {
      o[l][E] = o[l][E] || {
        bandWidth: c,
        offset: b,
        width: T.width
      }, b += T.width * (1 + v);
    });
  }), o;
}
function retrieveColumnLayout(r, a, o) {
  if (r && a) {
    var s = r[getAxisKey$1(a)];
    return s;
  }
}
function layout$3(r, a) {
  var o = prepareLayoutBarSeries(r, a), s = makeColumnLayout(o);
  each$f(o, function(l) {
    var u = l.getData(), c = l.coordinateSystem, d = c.getBaseAxis(), f = getSeriesStackId$1(l), p = s[getAxisKey$1(d)][f], v = p.offset, g = p.width;
    u.setLayout({
      bandWidth: p.bandWidth,
      offset: v,
      size: g
    });
  });
}
function createProgressiveLayout(r) {
  return {
    seriesType: r,
    plan: createRenderPlanner(),
    reset: function(a) {
      if (isOnCartesian(a)) {
        var o = a.getData(), s = a.coordinateSystem, l = s.getBaseAxis(), u = s.getOtherAxis(l), c = o.getDimensionIndex(o.mapDimension(u.dim)), d = o.getDimensionIndex(o.mapDimension(l.dim)), f = a.get("showBackground", !0), p = o.mapDimension(u.dim), v = o.getCalculationInfo("stackResultDimension"), g = isDimensionStacked(o, p) && !!o.getCalculationInfo("stackedOnSeries"), y = u.isHorizontal(), _ = getValueAxisStart(l, u), S = isInLargeMode(a), C = a.get("barMinHeight") || 0, b = v && o.getDimensionIndex(v), T = o.getLayout("size"), E = o.getLayout("offset");
        return {
          progress: function(x, $) {
            for (var A = x.count, N = S && createFloat32Array(A * 3), P = S && f && createFloat32Array(A * 3), L = S && createFloat32Array(A), O = s.master.getRect(), M = y ? O.width : O.height, F, U = $.getStore(), R = 0; (F = x.next()) != null; ) {
              var H = U.get(g ? b : c, F), V = U.get(d, F), Y = _, G = void 0;
              g && (G = +H - U.get(c, F));
              var Z = void 0, re = void 0, de = void 0, X = void 0;
              if (y) {
                var W = s.dataToPoint([H, V]);
                if (g) {
                  var te = s.dataToPoint([G, V]);
                  Y = te[0];
                }
                Z = Y, re = W[1] + E, de = W[0] - Y, X = T, Math.abs(de) < C && (de = (de < 0 ? -1 : 1) * C);
              } else {
                var W = s.dataToPoint([V, H]);
                if (g) {
                  var te = s.dataToPoint([V, G]);
                  Y = te[1];
                }
                Z = W[0] + E, re = Y, de = T, X = W[1] - Y, Math.abs(X) < C && (X = (X <= 0 ? -1 : 1) * C);
              }
              S ? (N[R] = Z, N[R + 1] = re, N[R + 2] = y ? de : X, P && (P[R] = y ? O.x : Z, P[R + 1] = y ? re : O.y, P[R + 2] = M), L[F] = F) : $.setItemLayout(F, {
                x: Z,
                y: re,
                width: de,
                height: X
              }), R += 3;
            }
            S && $.setLayout({
              largePoints: N,
              largeDataIndices: L,
              largeBackgroundPoints: P,
              valueAxisHorizontal: y
            });
          }
        };
      }
    }
  };
}
function isOnCartesian(r) {
  return r.coordinateSystem && r.coordinateSystem.type === "cartesian2d";
}
function isInLargeMode(r) {
  return r.pipelineContext && r.pipelineContext.large;
}
function getValueAxisStart(r, a) {
  var o = a.model.get("startValue");
  return o || (o = 0), a.toGlobalCoord(a.dataToCoord(a.type === "log" ? o > 0 ? o : 1 : o));
}
var bisect = function(r, a, o, s) {
  for (; o < s; ) {
    var l = o + s >>> 1;
    r[l][1] < a ? o = l + 1 : s = l;
  }
  return o;
}, TimeScale = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      var s = r.call(this, o) || this;
      return s.type = "time", s;
    }
    return a.prototype.getLabel = function(o) {
      var s = this.getSetting("useUTC");
      return format$1(o.value, fullLeveledFormatter[getDefaultFormatPrecisionOfInterval(getPrimaryTimeUnit(this._minLevelUnit))] || fullLeveledFormatter.second, s, this.getSetting("locale"));
    }, a.prototype.getFormattedLabel = function(o, s, l) {
      var u = this.getSetting("useUTC"), c = this.getSetting("locale");
      return leveledFormat(o, s, l, c, u);
    }, a.prototype.getTicks = function() {
      var o = this._interval, s = this._extent, l = [];
      if (!o)
        return l;
      l.push({
        value: s[0],
        level: 0
      });
      var u = this.getSetting("useUTC"), c = getIntervalTicks(this._minLevelUnit, this._approxInterval, u, s);
      return l = l.concat(c), l.push({
        value: s[1],
        level: 0
      }), l;
    }, a.prototype.calcNiceExtent = function(o) {
      var s = this._extent;
      if (s[0] === s[1] && (s[0] -= ONE_DAY, s[1] += ONE_DAY), s[1] === -1 / 0 && s[0] === 1 / 0) {
        var l = /* @__PURE__ */ new Date();
        s[1] = +new Date(l.getFullYear(), l.getMonth(), l.getDate()), s[0] = s[1] - ONE_DAY;
      }
      this.calcNiceTicks(o.splitNumber, o.minInterval, o.maxInterval);
    }, a.prototype.calcNiceTicks = function(o, s, l) {
      o = o || 10;
      var u = this._extent, c = u[1] - u[0];
      this._approxInterval = c / o, s != null && this._approxInterval < s && (this._approxInterval = s), l != null && this._approxInterval > l && (this._approxInterval = l);
      var d = scaleIntervals.length, f = Math.min(bisect(scaleIntervals, this._approxInterval, 0, d), d - 1);
      this._interval = scaleIntervals[f][1], this._minLevelUnit = scaleIntervals[Math.max(f - 1, 0)][0];
    }, a.prototype.parse = function(o) {
      return isNumber(o) ? o : +parseDate(o);
    }, a.prototype.contain = function(o) {
      return contain$1(this.parse(o), this._extent);
    }, a.prototype.normalize = function(o) {
      return normalize$2(this.parse(o), this._extent);
    }, a.prototype.scale = function(o) {
      return scale(o, this._extent);
    }, a.type = "time", a;
  }(IntervalScale)
), scaleIntervals = [
  // Format                           interval
  ["second", ONE_SECOND],
  ["minute", ONE_MINUTE],
  ["hour", ONE_HOUR],
  ["quarter-day", ONE_HOUR * 6],
  ["half-day", ONE_HOUR * 12],
  ["day", ONE_DAY * 1.2],
  ["half-week", ONE_DAY * 3.5],
  ["week", ONE_DAY * 7],
  ["month", ONE_DAY * 31],
  ["quarter", ONE_DAY * 95],
  ["half-year", ONE_YEAR / 2],
  ["year", ONE_YEAR]
  // 1Y
];
function isUnitValueSame(r, a, o, s) {
  var l = parseDate(a), u = parseDate(o), c = function(S) {
    return getUnitValue(l, S, s) === getUnitValue(u, S, s);
  }, d = function() {
    return c("year");
  }, f = function() {
    return d() && c("month");
  }, p = function() {
    return f() && c("day");
  }, v = function() {
    return p() && c("hour");
  }, g = function() {
    return v() && c("minute");
  }, y = function() {
    return g() && c("second");
  }, _ = function() {
    return y() && c("millisecond");
  };
  switch (r) {
    case "year":
      return d();
    case "month":
      return f();
    case "day":
      return p();
    case "hour":
      return v();
    case "minute":
      return g();
    case "second":
      return y();
    case "millisecond":
      return _();
  }
}
function getDateInterval(r, a) {
  return r /= ONE_DAY, r > 16 ? 16 : r > 7.5 ? 7 : r > 3.5 ? 4 : r > 1.5 ? 2 : 1;
}
function getMonthInterval(r) {
  var a = 30 * ONE_DAY;
  return r /= a, r > 6 ? 6 : r > 3 ? 3 : r > 2 ? 2 : 1;
}
function getHourInterval(r) {
  return r /= ONE_HOUR, r > 12 ? 12 : r > 6 ? 6 : r > 3.5 ? 4 : r > 2 ? 2 : 1;
}
function getMinutesAndSecondsInterval(r, a) {
  return r /= a ? ONE_MINUTE : ONE_SECOND, r > 30 ? 30 : r > 20 ? 20 : r > 15 ? 15 : r > 10 ? 10 : r > 5 ? 5 : r > 2 ? 2 : 1;
}
function getMillisecondsInterval(r) {
  return nice(r, !0);
}
function getFirstTimestampOfUnit(r, a, o) {
  var s = new Date(r);
  switch (getPrimaryTimeUnit(a)) {
    case "year":
    case "month":
      s[monthSetterName(o)](0);
    case "day":
      s[dateSetterName(o)](1);
    case "hour":
      s[hoursSetterName(o)](0);
    case "minute":
      s[minutesSetterName(o)](0);
    case "second":
      s[secondsSetterName(o)](0), s[millisecondsSetterName(o)](0);
  }
  return s.getTime();
}
function getIntervalTicks(r, a, o, s) {
  var l = 1e4, u = timeUnits, c = 0;
  function d(M, F, U, R, H, V, Y) {
    for (var G = new Date(F), Z = F, re = G[R](); Z < U && Z <= s[1]; )
      Y.push({
        value: Z
      }), re += M, G[H](re), Z = G.getTime();
    Y.push({
      value: Z,
      notAdd: !0
    });
  }
  function f(M, F, U) {
    var R = [], H = !F.length;
    if (!isUnitValueSame(getPrimaryTimeUnit(M), s[0], s[1], o)) {
      H && (F = [{
        // TODO Optimize. Not include so may ticks.
        value: getFirstTimestampOfUnit(new Date(s[0]), M, o)
      }, {
        value: s[1]
      }]);
      for (var V = 0; V < F.length - 1; V++) {
        var Y = F[V].value, G = F[V + 1].value;
        if (Y !== G) {
          var Z = void 0, re = void 0, de = void 0, X = !1;
          switch (M) {
            case "year":
              Z = Math.max(1, Math.round(a / ONE_DAY / 365)), re = fullYearGetterName(o), de = fullYearSetterName(o);
              break;
            case "half-year":
            case "quarter":
            case "month":
              Z = getMonthInterval(a), re = monthGetterName(o), de = monthSetterName(o);
              break;
            case "week":
            case "half-week":
            case "day":
              Z = getDateInterval(a), re = dateGetterName(o), de = dateSetterName(o), X = !0;
              break;
            case "half-day":
            case "quarter-day":
            case "hour":
              Z = getHourInterval(a), re = hoursGetterName(o), de = hoursSetterName(o);
              break;
            case "minute":
              Z = getMinutesAndSecondsInterval(a, !0), re = minutesGetterName(o), de = minutesSetterName(o);
              break;
            case "second":
              Z = getMinutesAndSecondsInterval(a, !1), re = secondsGetterName(o), de = secondsSetterName(o);
              break;
            case "millisecond":
              Z = getMillisecondsInterval(a), re = millisecondsGetterName(o), de = millisecondsSetterName(o);
              break;
          }
          d(Z, Y, G, re, de, X, R), M === "year" && U.length > 1 && V === 0 && U.unshift({
            value: U[0].value - Z
          });
        }
      }
      for (var V = 0; V < R.length; V++)
        U.push(R[V]);
      return R;
    }
  }
  for (var p = [], v = [], g = 0, y = 0, _ = 0; _ < u.length && c++ < l; ++_) {
    var S = getPrimaryTimeUnit(u[_]);
    if (isPrimaryTimeUnit(u[_])) {
      f(u[_], p[p.length - 1] || [], v);
      var C = u[_ + 1] ? getPrimaryTimeUnit(u[_ + 1]) : null;
      if (S !== C) {
        if (v.length) {
          y = g, v.sort(function(M, F) {
            return M.value - F.value;
          });
          for (var b = [], T = 0; T < v.length; ++T) {
            var E = v[T].value;
            (T === 0 || v[T - 1].value !== E) && (b.push(v[T]), E >= s[0] && E <= s[1] && g++);
          }
          var x = (s[1] - s[0]) / a;
          if (g > x * 1.5 && y > x / 1.5 || (p.push(b), g > x || r === u[_]))
            break;
        }
        v = [];
      }
    }
  }
  process.env.NODE_ENV !== "production" && c >= l && warn("Exceed safe limit.");
  for (var $ = filter(map$1(p, function(M) {
    return filter(M, function(F) {
      return F.value >= s[0] && F.value <= s[1] && !F.notAdd;
    });
  }), function(M) {
    return M.length > 0;
  }), A = [], N = $.length - 1, _ = 0; _ < $.length; ++_)
    for (var P = $[_], L = 0; L < P.length; ++L)
      A.push({
        value: P[L].value,
        level: N - _
      });
  A.sort(function(M, F) {
    return M.value - F.value;
  });
  for (var O = [], _ = 0; _ < A.length; ++_)
    (_ === 0 || A[_].value !== A[_ - 1].value) && O.push(A[_]);
  return O;
}
Scale.registerClass(TimeScale);
var scaleProto = Scale.prototype, intervalScaleProto = IntervalScale.prototype, roundingErrorFix = round$3, mathFloor$1 = Math.floor, mathCeil$1 = Math.ceil, mathPow$1 = Math.pow, mathLog$1 = Math.log, LogScale = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = "log", o.base = 10, o._originalScale = new IntervalScale(), o._interval = 0, o;
    }
    return a.prototype.getTicks = function(o) {
      var s = this._originalScale, l = this._extent, u = s.getExtent(), c = intervalScaleProto.getTicks.call(this, o);
      return map$1(c, function(d) {
        var f = d.value, p = round$3(mathPow$1(this.base, f));
        return p = f === l[0] && this._fixMin ? fixRoundingError(p, u[0]) : p, p = f === l[1] && this._fixMax ? fixRoundingError(p, u[1]) : p, {
          value: p
        };
      }, this);
    }, a.prototype.setExtent = function(o, s) {
      var l = mathLog$1(this.base);
      o = mathLog$1(Math.max(0, o)) / l, s = mathLog$1(Math.max(0, s)) / l, intervalScaleProto.setExtent.call(this, o, s);
    }, a.prototype.getExtent = function() {
      var o = this.base, s = scaleProto.getExtent.call(this);
      s[0] = mathPow$1(o, s[0]), s[1] = mathPow$1(o, s[1]);
      var l = this._originalScale, u = l.getExtent();
      return this._fixMin && (s[0] = fixRoundingError(s[0], u[0])), this._fixMax && (s[1] = fixRoundingError(s[1], u[1])), s;
    }, a.prototype.unionExtent = function(o) {
      this._originalScale.unionExtent(o);
      var s = this.base;
      o[0] = mathLog$1(o[0]) / mathLog$1(s), o[1] = mathLog$1(o[1]) / mathLog$1(s), scaleProto.unionExtent.call(this, o);
    }, a.prototype.unionExtentFromData = function(o, s) {
      this.unionExtent(o.getApproximateExtent(s));
    }, a.prototype.calcNiceTicks = function(o) {
      o = o || 10;
      var s = this._extent, l = s[1] - s[0];
      if (!(l === 1 / 0 || l <= 0)) {
        var u = quantity(l), c = o / l * u;
        for (c <= 0.5 && (u *= 10); !isNaN(u) && Math.abs(u) < 1 && Math.abs(u) > 0; )
          u *= 10;
        var d = [round$3(mathCeil$1(s[0] / u) * u), round$3(mathFloor$1(s[1] / u) * u)];
        this._interval = u, this._niceExtent = d;
      }
    }, a.prototype.calcNiceExtent = function(o) {
      intervalScaleProto.calcNiceExtent.call(this, o), this._fixMin = o.fixMin, this._fixMax = o.fixMax;
    }, a.prototype.parse = function(o) {
      return o;
    }, a.prototype.contain = function(o) {
      return o = mathLog$1(o) / mathLog$1(this.base), contain$1(o, this._extent);
    }, a.prototype.normalize = function(o) {
      return o = mathLog$1(o) / mathLog$1(this.base), normalize$2(o, this._extent);
    }, a.prototype.scale = function(o) {
      return o = scale(o, this._extent), mathPow$1(this.base, o);
    }, a.type = "log", a;
  }(Scale)
), proto = LogScale.prototype;
proto.getMinorTicks = intervalScaleProto.getMinorTicks;
proto.getLabel = intervalScaleProto.getLabel;
function fixRoundingError(r, a) {
  return roundingErrorFix(r, getPrecision(a));
}
Scale.registerClass(LogScale);
var ScaleRawExtentInfo = (
  /** @class */
  function() {
    function r(a, o, s) {
      this._prepareParams(a, o, s);
    }
    return r.prototype._prepareParams = function(a, o, s) {
      s[1] < s[0] && (s = [NaN, NaN]), this._dataMin = s[0], this._dataMax = s[1];
      var l = this._isOrdinal = a.type === "ordinal";
      this._needCrossZero = a.type === "interval" && o.getNeedCrossZero && o.getNeedCrossZero();
      var u = o.get("min", !0);
      u == null && (u = o.get("startValue", !0));
      var c = this._modelMinRaw = u;
      isFunction(c) ? this._modelMinNum = parseAxisModelMinMax(a, c({
        min: s[0],
        max: s[1]
      })) : c !== "dataMin" && (this._modelMinNum = parseAxisModelMinMax(a, c));
      var d = this._modelMaxRaw = o.get("max", !0);
      if (isFunction(d) ? this._modelMaxNum = parseAxisModelMinMax(a, d({
        min: s[0],
        max: s[1]
      })) : d !== "dataMax" && (this._modelMaxNum = parseAxisModelMinMax(a, d)), l)
        this._axisDataLen = o.getCategories().length;
      else {
        var f = o.get("boundaryGap"), p = isArray$1(f) ? f : [f || 0, f || 0];
        typeof p[0] == "boolean" || typeof p[1] == "boolean" ? (process.env.NODE_ENV !== "production" && console.warn('Boolean type for boundaryGap is only allowed for ordinal axis. Please use string in percentage instead, e.g., "20%". Currently, boundaryGap is set to be 0.'), this._boundaryGapInner = [0, 0]) : this._boundaryGapInner = [parsePercent$1(p[0], 1), parsePercent$1(p[1], 1)];
      }
    }, r.prototype.calculate = function() {
      var a = this._isOrdinal, o = this._dataMin, s = this._dataMax, l = this._axisDataLen, u = this._boundaryGapInner, c = a ? null : s - o || Math.abs(o), d = this._modelMinRaw === "dataMin" ? o : this._modelMinNum, f = this._modelMaxRaw === "dataMax" ? s : this._modelMaxNum, p = d != null, v = f != null;
      d == null && (d = a ? l ? 0 : NaN : o - u[0] * c), f == null && (f = a ? l ? l - 1 : NaN : s + u[1] * c), (d == null || !isFinite(d)) && (d = NaN), (f == null || !isFinite(f)) && (f = NaN);
      var g = eqNaN(d) || eqNaN(f) || a && !l;
      this._needCrossZero && (d > 0 && f > 0 && !p && (d = 0), d < 0 && f < 0 && !v && (f = 0));
      var y = this._determinedMin, _ = this._determinedMax;
      return y != null && (d = y, p = !0), _ != null && (f = _, v = !0), {
        min: d,
        max: f,
        minFixed: p,
        maxFixed: v,
        isBlank: g
      };
    }, r.prototype.modifyDataMinMax = function(a, o) {
      process.env.NODE_ENV !== "production" && assert(!this.frozen), this[DATA_MIN_MAX_ATTR[a]] = o;
    }, r.prototype.setDeterminedMinMax = function(a, o) {
      var s = DETERMINED_MIN_MAX_ATTR[a];
      process.env.NODE_ENV !== "production" && assert(!this.frozen && this[s] == null), this[s] = o;
    }, r.prototype.freeze = function() {
      this.frozen = !0;
    }, r;
  }()
), DETERMINED_MIN_MAX_ATTR = {
  min: "_determinedMin",
  max: "_determinedMax"
}, DATA_MIN_MAX_ATTR = {
  min: "_dataMin",
  max: "_dataMax"
};
function ensureScaleRawExtentInfo(r, a, o) {
  var s = r.rawExtentInfo;
  return s || (s = new ScaleRawExtentInfo(r, a, o), r.rawExtentInfo = s, s);
}
function parseAxisModelMinMax(r, a) {
  return a == null ? null : eqNaN(a) ? NaN : r.parse(a);
}
function getScaleExtent(r, a) {
  var o = r.type, s = ensureScaleRawExtentInfo(r, a, r.getExtent()).calculate();
  r.setBlank(s.isBlank);
  var l = s.min, u = s.max, c = a.ecModel;
  if (c && o === "time") {
    var d = prepareLayoutBarSeries("bar", c), f = !1;
    if (each$f(d, function(g) {
      f = f || g.getBaseAxis() === a.axis;
    }), f) {
      var p = makeColumnLayout(d), v = adjustScaleForOverflow(l, u, a, p);
      l = v.min, u = v.max;
    }
  }
  return {
    extent: [l, u],
    // "fix" means "fixed", the value should not be
    // changed in the subsequent steps.
    fixMin: s.minFixed,
    fixMax: s.maxFixed
  };
}
function adjustScaleForOverflow(r, a, o, s) {
  var l = o.axis.getExtent(), u = Math.abs(l[1] - l[0]), c = retrieveColumnLayout(s, o.axis);
  if (c === void 0)
    return {
      min: r,
      max: a
    };
  var d = 1 / 0;
  each$f(c, function(_) {
    d = Math.min(_.offset, d);
  });
  var f = -1 / 0;
  each$f(c, function(_) {
    f = Math.max(_.offset + _.width, f);
  }), d = Math.abs(d), f = Math.abs(f);
  var p = d + f, v = a - r, g = 1 - (d + f) / u, y = v / g - v;
  return a += y * (f / p), r -= y * (d / p), {
    min: r,
    max: a
  };
}
function niceScaleExtent(r, a) {
  var o = a, s = getScaleExtent(r, o), l = s.extent, u = o.get("splitNumber");
  r instanceof LogScale && (r.base = o.get("logBase"));
  var c = r.type, d = o.get("interval"), f = c === "interval" || c === "time";
  r.setExtent(l[0], l[1]), r.calcNiceExtent({
    splitNumber: u,
    fixMin: s.fixMin,
    fixMax: s.fixMax,
    minInterval: f ? o.get("minInterval") : null,
    maxInterval: f ? o.get("maxInterval") : null
  }), d != null && r.setInterval && r.setInterval(d);
}
function createScaleByModel$1(r, a) {
  if (a = a || r.get("type"), a)
    switch (a) {
      case "category":
        return new OrdinalScale({
          ordinalMeta: r.getOrdinalMeta ? r.getOrdinalMeta() : r.getCategories(),
          extent: [1 / 0, -1 / 0]
        });
      case "time":
        return new TimeScale({
          locale: r.ecModel.getLocaleModel(),
          useUTC: r.ecModel.get("useUTC")
        });
      default:
        return new (Scale.getClass(a) || IntervalScale)();
    }
}
function ifAxisCrossZero(r) {
  var a = r.scale.getExtent(), o = a[0], s = a[1];
  return !(o > 0 && s > 0 || o < 0 && s < 0);
}
function makeLabelFormatter(r) {
  var a = r.getLabelModel().get("formatter"), o = r.type === "category" ? r.scale.getExtent()[0] : null;
  return r.scale.type === "time" ? /* @__PURE__ */ function(s) {
    return function(l, u) {
      return r.scale.getFormattedLabel(l, u, s);
    };
  }(a) : isString(a) ? /* @__PURE__ */ function(s) {
    return function(l) {
      var u = r.scale.getLabel(l), c = s.replace("{value}", u ?? "");
      return c;
    };
  }(a) : isFunction(a) ? /* @__PURE__ */ function(s) {
    return function(l, u) {
      return o != null && (u = l.value - o), s(getAxisRawValue(r, l), u, l.level != null ? {
        level: l.level
      } : null);
    };
  }(a) : function(s) {
    return r.scale.getLabel(s);
  };
}
function getAxisRawValue(r, a) {
  return r.type === "category" ? r.scale.getLabel(a) : a.value;
}
function estimateLabelUnionRect(r) {
  var a = r.model, o = r.scale;
  if (!(!a.get(["axisLabel", "show"]) || o.isBlank())) {
    var s, l, u = o.getExtent();
    o instanceof OrdinalScale ? l = o.count() : (s = o.getTicks(), l = s.length);
    var c = r.getLabelModel(), d = makeLabelFormatter(r), f, p = 1;
    l > 40 && (p = Math.ceil(l / 40));
    for (var v = 0; v < l; v += p) {
      var g = s ? s[v] : {
        value: u[0] + v
      }, y = d(g, v), _ = c.getTextRect(y), S = rotateTextRect(_, c.get("rotate") || 0);
      f ? f.union(S) : f = S;
    }
    return f;
  }
}
function rotateTextRect(r, a) {
  var o = a * Math.PI / 180, s = r.width, l = r.height, u = s * Math.abs(Math.cos(o)) + Math.abs(l * Math.sin(o)), c = s * Math.abs(Math.sin(o)) + Math.abs(l * Math.cos(o)), d = new BoundingRect(r.x, r.y, u, c);
  return d;
}
function getOptionCategoryInterval(r) {
  var a = r.get("interval");
  return a ?? "auto";
}
function shouldShowAllLabels(r) {
  return r.type === "category" && getOptionCategoryInterval(r.getLabelModel()) === 0;
}
function getDataDimensionsOnAxis(r, a) {
  var o = {};
  return each$f(r.mapDimensionsAll(a), function(s) {
    o[getStackedDimension(r, s)] = !0;
  }), keys(o);
}
function unionAxisExtentFromData(r, a, o) {
  a && each$f(getDataDimensionsOnAxis(a, o), function(s) {
    var l = a.getApproximateExtent(s);
    l[0] < r[0] && (r[0] = l[0]), l[1] > r[1] && (r[1] = l[1]);
  });
}
var AxisModelCommonMixin = (
  /** @class */
  function() {
    function r() {
    }
    return r.prototype.getNeedCrossZero = function() {
      var a = this.option;
      return !a.scale;
    }, r.prototype.getCoordSysModel = function() {
    }, r;
  }()
);
function createList$2(r) {
  return createSeriesData(null, r);
}
var dataStack = {
  isDimensionStacked,
  enableDataStack,
  getStackedDimension
};
function createScale(r, a) {
  var o = a;
  a instanceof Model || (o = new Model(a));
  var s = createScaleByModel$1(o);
  return s.setExtent(r[0], r[1]), niceScaleExtent(s, o), s;
}
function mixinAxisModelCommonMethods(r) {
  mixin(r, AxisModelCommonMixin);
}
function createTextStyle(r, a) {
  return a = a || {}, createTextStyle$1(r, null, null, a.state !== "normal");
}
const helper = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  createDimensions,
  createList: createList$2,
  createScale,
  createSymbol: createSymbol$1,
  createTextStyle,
  dataStack,
  enableHoverEmphasis,
  getECData,
  getLayoutRect,
  mixinAxisModelCommonMethods
}, Symbol.toStringTag, { value: "Module" }));
var EPSILON = 1e-8;
function isAroundEqual(r, a) {
  return Math.abs(r - a) < EPSILON;
}
function contain(r, a, o) {
  var s = 0, l = r[0];
  if (!l)
    return !1;
  for (var u = 1; u < r.length; u++) {
    var c = r[u];
    s += windingLine(l[0], l[1], c[0], c[1], a, o), l = c;
  }
  var d = r[0];
  return (!isAroundEqual(l[0], d[0]) || !isAroundEqual(l[1], d[1])) && (s += windingLine(l[0], l[1], d[0], d[1], a, o)), s !== 0;
}
var TMP_TRANSFORM = [];
function transformPoints(r, a) {
  for (var o = 0; o < r.length; o++)
    applyTransform$1(r[o], r[o], a);
}
function updateBBoxFromPoints(r, a, o, s) {
  for (var l = 0; l < r.length; l++) {
    var u = r[l];
    s && (u = s.project(u)), u && isFinite(u[0]) && isFinite(u[1]) && (min$1(a, a, u), max$1(o, o, u));
  }
}
function centroid$1(r) {
  for (var a = 0, o = 0, s = 0, l = r.length, u = r[l - 1][0], c = r[l - 1][1], d = 0; d < l; d++) {
    var f = r[d][0], p = r[d][1], v = u * p - f * c;
    a += v, o += (u + f) * v, s += (c + p) * v, u = f, c = p;
  }
  return a ? [o / a / 3, s / a / 3, a] : [r[0][0] || 0, r[0][1] || 0];
}
var Region = (
  /** @class */
  function() {
    function r(a) {
      this.name = a;
    }
    return r.prototype.setCenter = function(a) {
      this._center = a;
    }, r.prototype.getCenter = function() {
      var a = this._center;
      return a || (a = this._center = this.calcCenter()), a;
    }, r;
  }()
), GeoJSONPolygonGeometry = (
  /** @class */
  /* @__PURE__ */ function() {
    function r(a, o) {
      this.type = "polygon", this.exterior = a, this.interiors = o;
    }
    return r;
  }()
), GeoJSONLineStringGeometry = (
  /** @class */
  /* @__PURE__ */ function() {
    function r(a) {
      this.type = "linestring", this.points = a;
    }
    return r;
  }()
), GeoJSONRegion = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s, l) {
      var u = r.call(this, o) || this;
      return u.type = "geoJSON", u.geometries = s, u._center = l && [l[0], l[1]], u;
    }
    return a.prototype.calcCenter = function() {
      for (var o = this.geometries, s, l = 0, u = 0; u < o.length; u++) {
        var c = o[u], d = c.exterior, f = d && d.length;
        f > l && (s = c, l = f);
      }
      if (s)
        return centroid$1(s.exterior);
      var p = this.getBoundingRect();
      return [p.x + p.width / 2, p.y + p.height / 2];
    }, a.prototype.getBoundingRect = function(o) {
      var s = this._rect;
      if (s && !o)
        return s;
      var l = [1 / 0, 1 / 0], u = [-1 / 0, -1 / 0], c = this.geometries;
      return each$f(c, function(d) {
        d.type === "polygon" ? updateBBoxFromPoints(d.exterior, l, u, o) : each$f(d.points, function(f) {
          updateBBoxFromPoints(f, l, u, o);
        });
      }), isFinite(l[0]) && isFinite(l[1]) && isFinite(u[0]) && isFinite(u[1]) || (l[0] = l[1] = u[0] = u[1] = 0), s = new BoundingRect(l[0], l[1], u[0] - l[0], u[1] - l[1]), o || (this._rect = s), s;
    }, a.prototype.contain = function(o) {
      var s = this.getBoundingRect(), l = this.geometries;
      if (!s.contain(o[0], o[1]))
        return !1;
      e: for (var u = 0, c = l.length; u < c; u++) {
        var d = l[u];
        if (d.type === "polygon") {
          var f = d.exterior, p = d.interiors;
          if (contain(f, o[0], o[1])) {
            for (var v = 0; v < (p ? p.length : 0); v++)
              if (contain(p[v], o[0], o[1]))
                continue e;
            return !0;
          }
        }
      }
      return !1;
    }, a.prototype.transformTo = function(o, s, l, u) {
      var c = this.getBoundingRect(), d = c.width / c.height;
      l ? u || (u = l / d) : l = d * u;
      for (var f = new BoundingRect(o, s, l, u), p = c.calculateTransform(f), v = this.geometries, g = 0; g < v.length; g++) {
        var y = v[g];
        y.type === "polygon" ? (transformPoints(y.exterior, p), each$f(y.interiors, function(_) {
          transformPoints(_, p);
        })) : each$f(y.points, function(_) {
          transformPoints(_, p);
        });
      }
      c = this._rect, c.copy(f), this._center = [c.x + c.width / 2, c.y + c.height / 2];
    }, a.prototype.cloneShallow = function(o) {
      o == null && (o = this.name);
      var s = new a(o, this.geometries, this._center);
      return s._rect = this._rect, s.transformTo = null, s;
    }, a;
  }(Region)
), GeoSVGRegion = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s) {
      var l = r.call(this, o) || this;
      return l.type = "geoSVG", l._elOnlyForCalculate = s, l;
    }
    return a.prototype.calcCenter = function() {
      for (var o = this._elOnlyForCalculate, s = o.getBoundingRect(), l = [s.x + s.width / 2, s.y + s.height / 2], u = identity(TMP_TRANSFORM), c = o; c && !c.isGeoSVGGraphicRoot; )
        mul(u, c.getLocalTransform(), u), c = c.parent;
      return invert(u, u), applyTransform$1(l, l, u), l;
    }, a;
  }(Region)
);
function decode(r) {
  if (!r.UTF8Encoding)
    return r;
  var a = r, o = a.UTF8Scale;
  o == null && (o = 1024);
  var s = a.features;
  return each$f(s, function(l) {
    var u = l.geometry, c = u.encodeOffsets, d = u.coordinates;
    if (c)
      switch (u.type) {
        case "LineString":
          u.coordinates = decodeRing(d, c, o);
          break;
        case "Polygon":
          decodeRings(d, c, o);
          break;
        case "MultiLineString":
          decodeRings(d, c, o);
          break;
        case "MultiPolygon":
          each$f(d, function(f, p) {
            return decodeRings(f, c[p], o);
          });
      }
  }), a.UTF8Encoding = !1, a;
}
function decodeRings(r, a, o) {
  for (var s = 0; s < r.length; s++)
    r[s] = decodeRing(r[s], a[s], o);
}
function decodeRing(r, a, o) {
  for (var s = [], l = a[0], u = a[1], c = 0; c < r.length; c += 2) {
    var d = r.charCodeAt(c) - 64, f = r.charCodeAt(c + 1) - 64;
    d = d >> 1 ^ -(d & 1), f = f >> 1 ^ -(f & 1), d += l, f += u, l = d, u = f, s.push([d / o, f / o]);
  }
  return s;
}
function parseGeoJSON(r, a) {
  return r = decode(r), map$1(filter(r.features, function(o) {
    return o.geometry && o.properties && o.geometry.coordinates.length > 0;
  }), function(o) {
    var s = o.properties, l = o.geometry, u = [];
    switch (l.type) {
      case "Polygon":
        var c = l.coordinates;
        u.push(new GeoJSONPolygonGeometry(c[0], c.slice(1)));
        break;
      case "MultiPolygon":
        each$f(l.coordinates, function(f) {
          f[0] && u.push(new GeoJSONPolygonGeometry(f[0], f.slice(1)));
        });
        break;
      case "LineString":
        u.push(new GeoJSONLineStringGeometry([l.coordinates]));
        break;
      case "MultiLineString":
        u.push(new GeoJSONLineStringGeometry(l.coordinates));
    }
    var d = new GeoJSONRegion(s[a || "name"], u, s.cp);
    return d.properties = s, d;
  });
}
const number = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  MAX_SAFE_INTEGER,
  asc: asc$2,
  getPercentWithPrecision,
  getPixelPrecision,
  getPrecision,
  getPrecisionSafe,
  isNumeric,
  isRadianAroundZero,
  linearMap: linearMap$2,
  nice,
  numericToNumber,
  parseDate,
  quantile,
  quantity,
  quantityExponent,
  reformIntervals,
  remRadian,
  round: round$3
}, Symbol.toStringTag, { value: "Module" })), time = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  format: format$1,
  parse: parseDate
}, Symbol.toStringTag, { value: "Module" })), graphic = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Arc,
  BezierCurve,
  BoundingRect,
  Circle,
  CompoundPath,
  Ellipse,
  Group: Group$3,
  Image: ZRImage,
  IncrementalDisplayable,
  Line: Line$1,
  LinearGradient,
  Polygon,
  Polyline: Polyline$1,
  RadialGradient,
  Rect: Rect$2,
  Ring,
  Sector,
  Text: ZRText,
  clipPointsByRect,
  clipRectByRect,
  createIcon,
  extendPath,
  extendShape,
  getShapeClass,
  getTransform: getTransform$1,
  initProps,
  makeImage,
  makePath,
  mergePath,
  registerShape,
  resizePath,
  updateProps: updateProps$1
}, Symbol.toStringTag, { value: "Module" })), format = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  addCommas,
  capitalFirst,
  encodeHTML,
  formatTime,
  formatTpl,
  getTextRect,
  getTooltipMarker,
  normalizeCssArray,
  toCamelCase,
  truncateText
}, Symbol.toStringTag, { value: "Module" })), util = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  bind: bind$1,
  clone: clone$4,
  curry: curry$1,
  defaults,
  each: each$f,
  extend,
  filter,
  indexOf,
  inherits,
  isArray: isArray$1,
  isFunction,
  isObject: isObject$3,
  isString,
  map: map$1,
  merge,
  reduce
}, Symbol.toStringTag, { value: "Module" }));
var inner$g = makeInner();
function tickValuesToNumbers(r, a) {
  var o = map$1(a, function(s) {
    return r.scale.parse(s);
  });
  return r.type === "time" && o.length > 0 && (o.sort(), o.unshift(o[0]), o.push(o[o.length - 1])), o;
}
function createAxisLabels(r) {
  var a = r.getLabelModel().get("customValues");
  if (a) {
    var o = makeLabelFormatter(r), s = r.scale.getExtent(), l = tickValuesToNumbers(r, a), u = filter(l, function(c) {
      return c >= s[0] && c <= s[1];
    });
    return {
      labels: map$1(u, function(c) {
        var d = {
          value: c
        };
        return {
          formattedLabel: o(d),
          rawLabel: r.scale.getLabel(d),
          tickValue: c
        };
      })
    };
  }
  return r.type === "category" ? makeCategoryLabels(r) : makeRealNumberLabels(r);
}
function createAxisTicks(r, a) {
  var o = r.getTickModel().get("customValues");
  if (o) {
    var s = r.scale.getExtent(), l = tickValuesToNumbers(r, o);
    return {
      ticks: filter(l, function(u) {
        return u >= s[0] && u <= s[1];
      })
    };
  }
  return r.type === "category" ? makeCategoryTicks(r, a) : {
    ticks: map$1(r.scale.getTicks(), function(u) {
      return u.value;
    })
  };
}
function makeCategoryLabels(r) {
  var a = r.getLabelModel(), o = makeCategoryLabelsActually(r, a);
  return !a.get("show") || r.scale.isBlank() ? {
    labels: [],
    labelCategoryInterval: o.labelCategoryInterval
  } : o;
}
function makeCategoryLabelsActually(r, a) {
  var o = getListCache(r, "labels"), s = getOptionCategoryInterval(a), l = listCacheGet(o, s);
  if (l)
    return l;
  var u, c;
  return isFunction(s) ? u = makeLabelsByCustomizedCategoryInterval(r, s) : (c = s === "auto" ? makeAutoCategoryInterval(r) : s, u = makeLabelsByNumericCategoryInterval(r, c)), listCacheSet(o, s, {
    labels: u,
    labelCategoryInterval: c
  });
}
function makeCategoryTicks(r, a) {
  var o = getListCache(r, "ticks"), s = getOptionCategoryInterval(a), l = listCacheGet(o, s);
  if (l)
    return l;
  var u, c;
  if ((!a.get("show") || r.scale.isBlank()) && (u = []), isFunction(s))
    u = makeLabelsByCustomizedCategoryInterval(r, s, !0);
  else if (s === "auto") {
    var d = makeCategoryLabelsActually(r, r.getLabelModel());
    c = d.labelCategoryInterval, u = map$1(d.labels, function(f) {
      return f.tickValue;
    });
  } else
    c = s, u = makeLabelsByNumericCategoryInterval(r, c, !0);
  return listCacheSet(o, s, {
    ticks: u,
    tickCategoryInterval: c
  });
}
function makeRealNumberLabels(r) {
  var a = r.scale.getTicks(), o = makeLabelFormatter(r);
  return {
    labels: map$1(a, function(s, l) {
      return {
        level: s.level,
        formattedLabel: o(s, l),
        rawLabel: r.scale.getLabel(s),
        tickValue: s.value
      };
    })
  };
}
function getListCache(r, a) {
  return inner$g(r)[a] || (inner$g(r)[a] = []);
}
function listCacheGet(r, a) {
  for (var o = 0; o < r.length; o++)
    if (r[o].key === a)
      return r[o].value;
}
function listCacheSet(r, a, o) {
  return r.push({
    key: a,
    value: o
  }), o;
}
function makeAutoCategoryInterval(r) {
  var a = inner$g(r).autoInterval;
  return a ?? (inner$g(r).autoInterval = r.calculateCategoryInterval());
}
function calculateCategoryInterval(r) {
  var a = fetchAutoCategoryIntervalCalculationParams(r), o = makeLabelFormatter(r), s = (a.axisRotate - a.labelRotate) / 180 * Math.PI, l = r.scale, u = l.getExtent(), c = l.count();
  if (u[1] - u[0] < 1)
    return 0;
  var d = 1;
  c > 40 && (d = Math.max(1, Math.floor(c / 40)));
  for (var f = u[0], p = r.dataToCoord(f + 1) - r.dataToCoord(f), v = Math.abs(p * Math.cos(s)), g = Math.abs(p * Math.sin(s)), y = 0, _ = 0; f <= u[1]; f += d) {
    var S = 0, C = 0, b = getBoundingRect(o({
      value: f
    }), a.font, "center", "top");
    S = b.width * 1.3, C = b.height * 1.3, y = Math.max(y, S, 7), _ = Math.max(_, C, 7);
  }
  var T = y / v, E = _ / g;
  isNaN(T) && (T = 1 / 0), isNaN(E) && (E = 1 / 0);
  var x = Math.max(0, Math.floor(Math.min(T, E))), $ = inner$g(r.model), A = r.getExtent(), N = $.lastAutoInterval, P = $.lastTickCount;
  return N != null && P != null && Math.abs(N - x) <= 1 && Math.abs(P - c) <= 1 && N > x && $.axisExtent0 === A[0] && $.axisExtent1 === A[1] ? x = N : ($.lastTickCount = c, $.lastAutoInterval = x, $.axisExtent0 = A[0], $.axisExtent1 = A[1]), x;
}
function fetchAutoCategoryIntervalCalculationParams(r) {
  var a = r.getLabelModel();
  return {
    axisRotate: r.getRotate ? r.getRotate() : r.isHorizontal && !r.isHorizontal() ? 90 : 0,
    labelRotate: a.get("rotate") || 0,
    font: a.getFont()
  };
}
function makeLabelsByNumericCategoryInterval(r, a, o) {
  var s = makeLabelFormatter(r), l = r.scale, u = l.getExtent(), c = r.getLabelModel(), d = [], f = Math.max((a || 0) + 1, 1), p = u[0], v = l.count();
  p !== 0 && f > 1 && v / f > 2 && (p = Math.round(Math.ceil(p / f) * f));
  var g = shouldShowAllLabels(r), y = c.get("showMinLabel") || g, _ = c.get("showMaxLabel") || g;
  y && p !== u[0] && C(u[0]);
  for (var S = p; S <= u[1]; S += f)
    C(S);
  _ && S - f !== u[1] && C(u[1]);
  function C(b) {
    var T = {
      value: b
    };
    d.push(o ? b : {
      formattedLabel: s(T),
      rawLabel: l.getLabel(T),
      tickValue: b
    });
  }
  return d;
}
function makeLabelsByCustomizedCategoryInterval(r, a, o) {
  var s = r.scale, l = makeLabelFormatter(r), u = [];
  return each$f(s.getTicks(), function(c) {
    var d = s.getLabel(c), f = c.value;
    a(c.value, d) && u.push(o ? f : {
      formattedLabel: l(c),
      rawLabel: d,
      tickValue: f
    });
  }), u;
}
var NORMALIZED_EXTENT = [0, 1], Axis = (
  /** @class */
  function() {
    function r(a, o, s) {
      this.onBand = !1, this.inverse = !1, this.dim = a, this.scale = o, this._extent = s || [0, 0];
    }
    return r.prototype.contain = function(a) {
      var o = this._extent, s = Math.min(o[0], o[1]), l = Math.max(o[0], o[1]);
      return a >= s && a <= l;
    }, r.prototype.containData = function(a) {
      return this.scale.contain(a);
    }, r.prototype.getExtent = function() {
      return this._extent.slice();
    }, r.prototype.getPixelPrecision = function(a) {
      return getPixelPrecision(a || this.scale.getExtent(), this._extent);
    }, r.prototype.setExtent = function(a, o) {
      var s = this._extent;
      s[0] = a, s[1] = o;
    }, r.prototype.dataToCoord = function(a, o) {
      var s = this._extent, l = this.scale;
      return a = l.normalize(a), this.onBand && l.type === "ordinal" && (s = s.slice(), fixExtentWithBands(s, l.count())), linearMap$2(a, NORMALIZED_EXTENT, s, o);
    }, r.prototype.coordToData = function(a, o) {
      var s = this._extent, l = this.scale;
      this.onBand && l.type === "ordinal" && (s = s.slice(), fixExtentWithBands(s, l.count()));
      var u = linearMap$2(a, s, NORMALIZED_EXTENT, o);
      return this.scale.scale(u);
    }, r.prototype.pointToData = function(a, o) {
    }, r.prototype.getTicksCoords = function(a) {
      a = a || {};
      var o = a.tickModel || this.getTickModel(), s = createAxisTicks(this, o), l = s.ticks, u = map$1(l, function(d) {
        return {
          coord: this.dataToCoord(this.scale.type === "ordinal" ? this.scale.getRawOrdinalNumber(d) : d),
          tickValue: d
        };
      }, this), c = o.get("alignWithLabel");
      return fixOnBandTicksCoords(this, u, c, a.clamp), u;
    }, r.prototype.getMinorTicksCoords = function() {
      if (this.scale.type === "ordinal")
        return [];
      var a = this.model.getModel("minorTick"), o = a.get("splitNumber");
      o > 0 && o < 100 || (o = 5);
      var s = this.scale.getMinorTicks(o), l = map$1(s, function(u) {
        return map$1(u, function(c) {
          return {
            coord: this.dataToCoord(c),
            tickValue: c
          };
        }, this);
      }, this);
      return l;
    }, r.prototype.getViewLabels = function() {
      return createAxisLabels(this).labels;
    }, r.prototype.getLabelModel = function() {
      return this.model.getModel("axisLabel");
    }, r.prototype.getTickModel = function() {
      return this.model.getModel("axisTick");
    }, r.prototype.getBandWidth = function() {
      var a = this._extent, o = this.scale.getExtent(), s = o[1] - o[0] + (this.onBand ? 1 : 0);
      s === 0 && (s = 1);
      var l = Math.abs(a[1] - a[0]);
      return Math.abs(l) / s;
    }, r.prototype.calculateCategoryInterval = function() {
      return calculateCategoryInterval(this);
    }, r;
  }()
);
function fixExtentWithBands(r, a) {
  var o = r[1] - r[0], s = a, l = o / s / 2;
  r[0] += l, r[1] -= l;
}
function fixOnBandTicksCoords(r, a, o, s) {
  var l = a.length;
  if (!r.onBand || o || !l)
    return;
  var u = r.getExtent(), c, d;
  if (l === 1)
    a[0].coord = u[0], c = a[1] = {
      coord: u[1],
      tickValue: a[0].tickValue
    };
  else {
    var f = a[l - 1].tickValue - a[0].tickValue, p = (a[l - 1].coord - a[0].coord) / f;
    each$f(a, function(_) {
      _.coord -= p / 2;
    });
    var v = r.scale.getExtent();
    d = 1 + v[1] - a[l - 1].tickValue, c = {
      coord: a[l - 1].coord + p * d,
      tickValue: v[1] + 1
    }, a.push(c);
  }
  var g = u[0] > u[1];
  y(a[0].coord, u[0]) && (s ? a[0].coord = u[0] : a.shift()), s && y(u[0], a[0].coord) && a.unshift({
    coord: u[0]
  }), y(u[1], c.coord) && (s ? c.coord = u[1] : a.pop()), s && y(c.coord, u[1]) && a.push({
    coord: u[1]
  });
  function y(_, S) {
    return _ = round$3(_), S = round$3(S), g ? _ > S : _ < S;
  }
}
function extendComponentModel(r) {
  var a = ComponentModel.extend(r);
  return ComponentModel.registerClass(a), a;
}
function extendComponentView(r) {
  var a = ComponentView.extend(r);
  return ComponentView.registerClass(a), a;
}
function extendSeriesModel(r) {
  var a = SeriesModel.extend(r);
  return SeriesModel.registerClass(a), a;
}
function extendChartView(r) {
  var a = ChartView.extend(r);
  return ChartView.registerClass(a), a;
}
var PI2$2 = Math.PI * 2, CMD$1 = PathProxy.CMD, DEFAULT_SEARCH_SPACE = ["top", "right", "bottom", "left"];
function getCandidateAnchor(r, a, o, s, l) {
  var u = o.width, c = o.height;
  switch (r) {
    case "top":
      s.set(o.x + u / 2, o.y - a), l.set(0, -1);
      break;
    case "bottom":
      s.set(o.x + u / 2, o.y + c + a), l.set(0, 1);
      break;
    case "left":
      s.set(o.x - a, o.y + c / 2), l.set(-1, 0);
      break;
    case "right":
      s.set(o.x + u + a, o.y + c / 2), l.set(1, 0);
      break;
  }
}
function projectPointToArc(r, a, o, s, l, u, c, d, f) {
  c -= r, d -= a;
  var p = Math.sqrt(c * c + d * d);
  c /= p, d /= p;
  var v = c * o + r, g = d * o + a;
  if (Math.abs(s - l) % PI2$2 < 1e-4)
    return f[0] = v, f[1] = g, p - o;
  if (u) {
    var y = s;
    s = normalizeRadian(l), l = normalizeRadian(y);
  } else
    s = normalizeRadian(s), l = normalizeRadian(l);
  s > l && (l += PI2$2);
  var _ = Math.atan2(d, c);
  if (_ < 0 && (_ += PI2$2), _ >= s && _ <= l || _ + PI2$2 >= s && _ + PI2$2 <= l)
    return f[0] = v, f[1] = g, p - o;
  var S = o * Math.cos(s) + r, C = o * Math.sin(s) + a, b = o * Math.cos(l) + r, T = o * Math.sin(l) + a, E = (S - c) * (S - c) + (C - d) * (C - d), x = (b - c) * (b - c) + (T - d) * (T - d);
  return E < x ? (f[0] = S, f[1] = C, Math.sqrt(E)) : (f[0] = b, f[1] = T, Math.sqrt(x));
}
function projectPointToLine(r, a, o, s, l, u, c, d) {
  var f = l - r, p = u - a, v = o - r, g = s - a, y = Math.sqrt(v * v + g * g);
  v /= y, g /= y;
  var _ = f * v + p * g, S = _ / y;
  d && (S = Math.min(Math.max(S, 0), 1)), S *= y;
  var C = c[0] = r + S * v, b = c[1] = a + S * g;
  return Math.sqrt((C - l) * (C - l) + (b - u) * (b - u));
}
function projectPointToRect(r, a, o, s, l, u, c) {
  o < 0 && (r = r + o, o = -o), s < 0 && (a = a + s, s = -s);
  var d = r + o, f = a + s, p = c[0] = Math.min(Math.max(l, r), d), v = c[1] = Math.min(Math.max(u, a), f);
  return Math.sqrt((p - l) * (p - l) + (v - u) * (v - u));
}
var tmpPt = [];
function nearestPointOnRect(r, a, o) {
  var s = projectPointToRect(a.x, a.y, a.width, a.height, r.x, r.y, tmpPt);
  return o.set(tmpPt[0], tmpPt[1]), s;
}
function nearestPointOnPath(r, a, o) {
  for (var s = 0, l = 0, u = 0, c = 0, d, f, p = 1 / 0, v = a.data, g = r.x, y = r.y, _ = 0; _ < v.length; ) {
    var S = v[_++];
    _ === 1 && (s = v[_], l = v[_ + 1], u = s, c = l);
    var C = p;
    switch (S) {
      case CMD$1.M:
        u = v[_++], c = v[_++], s = u, l = c;
        break;
      case CMD$1.L:
        C = projectPointToLine(s, l, v[_], v[_ + 1], g, y, tmpPt, !0), s = v[_++], l = v[_++];
        break;
      case CMD$1.C:
        C = cubicProjectPoint(s, l, v[_++], v[_++], v[_++], v[_++], v[_], v[_ + 1], g, y, tmpPt), s = v[_++], l = v[_++];
        break;
      case CMD$1.Q:
        C = quadraticProjectPoint(s, l, v[_++], v[_++], v[_], v[_ + 1], g, y, tmpPt), s = v[_++], l = v[_++];
        break;
      case CMD$1.A:
        var b = v[_++], T = v[_++], E = v[_++], x = v[_++], $ = v[_++], A = v[_++];
        _ += 1;
        var N = !!(1 - v[_++]);
        d = Math.cos($) * E + b, f = Math.sin($) * x + T, _ <= 1 && (u = d, c = f);
        var P = (g - b) * x / E + b;
        C = projectPointToArc(b, T, x, $, $ + A, N, P, y, tmpPt), s = Math.cos($ + A) * E + b, l = Math.sin($ + A) * x + T;
        break;
      case CMD$1.R:
        u = s = v[_++], c = l = v[_++];
        var L = v[_++], O = v[_++];
        C = projectPointToRect(u, c, L, O, g, y, tmpPt);
        break;
      case CMD$1.Z:
        C = projectPointToLine(s, l, u, c, g, y, tmpPt, !0), s = u, l = c;
        break;
    }
    C < p && (p = C, o.set(tmpPt[0], tmpPt[1]));
  }
  return p;
}
var pt0 = new Point(), pt1 = new Point(), pt2 = new Point(), dir = new Point(), dir2 = new Point();
function updateLabelLinePoints(r, a) {
  if (r) {
    var o = r.getTextGuideLine(), s = r.getTextContent();
    if (s && o) {
      var l = r.textGuideLineConfig || {}, u = [[0, 0], [0, 0], [0, 0]], c = l.candidates || DEFAULT_SEARCH_SPACE, d = s.getBoundingRect().clone();
      d.applyTransform(s.getComputedTransform());
      var f = 1 / 0, p = l.anchor, v = r.getComputedTransform(), g = v && invert([], v), y = a.get("length2") || 0;
      p && pt2.copy(p);
      for (var _ = 0; _ < c.length; _++) {
        var S = c[_];
        getCandidateAnchor(S, 0, d, pt0, dir), Point.scaleAndAdd(pt1, pt0, dir, y), pt1.transform(g);
        var C = r.getBoundingRect(), b = p ? p.distance(pt1) : r instanceof Path ? nearestPointOnPath(pt1, r.path, pt2) : nearestPointOnRect(pt1, C, pt2);
        b < f && (f = b, pt1.transform(v), pt2.transform(v), pt2.toArray(u[0]), pt1.toArray(u[1]), pt0.toArray(u[2]));
      }
      limitTurnAngle(u, a.get("minTurnAngle")), o.setShape({
        points: u
      });
    }
  }
}
var tmpArr = [], tmpProjPoint = new Point();
function limitTurnAngle(r, a) {
  if (a <= 180 && a > 0) {
    a = a / 180 * Math.PI, pt0.fromArray(r[0]), pt1.fromArray(r[1]), pt2.fromArray(r[2]), Point.sub(dir, pt0, pt1), Point.sub(dir2, pt2, pt1);
    var o = dir.len(), s = dir2.len();
    if (!(o < 1e-3 || s < 1e-3)) {
      dir.scale(1 / o), dir2.scale(1 / s);
      var l = dir.dot(dir2), u = Math.cos(a);
      if (u < l) {
        var c = projectPointToLine(pt1.x, pt1.y, pt2.x, pt2.y, pt0.x, pt0.y, tmpArr, !1);
        tmpProjPoint.fromArray(tmpArr), tmpProjPoint.scaleAndAdd(dir2, c / Math.tan(Math.PI - a));
        var d = pt2.x !== pt1.x ? (tmpProjPoint.x - pt1.x) / (pt2.x - pt1.x) : (tmpProjPoint.y - pt1.y) / (pt2.y - pt1.y);
        if (isNaN(d))
          return;
        d < 0 ? Point.copy(tmpProjPoint, pt1) : d > 1 && Point.copy(tmpProjPoint, pt2), tmpProjPoint.toArray(r[1]);
      }
    }
  }
}
function limitSurfaceAngle(r, a, o) {
  if (o <= 180 && o > 0) {
    o = o / 180 * Math.PI, pt0.fromArray(r[0]), pt1.fromArray(r[1]), pt2.fromArray(r[2]), Point.sub(dir, pt1, pt0), Point.sub(dir2, pt2, pt1);
    var s = dir.len(), l = dir2.len();
    if (!(s < 1e-3 || l < 1e-3)) {
      dir.scale(1 / s), dir2.scale(1 / l);
      var u = dir.dot(a), c = Math.cos(o);
      if (u < c) {
        var d = projectPointToLine(pt1.x, pt1.y, pt2.x, pt2.y, pt0.x, pt0.y, tmpArr, !1);
        tmpProjPoint.fromArray(tmpArr);
        var f = Math.PI / 2, p = Math.acos(dir2.dot(a)), v = f + p - o;
        if (v >= f)
          Point.copy(tmpProjPoint, pt2);
        else {
          tmpProjPoint.scaleAndAdd(dir2, d / Math.tan(Math.PI / 2 - v));
          var g = pt2.x !== pt1.x ? (tmpProjPoint.x - pt1.x) / (pt2.x - pt1.x) : (tmpProjPoint.y - pt1.y) / (pt2.y - pt1.y);
          if (isNaN(g))
            return;
          g < 0 ? Point.copy(tmpProjPoint, pt1) : g > 1 && Point.copy(tmpProjPoint, pt2);
        }
        tmpProjPoint.toArray(r[1]);
      }
    }
  }
}
function setLabelLineState(r, a, o, s) {
  var l = o === "normal", u = l ? r : r.ensureState(o);
  u.ignore = a;
  var c = s.get("smooth");
  c && c === !0 && (c = 0.3), u.shape = u.shape || {}, c > 0 && (u.shape.smooth = c);
  var d = s.getModel("lineStyle").getLineStyle();
  l ? r.useStyle(d) : u.style = d;
}
function buildLabelLinePath(r, a) {
  var o = a.smooth, s = a.points;
  if (s)
    if (r.moveTo(s[0][0], s[0][1]), o > 0 && s.length >= 3) {
      var l = dist$1(s[0], s[1]), u = dist$1(s[1], s[2]);
      if (!l || !u) {
        r.lineTo(s[1][0], s[1][1]), r.lineTo(s[2][0], s[2][1]);
        return;
      }
      var c = Math.min(l, u) * o, d = lerp$1([], s[1], s[0], c / l), f = lerp$1([], s[1], s[2], c / u), p = lerp$1([], d, f, 0.5);
      r.bezierCurveTo(d[0], d[1], d[0], d[1], p[0], p[1]), r.bezierCurveTo(f[0], f[1], f[0], f[1], s[2][0], s[2][1]);
    } else
      for (var v = 1; v < s.length; v++)
        r.lineTo(s[v][0], s[v][1]);
}
function setLabelLineStyle(r, a, o) {
  var s = r.getTextGuideLine(), l = r.getTextContent();
  if (!l) {
    s && r.removeTextGuideLine();
    return;
  }
  for (var u = a.normal, c = u.get("show"), d = l.ignore, f = 0; f < DISPLAY_STATES.length; f++) {
    var p = DISPLAY_STATES[f], v = a[p], g = p === "normal";
    if (v) {
      var y = v.get("show"), _ = g ? d : retrieve2(l.states[p] && l.states[p].ignore, d);
      if (_ || !retrieve2(y, c)) {
        var S = g ? s : s && s.states[p];
        S && (S.ignore = !0), s && setLabelLineState(s, !0, p, v);
        continue;
      }
      s || (s = new Polyline$1(), r.setTextGuideLine(s), !g && (d || !c) && setLabelLineState(s, !0, "normal", a.normal), r.stateProxy && (s.stateProxy = r.stateProxy)), setLabelLineState(s, !1, p, v);
    }
  }
  if (s) {
    defaults(s.style, o), s.style.fill = null;
    var C = u.get("showAbove"), b = r.textGuideLineConfig = r.textGuideLineConfig || {};
    b.showAbove = C || !1, s.buildPath = buildLabelLinePath;
  }
}
function getLabelLineStatesModels(r, a) {
  a = a || "labelLine";
  for (var o = {
    normal: r.getModel(a)
  }, s = 0; s < SPECIAL_STATES.length; s++) {
    var l = SPECIAL_STATES[s];
    o[l] = r.getModel([l, a]);
  }
  return o;
}
function prepareLayoutList(r) {
  for (var a = [], o = 0; o < r.length; o++) {
    var s = r[o];
    if (!s.defaultAttr.ignore) {
      var l = s.label, u = l.getComputedTransform(), c = l.getBoundingRect(), d = !u || u[1] < 1e-5 && u[2] < 1e-5, f = l.style.margin || 0, p = c.clone();
      p.applyTransform(u), p.x -= f / 2, p.y -= f / 2, p.width += f, p.height += f;
      var v = d ? new OrientedBoundingRect(c, u) : null;
      a.push({
        label: l,
        labelLine: s.labelLine,
        rect: p,
        localRect: c,
        obb: v,
        priority: s.priority,
        defaultAttr: s.defaultAttr,
        layoutOption: s.computedLayoutOption,
        axisAligned: d,
        transform: u
      });
    }
  }
  return a;
}
function shiftLayout(r, a, o, s, l, u) {
  var c = r.length;
  if (c < 2)
    return;
  r.sort(function(N, P) {
    return N.rect[a] - P.rect[a];
  });
  for (var d = 0, f, p = !1, v = 0; v < c; v++) {
    var g = r[v], y = g.rect;
    f = y[a] - d, f < 0 && (y[a] -= f, g.label[a] -= f, p = !0), d = y[a] + y[o];
  }
  var _ = r[0], S = r[c - 1], C, b;
  T(), C < 0 && $(-C, 0.8), b < 0 && $(b, 0.8), T(), E(C, b, 1), E(b, C, -1), T(), C < 0 && A(-C), b < 0 && A(b);
  function T() {
    C = _.rect[a] - s, b = l - S.rect[a] - S.rect[o];
  }
  function E(N, P, L) {
    if (N < 0) {
      var O = Math.min(P, -N);
      if (O > 0) {
        x(O * L, 0, c);
        var M = O + N;
        M < 0 && $(-M * L, 1);
      } else
        $(-N * L, 1);
    }
  }
  function x(N, P, L) {
    N !== 0 && (p = !0);
    for (var O = P; O < L; O++) {
      var M = r[O], F = M.rect;
      F[a] += N, M.label[a] += N;
    }
  }
  function $(N, P) {
    for (var L = [], O = 0, M = 1; M < c; M++) {
      var F = r[M - 1].rect, U = Math.max(r[M].rect[a] - F[a] - F[o], 0);
      L.push(U), O += U;
    }
    if (O) {
      var R = Math.min(Math.abs(N) / O, P);
      if (N > 0)
        for (var M = 0; M < c - 1; M++) {
          var H = L[M] * R;
          x(H, 0, M + 1);
        }
      else
        for (var M = c - 1; M > 0; M--) {
          var H = L[M - 1] * R;
          x(-H, M, c);
        }
    }
  }
  function A(N) {
    var P = N < 0 ? -1 : 1;
    N = Math.abs(N);
    for (var L = Math.ceil(N / (c - 1)), O = 0; O < c - 1; O++)
      if (P > 0 ? x(L, 0, O + 1) : x(-L, c - O - 1, c), N -= L, N <= 0)
        return;
  }
  return p;
}
function shiftLayoutOnX(r, a, o, s) {
  return shiftLayout(r, "x", "width", a, o);
}
function shiftLayoutOnY(r, a, o, s) {
  return shiftLayout(r, "y", "height", a, o);
}
function hideOverlap(r) {
  var a = [];
  r.sort(function(C, b) {
    return b.priority - C.priority;
  });
  var o = new BoundingRect(0, 0, 0, 0);
  function s(C) {
    if (!C.ignore) {
      var b = C.ensureState("emphasis");
      b.ignore == null && (b.ignore = !1);
    }
    C.ignore = !0;
  }
  for (var l = 0; l < r.length; l++) {
    var u = r[l], c = u.axisAligned, d = u.localRect, f = u.transform, p = u.label, v = u.labelLine;
    o.copy(u.rect), o.width -= 0.1, o.height -= 0.1, o.x += 0.05, o.y += 0.05;
    for (var g = u.obb, y = !1, _ = 0; _ < a.length; _++) {
      var S = a[_];
      if (o.intersect(S.rect)) {
        if (c && S.axisAligned) {
          y = !0;
          break;
        }
        if (S.obb || (S.obb = new OrientedBoundingRect(S.localRect, S.transform)), g || (g = new OrientedBoundingRect(d, f)), g.intersect(S.obb)) {
          y = !0;
          break;
        }
      }
    }
    y ? (s(p), v && s(v)) : (p.attr("ignore", u.defaultAttr.ignore), v && v.attr("ignore", u.defaultAttr.labelGuideIgnore), a.push(u));
  }
}
function cloneArr(r) {
  if (r) {
    for (var a = [], o = 0; o < r.length; o++)
      a.push(r[o].slice());
    return a;
  }
}
function prepareLayoutCallbackParams(r, a) {
  var o = r.label, s = a && a.getTextGuideLine();
  return {
    dataIndex: r.dataIndex,
    dataType: r.dataType,
    seriesIndex: r.seriesModel.seriesIndex,
    text: r.label.style.text,
    rect: r.hostRect,
    labelRect: r.rect,
    // x: labelAttr.x,
    // y: labelAttr.y,
    align: o.style.align,
    verticalAlign: o.style.verticalAlign,
    labelLinePoints: cloneArr(s && s.shape.points)
  };
}
var LABEL_OPTION_TO_STYLE_KEYS = ["align", "verticalAlign", "width", "height", "fontSize"], dummyTransformable = new Transformable(), labelLayoutInnerStore = makeInner(), labelLineAnimationStore = makeInner();
function extendWithKeys(r, a, o) {
  for (var s = 0; s < o.length; s++) {
    var l = o[s];
    a[l] != null && (r[l] = a[l]);
  }
}
var LABEL_LAYOUT_PROPS = ["x", "y", "rotation"], LabelManager = (
  /** @class */
  function() {
    function r() {
      this._labelList = [], this._chartViewList = [];
    }
    return r.prototype.clearLabels = function() {
      this._labelList = [], this._chartViewList = [];
    }, r.prototype._addLabel = function(a, o, s, l, u) {
      var c = l.style, d = l.__hostTarget, f = d.textConfig || {}, p = l.getComputedTransform(), v = l.getBoundingRect().plain();
      BoundingRect.applyTransform(v, v, p), p ? dummyTransformable.setLocalTransform(p) : (dummyTransformable.x = dummyTransformable.y = dummyTransformable.rotation = dummyTransformable.originX = dummyTransformable.originY = 0, dummyTransformable.scaleX = dummyTransformable.scaleY = 1), dummyTransformable.rotation = normalizeRadian(dummyTransformable.rotation);
      var g = l.__hostTarget, y;
      if (g) {
        y = g.getBoundingRect().plain();
        var _ = g.getComputedTransform();
        BoundingRect.applyTransform(y, y, _);
      }
      var S = y && g.getTextGuideLine();
      this._labelList.push({
        label: l,
        labelLine: S,
        seriesModel: s,
        dataIndex: a,
        dataType: o,
        layoutOption: u,
        computedLayoutOption: null,
        rect: v,
        hostRect: y,
        // Label with lower priority will be hidden when overlapped
        // Use rect size as default priority
        priority: y ? y.width * y.height : 0,
        // Save default label attributes.
        // For restore if developers want get back to default value in callback.
        defaultAttr: {
          ignore: l.ignore,
          labelGuideIgnore: S && S.ignore,
          x: dummyTransformable.x,
          y: dummyTransformable.y,
          scaleX: dummyTransformable.scaleX,
          scaleY: dummyTransformable.scaleY,
          rotation: dummyTransformable.rotation,
          style: {
            x: c.x,
            y: c.y,
            align: c.align,
            verticalAlign: c.verticalAlign,
            width: c.width,
            height: c.height,
            fontSize: c.fontSize
          },
          cursor: l.cursor,
          attachedPos: f.position,
          attachedRot: f.rotation
        }
      });
    }, r.prototype.addLabelsOfSeries = function(a) {
      var o = this;
      this._chartViewList.push(a);
      var s = a.__model, l = s.get("labelLayout");
      (isFunction(l) || keys(l).length) && a.group.traverse(function(u) {
        if (u.ignore)
          return !0;
        var c = u.getTextContent(), d = getECData(u);
        c && !c.disableLabelLayout && o._addLabel(d.dataIndex, d.dataType, s, c, l);
      });
    }, r.prototype.updateLayoutConfig = function(a) {
      var o = a.getWidth(), s = a.getHeight();
      function l(x, $) {
        return function() {
          updateLabelLinePoints(x, $);
        };
      }
      for (var u = 0; u < this._labelList.length; u++) {
        var c = this._labelList[u], d = c.label, f = d.__hostTarget, p = c.defaultAttr, v = void 0;
        isFunction(c.layoutOption) ? v = c.layoutOption(prepareLayoutCallbackParams(c, f)) : v = c.layoutOption, v = v || {}, c.computedLayoutOption = v;
        var g = Math.PI / 180;
        f && f.setTextConfig({
          // Force to set local false.
          local: !1,
          // Ignore position and rotation config on the host el if x or y is changed.
          position: v.x != null || v.y != null ? null : p.attachedPos,
          // Ignore rotation config on the host el if rotation is changed.
          rotation: v.rotate != null ? v.rotate * g : p.attachedRot,
          offset: [v.dx || 0, v.dy || 0]
        });
        var y = !1;
        if (v.x != null ? (d.x = parsePercent(v.x, o), d.setStyle("x", 0), y = !0) : (d.x = p.x, d.setStyle("x", p.style.x)), v.y != null ? (d.y = parsePercent(v.y, s), d.setStyle("y", 0), y = !0) : (d.y = p.y, d.setStyle("y", p.style.y)), v.labelLinePoints) {
          var _ = f.getTextGuideLine();
          _ && (_.setShape({
            points: v.labelLinePoints
          }), y = !1);
        }
        var S = labelLayoutInnerStore(d);
        S.needsUpdateLabelLine = y, d.rotation = v.rotate != null ? v.rotate * g : p.rotation, d.scaleX = p.scaleX, d.scaleY = p.scaleY;
        for (var C = 0; C < LABEL_OPTION_TO_STYLE_KEYS.length; C++) {
          var b = LABEL_OPTION_TO_STYLE_KEYS[C];
          d.setStyle(b, v[b] != null ? v[b] : p.style[b]);
        }
        if (v.draggable) {
          if (d.draggable = !0, d.cursor = "move", f) {
            var T = c.seriesModel;
            if (c.dataIndex != null) {
              var E = c.seriesModel.getData(c.dataType);
              T = E.getItemModel(c.dataIndex);
            }
            d.on("drag", l(f, T.getModel("labelLine")));
          }
        } else
          d.off("drag"), d.cursor = p.cursor;
      }
    }, r.prototype.layout = function(a) {
      var o = a.getWidth(), s = a.getHeight(), l = prepareLayoutList(this._labelList), u = filter(l, function(f) {
        return f.layoutOption.moveOverlap === "shiftX";
      }), c = filter(l, function(f) {
        return f.layoutOption.moveOverlap === "shiftY";
      });
      shiftLayoutOnX(u, 0, o), shiftLayoutOnY(c, 0, s);
      var d = filter(l, function(f) {
        return f.layoutOption.hideOverlap;
      });
      hideOverlap(d);
    }, r.prototype.processLabelsOverall = function() {
      var a = this;
      each$f(this._chartViewList, function(o) {
        var s = o.__model, l = o.ignoreLabelLineUpdate, u = s.isAnimationEnabled();
        o.group.traverse(function(c) {
          if (c.ignore && !c.forceLabelAnimation)
            return !0;
          var d = !l, f = c.getTextContent();
          !d && f && (d = labelLayoutInnerStore(f).needsUpdateLabelLine), d && a._updateLabelLine(c, s), u && a._animateLabels(c, s);
        });
      });
    }, r.prototype._updateLabelLine = function(a, o) {
      var s = a.getTextContent(), l = getECData(a), u = l.dataIndex;
      if (s && u != null) {
        var c = o.getData(l.dataType), d = c.getItemModel(u), f = {}, p = c.getItemVisual(u, "style");
        if (p) {
          var v = c.getVisual("drawType");
          f.stroke = p[v];
        }
        var g = d.getModel("labelLine");
        setLabelLineStyle(a, getLabelLineStatesModels(d), f), updateLabelLinePoints(a, g);
      }
    }, r.prototype._animateLabels = function(a, o) {
      var s = a.getTextContent(), l = a.getTextGuideLine();
      if (s && (a.forceLabelAnimation || !s.ignore && !s.invisible && !a.disableLabelAnimation && !isElementRemoved(a))) {
        var u = labelLayoutInnerStore(s), c = u.oldLayout, d = getECData(a), f = d.dataIndex, p = {
          x: s.x,
          y: s.y,
          rotation: s.rotation
        }, v = o.getData(d.dataType);
        if (c) {
          s.attr(c);
          var y = a.prevStates;
          y && (indexOf(y, "select") >= 0 && s.attr(u.oldLayoutSelect), indexOf(y, "emphasis") >= 0 && s.attr(u.oldLayoutEmphasis)), updateProps$1(s, p, o, f);
        } else if (s.attr(p), !labelInner(s).valueAnimation) {
          var g = retrieve2(s.style.opacity, 1);
          s.style.opacity = 0, initProps(s, {
            style: {
              opacity: g
            }
          }, o, f);
        }
        if (u.oldLayout = p, s.states.select) {
          var _ = u.oldLayoutSelect = {};
          extendWithKeys(_, p, LABEL_LAYOUT_PROPS), extendWithKeys(_, s.states.select, LABEL_LAYOUT_PROPS);
        }
        if (s.states.emphasis) {
          var S = u.oldLayoutEmphasis = {};
          extendWithKeys(S, p, LABEL_LAYOUT_PROPS), extendWithKeys(S, s.states.emphasis, LABEL_LAYOUT_PROPS);
        }
        animateLabelValue(s, f, v, o, o);
      }
      if (l && !l.ignore && !l.invisible) {
        var u = labelLineAnimationStore(l), c = u.oldLayout, C = {
          points: l.shape.points
        };
        c ? (l.attr({
          shape: c
        }), updateProps$1(l, {
          shape: C
        }, o)) : (l.setShape(C), l.style.strokePercent = 0, initProps(l, {
          style: {
            strokePercent: 1
          }
        }, o)), u.oldLayout = C;
      }
    }, r;
  }()
), getLabelManager = makeInner();
function installLabelLayout(r) {
  r.registerUpdateLifecycle("series:beforeupdate", function(a, o, s) {
    var l = getLabelManager(o).labelManager;
    l || (l = getLabelManager(o).labelManager = new LabelManager()), l.clearLabels();
  }), r.registerUpdateLifecycle("series:layoutlabels", function(a, o, s) {
    var l = getLabelManager(o).labelManager;
    s.updatedSeries.forEach(function(u) {
      l.addLabelsOfSeries(o.getViewOfSeriesModel(u));
    }), l.updateLayoutConfig(o), l.layout(o), l.processLabelsOverall();
  });
}
var mathSin = Math.sin, mathCos = Math.cos, PI$4 = Math.PI, PI2$1 = Math.PI * 2, degree = 180 / PI$4, SVGPathRebuilder = function() {
  function r() {
  }
  return r.prototype.reset = function(a) {
    this._start = !0, this._d = [], this._str = "", this._p = Math.pow(10, a || 4);
  }, r.prototype.moveTo = function(a, o) {
    this._add("M", a, o);
  }, r.prototype.lineTo = function(a, o) {
    this._add("L", a, o);
  }, r.prototype.bezierCurveTo = function(a, o, s, l, u, c) {
    this._add("C", a, o, s, l, u, c);
  }, r.prototype.quadraticCurveTo = function(a, o, s, l) {
    this._add("Q", a, o, s, l);
  }, r.prototype.arc = function(a, o, s, l, u, c) {
    this.ellipse(a, o, s, s, 0, l, u, c);
  }, r.prototype.ellipse = function(a, o, s, l, u, c, d, f) {
    var p = d - c, v = !f, g = Math.abs(p), y = isAroundZero(g - PI2$1) || (v ? p >= PI2$1 : -p >= PI2$1), _ = p > 0 ? p % PI2$1 : p % PI2$1 + PI2$1, S = !1;
    y ? S = !0 : isAroundZero(g) ? S = !1 : S = _ >= PI$4 == !!v;
    var C = a + s * mathCos(c), b = o + l * mathSin(c);
    this._start && this._add("M", C, b);
    var T = Math.round(u * degree);
    if (y) {
      var E = 1 / this._p, x = (v ? 1 : -1) * (PI2$1 - E);
      this._add("A", s, l, T, 1, +v, a + s * mathCos(c + x), o + l * mathSin(c + x)), E > 0.01 && this._add("A", s, l, T, 0, +v, C, b);
    } else {
      var $ = a + s * mathCos(d), A = o + l * mathSin(d);
      this._add("A", s, l, T, +S, +v, $, A);
    }
  }, r.prototype.rect = function(a, o, s, l) {
    this._add("M", a, o), this._add("l", s, 0), this._add("l", 0, l), this._add("l", -s, 0), this._add("Z");
  }, r.prototype.closePath = function() {
    this._d.length > 0 && this._add("Z");
  }, r.prototype._add = function(a, o, s, l, u, c, d, f, p) {
    for (var v = [], g = this._p, y = 1; y < arguments.length; y++) {
      var _ = arguments[y];
      if (isNaN(_)) {
        this._invalid = !0;
        return;
      }
      v.push(Math.round(_ * g) / g);
    }
    this._d.push(a + v.join(" ")), this._start = a === "Z";
  }, r.prototype.generateStr = function() {
    this._str = this._invalid ? "" : this._d.join(""), this._d = [];
  }, r.prototype.getStr = function() {
    return this._str;
  }, r;
}(), NONE = "none", mathRound = Math.round;
function pathHasFill(r) {
  var a = r.fill;
  return a != null && a !== NONE;
}
function pathHasStroke(r) {
  var a = r.stroke;
  return a != null && a !== NONE;
}
var strokeProps = ["lineCap", "miterLimit", "lineJoin"], svgStrokeProps = map$1(strokeProps, function(r) {
  return "stroke-" + r.toLowerCase();
});
function mapStyleToAttrs(r, a, o, s) {
  var l = a.opacity == null ? 1 : a.opacity;
  if (o instanceof ZRImage) {
    r("opacity", l);
    return;
  }
  if (pathHasFill(a)) {
    var u = normalizeColor(a.fill);
    r("fill", u.color);
    var c = a.fillOpacity != null ? a.fillOpacity * u.opacity * l : u.opacity * l;
    c < 1 && r("fill-opacity", c);
  } else
    r("fill", NONE);
  if (pathHasStroke(a)) {
    var d = normalizeColor(a.stroke);
    r("stroke", d.color);
    var f = a.strokeNoScale ? o.getLineScale() : 1, p = f ? (a.lineWidth || 0) / f : 0, v = a.strokeOpacity != null ? a.strokeOpacity * d.opacity * l : d.opacity * l, g = a.strokeFirst;
    if (p !== 1 && r("stroke-width", p), g && r("paint-order", g ? "stroke" : "fill"), v < 1 && r("stroke-opacity", v), a.lineDash) {
      var y = getLineDash(o), _ = y[0], S = y[1];
      _ && (S = mathRound(S || 0), r("stroke-dasharray", _.join(",")), (S || s) && r("stroke-dashoffset", S));
    }
    for (var C = 0; C < strokeProps.length; C++) {
      var b = strokeProps[C];
      if (a[b] !== DEFAULT_PATH_STYLE[b]) {
        var T = a[b] || DEFAULT_PATH_STYLE[b];
        T && r(svgStrokeProps[C], T);
      }
    }
  }
}
var SVGNS = "http://www.w3.org/2000/svg", XLINKNS = "http://www.w3.org/1999/xlink", XMLNS = "http://www.w3.org/2000/xmlns/", XML_NAMESPACE = "http://www.w3.org/XML/1998/namespace", META_DATA_PREFIX = "ecmeta_";
function createElement(r) {
  return document.createElementNS(SVGNS, r);
}
function createVNode(r, a, o, s, l) {
  return {
    tag: r,
    attrs: o || {},
    children: s,
    text: l,
    key: a
  };
}
function createElementOpen(r, a) {
  var o = [];
  if (a)
    for (var s in a) {
      var l = a[s], u = s;
      l !== !1 && (l !== !0 && l != null && (u += '="' + l + '"'), o.push(u));
    }
  return "<" + r + " " + o.join(" ") + ">";
}
function createElementClose(r) {
  return "</" + r + ">";
}
function vNodeToString(r, a) {
  a = a || {};
  var o = a.newline ? `
` : "";
  function s(l) {
    var u = l.children, c = l.tag, d = l.attrs, f = l.text;
    return createElementOpen(c, d) + (c !== "style" ? encodeHTML(f) : f || "") + (u ? "" + o + map$1(u, function(p) {
      return s(p);
    }).join(o) + o : "") + createElementClose(c);
  }
  return s(r);
}
function getCssString(r, a, o) {
  o = o || {};
  var s = o.newline ? `
` : "", l = " {" + s, u = s + "}", c = map$1(keys(r), function(f) {
    return f + l + map$1(keys(r[f]), function(p) {
      return p + ":" + r[f][p] + ";";
    }).join(s) + u;
  }).join(s), d = map$1(keys(a), function(f) {
    return "@keyframes " + f + l + map$1(keys(a[f]), function(p) {
      return p + l + map$1(keys(a[f][p]), function(v) {
        var g = a[f][p][v];
        return v === "d" && (g = 'path("' + g + '")'), v + ":" + g + ";";
      }).join(s) + u;
    }).join(s) + u;
  }).join(s);
  return !c && !d ? "" : ["<![CDATA[", c, d, "]]>"].join(s);
}
function createBrushScope(r) {
  return {
    zrId: r,
    shadowCache: {},
    patternCache: {},
    gradientCache: {},
    clipPathCache: {},
    defs: {},
    cssNodes: {},
    cssAnims: {},
    cssStyleCache: {},
    cssAnimIdx: 0,
    shadowIdx: 0,
    gradientIdx: 0,
    patternIdx: 0,
    clipPathIdx: 0
  };
}
function createSVGVNode(r, a, o, s) {
  return createVNode("svg", "root", {
    width: r,
    height: a,
    xmlns: SVGNS,
    "xmlns:xlink": XLINKNS,
    version: "1.1",
    baseProfile: "full",
    viewBox: s ? "0 0 " + r + " " + a : !1
  }, o);
}
var cssClassIdx = 0;
function getClassId() {
  return cssClassIdx++;
}
var EASING_MAP = {
  cubicIn: "0.32,0,0.67,0",
  cubicOut: "0.33,1,0.68,1",
  cubicInOut: "0.65,0,0.35,1",
  quadraticIn: "0.11,0,0.5,0",
  quadraticOut: "0.5,1,0.89,1",
  quadraticInOut: "0.45,0,0.55,1",
  quarticIn: "0.5,0,0.75,0",
  quarticOut: "0.25,1,0.5,1",
  quarticInOut: "0.76,0,0.24,1",
  quinticIn: "0.64,0,0.78,0",
  quinticOut: "0.22,1,0.36,1",
  quinticInOut: "0.83,0,0.17,1",
  sinusoidalIn: "0.12,0,0.39,0",
  sinusoidalOut: "0.61,1,0.88,1",
  sinusoidalInOut: "0.37,0,0.63,1",
  exponentialIn: "0.7,0,0.84,0",
  exponentialOut: "0.16,1,0.3,1",
  exponentialInOut: "0.87,0,0.13,1",
  circularIn: "0.55,0,1,0.45",
  circularOut: "0,0.55,0.45,1",
  circularInOut: "0.85,0,0.15,1"
}, transformOriginKey = "transform-origin";
function buildPathString(r, a, o) {
  var s = extend({}, r.shape);
  extend(s, a), r.buildPath(o, s);
  var l = new SVGPathRebuilder();
  return l.reset(getPathPrecision(r)), o.rebuildPath(l, 1), l.generateStr(), l.getStr();
}
function setTransformOrigin(r, a) {
  var o = a.originX, s = a.originY;
  (o || s) && (r[transformOriginKey] = o + "px " + s + "px");
}
var ANIMATE_STYLE_MAP = {
  fill: "fill",
  opacity: "opacity",
  lineWidth: "stroke-width",
  lineDashOffset: "stroke-dashoffset"
};
function addAnimation(r, a) {
  var o = a.zrId + "-ani-" + a.cssAnimIdx++;
  return a.cssAnims[o] = r, o;
}
function createCompoundPathCSSAnimation(r, a, o) {
  var s = r.shape.paths, l = {}, u, c;
  if (each$f(s, function(f) {
    var p = createBrushScope(o.zrId);
    p.animation = !0, createCSSAnimation(f, {}, p, !0);
    var v = p.cssAnims, g = p.cssNodes, y = keys(v), _ = y.length;
    if (_) {
      c = y[_ - 1];
      var S = v[c];
      for (var C in S) {
        var b = S[C];
        l[C] = l[C] || { d: "" }, l[C].d += b.d || "";
      }
      for (var T in g) {
        var E = g[T].animation;
        E.indexOf(c) >= 0 && (u = E);
      }
    }
  }), !!u) {
    a.d = !1;
    var d = addAnimation(l, o);
    return u.replace(c, d);
  }
}
function getEasingFunc(r) {
  return isString(r) ? EASING_MAP[r] ? "cubic-bezier(" + EASING_MAP[r] + ")" : createCubicEasingFunc(r) ? r : "" : "";
}
function createCSSAnimation(r, a, o, s) {
  var l = r.animators, u = l.length, c = [];
  if (r instanceof CompoundPath) {
    var d = createCompoundPathCSSAnimation(r, a, o);
    if (d)
      c.push(d);
    else if (!u)
      return;
  } else if (!u)
    return;
  for (var f = {}, p = 0; p < u; p++) {
    var v = l[p], g = [v.getMaxTime() / 1e3 + "s"], y = getEasingFunc(v.getClip().easing), _ = v.getDelay();
    y ? g.push(y) : g.push("linear"), _ && g.push(_ / 1e3 + "s"), v.getLoop() && g.push("infinite");
    var S = g.join(" ");
    f[S] = f[S] || [S, []], f[S][1].push(v);
  }
  function C(E) {
    var x = E[1], $ = x.length, A = {}, N = {}, P = {}, L = "animation-timing-function";
    function O(fe, ce, ge) {
      for (var ve = fe.getTracks(), xe = fe.getMaxTime(), Ae = 0; Ae < ve.length; Ae++) {
        var oe = ve[Ae];
        if (oe.needsAnimate()) {
          var De = oe.keyframes, Re = oe.propName;
          if (ge && (Re = ge(Re)), Re)
            for (var Me = 0; Me < De.length; Me++) {
              var ct = De[Me], mt = Math.round(ct.time / xe * 100) + "%", q = getEasingFunc(ct.easing), Q = ct.rawValue;
              (isString(Q) || isNumber(Q)) && (ce[mt] = ce[mt] || {}, ce[mt][Re] = ct.rawValue, q && (ce[mt][L] = q));
            }
        }
      }
    }
    for (var M = 0; M < $; M++) {
      var F = x[M], U = F.targetName;
      U ? U === "shape" && O(F, N) : !s && O(F, A);
    }
    for (var R in A) {
      var H = {};
      copyTransform(H, r), extend(H, A[R]);
      var V = getSRTTransformString(H), Y = A[R][L];
      P[R] = V ? {
        transform: V
      } : {}, setTransformOrigin(P[R], H), Y && (P[R][L] = Y);
    }
    var G, Z = !0;
    for (var R in N) {
      P[R] = P[R] || {};
      var re = !G, Y = N[R][L];
      re && (G = new PathProxy());
      var de = G.len();
      G.reset(), P[R].d = buildPathString(r, N[R], G);
      var X = G.len();
      if (!re && de !== X) {
        Z = !1;
        break;
      }
      Y && (P[R][L] = Y);
    }
    if (!Z)
      for (var R in P)
        delete P[R].d;
    if (!s)
      for (var M = 0; M < $; M++) {
        var F = x[M], U = F.targetName;
        U === "style" && O(F, P, function(ve) {
          return ANIMATE_STYLE_MAP[ve];
        });
      }
    for (var W = keys(P), te = !0, ae, M = 1; M < W.length; M++) {
      var Te = W[M - 1], $e = W[M];
      if (P[Te][transformOriginKey] !== P[$e][transformOriginKey]) {
        te = !1;
        break;
      }
      ae = P[Te][transformOriginKey];
    }
    if (te && ae) {
      for (var R in P)
        P[R][transformOriginKey] && delete P[R][transformOriginKey];
      a[transformOriginKey] = ae;
    }
    if (filter(W, function(fe) {
      return keys(P[fe]).length > 0;
    }).length) {
      var se = addAnimation(P, o);
      return se + " " + E[0] + " both";
    }
  }
  for (var b in f) {
    var d = C(f[b]);
    d && c.push(d);
  }
  if (c.length) {
    var T = o.zrId + "-cls-" + getClassId();
    o.cssNodes["." + T] = {
      animation: c.join(",")
    }, a.class = T;
  }
}
function createCSSEmphasis(r, a, o) {
  if (!r.ignore)
    if (r.isSilent()) {
      var s = {
        "pointer-events": "none"
      };
      setClassAttribute(s, a, o);
    } else {
      var l = r.states.emphasis && r.states.emphasis.style ? r.states.emphasis.style : {}, u = l.fill;
      if (!u) {
        var c = r.style && r.style.fill, d = r.states.select && r.states.select.style && r.states.select.style.fill, f = r.currentStates.indexOf("select") >= 0 && d || c;
        f && (u = liftColor(f));
      }
      var p = l.lineWidth;
      if (p) {
        var v = !l.strokeNoScale && r.transform ? r.transform[0] : 1;
        p = p / v;
      }
      var s = {
        cursor: "pointer"
      };
      u && (s.fill = u), l.stroke && (s.stroke = l.stroke), p && (s["stroke-width"] = p), setClassAttribute(s, a, o);
    }
}
function setClassAttribute(r, a, o, s) {
  var l = JSON.stringify(r), u = o.cssStyleCache[l];
  u || (u = o.zrId + "-cls-" + getClassId(), o.cssStyleCache[l] = u, o.cssNodes["." + u + ":hover"] = r), a.class = a.class ? a.class + " " + u : u;
}
var round$1 = Math.round;
function isImageLike(r) {
  return r && isString(r.src);
}
function isCanvasLike(r) {
  return r && isFunction(r.toDataURL);
}
function setStyleAttrs(r, a, o, s) {
  mapStyleToAttrs(function(l, u) {
    var c = l === "fill" || l === "stroke";
    c && isGradient(u) ? setGradient(a, r, l, s) : c && isPattern(u) ? setPattern(o, r, l, s) : r[l] = u, c && s.ssr && u === "none" && (r["pointer-events"] = "visible");
  }, a, o, !1), setShadow(o, r, s);
}
function setMetaData(r, a) {
  var o = getElementSSRData(a);
  o && (o.each(function(s, l) {
    s != null && (r[(META_DATA_PREFIX + l).toLowerCase()] = s + "");
  }), a.isSilent() && (r[META_DATA_PREFIX + "silent"] = "true"));
}
function noRotateScale(r) {
  return isAroundZero(r[0] - 1) && isAroundZero(r[1]) && isAroundZero(r[2]) && isAroundZero(r[3] - 1);
}
function noTranslate(r) {
  return isAroundZero(r[4]) && isAroundZero(r[5]);
}
function setTransform(r, a, o) {
  if (a && !(noTranslate(a) && noRotateScale(a))) {
    var s = 1e4;
    r.transform = noRotateScale(a) ? "translate(" + round$1(a[4] * s) / s + " " + round$1(a[5] * s) / s + ")" : getMatrixStr(a);
  }
}
function convertPolyShape(r, a, o) {
  for (var s = r.points, l = [], u = 0; u < s.length; u++)
    l.push(round$1(s[u][0] * o) / o), l.push(round$1(s[u][1] * o) / o);
  a.points = l.join(" ");
}
function validatePolyShape(r) {
  return !r.smooth;
}
function createAttrsConvert(r) {
  var a = map$1(r, function(o) {
    return typeof o == "string" ? [o, o] : o;
  });
  return function(o, s, l) {
    for (var u = 0; u < a.length; u++) {
      var c = a[u], d = o[c[0]];
      d != null && (s[c[1]] = round$1(d * l) / l);
    }
  };
}
var builtinShapesDef = {
  circle: [createAttrsConvert(["cx", "cy", "r"])],
  polyline: [convertPolyShape, validatePolyShape],
  polygon: [convertPolyShape, validatePolyShape]
};
function hasShapeAnimation(r) {
  for (var a = r.animators, o = 0; o < a.length; o++)
    if (a[o].targetName === "shape")
      return !0;
  return !1;
}
function brushSVGPath(r, a) {
  var o = r.style, s = r.shape, l = builtinShapesDef[r.type], u = {}, c = a.animation, d = "path", f = r.style.strokePercent, p = a.compress && getPathPrecision(r) || 4;
  if (l && !a.willUpdate && !(l[1] && !l[1](s)) && !(c && hasShapeAnimation(r)) && !(f < 1)) {
    d = r.type;
    var v = Math.pow(10, p);
    l[0](s, u, v);
  } else {
    var g = !r.path || r.shapeChanged();
    r.path || r.createPathProxy();
    var y = r.path;
    g && (y.beginPath(), r.buildPath(y, r.shape), r.pathUpdated());
    var _ = y.getVersion(), S = r, C = S.__svgPathBuilder;
    (S.__svgPathVersion !== _ || !C || f !== S.__svgPathStrokePercent) && (C || (C = S.__svgPathBuilder = new SVGPathRebuilder()), C.reset(p), y.rebuildPath(C, f), C.generateStr(), S.__svgPathVersion = _, S.__svgPathStrokePercent = f), u.d = C.getStr();
  }
  return setTransform(u, r.transform), setStyleAttrs(u, o, r, a), setMetaData(u, r), a.animation && createCSSAnimation(r, u, a), a.emphasis && createCSSEmphasis(r, u, a), createVNode(d, r.id + "", u);
}
function brushSVGImage(r, a) {
  var o = r.style, s = o.image;
  if (s && !isString(s) && (isImageLike(s) ? s = s.src : isCanvasLike(s) && (s = s.toDataURL())), !!s) {
    var l = o.x || 0, u = o.y || 0, c = o.width, d = o.height, f = {
      href: s,
      width: c,
      height: d
    };
    return l && (f.x = l), u && (f.y = u), setTransform(f, r.transform), setStyleAttrs(f, o, r, a), setMetaData(f, r), a.animation && createCSSAnimation(r, f, a), createVNode("image", r.id + "", f);
  }
}
function brushSVGTSpan(r, a) {
  var o = r.style, s = o.text;
  if (s != null && (s += ""), !(!s || isNaN(o.x) || isNaN(o.y))) {
    var l = o.font || DEFAULT_FONT, u = o.x || 0, c = adjustTextY$1(o.y || 0, getLineHeight(l), o.textBaseline), d = TEXT_ALIGN_TO_ANCHOR[o.textAlign] || o.textAlign, f = {
      "dominant-baseline": "central",
      "text-anchor": d
    };
    if (hasSeparateFont(o)) {
      var p = "", v = o.fontStyle, g = parseFontSize(o.fontSize);
      if (!parseFloat(g))
        return;
      var y = o.fontFamily || DEFAULT_FONT_FAMILY, _ = o.fontWeight;
      p += "font-size:" + g + ";font-family:" + y + ";", v && v !== "normal" && (p += "font-style:" + v + ";"), _ && _ !== "normal" && (p += "font-weight:" + _ + ";"), f.style = p;
    } else
      f.style = "font: " + l;
    return s.match(/\s/) && (f["xml:space"] = "preserve"), u && (f.x = u), c && (f.y = c), setTransform(f, r.transform), setStyleAttrs(f, o, r, a), setMetaData(f, r), a.animation && createCSSAnimation(r, f, a), createVNode("text", r.id + "", f, void 0, s);
  }
}
function brush(r, a) {
  if (r instanceof Path)
    return brushSVGPath(r, a);
  if (r instanceof ZRImage)
    return brushSVGImage(r, a);
  if (r instanceof TSpan)
    return brushSVGTSpan(r, a);
}
function setShadow(r, a, o) {
  var s = r.style;
  if (hasShadow(s)) {
    var l = getShadowKey(r), u = o.shadowCache, c = u[l];
    if (!c) {
      var d = r.getGlobalScale(), f = d[0], p = d[1];
      if (!f || !p)
        return;
      var v = s.shadowOffsetX || 0, g = s.shadowOffsetY || 0, y = s.shadowBlur, _ = normalizeColor(s.shadowColor), S = _.opacity, C = _.color, b = y / 2 / f, T = y / 2 / p, E = b + " " + T;
      c = o.zrId + "-s" + o.shadowIdx++, o.defs[c] = createVNode("filter", c, {
        id: c,
        x: "-100%",
        y: "-100%",
        width: "300%",
        height: "300%"
      }, [
        createVNode("feDropShadow", "", {
          dx: v / f,
          dy: g / p,
          stdDeviation: E,
          "flood-color": C,
          "flood-opacity": S
        })
      ]), u[l] = c;
    }
    a.filter = getIdURL(c);
  }
}
function setGradient(r, a, o, s) {
  var l = r[o], u, c = {
    gradientUnits: l.global ? "userSpaceOnUse" : "objectBoundingBox"
  };
  if (isLinearGradient(l))
    u = "linearGradient", c.x1 = l.x, c.y1 = l.y, c.x2 = l.x2, c.y2 = l.y2;
  else if (isRadialGradient(l))
    u = "radialGradient", c.cx = retrieve2(l.x, 0.5), c.cy = retrieve2(l.y, 0.5), c.r = retrieve2(l.r, 0.5);
  else {
    process.env.NODE_ENV !== "production" && logError("Illegal gradient type.");
    return;
  }
  for (var d = l.colorStops, f = [], p = 0, v = d.length; p < v; ++p) {
    var g = round4(d[p].offset) * 100 + "%", y = d[p].color, _ = normalizeColor(y), S = _.color, C = _.opacity, b = {
      offset: g
    };
    b["stop-color"] = S, C < 1 && (b["stop-opacity"] = C), f.push(createVNode("stop", p + "", b));
  }
  var T = createVNode(u, "", c, f), E = vNodeToString(T), x = s.gradientCache, $ = x[E];
  $ || ($ = s.zrId + "-g" + s.gradientIdx++, x[E] = $, c.id = $, s.defs[$] = createVNode(u, $, c, f)), a[o] = getIdURL($);
}
function setPattern(r, a, o, s) {
  var l = r.style[o], u = r.getBoundingRect(), c = {}, d = l.repeat, f = d === "no-repeat", p = d === "repeat-x", v = d === "repeat-y", g;
  if (isImagePattern(l)) {
    var y = l.imageWidth, _ = l.imageHeight, S = void 0, C = l.image;
    if (isString(C) ? S = C : isImageLike(C) ? S = C.src : isCanvasLike(C) && (S = C.toDataURL()), typeof Image > "u") {
      var b = "Image width/height must been given explictly in svg-ssr renderer.";
      assert(y, b), assert(_, b);
    } else if (y == null || _ == null) {
      var T = function(M, F) {
        if (M) {
          var U = M.elm, R = y || F.width, H = _ || F.height;
          M.tag === "pattern" && (p ? (H = 1, R /= u.width) : v && (R = 1, H /= u.height)), M.attrs.width = R, M.attrs.height = H, U && (U.setAttribute("width", R), U.setAttribute("height", H));
        }
      }, E = createOrUpdateImage(S, null, r, function(M) {
        f || T(N, M), T(g, M);
      });
      E && E.width && E.height && (y = y || E.width, _ = _ || E.height);
    }
    g = createVNode("image", "img", {
      href: S,
      width: y,
      height: _
    }), c.width = y, c.height = _;
  } else l.svgElement && (g = clone$4(l.svgElement), c.width = l.svgWidth, c.height = l.svgHeight);
  if (g) {
    var x, $;
    f ? x = $ = 1 : p ? ($ = 1, x = c.width / u.width) : v ? (x = 1, $ = c.height / u.height) : c.patternUnits = "userSpaceOnUse", x != null && !isNaN(x) && (c.width = x), $ != null && !isNaN($) && (c.height = $);
    var A = getSRTTransformString(l);
    A && (c.patternTransform = A);
    var N = createVNode("pattern", "", c, [g]), P = vNodeToString(N), L = s.patternCache, O = L[P];
    O || (O = s.zrId + "-p" + s.patternIdx++, L[P] = O, c.id = O, N = s.defs[O] = createVNode("pattern", O, c, [g])), a[o] = getIdURL(O);
  }
}
function setClipPath(r, a, o) {
  var s = o.clipPathCache, l = o.defs, u = s[r.id];
  if (!u) {
    u = o.zrId + "-c" + o.clipPathIdx++;
    var c = {
      id: u
    };
    s[r.id] = u, l[u] = createVNode("clipPath", u, c, [brushSVGPath(r, o)]);
  }
  a["clip-path"] = getIdURL(u);
}
function createTextNode(r) {
  return document.createTextNode(r);
}
function insertBefore(r, a, o) {
  r.insertBefore(a, o);
}
function removeChild(r, a) {
  r.removeChild(a);
}
function appendChild(r, a) {
  r.appendChild(a);
}
function parentNode(r) {
  return r.parentNode;
}
function nextSibling(r) {
  return r.nextSibling;
}
function setTextContent(r, a) {
  r.textContent = a;
}
var colonChar = 58, xChar = 120, emptyNode = createVNode("", "");
function isUndef(r) {
  return r === void 0;
}
function isDef(r) {
  return r !== void 0;
}
function createKeyToOldIdx(r, a, o) {
  for (var s = {}, l = a; l <= o; ++l) {
    var u = r[l].key;
    u !== void 0 && (process.env.NODE_ENV !== "production" && s[u] != null && console.error("Duplicate key " + u), s[u] = l);
  }
  return s;
}
function sameVnode(r, a) {
  var o = r.key === a.key, s = r.tag === a.tag;
  return s && o;
}
function createElm(r) {
  var a, o = r.children, s = r.tag;
  if (isDef(s)) {
    var l = r.elm = createElement(s);
    if (updateAttrs(emptyNode, r), isArray$1(o))
      for (a = 0; a < o.length; ++a) {
        var u = o[a];
        u != null && appendChild(l, createElm(u));
      }
    else isDef(r.text) && !isObject$3(r.text) && appendChild(l, createTextNode(r.text));
  } else
    r.elm = createTextNode(r.text);
  return r.elm;
}
function addVnodes(r, a, o, s, l) {
  for (; s <= l; ++s) {
    var u = o[s];
    u != null && insertBefore(r, createElm(u), a);
  }
}
function removeVnodes(r, a, o, s) {
  for (; o <= s; ++o) {
    var l = a[o];
    if (l != null)
      if (isDef(l.tag)) {
        var u = parentNode(l.elm);
        removeChild(u, l.elm);
      } else
        removeChild(r, l.elm);
  }
}
function updateAttrs(r, a) {
  var o, s = a.elm, l = r && r.attrs || {}, u = a.attrs || {};
  if (l !== u) {
    for (o in u) {
      var c = u[o], d = l[o];
      d !== c && (c === !0 ? s.setAttribute(o, "") : c === !1 ? s.removeAttribute(o) : o === "style" ? s.style.cssText = c : o.charCodeAt(0) !== xChar ? s.setAttribute(o, c) : o === "xmlns:xlink" || o === "xmlns" ? s.setAttributeNS(XMLNS, o, c) : o.charCodeAt(3) === colonChar ? s.setAttributeNS(XML_NAMESPACE, o, c) : o.charCodeAt(5) === colonChar ? s.setAttributeNS(XLINKNS, o, c) : s.setAttribute(o, c));
    }
    for (o in l)
      o in u || s.removeAttribute(o);
  }
}
function updateChildren(r, a, o) {
  for (var s = 0, l = 0, u = a.length - 1, c = a[0], d = a[u], f = o.length - 1, p = o[0], v = o[f], g, y, _, S; s <= u && l <= f; )
    c == null ? c = a[++s] : d == null ? d = a[--u] : p == null ? p = o[++l] : v == null ? v = o[--f] : sameVnode(c, p) ? (patchVnode(c, p), c = a[++s], p = o[++l]) : sameVnode(d, v) ? (patchVnode(d, v), d = a[--u], v = o[--f]) : sameVnode(c, v) ? (patchVnode(c, v), insertBefore(r, c.elm, nextSibling(d.elm)), c = a[++s], v = o[--f]) : sameVnode(d, p) ? (patchVnode(d, p), insertBefore(r, d.elm, c.elm), d = a[--u], p = o[++l]) : (isUndef(g) && (g = createKeyToOldIdx(a, s, u)), y = g[p.key], isUndef(y) ? insertBefore(r, createElm(p), c.elm) : (_ = a[y], _.tag !== p.tag ? insertBefore(r, createElm(p), c.elm) : (patchVnode(_, p), a[y] = void 0, insertBefore(r, _.elm, c.elm))), p = o[++l]);
  (s <= u || l <= f) && (s > u ? (S = o[f + 1] == null ? null : o[f + 1].elm, addVnodes(r, S, o, l, f)) : removeVnodes(r, a, s, u));
}
function patchVnode(r, a) {
  var o = a.elm = r.elm, s = r.children, l = a.children;
  r !== a && (updateAttrs(r, a), isUndef(a.text) ? isDef(s) && isDef(l) ? s !== l && updateChildren(o, s, l) : isDef(l) ? (isDef(r.text) && setTextContent(o, ""), addVnodes(o, null, l, 0, l.length - 1)) : isDef(s) ? removeVnodes(o, s, 0, s.length - 1) : isDef(r.text) && setTextContent(o, "") : r.text !== a.text && (isDef(s) && removeVnodes(o, s, 0, s.length - 1), setTextContent(o, a.text)));
}
function patch(r, a) {
  if (sameVnode(r, a))
    patchVnode(r, a);
  else {
    var o = r.elm, s = parentNode(o);
    createElm(a), s !== null && (insertBefore(s, a.elm, nextSibling(o)), removeVnodes(s, [r], 0, 0));
  }
  return a;
}
var svgId = 0, SVGPainter = function() {
  function r(a, o, s) {
    if (this.type = "svg", this.refreshHover = createMethodNotSupport("refreshHover"), this.configLayer = createMethodNotSupport("configLayer"), this.storage = o, this._opts = s = extend({}, s), this.root = a, this._id = "zr" + svgId++, this._oldVNode = createSVGVNode(s.width, s.height), a && !s.ssr) {
      var l = this._viewport = document.createElement("div");
      l.style.cssText = "position:relative;overflow:hidden";
      var u = this._svgDom = this._oldVNode.elm = createElement("svg");
      updateAttrs(null, this._oldVNode), l.appendChild(u), a.appendChild(l);
    }
    this.resize(s.width, s.height);
  }
  return r.prototype.getType = function() {
    return this.type;
  }, r.prototype.getViewportRoot = function() {
    return this._viewport;
  }, r.prototype.getViewportRootOffset = function() {
    var a = this.getViewportRoot();
    if (a)
      return {
        offsetLeft: a.offsetLeft || 0,
        offsetTop: a.offsetTop || 0
      };
  }, r.prototype.getSvgDom = function() {
    return this._svgDom;
  }, r.prototype.refresh = function() {
    if (this.root) {
      var a = this.renderToVNode({
        willUpdate: !0
      });
      a.attrs.style = "position:absolute;left:0;top:0;user-select:none", patch(this._oldVNode, a), this._oldVNode = a;
    }
  }, r.prototype.renderOneToVNode = function(a) {
    return brush(a, createBrushScope(this._id));
  }, r.prototype.renderToVNode = function(a) {
    a = a || {};
    var o = this.storage.getDisplayList(!0), s = this._width, l = this._height, u = createBrushScope(this._id);
    u.animation = a.animation, u.willUpdate = a.willUpdate, u.compress = a.compress, u.emphasis = a.emphasis, u.ssr = this._opts.ssr;
    var c = [], d = this._bgVNode = createBackgroundVNode(s, l, this._backgroundColor, u);
    d && c.push(d);
    var f = a.compress ? null : this._mainVNode = createVNode("g", "main", {}, []);
    this._paintList(o, u, f ? f.children : c), f && c.push(f);
    var p = map$1(keys(u.defs), function(y) {
      return u.defs[y];
    });
    if (p.length && c.push(createVNode("defs", "defs", {}, p)), a.animation) {
      var v = getCssString(u.cssNodes, u.cssAnims, { newline: !0 });
      if (v) {
        var g = createVNode("style", "stl", {}, [], v);
        c.push(g);
      }
    }
    return createSVGVNode(s, l, c, a.useViewBox);
  }, r.prototype.renderToString = function(a) {
    return a = a || {}, vNodeToString(this.renderToVNode({
      animation: retrieve2(a.cssAnimation, !0),
      emphasis: retrieve2(a.cssEmphasis, !0),
      willUpdate: !1,
      compress: !0,
      useViewBox: retrieve2(a.useViewBox, !0)
    }), { newline: !0 });
  }, r.prototype.setBackgroundColor = function(a) {
    this._backgroundColor = a;
  }, r.prototype.getSvgRoot = function() {
    return this._mainVNode && this._mainVNode.elm;
  }, r.prototype._paintList = function(a, o, s) {
    for (var l = a.length, u = [], c = 0, d, f, p = 0, v = 0; v < l; v++) {
      var g = a[v];
      if (!g.invisible) {
        var y = g.__clipPaths, _ = y && y.length || 0, S = f && f.length || 0, C = void 0;
        for (C = Math.max(_ - 1, S - 1); C >= 0 && !(y && f && y[C] === f[C]); C--)
          ;
        for (var b = S - 1; b > C; b--)
          c--, d = u[c - 1];
        for (var T = C + 1; T < _; T++) {
          var E = {};
          setClipPath(y[T], E, o);
          var x = createVNode("g", "clip-g-" + p++, E, []);
          (d ? d.children : s).push(x), u[c++] = x, d = x;
        }
        f = y;
        var $ = brush(g, o);
        $ && (d ? d.children : s).push($);
      }
    }
  }, r.prototype.resize = function(a, o) {
    var s = this._opts, l = this.root, u = this._viewport;
    if (a != null && (s.width = a), o != null && (s.height = o), l && u && (u.style.display = "none", a = getSize$1(l, 0, s), o = getSize$1(l, 1, s), u.style.display = ""), this._width !== a || this._height !== o) {
      if (this._width = a, this._height = o, u) {
        var c = u.style;
        c.width = a + "px", c.height = o + "px";
      }
      if (isPattern(this._backgroundColor))
        this.refresh();
      else {
        var d = this._svgDom;
        d && (d.setAttribute("width", a), d.setAttribute("height", o));
        var f = this._bgVNode && this._bgVNode.elm;
        f && (f.setAttribute("width", a), f.setAttribute("height", o));
      }
    }
  }, r.prototype.getWidth = function() {
    return this._width;
  }, r.prototype.getHeight = function() {
    return this._height;
  }, r.prototype.dispose = function() {
    this.root && (this.root.innerHTML = ""), this._svgDom = this._viewport = this.storage = this._oldVNode = this._bgVNode = this._mainVNode = null;
  }, r.prototype.clear = function() {
    this._svgDom && (this._svgDom.innerHTML = null), this._oldVNode = null;
  }, r.prototype.toDataURL = function(a) {
    var o = this.renderToString(), s = "data:image/svg+xml;";
    return a ? (o = encodeBase64(o), o && s + "base64," + o) : s + "charset=UTF-8," + encodeURIComponent(o);
  }, r;
}();
function createMethodNotSupport(r) {
  return function() {
    process.env.NODE_ENV !== "production" && logError('In SVG mode painter not support method "' + r + '"');
  };
}
function createBackgroundVNode(r, a, o, s) {
  var l;
  if (o && o !== "none")
    if (l = createVNode("rect", "bg", {
      width: r,
      height: a,
      x: "0",
      y: "0"
    }), isGradient(o))
      setGradient({ fill: o }, l.attrs, "fill", s);
    else if (isPattern(o))
      setPattern({
        style: {
          fill: o
        },
        dirty: noop,
        getBoundingRect: function() {
          return { width: r, height: a };
        }
      }, l.attrs, "fill", s);
    else {
      var u = normalizeColor(o), c = u.color, d = u.opacity;
      l.attrs.fill = c, d < 1 && (l.attrs["fill-opacity"] = d);
    }
  return l;
}
function install$T(r) {
  r.registerPainter("svg", SVGPainter);
}
function createDom(r, a, o) {
  var s = platformApi.createCanvas(), l = a.getWidth(), u = a.getHeight(), c = s.style;
  return c && (c.position = "absolute", c.left = "0", c.top = "0", c.width = l + "px", c.height = u + "px", s.setAttribute("data-zr-dom-id", r)), s.width = l * o, s.height = u * o, s;
}
var Layer = function(r) {
  __extends(a, r);
  function a(o, s, l) {
    var u = r.call(this) || this;
    u.motionBlur = !1, u.lastFrameAlpha = 0.7, u.dpr = 1, u.virtual = !1, u.config = {}, u.incremental = !1, u.zlevel = 0, u.maxRepaintRectCount = 5, u.__dirty = !0, u.__firstTimePaint = !0, u.__used = !1, u.__drawIndex = 0, u.__startIndex = 0, u.__endIndex = 0, u.__prevStartIndex = null, u.__prevEndIndex = null;
    var c;
    l = l || devicePixelRatio, typeof o == "string" ? c = createDom(o, s, l) : isObject$3(o) && (c = o, o = c.id), u.id = o, u.dom = c;
    var d = c.style;
    return d && (disableUserSelect(c), c.onselectstart = function() {
      return !1;
    }, d.padding = "0", d.margin = "0", d.borderWidth = "0"), u.painter = s, u.dpr = l, u;
  }
  return a.prototype.getElementCount = function() {
    return this.__endIndex - this.__startIndex;
  }, a.prototype.afterBrush = function() {
    this.__prevStartIndex = this.__startIndex, this.__prevEndIndex = this.__endIndex;
  }, a.prototype.initContext = function() {
    this.ctx = this.dom.getContext("2d"), this.ctx.dpr = this.dpr;
  }, a.prototype.setUnpainted = function() {
    this.__firstTimePaint = !0;
  }, a.prototype.createBackBuffer = function() {
    var o = this.dpr;
    this.domBack = createDom("back-" + this.id, this.painter, o), this.ctxBack = this.domBack.getContext("2d"), o !== 1 && this.ctxBack.scale(o, o);
  }, a.prototype.createRepaintRects = function(o, s, l, u) {
    if (this.__firstTimePaint)
      return this.__firstTimePaint = !1, null;
    var c = [], d = this.maxRepaintRectCount, f = !1, p = new BoundingRect(0, 0, 0, 0);
    function v(E) {
      if (!(!E.isFinite() || E.isZero()))
        if (c.length === 0) {
          var x = new BoundingRect(0, 0, 0, 0);
          x.copy(E), c.push(x);
        } else {
          for (var $ = !1, A = 1 / 0, N = 0, P = 0; P < c.length; ++P) {
            var L = c[P];
            if (L.intersect(E)) {
              var O = new BoundingRect(0, 0, 0, 0);
              O.copy(L), O.union(E), c[P] = O, $ = !0;
              break;
            } else if (f) {
              p.copy(E), p.union(L);
              var M = E.width * E.height, F = L.width * L.height, U = p.width * p.height, R = U - M - F;
              R < A && (A = R, N = P);
            }
          }
          if (f && (c[N].union(E), $ = !0), !$) {
            var x = new BoundingRect(0, 0, 0, 0);
            x.copy(E), c.push(x);
          }
          f || (f = c.length >= d);
        }
    }
    for (var g = this.__startIndex; g < this.__endIndex; ++g) {
      var y = o[g];
      if (y) {
        var _ = y.shouldBePainted(l, u, !0, !0), S = y.__isRendered && (y.__dirty & REDRAW_BIT || !_) ? y.getPrevPaintRect() : null;
        S && v(S);
        var C = _ && (y.__dirty & REDRAW_BIT || !y.__isRendered) ? y.getPaintRect() : null;
        C && v(C);
      }
    }
    for (var g = this.__prevStartIndex; g < this.__prevEndIndex; ++g) {
      var y = s[g], _ = y && y.shouldBePainted(l, u, !0, !0);
      if (y && (!_ || !y.__zr) && y.__isRendered) {
        var S = y.getPrevPaintRect();
        S && v(S);
      }
    }
    var b;
    do {
      b = !1;
      for (var g = 0; g < c.length; ) {
        if (c[g].isZero()) {
          c.splice(g, 1);
          continue;
        }
        for (var T = g + 1; T < c.length; )
          c[g].intersect(c[T]) ? (b = !0, c[g].union(c[T]), c.splice(T, 1)) : T++;
        g++;
      }
    } while (b);
    return this._paintRects = c, c;
  }, a.prototype.debugGetPaintRects = function() {
    return (this._paintRects || []).slice();
  }, a.prototype.resize = function(o, s) {
    var l = this.dpr, u = this.dom, c = u.style, d = this.domBack;
    c && (c.width = o + "px", c.height = s + "px"), u.width = o * l, u.height = s * l, d && (d.width = o * l, d.height = s * l, l !== 1 && this.ctxBack.scale(l, l));
  }, a.prototype.clear = function(o, s, l) {
    var u = this.dom, c = this.ctx, d = u.width, f = u.height;
    s = s || this.clearColor;
    var p = this.motionBlur && !o, v = this.lastFrameAlpha, g = this.dpr, y = this;
    p && (this.domBack || this.createBackBuffer(), this.ctxBack.globalCompositeOperation = "copy", this.ctxBack.drawImage(u, 0, 0, d / g, f / g));
    var _ = this.domBack;
    function S(C, b, T, E) {
      if (c.clearRect(C, b, T, E), s && s !== "transparent") {
        var x = void 0;
        if (isGradientObject(s)) {
          var $ = s.global || s.__width === T && s.__height === E;
          x = $ && s.__canvasGradient || getCanvasGradient(c, s, {
            x: 0,
            y: 0,
            width: T,
            height: E
          }), s.__canvasGradient = x, s.__width = T, s.__height = E;
        } else isImagePatternObject(s) && (s.scaleX = s.scaleX || g, s.scaleY = s.scaleY || g, x = createCanvasPattern(c, s, {
          dirty: function() {
            y.setUnpainted(), y.painter.refresh();
          }
        }));
        c.save(), c.fillStyle = x || s, c.fillRect(C, b, T, E), c.restore();
      }
      p && (c.save(), c.globalAlpha = v, c.drawImage(_, C, b, T, E), c.restore());
    }
    !l || p ? S(0, 0, d, f) : l.length && each$f(l, function(C) {
      S(C.x * g, C.y * g, C.width * g, C.height * g);
    });
  }, a;
}(Eventful), HOVER_LAYER_ZLEVEL = 1e5, CANVAS_ZLEVEL = 314159, EL_AFTER_INCREMENTAL_INC = 0.01, INCREMENTAL_INC = 1e-3;
function isLayerValid(r) {
  return r ? r.__builtin__ ? !0 : !(typeof r.resize != "function" || typeof r.refresh != "function") : !1;
}
function createRoot(r, a) {
  var o = document.createElement("div");
  return o.style.cssText = [
    "position:relative",
    "width:" + r + "px",
    "height:" + a + "px",
    "padding:0",
    "margin:0",
    "border-width:0"
  ].join(";") + ";", o;
}
var CanvasPainter = function() {
  function r(a, o, s, l) {
    this.type = "canvas", this._zlevelList = [], this._prevDisplayList = [], this._layers = {}, this._layerConfig = {}, this._needsManuallyCompositing = !1, this.type = "canvas";
    var u = !a.nodeName || a.nodeName.toUpperCase() === "CANVAS";
    this._opts = s = extend({}, s || {}), this.dpr = s.devicePixelRatio || devicePixelRatio, this._singleCanvas = u, this.root = a;
    var c = a.style;
    c && (disableUserSelect(a), a.innerHTML = ""), this.storage = o;
    var d = this._zlevelList;
    this._prevDisplayList = [];
    var f = this._layers;
    if (u) {
      var v = a, g = v.width, y = v.height;
      s.width != null && (g = s.width), s.height != null && (y = s.height), this.dpr = s.devicePixelRatio || 1, v.width = g * this.dpr, v.height = y * this.dpr, this._width = g, this._height = y;
      var _ = new Layer(v, this, this.dpr);
      _.__builtin__ = !0, _.initContext(), f[CANVAS_ZLEVEL] = _, _.zlevel = CANVAS_ZLEVEL, d.push(CANVAS_ZLEVEL), this._domRoot = a;
    } else {
      this._width = getSize$1(a, 0, s), this._height = getSize$1(a, 1, s);
      var p = this._domRoot = createRoot(this._width, this._height);
      a.appendChild(p);
    }
  }
  return r.prototype.getType = function() {
    return "canvas";
  }, r.prototype.isSingleCanvas = function() {
    return this._singleCanvas;
  }, r.prototype.getViewportRoot = function() {
    return this._domRoot;
  }, r.prototype.getViewportRootOffset = function() {
    var a = this.getViewportRoot();
    if (a)
      return {
        offsetLeft: a.offsetLeft || 0,
        offsetTop: a.offsetTop || 0
      };
  }, r.prototype.refresh = function(a) {
    var o = this.storage.getDisplayList(!0), s = this._prevDisplayList, l = this._zlevelList;
    this._redrawId = Math.random(), this._paintList(o, s, a, this._redrawId);
    for (var u = 0; u < l.length; u++) {
      var c = l[u], d = this._layers[c];
      if (!d.__builtin__ && d.refresh) {
        var f = u === 0 ? this._backgroundColor : null;
        d.refresh(f);
      }
    }
    return this._opts.useDirtyRect && (this._prevDisplayList = o.slice()), this;
  }, r.prototype.refreshHover = function() {
    this._paintHoverList(this.storage.getDisplayList(!1));
  }, r.prototype._paintHoverList = function(a) {
    var o = a.length, s = this._hoverlayer;
    if (s && s.clear(), !!o) {
      for (var l = {
        inHover: !0,
        viewWidth: this._width,
        viewHeight: this._height
      }, u, c = 0; c < o; c++) {
        var d = a[c];
        d.__inHover && (s || (s = this._hoverlayer = this.getLayer(HOVER_LAYER_ZLEVEL)), u || (u = s.ctx, u.save()), brush$1(u, d, l, c === o - 1));
      }
      u && u.restore();
    }
  }, r.prototype.getHoverLayer = function() {
    return this.getLayer(HOVER_LAYER_ZLEVEL);
  }, r.prototype.paintOne = function(a, o) {
    brushSingle(a, o);
  }, r.prototype._paintList = function(a, o, s, l) {
    if (this._redrawId === l) {
      s = s || !1, this._updateLayerStatus(a);
      var u = this._doPaintList(a, o, s), c = u.finished, d = u.needsRefreshHover;
      if (this._needsManuallyCompositing && this._compositeManually(), d && this._paintHoverList(a), c)
        this.eachLayer(function(p) {
          p.afterBrush && p.afterBrush();
        });
      else {
        var f = this;
        requestAnimationFrame$1(function() {
          f._paintList(a, o, s, l);
        });
      }
    }
  }, r.prototype._compositeManually = function() {
    var a = this.getLayer(CANVAS_ZLEVEL).ctx, o = this._domRoot.width, s = this._domRoot.height;
    a.clearRect(0, 0, o, s), this.eachBuiltinLayer(function(l) {
      l.virtual && a.drawImage(l.dom, 0, 0, o, s);
    });
  }, r.prototype._doPaintList = function(a, o, s) {
    for (var l = this, u = [], c = this._opts.useDirtyRect, d = 0; d < this._zlevelList.length; d++) {
      var f = this._zlevelList[d], p = this._layers[f];
      p.__builtin__ && p !== this._hoverlayer && (p.__dirty || s) && u.push(p);
    }
    for (var v = !0, g = !1, y = function(C) {
      var b = u[C], T = b.ctx, E = c && b.createRepaintRects(a, o, _._width, _._height), x = s ? b.__startIndex : b.__drawIndex, $ = !s && b.incremental && Date.now, A = $ && Date.now(), N = b.zlevel === _._zlevelList[0] ? _._backgroundColor : null;
      if (b.__startIndex === b.__endIndex)
        b.clear(!1, N, E);
      else if (x === b.__startIndex) {
        var P = a[x];
        (!P.incremental || !P.notClear || s) && b.clear(!1, N, E);
      }
      x === -1 && (console.error("For some unknown reason. drawIndex is -1"), x = b.__startIndex);
      var L, O = function(R) {
        var H = {
          inHover: !1,
          allClipped: !1,
          prevEl: null,
          viewWidth: l._width,
          viewHeight: l._height
        };
        for (L = x; L < b.__endIndex; L++) {
          var V = a[L];
          if (V.__inHover && (g = !0), l._doPaintEl(V, b, c, R, H, L === b.__endIndex - 1), $) {
            var Y = Date.now() - A;
            if (Y > 15)
              break;
          }
        }
        H.prevElClipPaths && T.restore();
      };
      if (E)
        if (E.length === 0)
          L = b.__endIndex;
        else
          for (var M = _.dpr, F = 0; F < E.length; ++F) {
            var U = E[F];
            T.save(), T.beginPath(), T.rect(U.x * M, U.y * M, U.width * M, U.height * M), T.clip(), O(U), T.restore();
          }
      else
        T.save(), O(), T.restore();
      b.__drawIndex = L, b.__drawIndex < b.__endIndex && (v = !1);
    }, _ = this, S = 0; S < u.length; S++)
      y(S);
    return env.wxa && each$f(this._layers, function(C) {
      C && C.ctx && C.ctx.draw && C.ctx.draw();
    }), {
      finished: v,
      needsRefreshHover: g
    };
  }, r.prototype._doPaintEl = function(a, o, s, l, u, c) {
    var d = o.ctx;
    if (s) {
      var f = a.getPaintRect();
      (!l || f && f.intersect(l)) && (brush$1(d, a, u, c), a.setPrevPaintRect(f));
    } else
      brush$1(d, a, u, c);
  }, r.prototype.getLayer = function(a, o) {
    this._singleCanvas && !this._needsManuallyCompositing && (a = CANVAS_ZLEVEL);
    var s = this._layers[a];
    return s || (s = new Layer("zr_" + a, this, this.dpr), s.zlevel = a, s.__builtin__ = !0, this._layerConfig[a] ? merge(s, this._layerConfig[a], !0) : this._layerConfig[a - EL_AFTER_INCREMENTAL_INC] && merge(s, this._layerConfig[a - EL_AFTER_INCREMENTAL_INC], !0), o && (s.virtual = o), this.insertLayer(a, s), s.initContext()), s;
  }, r.prototype.insertLayer = function(a, o) {
    var s = this._layers, l = this._zlevelList, u = l.length, c = this._domRoot, d = null, f = -1;
    if (s[a]) {
      process.env.NODE_ENV !== "production" && logError("ZLevel " + a + " has been used already");
      return;
    }
    if (!isLayerValid(o)) {
      process.env.NODE_ENV !== "production" && logError("Layer of zlevel " + a + " is not valid");
      return;
    }
    if (u > 0 && a > l[0]) {
      for (f = 0; f < u - 1 && !(l[f] < a && l[f + 1] > a); f++)
        ;
      d = s[l[f]];
    }
    if (l.splice(f + 1, 0, a), s[a] = o, !o.virtual)
      if (d) {
        var p = d.dom;
        p.nextSibling ? c.insertBefore(o.dom, p.nextSibling) : c.appendChild(o.dom);
      } else
        c.firstChild ? c.insertBefore(o.dom, c.firstChild) : c.appendChild(o.dom);
    o.painter || (o.painter = this);
  }, r.prototype.eachLayer = function(a, o) {
    for (var s = this._zlevelList, l = 0; l < s.length; l++) {
      var u = s[l];
      a.call(o, this._layers[u], u);
    }
  }, r.prototype.eachBuiltinLayer = function(a, o) {
    for (var s = this._zlevelList, l = 0; l < s.length; l++) {
      var u = s[l], c = this._layers[u];
      c.__builtin__ && a.call(o, c, u);
    }
  }, r.prototype.eachOtherLayer = function(a, o) {
    for (var s = this._zlevelList, l = 0; l < s.length; l++) {
      var u = s[l], c = this._layers[u];
      c.__builtin__ || a.call(o, c, u);
    }
  }, r.prototype.getLayers = function() {
    return this._layers;
  }, r.prototype._updateLayerStatus = function(a) {
    this.eachBuiltinLayer(function(g, y) {
      g.__dirty = g.__used = !1;
    });
    function o(g) {
      u && (u.__endIndex !== g && (u.__dirty = !0), u.__endIndex = g);
    }
    if (this._singleCanvas)
      for (var s = 1; s < a.length; s++) {
        var l = a[s];
        if (l.zlevel !== a[s - 1].zlevel || l.incremental) {
          this._needsManuallyCompositing = !0;
          break;
        }
      }
    var u = null, c = 0, d, f;
    for (f = 0; f < a.length; f++) {
      var l = a[f], p = l.zlevel, v = void 0;
      d !== p && (d = p, c = 0), l.incremental ? (v = this.getLayer(p + INCREMENTAL_INC, this._needsManuallyCompositing), v.incremental = !0, c = 1) : v = this.getLayer(p + (c > 0 ? EL_AFTER_INCREMENTAL_INC : 0), this._needsManuallyCompositing), v.__builtin__ || logError("ZLevel " + p + " has been used by unkown layer " + v.id), v !== u && (v.__used = !0, v.__startIndex !== f && (v.__dirty = !0), v.__startIndex = f, v.incremental ? v.__drawIndex = -1 : v.__drawIndex = f, o(f), u = v), l.__dirty & REDRAW_BIT && !l.__inHover && (v.__dirty = !0, v.incremental && v.__drawIndex < 0 && (v.__drawIndex = f));
    }
    o(f), this.eachBuiltinLayer(function(g, y) {
      !g.__used && g.getElementCount() > 0 && (g.__dirty = !0, g.__startIndex = g.__endIndex = g.__drawIndex = 0), g.__dirty && g.__drawIndex < 0 && (g.__drawIndex = g.__startIndex);
    });
  }, r.prototype.clear = function() {
    return this.eachBuiltinLayer(this._clearLayer), this;
  }, r.prototype._clearLayer = function(a) {
    a.clear();
  }, r.prototype.setBackgroundColor = function(a) {
    this._backgroundColor = a, each$f(this._layers, function(o) {
      o.setUnpainted();
    });
  }, r.prototype.configLayer = function(a, o) {
    if (o) {
      var s = this._layerConfig;
      s[a] ? merge(s[a], o, !0) : s[a] = o;
      for (var l = 0; l < this._zlevelList.length; l++) {
        var u = this._zlevelList[l];
        if (u === a || u === a + EL_AFTER_INCREMENTAL_INC) {
          var c = this._layers[u];
          merge(c, s[a], !0);
        }
      }
    }
  }, r.prototype.delLayer = function(a) {
    var o = this._layers, s = this._zlevelList, l = o[a];
    l && (l.dom.parentNode.removeChild(l.dom), delete o[a], s.splice(indexOf(s, a), 1));
  }, r.prototype.resize = function(a, o) {
    if (this._domRoot.style) {
      var s = this._domRoot;
      s.style.display = "none";
      var l = this._opts, u = this.root;
      if (a != null && (l.width = a), o != null && (l.height = o), a = getSize$1(u, 0, l), o = getSize$1(u, 1, l), s.style.display = "", this._width !== a || o !== this._height) {
        s.style.width = a + "px", s.style.height = o + "px";
        for (var c in this._layers)
          this._layers.hasOwnProperty(c) && this._layers[c].resize(a, o);
        this.refresh(!0);
      }
      this._width = a, this._height = o;
    } else {
      if (a == null || o == null)
        return;
      this._width = a, this._height = o, this.getLayer(CANVAS_ZLEVEL).resize(a, o);
    }
    return this;
  }, r.prototype.clearLayer = function(a) {
    var o = this._layers[a];
    o && o.clear();
  }, r.prototype.dispose = function() {
    this.root.innerHTML = "", this.root = this.storage = this._domRoot = this._layers = null;
  }, r.prototype.getRenderedCanvas = function(a) {
    if (a = a || {}, this._singleCanvas && !this._compositeManually)
      return this._layers[CANVAS_ZLEVEL].dom;
    var o = new Layer("image", this, a.pixelRatio || this.dpr);
    o.initContext(), o.clear(!1, a.backgroundColor || this._backgroundColor);
    var s = o.ctx;
    if (a.pixelRatio <= this.dpr) {
      this.refresh();
      var l = o.dom.width, u = o.dom.height;
      this.eachLayer(function(g) {
        g.__builtin__ ? s.drawImage(g.dom, 0, 0, l, u) : g.renderToCanvas && (s.save(), g.renderToCanvas(s), s.restore());
      });
    } else
      for (var c = {
        inHover: !1,
        viewWidth: this._width,
        viewHeight: this._height
      }, d = this.storage.getDisplayList(!0), f = 0, p = d.length; f < p; f++) {
        var v = d[f];
        brush$1(s, v, c, f === p - 1);
      }
    return o.dom;
  }, r.prototype.getWidth = function() {
    return this._width;
  }, r.prototype.getHeight = function() {
    return this._height;
  }, r;
}();
function install$S(r) {
  r.registerPainter("canvas", CanvasPainter);
}
var LineSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.hasSymbolVisual = !0, o;
    }
    return a.prototype.getInitialData = function(o) {
      if (process.env.NODE_ENV !== "production") {
        var s = o.coordinateSystem;
        if (s !== "polar" && s !== "cartesian2d")
          throw new Error("Line not support coordinateSystem besides cartesian and polar");
      }
      return createSeriesData(null, this, {
        useEncodeDefaulter: !0
      });
    }, a.prototype.getLegendIcon = function(o) {
      var s = new Group$3(), l = createSymbol$1("line", 0, o.itemHeight / 2, o.itemWidth, 0, o.lineStyle.stroke, !1);
      s.add(l), l.setStyle(o.lineStyle);
      var u = this.getData().getVisual("symbol"), c = this.getData().getVisual("symbolRotate"), d = u === "none" ? "circle" : u, f = o.itemHeight * 0.8, p = createSymbol$1(d, (o.itemWidth - f) / 2, (o.itemHeight - f) / 2, f, f, o.itemStyle.fill);
      s.add(p), p.setStyle(o.itemStyle);
      var v = o.iconRotate === "inherit" ? c : o.iconRotate || 0;
      return p.rotation = v * Math.PI / 180, p.setOrigin([o.itemWidth / 2, o.itemHeight / 2]), d.indexOf("empty") > -1 && (p.style.stroke = p.style.fill, p.style.fill = "#fff", p.style.lineWidth = 2), s;
    }, a.type = "series.line", a.dependencies = ["grid", "polar"], a.defaultOption = {
      // zlevel: 0,
      z: 3,
      coordinateSystem: "cartesian2d",
      legendHoverLink: !0,
      clip: !0,
      label: {
        position: "top"
      },
      // itemStyle: {
      // },
      endLabel: {
        show: !1,
        valueAnimation: !0,
        distance: 8
      },
      lineStyle: {
        width: 2,
        type: "solid"
      },
      emphasis: {
        scale: !0
      },
      // areaStyle: {
      // origin of areaStyle. Valid values:
      // `'auto'/null/undefined`: from axisLine to data
      // `'start'`: from min to data
      // `'end'`: from data to max
      // origin: 'auto'
      // },
      // false, 'start', 'end', 'middle'
      step: !1,
      // Disabled if step is true
      smooth: !1,
      smoothMonotone: null,
      symbol: "emptyCircle",
      symbolSize: 4,
      symbolRotate: null,
      showSymbol: !0,
      // `false`: follow the label interval strategy.
      // `true`: show all symbols.
      // `'auto'`: If possible, show all symbols, otherwise
      //           follow the label interval strategy.
      showAllSymbol: "auto",
      // Whether to connect break point.
      connectNulls: !1,
      // Sampling for large data. Can be: 'average', 'max', 'min', 'sum', 'lttb'.
      sampling: "none",
      animationEasing: "linear",
      // Disable progressive
      progressive: 0,
      hoverLayerThreshold: 1 / 0,
      universalTransition: {
        divideShape: "clone"
      },
      triggerLineEvent: !1
    }, a;
  }(SeriesModel)
);
function getDefaultLabel(r, a) {
  var o = r.mapDimensionsAll("defaultedLabel"), s = o.length;
  if (s === 1) {
    var l = retrieveRawValue(r, a, o[0]);
    return l != null ? l + "" : null;
  } else if (s) {
    for (var u = [], c = 0; c < o.length; c++)
      u.push(retrieveRawValue(r, a, o[c]));
    return u.join(" ");
  }
}
function getDefaultInterpolatedLabel(r, a) {
  var o = r.mapDimensionsAll("defaultedLabel");
  if (!isArray$1(a))
    return a + "";
  for (var s = [], l = 0; l < o.length; l++) {
    var u = r.getDimensionIndex(o[l]);
    u >= 0 && s.push(a[u]);
  }
  return s.join(" ");
}
var Symbol$1 = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s, l, u) {
      var c = r.call(this) || this;
      return c.updateData(o, s, l, u), c;
    }
    return a.prototype._createSymbol = function(o, s, l, u, c) {
      this.removeAll();
      var d = createSymbol$1(o, -1, -1, 2, 2, null, c);
      d.attr({
        z2: 100,
        culling: !0,
        scaleX: u[0] / 2,
        scaleY: u[1] / 2
      }), d.drift = driftSymbol, this._symbolType = o, this.add(d);
    }, a.prototype.stopSymbolAnimation = function(o) {
      this.childAt(0).stopAnimation(null, o);
    }, a.prototype.getSymbolType = function() {
      return this._symbolType;
    }, a.prototype.getSymbolPath = function() {
      return this.childAt(0);
    }, a.prototype.highlight = function() {
      enterEmphasis(this.childAt(0));
    }, a.prototype.downplay = function() {
      leaveEmphasis(this.childAt(0));
    }, a.prototype.setZ = function(o, s) {
      var l = this.childAt(0);
      l.zlevel = o, l.z = s;
    }, a.prototype.setDraggable = function(o, s) {
      var l = this.childAt(0);
      l.draggable = o, l.cursor = !s && o ? "move" : l.cursor;
    }, a.prototype.updateData = function(o, s, l, u) {
      this.silent = !1;
      var c = o.getItemVisual(s, "symbol") || "circle", d = o.hostModel, f = a.getSymbolSize(o, s), p = c !== this._symbolType, v = u && u.disableAnimation;
      if (p) {
        var g = o.getItemVisual(s, "symbolKeepAspect");
        this._createSymbol(c, o, s, f, g);
      } else {
        var y = this.childAt(0);
        y.silent = !1;
        var _ = {
          scaleX: f[0] / 2,
          scaleY: f[1] / 2
        };
        v ? y.attr(_) : updateProps$1(y, _, d, s), saveOldStyle(y);
      }
      if (this._updateCommon(o, s, f, l, u), p) {
        var y = this.childAt(0);
        if (!v) {
          var _ = {
            scaleX: this._sizeX,
            scaleY: this._sizeY,
            style: {
              // Always fadeIn. Because it has fadeOut animation when symbol is removed..
              opacity: y.style.opacity
            }
          };
          y.scaleX = y.scaleY = 0, y.style.opacity = 0, initProps(y, _, d, s);
        }
      }
      v && this.childAt(0).stopAnimation("leave");
    }, a.prototype._updateCommon = function(o, s, l, u, c) {
      var d = this.childAt(0), f = o.hostModel, p, v, g, y, _, S, C, b, T;
      if (u && (p = u.emphasisItemStyle, v = u.blurItemStyle, g = u.selectItemStyle, y = u.focus, _ = u.blurScope, C = u.labelStatesModels, b = u.hoverScale, T = u.cursorStyle, S = u.emphasisDisabled), !u || o.hasItemOption) {
        var E = u && u.itemModel ? u.itemModel : o.getItemModel(s), x = E.getModel("emphasis");
        p = x.getModel("itemStyle").getItemStyle(), g = E.getModel(["select", "itemStyle"]).getItemStyle(), v = E.getModel(["blur", "itemStyle"]).getItemStyle(), y = x.get("focus"), _ = x.get("blurScope"), S = x.get("disabled"), C = getLabelStatesModels(E), b = x.getShallow("scale"), T = E.getShallow("cursor");
      }
      var $ = o.getItemVisual(s, "symbolRotate");
      d.attr("rotation", ($ || 0) * Math.PI / 180 || 0);
      var A = normalizeSymbolOffset(o.getItemVisual(s, "symbolOffset"), l);
      A && (d.x = A[0], d.y = A[1]), T && d.attr("cursor", T);
      var N = o.getItemVisual(s, "style"), P = N.fill;
      if (d instanceof ZRImage) {
        var L = d.style;
        d.useStyle(extend({
          // TODO other properties like x, y ?
          image: L.image,
          x: L.x,
          y: L.y,
          width: L.width,
          height: L.height
        }, N));
      } else
        d.__isEmptyBrush ? d.useStyle(extend({}, N)) : d.useStyle(N), d.style.decal = null, d.setColor(P, c && c.symbolInnerColor), d.style.strokeNoScale = !0;
      var O = o.getItemVisual(s, "liftZ"), M = this._z2;
      O != null ? M == null && (this._z2 = d.z2, d.z2 += O) : M != null && (d.z2 = M, this._z2 = null);
      var F = c && c.useNameLabel;
      setLabelStyle(d, C, {
        labelFetcher: f,
        labelDataIndex: s,
        defaultText: U,
        inheritColor: P,
        defaultOpacity: N.opacity
      });
      function U(V) {
        return F ? o.getName(V) : getDefaultLabel(o, V);
      }
      this._sizeX = l[0] / 2, this._sizeY = l[1] / 2;
      var R = d.ensureState("emphasis");
      R.style = p, d.ensureState("select").style = g, d.ensureState("blur").style = v;
      var H = b == null || b === !0 ? Math.max(1.1, 3 / this._sizeY) : isFinite(b) && b > 0 ? +b : 1;
      R.scaleX = this._sizeX * H, R.scaleY = this._sizeY * H, this.setSymbolScale(1), toggleHoverEmphasis(this, y, _, S);
    }, a.prototype.setSymbolScale = function(o) {
      this.scaleX = this.scaleY = o;
    }, a.prototype.fadeOut = function(o, s, l) {
      var u = this.childAt(0), c = getECData(this).dataIndex, d = l && l.animation;
      if (this.silent = u.silent = !0, l && l.fadeLabel) {
        var f = u.getTextContent();
        f && removeElement(f, {
          style: {
            opacity: 0
          }
        }, s, {
          dataIndex: c,
          removeOpt: d,
          cb: function() {
            u.removeTextContent();
          }
        });
      } else
        u.removeTextContent();
      removeElement(u, {
        style: {
          opacity: 0
        },
        scaleX: 0,
        scaleY: 0
      }, s, {
        dataIndex: c,
        cb: o,
        removeOpt: d
      });
    }, a.getSymbolSize = function(o, s) {
      return normalizeSymbolSize(o.getItemVisual(s, "symbolSize"));
    }, a;
  }(Group$3)
);
function driftSymbol(r, a) {
  this.parent.drift(r, a);
}
function symbolNeedsDraw$1(r, a, o, s) {
  return a && !isNaN(a[0]) && !isNaN(a[1]) && !(s.isIgnore && s.isIgnore(o)) && !(s.clipShape && !s.clipShape.contain(a[0], a[1])) && r.getItemVisual(o, "symbol") !== "none";
}
function normalizeUpdateOpt(r) {
  return r != null && !isObject$3(r) && (r = {
    isIgnore: r
  }), r || {};
}
function makeSeriesScope$2(r) {
  var a = r.hostModel, o = a.getModel("emphasis");
  return {
    emphasisItemStyle: o.getModel("itemStyle").getItemStyle(),
    blurItemStyle: a.getModel(["blur", "itemStyle"]).getItemStyle(),
    selectItemStyle: a.getModel(["select", "itemStyle"]).getItemStyle(),
    focus: o.get("focus"),
    blurScope: o.get("blurScope"),
    emphasisDisabled: o.get("disabled"),
    hoverScale: o.get("scale"),
    labelStatesModels: getLabelStatesModels(a),
    cursorStyle: a.get("cursor")
  };
}
var SymbolDraw = (
  /** @class */
  function() {
    function r(a) {
      this.group = new Group$3(), this._SymbolCtor = a || Symbol$1;
    }
    return r.prototype.updateData = function(a, o) {
      this._progressiveEls = null, o = normalizeUpdateOpt(o);
      var s = this.group, l = a.hostModel, u = this._data, c = this._SymbolCtor, d = o.disableAnimation, f = makeSeriesScope$2(a), p = {
        disableAnimation: d
      }, v = o.getSymbolPoint || function(g) {
        return a.getItemLayout(g);
      };
      u || s.removeAll(), a.diff(u).add(function(g) {
        var y = v(g);
        if (symbolNeedsDraw$1(a, y, g, o)) {
          var _ = new c(a, g, f, p);
          _.setPosition(y), a.setItemGraphicEl(g, _), s.add(_);
        }
      }).update(function(g, y) {
        var _ = u.getItemGraphicEl(y), S = v(g);
        if (!symbolNeedsDraw$1(a, S, g, o)) {
          s.remove(_);
          return;
        }
        var C = a.getItemVisual(g, "symbol") || "circle", b = _ && _.getSymbolType && _.getSymbolType();
        if (!_ || b && b !== C)
          s.remove(_), _ = new c(a, g, f, p), _.setPosition(S);
        else {
          _.updateData(a, g, f, p);
          var T = {
            x: S[0],
            y: S[1]
          };
          d ? _.attr(T) : updateProps$1(_, T, l);
        }
        s.add(_), a.setItemGraphicEl(g, _);
      }).remove(function(g) {
        var y = u.getItemGraphicEl(g);
        y && y.fadeOut(function() {
          s.remove(y);
        }, l);
      }).execute(), this._getSymbolPoint = v, this._data = a;
    }, r.prototype.updateLayout = function() {
      var a = this, o = this._data;
      o && o.eachItemGraphicEl(function(s, l) {
        var u = a._getSymbolPoint(l);
        s.setPosition(u), s.markRedraw();
      });
    }, r.prototype.incrementalPrepareUpdate = function(a) {
      this._seriesScope = makeSeriesScope$2(a), this._data = null, this.group.removeAll();
    }, r.prototype.incrementalUpdate = function(a, o, s) {
      this._progressiveEls = [], s = normalizeUpdateOpt(s);
      function l(f) {
        f.isGroup || (f.incremental = !0, f.ensureState("emphasis").hoverLayer = !0);
      }
      for (var u = a.start; u < a.end; u++) {
        var c = o.getItemLayout(u);
        if (symbolNeedsDraw$1(o, c, u, s)) {
          var d = new this._SymbolCtor(o, u, this._seriesScope);
          d.traverse(l), d.setPosition(c), this.group.add(d), o.setItemGraphicEl(u, d), this._progressiveEls.push(d);
        }
      }
    }, r.prototype.eachRendered = function(a) {
      traverseElements(this._progressiveEls || this.group, a);
    }, r.prototype.remove = function(a) {
      var o = this.group, s = this._data;
      s && a ? s.eachItemGraphicEl(function(l) {
        l.fadeOut(function() {
          o.remove(l);
        }, s.hostModel);
      }) : o.removeAll();
    }, r;
  }()
);
function prepareDataCoordInfo(r, a, o) {
  var s = r.getBaseAxis(), l = r.getOtherAxis(s), u = getValueStart(l, o), c = s.dim, d = l.dim, f = a.mapDimension(d), p = a.mapDimension(c), v = d === "x" || d === "radius" ? 1 : 0, g = map$1(r.dimensions, function(S) {
    return a.mapDimension(S);
  }), y = !1, _ = a.getCalculationInfo("stackResultDimension");
  return isDimensionStacked(
    a,
    g[0]
    /* , dims[1] */
  ) && (y = !0, g[0] = _), isDimensionStacked(
    a,
    g[1]
    /* , dims[0] */
  ) && (y = !0, g[1] = _), {
    dataDimsForPoint: g,
    valueStart: u,
    valueAxisDim: d,
    baseAxisDim: c,
    stacked: !!y,
    valueDim: f,
    baseDim: p,
    baseDataOffset: v,
    stackedOverDimension: a.getCalculationInfo("stackedOverDimension")
  };
}
function getValueStart(r, a) {
  var o = 0, s = r.scale.getExtent();
  return a === "start" ? o = s[0] : a === "end" ? o = s[1] : isNumber(a) && !isNaN(a) ? o = a : s[0] > 0 ? o = s[0] : s[1] < 0 && (o = s[1]), o;
}
function getStackedOnPoint(r, a, o, s) {
  var l = NaN;
  r.stacked && (l = o.get(o.getCalculationInfo("stackedOverDimension"), s)), isNaN(l) && (l = r.valueStart);
  var u = r.baseDataOffset, c = [];
  return c[u] = o.get(r.baseDim, s), c[1 - u] = l, a.dataToPoint(c);
}
function diffData(r, a) {
  var o = [];
  return a.diff(r).add(function(s) {
    o.push({
      cmd: "+",
      idx: s
    });
  }).update(function(s, l) {
    o.push({
      cmd: "=",
      idx: l,
      idx1: s
    });
  }).remove(function(s) {
    o.push({
      cmd: "-",
      idx: s
    });
  }).execute(), o;
}
function lineAnimationDiff(r, a, o, s, l, u, c, d) {
  for (var f = diffData(r, a), p = [], v = [], g = [], y = [], _ = [], S = [], C = [], b = prepareDataCoordInfo(l, a, c), T = r.getLayout("points") || [], E = a.getLayout("points") || [], x = 0; x < f.length; x++) {
    var $ = f[x], A = !0, N = void 0, P = void 0;
    switch ($.cmd) {
      case "=":
        N = $.idx * 2, P = $.idx1 * 2;
        var L = T[N], O = T[N + 1], M = E[P], F = E[P + 1];
        (isNaN(L) || isNaN(O)) && (L = M, O = F), p.push(L, O), v.push(M, F), g.push(o[N], o[N + 1]), y.push(s[P], s[P + 1]), C.push(a.getRawIndex($.idx1));
        break;
      case "+":
        var U = $.idx, R = b.dataDimsForPoint, H = l.dataToPoint([a.get(R[0], U), a.get(R[1], U)]);
        P = U * 2, p.push(H[0], H[1]), v.push(E[P], E[P + 1]);
        var V = getStackedOnPoint(b, l, a, U);
        g.push(V[0], V[1]), y.push(s[P], s[P + 1]), C.push(a.getRawIndex(U));
        break;
      case "-":
        A = !1;
    }
    A && (_.push($), S.push(S.length));
  }
  S.sort(function(Te, $e) {
    return C[Te] - C[$e];
  });
  for (var Y = p.length, G = createFloat32Array(Y), Z = createFloat32Array(Y), re = createFloat32Array(Y), de = createFloat32Array(Y), X = [], x = 0; x < S.length; x++) {
    var W = S[x], te = x * 2, ae = W * 2;
    G[te] = p[ae], G[te + 1] = p[ae + 1], Z[te] = v[ae], Z[te + 1] = v[ae + 1], re[te] = g[ae], re[te + 1] = g[ae + 1], de[te] = y[ae], de[te + 1] = y[ae + 1], X[x] = _[W];
  }
  return {
    current: G,
    next: Z,
    stackedOnCurrent: re,
    stackedOnNext: de,
    status: X
  };
}
var mathMin$5 = Math.min, mathMax$5 = Math.max;
function isPointNull$1(r, a) {
  return isNaN(r) || isNaN(a);
}
function drawSegment(r, a, o, s, l, u, c, d, f) {
  for (var p, v, g, y, _, S, C = o, b = 0; b < s; b++) {
    var T = a[C * 2], E = a[C * 2 + 1];
    if (C >= l || C < 0)
      break;
    if (isPointNull$1(T, E)) {
      if (f) {
        C += u;
        continue;
      }
      break;
    }
    if (C === o)
      r[u > 0 ? "moveTo" : "lineTo"](T, E), g = T, y = E;
    else {
      var x = T - p, $ = E - v;
      if (x * x + $ * $ < 0.5) {
        C += u;
        continue;
      }
      if (c > 0) {
        for (var A = C + u, N = a[A * 2], P = a[A * 2 + 1]; N === T && P === E && b < s; )
          b++, A += u, C += u, N = a[A * 2], P = a[A * 2 + 1], T = a[C * 2], E = a[C * 2 + 1], x = T - p, $ = E - v;
        var L = b + 1;
        if (f)
          for (; isPointNull$1(N, P) && L < s; )
            L++, A += u, N = a[A * 2], P = a[A * 2 + 1];
        var O = 0.5, M = 0, F = 0, U = void 0, R = void 0;
        if (L >= s || isPointNull$1(N, P))
          _ = T, S = E;
        else {
          M = N - p, F = P - v;
          var H = T - p, V = N - T, Y = E - v, G = P - E, Z = void 0, re = void 0;
          if (d === "x") {
            Z = Math.abs(H), re = Math.abs(V);
            var de = M > 0 ? 1 : -1;
            _ = T - de * Z * c, S = E, U = T + de * re * c, R = E;
          } else if (d === "y") {
            Z = Math.abs(Y), re = Math.abs(G);
            var X = F > 0 ? 1 : -1;
            _ = T, S = E - X * Z * c, U = T, R = E + X * re * c;
          } else
            Z = Math.sqrt(H * H + Y * Y), re = Math.sqrt(V * V + G * G), O = re / (re + Z), _ = T - M * c * (1 - O), S = E - F * c * (1 - O), U = T + M * c * O, R = E + F * c * O, U = mathMin$5(U, mathMax$5(N, T)), R = mathMin$5(R, mathMax$5(P, E)), U = mathMax$5(U, mathMin$5(N, T)), R = mathMax$5(R, mathMin$5(P, E)), M = U - T, F = R - E, _ = T - M * Z / re, S = E - F * Z / re, _ = mathMin$5(_, mathMax$5(p, T)), S = mathMin$5(S, mathMax$5(v, E)), _ = mathMax$5(_, mathMin$5(p, T)), S = mathMax$5(S, mathMin$5(v, E)), M = T - _, F = E - S, U = T + M * re / Z, R = E + F * re / Z;
        }
        r.bezierCurveTo(g, y, _, S, T, E), g = U, y = R;
      } else
        r.lineTo(T, E);
    }
    p = T, v = E, C += u;
  }
  return b;
}
var ECPolylineShape = (
  /** @class */
  /* @__PURE__ */ function() {
    function r() {
      this.smooth = 0, this.smoothConstraint = !0;
    }
    return r;
  }()
), ECPolyline = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      var s = r.call(this, o) || this;
      return s.type = "ec-polyline", s;
    }
    return a.prototype.getDefaultStyle = function() {
      return {
        stroke: "#000",
        fill: null
      };
    }, a.prototype.getDefaultShape = function() {
      return new ECPolylineShape();
    }, a.prototype.buildPath = function(o, s) {
      var l = s.points, u = 0, c = l.length / 2;
      if (s.connectNulls) {
        for (; c > 0 && isPointNull$1(l[c * 2 - 2], l[c * 2 - 1]); c--)
          ;
        for (; u < c && isPointNull$1(l[u * 2], l[u * 2 + 1]); u++)
          ;
      }
      for (; u < c; )
        u += drawSegment(o, l, u, c, c, 1, s.smooth, s.smoothMonotone, s.connectNulls) + 1;
    }, a.prototype.getPointOn = function(o, s) {
      this.path || (this.createPathProxy(), this.buildPath(this.path, this.shape));
      for (var l = this.path, u = l.data, c = PathProxy.CMD, d, f, p = s === "x", v = [], g = 0; g < u.length; ) {
        var y = u[g++], _ = void 0, S = void 0, C = void 0, b = void 0, T = void 0, E = void 0, x = void 0;
        switch (y) {
          case c.M:
            d = u[g++], f = u[g++];
            break;
          case c.L:
            if (_ = u[g++], S = u[g++], x = p ? (o - d) / (_ - d) : (o - f) / (S - f), x <= 1 && x >= 0) {
              var $ = p ? (S - f) * x + f : (_ - d) * x + d;
              return p ? [o, $] : [$, o];
            }
            d = _, f = S;
            break;
          case c.C:
            _ = u[g++], S = u[g++], C = u[g++], b = u[g++], T = u[g++], E = u[g++];
            var A = p ? cubicRootAt(d, _, C, T, o, v) : cubicRootAt(f, S, b, E, o, v);
            if (A > 0)
              for (var N = 0; N < A; N++) {
                var P = v[N];
                if (P <= 1 && P >= 0) {
                  var $ = p ? cubicAt(f, S, b, E, P) : cubicAt(d, _, C, T, P);
                  return p ? [o, $] : [$, o];
                }
              }
            d = T, f = E;
            break;
        }
      }
    }, a;
  }(Path)
), ECPolygonShape = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a;
  }(ECPolylineShape)
), ECPolygon = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      var s = r.call(this, o) || this;
      return s.type = "ec-polygon", s;
    }
    return a.prototype.getDefaultShape = function() {
      return new ECPolygonShape();
    }, a.prototype.buildPath = function(o, s) {
      var l = s.points, u = s.stackedOnPoints, c = 0, d = l.length / 2, f = s.smoothMonotone;
      if (s.connectNulls) {
        for (; d > 0 && isPointNull$1(l[d * 2 - 2], l[d * 2 - 1]); d--)
          ;
        for (; c < d && isPointNull$1(l[c * 2], l[c * 2 + 1]); c++)
          ;
      }
      for (; c < d; ) {
        var p = drawSegment(o, l, c, d, d, 1, s.smooth, f, s.connectNulls);
        drawSegment(o, u, c + p - 1, p, d, -1, s.stackedOnSmooth, f, s.connectNulls), c += p + 1, o.closePath();
      }
    }, a;
  }(Path)
);
function createGridClipPath(r, a, o, s, l) {
  var u = r.getArea(), c = u.x, d = u.y, f = u.width, p = u.height, v = o.get(["lineStyle", "width"]) || 0;
  c -= v / 2, d -= v / 2, f += v, p += v, f = Math.ceil(f), c !== Math.floor(c) && (c = Math.floor(c), f++);
  var g = new Rect$2({
    shape: {
      x: c,
      y: d,
      width: f,
      height: p
    }
  });
  if (a) {
    var y = r.getBaseAxis(), _ = y.isHorizontal(), S = y.inverse;
    _ ? (S && (g.shape.x += f), g.shape.width = 0) : (S || (g.shape.y += p), g.shape.height = 0);
    var C = isFunction(l) ? function(b) {
      l(b, g);
    } : null;
    initProps(g, {
      shape: {
        width: f,
        height: p,
        x: c,
        y: d
      }
    }, o, null, s, C);
  }
  return g;
}
function createPolarClipPath(r, a, o) {
  var s = r.getArea(), l = round$3(s.r0, 1), u = round$3(s.r, 1), c = new Sector({
    shape: {
      cx: round$3(r.cx, 1),
      cy: round$3(r.cy, 1),
      r0: l,
      r: u,
      startAngle: s.startAngle,
      endAngle: s.endAngle,
      clockwise: s.clockwise
    }
  });
  if (a) {
    var d = r.getBaseAxis().dim === "angle";
    d ? c.shape.endAngle = s.startAngle : c.shape.r = l, initProps(c, {
      shape: {
        endAngle: s.endAngle,
        r: u
      }
    }, o);
  }
  return c;
}
function createClipPath(r, a, o, s, l) {
  if (r) {
    if (r.type === "polar")
      return createPolarClipPath(r, a, o);
    if (r.type === "cartesian2d")
      return createGridClipPath(r, a, o, s, l);
  } else return null;
  return null;
}
function isCoordinateSystemType(r, a) {
  return r.type === a;
}
function isPointsSame(r, a) {
  if (r.length === a.length) {
    for (var o = 0; o < r.length; o++)
      if (r[o] !== a[o])
        return;
    return !0;
  }
}
function bboxFromPoints(r) {
  for (var a = 1 / 0, o = 1 / 0, s = -1 / 0, l = -1 / 0, u = 0; u < r.length; ) {
    var c = r[u++], d = r[u++];
    isNaN(c) || (a = Math.min(c, a), s = Math.max(c, s)), isNaN(d) || (o = Math.min(d, o), l = Math.max(d, l));
  }
  return [[a, o], [s, l]];
}
function getBoundingDiff(r, a) {
  var o = bboxFromPoints(r), s = o[0], l = o[1], u = bboxFromPoints(a), c = u[0], d = u[1];
  return Math.max(Math.abs(s[0] - c[0]), Math.abs(s[1] - c[1]), Math.abs(l[0] - d[0]), Math.abs(l[1] - d[1]));
}
function getSmooth(r) {
  return isNumber(r) ? r : r ? 0.5 : 0;
}
function getStackedOnPoints(r, a, o) {
  if (!o.valueDim)
    return [];
  for (var s = a.count(), l = createFloat32Array(s * 2), u = 0; u < s; u++) {
    var c = getStackedOnPoint(o, r, a, u);
    l[u * 2] = c[0], l[u * 2 + 1] = c[1];
  }
  return l;
}
function turnPointsIntoStep(r, a, o, s, l) {
  var u = o.getBaseAxis(), c = u.dim === "x" || u.dim === "radius" ? 0 : 1, d = [], f = 0, p = [], v = [], g = [], y = [];
  if (l) {
    for (f = 0; f < r.length; f += 2) {
      var _ = a || r;
      !isNaN(_[f]) && !isNaN(_[f + 1]) && y.push(r[f], r[f + 1]);
    }
    r = y;
  }
  for (f = 0; f < r.length - 2; f += 2)
    switch (g[0] = r[f + 2], g[1] = r[f + 3], v[0] = r[f], v[1] = r[f + 1], d.push(v[0], v[1]), s) {
      case "end":
        p[c] = g[c], p[1 - c] = v[1 - c], d.push(p[0], p[1]);
        break;
      case "middle":
        var S = (v[c] + g[c]) / 2, C = [];
        p[c] = C[c] = S, p[1 - c] = v[1 - c], C[1 - c] = g[1 - c], d.push(p[0], p[1]), d.push(C[0], C[1]);
        break;
      default:
        p[c] = v[c], p[1 - c] = g[1 - c], d.push(p[0], p[1]);
    }
  return d.push(r[f++], r[f++]), d;
}
function clipColorStops(r, a) {
  var o = [], s = r.length, l, u;
  function c(v, g, y) {
    var _ = v.coord, S = (y - _) / (g.coord - _), C = lerp(S, [v.color, g.color]);
    return {
      coord: y,
      color: C
    };
  }
  for (var d = 0; d < s; d++) {
    var f = r[d], p = f.coord;
    if (p < 0)
      l = f;
    else if (p > a) {
      u ? o.push(c(u, f, a)) : l && o.push(c(l, f, 0), c(l, f, a));
      break;
    } else
      l && (o.push(c(l, f, 0)), l = null), o.push(f), u = f;
  }
  return o;
}
function getVisualGradient(r, a, o) {
  var s = r.getVisual("visualMeta");
  if (!(!s || !s.length || !r.count())) {
    if (a.type !== "cartesian2d") {
      process.env.NODE_ENV !== "production" && console.warn("Visual map on line style is only supported on cartesian2d.");
      return;
    }
    for (var l, u, c = s.length - 1; c >= 0; c--) {
      var d = r.getDimensionInfo(s[c].dimension);
      if (l = d && d.coordDim, l === "x" || l === "y") {
        u = s[c];
        break;
      }
    }
    if (!u) {
      process.env.NODE_ENV !== "production" && console.warn("Visual map on line style only support x or y dimension.");
      return;
    }
    var f = a.getAxis(l), p = map$1(u.stops, function(x) {
      return {
        coord: f.toGlobalCoord(f.dataToCoord(x.value)),
        color: x.color
      };
    }), v = p.length, g = u.outerColors.slice();
    v && p[0].coord > p[v - 1].coord && (p.reverse(), g.reverse());
    var y = clipColorStops(p, l === "x" ? o.getWidth() : o.getHeight()), _ = y.length;
    if (!_ && v)
      return p[0].coord < 0 ? g[1] ? g[1] : p[v - 1].color : g[0] ? g[0] : p[0].color;
    var S = 10, C = y[0].coord - S, b = y[_ - 1].coord + S, T = b - C;
    if (T < 1e-3)
      return "transparent";
    each$f(y, function(x) {
      x.offset = (x.coord - C) / T;
    }), y.push({
      // NOTE: inRangeStopLen may still be 0 if stoplen is zero.
      offset: _ ? y[_ - 1].offset : 0.5,
      color: g[1] || "transparent"
    }), y.unshift({
      offset: _ ? y[0].offset : 0.5,
      color: g[0] || "transparent"
    });
    var E = new LinearGradient(0, 0, 0, 0, y, !0);
    return E[l] = C, E[l + "2"] = b, E;
  }
}
function getIsIgnoreFunc(r, a, o) {
  var s = r.get("showAllSymbol"), l = s === "auto";
  if (!(s && !l)) {
    var u = o.getAxesByScale("ordinal")[0];
    if (u && !(l && canShowAllSymbolForCategory(u, a))) {
      var c = a.mapDimension(u.dim), d = {};
      return each$f(u.getViewLabels(), function(f) {
        var p = u.scale.getRawOrdinalNumber(f.tickValue);
        d[p] = 1;
      }), function(f) {
        return !d.hasOwnProperty(a.get(c, f));
      };
    }
  }
}
function canShowAllSymbolForCategory(r, a) {
  var o = r.getExtent(), s = Math.abs(o[1] - o[0]) / r.scale.count();
  isNaN(s) && (s = 0);
  for (var l = a.count(), u = Math.max(1, Math.round(l / 5)), c = 0; c < l; c += u)
    if (Symbol$1.getSymbolSize(
      a,
      c
      // Only for cartesian, where `isHorizontal` exists.
    )[r.isHorizontal() ? 1 : 0] * 1.5 > s)
      return !1;
  return !0;
}
function isPointNull(r, a) {
  return isNaN(r) || isNaN(a);
}
function getLastIndexNotNull(r) {
  for (var a = r.length / 2; a > 0 && isPointNull(r[a * 2 - 2], r[a * 2 - 1]); a--)
    ;
  return a - 1;
}
function getPointAtIndex(r, a) {
  return [r[a * 2], r[a * 2 + 1]];
}
function getIndexRange(r, a, o) {
  for (var s = r.length / 2, l = o === "x" ? 0 : 1, u, c, d = 0, f = -1, p = 0; p < s; p++)
    if (c = r[p * 2 + l], !(isNaN(c) || isNaN(r[p * 2 + 1 - l]))) {
      if (p === 0) {
        u = c;
        continue;
      }
      if (u <= a && c >= a || u >= a && c <= a) {
        f = p;
        break;
      }
      d = p, u = c;
    }
  return {
    range: [d, f],
    t: (a - u) / (c - u)
  };
}
function anyStateShowEndLabel(r) {
  if (r.get(["endLabel", "show"]))
    return !0;
  for (var a = 0; a < SPECIAL_STATES.length; a++)
    if (r.get([SPECIAL_STATES[a], "endLabel", "show"]))
      return !0;
  return !1;
}
function createLineClipPath(r, a, o, s) {
  if (isCoordinateSystemType(a, "cartesian2d")) {
    var l = s.getModel("endLabel"), u = l.get("valueAnimation"), c = s.getData(), d = {
      lastFrameIndex: 0
    }, f = anyStateShowEndLabel(s) ? function(_, S) {
      r._endLabelOnDuring(_, S, c, d, u, l, a);
    } : null, p = a.getBaseAxis().isHorizontal(), v = createGridClipPath(a, o, s, function() {
      var _ = r._endLabel;
      _ && o && d.originalX != null && _.attr({
        x: d.originalX,
        y: d.originalY
      });
    }, f);
    if (!s.get("clip", !0)) {
      var g = v.shape, y = Math.max(g.width, g.height);
      p ? (g.y -= y, g.height += y * 2) : (g.x -= y, g.width += y * 2);
    }
    return f && f(1, v), v;
  } else
    return process.env.NODE_ENV !== "production" && s.get(["endLabel", "show"]) && console.warn("endLabel is not supported for lines in polar systems."), createPolarClipPath(a, o, s);
}
function getEndLabelStateSpecified(r, a) {
  var o = a.getBaseAxis(), s = o.isHorizontal(), l = o.inverse, u = s ? l ? "right" : "left" : "center", c = s ? "middle" : l ? "top" : "bottom";
  return {
    normal: {
      align: r.get("align") || u,
      verticalAlign: r.get("verticalAlign") || c
    }
  };
}
var LineView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a.prototype.init = function() {
      var o = new Group$3(), s = new SymbolDraw();
      this.group.add(s.group), this._symbolDraw = s, this._lineGroup = o, this._changePolyState = bind$1(this._changePolyState, this);
    }, a.prototype.render = function(o, s, l) {
      var u = o.coordinateSystem, c = this.group, d = o.getData(), f = o.getModel("lineStyle"), p = o.getModel("areaStyle"), v = d.getLayout("points") || [], g = u.type === "polar", y = this._coordSys, _ = this._symbolDraw, S = this._polyline, C = this._polygon, b = this._lineGroup, T = !s.ssr && o.get("animation"), E = !p.isEmpty(), x = p.get("origin"), $ = prepareDataCoordInfo(u, d, x), A = E && getStackedOnPoints(u, d, $), N = o.get("showSymbol"), P = o.get("connectNulls"), L = N && !g && getIsIgnoreFunc(o, d, u), O = this._data;
      O && O.eachItemGraphicEl(function(Te, $e) {
        Te.__temp && (c.remove(Te), O.setItemGraphicEl($e, null));
      }), N || _.remove(), c.add(b);
      var M = g ? !1 : o.get("step"), F;
      u && u.getArea && o.get("clip", !0) && (F = u.getArea(), F.width != null ? (F.x -= 0.1, F.y -= 0.1, F.width += 0.2, F.height += 0.2) : F.r0 && (F.r0 -= 0.5, F.r += 0.5)), this._clipShapeForSymbol = F;
      var U = getVisualGradient(d, u, l) || d.getVisual("style")[d.getVisual("drawType")];
      if (!(S && y.type === u.type && M === this._step))
        N && _.updateData(d, {
          isIgnore: L,
          clipShape: F,
          disableAnimation: !0,
          getSymbolPoint: function(Te) {
            return [v[Te * 2], v[Te * 2 + 1]];
          }
        }), T && this._initSymbolLabelAnimation(d, u, F), M && (A && (A = turnPointsIntoStep(A, v, u, M, P)), v = turnPointsIntoStep(v, null, u, M, P)), S = this._newPolyline(v), E ? C = this._newPolygon(v, A) : C && (b.remove(C), C = this._polygon = null), g || this._initOrUpdateEndLabel(o, u, convertToColorString(U)), b.setClipPath(createLineClipPath(this, u, !0, o));
      else {
        E && !C ? C = this._newPolygon(v, A) : C && !E && (b.remove(C), C = this._polygon = null), g || this._initOrUpdateEndLabel(o, u, convertToColorString(U));
        var R = b.getClipPath();
        if (R) {
          var H = createLineClipPath(this, u, !1, o);
          initProps(R, {
            shape: H.shape
          }, o);
        } else
          b.setClipPath(createLineClipPath(this, u, !0, o));
        N && _.updateData(d, {
          isIgnore: L,
          clipShape: F,
          disableAnimation: !0,
          getSymbolPoint: function(Te) {
            return [v[Te * 2], v[Te * 2 + 1]];
          }
        }), (!isPointsSame(this._stackedOnPoints, A) || !isPointsSame(this._points, v)) && (T ? this._doUpdateAnimation(d, A, u, l, M, x, P) : (M && (A && (A = turnPointsIntoStep(A, v, u, M, P)), v = turnPointsIntoStep(v, null, u, M, P)), S.setShape({
          points: v
        }), C && C.setShape({
          points: v,
          stackedOnPoints: A
        })));
      }
      var V = o.getModel("emphasis"), Y = V.get("focus"), G = V.get("blurScope"), Z = V.get("disabled");
      if (S.useStyle(defaults(
        // Use color in lineStyle first
        f.getLineStyle(),
        {
          fill: "none",
          stroke: U,
          lineJoin: "bevel"
        }
      )), setStatesStylesFromModel(S, o, "lineStyle"), S.style.lineWidth > 0 && o.get(["emphasis", "lineStyle", "width"]) === "bolder") {
        var re = S.getState("emphasis").style;
        re.lineWidth = +S.style.lineWidth + 1;
      }
      getECData(S).seriesIndex = o.seriesIndex, toggleHoverEmphasis(S, Y, G, Z);
      var de = getSmooth(o.get("smooth")), X = o.get("smoothMonotone");
      if (S.setShape({
        smooth: de,
        smoothMonotone: X,
        connectNulls: P
      }), C) {
        var W = d.getCalculationInfo("stackedOnSeries"), te = 0;
        C.useStyle(defaults(p.getAreaStyle(), {
          fill: U,
          opacity: 0.7,
          lineJoin: "bevel",
          decal: d.getVisual("style").decal
        })), W && (te = getSmooth(W.get("smooth"))), C.setShape({
          smooth: de,
          stackedOnSmooth: te,
          smoothMonotone: X,
          connectNulls: P
        }), setStatesStylesFromModel(C, o, "areaStyle"), getECData(C).seriesIndex = o.seriesIndex, toggleHoverEmphasis(C, Y, G, Z);
      }
      var ae = this._changePolyState;
      d.eachItemGraphicEl(function(Te) {
        Te && (Te.onHoverStateChange = ae);
      }), this._polyline.onHoverStateChange = ae, this._data = d, this._coordSys = u, this._stackedOnPoints = A, this._points = v, this._step = M, this._valueOrigin = x, o.get("triggerLineEvent") && (this.packEventData(o, S), C && this.packEventData(o, C));
    }, a.prototype.packEventData = function(o, s) {
      getECData(s).eventData = {
        componentType: "series",
        componentSubType: "line",
        componentIndex: o.componentIndex,
        seriesIndex: o.seriesIndex,
        seriesName: o.name,
        seriesType: "line"
      };
    }, a.prototype.highlight = function(o, s, l, u) {
      var c = o.getData(), d = queryDataIndex(c, u);
      if (this._changePolyState("emphasis"), !(d instanceof Array) && d != null && d >= 0) {
        var f = c.getLayout("points"), p = c.getItemGraphicEl(d);
        if (!p) {
          var v = f[d * 2], g = f[d * 2 + 1];
          if (isNaN(v) || isNaN(g) || this._clipShapeForSymbol && !this._clipShapeForSymbol.contain(v, g))
            return;
          var y = o.get("zlevel") || 0, _ = o.get("z") || 0;
          p = new Symbol$1(c, d), p.x = v, p.y = g, p.setZ(y, _);
          var S = p.getSymbolPath().getTextContent();
          S && (S.zlevel = y, S.z = _, S.z2 = this._polyline.z2 + 1), p.__temp = !0, c.setItemGraphicEl(d, p), p.stopSymbolAnimation(!0), this.group.add(p);
        }
        p.highlight();
      } else
        ChartView.prototype.highlight.call(this, o, s, l, u);
    }, a.prototype.downplay = function(o, s, l, u) {
      var c = o.getData(), d = queryDataIndex(c, u);
      if (this._changePolyState("normal"), d != null && d >= 0) {
        var f = c.getItemGraphicEl(d);
        f && (f.__temp ? (c.setItemGraphicEl(d, null), this.group.remove(f)) : f.downplay());
      } else
        ChartView.prototype.downplay.call(this, o, s, l, u);
    }, a.prototype._changePolyState = function(o) {
      var s = this._polygon;
      setStatesFlag(this._polyline, o), s && setStatesFlag(s, o);
    }, a.prototype._newPolyline = function(o) {
      var s = this._polyline;
      return s && this._lineGroup.remove(s), s = new ECPolyline({
        shape: {
          points: o
        },
        segmentIgnoreThreshold: 2,
        z2: 10
      }), this._lineGroup.add(s), this._polyline = s, s;
    }, a.prototype._newPolygon = function(o, s) {
      var l = this._polygon;
      return l && this._lineGroup.remove(l), l = new ECPolygon({
        shape: {
          points: o,
          stackedOnPoints: s
        },
        segmentIgnoreThreshold: 2
      }), this._lineGroup.add(l), this._polygon = l, l;
    }, a.prototype._initSymbolLabelAnimation = function(o, s, l) {
      var u, c, d = s.getBaseAxis(), f = d.inverse;
      s.type === "cartesian2d" ? (u = d.isHorizontal(), c = !1) : s.type === "polar" && (u = d.dim === "angle", c = !0);
      var p = o.hostModel, v = p.get("animationDuration");
      isFunction(v) && (v = v(null));
      var g = p.get("animationDelay") || 0, y = isFunction(g) ? g(null) : g;
      o.eachItemGraphicEl(function(_, S) {
        var C = _;
        if (C) {
          var b = [_.x, _.y], T = void 0, E = void 0, x = void 0;
          if (l)
            if (c) {
              var $ = l, A = s.pointToCoord(b);
              u ? (T = $.startAngle, E = $.endAngle, x = -A[1] / 180 * Math.PI) : (T = $.r0, E = $.r, x = A[0]);
            } else {
              var N = l;
              u ? (T = N.x, E = N.x + N.width, x = _.x) : (T = N.y + N.height, E = N.y, x = _.y);
            }
          var P = E === T ? 0 : (x - T) / (E - T);
          f && (P = 1 - P);
          var L = isFunction(g) ? g(S) : v * P + y, O = C.getSymbolPath(), M = O.getTextContent();
          C.attr({
            scaleX: 0,
            scaleY: 0
          }), C.animateTo({
            scaleX: 1,
            scaleY: 1
          }, {
            duration: 200,
            setToFinal: !0,
            delay: L
          }), M && M.animateFrom({
            style: {
              opacity: 0
            }
          }, {
            duration: 300,
            delay: L
          }), O.disableLabelAnimation = !0;
        }
      });
    }, a.prototype._initOrUpdateEndLabel = function(o, s, l) {
      var u = o.getModel("endLabel");
      if (anyStateShowEndLabel(o)) {
        var c = o.getData(), d = this._polyline, f = c.getLayout("points");
        if (!f) {
          d.removeTextContent(), this._endLabel = null;
          return;
        }
        var p = this._endLabel;
        p || (p = this._endLabel = new ZRText({
          z2: 200
          // should be higher than item symbol
        }), p.ignoreClip = !0, d.setTextContent(this._endLabel), d.disableLabelAnimation = !0);
        var v = getLastIndexNotNull(f);
        v >= 0 && (setLabelStyle(d, getLabelStatesModels(o, "endLabel"), {
          inheritColor: l,
          labelFetcher: o,
          labelDataIndex: v,
          defaultText: function(g, y, _) {
            return _ != null ? getDefaultInterpolatedLabel(c, _) : getDefaultLabel(c, g);
          },
          enableTextSetter: !0
        }, getEndLabelStateSpecified(u, s)), d.textConfig.position = null);
      } else this._endLabel && (this._polyline.removeTextContent(), this._endLabel = null);
    }, a.prototype._endLabelOnDuring = function(o, s, l, u, c, d, f) {
      var p = this._endLabel, v = this._polyline;
      if (p) {
        o < 1 && u.originalX == null && (u.originalX = p.x, u.originalY = p.y);
        var g = l.getLayout("points"), y = l.hostModel, _ = y.get("connectNulls"), S = d.get("precision"), C = d.get("distance") || 0, b = f.getBaseAxis(), T = b.isHorizontal(), E = b.inverse, x = s.shape, $ = E ? T ? x.x : x.y + x.height : T ? x.x + x.width : x.y, A = (T ? C : 0) * (E ? -1 : 1), N = (T ? 0 : -C) * (E ? -1 : 1), P = T ? "x" : "y", L = getIndexRange(g, $, P), O = L.range, M = O[1] - O[0], F = void 0;
        if (M >= 1) {
          if (M > 1 && !_) {
            var U = getPointAtIndex(g, O[0]);
            p.attr({
              x: U[0] + A,
              y: U[1] + N
            }), c && (F = y.getRawValue(O[0]));
          } else {
            var U = v.getPointOn($, P);
            U && p.attr({
              x: U[0] + A,
              y: U[1] + N
            });
            var R = y.getRawValue(O[0]), H = y.getRawValue(O[1]);
            c && (F = interpolateRawValues(l, S, R, H, L.t));
          }
          u.lastFrameIndex = O[0];
        } else {
          var V = o === 1 || u.lastFrameIndex > 0 ? O[0] : 0, U = getPointAtIndex(g, V);
          c && (F = y.getRawValue(V)), p.attr({
            x: U[0] + A,
            y: U[1] + N
          });
        }
        if (c) {
          var Y = labelInner(p);
          typeof Y.setLabelText == "function" && Y.setLabelText(F);
        }
      }
    }, a.prototype._doUpdateAnimation = function(o, s, l, u, c, d, f) {
      var p = this._polyline, v = this._polygon, g = o.hostModel, y = lineAnimationDiff(this._data, o, this._stackedOnPoints, s, this._coordSys, l, this._valueOrigin), _ = y.current, S = y.stackedOnCurrent, C = y.next, b = y.stackedOnNext;
      if (c && (S = turnPointsIntoStep(y.stackedOnCurrent, y.current, l, c, f), _ = turnPointsIntoStep(y.current, null, l, c, f), b = turnPointsIntoStep(y.stackedOnNext, y.next, l, c, f), C = turnPointsIntoStep(y.next, null, l, c, f)), getBoundingDiff(_, C) > 3e3 || v && getBoundingDiff(S, b) > 3e3) {
        p.stopAnimation(), p.setShape({
          points: C
        }), v && (v.stopAnimation(), v.setShape({
          points: C,
          stackedOnPoints: b
        }));
        return;
      }
      p.shape.__points = y.current, p.shape.points = _;
      var T = {
        shape: {
          points: C
        }
      };
      y.current !== _ && (T.shape.__points = y.next), p.stopAnimation(), updateProps$1(p, T, g), v && (v.setShape({
        // Reuse the points with polyline.
        points: _,
        stackedOnPoints: S
      }), v.stopAnimation(), updateProps$1(v, {
        shape: {
          stackedOnPoints: b
        }
      }, g), p.shape.points !== v.shape.points && (v.shape.points = p.shape.points));
      for (var E = [], x = y.status, $ = 0; $ < x.length; $++) {
        var A = x[$].cmd;
        if (A === "=") {
          var N = o.getItemGraphicEl(x[$].idx1);
          N && E.push({
            el: N,
            ptIdx: $
            // Index of points
          });
        }
      }
      p.animators && p.animators.length && p.animators[0].during(function() {
        v && v.dirtyShape();
        for (var P = p.shape.__points, L = 0; L < E.length; L++) {
          var O = E[L].el, M = E[L].ptIdx * 2;
          O.x = P[M], O.y = P[M + 1], O.markRedraw();
        }
      });
    }, a.prototype.remove = function(o) {
      var s = this.group, l = this._data;
      this._lineGroup.removeAll(), this._symbolDraw.remove(!0), l && l.eachItemGraphicEl(function(u, c) {
        u.__temp && (s.remove(u), l.setItemGraphicEl(c, null));
      }), this._polyline = this._polygon = this._coordSys = this._points = this._stackedOnPoints = this._endLabel = this._data = null;
    }, a.type = "line", a;
  }(ChartView)
);
function pointsLayout(r, a) {
  return {
    seriesType: r,
    plan: createRenderPlanner(),
    reset: function(o) {
      var s = o.getData(), l = o.coordinateSystem, u = o.pipelineContext, c = a || u.large;
      if (l) {
        var d = map$1(l.dimensions, function(_) {
          return s.mapDimension(_);
        }).slice(0, 2), f = d.length, p = s.getCalculationInfo("stackResultDimension");
        isDimensionStacked(s, d[0]) && (d[0] = p), isDimensionStacked(s, d[1]) && (d[1] = p);
        var v = s.getStore(), g = s.getDimensionIndex(d[0]), y = s.getDimensionIndex(d[1]);
        return f && {
          progress: function(_, S) {
            for (var C = _.end - _.start, b = c && createFloat32Array(C * f), T = [], E = [], x = _.start, $ = 0; x < _.end; x++) {
              var A = void 0;
              if (f === 1) {
                var N = v.get(g, x);
                A = l.dataToPoint(N, null, E);
              } else
                T[0] = v.get(g, x), T[1] = v.get(y, x), A = l.dataToPoint(T, null, E);
              c ? (b[$++] = A[0], b[$++] = A[1]) : S.setItemLayout(x, A.slice());
            }
            c && S.setLayout("points", b);
          }
        };
      }
    }
  };
}
var samplers = {
  average: function(r) {
    for (var a = 0, o = 0, s = 0; s < r.length; s++)
      isNaN(r[s]) || (a += r[s], o++);
    return o === 0 ? NaN : a / o;
  },
  sum: function(r) {
    for (var a = 0, o = 0; o < r.length; o++)
      a += r[o] || 0;
    return a;
  },
  max: function(r) {
    for (var a = -1 / 0, o = 0; o < r.length; o++)
      r[o] > a && (a = r[o]);
    return isFinite(a) ? a : NaN;
  },
  min: function(r) {
    for (var a = 1 / 0, o = 0; o < r.length; o++)
      r[o] < a && (a = r[o]);
    return isFinite(a) ? a : NaN;
  },
  // TODO
  // Median
  nearest: function(r) {
    return r[0];
  }
}, indexSampler = function(r) {
  return Math.round(r.length / 2);
};
function dataSample(r) {
  return {
    seriesType: r,
    // FIXME:TS never used, so comment it
    // modifyOutputEnd: true,
    reset: function(a, o, s) {
      var l = a.getData(), u = a.get("sampling"), c = a.coordinateSystem, d = l.count();
      if (d > 10 && c.type === "cartesian2d" && u) {
        var f = c.getBaseAxis(), p = c.getOtherAxis(f), v = f.getExtent(), g = s.getDevicePixelRatio(), y = Math.abs(v[1] - v[0]) * (g || 1), _ = Math.round(d / y);
        if (isFinite(_) && _ > 1) {
          u === "lttb" ? a.setData(l.lttbDownSample(l.mapDimension(p.dim), 1 / _)) : u === "minmax" && a.setData(l.minmaxDownSample(l.mapDimension(p.dim), 1 / _));
          var S = void 0;
          isString(u) ? S = samplers[u] : isFunction(u) && (S = u), S && a.setData(l.downSample(l.mapDimension(p.dim), 1 / _, S, indexSampler));
        }
      }
    }
  };
}
function install$R(r) {
  r.registerChartView(LineView), r.registerSeriesModel(LineSeriesModel), r.registerLayout(pointsLayout("line", !0)), r.registerVisual({
    seriesType: "line",
    reset: function(a) {
      var o = a.getData(), s = a.getModel("lineStyle").getLineStyle();
      s && !s.stroke && (s.stroke = o.getVisual("style").fill), o.setVisual("legendLineStyle", s);
    }
  }), r.registerProcessor(r.PRIORITY.PROCESSOR.STATISTIC, dataSample("line"));
}
var BaseBarSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.getInitialData = function(o, s) {
      return createSeriesData(null, this, {
        useEncodeDefaulter: !0
      });
    }, a.prototype.getMarkerPosition = function(o, s, l) {
      var u = this.coordinateSystem;
      if (u && u.clampData) {
        var c = u.clampData(o), d = u.dataToPoint(c);
        if (l)
          each$f(u.getAxes(), function(y, _) {
            if (y.type === "category" && s != null) {
              var S = y.getTicksCoords(), C = y.getTickModel().get("alignWithLabel"), b = c[_], T = s[_] === "x1" || s[_] === "y1";
              if (T && !C && (b += 1), S.length < 2)
                return;
              if (S.length === 2) {
                d[_] = y.toGlobalCoord(y.getExtent()[T ? 1 : 0]);
                return;
              }
              for (var E = void 0, x = void 0, $ = 1, A = 0; A < S.length; A++) {
                var N = S[A].coord, P = A === S.length - 1 ? S[A - 1].tickValue + $ : S[A].tickValue;
                if (P === b) {
                  x = N;
                  break;
                } else if (P < b)
                  E = N;
                else if (E != null && P > b) {
                  x = (N + E) / 2;
                  break;
                }
                A === 1 && ($ = P - S[0].tickValue);
              }
              x == null && (E ? E && (x = S[S.length - 1].coord) : x = S[0].coord), d[_] = y.toGlobalCoord(x);
            }
          });
        else {
          var f = this.getData(), p = f.getLayout("offset"), v = f.getLayout("size"), g = u.getBaseAxis().isHorizontal() ? 0 : 1;
          d[g] += p + v / 2;
        }
        return d;
      }
      return [NaN, NaN];
    }, a.type = "series.__base_bar__", a.defaultOption = {
      // zlevel: 0,
      z: 2,
      coordinateSystem: "cartesian2d",
      legendHoverLink: !0,
      // stack: null
      // Cartesian coordinate system
      // xAxisIndex: 0,
      // yAxisIndex: 0,
      barMinHeight: 0,
      barMinAngle: 0,
      // cursor: null,
      large: !1,
      largeThreshold: 400,
      progressive: 3e3,
      progressiveChunkMode: "mod"
    }, a;
  }(SeriesModel)
);
SeriesModel.registerClass(BaseBarSeriesModel);
var BarSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.getInitialData = function() {
      return createSeriesData(null, this, {
        useEncodeDefaulter: !0,
        createInvertedIndices: !!this.get("realtimeSort", !0) || null
      });
    }, a.prototype.getProgressive = function() {
      return this.get("large") ? this.get("progressive") : !1;
    }, a.prototype.getProgressiveThreshold = function() {
      var o = this.get("progressiveThreshold"), s = this.get("largeThreshold");
      return s > o && (o = s), o;
    }, a.prototype.brushSelector = function(o, s, l) {
      return l.rect(s.getItemLayout(o));
    }, a.type = "series.bar", a.dependencies = ["grid", "polar"], a.defaultOption = inheritDefaultOption(BaseBarSeriesModel.defaultOption, {
      // If clipped
      // Only available on cartesian2d
      clip: !0,
      roundCap: !1,
      showBackground: !1,
      backgroundStyle: {
        color: "rgba(180, 180, 180, 0.2)",
        borderColor: null,
        borderWidth: 0,
        borderType: "solid",
        borderRadius: 0,
        shadowBlur: 0,
        shadowColor: null,
        shadowOffsetX: 0,
        shadowOffsetY: 0,
        opacity: 1
      },
      select: {
        itemStyle: {
          borderColor: "#212121"
        }
      },
      realtimeSort: !1
    }), a;
  }(BaseBarSeriesModel)
), SausageShape = (
  /** @class */
  /* @__PURE__ */ function() {
    function r() {
      this.cx = 0, this.cy = 0, this.r0 = 0, this.r = 0, this.startAngle = 0, this.endAngle = Math.PI * 2, this.clockwise = !0;
    }
    return r;
  }()
), SausagePath = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      var s = r.call(this, o) || this;
      return s.type = "sausage", s;
    }
    return a.prototype.getDefaultShape = function() {
      return new SausageShape();
    }, a.prototype.buildPath = function(o, s) {
      var l = s.cx, u = s.cy, c = Math.max(s.r0 || 0, 0), d = Math.max(s.r, 0), f = (d - c) * 0.5, p = c + f, v = s.startAngle, g = s.endAngle, y = s.clockwise, _ = Math.PI * 2, S = y ? g - v < _ : v - g < _;
      S || (v = g - (y ? _ : -_));
      var C = Math.cos(v), b = Math.sin(v), T = Math.cos(g), E = Math.sin(g);
      S ? (o.moveTo(C * c + l, b * c + u), o.arc(C * p + l, b * p + u, f, -Math.PI + v, v, !y)) : o.moveTo(C * d + l, b * d + u), o.arc(l, u, d, v, g, !y), o.arc(T * p + l, E * p + u, f, g - Math.PI * 2, g - Math.PI, !y), c !== 0 && o.arc(l, u, c, g, v, y);
    }, a;
  }(Path)
);
function createSectorCalculateTextPosition(r, a) {
  a = a || {};
  var o = a.isRoundCap;
  return function(s, l, u) {
    var c = l.position;
    if (!c || c instanceof Array)
      return calculateTextPosition(s, l, u);
    var d = r(c), f = l.distance != null ? l.distance : 5, p = this.shape, v = p.cx, g = p.cy, y = p.r, _ = p.r0, S = (y + _) / 2, C = p.startAngle, b = p.endAngle, T = (C + b) / 2, E = o ? Math.abs(y - _) / 2 : 0, x = Math.cos, $ = Math.sin, A = v + y * x(C), N = g + y * $(C), P = "left", L = "top";
    switch (d) {
      case "startArc":
        A = v + (_ - f) * x(T), N = g + (_ - f) * $(T), P = "center", L = "top";
        break;
      case "insideStartArc":
        A = v + (_ + f) * x(T), N = g + (_ + f) * $(T), P = "center", L = "bottom";
        break;
      case "startAngle":
        A = v + S * x(C) + adjustAngleDistanceX(C, f + E, !1), N = g + S * $(C) + adjustAngleDistanceY(C, f + E, !1), P = "right", L = "middle";
        break;
      case "insideStartAngle":
        A = v + S * x(C) + adjustAngleDistanceX(C, -f + E, !1), N = g + S * $(C) + adjustAngleDistanceY(C, -f + E, !1), P = "left", L = "middle";
        break;
      case "middle":
        A = v + S * x(T), N = g + S * $(T), P = "center", L = "middle";
        break;
      case "endArc":
        A = v + (y + f) * x(T), N = g + (y + f) * $(T), P = "center", L = "bottom";
        break;
      case "insideEndArc":
        A = v + (y - f) * x(T), N = g + (y - f) * $(T), P = "center", L = "top";
        break;
      case "endAngle":
        A = v + S * x(b) + adjustAngleDistanceX(b, f + E, !0), N = g + S * $(b) + adjustAngleDistanceY(b, f + E, !0), P = "left", L = "middle";
        break;
      case "insideEndAngle":
        A = v + S * x(b) + adjustAngleDistanceX(b, -f + E, !0), N = g + S * $(b) + adjustAngleDistanceY(b, -f + E, !0), P = "right", L = "middle";
        break;
      default:
        return calculateTextPosition(s, l, u);
    }
    return s = s || {}, s.x = A, s.y = N, s.align = P, s.verticalAlign = L, s;
  };
}
function setSectorTextRotation(r, a, o, s) {
  if (isNumber(s)) {
    r.setTextConfig({
      rotation: s
    });
    return;
  } else if (isArray$1(a)) {
    r.setTextConfig({
      rotation: 0
    });
    return;
  }
  var l = r.shape, u = l.clockwise ? l.startAngle : l.endAngle, c = l.clockwise ? l.endAngle : l.startAngle, d = (u + c) / 2, f, p = o(a);
  switch (p) {
    case "startArc":
    case "insideStartArc":
    case "middle":
    case "insideEndArc":
    case "endArc":
      f = d;
      break;
    case "startAngle":
    case "insideStartAngle":
      f = u;
      break;
    case "endAngle":
    case "insideEndAngle":
      f = c;
      break;
    default:
      r.setTextConfig({
        rotation: 0
      });
      return;
  }
  var v = Math.PI * 1.5 - f;
  p === "middle" && v > Math.PI / 2 && v < Math.PI * 1.5 && (v -= Math.PI), r.setTextConfig({
    rotation: v
  });
}
function adjustAngleDistanceX(r, a, o) {
  return a * Math.sin(r) * (o ? -1 : 1);
}
function adjustAngleDistanceY(r, a, o) {
  return a * Math.cos(r) * (o ? 1 : -1);
}
function getSectorCornerRadius(r, a, o) {
  var s = r.get("borderRadius");
  if (s == null)
    return o ? {
      cornerRadius: 0
    } : null;
  isArray$1(s) || (s = [s, s, s, s]);
  var l = Math.abs(a.r || 0 - a.r0 || 0);
  return {
    cornerRadius: map$1(s, function(u) {
      return parsePercent$1(u, l);
    })
  };
}
var mathMax$4 = Math.max, mathMin$4 = Math.min;
function getClipArea(r, a) {
  var o = r.getArea && r.getArea();
  if (isCoordinateSystemType(r, "cartesian2d")) {
    var s = r.getBaseAxis();
    if (s.type !== "category" || !s.onBand) {
      var l = a.getLayout("bandWidth");
      s.isHorizontal() ? (o.x -= l, o.width += l * 2) : (o.y -= l, o.height += l * 2);
    }
  }
  return o;
}
var BarView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r.call(this) || this;
      return o.type = a.type, o._isFirstFrame = !0, o;
    }
    return a.prototype.render = function(o, s, l, u) {
      this._model = o, this._removeOnRenderedListener(l), this._updateDrawMode(o);
      var c = o.get("coordinateSystem");
      c === "cartesian2d" || c === "polar" ? (this._progressiveEls = null, this._isLargeDraw ? this._renderLarge(o, s, l) : this._renderNormal(o, s, l, u)) : process.env.NODE_ENV !== "production" && warn("Only cartesian2d and polar supported for bar.");
    }, a.prototype.incrementalPrepareRender = function(o) {
      this._clear(), this._updateDrawMode(o), this._updateLargeClip(o);
    }, a.prototype.incrementalRender = function(o, s) {
      this._progressiveEls = [], this._incrementalRenderLarge(o, s);
    }, a.prototype.eachRendered = function(o) {
      traverseElements(this._progressiveEls || this.group, o);
    }, a.prototype._updateDrawMode = function(o) {
      var s = o.pipelineContext.large;
      (this._isLargeDraw == null || s !== this._isLargeDraw) && (this._isLargeDraw = s, this._clear());
    }, a.prototype._renderNormal = function(o, s, l, u) {
      var c = this.group, d = o.getData(), f = this._data, p = o.coordinateSystem, v = p.getBaseAxis(), g;
      p.type === "cartesian2d" ? g = v.isHorizontal() : p.type === "polar" && (g = v.dim === "angle");
      var y = o.isAnimationEnabled() ? o : null, _ = shouldRealtimeSort(o, p);
      _ && this._enableRealtimeSort(_, d, l);
      var S = o.get("clip", !0) || _, C = getClipArea(p, d);
      c.removeClipPath();
      var b = o.get("roundCap", !0), T = o.get("showBackground", !0), E = o.getModel("backgroundStyle"), x = E.get("borderRadius") || 0, $ = [], A = this._backgroundEls, N = u && u.isInitSort, P = u && u.type === "changeAxisOrder";
      function L(F) {
        var U = getLayout[p.type](d, F), R = createBackgroundEl(p, g, U);
        return R.useStyle(E.getItemStyle()), p.type === "cartesian2d" ? R.setShape("r", x) : R.setShape("cornerRadius", x), $[F] = R, R;
      }
      d.diff(f).add(function(F) {
        var U = d.getItemModel(F), R = getLayout[p.type](d, F, U);
        if (T && L(F), !(!d.hasValue(F) || !isValidLayout[p.type](R))) {
          var H = !1;
          S && (H = clip[p.type](C, R));
          var V = elementCreator[p.type](o, d, F, R, g, y, v.model, !1, b);
          _ && (V.forceLabelAnimation = !0), updateStyle(V, d, F, U, R, o, g, p.type === "polar"), N ? V.attr({
            shape: R
          }) : _ ? updateRealtimeAnimation(_, y, V, R, F, g, !1, !1) : initProps(V, {
            shape: R
          }, o, F), d.setItemGraphicEl(F, V), c.add(V), V.ignore = H;
        }
      }).update(function(F, U) {
        var R = d.getItemModel(F), H = getLayout[p.type](d, F, R);
        if (T) {
          var V = void 0;
          A.length === 0 ? V = L(U) : (V = A[U], V.useStyle(E.getItemStyle()), p.type === "cartesian2d" ? V.setShape("r", x) : V.setShape("cornerRadius", x), $[F] = V);
          var Y = getLayout[p.type](d, F), G = createBackgroundShape(g, Y, p);
          updateProps$1(V, {
            shape: G
          }, y, F);
        }
        var Z = f.getItemGraphicEl(U);
        if (!d.hasValue(F) || !isValidLayout[p.type](H)) {
          c.remove(Z);
          return;
        }
        var re = !1;
        if (S && (re = clip[p.type](C, H), re && c.remove(Z)), Z ? saveOldStyle(Z) : Z = elementCreator[p.type](o, d, F, H, g, y, v.model, !!Z, b), _ && (Z.forceLabelAnimation = !0), P) {
          var de = Z.getTextContent();
          if (de) {
            var X = labelInner(de);
            X.prevValue != null && (X.prevValue = X.value);
          }
        } else
          updateStyle(Z, d, F, R, H, o, g, p.type === "polar");
        N ? Z.attr({
          shape: H
        }) : _ ? updateRealtimeAnimation(_, y, Z, H, F, g, !0, P) : updateProps$1(Z, {
          shape: H
        }, o, F, null), d.setItemGraphicEl(F, Z), Z.ignore = re, c.add(Z);
      }).remove(function(F) {
        var U = f.getItemGraphicEl(F);
        U && removeElementWithFadeOut(U, o, F);
      }).execute();
      var O = this._backgroundGroup || (this._backgroundGroup = new Group$3());
      O.removeAll();
      for (var M = 0; M < $.length; ++M)
        O.add($[M]);
      c.add(O), this._backgroundEls = $, this._data = d;
    }, a.prototype._renderLarge = function(o, s, l) {
      this._clear(), createLarge$1(o, this.group), this._updateLargeClip(o);
    }, a.prototype._incrementalRenderLarge = function(o, s) {
      this._removeBackground(), createLarge$1(s, this.group, this._progressiveEls, !0);
    }, a.prototype._updateLargeClip = function(o) {
      var s = o.get("clip", !0) && createClipPath(o.coordinateSystem, !1, o), l = this.group;
      s ? l.setClipPath(s) : l.removeClipPath();
    }, a.prototype._enableRealtimeSort = function(o, s, l) {
      var u = this;
      if (s.count()) {
        var c = o.baseAxis;
        if (this._isFirstFrame)
          this._dispatchInitSort(s, o, l), this._isFirstFrame = !1;
        else {
          var d = function(f) {
            var p = s.getItemGraphicEl(f), v = p && p.shape;
            return v && // The result should be consistent with the initial sort by data value.
            // Do not support the case that both positive and negative exist.
            Math.abs(c.isHorizontal() ? v.height : v.width) || 0;
          };
          this._onRendered = function() {
            u._updateSortWithinSameData(s, d, c, l);
          }, l.getZr().on("rendered", this._onRendered);
        }
      }
    }, a.prototype._dataSort = function(o, s, l) {
      var u = [];
      return o.each(o.mapDimension(s.dim), function(c, d) {
        var f = l(d);
        f = f ?? NaN, u.push({
          dataIndex: d,
          mappedValue: f,
          ordinalNumber: c
        });
      }), u.sort(function(c, d) {
        return d.mappedValue - c.mappedValue;
      }), {
        ordinalNumbers: map$1(u, function(c) {
          return c.ordinalNumber;
        })
      };
    }, a.prototype._isOrderChangedWithinSameData = function(o, s, l) {
      for (var u = l.scale, c = o.mapDimension(l.dim), d = Number.MAX_VALUE, f = 0, p = u.getOrdinalMeta().categories.length; f < p; ++f) {
        var v = o.rawIndexOf(c, u.getRawOrdinalNumber(f)), g = v < 0 ? Number.MIN_VALUE : s(o.indexOfRawIndex(v));
        if (g > d)
          return !0;
        d = g;
      }
      return !1;
    }, a.prototype._isOrderDifferentInView = function(o, s) {
      for (var l = s.scale, u = l.getExtent(), c = Math.max(0, u[0]), d = Math.min(u[1], l.getOrdinalMeta().categories.length - 1); c <= d; ++c)
        if (o.ordinalNumbers[c] !== l.getRawOrdinalNumber(c))
          return !0;
    }, a.prototype._updateSortWithinSameData = function(o, s, l, u) {
      if (this._isOrderChangedWithinSameData(o, s, l)) {
        var c = this._dataSort(o, l, s);
        this._isOrderDifferentInView(c, l) && (this._removeOnRenderedListener(u), u.dispatchAction({
          type: "changeAxisOrder",
          componentType: l.dim + "Axis",
          axisId: l.index,
          sortInfo: c
        }));
      }
    }, a.prototype._dispatchInitSort = function(o, s, l) {
      var u = s.baseAxis, c = this._dataSort(o, u, function(d) {
        return o.get(o.mapDimension(s.otherAxis.dim), d);
      });
      l.dispatchAction({
        type: "changeAxisOrder",
        componentType: u.dim + "Axis",
        isInitSort: !0,
        axisId: u.index,
        sortInfo: c
      });
    }, a.prototype.remove = function(o, s) {
      this._clear(this._model), this._removeOnRenderedListener(s);
    }, a.prototype.dispose = function(o, s) {
      this._removeOnRenderedListener(s);
    }, a.prototype._removeOnRenderedListener = function(o) {
      this._onRendered && (o.getZr().off("rendered", this._onRendered), this._onRendered = null);
    }, a.prototype._clear = function(o) {
      var s = this.group, l = this._data;
      o && o.isAnimationEnabled() && l && !this._isLargeDraw ? (this._removeBackground(), this._backgroundEls = [], l.eachItemGraphicEl(function(u) {
        removeElementWithFadeOut(u, o, getECData(u).dataIndex);
      })) : s.removeAll(), this._data = null, this._isFirstFrame = !0;
    }, a.prototype._removeBackground = function() {
      this.group.remove(this._backgroundGroup), this._backgroundGroup = null;
    }, a.type = "bar", a;
  }(ChartView)
), clip = {
  cartesian2d: function(r, a) {
    var o = a.width < 0 ? -1 : 1, s = a.height < 0 ? -1 : 1;
    o < 0 && (a.x += a.width, a.width = -a.width), s < 0 && (a.y += a.height, a.height = -a.height);
    var l = r.x + r.width, u = r.y + r.height, c = mathMax$4(a.x, r.x), d = mathMin$4(a.x + a.width, l), f = mathMax$4(a.y, r.y), p = mathMin$4(a.y + a.height, u), v = d < c, g = p < f;
    return a.x = v && c > l ? d : c, a.y = g && f > u ? p : f, a.width = v ? 0 : d - c, a.height = g ? 0 : p - f, o < 0 && (a.x += a.width, a.width = -a.width), s < 0 && (a.y += a.height, a.height = -a.height), v || g;
  },
  polar: function(r, a) {
    var o = a.r0 <= a.r ? 1 : -1;
    if (o < 0) {
      var s = a.r;
      a.r = a.r0, a.r0 = s;
    }
    var l = mathMin$4(a.r, r.r), u = mathMax$4(a.r0, r.r0);
    a.r = l, a.r0 = u;
    var c = l - u < 0;
    if (o < 0) {
      var s = a.r;
      a.r = a.r0, a.r0 = s;
    }
    return c;
  }
}, elementCreator = {
  cartesian2d: function(r, a, o, s, l, u, c, d, f) {
    var p = new Rect$2({
      shape: extend({}, s),
      z2: 1
    });
    if (p.__dataIndex = o, p.name = "item", u) {
      var v = p.shape, g = l ? "height" : "width";
      v[g] = 0;
    }
    return p;
  },
  polar: function(r, a, o, s, l, u, c, d, f) {
    var p = !l && f ? SausagePath : Sector, v = new p({
      shape: s,
      z2: 1
    });
    v.name = "item";
    var g = createPolarPositionMapping(l);
    if (v.calculateTextPosition = createSectorCalculateTextPosition(g, {
      isRoundCap: p === SausagePath
    }), u) {
      var y = v.shape, _ = l ? "r" : "endAngle", S = {};
      y[_] = l ? s.r0 : s.startAngle, S[_] = s[_], (d ? updateProps$1 : initProps)(v, {
        shape: S
        // __value: typeof dataValue === 'string' ? parseInt(dataValue, 10) : dataValue
      }, u);
    }
    return v;
  }
};
function shouldRealtimeSort(r, a) {
  var o = r.get("realtimeSort", !0), s = a.getBaseAxis();
  if (process.env.NODE_ENV !== "production" && o && (s.type !== "category" && warn("`realtimeSort` will not work because this bar series is not based on a category axis."), a.type !== "cartesian2d" && warn("`realtimeSort` will not work because this bar series is not on cartesian2d.")), o && s.type === "category" && a.type === "cartesian2d")
    return {
      baseAxis: s,
      otherAxis: a.getOtherAxis(s)
    };
}
function updateRealtimeAnimation(r, a, o, s, l, u, c, d) {
  var f, p;
  u ? (p = {
    x: s.x,
    width: s.width
  }, f = {
    y: s.y,
    height: s.height
  }) : (p = {
    y: s.y,
    height: s.height
  }, f = {
    x: s.x,
    width: s.width
  }), d || (c ? updateProps$1 : initProps)(o, {
    shape: f
  }, a, l, null);
  var v = a ? r.baseAxis.model : null;
  (c ? updateProps$1 : initProps)(o, {
    shape: p
  }, v, l);
}
function checkPropertiesNotValid(r, a) {
  for (var o = 0; o < a.length; o++)
    if (!isFinite(r[a[o]]))
      return !0;
  return !1;
}
var rectPropties = ["x", "y", "width", "height"], polarPropties = ["cx", "cy", "r", "startAngle", "endAngle"], isValidLayout = {
  cartesian2d: function(r) {
    return !checkPropertiesNotValid(r, rectPropties);
  },
  polar: function(r) {
    return !checkPropertiesNotValid(r, polarPropties);
  }
}, getLayout = {
  // itemModel is only used to get borderWidth, which is not needed
  // when calculating bar background layout.
  cartesian2d: function(r, a, o) {
    var s = r.getItemLayout(a), l = o ? getLineWidth(o, s) : 0, u = s.width > 0 ? 1 : -1, c = s.height > 0 ? 1 : -1;
    return {
      x: s.x + u * l / 2,
      y: s.y + c * l / 2,
      width: s.width - u * l,
      height: s.height - c * l
    };
  },
  polar: function(r, a, o) {
    var s = r.getItemLayout(a);
    return {
      cx: s.cx,
      cy: s.cy,
      r0: s.r0,
      r: s.r,
      startAngle: s.startAngle,
      endAngle: s.endAngle,
      clockwise: s.clockwise
    };
  }
};
function isZeroOnPolar(r) {
  return r.startAngle != null && r.endAngle != null && r.startAngle === r.endAngle;
}
function createPolarPositionMapping(r) {
  return /* @__PURE__ */ function(a) {
    var o = a ? "Arc" : "Angle";
    return function(s) {
      switch (s) {
        case "start":
        case "insideStart":
        case "end":
        case "insideEnd":
          return s + o;
        default:
          return s;
      }
    };
  }(r);
}
function updateStyle(r, a, o, s, l, u, c, d) {
  var f = a.getItemVisual(o, "style");
  if (d) {
    if (!u.get("roundCap")) {
      var v = r.shape, g = getSectorCornerRadius(s.getModel("itemStyle"), v, !0);
      extend(v, g), r.setShape(v);
    }
  } else {
    var p = s.get(["itemStyle", "borderRadius"]) || 0;
    r.setShape("r", p);
  }
  r.useStyle(f);
  var y = s.getShallow("cursor");
  y && r.attr("cursor", y);
  var _ = d ? c ? l.r >= l.r0 ? "endArc" : "startArc" : l.endAngle >= l.startAngle ? "endAngle" : "startAngle" : c ? l.height >= 0 ? "bottom" : "top" : l.width >= 0 ? "right" : "left", S = getLabelStatesModels(s);
  setLabelStyle(r, S, {
    labelFetcher: u,
    labelDataIndex: o,
    defaultText: getDefaultLabel(u.getData(), o),
    inheritColor: f.fill,
    defaultOpacity: f.opacity,
    defaultOutsidePosition: _
  });
  var C = r.getTextContent();
  if (d && C) {
    var b = s.get(["label", "position"]);
    r.textConfig.inside = b === "middle" ? !0 : null, setSectorTextRotation(r, b === "outside" ? _ : b, createPolarPositionMapping(c), s.get(["label", "rotate"]));
  }
  setLabelValueAnimation(C, S, u.getRawValue(o), function(E) {
    return getDefaultInterpolatedLabel(a, E);
  });
  var T = s.getModel(["emphasis"]);
  toggleHoverEmphasis(r, T.get("focus"), T.get("blurScope"), T.get("disabled")), setStatesStylesFromModel(r, s), isZeroOnPolar(l) && (r.style.fill = "none", r.style.stroke = "none", each$f(r.states, function(E) {
    E.style && (E.style.fill = E.style.stroke = "none");
  }));
}
function getLineWidth(r, a) {
  var o = r.get(["itemStyle", "borderColor"]);
  if (!o || o === "none")
    return 0;
  var s = r.get(["itemStyle", "borderWidth"]) || 0, l = isNaN(a.width) ? Number.MAX_VALUE : Math.abs(a.width), u = isNaN(a.height) ? Number.MAX_VALUE : Math.abs(a.height);
  return Math.min(s, l, u);
}
var LagePathShape = (
  /** @class */
  /* @__PURE__ */ function() {
    function r() {
    }
    return r;
  }()
), LargePath = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      var s = r.call(this, o) || this;
      return s.type = "largeBar", s;
    }
    return a.prototype.getDefaultShape = function() {
      return new LagePathShape();
    }, a.prototype.buildPath = function(o, s) {
      for (var l = s.points, u = this.baseDimIdx, c = 1 - this.baseDimIdx, d = [], f = [], p = this.barWidth, v = 0; v < l.length; v += 3)
        f[u] = p, f[c] = l[v + 2], d[u] = l[v + u], d[c] = l[v + c], o.rect(d[0], d[1], f[0], f[1]);
    }, a;
  }(Path)
);
function createLarge$1(r, a, o, s) {
  var l = r.getData(), u = l.getLayout("valueAxisHorizontal") ? 1 : 0, c = l.getLayout("largeDataIndices"), d = l.getLayout("size"), f = r.getModel("backgroundStyle"), p = l.getLayout("largeBackgroundPoints");
  if (p) {
    var v = new LargePath({
      shape: {
        points: p
      },
      incremental: !!s,
      silent: !0,
      z2: 0
    });
    v.baseDimIdx = u, v.largeDataIndices = c, v.barWidth = d, v.useStyle(f.getItemStyle()), a.add(v), o && o.push(v);
  }
  var g = new LargePath({
    shape: {
      points: l.getLayout("largePoints")
    },
    incremental: !!s,
    ignoreCoarsePointer: !0,
    z2: 1
  });
  g.baseDimIdx = u, g.largeDataIndices = c, g.barWidth = d, a.add(g), g.useStyle(l.getVisual("style")), g.style.stroke = null, getECData(g).seriesIndex = r.seriesIndex, r.get("silent") || (g.on("mousedown", largePathUpdateDataIndex), g.on("mousemove", largePathUpdateDataIndex)), o && o.push(g);
}
var largePathUpdateDataIndex = throttle(function(r) {
  var a = this, o = largePathFindDataIndex(a, r.offsetX, r.offsetY);
  getECData(a).dataIndex = o >= 0 ? o : null;
}, 30, !1);
function largePathFindDataIndex(r, a, o) {
  for (var s = r.baseDimIdx, l = 1 - s, u = r.shape.points, c = r.largeDataIndices, d = [], f = [], p = r.barWidth, v = 0, g = u.length / 3; v < g; v++) {
    var y = v * 3;
    if (f[s] = p, f[l] = u[y + 2], d[s] = u[y + s], d[l] = u[y + l], f[l] < 0 && (d[l] += f[l], f[l] = -f[l]), a >= d[0] && a <= d[0] + f[0] && o >= d[1] && o <= d[1] + f[1])
      return c[v];
  }
  return -1;
}
function createBackgroundShape(r, a, o) {
  if (isCoordinateSystemType(o, "cartesian2d")) {
    var s = a, l = o.getArea();
    return {
      x: r ? s.x : l.x,
      y: r ? l.y : s.y,
      width: r ? s.width : l.width,
      height: r ? l.height : s.height
    };
  } else {
    var l = o.getArea(), u = a;
    return {
      cx: l.cx,
      cy: l.cy,
      r0: r ? l.r0 : u.r0,
      r: r ? l.r : u.r,
      startAngle: r ? u.startAngle : 0,
      endAngle: r ? u.endAngle : Math.PI * 2
    };
  }
}
function createBackgroundEl(r, a, o) {
  var s = r.type === "polar" ? Sector : Rect$2;
  return new s({
    shape: createBackgroundShape(a, o, r),
    silent: !0,
    z2: 0
  });
}
function install$Q(r) {
  r.registerChartView(BarView), r.registerSeriesModel(BarSeriesModel), r.registerLayout(r.PRIORITY.VISUAL.LAYOUT, curry$1(layout$3, "bar")), r.registerLayout(r.PRIORITY.VISUAL.PROGRESSIVE_LAYOUT, createProgressiveLayout("bar")), r.registerProcessor(r.PRIORITY.PROCESSOR.STATISTIC, dataSample("bar")), r.registerAction({
    type: "changeAxisOrder",
    event: "changeAxisOrder",
    update: "update"
  }, function(a, o) {
    var s = a.componentType || "series";
    o.eachComponent({
      mainType: s,
      query: a
    }, function(l) {
      a.sortInfo && l.axis.setCategorySortInfo(a.sortInfo);
    });
  });
}
var PI2 = Math.PI * 2, RADIAN$2 = Math.PI / 180;
function getViewRect$5(r, a) {
  return getLayoutRect(r.getBoxLayoutParams(), {
    width: a.getWidth(),
    height: a.getHeight()
  });
}
function getBasicPieLayout(r, a) {
  var o = getViewRect$5(r, a), s = r.get("center"), l = r.get("radius");
  isArray$1(l) || (l = [0, l]);
  var u = parsePercent(o.width, a.getWidth()), c = parsePercent(o.height, a.getHeight()), d = Math.min(u, c), f = parsePercent(l[0], d / 2), p = parsePercent(l[1], d / 2), v, g, y = r.coordinateSystem;
  if (y) {
    var _ = y.dataToPoint(s);
    v = _[0] || 0, g = _[1] || 0;
  } else
    isArray$1(s) || (s = [s, s]), v = parsePercent(s[0], u) + o.x, g = parsePercent(s[1], c) + o.y;
  return {
    cx: v,
    cy: g,
    r0: f,
    r: p
  };
}
function pieLayout(r, a, o) {
  a.eachSeriesByType(r, function(s) {
    var l = s.getData(), u = l.mapDimension("value"), c = getViewRect$5(s, o), d = getBasicPieLayout(s, o), f = d.cx, p = d.cy, v = d.r, g = d.r0, y = -s.get("startAngle") * RADIAN$2, _ = s.get("endAngle"), S = s.get("padAngle") * RADIAN$2;
    _ = _ === "auto" ? y - PI2 : -_ * RADIAN$2;
    var C = s.get("minAngle") * RADIAN$2, b = C + S, T = 0;
    l.each(u, function(G) {
      !isNaN(G) && T++;
    });
    var E = l.getSum(u), x = Math.PI / (E || T) * 2, $ = s.get("clockwise"), A = s.get("roseType"), N = s.get("stillShowZeroSum"), P = l.getDataExtent(u);
    P[0] = 0;
    var L = $ ? 1 : -1, O = [y, _], M = L * S / 2;
    normalizeArcAngles(O, !$), y = O[0], _ = O[1];
    var F = getSeriesLayoutData(s);
    F.startAngle = y, F.endAngle = _, F.clockwise = $;
    var U = Math.abs(_ - y), R = U, H = 0, V = y;
    if (l.setLayout({
      viewRect: c,
      r: v
    }), l.each(u, function(G, Z) {
      var re;
      if (isNaN(G)) {
        l.setItemLayout(Z, {
          angle: NaN,
          startAngle: NaN,
          endAngle: NaN,
          clockwise: $,
          cx: f,
          cy: p,
          r0: g,
          r: A ? NaN : v
        });
        return;
      }
      A !== "area" ? re = E === 0 && N ? x : G * x : re = U / T, re < b ? (re = b, R -= b) : H += G;
      var de = V + L * re, X = 0, W = 0;
      S > re ? (X = V + L * re / 2, W = X) : (X = V + M, W = de - M), l.setItemLayout(Z, {
        angle: re,
        startAngle: X,
        endAngle: W,
        clockwise: $,
        cx: f,
        cy: p,
        r0: g,
        r: A ? linearMap$2(G, P, [g, v]) : v
      }), V = de;
    }), R < PI2 && T)
      if (R <= 1e-3) {
        var Y = U / T;
        l.each(u, function(G, Z) {
          if (!isNaN(G)) {
            var re = l.getItemLayout(Z);
            re.angle = Y;
            var de = 0, X = 0;
            Y < S ? (de = y + L * (Z + 1 / 2) * Y, X = de) : (de = y + L * Z * Y + M, X = y + L * (Z + 1) * Y - M), re.startAngle = de, re.endAngle = X;
          }
        });
      } else
        x = R / H, V = y, l.each(u, function(G, Z) {
          if (!isNaN(G)) {
            var re = l.getItemLayout(Z), de = re.angle === b ? b : G * x, X = 0, W = 0;
            de < S ? (X = V + L * de / 2, W = X) : (X = V + M, W = V + L * de - M), re.startAngle = X, re.endAngle = W, V += L * de;
          }
        });
  });
}
var getSeriesLayoutData = makeInner();
function dataFilter$1(r) {
  return {
    seriesType: r,
    reset: function(a, o) {
      var s = o.findComponents({
        mainType: "legend"
      });
      if (!(!s || !s.length)) {
        var l = a.getData();
        l.filterSelf(function(u) {
          for (var c = l.getName(u), d = 0; d < s.length; d++)
            if (!s[d].isSelected(c))
              return !1;
          return !0;
        });
      }
    }
  };
}
var RADIAN$1 = Math.PI / 180;
function adjustSingleSide(r, a, o, s, l, u, c, d, f, p) {
  if (r.length < 2)
    return;
  function v(C) {
    for (var b = C.rB, T = b * b, E = 0; E < C.list.length; E++) {
      var x = C.list[E], $ = Math.abs(x.label.y - o), A = s + x.len, N = A * A, P = Math.sqrt(Math.abs((1 - $ * $ / T) * N)), L = a + (P + x.len2) * l, O = L - x.label.x, M = x.targetTextWidth - O * l;
      constrainTextWidth(x, M, !0), x.label.x = L;
    }
  }
  function g(C) {
    for (var b = {
      list: [],
      maxY: 0
    }, T = {
      list: [],
      maxY: 0
    }, E = 0; E < C.length; E++)
      if (C[E].labelAlignTo === "none") {
        var x = C[E], $ = x.label.y > o ? T : b, A = Math.abs(x.label.y - o);
        if (A >= $.maxY) {
          var N = x.label.x - a - x.len2 * l, P = s + x.len, L = Math.abs(N) < P ? Math.sqrt(A * A / (1 - N * N / P / P)) : P;
          $.rB = L, $.maxY = A;
        }
        $.list.push(x);
      }
    v(b), v(T);
  }
  for (var y = r.length, _ = 0; _ < y; _++)
    if (r[_].position === "outer" && r[_].labelAlignTo === "labelLine") {
      var S = r[_].label.x - p;
      r[_].linePoints[1][0] += S, r[_].label.x = p;
    }
  shiftLayoutOnY(r, f, f + c) && g(r);
}
function avoidOverlap(r, a, o, s, l, u, c, d) {
  for (var f = [], p = [], v = Number.MAX_VALUE, g = -Number.MAX_VALUE, y = 0; y < r.length; y++) {
    var _ = r[y].label;
    isPositionCenter(r[y]) || (_.x < a ? (v = Math.min(v, _.x), f.push(r[y])) : (g = Math.max(g, _.x), p.push(r[y])));
  }
  for (var y = 0; y < r.length; y++) {
    var S = r[y];
    if (!isPositionCenter(S) && S.linePoints) {
      if (S.labelStyleWidth != null)
        continue;
      var _ = S.label, C = S.linePoints, b = void 0;
      S.labelAlignTo === "edge" ? _.x < a ? b = C[2][0] - S.labelDistance - c - S.edgeDistance : b = c + l - S.edgeDistance - C[2][0] - S.labelDistance : S.labelAlignTo === "labelLine" ? _.x < a ? b = v - c - S.bleedMargin : b = c + l - g - S.bleedMargin : _.x < a ? b = _.x - c - S.bleedMargin : b = c + l - _.x - S.bleedMargin, S.targetTextWidth = b, constrainTextWidth(S, b);
    }
  }
  adjustSingleSide(p, a, o, s, 1, l, u, c, d, g), adjustSingleSide(f, a, o, s, -1, l, u, c, d, v);
  for (var y = 0; y < r.length; y++) {
    var S = r[y];
    if (!isPositionCenter(S) && S.linePoints) {
      var _ = S.label, C = S.linePoints, T = S.labelAlignTo === "edge", E = _.style.padding, x = E ? E[1] + E[3] : 0, $ = _.style.backgroundColor ? 0 : x, A = S.rect.width + $, N = C[1][0] - C[2][0];
      T ? _.x < a ? C[2][0] = c + S.edgeDistance + A + S.labelDistance : C[2][0] = c + l - S.edgeDistance - A - S.labelDistance : (_.x < a ? C[2][0] = _.x + S.labelDistance : C[2][0] = _.x - S.labelDistance, C[1][0] = C[2][0] + N), C[1][1] = C[2][1] = _.y;
    }
  }
}
function constrainTextWidth(r, a, o) {
  if (o === void 0 && (o = !1), r.labelStyleWidth == null) {
    var s = r.label, l = s.style, u = r.rect, c = l.backgroundColor, d = l.padding, f = d ? d[1] + d[3] : 0, p = l.overflow, v = u.width + (c ? 0 : f);
    if (a < v || o) {
      var g = u.height;
      if (p && p.match("break")) {
        s.setStyle("backgroundColor", null), s.setStyle("width", a - f);
        var y = s.getBoundingRect();
        s.setStyle("width", Math.ceil(y.width)), s.setStyle("backgroundColor", c);
      } else {
        var _ = a - f, S = a < v ? _ : (
          // Current available width is enough, but the text may have
          // already been wrapped with a smaller available width.
          o ? _ > r.unconstrainedWidth ? null : _ : null
        );
        s.setStyle("width", S);
      }
      var C = s.getBoundingRect();
      u.width = C.width;
      var b = (s.style.margin || 0) + 2.1;
      u.height = C.height + b, u.y -= (u.height - g) / 2;
    }
  }
}
function isPositionCenter(r) {
  return r.position === "center";
}
function pieLabelLayout(r) {
  var a = r.getData(), o = [], s, l, u = !1, c = (r.get("minShowLabelAngle") || 0) * RADIAN$1, d = a.getLayout("viewRect"), f = a.getLayout("r"), p = d.width, v = d.x, g = d.y, y = d.height;
  function _(N) {
    N.ignore = !0;
  }
  function S(N) {
    if (!N.ignore)
      return !0;
    for (var P in N.states)
      if (N.states[P].ignore === !1)
        return !0;
    return !1;
  }
  a.each(function(N) {
    var P = a.getItemGraphicEl(N), L = P.shape, O = P.getTextContent(), M = P.getTextGuideLine(), F = a.getItemModel(N), U = F.getModel("label"), R = U.get("position") || F.get(["emphasis", "label", "position"]), H = U.get("distanceToLabelLine"), V = U.get("alignTo"), Y = parsePercent(U.get("edgeDistance"), p), G = U.get("bleedMargin"), Z = F.getModel("labelLine"), re = Z.get("length");
    re = parsePercent(re, p);
    var de = Z.get("length2");
    if (de = parsePercent(de, p), Math.abs(L.endAngle - L.startAngle) < c) {
      each$f(O.states, _), O.ignore = !0, M && (each$f(M.states, _), M.ignore = !0);
      return;
    }
    if (S(O)) {
      var X = (L.startAngle + L.endAngle) / 2, W = Math.cos(X), te = Math.sin(X), ae, Te, $e, se;
      s = L.cx, l = L.cy;
      var fe = R === "inside" || R === "inner";
      if (R === "center")
        ae = L.cx, Te = L.cy, se = "center";
      else {
        var ce = (fe ? (L.r + L.r0) / 2 * W : L.r * W) + s, ge = (fe ? (L.r + L.r0) / 2 * te : L.r * te) + l;
        if (ae = ce + W * 3, Te = ge + te * 3, !fe) {
          var ve = ce + W * (re + f - L.r), xe = ge + te * (re + f - L.r), Ae = ve + (W < 0 ? -1 : 1) * de, oe = xe;
          V === "edge" ? ae = W < 0 ? v + Y : v + p - Y : ae = Ae + (W < 0 ? -H : H), Te = oe, $e = [[ce, ge], [ve, xe], [Ae, oe]];
        }
        se = fe ? "center" : V === "edge" ? W > 0 ? "right" : "left" : W > 0 ? "left" : "right";
      }
      var De = Math.PI, Re = 0, Me = U.get("rotate");
      if (isNumber(Me))
        Re = Me * (De / 180);
      else if (R === "center")
        Re = 0;
      else if (Me === "radial" || Me === !0) {
        var ct = W < 0 ? -X + De : -X;
        Re = ct;
      } else if (Me === "tangential" && R !== "outside" && R !== "outer") {
        var mt = Math.atan2(W, te);
        mt < 0 && (mt = De * 2 + mt);
        var q = te > 0;
        q && (mt = De + mt), Re = mt - De;
      }
      if (u = !!Re, O.x = ae, O.y = Te, O.rotation = Re, O.setStyle({
        verticalAlign: "middle"
      }), fe) {
        O.setStyle({
          align: se
        });
        var Ie = O.states.select;
        Ie && (Ie.x += O.x, Ie.y += O.y);
      } else {
        var Q = O.getBoundingRect().clone();
        Q.applyTransform(O.getComputedTransform());
        var _e = (O.style.margin || 0) + 2.1;
        Q.y -= _e / 2, Q.height += _e, o.push({
          label: O,
          labelLine: M,
          position: R,
          len: re,
          len2: de,
          minTurnAngle: Z.get("minTurnAngle"),
          maxSurfaceAngle: Z.get("maxSurfaceAngle"),
          surfaceNormal: new Point(W, te),
          linePoints: $e,
          textAlign: se,
          labelDistance: H,
          labelAlignTo: V,
          edgeDistance: Y,
          bleedMargin: G,
          rect: Q,
          unconstrainedWidth: Q.width,
          labelStyleWidth: O.style.width
        });
      }
      P.setTextConfig({
        inside: fe
      });
    }
  }), !u && r.get("avoidLabelOverlap") && avoidOverlap(o, s, l, f, p, y, v, g);
  for (var C = 0; C < o.length; C++) {
    var b = o[C], T = b.label, E = b.labelLine, x = isNaN(T.x) || isNaN(T.y);
    if (T) {
      T.setStyle({
        align: b.textAlign
      }), x && (each$f(T.states, _), T.ignore = !0);
      var $ = T.states.select;
      $ && ($.x += T.x, $.y += T.y);
    }
    if (E) {
      var A = b.linePoints;
      x || !A ? (each$f(E.states, _), E.ignore = !0) : (limitTurnAngle(A, b.minTurnAngle), limitSurfaceAngle(A, b.surfaceNormal, b.maxSurfaceAngle), E.setShape({
        points: A
      }), T.__hostTarget.textGuideLineConfig = {
        anchor: new Point(A[0][0], A[0][1])
      });
    }
  }
}
var PiePiece = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s, l) {
      var u = r.call(this) || this;
      u.z2 = 2;
      var c = new ZRText();
      return u.setTextContent(c), u.updateData(o, s, l, !0), u;
    }
    return a.prototype.updateData = function(o, s, l, u) {
      var c = this, d = o.hostModel, f = o.getItemModel(s), p = f.getModel("emphasis"), v = o.getItemLayout(s), g = extend(getSectorCornerRadius(f.getModel("itemStyle"), v, !0), v);
      if (isNaN(g.startAngle)) {
        c.setShape(g);
        return;
      }
      if (u) {
        c.setShape(g);
        var y = d.getShallow("animationType");
        d.ecModel.ssr ? (initProps(c, {
          scaleX: 0,
          scaleY: 0
        }, d, {
          dataIndex: s,
          isFrom: !0
        }), c.originX = g.cx, c.originY = g.cy) : y === "scale" ? (c.shape.r = v.r0, initProps(c, {
          shape: {
            r: v.r
          }
        }, d, s)) : l != null ? (c.setShape({
          startAngle: l,
          endAngle: l
        }), initProps(c, {
          shape: {
            startAngle: v.startAngle,
            endAngle: v.endAngle
          }
        }, d, s)) : (c.shape.endAngle = v.startAngle, updateProps$1(c, {
          shape: {
            endAngle: v.endAngle
          }
        }, d, s));
      } else
        saveOldStyle(c), updateProps$1(c, {
          shape: g
        }, d, s);
      c.useStyle(o.getItemVisual(s, "style")), setStatesStylesFromModel(c, f);
      var _ = (v.startAngle + v.endAngle) / 2, S = d.get("selectedOffset"), C = Math.cos(_) * S, b = Math.sin(_) * S, T = f.getShallow("cursor");
      T && c.attr("cursor", T), this._updateLabel(d, o, s), c.ensureState("emphasis").shape = extend({
        r: v.r + (p.get("scale") && p.get("scaleSize") || 0)
      }, getSectorCornerRadius(p.getModel("itemStyle"), v)), extend(c.ensureState("select"), {
        x: C,
        y: b,
        shape: getSectorCornerRadius(f.getModel(["select", "itemStyle"]), v)
      }), extend(c.ensureState("blur"), {
        shape: getSectorCornerRadius(f.getModel(["blur", "itemStyle"]), v)
      });
      var E = c.getTextGuideLine(), x = c.getTextContent();
      E && extend(E.ensureState("select"), {
        x: C,
        y: b
      }), extend(x.ensureState("select"), {
        x: C,
        y: b
      }), toggleHoverEmphasis(this, p.get("focus"), p.get("blurScope"), p.get("disabled"));
    }, a.prototype._updateLabel = function(o, s, l) {
      var u = this, c = s.getItemModel(l), d = c.getModel("labelLine"), f = s.getItemVisual(l, "style"), p = f && f.fill, v = f && f.opacity;
      setLabelStyle(u, getLabelStatesModels(c), {
        labelFetcher: s.hostModel,
        labelDataIndex: l,
        inheritColor: p,
        defaultOpacity: v,
        defaultText: o.getFormattedLabel(l, "normal") || s.getName(l)
      });
      var g = u.getTextContent();
      u.setTextConfig({
        // reset position, rotation
        position: null,
        rotation: null
      }), g.attr({
        z2: 10
      });
      var y = o.get(["label", "position"]);
      if (y !== "outside" && y !== "outer")
        u.removeTextGuideLine();
      else {
        var _ = this.getTextGuideLine();
        _ || (_ = new Polyline$1(), this.setTextGuideLine(_)), setLabelLineStyle(this, getLabelLineStatesModels(c), {
          stroke: p,
          opacity: retrieve3(d.get(["lineStyle", "opacity"]), v, 1)
        });
      }
    }, a;
  }(Sector)
), PieView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.ignoreLabelLineUpdate = !0, o;
    }
    return a.prototype.render = function(o, s, l, u) {
      var c = o.getData(), d = this._data, f = this.group, p;
      if (!d && c.count() > 0) {
        for (var v = c.getItemLayout(0), g = 1; isNaN(v && v.startAngle) && g < c.count(); ++g)
          v = c.getItemLayout(g);
        v && (p = v.startAngle);
      }
      if (this._emptyCircleSector && f.remove(this._emptyCircleSector), c.count() === 0 && o.get("showEmptyCircle")) {
        var y = getSeriesLayoutData(o), _ = new Sector({
          shape: extend(getBasicPieLayout(o, l), y)
        });
        _.useStyle(o.getModel("emptyCircleStyle").getItemStyle()), this._emptyCircleSector = _, f.add(_);
      }
      c.diff(d).add(function(S) {
        var C = new PiePiece(c, S, p);
        c.setItemGraphicEl(S, C), f.add(C);
      }).update(function(S, C) {
        var b = d.getItemGraphicEl(C);
        b.updateData(c, S, p), b.off("click"), f.add(b), c.setItemGraphicEl(S, b);
      }).remove(function(S) {
        var C = d.getItemGraphicEl(S);
        removeElementWithFadeOut(C, o, S);
      }).execute(), pieLabelLayout(o), o.get("animationTypeUpdate") !== "expansion" && (this._data = c);
    }, a.prototype.dispose = function() {
    }, a.prototype.containPoint = function(o, s) {
      var l = s.getData(), u = l.getItemLayout(0);
      if (u) {
        var c = o[0] - u.cx, d = o[1] - u.cy, f = Math.sqrt(c * c + d * d);
        return f <= u.r && f >= u.r0;
      }
    }, a.type = "pie", a;
  }(ChartView)
);
function createSeriesDataSimply(r, a, o) {
  a = isArray$1(a) && {
    coordDimensions: a
  } || extend({
    encodeDefine: r.getEncode()
  }, a);
  var s = r.getSource(), l = prepareSeriesDataSchema(s, a).dimensions, u = new SeriesData(l, r);
  return u.initData(s, o), u;
}
var LegendVisualProvider = (
  /** @class */
  function() {
    function r(a, o) {
      this._getDataWithEncodedVisual = a, this._getRawData = o;
    }
    return r.prototype.getAllNames = function() {
      var a = this._getRawData();
      return a.mapArray(a.getName);
    }, r.prototype.containName = function(a) {
      var o = this._getRawData();
      return o.indexOfName(a) >= 0;
    }, r.prototype.indexOfName = function(a) {
      var o = this._getDataWithEncodedVisual();
      return o.indexOfName(a);
    }, r.prototype.getItemVisual = function(a, o) {
      var s = this._getDataWithEncodedVisual();
      return s.getItemVisual(a, o);
    }, r;
  }()
), innerData = makeInner(), PieSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a.prototype.init = function(o) {
      r.prototype.init.apply(this, arguments), this.legendVisualProvider = new LegendVisualProvider(bind$1(this.getData, this), bind$1(this.getRawData, this)), this._defaultLabelLine(o);
    }, a.prototype.mergeOption = function() {
      r.prototype.mergeOption.apply(this, arguments);
    }, a.prototype.getInitialData = function() {
      return createSeriesDataSimply(this, {
        coordDimensions: ["value"],
        encodeDefaulter: curry$1(makeSeriesEncodeForNameBased, this)
      });
    }, a.prototype.getDataParams = function(o) {
      var s = this.getData(), l = innerData(s), u = l.seats;
      if (!u) {
        var c = [];
        s.each(s.mapDimension("value"), function(f) {
          c.push(f);
        }), u = l.seats = getPercentSeats(c, s.hostModel.get("percentPrecision"));
      }
      var d = r.prototype.getDataParams.call(this, o);
      return d.percent = u[o] || 0, d.$vars.push("percent"), d;
    }, a.prototype._defaultLabelLine = function(o) {
      defaultEmphasis(o, "labelLine", ["show"]);
      var s = o.labelLine, l = o.emphasis.labelLine;
      s.show = s.show && o.label.show, l.show = l.show && o.emphasis.label.show;
    }, a.type = "series.pie", a.defaultOption = {
      // zlevel: 0,
      z: 2,
      legendHoverLink: !0,
      colorBy: "data",
      // 默认全局居中
      center: ["50%", "50%"],
      radius: [0, "75%"],
      // 默认顺时针
      clockwise: !0,
      startAngle: 90,
      endAngle: "auto",
      padAngle: 0,
      // 最小角度改为0
      minAngle: 0,
      // If the angle of a sector less than `minShowLabelAngle`,
      // the label will not be displayed.
      minShowLabelAngle: 0,
      // 选中时扇区偏移量
      selectedOffset: 10,
      // 选择模式，默认关闭，可选single，multiple
      // selectedMode: false,
      // 南丁格尔玫瑰图模式，'radius'（半径） | 'area'（面积）
      // roseType: null,
      percentPrecision: 2,
      // If still show when all data zero.
      stillShowZeroSum: !0,
      // cursor: null,
      left: 0,
      top: 0,
      right: 0,
      bottom: 0,
      width: null,
      height: null,
      label: {
        // color: 'inherit',
        // If rotate around circle
        rotate: 0,
        show: !0,
        overflow: "truncate",
        // 'outer', 'inside', 'center'
        position: "outer",
        // 'none', 'labelLine', 'edge'. Works only when position is 'outer'
        alignTo: "none",
        // Closest distance between label and chart edge.
        // Works only position is 'outer' and alignTo is 'edge'.
        edgeDistance: "25%",
        // Works only position is 'outer' and alignTo is not 'edge'.
        bleedMargin: 10,
        // Distance between text and label line.
        distanceToLabelLine: 5
        // formatter: 标签文本格式器，同 tooltip.formatter，不支持异步回调
        // 默认使用全局文本样式，详见 textStyle
        // distance: 当position为inner时有效，为label位置到圆心的距离与圆半径(环状图为内外半径和)的比例系数
      },
      // Enabled when label.normal.position is 'outer'
      labelLine: {
        show: !0,
        // 引导线两段中的第一段长度
        length: 15,
        // 引导线两段中的第二段长度
        length2: 15,
        smooth: !1,
        minTurnAngle: 90,
        maxSurfaceAngle: 90,
        lineStyle: {
          // color: 各异,
          width: 1,
          type: "solid"
        }
      },
      itemStyle: {
        borderWidth: 1,
        borderJoin: "round"
      },
      showEmptyCircle: !0,
      emptyCircleStyle: {
        color: "lightgray",
        opacity: 1
      },
      labelLayout: {
        // Hide the overlapped label.
        hideOverlap: !0
      },
      emphasis: {
        scale: !0,
        scaleSize: 5
      },
      // If use strategy to avoid label overlapping
      avoidLabelOverlap: !0,
      // Animation type. Valid values: expansion, scale
      animationType: "expansion",
      animationDuration: 1e3,
      // Animation type when update. Valid values: transition, expansion
      animationTypeUpdate: "transition",
      animationEasingUpdate: "cubicInOut",
      animationDurationUpdate: 500,
      animationEasing: "cubicInOut"
    }, a;
  }(SeriesModel)
);
function negativeDataFilter(r) {
  return {
    seriesType: r,
    reset: function(a, o) {
      var s = a.getData();
      s.filterSelf(function(l) {
        var u = s.mapDimension("value"), c = s.get(u, l);
        return !(isNumber(c) && !isNaN(c) && c < 0);
      });
    }
  };
}
function install$P(r) {
  r.registerChartView(PieView), r.registerSeriesModel(PieSeriesModel), createLegacyDataSelectAction("pie", r.registerAction), r.registerLayout(curry$1(pieLayout, "pie")), r.registerProcessor(dataFilter$1("pie")), r.registerProcessor(negativeDataFilter("pie"));
}
var ScatterSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.hasSymbolVisual = !0, o;
    }
    return a.prototype.getInitialData = function(o, s) {
      return createSeriesData(null, this, {
        useEncodeDefaulter: !0
      });
    }, a.prototype.getProgressive = function() {
      var o = this.option.progressive;
      return o ?? (this.option.large ? 5e3 : this.get("progressive"));
    }, a.prototype.getProgressiveThreshold = function() {
      var o = this.option.progressiveThreshold;
      return o ?? (this.option.large ? 1e4 : this.get("progressiveThreshold"));
    }, a.prototype.brushSelector = function(o, s, l) {
      return l.point(s.getItemLayout(o));
    }, a.prototype.getZLevelKey = function() {
      return this.getData().count() > this.getProgressiveThreshold() ? this.id : "";
    }, a.type = "series.scatter", a.dependencies = ["grid", "polar", "geo", "singleAxis", "calendar"], a.defaultOption = {
      coordinateSystem: "cartesian2d",
      // zlevel: 0,
      z: 2,
      legendHoverLink: !0,
      symbolSize: 10,
      // symbolRotate: null,  // 图形旋转控制
      large: !1,
      // Available when large is true
      largeThreshold: 2e3,
      // cursor: null,
      itemStyle: {
        opacity: 0.8
        // color: 各异
      },
      emphasis: {
        scale: !0
      },
      // If clip the overflow graphics
      // Works on cartesian / polar series
      clip: !0,
      select: {
        itemStyle: {
          borderColor: "#212121"
        }
      },
      universalTransition: {
        divideShape: "clone"
      }
      // progressive: null
    }, a;
  }(SeriesModel)
), BOOST_SIZE_THRESHOLD = 4, LargeSymbolPathShape = (
  /** @class */
  /* @__PURE__ */ function() {
    function r() {
    }
    return r;
  }()
), LargeSymbolPath = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      var s = r.call(this, o) || this;
      return s._off = 0, s.hoverDataIdx = -1, s;
    }
    return a.prototype.getDefaultShape = function() {
      return new LargeSymbolPathShape();
    }, a.prototype.reset = function() {
      this.notClear = !1, this._off = 0;
    }, a.prototype.buildPath = function(o, s) {
      var l = s.points, u = s.size, c = this.symbolProxy, d = c.shape, f = o.getContext ? o.getContext() : o, p = f && u[0] < BOOST_SIZE_THRESHOLD, v = this.softClipShape, g;
      if (p) {
        this._ctx = f;
        return;
      }
      for (this._ctx = null, g = this._off; g < l.length; ) {
        var y = l[g++], _ = l[g++];
        isNaN(y) || isNaN(_) || v && !v.contain(y, _) || (d.x = y - u[0] / 2, d.y = _ - u[1] / 2, d.width = u[0], d.height = u[1], c.buildPath(o, d, !0));
      }
      this.incremental && (this._off = g, this.notClear = !0);
    }, a.prototype.afterBrush = function() {
      var o = this.shape, s = o.points, l = o.size, u = this._ctx, c = this.softClipShape, d;
      if (u) {
        for (d = this._off; d < s.length; ) {
          var f = s[d++], p = s[d++];
          isNaN(f) || isNaN(p) || c && !c.contain(f, p) || u.fillRect(f - l[0] / 2, p - l[1] / 2, l[0], l[1]);
        }
        this.incremental && (this._off = d, this.notClear = !0);
      }
    }, a.prototype.findDataIndex = function(o, s) {
      for (var l = this.shape, u = l.points, c = l.size, d = Math.max(c[0], 4), f = Math.max(c[1], 4), p = u.length / 2 - 1; p >= 0; p--) {
        var v = p * 2, g = u[v] - d / 2, y = u[v + 1] - f / 2;
        if (o >= g && s >= y && o <= g + d && s <= y + f)
          return p;
      }
      return -1;
    }, a.prototype.contain = function(o, s) {
      var l = this.transformCoordToLocal(o, s), u = this.getBoundingRect();
      if (o = l[0], s = l[1], u.contain(o, s)) {
        var c = this.hoverDataIdx = this.findDataIndex(o, s);
        return c >= 0;
      }
      return this.hoverDataIdx = -1, !1;
    }, a.prototype.getBoundingRect = function() {
      var o = this._rect;
      if (!o) {
        for (var s = this.shape, l = s.points, u = s.size, c = u[0], d = u[1], f = 1 / 0, p = 1 / 0, v = -1 / 0, g = -1 / 0, y = 0; y < l.length; ) {
          var _ = l[y++], S = l[y++];
          f = Math.min(_, f), v = Math.max(_, v), p = Math.min(S, p), g = Math.max(S, g);
        }
        o = this._rect = new BoundingRect(f - c / 2, p - d / 2, v - f + c, g - p + d);
      }
      return o;
    }, a;
  }(Path)
), LargeSymbolDraw = (
  /** @class */
  function() {
    function r() {
      this.group = new Group$3();
    }
    return r.prototype.updateData = function(a, o) {
      this._clear();
      var s = this._create();
      s.setShape({
        points: a.getLayout("points")
      }), this._setCommon(s, a, o);
    }, r.prototype.updateLayout = function(a) {
      var o = a.getLayout("points");
      this.group.eachChild(function(s) {
        if (s.startIndex != null) {
          var l = (s.endIndex - s.startIndex) * 2, u = s.startIndex * 4 * 2;
          o = new Float32Array(o.buffer, u, l);
        }
        s.setShape("points", o), s.reset();
      });
    }, r.prototype.incrementalPrepareUpdate = function(a) {
      this._clear();
    }, r.prototype.incrementalUpdate = function(a, o, s) {
      var l = this._newAdded[0], u = o.getLayout("points"), c = l && l.shape.points;
      if (c && c.length < 2e4) {
        var d = c.length, f = new Float32Array(d + u.length);
        f.set(c), f.set(u, d), l.endIndex = a.end, l.setShape({
          points: f
        });
      } else {
        this._newAdded = [];
        var p = this._create();
        p.startIndex = a.start, p.endIndex = a.end, p.incremental = !0, p.setShape({
          points: u
        }), this._setCommon(p, o, s);
      }
    }, r.prototype.eachRendered = function(a) {
      this._newAdded[0] && a(this._newAdded[0]);
    }, r.prototype._create = function() {
      var a = new LargeSymbolPath({
        cursor: "default"
      });
      return a.ignoreCoarsePointer = !0, this.group.add(a), this._newAdded.push(a), a;
    }, r.prototype._setCommon = function(a, o, s) {
      var l = o.hostModel;
      s = s || {};
      var u = o.getVisual("symbolSize");
      a.setShape("size", u instanceof Array ? u : [u, u]), a.softClipShape = s.clipShape || null, a.symbolProxy = createSymbol$1(o.getVisual("symbol"), 0, 0, 0, 0), a.setColor = a.symbolProxy.setColor;
      var c = a.shape.size[0] < BOOST_SIZE_THRESHOLD;
      a.useStyle(
        // Draw shadow when doing fillRect is extremely slow.
        l.getModel("itemStyle").getItemStyle(c ? ["color", "shadowBlur", "shadowColor"] : ["color"])
      );
      var d = o.getVisual("style"), f = d && d.fill;
      f && a.setColor(f);
      var p = getECData(a);
      p.seriesIndex = l.seriesIndex, a.on("mousemove", function(v) {
        p.dataIndex = null;
        var g = a.hoverDataIdx;
        g >= 0 && (p.dataIndex = g + (a.startIndex || 0));
      });
    }, r.prototype.remove = function() {
      this._clear();
    }, r.prototype._clear = function() {
      this._newAdded = [], this.group.removeAll();
    }, r;
  }()
), ScatterView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l) {
      var u = o.getData(), c = this._updateSymbolDraw(u, o);
      c.updateData(u, {
        // TODO
        // If this parameter should be a shape or a bounding volume
        // shape will be more general.
        // But bounding volume like bounding rect will be much faster in the contain calculation
        clipShape: this._getClipShape(o)
      }), this._finished = !0;
    }, a.prototype.incrementalPrepareRender = function(o, s, l) {
      var u = o.getData(), c = this._updateSymbolDraw(u, o);
      c.incrementalPrepareUpdate(u), this._finished = !1;
    }, a.prototype.incrementalRender = function(o, s, l) {
      this._symbolDraw.incrementalUpdate(o, s.getData(), {
        clipShape: this._getClipShape(s)
      }), this._finished = o.end === s.getData().count();
    }, a.prototype.updateTransform = function(o, s, l) {
      var u = o.getData();
      if (this.group.dirty(), !this._finished || u.count() > 1e4)
        return {
          update: !0
        };
      var c = pointsLayout("").reset(o, s, l);
      c.progress && c.progress({
        start: 0,
        end: u.count(),
        count: u.count()
      }, u), this._symbolDraw.updateLayout(u);
    }, a.prototype.eachRendered = function(o) {
      this._symbolDraw && this._symbolDraw.eachRendered(o);
    }, a.prototype._getClipShape = function(o) {
      if (o.get("clip", !0)) {
        var s = o.coordinateSystem;
        return s && s.getArea && s.getArea(0.1);
      }
    }, a.prototype._updateSymbolDraw = function(o, s) {
      var l = this._symbolDraw, u = s.pipelineContext, c = u.large;
      return (!l || c !== this._isLargeDraw) && (l && l.remove(), l = this._symbolDraw = c ? new LargeSymbolDraw() : new SymbolDraw(), this._isLargeDraw = c, this.group.removeAll()), this.group.add(l.group), l;
    }, a.prototype.remove = function(o, s) {
      this._symbolDraw && this._symbolDraw.remove(!0), this._symbolDraw = null;
    }, a.prototype.dispose = function() {
    }, a.type = "scatter", a;
  }(ChartView)
), GridModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a.type = "grid", a.dependencies = ["xAxis", "yAxis"], a.layoutMode = "box", a.defaultOption = {
      show: !1,
      // zlevel: 0,
      z: 0,
      left: "10%",
      top: 60,
      right: "10%",
      bottom: 70,
      // If grid size contain label
      containLabel: !1,
      // width: {totalWidth} - left - right,
      // height: {totalHeight} - top - bottom,
      backgroundColor: "rgba(0,0,0,0)",
      borderWidth: 1,
      borderColor: "#ccc"
    }, a;
  }(ComponentModel)
), CartesianAxisModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a.prototype.getCoordSysModel = function() {
      return this.getReferringComponents("grid", SINGLE_REFERRING).models[0];
    }, a.type = "cartesian2dAxis", a;
  }(ComponentModel)
);
mixin(CartesianAxisModel, AxisModelCommonMixin);
var defaultOption$1 = {
  show: !0,
  // zlevel: 0,
  z: 0,
  // Inverse the axis.
  inverse: !1,
  // Axis name displayed.
  name: "",
  // 'start' | 'middle' | 'end'
  nameLocation: "end",
  // By degree. By default auto rotate by nameLocation.
  nameRotate: null,
  nameTruncate: {
    maxWidth: null,
    ellipsis: "...",
    placeholder: "."
  },
  // Use global text style by default.
  nameTextStyle: {},
  // The gap between axisName and axisLine.
  nameGap: 15,
  // Default `false` to support tooltip.
  silent: !1,
  // Default `false` to avoid legacy user event listener fail.
  triggerEvent: !1,
  tooltip: {
    show: !1
  },
  axisPointer: {},
  axisLine: {
    show: !0,
    onZero: !0,
    onZeroAxisIndex: null,
    lineStyle: {
      color: "#6E7079",
      width: 1,
      type: "solid"
    },
    // The arrow at both ends the the axis.
    symbol: ["none", "none"],
    symbolSize: [10, 15]
  },
  axisTick: {
    show: !0,
    // Whether axisTick is inside the grid or outside the grid.
    inside: !1,
    // The length of axisTick.
    length: 5,
    lineStyle: {
      width: 1
    }
  },
  axisLabel: {
    show: !0,
    // Whether axisLabel is inside the grid or outside the grid.
    inside: !1,
    rotate: 0,
    // true | false | null/undefined (auto)
    showMinLabel: null,
    // true | false | null/undefined (auto)
    showMaxLabel: null,
    margin: 8,
    // formatter: null,
    fontSize: 12
  },
  splitLine: {
    show: !0,
    showMinLine: !0,
    showMaxLine: !0,
    lineStyle: {
      color: ["#E0E6F1"],
      width: 1,
      type: "solid"
    }
  },
  splitArea: {
    show: !1,
    areaStyle: {
      color: ["rgba(250,250,250,0.2)", "rgba(210,219,238,0.2)"]
    }
  }
}, categoryAxis = merge({
  // The gap at both ends of the axis. For categoryAxis, boolean.
  boundaryGap: !0,
  // Set false to faster category collection.
  deduplication: null,
  // splitArea: {
  // show: false
  // },
  splitLine: {
    show: !1
  },
  axisTick: {
    // If tick is align with label when boundaryGap is true
    alignWithLabel: !1,
    interval: "auto"
  },
  axisLabel: {
    interval: "auto"
  }
}, defaultOption$1), valueAxis = merge({
  boundaryGap: [0, 0],
  axisLine: {
    // Not shown when other axis is categoryAxis in cartesian
    show: "auto"
  },
  axisTick: {
    // Not shown when other axis is categoryAxis in cartesian
    show: "auto"
  },
  // TODO
  // min/max: [30, datamin, 60] or [20, datamin] or [datamin, 60]
  splitNumber: 5,
  minorTick: {
    // Minor tick, not available for cateogry axis.
    show: !1,
    // Split number of minor ticks. The value should be in range of (0, 100)
    splitNumber: 5,
    // Length of minor tick
    length: 3,
    // Line style
    lineStyle: {
      // Default to be same with axisTick
    }
  },
  minorSplitLine: {
    show: !1,
    lineStyle: {
      color: "#F4F7FD",
      width: 1
    }
  }
}, defaultOption$1), timeAxis = merge({
  splitNumber: 6,
  axisLabel: {
    // To eliminate labels that are not nice
    showMinLabel: !1,
    showMaxLabel: !1,
    rich: {
      primary: {
        fontWeight: "bold"
      }
    }
  },
  splitLine: {
    show: !1
  }
}, valueAxis), logAxis = defaults({
  logBase: 10
}, valueAxis);
const axisDefault = {
  category: categoryAxis,
  value: valueAxis,
  time: timeAxis,
  log: logAxis
};
var AXIS_TYPES = {
  value: 1,
  category: 1,
  time: 1,
  log: 1
};
function axisModelCreator(r, a, o, s) {
  each$f(AXIS_TYPES, function(l, u) {
    var c = merge(merge({}, axisDefault[u], !0), s, !0), d = (
      /** @class */
      function(f) {
        __extends(p, f);
        function p() {
          var v = f !== null && f.apply(this, arguments) || this;
          return v.type = a + "Axis." + u, v;
        }
        return p.prototype.mergeDefaultAndTheme = function(v, g) {
          var y = fetchLayoutMode(this), _ = y ? getLayoutParams(v) : {}, S = g.getTheme();
          merge(v, S.get(u + "Axis")), merge(v, this.getDefaultOption()), v.type = getAxisType(v), y && mergeLayoutParam(v, _, y);
        }, p.prototype.optionUpdated = function() {
          var v = this.option;
          v.type === "category" && (this.__ordinalMeta = OrdinalMeta.createByAxisModel(this));
        }, p.prototype.getCategories = function(v) {
          var g = this.option;
          if (g.type === "category")
            return v ? g.data : this.__ordinalMeta.categories;
        }, p.prototype.getOrdinalMeta = function() {
          return this.__ordinalMeta;
        }, p.type = a + "Axis." + u, p.defaultOption = c, p;
      }(o)
    );
    r.registerComponentModel(d);
  }), r.registerSubTypeDefaulter(a + "Axis", getAxisType);
}
function getAxisType(r) {
  return r.type || (r.data ? "category" : "value");
}
var Cartesian = (
  /** @class */
  function() {
    function r(a) {
      this.type = "cartesian", this._dimList = [], this._axes = {}, this.name = a || "";
    }
    return r.prototype.getAxis = function(a) {
      return this._axes[a];
    }, r.prototype.getAxes = function() {
      return map$1(this._dimList, function(a) {
        return this._axes[a];
      }, this);
    }, r.prototype.getAxesByScale = function(a) {
      return a = a.toLowerCase(), filter(this.getAxes(), function(o) {
        return o.scale.type === a;
      });
    }, r.prototype.addAxis = function(a) {
      var o = a.dim;
      this._axes[o] = a, this._dimList.push(o);
    }, r;
  }()
), cartesian2DDimensions = ["x", "y"];
function canCalculateAffineTransform(r) {
  return r.type === "interval" || r.type === "time";
}
var Cartesian2D = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = "cartesian2d", o.dimensions = cartesian2DDimensions, o;
    }
    return a.prototype.calcAffineTransform = function() {
      this._transform = this._invTransform = null;
      var o = this.getAxis("x").scale, s = this.getAxis("y").scale;
      if (!(!canCalculateAffineTransform(o) || !canCalculateAffineTransform(s))) {
        var l = o.getExtent(), u = s.getExtent(), c = this.dataToPoint([l[0], u[0]]), d = this.dataToPoint([l[1], u[1]]), f = l[1] - l[0], p = u[1] - u[0];
        if (!(!f || !p)) {
          var v = (d[0] - c[0]) / f, g = (d[1] - c[1]) / p, y = c[0] - l[0] * v, _ = c[1] - u[0] * g, S = this._transform = [v, 0, 0, g, y, _];
          this._invTransform = invert([], S);
        }
      }
    }, a.prototype.getBaseAxis = function() {
      return this.getAxesByScale("ordinal")[0] || this.getAxesByScale("time")[0] || this.getAxis("x");
    }, a.prototype.containPoint = function(o) {
      var s = this.getAxis("x"), l = this.getAxis("y");
      return s.contain(s.toLocalCoord(o[0])) && l.contain(l.toLocalCoord(o[1]));
    }, a.prototype.containData = function(o) {
      return this.getAxis("x").containData(o[0]) && this.getAxis("y").containData(o[1]);
    }, a.prototype.containZone = function(o, s) {
      var l = this.dataToPoint(o), u = this.dataToPoint(s), c = this.getArea(), d = new BoundingRect(l[0], l[1], u[0] - l[0], u[1] - l[1]);
      return c.intersect(d);
    }, a.prototype.dataToPoint = function(o, s, l) {
      l = l || [];
      var u = o[0], c = o[1];
      if (this._transform && u != null && isFinite(u) && c != null && isFinite(c))
        return applyTransform$1(l, o, this._transform);
      var d = this.getAxis("x"), f = this.getAxis("y");
      return l[0] = d.toGlobalCoord(d.dataToCoord(u, s)), l[1] = f.toGlobalCoord(f.dataToCoord(c, s)), l;
    }, a.prototype.clampData = function(o, s) {
      var l = this.getAxis("x").scale, u = this.getAxis("y").scale, c = l.getExtent(), d = u.getExtent(), f = l.parse(o[0]), p = u.parse(o[1]);
      return s = s || [], s[0] = Math.min(Math.max(Math.min(c[0], c[1]), f), Math.max(c[0], c[1])), s[1] = Math.min(Math.max(Math.min(d[0], d[1]), p), Math.max(d[0], d[1])), s;
    }, a.prototype.pointToData = function(o, s) {
      var l = [];
      if (this._invTransform)
        return applyTransform$1(l, o, this._invTransform);
      var u = this.getAxis("x"), c = this.getAxis("y");
      return l[0] = u.coordToData(u.toLocalCoord(o[0]), s), l[1] = c.coordToData(c.toLocalCoord(o[1]), s), l;
    }, a.prototype.getOtherAxis = function(o) {
      return this.getAxis(o.dim === "x" ? "y" : "x");
    }, a.prototype.getArea = function(o) {
      o = o || 0;
      var s = this.getAxis("x").getGlobalExtent(), l = this.getAxis("y").getGlobalExtent(), u = Math.min(s[0], s[1]) - o, c = Math.min(l[0], l[1]) - o, d = Math.max(s[0], s[1]) - u + o, f = Math.max(l[0], l[1]) - c + o;
      return new BoundingRect(u, c, d, f);
    }, a;
  }(Cartesian)
), Axis2D = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s, l, u, c) {
      var d = r.call(this, o, s, l) || this;
      return d.index = 0, d.type = u || "value", d.position = c || "bottom", d;
    }
    return a.prototype.isHorizontal = function() {
      var o = this.position;
      return o === "top" || o === "bottom";
    }, a.prototype.getGlobalExtent = function(o) {
      var s = this.getExtent();
      return s[0] = this.toGlobalCoord(s[0]), s[1] = this.toGlobalCoord(s[1]), o && s[0] > s[1] && s.reverse(), s;
    }, a.prototype.pointToData = function(o, s) {
      return this.coordToData(this.toLocalCoord(o[this.dim === "x" ? 0 : 1]), s);
    }, a.prototype.setCategorySortInfo = function(o) {
      if (this.type !== "category")
        return !1;
      this.model.option.categorySortInfo = o, this.scale.setSortInfo(o);
    }, a;
  }(Axis)
);
function layout$2(r, a, o) {
  o = o || {};
  var s = r.coordinateSystem, l = a.axis, u = {}, c = l.getAxesOnZeroOf()[0], d = l.position, f = c ? "onZero" : d, p = l.dim, v = s.getRect(), g = [v.x, v.x + v.width, v.y, v.y + v.height], y = {
    left: 0,
    right: 1,
    top: 0,
    bottom: 1,
    onZero: 2
  }, _ = a.get("offset") || 0, S = p === "x" ? [g[2] - _, g[3] + _] : [g[0] - _, g[1] + _];
  if (c) {
    var C = c.toGlobalCoord(c.dataToCoord(0));
    S[y.onZero] = Math.max(Math.min(C, S[1]), S[0]);
  }
  u.position = [p === "y" ? S[y[f]] : g[0], p === "x" ? S[y[f]] : g[3]], u.rotation = Math.PI / 2 * (p === "x" ? 0 : 1);
  var b = {
    top: -1,
    bottom: 1,
    left: -1,
    right: 1
  };
  u.labelDirection = u.tickDirection = u.nameDirection = b[d], u.labelOffset = c ? S[y[d]] - S[y.onZero] : 0, a.get(["axisTick", "inside"]) && (u.tickDirection = -u.tickDirection), retrieve(o.labelInside, a.get(["axisLabel", "inside"])) && (u.labelDirection = -u.labelDirection);
  var T = a.get(["axisLabel", "rotate"]);
  return u.labelRotate = f === "top" ? -T : T, u.z2 = 1, u;
}
function isCartesian2DSeries(r) {
  return r.get("coordinateSystem") === "cartesian2d";
}
function findAxisModels(r) {
  var a = {
    xAxisModel: null,
    yAxisModel: null
  };
  return each$f(a, function(o, s) {
    var l = s.replace(/Model$/, ""), u = r.getReferringComponents(l, SINGLE_REFERRING).models[0];
    if (process.env.NODE_ENV !== "production" && !u)
      throw new Error(l + ' "' + retrieve3(r.get(l + "Index"), r.get(l + "Id"), 0) + '" not found');
    a[s] = u;
  }), a;
}
var mathLog = Math.log;
function alignScaleTicks(r, a, o) {
  var s = IntervalScale.prototype, l = s.getTicks.call(o), u = s.getTicks.call(o, !0), c = l.length - 1, d = s.getInterval.call(o), f = getScaleExtent(r, a), p = f.extent, v = f.fixMin, g = f.fixMax;
  if (r.type === "log") {
    var y = mathLog(r.base);
    p = [mathLog(p[0]) / y, mathLog(p[1]) / y];
  }
  r.setExtent(p[0], p[1]), r.calcNiceExtent({
    splitNumber: c,
    fixMin: v,
    fixMax: g
  });
  var _ = s.getExtent.call(r);
  v && (p[0] = _[0]), g && (p[1] = _[1]);
  var S = s.getInterval.call(r), C = p[0], b = p[1];
  if (v && g)
    S = (b - C) / c;
  else if (v)
    for (b = p[0] + S * c; b < p[1] && isFinite(b) && isFinite(p[1]); )
      S = increaseInterval(S), b = p[0] + S * c;
  else if (g)
    for (C = p[1] - S * c; C > p[0] && isFinite(C) && isFinite(p[0]); )
      S = increaseInterval(S), C = p[1] - S * c;
  else {
    var T = r.getTicks().length - 1;
    T > c && (S = increaseInterval(S));
    var E = S * c;
    b = Math.ceil(p[1] / S) * S, C = round$3(b - E), C < 0 && p[0] >= 0 ? (C = 0, b = round$3(E)) : b > 0 && p[1] <= 0 && (b = 0, C = -round$3(E));
  }
  var x = (l[0].value - u[0].value) / d, $ = (l[c].value - u[c].value) / d;
  if (s.setExtent.call(r, C + S * x, b + S * $), s.setInterval.call(r, S), (x || $) && s.setNiceExtent.call(r, C + S, b - S), process.env.NODE_ENV !== "production") {
    var A = s.getTicks.call(r);
    A[1] && (!isValueNice(S) || getPrecisionSafe(A[1].value) > getPrecisionSafe(S)) && warn(
      // eslint-disable-next-line
      "The ticks may be not readable when set min: " + a.get("min") + ", max: " + a.get("max") + " and alignTicks: true"
    );
  }
}
var Grid = (
  /** @class */
  function() {
    function r(a, o, s) {
      this.type = "grid", this._coordsMap = {}, this._coordsList = [], this._axesMap = {}, this._axesList = [], this.axisPointerEnabled = !0, this.dimensions = cartesian2DDimensions, this._initCartesian(a, o, s), this.model = a;
    }
    return r.prototype.getRect = function() {
      return this._rect;
    }, r.prototype.update = function(a, o) {
      var s = this._axesMap;
      this._updateScale(a, this.model);
      function l(c) {
        var d, f = keys(c), p = f.length;
        if (p) {
          for (var v = [], g = p - 1; g >= 0; g--) {
            var y = +f[g], _ = c[y], S = _.model, C = _.scale;
            // Only value and log axis without interval support alignTicks.
            isIntervalOrLogScale(C) && S.get("alignTicks") && S.get("interval") == null ? v.push(_) : (niceScaleExtent(C, S), isIntervalOrLogScale(C) && (d = _));
          }
          v.length && (d || (d = v.pop(), niceScaleExtent(d.scale, d.model)), each$f(v, function(b) {
            alignScaleTicks(b.scale, b.model, d.scale);
          }));
        }
      }
      l(s.x), l(s.y);
      var u = {};
      each$f(s.x, function(c) {
        fixAxisOnZero(s, "y", c, u);
      }), each$f(s.y, function(c) {
        fixAxisOnZero(s, "x", c, u);
      }), this.resize(this.model, o);
    }, r.prototype.resize = function(a, o, s) {
      var l = a.getBoxLayoutParams(), u = !s && a.get("containLabel"), c = getLayoutRect(l, {
        width: o.getWidth(),
        height: o.getHeight()
      });
      this._rect = c;
      var d = this._axesList;
      f(), u && (each$f(d, function(p) {
        if (!p.model.get(["axisLabel", "inside"])) {
          var v = estimateLabelUnionRect(p);
          if (v) {
            var g = p.isHorizontal() ? "height" : "width", y = p.model.get(["axisLabel", "margin"]);
            c[g] -= v[g] + y, p.position === "top" ? c.y += v.height + y : p.position === "left" && (c.x += v.width + y);
          }
        }
      }), f()), each$f(this._coordsList, function(p) {
        p.calcAffineTransform();
      });
      function f() {
        each$f(d, function(p) {
          var v = p.isHorizontal(), g = v ? [0, c.width] : [0, c.height], y = p.inverse ? 1 : 0;
          p.setExtent(g[y], g[1 - y]), updateAxisTransform(p, v ? c.x : c.y);
        });
      }
    }, r.prototype.getAxis = function(a, o) {
      var s = this._axesMap[a];
      if (s != null)
        return s[o || 0];
    }, r.prototype.getAxes = function() {
      return this._axesList.slice();
    }, r.prototype.getCartesian = function(a, o) {
      if (a != null && o != null) {
        var s = "x" + a + "y" + o;
        return this._coordsMap[s];
      }
      isObject$3(a) && (o = a.yAxisIndex, a = a.xAxisIndex);
      for (var l = 0, u = this._coordsList; l < u.length; l++)
        if (u[l].getAxis("x").index === a || u[l].getAxis("y").index === o)
          return u[l];
    }, r.prototype.getCartesians = function() {
      return this._coordsList.slice();
    }, r.prototype.convertToPixel = function(a, o, s) {
      var l = this._findConvertTarget(o);
      return l.cartesian ? l.cartesian.dataToPoint(s) : l.axis ? l.axis.toGlobalCoord(l.axis.dataToCoord(s)) : null;
    }, r.prototype.convertFromPixel = function(a, o, s) {
      var l = this._findConvertTarget(o);
      return l.cartesian ? l.cartesian.pointToData(s) : l.axis ? l.axis.coordToData(l.axis.toLocalCoord(s)) : null;
    }, r.prototype._findConvertTarget = function(a) {
      var o = a.seriesModel, s = a.xAxisModel || o && o.getReferringComponents("xAxis", SINGLE_REFERRING).models[0], l = a.yAxisModel || o && o.getReferringComponents("yAxis", SINGLE_REFERRING).models[0], u = a.gridModel, c = this._coordsList, d, f;
      if (o)
        d = o.coordinateSystem, indexOf(c, d) < 0 && (d = null);
      else if (s && l)
        d = this.getCartesian(s.componentIndex, l.componentIndex);
      else if (s)
        f = this.getAxis("x", s.componentIndex);
      else if (l)
        f = this.getAxis("y", l.componentIndex);
      else if (u) {
        var p = u.coordinateSystem;
        p === this && (d = this._coordsList[0]);
      }
      return {
        cartesian: d,
        axis: f
      };
    }, r.prototype.containPoint = function(a) {
      var o = this._coordsList[0];
      if (o)
        return o.containPoint(a);
    }, r.prototype._initCartesian = function(a, o, s) {
      var l = this, u = this, c = {
        left: !1,
        right: !1,
        top: !1,
        bottom: !1
      }, d = {
        x: {},
        y: {}
      }, f = {
        x: 0,
        y: 0
      };
      if (o.eachComponent("xAxis", p("x"), this), o.eachComponent("yAxis", p("y"), this), !f.x || !f.y) {
        this._axesMap = {}, this._axesList = [];
        return;
      }
      this._axesMap = d, each$f(d.x, function(v, g) {
        each$f(d.y, function(y, _) {
          var S = "x" + g + "y" + _, C = new Cartesian2D(S);
          C.master = l, C.model = a, l._coordsMap[S] = C, l._coordsList.push(C), C.addAxis(v), C.addAxis(y);
        });
      });
      function p(v) {
        return function(g, y) {
          if (isAxisUsedInTheGrid(g, a)) {
            var _ = g.get("position");
            v === "x" ? _ !== "top" && _ !== "bottom" && (_ = c.bottom ? "top" : "bottom") : _ !== "left" && _ !== "right" && (_ = c.left ? "right" : "left"), c[_] = !0;
            var S = new Axis2D(v, createScaleByModel$1(g), [0, 0], g.get("type"), _), C = S.type === "category";
            S.onBand = C && g.get("boundaryGap"), S.inverse = g.get("inverse"), g.axis = S, S.model = g, S.grid = u, S.index = y, u._axesList.push(S), d[v][y] = S, f[v]++;
          }
        };
      }
    }, r.prototype._updateScale = function(a, o) {
      each$f(this._axesList, function(l) {
        if (l.scale.setExtent(1 / 0, -1 / 0), l.type === "category") {
          var u = l.model.get("categorySortInfo");
          l.scale.setSortInfo(u);
        }
      }), a.eachSeries(function(l) {
        if (isCartesian2DSeries(l)) {
          var u = findAxisModels(l), c = u.xAxisModel, d = u.yAxisModel;
          if (!isAxisUsedInTheGrid(c, o) || !isAxisUsedInTheGrid(d, o))
            return;
          var f = this.getCartesian(c.componentIndex, d.componentIndex), p = l.getData(), v = f.getAxis("x"), g = f.getAxis("y");
          s(p, v), s(p, g);
        }
      }, this);
      function s(l, u) {
        each$f(getDataDimensionsOnAxis(l, u.dim), function(c) {
          u.scale.unionExtentFromData(l, c);
        });
      }
    }, r.prototype.getTooltipAxes = function(a) {
      var o = [], s = [];
      return each$f(this.getCartesians(), function(l) {
        var u = a != null && a !== "auto" ? l.getAxis(a) : l.getBaseAxis(), c = l.getOtherAxis(u);
        indexOf(o, u) < 0 && o.push(u), indexOf(s, c) < 0 && s.push(c);
      }), {
        baseAxes: o,
        otherAxes: s
      };
    }, r.create = function(a, o) {
      var s = [];
      return a.eachComponent("grid", function(l, u) {
        var c = new r(l, a, o);
        c.name = "grid_" + u, c.resize(l, o, !0), l.coordinateSystem = c, s.push(c);
      }), a.eachSeries(function(l) {
        if (isCartesian2DSeries(l)) {
          var u = findAxisModels(l), c = u.xAxisModel, d = u.yAxisModel, f = c.getCoordSysModel();
          if (process.env.NODE_ENV !== "production") {
            if (!f)
              throw new Error('Grid "' + retrieve3(c.get("gridIndex"), c.get("gridId"), 0) + '" not found');
            if (c.getCoordSysModel() !== d.getCoordSysModel())
              throw new Error("xAxis and yAxis must use the same grid");
          }
          var p = f.coordinateSystem;
          l.coordinateSystem = p.getCartesian(c.componentIndex, d.componentIndex);
        }
      }), s;
    }, r.dimensions = cartesian2DDimensions, r;
  }()
);
function isAxisUsedInTheGrid(r, a) {
  return r.getCoordSysModel() === a;
}
function fixAxisOnZero(r, a, o, s) {
  o.getAxesOnZeroOf = function() {
    return u ? [u] : [];
  };
  var l = r[a], u, c = o.model, d = c.get(["axisLine", "onZero"]), f = c.get(["axisLine", "onZeroAxisIndex"]);
  if (!d)
    return;
  if (f != null)
    canOnZeroToAxis(l[f]) && (u = l[f]);
  else
    for (var p in l)
      if (l.hasOwnProperty(p) && canOnZeroToAxis(l[p]) && !s[v(l[p])]) {
        u = l[p];
        break;
      }
  u && (s[v(u)] = !0);
  function v(g) {
    return g.dim + "_" + g.index;
  }
}
function canOnZeroToAxis(r) {
  return r && r.type !== "category" && r.type !== "time" && ifAxisCrossZero(r);
}
function updateAxisTransform(r, a) {
  var o = r.getExtent(), s = o[0] + o[1];
  r.toGlobalCoord = r.dim === "x" ? function(l) {
    return l + a;
  } : function(l) {
    return s - l + a;
  }, r.toLocalCoord = r.dim === "x" ? function(l) {
    return l - a;
  } : function(l) {
    return s - l + a;
  };
}
var PI$3 = Math.PI, AxisBuilder = (
  /** @class */
  function() {
    function r(a, o) {
      this.group = new Group$3(), this.opt = o, this.axisModel = a, defaults(o, {
        labelOffset: 0,
        nameDirection: 1,
        tickDirection: 1,
        labelDirection: 1,
        silent: !0,
        handleAutoShown: function() {
          return !0;
        }
      });
      var s = new Group$3({
        x: o.position[0],
        y: o.position[1],
        rotation: o.rotation
      });
      s.updateTransform(), this._transformGroup = s;
    }
    return r.prototype.hasBuilder = function(a) {
      return !!builders[a];
    }, r.prototype.add = function(a) {
      builders[a](this.opt, this.axisModel, this.group, this._transformGroup);
    }, r.prototype.getGroup = function() {
      return this.group;
    }, r.innerTextLayout = function(a, o, s) {
      var l = remRadian(o - a), u, c;
      return isRadianAroundZero(l) ? (c = s > 0 ? "top" : "bottom", u = "center") : isRadianAroundZero(l - PI$3) ? (c = s > 0 ? "bottom" : "top", u = "center") : (c = "middle", l > 0 && l < PI$3 ? u = s > 0 ? "right" : "left" : u = s > 0 ? "left" : "right"), {
        rotation: l,
        textAlign: u,
        textVerticalAlign: c
      };
    }, r.makeAxisEventDataBase = function(a) {
      var o = {
        componentType: a.mainType,
        componentIndex: a.componentIndex
      };
      return o[a.mainType + "Index"] = a.componentIndex, o;
    }, r.isLabelSilent = function(a) {
      var o = a.get("tooltip");
      return a.get("silent") || !(a.get("triggerEvent") || o && o.show);
    }, r;
  }()
), builders = {
  axisLine: function(r, a, o, s) {
    var l = a.get(["axisLine", "show"]);
    if (l === "auto" && r.handleAutoShown && (l = r.handleAutoShown("axisLine")), !!l) {
      var u = a.axis.getExtent(), c = s.transform, d = [u[0], 0], f = [u[1], 0], p = d[0] > f[0];
      c && (applyTransform$1(d, d, c), applyTransform$1(f, f, c));
      var v = extend({
        lineCap: "round"
      }, a.getModel(["axisLine", "lineStyle"]).getLineStyle()), g = new Line$1({
        shape: {
          x1: d[0],
          y1: d[1],
          x2: f[0],
          y2: f[1]
        },
        style: v,
        strokeContainThreshold: r.strokeContainThreshold || 5,
        silent: !0,
        z2: 1
      });
      subPixelOptimizeLine(g.shape, g.style.lineWidth), g.anid = "line", o.add(g);
      var y = a.get(["axisLine", "symbol"]);
      if (y != null) {
        var _ = a.get(["axisLine", "symbolSize"]);
        isString(y) && (y = [y, y]), (isString(_) || isNumber(_)) && (_ = [_, _]);
        var S = normalizeSymbolOffset(a.get(["axisLine", "symbolOffset"]) || 0, _), C = _[0], b = _[1];
        each$f([{
          rotate: r.rotation + Math.PI / 2,
          offset: S[0],
          r: 0
        }, {
          rotate: r.rotation - Math.PI / 2,
          offset: S[1],
          r: Math.sqrt((d[0] - f[0]) * (d[0] - f[0]) + (d[1] - f[1]) * (d[1] - f[1]))
        }], function(T, E) {
          if (y[E] !== "none" && y[E] != null) {
            var x = createSymbol$1(y[E], -C / 2, -b / 2, C, b, v.stroke, !0), $ = T.r + T.offset, A = p ? f : d;
            x.attr({
              rotation: T.rotate,
              x: A[0] + $ * Math.cos(r.rotation),
              y: A[1] - $ * Math.sin(r.rotation),
              silent: !0,
              z2: 11
            }), o.add(x);
          }
        });
      }
    }
  },
  axisTickLabel: function(r, a, o, s) {
    var l = buildAxisMajorTicks(o, s, a, r), u = buildAxisLabel(o, s, a, r);
    if (fixMinMaxLabelShow(a, u, l), buildAxisMinorTicks(o, s, a, r.tickDirection), a.get(["axisLabel", "hideOverlap"])) {
      var c = prepareLayoutList(map$1(u, function(d) {
        return {
          label: d,
          priority: d.z2,
          defaultAttr: {
            ignore: d.ignore
          }
        };
      }));
      hideOverlap(c);
    }
  },
  axisName: function(r, a, o, s) {
    var l = retrieve(r.axisName, a.get("name"));
    if (l) {
      var u = a.get("nameLocation"), c = r.nameDirection, d = a.getModel("nameTextStyle"), f = a.get("nameGap") || 0, p = a.axis.getExtent(), v = p[0] > p[1] ? -1 : 1, g = [
        u === "start" ? p[0] - v * f : u === "end" ? p[1] + v * f : (p[0] + p[1]) / 2,
        // Reuse labelOffset.
        isNameLocationCenter(u) ? r.labelOffset + c * f : 0
      ], y, _ = a.get("nameRotate");
      _ != null && (_ = _ * PI$3 / 180);
      var S;
      isNameLocationCenter(u) ? y = AxisBuilder.innerTextLayout(
        r.rotation,
        _ ?? r.rotation,
        // Adapt to axis.
        c
      ) : (y = endTextLayout(r.rotation, u, _ || 0, p), S = r.axisNameAvailableWidth, S != null && (S = Math.abs(S / Math.sin(y.rotation)), !isFinite(S) && (S = null)));
      var C = d.getFont(), b = a.get("nameTruncate", !0) || {}, T = b.ellipsis, E = retrieve(r.nameTruncateMaxWidth, b.maxWidth, S), x = new ZRText({
        x: g[0],
        y: g[1],
        rotation: y.rotation,
        silent: AxisBuilder.isLabelSilent(a),
        style: createTextStyle$1(d, {
          text: l,
          font: C,
          overflow: "truncate",
          width: E,
          ellipsis: T,
          fill: d.getTextColor() || a.get(["axisLine", "lineStyle", "color"]),
          align: d.get("align") || y.textAlign,
          verticalAlign: d.get("verticalAlign") || y.textVerticalAlign
        }),
        z2: 1
      });
      if (setTooltipConfig({
        el: x,
        componentModel: a,
        itemName: l
      }), x.__fullText = l, x.anid = "name", a.get("triggerEvent")) {
        var $ = AxisBuilder.makeAxisEventDataBase(a);
        $.targetType = "axisName", $.name = l, getECData(x).eventData = $;
      }
      s.add(x), x.updateTransform(), o.add(x), x.decomposeTransform();
    }
  }
};
function endTextLayout(r, a, o, s) {
  var l = remRadian(o - r), u, c, d = s[0] > s[1], f = a === "start" && !d || a !== "start" && d;
  return isRadianAroundZero(l - PI$3 / 2) ? (c = f ? "bottom" : "top", u = "center") : isRadianAroundZero(l - PI$3 * 1.5) ? (c = f ? "top" : "bottom", u = "center") : (c = "middle", l < PI$3 * 1.5 && l > PI$3 / 2 ? u = f ? "left" : "right" : u = f ? "right" : "left"), {
    rotation: l,
    textAlign: u,
    textVerticalAlign: c
  };
}
function fixMinMaxLabelShow(r, a, o) {
  if (!shouldShowAllLabels(r.axis)) {
    var s = r.get(["axisLabel", "showMinLabel"]), l = r.get(["axisLabel", "showMaxLabel"]);
    a = a || [], o = o || [];
    var u = a[0], c = a[1], d = a[a.length - 1], f = a[a.length - 2], p = o[0], v = o[1], g = o[o.length - 1], y = o[o.length - 2];
    s === !1 ? (ignoreEl(u), ignoreEl(p)) : isTwoLabelOverlapped(u, c) && (s ? (ignoreEl(c), ignoreEl(v)) : (ignoreEl(u), ignoreEl(p))), l === !1 ? (ignoreEl(d), ignoreEl(g)) : isTwoLabelOverlapped(f, d) && (l ? (ignoreEl(f), ignoreEl(y)) : (ignoreEl(d), ignoreEl(g)));
  }
}
function ignoreEl(r) {
  r && (r.ignore = !0);
}
function isTwoLabelOverlapped(r, a) {
  var o = r && r.getBoundingRect().clone(), s = a && a.getBoundingRect().clone();
  if (!(!o || !s)) {
    var l = identity([]);
    return rotate(l, l, -r.rotation), o.applyTransform(mul([], l, r.getLocalTransform())), s.applyTransform(mul([], l, a.getLocalTransform())), o.intersect(s);
  }
}
function isNameLocationCenter(r) {
  return r === "middle" || r === "center";
}
function createTicks(r, a, o, s, l) {
  for (var u = [], c = [], d = [], f = 0; f < r.length; f++) {
    var p = r[f].coord;
    c[0] = p, c[1] = 0, d[0] = p, d[1] = o, a && (applyTransform$1(c, c, a), applyTransform$1(d, d, a));
    var v = new Line$1({
      shape: {
        x1: c[0],
        y1: c[1],
        x2: d[0],
        y2: d[1]
      },
      style: s,
      z2: 2,
      autoBatch: !0,
      silent: !0
    });
    subPixelOptimizeLine(v.shape, v.style.lineWidth), v.anid = l + "_" + r[f].tickValue, u.push(v);
  }
  return u;
}
function buildAxisMajorTicks(r, a, o, s) {
  var l = o.axis, u = o.getModel("axisTick"), c = u.get("show");
  if (c === "auto" && s.handleAutoShown && (c = s.handleAutoShown("axisTick")), !(!c || l.scale.isBlank())) {
    for (var d = u.getModel("lineStyle"), f = s.tickDirection * u.get("length"), p = l.getTicksCoords(), v = createTicks(p, a.transform, f, defaults(d.getLineStyle(), {
      stroke: o.get(["axisLine", "lineStyle", "color"])
    }), "ticks"), g = 0; g < v.length; g++)
      r.add(v[g]);
    return v;
  }
}
function buildAxisMinorTicks(r, a, o, s) {
  var l = o.axis, u = o.getModel("minorTick");
  if (!(!u.get("show") || l.scale.isBlank())) {
    var c = l.getMinorTicksCoords();
    if (c.length)
      for (var d = u.getModel("lineStyle"), f = s * u.get("length"), p = defaults(d.getLineStyle(), defaults(o.getModel("axisTick").getLineStyle(), {
        stroke: o.get(["axisLine", "lineStyle", "color"])
      })), v = 0; v < c.length; v++)
        for (var g = createTicks(c[v], a.transform, f, p, "minorticks_" + v), y = 0; y < g.length; y++)
          r.add(g[y]);
  }
}
function buildAxisLabel(r, a, o, s) {
  var l = o.axis, u = retrieve(s.axisLabelShow, o.get(["axisLabel", "show"]));
  if (!(!u || l.scale.isBlank())) {
    var c = o.getModel("axisLabel"), d = c.get("margin"), f = l.getViewLabels(), p = (retrieve(s.labelRotate, c.get("rotate")) || 0) * PI$3 / 180, v = AxisBuilder.innerTextLayout(s.rotation, p, s.labelDirection), g = o.getCategories && o.getCategories(!0), y = [], _ = AxisBuilder.isLabelSilent(o), S = o.get("triggerEvent");
    return each$f(f, function(C, b) {
      var T = l.scale.type === "ordinal" ? l.scale.getRawOrdinalNumber(C.tickValue) : C.tickValue, E = C.formattedLabel, x = C.rawLabel, $ = c;
      if (g && g[T]) {
        var A = g[T];
        isObject$3(A) && A.textStyle && ($ = new Model(A.textStyle, c, o.ecModel));
      }
      var N = $.getTextColor() || o.get(["axisLine", "lineStyle", "color"]), P = l.dataToCoord(T), L = $.getShallow("align", !0) || v.textAlign, O = retrieve2($.getShallow("alignMinLabel", !0), L), M = retrieve2($.getShallow("alignMaxLabel", !0), L), F = $.getShallow("verticalAlign", !0) || $.getShallow("baseline", !0) || v.textVerticalAlign, U = retrieve2($.getShallow("verticalAlignMinLabel", !0), F), R = retrieve2($.getShallow("verticalAlignMaxLabel", !0), F), H = new ZRText({
        x: P,
        y: s.labelOffset + s.labelDirection * d,
        rotation: v.rotation,
        silent: _,
        z2: 10 + (C.level || 0),
        style: createTextStyle$1($, {
          text: E,
          align: b === 0 ? O : b === f.length - 1 ? M : L,
          verticalAlign: b === 0 ? U : b === f.length - 1 ? R : F,
          fill: isFunction(N) ? N(
            // (1) In category axis with data zoom, tick is not the original
            // index of axis.data. So tick should not be exposed to user
            // in category axis.
            // (2) Compatible with previous version, which always use formatted label as
            // input. But in interval scale the formatted label is like '223,445', which
            // maked user replace ','. So we modify it to return original val but remain
            // it as 'string' to avoid error in replacing.
            l.type === "category" ? x : l.type === "value" ? T + "" : T,
            b
          ) : N
        })
      });
      if (H.anid = "label_" + T, setTooltipConfig({
        el: H,
        componentModel: o,
        itemName: E,
        formatterParamsExtra: {
          isTruncated: function() {
            return H.isTruncated;
          },
          value: x,
          tickIndex: b
        }
      }), S) {
        var V = AxisBuilder.makeAxisEventDataBase(o);
        V.targetType = "axisLabel", V.value = x, V.tickIndex = b, l.type === "category" && (V.dataIndex = T), getECData(H).eventData = V;
      }
      a.add(H), H.updateTransform(), y.push(H), r.add(H), H.decomposeTransform();
    }), y;
  }
}
function collect(r, a) {
  var o = {
    /**
     * key: makeKey(axis.model)
     * value: {
     *      axis,
     *      coordSys,
     *      axisPointerModel,
     *      triggerTooltip,
     *      triggerEmphasis,
     *      involveSeries,
     *      snap,
     *      seriesModels,
     *      seriesDataCount
     * }
     */
    axesInfo: {},
    seriesInvolved: !1,
    /**
     * key: makeKey(coordSys.model)
     * value: Object: key makeKey(axis.model), value: axisInfo
     */
    coordSysAxesInfo: {},
    coordSysMap: {}
  };
  return collectAxesInfo(o, r, a), o.seriesInvolved && collectSeriesInfo(o, r), o;
}
function collectAxesInfo(r, a, o) {
  var s = a.getComponent("tooltip"), l = a.getComponent("axisPointer"), u = l.get("link", !0) || [], c = [];
  each$f(o.getCoordinateSystems(), function(d) {
    if (!d.axisPointerEnabled)
      return;
    var f = makeKey(d.model), p = r.coordSysAxesInfo[f] = {};
    r.coordSysMap[f] = d;
    var v = d.model, g = v.getModel("tooltip", s);
    if (each$f(d.getAxes(), curry$1(C, !1, null)), d.getTooltipAxes && s && g.get("show")) {
      var y = g.get("trigger") === "axis", _ = g.get(["axisPointer", "type"]) === "cross", S = d.getTooltipAxes(g.get(["axisPointer", "axis"]));
      (y || _) && each$f(S.baseAxes, curry$1(C, _ ? "cross" : !0, y)), _ && each$f(S.otherAxes, curry$1(C, "cross", !1));
    }
    function C(b, T, E) {
      var x = E.model.getModel("axisPointer", l), $ = x.get("show");
      if (!(!$ || $ === "auto" && !b && !isHandleTrigger(x))) {
        T == null && (T = x.get("triggerTooltip")), x = b ? makeAxisPointerModel(E, g, l, a, b, T) : x;
        var A = x.get("snap"), N = x.get("triggerEmphasis"), P = makeKey(E.model), L = T || A || E.type === "category", O = r.axesInfo[P] = {
          key: P,
          axis: E,
          coordSys: d,
          axisPointerModel: x,
          triggerTooltip: T,
          triggerEmphasis: N,
          involveSeries: L,
          snap: A,
          useHandle: isHandleTrigger(x),
          seriesModels: [],
          linkGroup: null
        };
        p[P] = O, r.seriesInvolved = r.seriesInvolved || L;
        var M = getLinkGroupIndex(u, E);
        if (M != null) {
          var F = c[M] || (c[M] = {
            axesInfo: {}
          });
          F.axesInfo[P] = O, F.mapper = u[M].mapper, O.linkGroup = F;
        }
      }
    }
  });
}
function makeAxisPointerModel(r, a, o, s, l, u) {
  var c = a.getModel("axisPointer"), d = ["type", "snap", "lineStyle", "shadowStyle", "label", "animation", "animationDurationUpdate", "animationEasingUpdate", "z"], f = {};
  each$f(d, function(y) {
    f[y] = clone$4(c.get(y));
  }), f.snap = r.type !== "category" && !!u, c.get("type") === "cross" && (f.type = "line");
  var p = f.label || (f.label = {});
  if (p.show == null && (p.show = !1), l === "cross") {
    var v = c.get(["label", "show"]);
    if (p.show = v ?? !0, !u) {
      var g = f.lineStyle = c.get("crossStyle");
      g && defaults(p, g.textStyle);
    }
  }
  return r.model.getModel("axisPointer", new Model(f, o, s));
}
function collectSeriesInfo(r, a) {
  a.eachSeries(function(o) {
    var s = o.coordinateSystem, l = o.get(["tooltip", "trigger"], !0), u = o.get(["tooltip", "show"], !0);
    !s || l === "none" || l === !1 || l === "item" || u === !1 || o.get(["axisPointer", "show"], !0) === !1 || each$f(r.coordSysAxesInfo[makeKey(s.model)], function(c) {
      var d = c.axis;
      s.getAxis(d.dim) === d && (c.seriesModels.push(o), c.seriesDataCount == null && (c.seriesDataCount = 0), c.seriesDataCount += o.getData().count());
    });
  });
}
function getLinkGroupIndex(r, a) {
  for (var o = a.model, s = a.dim, l = 0; l < r.length; l++) {
    var u = r[l] || {};
    if (checkPropInLink(u[s + "AxisId"], o.id) || checkPropInLink(u[s + "AxisIndex"], o.componentIndex) || checkPropInLink(u[s + "AxisName"], o.name))
      return l;
  }
}
function checkPropInLink(r, a) {
  return r === "all" || isArray$1(r) && indexOf(r, a) >= 0 || r === a;
}
function fixValue(r) {
  var a = getAxisInfo$1(r);
  if (a) {
    var o = a.axisPointerModel, s = a.axis.scale, l = o.option, u = o.get("status"), c = o.get("value");
    c != null && (c = s.parse(c));
    var d = isHandleTrigger(o);
    u == null && (l.status = d ? "show" : "hide");
    var f = s.getExtent().slice();
    f[0] > f[1] && f.reverse(), // Pick a value on axis when initializing.
    (c == null || c > f[1]) && (c = f[1]), c < f[0] && (c = f[0]), l.value = c, d && (l.status = a.axis.scale.isBlank() ? "hide" : "show");
  }
}
function getAxisInfo$1(r) {
  var a = (r.ecModel.getComponent("axisPointer") || {}).coordSysAxesInfo;
  return a && a.axesInfo[makeKey(r)];
}
function getAxisPointerModel(r) {
  var a = getAxisInfo$1(r);
  return a && a.axisPointerModel;
}
function isHandleTrigger(r) {
  return !!r.get(["handle", "show"]);
}
function makeKey(r) {
  return r.type + "||" + r.id;
}
var axisPointerClazz = {}, AxisView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l, u) {
      this.axisPointerClass && fixValue(o), r.prototype.render.apply(this, arguments), this._doUpdateAxisPointerClass(o, l, !0);
    }, a.prototype.updateAxisPointer = function(o, s, l, u) {
      this._doUpdateAxisPointerClass(o, l, !1);
    }, a.prototype.remove = function(o, s) {
      var l = this._axisPointer;
      l && l.remove(s);
    }, a.prototype.dispose = function(o, s) {
      this._disposeAxisPointer(s), r.prototype.dispose.apply(this, arguments);
    }, a.prototype._doUpdateAxisPointerClass = function(o, s, l) {
      var u = a.getAxisPointerClass(this.axisPointerClass);
      if (u) {
        var c = getAxisPointerModel(o);
        c ? (this._axisPointer || (this._axisPointer = new u())).render(o, c, s, l) : this._disposeAxisPointer(s);
      }
    }, a.prototype._disposeAxisPointer = function(o) {
      this._axisPointer && this._axisPointer.dispose(o), this._axisPointer = null;
    }, a.registerAxisPointerClass = function(o, s) {
      if (process.env.NODE_ENV !== "production" && axisPointerClazz[o])
        throw new Error("axisPointer " + o + " exists");
      axisPointerClazz[o] = s;
    }, a.getAxisPointerClass = function(o) {
      return o && axisPointerClazz[o];
    }, a.type = "axis", a;
  }(ComponentView)
), inner$f = makeInner();
function rectCoordAxisBuildSplitArea(r, a, o, s) {
  var l = o.axis;
  if (!l.scale.isBlank()) {
    var u = o.getModel("splitArea"), c = u.getModel("areaStyle"), d = c.get("color"), f = s.coordinateSystem.getRect(), p = l.getTicksCoords({
      tickModel: u,
      clamp: !0
    });
    if (p.length) {
      var v = d.length, g = inner$f(r).splitAreaColors, y = createHashMap(), _ = 0;
      if (g)
        for (var S = 0; S < p.length; S++) {
          var C = g.get(p[S].tickValue);
          if (C != null) {
            _ = (C + (v - 1) * S) % v;
            break;
          }
        }
      var b = l.toGlobalCoord(p[0].coord), T = c.getAreaStyle();
      d = isArray$1(d) ? d : [d];
      for (var S = 1; S < p.length; S++) {
        var E = l.toGlobalCoord(p[S].coord), x = void 0, $ = void 0, A = void 0, N = void 0;
        l.isHorizontal() ? (x = b, $ = f.y, A = E - x, N = f.height, b = x + A) : (x = f.x, $ = b, A = f.width, N = E - $, b = $ + N);
        var P = p[S - 1].tickValue;
        P != null && y.set(P, _), a.add(new Rect$2({
          anid: P != null ? "area_" + P : null,
          shape: {
            x,
            y: $,
            width: A,
            height: N
          },
          style: defaults({
            fill: d[_]
          }, T),
          autoBatch: !0,
          silent: !0
        })), _ = (_ + 1) % v;
      }
      inner$f(r).splitAreaColors = y;
    }
  }
}
function rectCoordAxisHandleRemove(r) {
  inner$f(r).splitAreaColors = null;
}
var axisBuilderAttrs$3 = ["axisLine", "axisTickLabel", "axisName"], selfBuilderAttrs$2 = ["splitArea", "splitLine", "minorSplitLine"], CartesianAxisView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.axisPointerClass = "CartesianAxisPointer", o;
    }
    return a.prototype.render = function(o, s, l, u) {
      this.group.removeAll();
      var c = this._axisGroup;
      if (this._axisGroup = new Group$3(), this.group.add(this._axisGroup), !!o.get("show")) {
        var d = o.getCoordSysModel(), f = layout$2(d, o), p = new AxisBuilder(o, extend({
          handleAutoShown: function(g) {
            for (var y = d.coordinateSystem.getCartesians(), _ = 0; _ < y.length; _++)
              if (isIntervalOrLogScale(y[_].getOtherAxis(o.axis).scale))
                return !0;
            return !1;
          }
        }, f));
        each$f(axisBuilderAttrs$3, p.add, p), this._axisGroup.add(p.getGroup()), each$f(selfBuilderAttrs$2, function(g) {
          o.get([g, "show"]) && axisElementBuilders$2[g](this, this._axisGroup, o, d);
        }, this);
        var v = u && u.type === "changeAxisOrder" && u.isInitSort;
        v || groupTransition(c, this._axisGroup, o), r.prototype.render.call(this, o, s, l, u);
      }
    }, a.prototype.remove = function() {
      rectCoordAxisHandleRemove(this);
    }, a.type = "cartesianAxis", a;
  }(AxisView)
), axisElementBuilders$2 = {
  splitLine: function(r, a, o, s) {
    var l = o.axis;
    if (!l.scale.isBlank()) {
      var u = o.getModel("splitLine"), c = u.getModel("lineStyle"), d = c.get("color"), f = u.get("showMinLine") !== !1, p = u.get("showMaxLine") !== !1;
      d = isArray$1(d) ? d : [d];
      for (var v = s.coordinateSystem.getRect(), g = l.isHorizontal(), y = 0, _ = l.getTicksCoords({
        tickModel: u
      }), S = [], C = [], b = c.getLineStyle(), T = 0; T < _.length; T++) {
        var E = l.toGlobalCoord(_[T].coord);
        if (!(T === 0 && !f || T === _.length - 1 && !p)) {
          var x = _[T].tickValue;
          g ? (S[0] = E, S[1] = v.y, C[0] = E, C[1] = v.y + v.height) : (S[0] = v.x, S[1] = E, C[0] = v.x + v.width, C[1] = E);
          var $ = y++ % d.length, A = new Line$1({
            anid: x != null ? "line_" + x : null,
            autoBatch: !0,
            shape: {
              x1: S[0],
              y1: S[1],
              x2: C[0],
              y2: C[1]
            },
            style: defaults({
              stroke: d[$]
            }, b),
            silent: !0
          });
          subPixelOptimizeLine(A.shape, b.lineWidth), a.add(A);
        }
      }
    }
  },
  minorSplitLine: function(r, a, o, s) {
    var l = o.axis, u = o.getModel("minorSplitLine"), c = u.getModel("lineStyle"), d = s.coordinateSystem.getRect(), f = l.isHorizontal(), p = l.getMinorTicksCoords();
    if (p.length)
      for (var v = [], g = [], y = c.getLineStyle(), _ = 0; _ < p.length; _++)
        for (var S = 0; S < p[_].length; S++) {
          var C = l.toGlobalCoord(p[_][S].coord);
          f ? (v[0] = C, v[1] = d.y, g[0] = C, g[1] = d.y + d.height) : (v[0] = d.x, v[1] = C, g[0] = d.x + d.width, g[1] = C);
          var b = new Line$1({
            anid: "minor_line_" + p[_][S].tickValue,
            autoBatch: !0,
            shape: {
              x1: v[0],
              y1: v[1],
              x2: g[0],
              y2: g[1]
            },
            style: y,
            silent: !0
          });
          subPixelOptimizeLine(b.shape, y.lineWidth), a.add(b);
        }
  },
  splitArea: function(r, a, o, s) {
    rectCoordAxisBuildSplitArea(r, a, o, s);
  }
}, CartesianXAxisView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.type = "xAxis", a;
  }(CartesianAxisView)
), CartesianYAxisView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = CartesianXAxisView.type, o;
    }
    return a.type = "yAxis", a;
  }(CartesianAxisView)
), GridView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = "grid", o;
    }
    return a.prototype.render = function(o, s) {
      this.group.removeAll(), o.get("show") && this.group.add(new Rect$2({
        shape: o.coordinateSystem.getRect(),
        style: defaults({
          fill: o.get("backgroundColor")
        }, o.getItemStyle()),
        silent: !0,
        z2: -1
      }));
    }, a.type = "grid", a;
  }(ComponentView)
), extraOption = {
  // gridIndex: 0,
  // gridId: '',
  offset: 0
};
function install$O(r) {
  r.registerComponentView(GridView), r.registerComponentModel(GridModel), r.registerCoordinateSystem("cartesian2d", Grid), axisModelCreator(r, "x", CartesianAxisModel, extraOption), axisModelCreator(r, "y", CartesianAxisModel, extraOption), r.registerComponentView(CartesianXAxisView), r.registerComponentView(CartesianYAxisView), r.registerPreprocessor(function(a) {
    a.xAxis && a.yAxis && !a.grid && (a.grid = {});
  });
}
function install$N(r) {
  use(install$O), r.registerSeriesModel(ScatterSeriesModel), r.registerChartView(ScatterView), r.registerLayout(pointsLayout("scatter"));
}
function radarLayout(r) {
  r.eachSeriesByType("radar", function(a) {
    var o = a.getData(), s = [], l = a.coordinateSystem;
    if (l) {
      var u = l.getIndicatorAxes();
      each$f(u, function(c, d) {
        o.each(o.mapDimension(u[d].dim), function(f, p) {
          s[p] = s[p] || [];
          var v = l.dataToPoint(f, d);
          s[p][d] = isValidPoint(v) ? v : getValueMissingPoint(l);
        });
      }), o.each(function(c) {
        var d = find(s[c], function(f) {
          return isValidPoint(f);
        }) || getValueMissingPoint(l);
        s[c].push(d.slice()), o.setItemLayout(c, s[c]);
      });
    }
  });
}
function isValidPoint(r) {
  return !isNaN(r[0]) && !isNaN(r[1]);
}
function getValueMissingPoint(r) {
  return [r.cx, r.cy];
}
function radarBackwardCompat(r) {
  var a = r.polar;
  if (a) {
    isArray$1(a) || (a = [a]);
    var o = [];
    each$f(a, function(s, l) {
      s.indicator ? (s.type && !s.shape && (s.shape = s.type), r.radar = r.radar || [], isArray$1(r.radar) || (r.radar = [r.radar]), r.radar.push(s)) : o.push(s);
    }), r.polar = o;
  }
  each$f(r.series, function(s) {
    s && s.type === "radar" && s.polarIndex && (s.radarIndex = s.polarIndex);
  });
}
var RadarView$1 = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l) {
      var u = o.coordinateSystem, c = this.group, d = o.getData(), f = this._data;
      function p(y, _) {
        var S = y.getItemVisual(_, "symbol") || "circle";
        if (S !== "none") {
          var C = normalizeSymbolSize(y.getItemVisual(_, "symbolSize")), b = createSymbol$1(S, -1, -1, 2, 2), T = y.getItemVisual(_, "symbolRotate") || 0;
          return b.attr({
            style: {
              strokeNoScale: !0
            },
            z2: 100,
            scaleX: C[0] / 2,
            scaleY: C[1] / 2,
            rotation: T * Math.PI / 180 || 0
          }), b;
        }
      }
      function v(y, _, S, C, b, T) {
        S.removeAll();
        for (var E = 0; E < _.length - 1; E++) {
          var x = p(C, b);
          x && (x.__dimIdx = E, y[E] ? (x.setPosition(y[E]), graphic$1[T ? "initProps" : "updateProps"](x, {
            x: _[E][0],
            y: _[E][1]
          }, o, b)) : x.setPosition(_[E]), S.add(x));
        }
      }
      function g(y) {
        return map$1(y, function(_) {
          return [u.cx, u.cy];
        });
      }
      d.diff(f).add(function(y) {
        var _ = d.getItemLayout(y);
        if (_) {
          var S = new Polygon(), C = new Polyline$1(), b = {
            shape: {
              points: _
            }
          };
          S.shape.points = g(_), C.shape.points = g(_), initProps(S, b, o, y), initProps(C, b, o, y);
          var T = new Group$3(), E = new Group$3();
          T.add(C), T.add(S), T.add(E), v(C.shape.points, _, E, d, y, !0), d.setItemGraphicEl(y, T);
        }
      }).update(function(y, _) {
        var S = f.getItemGraphicEl(_), C = S.childAt(0), b = S.childAt(1), T = S.childAt(2), E = {
          shape: {
            points: d.getItemLayout(y)
          }
        };
        E.shape.points && (v(C.shape.points, E.shape.points, T, d, y, !1), saveOldStyle(b), saveOldStyle(C), updateProps$1(C, E, o), updateProps$1(b, E, o), d.setItemGraphicEl(y, S));
      }).remove(function(y) {
        c.remove(f.getItemGraphicEl(y));
      }).execute(), d.eachItemGraphicEl(function(y, _) {
        var S = d.getItemModel(_), C = y.childAt(0), b = y.childAt(1), T = y.childAt(2), E = d.getItemVisual(_, "style"), x = E.fill;
        c.add(y), C.useStyle(defaults(S.getModel("lineStyle").getLineStyle(), {
          fill: "none",
          stroke: x
        })), setStatesStylesFromModel(C, S, "lineStyle"), setStatesStylesFromModel(b, S, "areaStyle");
        var $ = S.getModel("areaStyle"), A = $.isEmpty() && $.parentModel.isEmpty();
        b.ignore = A, each$f(["emphasis", "select", "blur"], function(L) {
          var O = S.getModel([L, "areaStyle"]), M = O.isEmpty() && O.parentModel.isEmpty();
          b.ensureState(L).ignore = M && A;
        }), b.useStyle(defaults($.getAreaStyle(), {
          fill: x,
          opacity: 0.7,
          decal: E.decal
        }));
        var N = S.getModel("emphasis"), P = N.getModel("itemStyle").getItemStyle();
        T.eachChild(function(L) {
          if (L instanceof ZRImage) {
            var O = L.style;
            L.useStyle(extend({
              // TODO other properties like x, y ?
              image: O.image,
              x: O.x,
              y: O.y,
              width: O.width,
              height: O.height
            }, E));
          } else
            L.useStyle(E), L.setColor(x), L.style.strokeNoScale = !0;
          var M = L.ensureState("emphasis");
          M.style = clone$4(P);
          var F = d.getStore().get(d.getDimensionIndex(L.__dimIdx), _);
          (F == null || isNaN(F)) && (F = ""), setLabelStyle(L, getLabelStatesModels(S), {
            labelFetcher: d.hostModel,
            labelDataIndex: _,
            labelDimIndex: L.__dimIdx,
            defaultText: F,
            inheritColor: x,
            defaultOpacity: E.opacity
          });
        }), toggleHoverEmphasis(y, N.get("focus"), N.get("blurScope"), N.get("disabled"));
      }), this._data = d;
    }, a.prototype.remove = function() {
      this.group.removeAll(), this._data = null;
    }, a.type = "radar", a;
  }(ChartView)
), RadarSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.hasSymbolVisual = !0, o;
    }
    return a.prototype.init = function(o) {
      r.prototype.init.apply(this, arguments), this.legendVisualProvider = new LegendVisualProvider(bind$1(this.getData, this), bind$1(this.getRawData, this));
    }, a.prototype.getInitialData = function(o, s) {
      return createSeriesDataSimply(this, {
        generateCoord: "indicator_",
        generateCoordCount: 1 / 0
      });
    }, a.prototype.formatTooltip = function(o, s, l) {
      var u = this.getData(), c = this.coordinateSystem, d = c.getIndicatorAxes(), f = this.getData().getName(o), p = f === "" ? this.name : f, v = retrieveVisualColorForTooltipMarker(this, o);
      return createTooltipMarkup("section", {
        header: p,
        sortBlocks: !0,
        blocks: map$1(d, function(g) {
          var y = u.get(u.mapDimension(g.dim), o);
          return createTooltipMarkup("nameValue", {
            markerType: "subItem",
            markerColor: v,
            name: g.name,
            value: y,
            sortParam: y
          });
        })
      });
    }, a.prototype.getTooltipPosition = function(o) {
      if (o != null) {
        for (var s = this.getData(), l = this.coordinateSystem, u = s.getValues(map$1(l.dimensions, function(p) {
          return s.mapDimension(p);
        }), o), c = 0, d = u.length; c < d; c++)
          if (!isNaN(u[c])) {
            var f = l.getIndicatorAxes();
            return l.coordToPoint(f[c].dataToCoord(u[c]), c);
          }
      }
    }, a.type = "series.radar", a.dependencies = ["radar"], a.defaultOption = {
      // zlevel: 0,
      z: 2,
      colorBy: "data",
      coordinateSystem: "radar",
      legendHoverLink: !0,
      radarIndex: 0,
      lineStyle: {
        width: 2,
        type: "solid",
        join: "round"
      },
      label: {
        position: "top"
      },
      // areaStyle: {
      // },
      // itemStyle: {}
      symbolSize: 8
      // symbolRotate: null
    }, a;
  }(SeriesModel)
), valueAxisDefault = axisDefault.value;
function defaultsShow(r, a) {
  return defaults({
    show: a
  }, r);
}
var RadarModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.optionUpdated = function() {
      var o = this.get("boundaryGap"), s = this.get("splitNumber"), l = this.get("scale"), u = this.get("axisLine"), c = this.get("axisTick"), d = this.get("axisLabel"), f = this.get("axisName"), p = this.get(["axisName", "show"]), v = this.get(["axisName", "formatter"]), g = this.get("axisNameGap"), y = this.get("triggerEvent"), _ = map$1(this.get("indicator") || [], function(S) {
        S.max != null && S.max > 0 && !S.min ? S.min = 0 : S.min != null && S.min < 0 && !S.max && (S.max = 0);
        var C = f;
        S.color != null && (C = defaults({
          color: S.color
        }, f));
        var b = merge(clone$4(S), {
          boundaryGap: o,
          splitNumber: s,
          scale: l,
          axisLine: u,
          axisTick: c,
          // axisType: axisType,
          axisLabel: d,
          // Compatible with 2 and use text
          name: S.text,
          showName: p,
          nameLocation: "end",
          nameGap: g,
          // min: 0,
          nameTextStyle: C,
          triggerEvent: y
        }, !1);
        if (isString(v)) {
          var T = b.name;
          b.name = v.replace("{value}", T ?? "");
        } else isFunction(v) && (b.name = v(b.name, b));
        var E = new Model(b, null, this.ecModel);
        return mixin(E, AxisModelCommonMixin.prototype), E.mainType = "radar", E.componentIndex = this.componentIndex, E;
      }, this);
      this._indicatorModels = _;
    }, a.prototype.getIndicatorModels = function() {
      return this._indicatorModels;
    }, a.type = "radar", a.defaultOption = {
      // zlevel: 0,
      z: 0,
      center: ["50%", "50%"],
      radius: "75%",
      startAngle: 90,
      axisName: {
        show: !0
        // formatter: null
        // textStyle: {}
      },
      boundaryGap: [0, 0],
      splitNumber: 5,
      axisNameGap: 15,
      scale: !1,
      // Polygon or circle
      shape: "polygon",
      axisLine: merge({
        lineStyle: {
          color: "#bbb"
        }
      }, valueAxisDefault.axisLine),
      axisLabel: defaultsShow(valueAxisDefault.axisLabel, !1),
      axisTick: defaultsShow(valueAxisDefault.axisTick, !1),
      // axisType: 'value',
      splitLine: defaultsShow(valueAxisDefault.splitLine, !0),
      splitArea: defaultsShow(valueAxisDefault.splitArea, !0),
      // {text, min, max}
      indicator: []
    }, a;
  }(ComponentModel)
), axisBuilderAttrs$2 = ["axisLine", "axisTickLabel", "axisName"], RadarView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l) {
      var u = this.group;
      u.removeAll(), this._buildAxes(o), this._buildSplitLineAndArea(o);
    }, a.prototype._buildAxes = function(o) {
      var s = o.coordinateSystem, l = s.getIndicatorAxes(), u = map$1(l, function(c) {
        var d = c.model.get("showName") ? c.name : "", f = new AxisBuilder(c.model, {
          axisName: d,
          position: [s.cx, s.cy],
          rotation: c.angle,
          labelDirection: -1,
          tickDirection: -1,
          nameDirection: 1
        });
        return f;
      });
      each$f(u, function(c) {
        each$f(axisBuilderAttrs$2, c.add, c), this.group.add(c.getGroup());
      }, this);
    }, a.prototype._buildSplitLineAndArea = function(o) {
      var s = o.coordinateSystem, l = s.getIndicatorAxes();
      if (!l.length)
        return;
      var u = o.get("shape"), c = o.getModel("splitLine"), d = o.getModel("splitArea"), f = c.getModel("lineStyle"), p = d.getModel("areaStyle"), v = c.get("show"), g = d.get("show"), y = f.get("color"), _ = p.get("color"), S = isArray$1(y) ? y : [y], C = isArray$1(_) ? _ : [_], b = [], T = [];
      function E(V, Y, G) {
        var Z = G % Y.length;
        return V[Z] = V[Z] || [], Z;
      }
      if (u === "circle")
        for (var x = l[0].getTicksCoords(), $ = s.cx, A = s.cy, N = 0; N < x.length; N++) {
          if (v) {
            var P = E(b, S, N);
            b[P].push(new Circle({
              shape: {
                cx: $,
                cy: A,
                r: x[N].coord
              }
            }));
          }
          if (g && N < x.length - 1) {
            var P = E(T, C, N);
            T[P].push(new Ring({
              shape: {
                cx: $,
                cy: A,
                r0: x[N].coord,
                r: x[N + 1].coord
              }
            }));
          }
        }
      else
        for (var L, O = map$1(l, function(V, Y) {
          var G = V.getTicksCoords();
          return L = L == null ? G.length - 1 : Math.min(G.length - 1, L), map$1(G, function(Z) {
            return s.coordToPoint(Z.coord, Y);
          });
        }), M = [], N = 0; N <= L; N++) {
          for (var F = [], U = 0; U < l.length; U++)
            F.push(O[U][N]);
          if (F[0] ? F.push(F[0].slice()) : process.env.NODE_ENV !== "production" && console.error("Can't draw value axis " + N), v) {
            var P = E(b, S, N);
            b[P].push(new Polyline$1({
              shape: {
                points: F
              }
            }));
          }
          if (g && M) {
            var P = E(T, C, N - 1);
            T[P].push(new Polygon({
              shape: {
                points: F.concat(M)
              }
            }));
          }
          M = F.slice().reverse();
        }
      var R = f.getLineStyle(), H = p.getAreaStyle();
      each$f(T, function(V, Y) {
        this.group.add(mergePath(V, {
          style: defaults({
            stroke: "none",
            fill: C[Y % C.length]
          }, H),
          silent: !0
        }));
      }, this), each$f(b, function(V, Y) {
        this.group.add(mergePath(V, {
          style: defaults({
            fill: "none",
            stroke: S[Y % S.length]
          }, R),
          silent: !0
        }));
      }, this);
    }, a.type = "radar", a;
  }(ComponentView)
), IndicatorAxis = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s, l) {
      var u = r.call(this, o, s, l) || this;
      return u.type = "value", u.angle = 0, u.name = "", u;
    }
    return a;
  }(Axis)
), Radar = (
  /** @class */
  function() {
    function r(a, o, s) {
      this.dimensions = [], this._model = a, this._indicatorAxes = map$1(a.getIndicatorModels(), function(l, u) {
        var c = "indicator_" + u, d = new IndicatorAxis(
          c,
          new IntervalScale()
          // (indicatorModel.get('axisType') === 'log') ? new LogScale() : new IntervalScale()
        );
        return d.name = l.get("name"), d.model = l, l.axis = d, this.dimensions.push(c), d;
      }, this), this.resize(a, s);
    }
    return r.prototype.getIndicatorAxes = function() {
      return this._indicatorAxes;
    }, r.prototype.dataToPoint = function(a, o) {
      var s = this._indicatorAxes[o];
      return this.coordToPoint(s.dataToCoord(a), o);
    }, r.prototype.coordToPoint = function(a, o) {
      var s = this._indicatorAxes[o], l = s.angle, u = this.cx + a * Math.cos(l), c = this.cy - a * Math.sin(l);
      return [u, c];
    }, r.prototype.pointToData = function(a) {
      var o = a[0] - this.cx, s = a[1] - this.cy, l = Math.sqrt(o * o + s * s);
      o /= l, s /= l;
      for (var u = Math.atan2(-s, o), c = 1 / 0, d, f = -1, p = 0; p < this._indicatorAxes.length; p++) {
        var v = this._indicatorAxes[p], g = Math.abs(u - v.angle);
        g < c && (d = v, f = p, c = g);
      }
      return [f, +(d && d.coordToData(l))];
    }, r.prototype.resize = function(a, o) {
      var s = a.get("center"), l = o.getWidth(), u = o.getHeight(), c = Math.min(l, u) / 2;
      this.cx = parsePercent(s[0], l), this.cy = parsePercent(s[1], u), this.startAngle = a.get("startAngle") * Math.PI / 180;
      var d = a.get("radius");
      (isString(d) || isNumber(d)) && (d = [0, d]), this.r0 = parsePercent(d[0], c), this.r = parsePercent(d[1], c), each$f(this._indicatorAxes, function(f, p) {
        f.setExtent(this.r0, this.r);
        var v = this.startAngle + p * Math.PI * 2 / this._indicatorAxes.length;
        v = Math.atan2(Math.sin(v), Math.cos(v)), f.angle = v;
      }, this);
    }, r.prototype.update = function(a, o) {
      var s = this._indicatorAxes, l = this._model;
      each$f(s, function(d) {
        d.scale.setExtent(1 / 0, -1 / 0);
      }), a.eachSeriesByType("radar", function(d, f) {
        if (!(d.get("coordinateSystem") !== "radar" || a.getComponent("radar", d.get("radarIndex")) !== l)) {
          var p = d.getData();
          each$f(s, function(v) {
            v.scale.unionExtentFromData(p, p.mapDimension(v.dim));
          });
        }
      }, this);
      var u = l.get("splitNumber"), c = new IntervalScale();
      c.setExtent(0, u), c.setInterval(1), each$f(s, function(d, f) {
        alignScaleTicks(d.scale, d.model, c);
      });
    }, r.prototype.convertToPixel = function(a, o, s) {
      return console.warn("Not implemented."), null;
    }, r.prototype.convertFromPixel = function(a, o, s) {
      return console.warn("Not implemented."), null;
    }, r.prototype.containPoint = function(a) {
      return console.warn("Not implemented."), !1;
    }, r.create = function(a, o) {
      var s = [];
      return a.eachComponent("radar", function(l) {
        var u = new r(l, a, o);
        s.push(u), l.coordinateSystem = u;
      }), a.eachSeriesByType("radar", function(l) {
        l.get("coordinateSystem") === "radar" && (l.coordinateSystem = s[l.get("radarIndex") || 0]);
      }), s;
    }, r.dimensions = [], r;
  }()
);
function install$M(r) {
  r.registerCoordinateSystem("radar", Radar), r.registerComponentModel(RadarModel), r.registerComponentView(RadarView), r.registerVisual({
    seriesType: "radar",
    reset: function(a) {
      var o = a.getData();
      o.each(function(s) {
        o.setItemVisual(s, "legendIcon", "roundRect");
      }), o.setVisual("legendIcon", "roundRect");
    }
  });
}
function install$L(r) {
  use(install$M), r.registerChartView(RadarView$1), r.registerSeriesModel(RadarSeriesModel), r.registerLayout(radarLayout), r.registerProcessor(dataFilter$1("radar")), r.registerPreprocessor(radarBackwardCompat);
}
var ATTR = "\0_ec_interaction_mutex";
function take(r, a, o) {
  var s = getStore(r);
  s[a] = o;
}
function release(r, a, o) {
  var s = getStore(r), l = s[a];
  l === o && (s[a] = null);
}
function isTaken(r, a) {
  return !!getStore(r)[a];
}
function getStore(r) {
  return r[ATTR] || (r[ATTR] = {});
}
registerAction({
  type: "takeGlobalCursor",
  event: "globalCursorTaken",
  update: "update"
}, noop);
var RoamController = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      var s = r.call(this) || this;
      s._zr = o;
      var l = bind$1(s._mousedownHandler, s), u = bind$1(s._mousemoveHandler, s), c = bind$1(s._mouseupHandler, s), d = bind$1(s._mousewheelHandler, s), f = bind$1(s._pinchHandler, s);
      return s.enable = function(p, v) {
        this.disable(), this._opt = defaults(clone$4(v) || {}, {
          zoomOnMouseWheel: !0,
          moveOnMouseMove: !0,
          // By default, wheel do not trigger move.
          moveOnMouseWheel: !1,
          preventDefaultMouseMove: !0
        }), p == null && (p = !0), (p === !0 || p === "move" || p === "pan") && (o.on("mousedown", l), o.on("mousemove", u), o.on("mouseup", c)), (p === !0 || p === "scale" || p === "zoom") && (o.on("mousewheel", d), o.on("pinch", f));
      }, s.disable = function() {
        o.off("mousedown", l), o.off("mousemove", u), o.off("mouseup", c), o.off("mousewheel", d), o.off("pinch", f);
      }, s;
    }
    return a.prototype.isDragging = function() {
      return this._dragging;
    }, a.prototype.isPinching = function() {
      return this._pinching;
    }, a.prototype.setPointerChecker = function(o) {
      this.pointerChecker = o;
    }, a.prototype.dispose = function() {
      this.disable();
    }, a.prototype._mousedownHandler = function(o) {
      if (!isMiddleOrRightButtonOnMouseUpDown(o)) {
        for (var s = o.target; s; ) {
          if (s.draggable)
            return;
          s = s.__hostTarget || s.parent;
        }
        var l = o.offsetX, u = o.offsetY;
        this.pointerChecker && this.pointerChecker(o, l, u) && (this._x = l, this._y = u, this._dragging = !0);
      }
    }, a.prototype._mousemoveHandler = function(o) {
      if (!(!this._dragging || !isAvailableBehavior("moveOnMouseMove", o, this._opt) || o.gestureEvent === "pinch" || isTaken(this._zr, "globalPan"))) {
        var s = o.offsetX, l = o.offsetY, u = this._x, c = this._y, d = s - u, f = l - c;
        this._x = s, this._y = l, this._opt.preventDefaultMouseMove && stop(o.event), trigger$1(this, "pan", "moveOnMouseMove", o, {
          dx: d,
          dy: f,
          oldX: u,
          oldY: c,
          newX: s,
          newY: l,
          isAvailableBehavior: null
        });
      }
    }, a.prototype._mouseupHandler = function(o) {
      isMiddleOrRightButtonOnMouseUpDown(o) || (this._dragging = !1);
    }, a.prototype._mousewheelHandler = function(o) {
      var s = isAvailableBehavior("zoomOnMouseWheel", o, this._opt), l = isAvailableBehavior("moveOnMouseWheel", o, this._opt), u = o.wheelDelta, c = Math.abs(u), d = o.offsetX, f = o.offsetY;
      if (!(u === 0 || !s && !l)) {
        if (s) {
          var p = c > 3 ? 1.4 : c > 1 ? 1.2 : 1.1, v = u > 0 ? p : 1 / p;
          checkPointerAndTrigger(this, "zoom", "zoomOnMouseWheel", o, {
            scale: v,
            originX: d,
            originY: f,
            isAvailableBehavior: null
          });
        }
        if (l) {
          var g = Math.abs(u), y = (u > 0 ? 1 : -1) * (g > 3 ? 0.4 : g > 1 ? 0.15 : 0.05);
          checkPointerAndTrigger(this, "scrollMove", "moveOnMouseWheel", o, {
            scrollDelta: y,
            originX: d,
            originY: f,
            isAvailableBehavior: null
          });
        }
      }
    }, a.prototype._pinchHandler = function(o) {
      if (!isTaken(this._zr, "globalPan")) {
        var s = o.pinchScale > 1 ? 1.1 : 1 / 1.1;
        checkPointerAndTrigger(this, "zoom", null, o, {
          scale: s,
          originX: o.pinchX,
          originY: o.pinchY,
          isAvailableBehavior: null
        });
      }
    }, a;
  }(Eventful)
);
function checkPointerAndTrigger(r, a, o, s, l) {
  r.pointerChecker && r.pointerChecker(s, l.originX, l.originY) && (stop(s.event), trigger$1(r, a, o, s, l));
}
function trigger$1(r, a, o, s, l) {
  l.isAvailableBehavior = bind$1(isAvailableBehavior, null, o, s), r.trigger(a, l);
}
function isAvailableBehavior(r, a, o) {
  var s = o[r];
  return !r || s && (!isString(s) || a.event[s + "Key"]);
}
function updateViewOnPan(r, a, o) {
  var s = r.target;
  s.x += a, s.y += o, s.dirty();
}
function updateViewOnZoom(r, a, o, s) {
  var l = r.target, u = r.zoomLimit, c = r.zoom = r.zoom || 1;
  if (c *= a, u) {
    var d = u.min || 0, f = u.max || 1 / 0;
    c = Math.max(Math.min(f, c), d);
  }
  var p = c / r.zoom;
  r.zoom = c, l.x -= (o - l.x) * (p - 1), l.y -= (s - l.y) * (p - 1), l.scaleX *= p, l.scaleY *= p, l.dirty();
}
var IRRELEVANT_EXCLUDES = {
  axisPointer: 1,
  tooltip: 1,
  brush: 1
};
function onIrrelevantElement(r, a, o) {
  var s = a.getComponentByElement(r.topTarget), l = s && s.coordinateSystem;
  return s && s !== o && !IRRELEVANT_EXCLUDES.hasOwnProperty(s.mainType) && l && l.model !== o;
}
function parseXML(r) {
  if (isString(r)) {
    var a = new DOMParser();
    r = a.parseFromString(r, "text/xml");
  }
  var o = r;
  for (o.nodeType === 9 && (o = o.firstChild); o.nodeName.toLowerCase() !== "svg" || o.nodeType !== 1; )
    o = o.nextSibling;
  return o;
}
var nodeParsers, INHERITABLE_STYLE_ATTRIBUTES_MAP = {
  fill: "fill",
  stroke: "stroke",
  "stroke-width": "lineWidth",
  opacity: "opacity",
  "fill-opacity": "fillOpacity",
  "stroke-opacity": "strokeOpacity",
  "stroke-dasharray": "lineDash",
  "stroke-dashoffset": "lineDashOffset",
  "stroke-linecap": "lineCap",
  "stroke-linejoin": "lineJoin",
  "stroke-miterlimit": "miterLimit",
  "font-family": "fontFamily",
  "font-size": "fontSize",
  "font-style": "fontStyle",
  "font-weight": "fontWeight",
  "text-anchor": "textAlign",
  visibility: "visibility",
  display: "display"
}, INHERITABLE_STYLE_ATTRIBUTES_MAP_KEYS = keys(INHERITABLE_STYLE_ATTRIBUTES_MAP), SELF_STYLE_ATTRIBUTES_MAP = {
  "alignment-baseline": "textBaseline",
  "stop-color": "stopColor"
}, SELF_STYLE_ATTRIBUTES_MAP_KEYS = keys(SELF_STYLE_ATTRIBUTES_MAP), SVGParser = function() {
  function r() {
    this._defs = {}, this._root = null;
  }
  return r.prototype.parse = function(a, o) {
    o = o || {};
    var s = parseXML(a);
    if (process.env.NODE_ENV !== "production" && !s)
      throw new Error("Illegal svg");
    this._defsUsePending = [];
    var l = new Group$3();
    this._root = l;
    var u = [], c = s.getAttribute("viewBox") || "", d = parseFloat(s.getAttribute("width") || o.width), f = parseFloat(s.getAttribute("height") || o.height);
    isNaN(d) && (d = null), isNaN(f) && (f = null), parseAttributes(s, l, null, !0, !1);
    for (var p = s.firstChild; p; )
      this._parseNode(p, l, u, null, !1, !1), p = p.nextSibling;
    applyDefs(this._defs, this._defsUsePending), this._defsUsePending = [];
    var v, g;
    if (c) {
      var y = splitNumberSequence(c);
      y.length >= 4 && (v = {
        x: parseFloat(y[0] || 0),
        y: parseFloat(y[1] || 0),
        width: parseFloat(y[2]),
        height: parseFloat(y[3])
      });
    }
    if (v && d != null && f != null && (g = makeViewBoxTransform(v, { x: 0, y: 0, width: d, height: f }), !o.ignoreViewBox)) {
      var _ = l;
      l = new Group$3(), l.add(_), _.scaleX = _.scaleY = g.scale, _.x = g.x, _.y = g.y;
    }
    return !o.ignoreRootClip && d != null && f != null && l.setClipPath(new Rect$2({
      shape: { x: 0, y: 0, width: d, height: f }
    })), {
      root: l,
      width: d,
      height: f,
      viewBoxRect: v,
      viewBoxTransform: g,
      named: u
    };
  }, r.prototype._parseNode = function(a, o, s, l, u, c) {
    var d = a.nodeName.toLowerCase(), f, p = l;
    if (d === "defs" && (u = !0), d === "text" && (c = !0), d === "defs" || d === "switch")
      f = o;
    else {
      if (!u) {
        var v = nodeParsers[d];
        if (v && hasOwn(nodeParsers, d)) {
          f = v.call(this, a, o);
          var g = a.getAttribute("name");
          if (g) {
            var y = {
              name: g,
              namedFrom: null,
              svgNodeTagLower: d,
              el: f
            };
            s.push(y), d === "g" && (p = y);
          } else l && s.push({
            name: l.name,
            namedFrom: l,
            svgNodeTagLower: d,
            el: f
          });
          o.add(f);
        }
      }
      var _ = paintServerParsers[d];
      if (_ && hasOwn(paintServerParsers, d)) {
        var S = _.call(this, a), C = a.getAttribute("id");
        C && (this._defs[C] = S);
      }
    }
    if (f && f.isGroup)
      for (var b = a.firstChild; b; )
        b.nodeType === 1 ? this._parseNode(b, f, s, p, u, c) : b.nodeType === 3 && c && this._parseText(b, f), b = b.nextSibling;
  }, r.prototype._parseText = function(a, o) {
    var s = new TSpan({
      style: {
        text: a.textContent
      },
      silent: !0,
      x: this._textX || 0,
      y: this._textY || 0
    });
    inheritStyle(o, s), parseAttributes(a, s, this._defsUsePending, !1, !1), applyTextAlignment(s, o);
    var l = s.style, u = l.fontSize;
    u && u < 9 && (l.fontSize = 9, s.scaleX *= u / 9, s.scaleY *= u / 9);
    var c = (l.fontSize || l.fontFamily) && [
      l.fontStyle,
      l.fontWeight,
      (l.fontSize || 12) + "px",
      l.fontFamily || "sans-serif"
    ].join(" ");
    l.font = c;
    var d = s.getBoundingRect();
    return this._textX += d.width, o.add(s), s;
  }, r.internalField = function() {
    nodeParsers = {
      g: function(a, o) {
        var s = new Group$3();
        return inheritStyle(o, s), parseAttributes(a, s, this._defsUsePending, !1, !1), s;
      },
      rect: function(a, o) {
        var s = new Rect$2();
        return inheritStyle(o, s), parseAttributes(a, s, this._defsUsePending, !1, !1), s.setShape({
          x: parseFloat(a.getAttribute("x") || "0"),
          y: parseFloat(a.getAttribute("y") || "0"),
          width: parseFloat(a.getAttribute("width") || "0"),
          height: parseFloat(a.getAttribute("height") || "0")
        }), s.silent = !0, s;
      },
      circle: function(a, o) {
        var s = new Circle();
        return inheritStyle(o, s), parseAttributes(a, s, this._defsUsePending, !1, !1), s.setShape({
          cx: parseFloat(a.getAttribute("cx") || "0"),
          cy: parseFloat(a.getAttribute("cy") || "0"),
          r: parseFloat(a.getAttribute("r") || "0")
        }), s.silent = !0, s;
      },
      line: function(a, o) {
        var s = new Line$1();
        return inheritStyle(o, s), parseAttributes(a, s, this._defsUsePending, !1, !1), s.setShape({
          x1: parseFloat(a.getAttribute("x1") || "0"),
          y1: parseFloat(a.getAttribute("y1") || "0"),
          x2: parseFloat(a.getAttribute("x2") || "0"),
          y2: parseFloat(a.getAttribute("y2") || "0")
        }), s.silent = !0, s;
      },
      ellipse: function(a, o) {
        var s = new Ellipse();
        return inheritStyle(o, s), parseAttributes(a, s, this._defsUsePending, !1, !1), s.setShape({
          cx: parseFloat(a.getAttribute("cx") || "0"),
          cy: parseFloat(a.getAttribute("cy") || "0"),
          rx: parseFloat(a.getAttribute("rx") || "0"),
          ry: parseFloat(a.getAttribute("ry") || "0")
        }), s.silent = !0, s;
      },
      polygon: function(a, o) {
        var s = a.getAttribute("points"), l;
        s && (l = parsePoints(s));
        var u = new Polygon({
          shape: {
            points: l || []
          },
          silent: !0
        });
        return inheritStyle(o, u), parseAttributes(a, u, this._defsUsePending, !1, !1), u;
      },
      polyline: function(a, o) {
        var s = a.getAttribute("points"), l;
        s && (l = parsePoints(s));
        var u = new Polyline$1({
          shape: {
            points: l || []
          },
          silent: !0
        });
        return inheritStyle(o, u), parseAttributes(a, u, this._defsUsePending, !1, !1), u;
      },
      image: function(a, o) {
        var s = new ZRImage();
        return inheritStyle(o, s), parseAttributes(a, s, this._defsUsePending, !1, !1), s.setStyle({
          image: a.getAttribute("xlink:href") || a.getAttribute("href"),
          x: +a.getAttribute("x"),
          y: +a.getAttribute("y"),
          width: +a.getAttribute("width"),
          height: +a.getAttribute("height")
        }), s.silent = !0, s;
      },
      text: function(a, o) {
        var s = a.getAttribute("x") || "0", l = a.getAttribute("y") || "0", u = a.getAttribute("dx") || "0", c = a.getAttribute("dy") || "0";
        this._textX = parseFloat(s) + parseFloat(u), this._textY = parseFloat(l) + parseFloat(c);
        var d = new Group$3();
        return inheritStyle(o, d), parseAttributes(a, d, this._defsUsePending, !1, !0), d;
      },
      tspan: function(a, o) {
        var s = a.getAttribute("x"), l = a.getAttribute("y");
        s != null && (this._textX = parseFloat(s)), l != null && (this._textY = parseFloat(l));
        var u = a.getAttribute("dx") || "0", c = a.getAttribute("dy") || "0", d = new Group$3();
        return inheritStyle(o, d), parseAttributes(a, d, this._defsUsePending, !1, !0), this._textX += parseFloat(u), this._textY += parseFloat(c), d;
      },
      path: function(a, o) {
        var s = a.getAttribute("d") || "", l = createFromString(s);
        return inheritStyle(o, l), parseAttributes(a, l, this._defsUsePending, !1, !1), l.silent = !0, l;
      }
    };
  }(), r;
}(), paintServerParsers = {
  lineargradient: function(r) {
    var a = parseInt(r.getAttribute("x1") || "0", 10), o = parseInt(r.getAttribute("y1") || "0", 10), s = parseInt(r.getAttribute("x2") || "10", 10), l = parseInt(r.getAttribute("y2") || "0", 10), u = new LinearGradient(a, o, s, l);
    return parsePaintServerUnit(r, u), parseGradientColorStops(r, u), u;
  },
  radialgradient: function(r) {
    var a = parseInt(r.getAttribute("cx") || "0", 10), o = parseInt(r.getAttribute("cy") || "0", 10), s = parseInt(r.getAttribute("r") || "0", 10), l = new RadialGradient(a, o, s);
    return parsePaintServerUnit(r, l), parseGradientColorStops(r, l), l;
  }
};
function parsePaintServerUnit(r, a) {
  var o = r.getAttribute("gradientUnits");
  o === "userSpaceOnUse" && (a.global = !0);
}
function parseGradientColorStops(r, a) {
  for (var o = r.firstChild; o; ) {
    if (o.nodeType === 1 && o.nodeName.toLocaleLowerCase() === "stop") {
      var s = o.getAttribute("offset"), l = void 0;
      s && s.indexOf("%") > 0 ? l = parseInt(s, 10) / 100 : s ? l = parseFloat(s) : l = 0;
      var u = {};
      parseInlineStyle(o, u, u);
      var c = u.stopColor || o.getAttribute("stop-color") || "#000000";
      a.colorStops.push({
        offset: l,
        color: c
      });
    }
    o = o.nextSibling;
  }
}
function inheritStyle(r, a) {
  r && r.__inheritedStyle && (a.__inheritedStyle || (a.__inheritedStyle = {}), defaults(a.__inheritedStyle, r.__inheritedStyle));
}
function parsePoints(r) {
  for (var a = splitNumberSequence(r), o = [], s = 0; s < a.length; s += 2) {
    var l = parseFloat(a[s]), u = parseFloat(a[s + 1]);
    o.push([l, u]);
  }
  return o;
}
function parseAttributes(r, a, o, s, l) {
  var u = a, c = u.__inheritedStyle = u.__inheritedStyle || {}, d = {};
  r.nodeType === 1 && (parseTransformAttribute(r, a), parseInlineStyle(r, c, d), s || parseAttributeStyle(r, c, d)), u.style = u.style || {}, c.fill != null && (u.style.fill = getFillStrokeStyle(u, "fill", c.fill, o)), c.stroke != null && (u.style.stroke = getFillStrokeStyle(u, "stroke", c.stroke, o)), each$f([
    "lineWidth",
    "opacity",
    "fillOpacity",
    "strokeOpacity",
    "miterLimit",
    "fontSize"
  ], function(f) {
    c[f] != null && (u.style[f] = parseFloat(c[f]));
  }), each$f([
    "lineDashOffset",
    "lineCap",
    "lineJoin",
    "fontWeight",
    "fontFamily",
    "fontStyle",
    "textAlign"
  ], function(f) {
    c[f] != null && (u.style[f] = c[f]);
  }), l && (u.__selfStyle = d), c.lineDash && (u.style.lineDash = map$1(splitNumberSequence(c.lineDash), function(f) {
    return parseFloat(f);
  })), (c.visibility === "hidden" || c.visibility === "collapse") && (u.invisible = !0), c.display === "none" && (u.ignore = !0);
}
function applyTextAlignment(r, a) {
  var o = a.__selfStyle;
  if (o) {
    var s = o.textBaseline, l = s;
    !s || s === "auto" || s === "baseline" ? l = "alphabetic" : s === "before-edge" || s === "text-before-edge" ? l = "top" : s === "after-edge" || s === "text-after-edge" ? l = "bottom" : (s === "central" || s === "mathematical") && (l = "middle"), r.style.textBaseline = l;
  }
  var u = a.__inheritedStyle;
  if (u) {
    var c = u.textAlign, d = c;
    c && (c === "middle" && (d = "center"), r.style.textAlign = d);
  }
}
var urlRegex = /^url\(\s*#(.*?)\)/;
function getFillStrokeStyle(r, a, o, s) {
  var l = o && o.match(urlRegex);
  if (l) {
    var u = trim$1(l[1]);
    s.push([r, a, u]);
    return;
  }
  return o === "none" && (o = null), o;
}
function applyDefs(r, a) {
  for (var o = 0; o < a.length; o++) {
    var s = a[o];
    s[0].style[s[1]] = r[s[2]];
  }
}
var numberReg = /-?([0-9]*\.)?[0-9]+([eE]-?[0-9]+)?/g;
function splitNumberSequence(r) {
  return r.match(numberReg) || [];
}
var transformRegex = /(translate|scale|rotate|skewX|skewY|matrix)\(([\-\s0-9\.eE,]*)\)/g, DEGREE_TO_ANGLE = Math.PI / 180;
function parseTransformAttribute(r, a) {
  var o = r.getAttribute("transform");
  if (o) {
    o = o.replace(/,/g, " ");
    var s = [], l = null;
    o.replace(transformRegex, function(g, y, _) {
      return s.push(y, _), "";
    });
    for (var u = s.length - 1; u > 0; u -= 2) {
      var c = s[u], d = s[u - 1], f = splitNumberSequence(c);
      switch (l = l || create$1(), d) {
        case "translate":
          translate(l, l, [parseFloat(f[0]), parseFloat(f[1] || "0")]);
          break;
        case "scale":
          scale$1(l, l, [parseFloat(f[0]), parseFloat(f[1] || f[0])]);
          break;
        case "rotate":
          rotate(l, l, -parseFloat(f[0]) * DEGREE_TO_ANGLE, [
            parseFloat(f[1] || "0"),
            parseFloat(f[2] || "0")
          ]);
          break;
        case "skewX":
          var p = Math.tan(parseFloat(f[0]) * DEGREE_TO_ANGLE);
          mul(l, [1, 0, p, 1, 0, 0], l);
          break;
        case "skewY":
          var v = Math.tan(parseFloat(f[0]) * DEGREE_TO_ANGLE);
          mul(l, [1, v, 0, 1, 0, 0], l);
          break;
        case "matrix":
          l[0] = parseFloat(f[0]), l[1] = parseFloat(f[1]), l[2] = parseFloat(f[2]), l[3] = parseFloat(f[3]), l[4] = parseFloat(f[4]), l[5] = parseFloat(f[5]);
          break;
      }
    }
    a.setLocalTransform(l);
  }
}
var styleRegex = /([^\s:;]+)\s*:\s*([^:;]+)/g;
function parseInlineStyle(r, a, o) {
  var s = r.getAttribute("style");
  if (s) {
    styleRegex.lastIndex = 0;
    for (var l; (l = styleRegex.exec(s)) != null; ) {
      var u = l[1], c = hasOwn(INHERITABLE_STYLE_ATTRIBUTES_MAP, u) ? INHERITABLE_STYLE_ATTRIBUTES_MAP[u] : null;
      c && (a[c] = l[2]);
      var d = hasOwn(SELF_STYLE_ATTRIBUTES_MAP, u) ? SELF_STYLE_ATTRIBUTES_MAP[u] : null;
      d && (o[d] = l[2]);
    }
  }
}
function parseAttributeStyle(r, a, o) {
  for (var s = 0; s < INHERITABLE_STYLE_ATTRIBUTES_MAP_KEYS.length; s++) {
    var l = INHERITABLE_STYLE_ATTRIBUTES_MAP_KEYS[s], u = r.getAttribute(l);
    u != null && (a[INHERITABLE_STYLE_ATTRIBUTES_MAP[l]] = u);
  }
  for (var s = 0; s < SELF_STYLE_ATTRIBUTES_MAP_KEYS.length; s++) {
    var l = SELF_STYLE_ATTRIBUTES_MAP_KEYS[s], u = r.getAttribute(l);
    u != null && (o[SELF_STYLE_ATTRIBUTES_MAP[l]] = u);
  }
}
function makeViewBoxTransform(r, a) {
  var o = a.width / r.width, s = a.height / r.height, l = Math.min(o, s);
  return {
    scale: l,
    x: -(r.x + r.width / 2) * l + (a.x + a.width / 2),
    y: -(r.y + r.height / 2) * l + (a.y + a.height / 2)
  };
}
function parseSVG(r, a) {
  var o = new SVGParser();
  return o.parse(r, a);
}
var REGION_AVAILABLE_SVG_TAG_MAP = createHashMap([
  "rect",
  "circle",
  "line",
  "ellipse",
  "polygon",
  "polyline",
  "path",
  // <text> <tspan> are also enabled because some SVG might paint text itself,
  // but still need to trigger events or tooltip.
  "text",
  "tspan",
  // <g> is also enabled because this case: if multiple tags share one name
  // and need label displayed, every tags will display the name, which is not
  // expected. So we can put them into a <g name="xxx">. Thereby only one label
  // displayed and located based on the bounding rect of the <g>.
  "g"
]), GeoSVGResource = (
  /** @class */
  function() {
    function r(a, o) {
      this.type = "geoSVG", this._usedGraphicMap = createHashMap(), this._freedGraphics = [], this._mapName = a, this._parsedXML = parseXML(o);
    }
    return r.prototype.load = function() {
      var a = this._firstGraphic;
      if (!a) {
        a = this._firstGraphic = this._buildGraphic(this._parsedXML), this._freedGraphics.push(a), this._boundingRect = this._firstGraphic.boundingRect.clone();
        var o = createRegions(a.named), s = o.regions, l = o.regionsMap;
        this._regions = s, this._regionsMap = l;
      }
      return {
        boundingRect: this._boundingRect,
        regions: this._regions,
        regionsMap: this._regionsMap
      };
    }, r.prototype._buildGraphic = function(a) {
      var o, s;
      try {
        o = a && parseSVG(a, {
          ignoreViewBox: !0,
          ignoreRootClip: !0
        }) || {}, s = o.root, assert(s != null);
      } catch (b) {
        throw new Error(`Invalid svg format
` + b.message);
      }
      var l = new Group$3();
      l.add(s), l.isGeoSVGGraphicRoot = !0;
      var u = o.width, c = o.height, d = o.viewBoxRect, f = this._boundingRect;
      if (!f) {
        var p = void 0, v = void 0, g = void 0, y = void 0;
        if (u != null ? (p = 0, g = u) : d && (p = d.x, g = d.width), c != null ? (v = 0, y = c) : d && (v = d.y, y = d.height), p == null || v == null) {
          var _ = s.getBoundingRect();
          p == null && (p = _.x, g = _.width), v == null && (v = _.y, y = _.height);
        }
        f = this._boundingRect = new BoundingRect(p, v, g, y);
      }
      if (d) {
        var S = makeViewBoxTransform(d, f);
        s.scaleX = s.scaleY = S.scale, s.x = S.x, s.y = S.y;
      }
      l.setClipPath(new Rect$2({
        shape: f.plain()
      }));
      var C = [];
      return each$f(o.named, function(b) {
        REGION_AVAILABLE_SVG_TAG_MAP.get(b.svgNodeTagLower) != null && (C.push(b), setSilent(b.el));
      }), {
        root: l,
        boundingRect: f,
        named: C
      };
    }, r.prototype.useGraphic = function(a) {
      var o = this._usedGraphicMap, s = o.get(a);
      return s || (s = this._freedGraphics.pop() || this._buildGraphic(this._parsedXML), o.set(a, s), s);
    }, r.prototype.freeGraphic = function(a) {
      var o = this._usedGraphicMap, s = o.get(a);
      s && (o.removeKey(a), this._freedGraphics.push(s));
    }, r;
  }()
);
function setSilent(r) {
  r.silent = !1, r.isGroup && r.traverse(function(a) {
    a.silent = !1;
  });
}
function createRegions(r) {
  var a = [], o = createHashMap();
  return each$f(r, function(s) {
    if (s.namedFrom == null) {
      var l = new GeoSVGRegion(s.name, s.el);
      a.push(l), o.set(s.name, l);
    }
  }), {
    regions: a,
    regionsMap: o
  };
}
var geoCoord = [126, 25], nanhaiName = "南海诸岛", points$1 = [[[0, 3.5], [7, 11.2], [15, 11.9], [30, 7], [42, 0.7], [52, 0.7], [56, 7.7], [59, 0.7], [64, 0.7], [64, 0], [5, 0], [0, 3.5]], [[13, 16.1], [19, 14.7], [16, 21.7], [11, 23.1], [13, 16.1]], [[12, 32.2], [14, 38.5], [15, 38.5], [13, 32.2], [12, 32.2]], [[16, 47.6], [12, 53.2], [13, 53.2], [18, 47.6], [16, 47.6]], [[6, 64.4], [8, 70], [9, 70], [8, 64.4], [6, 64.4]], [[23, 82.6], [29, 79.8], [30, 79.8], [25, 82.6], [23, 82.6]], [[37, 70.7], [43, 62.3], [44, 62.3], [39, 70.7], [37, 70.7]], [[48, 51.1], [51, 45.5], [53, 45.5], [50, 51.1], [48, 51.1]], [[51, 35], [51, 28.7], [53, 28.7], [53, 35], [51, 35]], [[52, 22.4], [55, 17.5], [56, 17.5], [53, 22.4], [52, 22.4]], [[58, 12.6], [62, 7], [63, 7], [60, 12.6], [58, 12.6]], [[0, 3.5], [0, 93.1], [64, 93.1], [64, 0], [63, 0], [63, 92.4], [1, 92.4], [1, 3.5], [0, 3.5]]];
for (var i = 0; i < points$1.length; i++)
  for (var k = 0; k < points$1[i].length; k++)
    points$1[i][k][0] /= 10.5, points$1[i][k][1] /= -10.5 / 0.75, points$1[i][k][0] += geoCoord[0], points$1[i][k][1] += geoCoord[1];
function fixNanhai(r, a) {
  if (r === "china") {
    for (var o = 0; o < a.length; o++)
      if (a[o].name === nanhaiName)
        return;
    a.push(new GeoJSONRegion(nanhaiName, map$1(points$1, function(s) {
      return {
        type: "polygon",
        exterior: s
      };
    }), geoCoord));
  }
}
var coordsOffsetMap = {
  南海诸岛: [32, 80],
  // 全国
  广东: [0, -10],
  香港: [10, 5],
  澳门: [-10, 10],
  // '北京': [-10, 0],
  天津: [5, 5]
};
function fixTextCoords(r, a) {
  if (r === "china") {
    var o = coordsOffsetMap[a.name];
    if (o) {
      var s = a.getCenter();
      s[0] += o[0] / 10.5, s[1] += -o[1] / (10.5 / 0.75), a.setCenter(s);
    }
  }
}
var points = [[[123.45165252685547, 25.73527164402261], [123.49731445312499, 25.73527164402261], [123.49731445312499, 25.750734064600884], [123.45165252685547, 25.750734064600884], [123.45165252685547, 25.73527164402261]]];
function fixDiaoyuIsland(r, a) {
  r === "china" && a.name === "台湾" && a.geometries.push({
    type: "polygon",
    exterior: points[0]
  });
}
var DEFAULT_NAME_PROPERTY = "name", GeoJSONResource = (
  /** @class */
  function() {
    function r(a, o, s) {
      this.type = "geoJSON", this._parsedMap = createHashMap(), this._mapName = a, this._specialAreas = s, this._geoJSON = parseInput(o);
    }
    return r.prototype.load = function(a, o) {
      o = o || DEFAULT_NAME_PROPERTY;
      var s = this._parsedMap.get(o);
      if (!s) {
        var l = this._parseToRegions(o);
        s = this._parsedMap.set(o, {
          regions: l,
          boundingRect: calculateBoundingRect(l)
        });
      }
      var u = createHashMap(), c = [];
      return each$f(s.regions, function(d) {
        var f = d.name;
        a && hasOwn(a, f) && (d = d.cloneShallow(f = a[f])), c.push(d), u.set(f, d);
      }), {
        regions: c,
        boundingRect: s.boundingRect || new BoundingRect(0, 0, 0, 0),
        regionsMap: u
      };
    }, r.prototype._parseToRegions = function(a) {
      var o = this._mapName, s = this._geoJSON, l;
      try {
        l = s ? parseGeoJSON(s, a) : [];
      } catch (u) {
        throw new Error(`Invalid geoJson format
` + u.message);
      }
      return fixNanhai(o, l), each$f(l, function(u) {
        var c = u.name;
        fixTextCoords(o, u), fixDiaoyuIsland(o, u);
        var d = this._specialAreas && this._specialAreas[c];
        d && u.transformTo(d.left, d.top, d.width, d.height);
      }, this), l;
    }, r.prototype.getMapForUser = function() {
      return {
        // For backward compatibility, use geoJson
        // PENDING: it has been returning them without clone.
        // do we need to avoid outsite modification?
        geoJson: this._geoJSON,
        geoJSON: this._geoJSON,
        specialAreas: this._specialAreas
      };
    }, r;
  }()
);
function calculateBoundingRect(r) {
  for (var a, o = 0; o < r.length; o++) {
    var s = r[o].getBoundingRect();
    a = a || s.clone(), a.union(s);
  }
  return a;
}
function parseInput(r) {
  return isString(r) ? typeof JSON < "u" && JSON.parse ? JSON.parse(r) : new Function("return (" + r + ");")() : r;
}
var storage = createHashMap();
const geoSourceManager = {
  /**
   * Compatible with previous `echarts.registerMap`.
   *
   * @usage
   * ```js
   *
   * echarts.registerMap('USA', geoJson, specialAreas);
   *
   * echarts.registerMap('USA', {
   *     geoJson: geoJson,
   *     specialAreas: {...}
   * });
   * echarts.registerMap('USA', {
   *     geoJSON: geoJson,
   *     specialAreas: {...}
   * });
   *
   * echarts.registerMap('airport', {
   *     svg: svg
   * }
   * ```
   *
   * Note:
   * Do not support that register multiple geoJSON or SVG
   * one map name. Because different geoJSON and SVG have
   * different unit. It's not easy to make sure how those
   * units are mapping/normalize.
   * If intending to use multiple geoJSON or SVG, we can
   * use multiple geo coordinate system.
   */
  registerMap: function(r, a, o) {
    if (a.svg) {
      var s = new GeoSVGResource(r, a.svg);
      storage.set(r, s);
    } else {
      var l = a.geoJson || a.geoJSON;
      l && !a.features ? o = a.specialAreas : l = a;
      var s = new GeoJSONResource(r, l, o);
      storage.set(r, s);
    }
  },
  getGeoResource: function(r) {
    return storage.get(r);
  },
  /**
   * Only for exporting to users.
   * **MUST NOT** used internally.
   */
  getMapForUser: function(r) {
    var a = storage.get(r);
    return a && a.type === "geoJSON" && a.getMapForUser();
  },
  load: function(r, a, o) {
    var s = storage.get(r);
    if (!s) {
      process.env.NODE_ENV !== "production" && console.error("Map " + r + " not exists. The GeoJSON of the map must be provided.");
      return;
    }
    return s.load(a, o);
  }
};
var OPTION_STYLE_ENABLED_TAGS = ["rect", "circle", "line", "ellipse", "polygon", "polyline", "path"], OPTION_STYLE_ENABLED_TAG_MAP = createHashMap(OPTION_STYLE_ENABLED_TAGS), STATE_TRIGGER_TAG_MAP = createHashMap(OPTION_STYLE_ENABLED_TAGS.concat(["g"])), LABEL_HOST_MAP = createHashMap(OPTION_STYLE_ENABLED_TAGS.concat(["g"])), mapLabelRaw = makeInner();
function getFixedItemStyle(r) {
  var a = r.getItemStyle(), o = r.get("areaColor");
  return o != null && (a.fill = o), a;
}
function fixLineStyle(r) {
  var a = r.style;
  a && (a.stroke = a.stroke || a.fill, a.fill = null);
}
var MapDraw = (
  /** @class */
  function() {
    function r(a) {
      var o = new Group$3();
      this.uid = getUID("ec_map_draw"), this._controller = new RoamController(a.getZr()), this._controllerHost = {
        target: o
      }, this.group = o, o.add(this._regionsGroup = new Group$3()), o.add(this._svgGroup = new Group$3());
    }
    return r.prototype.draw = function(a, o, s, l, u) {
      var c = a.mainType === "geo", d = a.getData && a.getData();
      c && o.eachComponent({
        mainType: "series",
        subType: "map"
      }, function(T) {
        !d && T.getHostGeoModel() === a && (d = T.getData());
      });
      var f = a.coordinateSystem, p = this._regionsGroup, v = this.group, g = f.getTransformInfo(), y = g.raw, _ = g.roam, S = !p.childAt(0) || u;
      S ? (v.x = _.x, v.y = _.y, v.scaleX = _.scaleX, v.scaleY = _.scaleY, v.dirty()) : updateProps$1(v, _, a);
      var C = d && d.getVisual("visualMeta") && d.getVisual("visualMeta").length > 0, b = {
        api: s,
        geo: f,
        mapOrGeoModel: a,
        data: d,
        isVisualEncodedByVisualMap: C,
        isGeo: c,
        transformInfoRaw: y
      };
      f.resourceType === "geoJSON" ? this._buildGeoJSON(b) : f.resourceType === "geoSVG" && this._buildSVG(b), this._updateController(a, o, s), this._updateMapSelectHandler(a, p, s, l);
    }, r.prototype._buildGeoJSON = function(a) {
      var o = this._regionsGroupByName = createHashMap(), s = createHashMap(), l = this._regionsGroup, u = a.transformInfoRaw, c = a.mapOrGeoModel, d = a.data, f = a.geo.projection, p = f && f.stream;
      function v(_, S) {
        return S && (_ = S(_)), _ && [_[0] * u.scaleX + u.x, _[1] * u.scaleY + u.y];
      }
      function g(_) {
        for (var S = [], C = !p && f && f.project, b = 0; b < _.length; ++b) {
          var T = v(_[b], C);
          T && S.push(T);
        }
        return S;
      }
      function y(_) {
        return {
          shape: {
            points: g(_)
          }
        };
      }
      l.removeAll(), each$f(a.geo.regions, function(_) {
        var S = _.name, C = o.get(S), b = s.get(S) || {}, T = b.dataIdx, E = b.regionModel;
        if (!C) {
          C = o.set(S, new Group$3()), l.add(C), T = d ? d.indexOfName(S) : null, E = a.isGeo ? c.getRegionModel(S) : d ? d.getItemModel(T) : null;
          var x = E.get("silent", !0);
          x != null && (C.silent = x), s.set(S, {
            dataIdx: T,
            regionModel: E
          });
        }
        var $ = [], A = [];
        each$f(_.geometries, function(L) {
          if (L.type === "polygon") {
            var O = [L.exterior].concat(L.interiors || []);
            p && (O = projectPolys(O, p)), each$f(O, function(F) {
              $.push(new Polygon(y(F)));
            });
          } else {
            var M = L.points;
            p && (M = projectPolys(M, p, !0)), each$f(M, function(F) {
              A.push(new Polyline$1(y(F)));
            });
          }
        });
        var N = v(_.getCenter(), f && f.project);
        function P(L, O) {
          if (L.length) {
            var M = new CompoundPath({
              culling: !0,
              segmentIgnoreThreshold: 1,
              shape: {
                paths: L
              }
            });
            C.add(M), applyOptionStyleForRegion(a, M, T, E), resetLabelForRegion(a, M, S, E, c, T, N), O && (fixLineStyle(M), each$f(M.states, fixLineStyle));
          }
        }
        P($), P(A, !0);
      }), o.each(function(_, S) {
        var C = s.get(S), b = C.dataIdx, T = C.regionModel;
        resetEventTriggerForRegion(a, _, S, T, c, b), resetTooltipForRegion(a, _, S, T, c), resetStateTriggerForRegion(a, _, S, T, c);
      }, this);
    }, r.prototype._buildSVG = function(a) {
      var o = a.geo.map, s = a.transformInfoRaw;
      this._svgGroup.x = s.x, this._svgGroup.y = s.y, this._svgGroup.scaleX = s.scaleX, this._svgGroup.scaleY = s.scaleY, this._svgResourceChanged(o) && (this._freeSVG(), this._useSVG(o));
      var l = this._svgDispatcherMap = createHashMap(), u = !1;
      each$f(this._svgGraphicRecord.named, function(c) {
        var d = c.name, f = a.mapOrGeoModel, p = a.data, v = c.svgNodeTagLower, g = c.el, y = p ? p.indexOfName(d) : null, _ = f.getRegionModel(d);
        OPTION_STYLE_ENABLED_TAG_MAP.get(v) != null && g instanceof Displayable && applyOptionStyleForRegion(a, g, y, _), g instanceof Displayable && (g.culling = !0);
        var S = _.get("silent", !0);
        if (S != null && (g.silent = S), g.z2EmphasisLift = 0, !c.namedFrom && (LABEL_HOST_MAP.get(v) != null && resetLabelForRegion(a, g, d, _, f, y, null), resetEventTriggerForRegion(a, g, d, _, f, y), resetTooltipForRegion(a, g, d, _, f), STATE_TRIGGER_TAG_MAP.get(v) != null)) {
          var C = resetStateTriggerForRegion(a, g, d, _, f);
          C === "self" && (u = !0);
          var b = l.get(d) || l.set(d, []);
          b.push(g);
        }
      }, this), this._enableBlurEntireSVG(u, a);
    }, r.prototype._enableBlurEntireSVG = function(a, o) {
      if (a && o.isGeo) {
        var s = o.mapOrGeoModel.getModel(["blur", "itemStyle"]).getItemStyle(), l = s.opacity;
        this._svgGraphicRecord.root.traverse(function(u) {
          if (!u.isGroup) {
            setDefaultStateProxy(u);
            var c = u.ensureState("blur").style || {};
            c.opacity == null && l != null && (c.opacity = l), u.ensureState("emphasis");
          }
        });
      }
    }, r.prototype.remove = function() {
      this._regionsGroup.removeAll(), this._regionsGroupByName = null, this._svgGroup.removeAll(), this._freeSVG(), this._controller.dispose(), this._controllerHost = null;
    }, r.prototype.findHighDownDispatchers = function(a, o) {
      if (a == null)
        return [];
      var s = o.coordinateSystem;
      if (s.resourceType === "geoJSON") {
        var l = this._regionsGroupByName;
        if (l) {
          var u = l.get(a);
          return u ? [u] : [];
        }
      } else if (s.resourceType === "geoSVG")
        return this._svgDispatcherMap && this._svgDispatcherMap.get(a) || [];
    }, r.prototype._svgResourceChanged = function(a) {
      return this._svgMapName !== a;
    }, r.prototype._useSVG = function(a) {
      var o = geoSourceManager.getGeoResource(a);
      if (o && o.type === "geoSVG") {
        var s = o.useGraphic(this.uid);
        this._svgGroup.add(s.root), this._svgGraphicRecord = s, this._svgMapName = a;
      }
    }, r.prototype._freeSVG = function() {
      var a = this._svgMapName;
      if (a != null) {
        var o = geoSourceManager.getGeoResource(a);
        o && o.type === "geoSVG" && o.freeGraphic(this.uid), this._svgGraphicRecord = null, this._svgDispatcherMap = null, this._svgGroup.removeAll(), this._svgMapName = null;
      }
    }, r.prototype._updateController = function(a, o, s) {
      var l = a.coordinateSystem, u = this._controller, c = this._controllerHost;
      c.zoomLimit = a.get("scaleLimit"), c.zoom = l.getZoom(), u.enable(a.get("roam") || !1);
      var d = a.mainType;
      function f() {
        var p = {
          type: "geoRoam",
          componentType: d
        };
        return p[d + "Id"] = a.id, p;
      }
      u.off("pan").on("pan", function(p) {
        this._mouseDownFlag = !1, updateViewOnPan(c, p.dx, p.dy), s.dispatchAction(extend(f(), {
          dx: p.dx,
          dy: p.dy,
          animation: {
            duration: 0
          }
        }));
      }, this), u.off("zoom").on("zoom", function(p) {
        this._mouseDownFlag = !1, updateViewOnZoom(c, p.scale, p.originX, p.originY), s.dispatchAction(extend(f(), {
          totalZoom: c.zoom,
          zoom: p.scale,
          originX: p.originX,
          originY: p.originY,
          animation: {
            duration: 0
          }
        }));
      }, this), u.setPointerChecker(function(p, v, g) {
        return l.containPoint([v, g]) && !onIrrelevantElement(p, s, a);
      });
    }, r.prototype.resetForLabelLayout = function() {
      this.group.traverse(function(a) {
        var o = a.getTextContent();
        o && (o.ignore = mapLabelRaw(o).ignore);
      });
    }, r.prototype._updateMapSelectHandler = function(a, o, s, l) {
      var u = this;
      o.off("mousedown"), o.off("click"), a.get("selectedMode") && (o.on("mousedown", function() {
        u._mouseDownFlag = !0;
      }), o.on("click", function(c) {
        u._mouseDownFlag && (u._mouseDownFlag = !1);
      }));
    }, r;
  }()
);
function applyOptionStyleForRegion(r, a, o, s) {
  var l = s.getModel("itemStyle"), u = s.getModel(["emphasis", "itemStyle"]), c = s.getModel(["blur", "itemStyle"]), d = s.getModel(["select", "itemStyle"]), f = getFixedItemStyle(l), p = getFixedItemStyle(u), v = getFixedItemStyle(d), g = getFixedItemStyle(c), y = r.data;
  if (y) {
    var _ = y.getItemVisual(o, "style"), S = y.getItemVisual(o, "decal");
    r.isVisualEncodedByVisualMap && _.fill && (f.fill = _.fill), S && (f.decal = createOrUpdatePatternFromDecal(S, r.api));
  }
  a.setStyle(f), a.style.strokeNoScale = !0, a.ensureState("emphasis").style = p, a.ensureState("select").style = v, a.ensureState("blur").style = g, setDefaultStateProxy(a);
}
function resetLabelForRegion(r, a, o, s, l, u, c) {
  var d = r.data, f = r.isGeo, p = d && isNaN(d.get(d.mapDimension("value"), u)), v = d && d.getItemLayout(u);
  if (f || p || v && v.showLabel) {
    var g = f ? o : u, y = void 0;
    (!d || u >= 0) && (y = l);
    var _ = c ? {
      normal: {
        align: "center",
        verticalAlign: "middle"
      }
    } : null;
    setLabelStyle(a, getLabelStatesModels(s), {
      labelFetcher: y,
      labelDataIndex: g,
      defaultText: o
    }, _);
    var S = a.getTextContent();
    if (S && (mapLabelRaw(S).ignore = S.ignore, a.textConfig && c)) {
      var C = a.getBoundingRect().clone();
      a.textConfig.layoutRect = C, a.textConfig.position = [(c[0] - C.x) / C.width * 100 + "%", (c[1] - C.y) / C.height * 100 + "%"];
    }
    a.disableLabelAnimation = !0;
  } else
    a.removeTextContent(), a.removeTextConfig(), a.disableLabelAnimation = null;
}
function resetEventTriggerForRegion(r, a, o, s, l, u) {
  r.data ? r.data.setItemGraphicEl(u, a) : getECData(a).eventData = {
    componentType: "geo",
    componentIndex: l.componentIndex,
    geoIndex: l.componentIndex,
    name: o,
    region: s && s.option || {}
  };
}
function resetTooltipForRegion(r, a, o, s, l) {
  r.data || setTooltipConfig({
    el: a,
    componentModel: l,
    itemName: o,
    // @ts-ignore FIXME:TS fix the "compatible with each other"?
    itemTooltipOption: s.get("tooltip")
  });
}
function resetStateTriggerForRegion(r, a, o, s, l) {
  a.highDownSilentOnTouch = !!l.get("selectedMode");
  var u = s.getModel("emphasis"), c = u.get("focus");
  return toggleHoverEmphasis(a, c, u.get("blurScope"), u.get("disabled")), r.isGeo && enableComponentHighDownFeatures(a, l, o), c;
}
function projectPolys(r, a, o) {
  var s = [], l;
  function u() {
    l = [];
  }
  function c() {
    l.length && (s.push(l), l = []);
  }
  var d = a({
    polygonStart: u,
    polygonEnd: c,
    lineStart: u,
    lineEnd: c,
    point: function(f, p) {
      isFinite(f) && isFinite(p) && l.push([f, p]);
    },
    sphere: function() {
    }
  });
  return !o && d.polygonStart(), each$f(r, function(f) {
    d.lineStart();
    for (var p = 0; p < f.length; p++)
      d.point(f[p][0], f[p][1]);
    d.lineEnd();
  }), !o && d.polygonEnd(), s;
}
var MapView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l, u) {
      if (!(u && u.type === "mapToggleSelect" && u.from === this.uid)) {
        var c = this.group;
        if (c.removeAll(), !o.getHostGeoModel()) {
          if (this._mapDraw && u && u.type === "geoRoam" && this._mapDraw.resetForLabelLayout(), u && u.type === "geoRoam" && u.componentType === "series" && u.seriesId === o.id) {
            var d = this._mapDraw;
            d && c.add(d.group);
          } else if (o.needsDrawMap) {
            var d = this._mapDraw || new MapDraw(l);
            c.add(d.group), d.draw(o, s, l, this, u), this._mapDraw = d;
          } else
            this._mapDraw && this._mapDraw.remove(), this._mapDraw = null;
          o.get("showLegendSymbol") && s.getComponent("legend") && this._renderSymbols(o, s, l);
        }
      }
    }, a.prototype.remove = function() {
      this._mapDraw && this._mapDraw.remove(), this._mapDraw = null, this.group.removeAll();
    }, a.prototype.dispose = function() {
      this._mapDraw && this._mapDraw.remove(), this._mapDraw = null;
    }, a.prototype._renderSymbols = function(o, s, l) {
      var u = o.originalData, c = this.group;
      u.each(u.mapDimension("value"), function(d, f) {
        if (!isNaN(d)) {
          var p = u.getItemLayout(f);
          if (!(!p || !p.point)) {
            var v = p.point, g = p.offset, y = new Circle({
              style: {
                // Because the special of map draw.
                // Which needs statistic of multiple series and draw on one map.
                // And each series also need a symbol with legend color
                //
                // Layout and visual are put one the different data
                // TODO
                fill: o.getData().getVisual("style").fill
              },
              shape: {
                cx: v[0] + g * 9,
                cy: v[1],
                r: 3
              },
              silent: !0,
              // Do not overlap the first series, on which labels are displayed.
              z2: 8 + (g ? 0 : Z2_EMPHASIS_LIFT + 1)
            });
            if (!g) {
              var _ = o.mainSeries.getData(), S = u.getName(f), C = _.indexOfName(S), b = u.getItemModel(f), T = b.getModel("label"), E = _.getItemGraphicEl(C);
              setLabelStyle(y, getLabelStatesModels(b), {
                labelFetcher: {
                  getFormattedLabel: function(x, $) {
                    return o.getFormattedLabel(C, $);
                  }
                },
                defaultText: S
              }), y.disableLabelAnimation = !0, T.get("position") || y.setTextConfig({
                position: "bottom"
              }), E.onHoverStateChange = function(x) {
                setStatesFlag(y, x);
              };
            }
            c.add(y);
          }
        }
      });
    }, a.type = "map", a;
  }(ChartView)
), MapSeries = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.needsDrawMap = !1, o.seriesGroup = [], o.getTooltipPosition = function(s) {
        if (s != null) {
          var l = this.getData().getName(s), u = this.coordinateSystem, c = u.getRegion(l);
          return c && u.dataToPoint(c.getCenter());
        }
      }, o;
    }
    return a.prototype.getInitialData = function(o) {
      for (var s = createSeriesDataSimply(this, {
        coordDimensions: ["value"],
        encodeDefaulter: curry$1(makeSeriesEncodeForNameBased, this)
      }), l = createHashMap(), u = [], c = 0, d = s.count(); c < d; c++) {
        var f = s.getName(c);
        l.set(f, c);
      }
      var p = geoSourceManager.load(this.getMapType(), this.option.nameMap, this.option.nameProperty);
      return each$f(p.regions, function(v) {
        var g = v.name, y = l.get(g), _ = v.properties && v.properties.echartsStyle, S;
        y == null ? (S = {
          name: g
        }, u.push(S)) : S = s.getRawDataItem(y), _ && merge(S, _);
      }), s.appendData(u), s;
    }, a.prototype.getHostGeoModel = function() {
      var o = this.option.geoIndex;
      return o != null ? this.ecModel.getComponent("geo", o) : null;
    }, a.prototype.getMapType = function() {
      return (this.getHostGeoModel() || this).option.map;
    }, a.prototype.getRawValue = function(o) {
      var s = this.getData();
      return s.get(s.mapDimension("value"), o);
    }, a.prototype.getRegionModel = function(o) {
      var s = this.getData();
      return s.getItemModel(s.indexOfName(o));
    }, a.prototype.formatTooltip = function(o, s, l) {
      for (var u = this.getData(), c = this.getRawValue(o), d = u.getName(o), f = this.seriesGroup, p = [], v = 0; v < f.length; v++) {
        var g = f[v].originalData.indexOfName(d), y = u.mapDimension("value");
        isNaN(f[v].originalData.get(y, g)) || p.push(f[v].name);
      }
      return createTooltipMarkup("section", {
        header: p.join(", "),
        noHeader: !p.length,
        blocks: [createTooltipMarkup("nameValue", {
          name: d,
          value: c
        })]
      });
    }, a.prototype.setZoom = function(o) {
      this.option.zoom = o;
    }, a.prototype.setCenter = function(o) {
      this.option.center = o;
    }, a.prototype.getLegendIcon = function(o) {
      var s = o.icon || "roundRect", l = createSymbol$1(s, 0, 0, o.itemWidth, o.itemHeight, o.itemStyle.fill);
      return l.setStyle(o.itemStyle), l.style.stroke = "none", s.indexOf("empty") > -1 && (l.style.stroke = l.style.fill, l.style.fill = "#fff", l.style.lineWidth = 2), l;
    }, a.type = "series.map", a.dependencies = ["geo"], a.layoutMode = "box", a.defaultOption = {
      // 一级层叠
      // zlevel: 0,
      // 二级层叠
      z: 2,
      coordinateSystem: "geo",
      // map should be explicitly specified since ec3.
      map: "",
      // If `geoIndex` is not specified, a exclusive geo will be
      // created. Otherwise use the specified geo component, and
      // `map` and `mapType` are ignored.
      // geoIndex: 0,
      // 'center' | 'left' | 'right' | 'x%' | {number}
      left: "center",
      // 'center' | 'top' | 'bottom' | 'x%' | {number}
      top: "center",
      // right
      // bottom
      // width:
      // height
      // Aspect is width / height. Inited to be geoJson bbox aspect
      // This parameter is used for scale this aspect
      // Default value:
      // for geoSVG source: 1,
      // for geoJSON source: 0.75.
      aspectScale: null,
      // Layout with center and size
      // If you want to put map in a fixed size box with right aspect ratio
      // This two properties may be more convenient.
      // layoutCenter: [50%, 50%]
      // layoutSize: 100
      showLegendSymbol: !0,
      // Define left-top, right-bottom coords to control view
      // For example, [ [180, 90], [-180, -90] ],
      // higher priority than center and zoom
      boundingCoords: null,
      // Default on center of map
      center: null,
      zoom: 1,
      scaleLimit: null,
      selectedMode: !0,
      label: {
        show: !1,
        color: "#000"
      },
      // scaleLimit: null,
      itemStyle: {
        borderWidth: 0.5,
        borderColor: "#444",
        areaColor: "#eee"
      },
      emphasis: {
        label: {
          show: !0,
          color: "rgb(100,0,0)"
        },
        itemStyle: {
          areaColor: "rgba(255,215,0,0.8)"
        }
      },
      select: {
        label: {
          show: !0,
          color: "rgb(100,0,0)"
        },
        itemStyle: {
          color: "rgba(255,215,0,0.8)"
        }
      },
      nameProperty: "name"
    }, a;
  }(SeriesModel)
);
function dataStatistics(r, a) {
  var o = {};
  return each$f(r, function(s) {
    s.each(s.mapDimension("value"), function(l, u) {
      var c = "ec-" + s.getName(u);
      o[c] = o[c] || [], isNaN(l) || o[c].push(l);
    });
  }), r[0].map(r[0].mapDimension("value"), function(s, l) {
    for (var u = "ec-" + r[0].getName(l), c = 0, d = 1 / 0, f = -1 / 0, p = o[u].length, v = 0; v < p; v++)
      d = Math.min(d, o[u][v]), f = Math.max(f, o[u][v]), c += o[u][v];
    var g;
    return a === "min" ? g = d : a === "max" ? g = f : a === "average" ? g = c / p : g = c, p === 0 ? NaN : g;
  });
}
function mapDataStatistic(r) {
  var a = {};
  r.eachSeriesByType("map", function(o) {
    var s = o.getHostGeoModel(), l = s ? "o" + s.id : "i" + o.getMapType();
    (a[l] = a[l] || []).push(o);
  }), each$f(a, function(o, s) {
    for (var l = dataStatistics(map$1(o, function(c) {
      return c.getData();
    }), o[0].get("mapValueCalculation")), u = 0; u < o.length; u++)
      o[u].originalData = o[u].getData();
    for (var u = 0; u < o.length; u++)
      o[u].seriesGroup = o, o[u].needsDrawMap = u === 0 && !o[u].getHostGeoModel(), o[u].setData(l.cloneShallow()), o[u].mainSeries = o[0];
  });
}
function mapSymbolLayout(r) {
  var a = {};
  r.eachSeriesByType("map", function(o) {
    var s = o.getMapType();
    if (!(o.getHostGeoModel() || a[s])) {
      var l = {};
      each$f(o.seriesGroup, function(c) {
        var d = c.coordinateSystem, f = c.originalData;
        c.get("showLegendSymbol") && r.getComponent("legend") && f.each(f.mapDimension("value"), function(p, v) {
          var g = f.getName(v), y = d.getRegion(g);
          if (!(!y || isNaN(p))) {
            var _ = l[g] || 0, S = d.dataToPoint(y.getCenter());
            l[g] = _ + 1, f.setItemLayout(v, {
              point: S,
              offset: _
            });
          }
        });
      });
      var u = o.getData();
      u.each(function(c) {
        var d = u.getName(c), f = u.getItemLayout(c) || {};
        f.showLabel = !l[d], u.setItemLayout(c, f);
      }), a[s] = !0;
    }
  });
}
var v2ApplyTransform = applyTransform$1, View = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      var s = r.call(this) || this;
      return s.type = "view", s.dimensions = ["x", "y"], s._roamTransformable = new Transformable(), s._rawTransformable = new Transformable(), s.name = o, s;
    }
    return a.prototype.setBoundingRect = function(o, s, l, u) {
      return this._rect = new BoundingRect(o, s, l, u), this._rect;
    }, a.prototype.getBoundingRect = function() {
      return this._rect;
    }, a.prototype.setViewRect = function(o, s, l, u) {
      this._transformTo(o, s, l, u), this._viewRect = new BoundingRect(o, s, l, u);
    }, a.prototype._transformTo = function(o, s, l, u) {
      var c = this.getBoundingRect(), d = this._rawTransformable;
      d.transform = c.calculateTransform(new BoundingRect(o, s, l, u));
      var f = d.parent;
      d.parent = null, d.decomposeTransform(), d.parent = f, this._updateTransform();
    }, a.prototype.setCenter = function(o, s) {
      o && (this._center = [parsePercent(o[0], s.getWidth()), parsePercent(o[1], s.getHeight())], this._updateCenterAndZoom());
    }, a.prototype.setZoom = function(o) {
      o = o || 1;
      var s = this.zoomLimit;
      s && (s.max != null && (o = Math.min(s.max, o)), s.min != null && (o = Math.max(s.min, o))), this._zoom = o, this._updateCenterAndZoom();
    }, a.prototype.getDefaultCenter = function() {
      var o = this.getBoundingRect(), s = o.x + o.width / 2, l = o.y + o.height / 2;
      return [s, l];
    }, a.prototype.getCenter = function() {
      return this._center || this.getDefaultCenter();
    }, a.prototype.getZoom = function() {
      return this._zoom || 1;
    }, a.prototype.getRoamTransform = function() {
      return this._roamTransformable.getLocalTransform();
    }, a.prototype._updateCenterAndZoom = function() {
      var o = this._rawTransformable.getLocalTransform(), s = this._roamTransformable, l = this.getDefaultCenter(), u = this.getCenter(), c = this.getZoom();
      u = applyTransform$1([], u, o), l = applyTransform$1([], l, o), s.originX = u[0], s.originY = u[1], s.x = l[0] - u[0], s.y = l[1] - u[1], s.scaleX = s.scaleY = c, this._updateTransform();
    }, a.prototype._updateTransform = function() {
      var o = this._roamTransformable, s = this._rawTransformable;
      s.parent = o, o.updateTransform(), s.updateTransform(), copy(this.transform || (this.transform = []), s.transform || create$1()), this._rawTransform = s.getLocalTransform(), this.invTransform = this.invTransform || [], invert(this.invTransform, this.transform), this.decomposeTransform();
    }, a.prototype.getTransformInfo = function() {
      var o = this._rawTransformable, s = this._roamTransformable, l = new Transformable();
      return l.transform = s.transform, l.decomposeTransform(), {
        roam: {
          x: l.x,
          y: l.y,
          scaleX: l.scaleX,
          scaleY: l.scaleY
        },
        raw: {
          x: o.x,
          y: o.y,
          scaleX: o.scaleX,
          scaleY: o.scaleY
        }
      };
    }, a.prototype.getViewRect = function() {
      return this._viewRect;
    }, a.prototype.getViewRectAfterRoam = function() {
      var o = this.getBoundingRect().clone();
      return o.applyTransform(this.transform), o;
    }, a.prototype.dataToPoint = function(o, s, l) {
      var u = s ? this._rawTransform : this.transform;
      return l = l || [], u ? v2ApplyTransform(l, o, u) : copy$1(l, o);
    }, a.prototype.pointToData = function(o) {
      var s = this.invTransform;
      return s ? v2ApplyTransform([], o, s) : [o[0], o[1]];
    }, a.prototype.convertToPixel = function(o, s, l) {
      var u = getCoordSys$4(s);
      return u === this ? u.dataToPoint(l) : null;
    }, a.prototype.convertFromPixel = function(o, s, l) {
      var u = getCoordSys$4(s);
      return u === this ? u.pointToData(l) : null;
    }, a.prototype.containPoint = function(o) {
      return this.getViewRectAfterRoam().contain(o[0], o[1]);
    }, a.dimensions = ["x", "y"], a;
  }(Transformable)
);
function getCoordSys$4(r) {
  var a = r.seriesModel;
  return a ? a.coordinateSystem : null;
}
var GEO_DEFAULT_PARAMS = {
  geoJSON: {
    aspectScale: 0.75,
    invertLongitute: !0
  },
  geoSVG: {
    aspectScale: 1,
    invertLongitute: !1
  }
}, geo2DDimensions = ["lng", "lat"], Geo = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s, l) {
      var u = r.call(this, o) || this;
      u.dimensions = geo2DDimensions, u.type = "geo", u._nameCoordMap = createHashMap(), u.map = s;
      var c = l.projection, d = geoSourceManager.load(s, l.nameMap, l.nameProperty), f = geoSourceManager.getGeoResource(s), p = u.resourceType = f ? f.type : null, v = u.regions = d.regions, g = GEO_DEFAULT_PARAMS[f.type];
      u._regionsMap = d.regionsMap, u.regions = d.regions, process.env.NODE_ENV !== "production" && c && (p === "geoSVG" && (process.env.NODE_ENV !== "production" && warn("Map " + s + " with SVG source can't use projection. Only GeoJSON source supports projection."), c = null), c.project && c.unproject || (process.env.NODE_ENV !== "production" && warn("project and unproject must be both provided in the projeciton."), c = null)), u.projection = c;
      var y;
      if (c)
        for (var _ = 0; _ < v.length; _++) {
          var S = v[_].getBoundingRect(c);
          y = y || S.clone(), y.union(S);
        }
      else
        y = d.boundingRect;
      return u.setBoundingRect(y.x, y.y, y.width, y.height), u.aspectScale = c ? 1 : retrieve2(l.aspectScale, g.aspectScale), u._invertLongitute = c ? !1 : g.invertLongitute, u;
    }
    return a.prototype._transformTo = function(o, s, l, u) {
      var c = this.getBoundingRect(), d = this._invertLongitute;
      c = c.clone(), d && (c.y = -c.y - c.height);
      var f = this._rawTransformable;
      f.transform = c.calculateTransform(new BoundingRect(o, s, l, u));
      var p = f.parent;
      f.parent = null, f.decomposeTransform(), f.parent = p, d && (f.scaleY = -f.scaleY), this._updateTransform();
    }, a.prototype.getRegion = function(o) {
      return this._regionsMap.get(o);
    }, a.prototype.getRegionByCoord = function(o) {
      for (var s = this.regions, l = 0; l < s.length; l++) {
        var u = s[l];
        if (u.type === "geoJSON" && u.contain(o))
          return s[l];
      }
    }, a.prototype.addGeoCoord = function(o, s) {
      this._nameCoordMap.set(o, s);
    }, a.prototype.getGeoCoord = function(o) {
      var s = this._regionsMap.get(o);
      return this._nameCoordMap.get(o) || s && s.getCenter();
    }, a.prototype.dataToPoint = function(o, s, l) {
      if (isString(o) && (o = this.getGeoCoord(o)), o) {
        var u = this.projection;
        return u && (o = u.project(o)), o && this.projectedToPoint(o, s, l);
      }
    }, a.prototype.pointToData = function(o) {
      var s = this.projection;
      return s && (o = s.unproject(o)), o && this.pointToProjected(o);
    }, a.prototype.pointToProjected = function(o) {
      return r.prototype.pointToData.call(this, o);
    }, a.prototype.projectedToPoint = function(o, s, l) {
      return r.prototype.dataToPoint.call(this, o, s, l);
    }, a.prototype.convertToPixel = function(o, s, l) {
      var u = getCoordSys$3(s);
      return u === this ? u.dataToPoint(l) : null;
    }, a.prototype.convertFromPixel = function(o, s, l) {
      var u = getCoordSys$3(s);
      return u === this ? u.pointToData(l) : null;
    }, a;
  }(View)
);
mixin(Geo, View);
function getCoordSys$3(r) {
  var a = r.geoModel, o = r.seriesModel;
  return a ? a.coordinateSystem : o ? o.coordinateSystem || (o.getReferringComponents("geo", SINGLE_REFERRING).models[0] || {}).coordinateSystem : null;
}
function resizeGeo(r, a) {
  var o = r.get("boundingCoords");
  if (o != null) {
    var s = o[0], l = o[1];
    if (!(isFinite(s[0]) && isFinite(s[1]) && isFinite(l[0]) && isFinite(l[1])))
      process.env.NODE_ENV !== "production" && console.error("Invalid boundingCoords");
    else {
      var u = this.projection;
      if (u) {
        var c = s[0], d = s[1], f = l[0], p = l[1];
        s = [1 / 0, 1 / 0], l = [-1 / 0, -1 / 0];
        var v = function(N, P, L, O) {
          for (var M = L - N, F = O - P, U = 0; U <= 100; U++) {
            var R = U / 100, H = u.project([N + M * R, P + F * R]);
            min$1(s, s, H), max$1(l, l, H);
          }
        };
        v(c, d, f, d), v(f, d, f, p), v(f, p, c, p), v(c, p, f, d);
      }
      this.setBoundingRect(s[0], s[1], l[0] - s[0], l[1] - s[1]);
    }
  }
  var g = this.getBoundingRect(), y = r.get("layoutCenter"), _ = r.get("layoutSize"), S = a.getWidth(), C = a.getHeight(), b = g.width / g.height * this.aspectScale, T = !1, E, x;
  y && _ && (E = [parsePercent(y[0], S), parsePercent(y[1], C)], x = parsePercent(_, Math.min(S, C)), !isNaN(E[0]) && !isNaN(E[1]) && !isNaN(x) ? T = !0 : process.env.NODE_ENV !== "production" && console.warn("Given layoutCenter or layoutSize data are invalid. Use left/top/width/height instead."));
  var $;
  if (T)
    $ = {}, b > 1 ? ($.width = x, $.height = x / b) : ($.height = x, $.width = x * b), $.y = E[1] - $.height / 2, $.x = E[0] - $.width / 2;
  else {
    var A = r.getBoxLayoutParams();
    A.aspect = b, $ = getLayoutRect(A, {
      width: S,
      height: C
    });
  }
  this.setViewRect($.x, $.y, $.width, $.height), this.setCenter(r.get("center"), a), this.setZoom(r.get("zoom"));
}
function setGeoCoords(r, a) {
  each$f(a.get("geoCoord"), function(o, s) {
    r.addGeoCoord(s, o);
  });
}
var GeoCreator = (
  /** @class */
  function() {
    function r() {
      this.dimensions = geo2DDimensions;
    }
    return r.prototype.create = function(a, o) {
      var s = [];
      function l(c) {
        return {
          nameProperty: c.get("nameProperty"),
          aspectScale: c.get("aspectScale"),
          projection: c.get("projection")
        };
      }
      a.eachComponent("geo", function(c, d) {
        var f = c.get("map"), p = new Geo(f + d, f, extend({
          nameMap: c.get("nameMap")
        }, l(c)));
        p.zoomLimit = c.get("scaleLimit"), s.push(p), c.coordinateSystem = p, p.model = c, p.resize = resizeGeo, p.resize(c, o);
      }), a.eachSeries(function(c) {
        var d = c.get("coordinateSystem");
        if (d === "geo") {
          var f = c.get("geoIndex") || 0;
          c.coordinateSystem = s[f];
        }
      });
      var u = {};
      return a.eachSeriesByType("map", function(c) {
        if (!c.getHostGeoModel()) {
          var d = c.getMapType();
          u[d] = u[d] || [], u[d].push(c);
        }
      }), each$f(u, function(c, d) {
        var f = map$1(c, function(v) {
          return v.get("nameMap");
        }), p = new Geo(d, d, extend({
          nameMap: mergeAll(f)
        }, l(c[0])));
        p.zoomLimit = retrieve.apply(null, map$1(c, function(v) {
          return v.get("scaleLimit");
        })), s.push(p), p.resize = resizeGeo, p.resize(c[0], o), each$f(c, function(v) {
          v.coordinateSystem = p, setGeoCoords(p, v);
        });
      }), s;
    }, r.prototype.getFilledRegions = function(a, o, s, l) {
      for (var u = (a || []).slice(), c = createHashMap(), d = 0; d < u.length; d++)
        c.set(u[d].name, u[d]);
      var f = geoSourceManager.load(o, s, l);
      return each$f(f.regions, function(p) {
        var v = p.name, g = c.get(v), y = p.properties && p.properties.echartsStyle;
        g || (g = {
          name: v
        }, u.push(g)), y && merge(g, y);
      }), u;
    }, r;
  }()
), geoCreator = new GeoCreator(), GeoModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.init = function(o, s, l) {
      var u = geoSourceManager.getGeoResource(o.map);
      if (u && u.type === "geoJSON") {
        var c = o.itemStyle = o.itemStyle || {};
        "color" in c || (c.color = "#eee");
      }
      this.mergeDefaultAndTheme(o, l), defaultEmphasis(o, "label", ["show"]);
    }, a.prototype.optionUpdated = function() {
      var o = this, s = this.option;
      s.regions = geoCreator.getFilledRegions(s.regions, s.map, s.nameMap, s.nameProperty);
      var l = {};
      this._optionModelMap = reduce(s.regions || [], function(u, c) {
        var d = c.name;
        return d && (u.set(d, new Model(c, o, o.ecModel)), c.selected && (l[d] = !0)), u;
      }, createHashMap()), s.selectedMap || (s.selectedMap = l);
    }, a.prototype.getRegionModel = function(o) {
      return this._optionModelMap.get(o) || new Model(null, this, this.ecModel);
    }, a.prototype.getFormattedLabel = function(o, s) {
      var l = this.getRegionModel(o), u = s === "normal" ? l.get(["label", "formatter"]) : l.get(["emphasis", "label", "formatter"]), c = {
        name: o
      };
      if (isFunction(u))
        return c.status = s, u(c);
      if (isString(u))
        return u.replace("{a}", o ?? "");
    }, a.prototype.setZoom = function(o) {
      this.option.zoom = o;
    }, a.prototype.setCenter = function(o) {
      this.option.center = o;
    }, a.prototype.select = function(o) {
      var s = this.option, l = s.selectedMode;
      if (l) {
        l !== "multiple" && (s.selectedMap = null);
        var u = s.selectedMap || (s.selectedMap = {});
        u[o] = !0;
      }
    }, a.prototype.unSelect = function(o) {
      var s = this.option.selectedMap;
      s && (s[o] = !1);
    }, a.prototype.toggleSelected = function(o) {
      this[this.isSelected(o) ? "unSelect" : "select"](o);
    }, a.prototype.isSelected = function(o) {
      var s = this.option.selectedMap;
      return !!(s && s[o]);
    }, a.type = "geo", a.layoutMode = "box", a.defaultOption = {
      // zlevel: 0,
      z: 0,
      show: !0,
      left: "center",
      top: "center",
      // Default value:
      // for geoSVG source: 1,
      // for geoJSON source: 0.75.
      aspectScale: null,
      // /// Layout with center and size
      // If you want to put map in a fixed size box with right aspect ratio
      // This two properties may be more convenient
      // layoutCenter: [50%, 50%]
      // layoutSize: 100
      silent: !1,
      // Map type
      map: "",
      // Define left-top, right-bottom coords to control view
      // For example, [ [180, 90], [-180, -90] ]
      boundingCoords: null,
      // Default on center of map
      center: null,
      zoom: 1,
      scaleLimit: null,
      // selectedMode: false
      label: {
        show: !1,
        color: "#000"
      },
      itemStyle: {
        borderWidth: 0.5,
        borderColor: "#444"
        // Default color:
        // + geoJSON: #eee
        // + geoSVG: null (use SVG original `fill`)
        // color: '#eee'
      },
      emphasis: {
        label: {
          show: !0,
          color: "rgb(100,0,0)"
        },
        itemStyle: {
          color: "rgba(255,215,0,0.8)"
        }
      },
      select: {
        label: {
          show: !0,
          color: "rgb(100,0,0)"
        },
        itemStyle: {
          color: "rgba(255,215,0,0.8)"
        }
      },
      regions: []
      // tooltip: {
      //     show: false
      // }
    }, a;
  }(ComponentModel)
);
function getCenterCoord(r, a) {
  return r.pointToProjected ? r.pointToProjected(a) : r.pointToData(a);
}
function updateCenterAndZoom(r, a, o, s) {
  var l = r.getZoom(), u = r.getCenter(), c = a.zoom, d = r.projectedToPoint ? r.projectedToPoint(u) : r.dataToPoint(u);
  if (a.dx != null && a.dy != null && (d[0] -= a.dx, d[1] -= a.dy, r.setCenter(getCenterCoord(r, d), s)), c != null) {
    if (o) {
      var f = o.min || 0, p = o.max || 1 / 0;
      c = Math.max(Math.min(l * c, p), f) / l;
    }
    r.scaleX *= c, r.scaleY *= c;
    var v = (a.originX - r.x) * (c - 1), g = (a.originY - r.y) * (c - 1);
    r.x -= v, r.y -= g, r.updateTransform(), r.setCenter(getCenterCoord(r, d), s), r.setZoom(c * l);
  }
  return {
    center: r.getCenter(),
    zoom: r.getZoom()
  };
}
var GeoView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.focusBlurEnabled = !0, o;
    }
    return a.prototype.init = function(o, s) {
      this._api = s;
    }, a.prototype.render = function(o, s, l, u) {
      if (this._model = o, !o.get("show")) {
        this._mapDraw && this._mapDraw.remove(), this._mapDraw = null;
        return;
      }
      this._mapDraw || (this._mapDraw = new MapDraw(l));
      var c = this._mapDraw;
      c.draw(o, s, l, this, u), c.group.on("click", this._handleRegionClick, this), c.group.silent = o.get("silent"), this.group.add(c.group), this.updateSelectStatus(o, s, l);
    }, a.prototype._handleRegionClick = function(o) {
      var s;
      findEventDispatcher(o.target, function(l) {
        return (s = getECData(l).eventData) != null;
      }, !0), s && this._api.dispatchAction({
        type: "geoToggleSelect",
        geoId: this._model.id,
        name: s.name
      });
    }, a.prototype.updateSelectStatus = function(o, s, l) {
      var u = this;
      this._mapDraw.group.traverse(function(c) {
        var d = getECData(c).eventData;
        if (d)
          return u._model.isSelected(d.name) ? l.enterSelect(c) : l.leaveSelect(c), !0;
      });
    }, a.prototype.findHighDownDispatchers = function(o) {
      return this._mapDraw && this._mapDraw.findHighDownDispatchers(o, this._model);
    }, a.prototype.dispose = function() {
      this._mapDraw && this._mapDraw.remove();
    }, a.type = "geo", a;
  }(ComponentView)
);
function registerMap(r, a, o) {
  geoSourceManager.registerMap(r, a, o);
}
function install$K(r) {
  r.registerCoordinateSystem("geo", geoCreator), r.registerComponentModel(GeoModel), r.registerComponentView(GeoView), r.registerImpl("registerMap", registerMap), r.registerImpl("getMap", function(o) {
    return geoSourceManager.getMapForUser(o);
  });
  function a(o, s) {
    s.update = "geo:updateSelectStatus", r.registerAction(s, function(l, u) {
      var c = {}, d = [];
      return u.eachComponent({
        mainType: "geo",
        query: l
      }, function(f) {
        f[o](l.name);
        var p = f.coordinateSystem;
        each$f(p.regions, function(g) {
          c[g.name] = f.isSelected(g.name) || !1;
        });
        var v = [];
        each$f(c, function(g, y) {
          c[y] && v.push(y);
        }), d.push({
          geoIndex: f.componentIndex,
          // Use singular, the same naming convention as the event `selectchanged`.
          name: v
        });
      }), {
        selected: c,
        allSelected: d,
        name: l.name
      };
    });
  }
  a("toggleSelected", {
    type: "geoToggleSelect",
    event: "geoselectchanged"
  }), a("select", {
    type: "geoSelect",
    event: "geoselected"
  }), a("unSelect", {
    type: "geoUnSelect",
    event: "geounselected"
  }), r.registerAction({
    type: "geoRoam",
    event: "geoRoam",
    update: "updateTransform"
  }, function(o, s, l) {
    var u = o.componentType || "series";
    s.eachComponent({
      mainType: u,
      query: o
    }, function(c) {
      var d = c.coordinateSystem;
      if (d.type === "geo") {
        var f = updateCenterAndZoom(d, o, c.get("scaleLimit"), l);
        c.setCenter && c.setCenter(f.center), c.setZoom && c.setZoom(f.zoom), u === "series" && each$f(c.seriesGroup, function(p) {
          p.setCenter(f.center), p.setZoom(f.zoom);
        });
      }
    });
  });
}
function install$J(r) {
  use(install$K), r.registerChartView(MapView), r.registerSeriesModel(MapSeries), r.registerLayout(mapSymbolLayout), r.registerProcessor(r.PRIORITY.PROCESSOR.STATISTIC, mapDataStatistic), createLegacyDataSelectAction("map", r.registerAction);
}
function init(r) {
  var a = r;
  a.hierNode = {
    defaultAncestor: null,
    ancestor: a,
    prelim: 0,
    modifier: 0,
    change: 0,
    shift: 0,
    i: 0,
    thread: null
  };
  for (var o = [a], s, l; s = o.pop(); )
    if (l = s.children, s.isExpand && l.length)
      for (var u = l.length, c = u - 1; c >= 0; c--) {
        var d = l[c];
        d.hierNode = {
          defaultAncestor: null,
          ancestor: d,
          prelim: 0,
          modifier: 0,
          change: 0,
          shift: 0,
          i: c,
          thread: null
        }, o.push(d);
      }
}
function firstWalk(r, a) {
  var o = r.isExpand ? r.children : [], s = r.parentNode.children, l = r.hierNode.i ? s[r.hierNode.i - 1] : null;
  if (o.length) {
    executeShifts(r);
    var u = (o[0].hierNode.prelim + o[o.length - 1].hierNode.prelim) / 2;
    l ? (r.hierNode.prelim = l.hierNode.prelim + a(r, l), r.hierNode.modifier = r.hierNode.prelim - u) : r.hierNode.prelim = u;
  } else l && (r.hierNode.prelim = l.hierNode.prelim + a(r, l));
  r.parentNode.hierNode.defaultAncestor = apportion(r, l, r.parentNode.hierNode.defaultAncestor || s[0], a);
}
function secondWalk(r) {
  var a = r.hierNode.prelim + r.parentNode.hierNode.modifier;
  r.setLayout({
    x: a
  }, !0), r.hierNode.modifier += r.parentNode.hierNode.modifier;
}
function separation(r) {
  return arguments.length ? r : defaultSeparation;
}
function radialCoordinate(r, a) {
  return r -= Math.PI / 2, {
    x: a * Math.cos(r),
    y: a * Math.sin(r)
  };
}
function getViewRect$4(r, a) {
  return getLayoutRect(r.getBoxLayoutParams(), {
    width: a.getWidth(),
    height: a.getHeight()
  });
}
function executeShifts(r) {
  for (var a = r.children, o = a.length, s = 0, l = 0; --o >= 0; ) {
    var u = a[o];
    u.hierNode.prelim += s, u.hierNode.modifier += s, l += u.hierNode.change, s += u.hierNode.shift + l;
  }
}
function apportion(r, a, o, s) {
  if (a) {
    for (var l = r, u = r, c = u.parentNode.children[0], d = a, f = l.hierNode.modifier, p = u.hierNode.modifier, v = c.hierNode.modifier, g = d.hierNode.modifier; d = nextRight(d), u = nextLeft(u), d && u; ) {
      l = nextRight(l), c = nextLeft(c), l.hierNode.ancestor = r;
      var y = d.hierNode.prelim + g - u.hierNode.prelim - p + s(d, u);
      y > 0 && (moveSubtree(nextAncestor(d, r, o), r, y), p += y, f += y), g += d.hierNode.modifier, p += u.hierNode.modifier, f += l.hierNode.modifier, v += c.hierNode.modifier;
    }
    d && !nextRight(l) && (l.hierNode.thread = d, l.hierNode.modifier += g - f), u && !nextLeft(c) && (c.hierNode.thread = u, c.hierNode.modifier += p - v, o = r);
  }
  return o;
}
function nextRight(r) {
  var a = r.children;
  return a.length && r.isExpand ? a[a.length - 1] : r.hierNode.thread;
}
function nextLeft(r) {
  var a = r.children;
  return a.length && r.isExpand ? a[0] : r.hierNode.thread;
}
function nextAncestor(r, a, o) {
  return r.hierNode.ancestor.parentNode === a.parentNode ? r.hierNode.ancestor : o;
}
function moveSubtree(r, a, o) {
  var s = o / (a.hierNode.i - r.hierNode.i);
  a.hierNode.change -= s, a.hierNode.shift += o, a.hierNode.modifier += o, a.hierNode.prelim += o, r.hierNode.change += s;
}
function defaultSeparation(r, a) {
  return r.parentNode === a.parentNode ? 1 : 2;
}
var TreeEdgeShape = (
  /** @class */
  /* @__PURE__ */ function() {
    function r() {
      this.parentPoint = [], this.childPoints = [];
    }
    return r;
  }()
), TreePath = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      return r.call(this, o) || this;
    }
    return a.prototype.getDefaultStyle = function() {
      return {
        stroke: "#000",
        fill: null
      };
    }, a.prototype.getDefaultShape = function() {
      return new TreeEdgeShape();
    }, a.prototype.buildPath = function(o, s) {
      var l = s.childPoints, u = l.length, c = s.parentPoint, d = l[0], f = l[u - 1];
      if (u === 1) {
        o.moveTo(c[0], c[1]), o.lineTo(d[0], d[1]);
        return;
      }
      var p = s.orient, v = p === "TB" || p === "BT" ? 0 : 1, g = 1 - v, y = parsePercent(s.forkPosition, 1), _ = [];
      _[v] = c[v], _[g] = c[g] + (f[g] - c[g]) * y, o.moveTo(c[0], c[1]), o.lineTo(_[0], _[1]), o.moveTo(d[0], d[1]), _[v] = d[v], o.lineTo(_[0], _[1]), _[v] = f[v], o.lineTo(_[0], _[1]), o.lineTo(f[0], f[1]);
      for (var S = 1; S < u - 1; S++) {
        var C = l[S];
        o.moveTo(C[0], C[1]), _[v] = C[v], o.lineTo(_[0], _[1]);
      }
    }, a;
  }(Path)
), TreeView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o._mainGroup = new Group$3(), o;
    }
    return a.prototype.init = function(o, s) {
      this._controller = new RoamController(s.getZr()), this._controllerHost = {
        target: this.group
      }, this.group.add(this._mainGroup);
    }, a.prototype.render = function(o, s, l) {
      var u = o.getData(), c = o.layoutInfo, d = this._mainGroup, f = o.get("layout");
      f === "radial" ? (d.x = c.x + c.width / 2, d.y = c.y + c.height / 2) : (d.x = c.x, d.y = c.y), this._updateViewCoordSys(o, l), this._updateController(o, s, l);
      var p = this._data;
      u.diff(p).add(function(v) {
        symbolNeedsDraw(u, v) && updateNode(u, v, null, d, o);
      }).update(function(v, g) {
        var y = p.getItemGraphicEl(g);
        if (!symbolNeedsDraw(u, v)) {
          y && removeNode(p, g, y, d, o);
          return;
        }
        updateNode(u, v, y, d, o);
      }).remove(function(v) {
        var g = p.getItemGraphicEl(v);
        g && removeNode(p, v, g, d, o);
      }).execute(), this._nodeScaleRatio = o.get("nodeScaleRatio"), this._updateNodeAndLinkScale(o), o.get("expandAndCollapse") === !0 && u.eachItemGraphicEl(function(v, g) {
        v.off("click").on("click", function() {
          l.dispatchAction({
            type: "treeExpandAndCollapse",
            seriesId: o.id,
            dataIndex: g
          });
        });
      }), this._data = u;
    }, a.prototype._updateViewCoordSys = function(o, s) {
      var l = o.getData(), u = [];
      l.each(function(g) {
        var y = l.getItemLayout(g);
        y && !isNaN(y.x) && !isNaN(y.y) && u.push([+y.x, +y.y]);
      });
      var c = [], d = [];
      fromPoints(u, c, d);
      var f = this._min, p = this._max;
      d[0] - c[0] === 0 && (c[0] = f ? f[0] : c[0] - 1, d[0] = p ? p[0] : d[0] + 1), d[1] - c[1] === 0 && (c[1] = f ? f[1] : c[1] - 1, d[1] = p ? p[1] : d[1] + 1);
      var v = o.coordinateSystem = new View();
      v.zoomLimit = o.get("scaleLimit"), v.setBoundingRect(c[0], c[1], d[0] - c[0], d[1] - c[1]), v.setCenter(o.get("center"), s), v.setZoom(o.get("zoom")), this.group.attr({
        x: v.x,
        y: v.y,
        scaleX: v.scaleX,
        scaleY: v.scaleY
      }), this._min = c, this._max = d;
    }, a.prototype._updateController = function(o, s, l) {
      var u = this, c = this._controller, d = this._controllerHost, f = this.group;
      c.setPointerChecker(function(p, v, g) {
        var y = f.getBoundingRect();
        return y.applyTransform(f.transform), y.contain(v, g) && !onIrrelevantElement(p, l, o);
      }), c.enable(o.get("roam")), d.zoomLimit = o.get("scaleLimit"), d.zoom = o.coordinateSystem.getZoom(), c.off("pan").off("zoom").on("pan", function(p) {
        updateViewOnPan(d, p.dx, p.dy), l.dispatchAction({
          seriesId: o.id,
          type: "treeRoam",
          dx: p.dx,
          dy: p.dy
        });
      }).on("zoom", function(p) {
        updateViewOnZoom(d, p.scale, p.originX, p.originY), l.dispatchAction({
          seriesId: o.id,
          type: "treeRoam",
          zoom: p.scale,
          originX: p.originX,
          originY: p.originY
        }), u._updateNodeAndLinkScale(o), l.updateLabelLayout();
      });
    }, a.prototype._updateNodeAndLinkScale = function(o) {
      var s = o.getData(), l = this._getNodeGlobalScale(o);
      s.eachItemGraphicEl(function(u, c) {
        u.setSymbolScale(l);
      });
    }, a.prototype._getNodeGlobalScale = function(o) {
      var s = o.coordinateSystem;
      if (s.type !== "view")
        return 1;
      var l = this._nodeScaleRatio, u = s.scaleX || 1, c = s.getZoom(), d = (c - 1) * l + 1;
      return d / u;
    }, a.prototype.dispose = function() {
      this._controller && this._controller.dispose(), this._controllerHost = null;
    }, a.prototype.remove = function() {
      this._mainGroup.removeAll(), this._data = null;
    }, a.type = "tree", a;
  }(ChartView)
);
function symbolNeedsDraw(r, a) {
  var o = r.getItemLayout(a);
  return o && !isNaN(o.x) && !isNaN(o.y);
}
function updateNode(r, a, o, s, l) {
  var u = !o, c = r.tree.getNodeByDataIndex(a), d = c.getModel(), f = c.getVisual("style").fill, p = c.isExpand === !1 && c.children.length !== 0 ? f : "#fff", v = r.tree.root, g = c.parentNode === v ? c : c.parentNode || c, y = r.getItemGraphicEl(g.dataIndex), _ = g.getLayout(), S = y ? {
    x: y.__oldX,
    y: y.__oldY,
    rawX: y.__radialOldRawX,
    rawY: y.__radialOldRawY
  } : _, C = c.getLayout();
  u ? (o = new Symbol$1(r, a, null, {
    symbolInnerColor: p,
    useNameLabel: !0
  }), o.x = S.x, o.y = S.y) : o.updateData(r, a, null, {
    symbolInnerColor: p,
    useNameLabel: !0
  }), o.__radialOldRawX = o.__radialRawX, o.__radialOldRawY = o.__radialRawY, o.__radialRawX = C.rawX, o.__radialRawY = C.rawY, s.add(o), r.setItemGraphicEl(a, o), o.__oldX = o.x, o.__oldY = o.y, updateProps$1(o, {
    x: C.x,
    y: C.y
  }, l);
  var b = o.getSymbolPath();
  if (l.get("layout") === "radial") {
    var T = v.children[0], E = T.getLayout(), x = T.children.length, $ = void 0, A = void 0;
    if (C.x === E.x && c.isExpand === !0 && T.children.length) {
      var N = {
        x: (T.children[0].getLayout().x + T.children[x - 1].getLayout().x) / 2,
        y: (T.children[0].getLayout().y + T.children[x - 1].getLayout().y) / 2
      };
      $ = Math.atan2(N.y - E.y, N.x - E.x), $ < 0 && ($ = Math.PI * 2 + $), A = N.x < E.x, A && ($ = $ - Math.PI);
    } else
      $ = Math.atan2(C.y - E.y, C.x - E.x), $ < 0 && ($ = Math.PI * 2 + $), c.children.length === 0 || c.children.length !== 0 && c.isExpand === !1 ? (A = C.x < E.x, A && ($ = $ - Math.PI)) : (A = C.x > E.x, A || ($ = $ - Math.PI));
    var P = A ? "left" : "right", L = d.getModel("label"), O = L.get("rotate"), M = O * (Math.PI / 180), F = b.getTextContent();
    F && (b.setTextConfig({
      position: L.get("position") || P,
      rotation: O == null ? -$ : M,
      origin: "center"
    }), F.setStyle("verticalAlign", "middle"));
  }
  var U = d.get(["emphasis", "focus"]), R = U === "relative" ? concatArray(c.getAncestorsIndices(), c.getDescendantIndices()) : U === "ancestor" ? c.getAncestorsIndices() : U === "descendant" ? c.getDescendantIndices() : null;
  R && (getECData(o).focus = R), drawEdge(l, c, v, o, S, _, C, s), o.__edge && (o.onHoverStateChange = function(H) {
    if (H !== "blur") {
      var V = c.parentNode && r.getItemGraphicEl(c.parentNode.dataIndex);
      V && V.hoverState === HOVER_STATE_BLUR || setStatesFlag(o.__edge, H);
    }
  });
}
function drawEdge(r, a, o, s, l, u, c, d) {
  var f = a.getModel(), p = r.get("edgeShape"), v = r.get("layout"), g = r.getOrient(), y = r.get(["lineStyle", "curveness"]), _ = r.get("edgeForkPosition"), S = f.getModel("lineStyle").getLineStyle(), C = s.__edge;
  if (p === "curve")
    a.parentNode && a.parentNode !== o && (C || (C = s.__edge = new BezierCurve({
      shape: getEdgeShape(v, g, y, l, l)
    })), updateProps$1(C, {
      shape: getEdgeShape(v, g, y, u, c)
    }, r));
  else if (p === "polyline") {
    if (v === "orthogonal") {
      if (a !== o && a.children && a.children.length !== 0 && a.isExpand === !0) {
        for (var b = a.children, T = [], E = 0; E < b.length; E++) {
          var x = b[E].getLayout();
          T.push([x.x, x.y]);
        }
        C || (C = s.__edge = new TreePath({
          shape: {
            parentPoint: [c.x, c.y],
            childPoints: [[c.x, c.y]],
            orient: g,
            forkPosition: _
          }
        })), updateProps$1(C, {
          shape: {
            parentPoint: [c.x, c.y],
            childPoints: T
          }
        }, r);
      }
    } else if (process.env.NODE_ENV !== "production")
      throw new Error("The polyline edgeShape can only be used in orthogonal layout");
  }
  C && !(p === "polyline" && !a.isExpand) && (C.useStyle(defaults({
    strokeNoScale: !0,
    fill: null
  }, S)), setStatesStylesFromModel(C, f, "lineStyle"), setDefaultStateProxy(C), d.add(C));
}
function removeNodeEdge(r, a, o, s, l) {
  var u = a.tree.root, c = getSourceNode(u, r), d = c.source, f = c.sourceLayout, p = a.getItemGraphicEl(r.dataIndex);
  if (p) {
    var v = a.getItemGraphicEl(d.dataIndex), g = v.__edge, y = p.__edge || (d.isExpand === !1 || d.children.length === 1 ? g : void 0), _ = s.get("edgeShape"), S = s.get("layout"), C = s.get("orient"), b = s.get(["lineStyle", "curveness"]);
    y && (_ === "curve" ? removeElement(y, {
      shape: getEdgeShape(S, C, b, f, f),
      style: {
        opacity: 0
      }
    }, s, {
      cb: function() {
        o.remove(y);
      },
      removeOpt: l
    }) : _ === "polyline" && s.get("layout") === "orthogonal" && removeElement(y, {
      shape: {
        parentPoint: [f.x, f.y],
        childPoints: [[f.x, f.y]]
      },
      style: {
        opacity: 0
      }
    }, s, {
      cb: function() {
        o.remove(y);
      },
      removeOpt: l
    }));
  }
}
function getSourceNode(r, a) {
  for (var o = a.parentNode === r ? a : a.parentNode || a, s; s = o.getLayout(), s == null; )
    o = o.parentNode === r ? o : o.parentNode || o;
  return {
    source: o,
    sourceLayout: s
  };
}
function removeNode(r, a, o, s, l) {
  var u = r.tree.getNodeByDataIndex(a), c = r.tree.root, d = getSourceNode(c, u).sourceLayout, f = {
    duration: l.get("animationDurationUpdate"),
    easing: l.get("animationEasingUpdate")
  };
  removeElement(o, {
    x: d.x + 1,
    y: d.y + 1
  }, l, {
    cb: function() {
      s.remove(o), r.setItemGraphicEl(a, null);
    },
    removeOpt: f
  }), o.fadeOut(null, r.hostModel, {
    fadeLabel: !0,
    animation: f
  }), u.children.forEach(function(p) {
    removeNodeEdge(p, r, s, l, f);
  }), removeNodeEdge(u, r, s, l, f);
}
function getEdgeShape(r, a, o, s, l) {
  var u, c, d, f, p, v, g, y;
  if (r === "radial") {
    p = s.rawX, g = s.rawY, v = l.rawX, y = l.rawY;
    var _ = radialCoordinate(p, g), S = radialCoordinate(p, g + (y - g) * o), C = radialCoordinate(v, y + (g - y) * o), b = radialCoordinate(v, y);
    return {
      x1: _.x || 0,
      y1: _.y || 0,
      x2: b.x || 0,
      y2: b.y || 0,
      cpx1: S.x || 0,
      cpy1: S.y || 0,
      cpx2: C.x || 0,
      cpy2: C.y || 0
    };
  } else
    p = s.x, g = s.y, v = l.x, y = l.y, (a === "LR" || a === "RL") && (u = p + (v - p) * o, c = g, d = v + (p - v) * o, f = y), (a === "TB" || a === "BT") && (u = p, c = g + (y - g) * o, d = v, f = y + (g - y) * o);
  return {
    x1: p,
    y1: g,
    x2: v,
    y2: y,
    cpx1: u,
    cpy1: c,
    cpx2: d,
    cpy2: f
  };
}
var inner$e = makeInner();
function linkSeriesData(r) {
  var a = r.mainData, o = r.datas;
  o || (o = {
    main: a
  }, r.datasAttr = {
    main: "data"
  }), r.datas = r.mainData = null, linkAll(a, o, r), each$f(o, function(s) {
    each$f(a.TRANSFERABLE_METHODS, function(l) {
      s.wrapMethod(l, curry$1(transferInjection, r));
    });
  }), a.wrapMethod("cloneShallow", curry$1(cloneShallowInjection, r)), each$f(a.CHANGABLE_METHODS, function(s) {
    a.wrapMethod(s, curry$1(changeInjection, r));
  }), assert(o[a.dataType] === a);
}
function transferInjection(r, a) {
  if (isMainData(this)) {
    var o = extend({}, inner$e(this).datas);
    o[this.dataType] = a, linkAll(a, o, r);
  } else
    linkSingle(a, this.dataType, inner$e(this).mainData, r);
  return a;
}
function changeInjection(r, a) {
  return r.struct && r.struct.update(), a;
}
function cloneShallowInjection(r, a) {
  return each$f(inner$e(a).datas, function(o, s) {
    o !== a && linkSingle(o.cloneShallow(), s, a, r);
  }), a;
}
function getLinkedData(r) {
  var a = inner$e(this).mainData;
  return r == null || a == null ? a : inner$e(a).datas[r];
}
function getLinkedDataAll() {
  var r = inner$e(this).mainData;
  return r == null ? [{
    data: r
  }] : map$1(keys(inner$e(r).datas), function(a) {
    return {
      type: a,
      data: inner$e(r).datas[a]
    };
  });
}
function isMainData(r) {
  return inner$e(r).mainData === r;
}
function linkAll(r, a, o) {
  inner$e(r).datas = {}, each$f(a, function(s, l) {
    linkSingle(s, l, r, o);
  });
}
function linkSingle(r, a, o, s) {
  inner$e(o).datas[a] = r, inner$e(r).mainData = o, r.dataType = a, s.struct && (r[s.structAttr] = s.struct, s.struct[s.datasAttr[a]] = r), r.getLinkedData = getLinkedData, r.getLinkedDataAll = getLinkedDataAll;
}
var TreeNode = (
  /** @class */
  function() {
    function r(a, o) {
      this.depth = 0, this.height = 0, this.dataIndex = -1, this.children = [], this.viewChildren = [], this.isExpand = !1, this.name = a || "", this.hostTree = o;
    }
    return r.prototype.isRemoved = function() {
      return this.dataIndex < 0;
    }, r.prototype.eachNode = function(a, o, s) {
      isFunction(a) && (s = o, o = a, a = null), a = a || {}, isString(a) && (a = {
        order: a
      });
      var l = a.order || "preorder", u = this[a.attr || "children"], c;
      l === "preorder" && (c = o.call(s, this));
      for (var d = 0; !c && d < u.length; d++)
        u[d].eachNode(a, o, s);
      l === "postorder" && o.call(s, this);
    }, r.prototype.updateDepthAndHeight = function(a) {
      var o = 0;
      this.depth = a;
      for (var s = 0; s < this.children.length; s++) {
        var l = this.children[s];
        l.updateDepthAndHeight(a + 1), l.height > o && (o = l.height);
      }
      this.height = o + 1;
    }, r.prototype.getNodeById = function(a) {
      if (this.getId() === a)
        return this;
      for (var o = 0, s = this.children, l = s.length; o < l; o++) {
        var u = s[o].getNodeById(a);
        if (u)
          return u;
      }
    }, r.prototype.contains = function(a) {
      if (a === this)
        return !0;
      for (var o = 0, s = this.children, l = s.length; o < l; o++) {
        var u = s[o].contains(a);
        if (u)
          return u;
      }
    }, r.prototype.getAncestors = function(a) {
      for (var o = [], s = a ? this : this.parentNode; s; )
        o.push(s), s = s.parentNode;
      return o.reverse(), o;
    }, r.prototype.getAncestorsIndices = function() {
      for (var a = [], o = this; o; )
        a.push(o.dataIndex), o = o.parentNode;
      return a.reverse(), a;
    }, r.prototype.getDescendantIndices = function() {
      var a = [];
      return this.eachNode(function(o) {
        a.push(o.dataIndex);
      }), a;
    }, r.prototype.getValue = function(a) {
      var o = this.hostTree.data;
      return o.getStore().get(o.getDimensionIndex(a || "value"), this.dataIndex);
    }, r.prototype.setLayout = function(a, o) {
      this.dataIndex >= 0 && this.hostTree.data.setItemLayout(this.dataIndex, a, o);
    }, r.prototype.getLayout = function() {
      return this.hostTree.data.getItemLayout(this.dataIndex);
    }, r.prototype.getModel = function(a) {
      if (!(this.dataIndex < 0)) {
        var o = this.hostTree, s = o.data.getItemModel(this.dataIndex);
        return s.getModel(a);
      }
    }, r.prototype.getLevelModel = function() {
      return (this.hostTree.levelModels || [])[this.depth];
    }, r.prototype.setVisual = function(a, o) {
      this.dataIndex >= 0 && this.hostTree.data.setItemVisual(this.dataIndex, a, o);
    }, r.prototype.getVisual = function(a) {
      return this.hostTree.data.getItemVisual(this.dataIndex, a);
    }, r.prototype.getRawIndex = function() {
      return this.hostTree.data.getRawIndex(this.dataIndex);
    }, r.prototype.getId = function() {
      return this.hostTree.data.getId(this.dataIndex);
    }, r.prototype.getChildIndex = function() {
      if (this.parentNode) {
        for (var a = this.parentNode.children, o = 0; o < a.length; ++o)
          if (a[o] === this)
            return o;
        return -1;
      }
      return -1;
    }, r.prototype.isAncestorOf = function(a) {
      for (var o = a.parentNode; o; ) {
        if (o === this)
          return !0;
        o = o.parentNode;
      }
      return !1;
    }, r.prototype.isDescendantOf = function(a) {
      return a !== this && a.isAncestorOf(this);
    }, r;
  }()
), Tree = (
  /** @class */
  function() {
    function r(a) {
      this.type = "tree", this._nodes = [], this.hostModel = a;
    }
    return r.prototype.eachNode = function(a, o, s) {
      this.root.eachNode(a, o, s);
    }, r.prototype.getNodeByDataIndex = function(a) {
      var o = this.data.getRawIndex(a);
      return this._nodes[o];
    }, r.prototype.getNodeById = function(a) {
      return this.root.getNodeById(a);
    }, r.prototype.update = function() {
      for (var a = this.data, o = this._nodes, s = 0, l = o.length; s < l; s++)
        o[s].dataIndex = -1;
      for (var s = 0, l = a.count(); s < l; s++)
        o[a.getRawIndex(s)].dataIndex = s;
    }, r.prototype.clearLayouts = function() {
      this.data.clearItemLayouts();
    }, r.createTree = function(a, o, s) {
      var l = new r(o), u = [], c = 1;
      d(a);
      function d(v, g) {
        var y = v.value;
        c = Math.max(c, isArray$1(y) ? y.length : 1), u.push(v);
        var _ = new TreeNode(convertOptionIdName(v.name, ""), l);
        g ? addChild(_, g) : l.root = _, l._nodes.push(_);
        var S = v.children;
        if (S)
          for (var C = 0; C < S.length; C++)
            d(S[C], _);
      }
      l.root.updateDepthAndHeight(0);
      var f = prepareSeriesDataSchema(u, {
        coordDimensions: ["value"],
        dimensionsCount: c
      }).dimensions, p = new SeriesData(f, o);
      return p.initData(u), s && s(p), linkSeriesData({
        mainData: p,
        struct: l,
        structAttr: "tree"
      }), l.update(), l;
    }, r;
  }()
);
function addChild(r, a) {
  var o = a.children;
  r.parentNode !== a && (o.push(r), r.parentNode = a);
}
function retrieveTargetInfo(r, a, o) {
  if (r && indexOf(a, r.type) >= 0) {
    var s = o.getData().tree.root, l = r.targetNode;
    if (isString(l) && (l = s.getNodeById(l)), l && s.contains(l))
      return {
        node: l
      };
    var u = r.targetNodeId;
    if (u != null && (l = s.getNodeById(u)))
      return {
        node: l
      };
  }
}
function getPathToRoot(r) {
  for (var a = []; r; )
    r = r.parentNode, r && a.push(r);
  return a.reverse();
}
function aboveViewRoot(r, a) {
  var o = getPathToRoot(r);
  return indexOf(o, a) >= 0;
}
function wrapTreePathInfo(r, a) {
  for (var o = []; r; ) {
    var s = r.dataIndex;
    o.push({
      name: r.name,
      dataIndex: s,
      value: a.getRawValue(s)
    }), r = r.parentNode;
  }
  return o.reverse(), o;
}
var TreeSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.hasSymbolVisual = !0, o.ignoreStyleOnData = !0, o;
    }
    return a.prototype.getInitialData = function(o) {
      var s = {
        name: o.name,
        children: o.data
      }, l = o.leaves || {}, u = new Model(l, this, this.ecModel), c = Tree.createTree(s, this, d);
      function d(g) {
        g.wrapMethod("getItemModel", function(y, _) {
          var S = c.getNodeByDataIndex(_);
          return S && S.children.length && S.isExpand || (y.parentModel = u), y;
        });
      }
      var f = 0;
      c.eachNode("preorder", function(g) {
        g.depth > f && (f = g.depth);
      });
      var p = o.expandAndCollapse, v = p && o.initialTreeDepth >= 0 ? o.initialTreeDepth : f;
      return c.root.eachNode("preorder", function(g) {
        var y = g.hostTree.data.getRawDataItem(g.dataIndex);
        g.isExpand = y && y.collapsed != null ? !y.collapsed : g.depth <= v;
      }), c.data;
    }, a.prototype.getOrient = function() {
      var o = this.get("orient");
      return o === "horizontal" ? o = "LR" : o === "vertical" && (o = "TB"), o;
    }, a.prototype.setZoom = function(o) {
      this.option.zoom = o;
    }, a.prototype.setCenter = function(o) {
      this.option.center = o;
    }, a.prototype.formatTooltip = function(o, s, l) {
      for (var u = this.getData().tree, c = u.root.children[0], d = u.getNodeByDataIndex(o), f = d.getValue(), p = d.name; d && d !== c; )
        p = d.parentNode.name + "." + p, d = d.parentNode;
      return createTooltipMarkup("nameValue", {
        name: p,
        value: f,
        noValue: isNaN(f) || f == null
      });
    }, a.prototype.getDataParams = function(o) {
      var s = r.prototype.getDataParams.apply(this, arguments), l = this.getData().tree.getNodeByDataIndex(o);
      return s.treeAncestors = wrapTreePathInfo(l, this), s.collapsed = !l.isExpand, s;
    }, a.type = "series.tree", a.layoutMode = "box", a.defaultOption = {
      // zlevel: 0,
      z: 2,
      coordinateSystem: "view",
      // the position of the whole view
      left: "12%",
      top: "12%",
      right: "12%",
      bottom: "12%",
      // the layout of the tree, two value can be selected, 'orthogonal' or 'radial'
      layout: "orthogonal",
      // value can be 'polyline'
      edgeShape: "curve",
      edgeForkPosition: "50%",
      // true | false | 'move' | 'scale', see module:component/helper/RoamController.
      roam: !1,
      // Symbol size scale ratio in roam
      nodeScaleRatio: 0.4,
      // Default on center of graph
      center: null,
      zoom: 1,
      orient: "LR",
      symbol: "emptyCircle",
      symbolSize: 7,
      expandAndCollapse: !0,
      initialTreeDepth: 2,
      lineStyle: {
        color: "#ccc",
        width: 1.5,
        curveness: 0.5
      },
      itemStyle: {
        color: "lightsteelblue",
        // borderColor: '#c23531',
        borderWidth: 1.5
      },
      label: {
        show: !0
      },
      animationEasing: "linear",
      animationDuration: 700,
      animationDurationUpdate: 500
    }, a;
  }(SeriesModel)
);
function eachAfter(r, a, o) {
  for (var s = [r], l = [], u; u = s.pop(); )
    if (l.push(u), u.isExpand) {
      var c = u.children;
      if (c.length)
        for (var d = 0; d < c.length; d++)
          s.push(c[d]);
    }
  for (; u = l.pop(); )
    a(u, o);
}
function eachBefore(r, a) {
  for (var o = [r], s; s = o.pop(); )
    if (a(s), s.isExpand) {
      var l = s.children;
      if (l.length)
        for (var u = l.length - 1; u >= 0; u--)
          o.push(l[u]);
    }
}
function treeLayout(r, a) {
  r.eachSeriesByType("tree", function(o) {
    commonLayout(o, a);
  });
}
function commonLayout(r, a) {
  var o = getViewRect$4(r, a);
  r.layoutInfo = o;
  var s = r.get("layout"), l = 0, u = 0, c = null;
  s === "radial" ? (l = 2 * Math.PI, u = Math.min(o.height, o.width) / 2, c = separation(function(x, $) {
    return (x.parentNode === $.parentNode ? 1 : 2) / x.depth;
  })) : (l = o.width, u = o.height, c = separation());
  var d = r.getData().tree.root, f = d.children[0];
  if (f) {
    init(d), eachAfter(f, firstWalk, c), d.hierNode.modifier = -f.hierNode.prelim, eachBefore(f, secondWalk);
    var p = f, v = f, g = f;
    eachBefore(f, function(x) {
      var $ = x.getLayout().x;
      $ < p.getLayout().x && (p = x), $ > v.getLayout().x && (v = x), x.depth > g.depth && (g = x);
    });
    var y = p === v ? 1 : c(p, v) / 2, _ = y - p.getLayout().x, S = 0, C = 0, b = 0, T = 0;
    if (s === "radial")
      S = l / (v.getLayout().x + y + _), C = u / (g.depth - 1 || 1), eachBefore(f, function(x) {
        b = (x.getLayout().x + _) * S, T = (x.depth - 1) * C;
        var $ = radialCoordinate(b, T);
        x.setLayout({
          x: $.x,
          y: $.y,
          rawX: b,
          rawY: T
        }, !0);
      });
    else {
      var E = r.getOrient();
      E === "RL" || E === "LR" ? (C = u / (v.getLayout().x + y + _), S = l / (g.depth - 1 || 1), eachBefore(f, function(x) {
        T = (x.getLayout().x + _) * C, b = E === "LR" ? (x.depth - 1) * S : l - (x.depth - 1) * S, x.setLayout({
          x: b,
          y: T
        }, !0);
      })) : (E === "TB" || E === "BT") && (S = l / (v.getLayout().x + y + _), C = u / (g.depth - 1 || 1), eachBefore(f, function(x) {
        b = (x.getLayout().x + _) * S, T = E === "TB" ? (x.depth - 1) * C : u - (x.depth - 1) * C, x.setLayout({
          x: b,
          y: T
        }, !0);
      }));
    }
  }
}
function treeVisual(r) {
  r.eachSeriesByType("tree", function(a) {
    var o = a.getData(), s = o.tree;
    s.eachNode(function(l) {
      var u = l.getModel(), c = u.getModel("itemStyle").getItemStyle(), d = o.ensureUniqueItemVisual(l.dataIndex, "style");
      extend(d, c);
    });
  });
}
function installTreeAction(r) {
  r.registerAction({
    type: "treeExpandAndCollapse",
    event: "treeExpandAndCollapse",
    update: "update"
  }, function(a, o) {
    o.eachComponent({
      mainType: "series",
      subType: "tree",
      query: a
    }, function(s) {
      var l = a.dataIndex, u = s.getData().tree, c = u.getNodeByDataIndex(l);
      c.isExpand = !c.isExpand;
    });
  }), r.registerAction({
    type: "treeRoam",
    event: "treeRoam",
    // Here we set 'none' instead of 'update', because roam action
    // just need to update the transform matrix without having to recalculate
    // the layout. So don't need to go through the whole update process, such
    // as 'dataPrcocess', 'coordSystemUpdate', 'layout' and so on.
    update: "none"
  }, function(a, o, s) {
    o.eachComponent({
      mainType: "series",
      subType: "tree",
      query: a
    }, function(l) {
      var u = l.coordinateSystem, c = updateCenterAndZoom(u, a, void 0, s);
      l.setCenter && l.setCenter(c.center), l.setZoom && l.setZoom(c.zoom);
    });
  });
}
function install$I(r) {
  r.registerChartView(TreeView), r.registerSeriesModel(TreeSeriesModel), r.registerLayout(treeLayout), r.registerVisual(treeVisual), installTreeAction(r);
}
var actionTypes = ["treemapZoomToNode", "treemapRender", "treemapMove"];
function installTreemapAction(r) {
  for (var a = 0; a < actionTypes.length; a++)
    r.registerAction({
      type: actionTypes[a],
      update: "updateView"
    }, noop);
  r.registerAction({
    type: "treemapRootToNode",
    update: "updateView"
  }, function(o, s) {
    s.eachComponent({
      mainType: "series",
      subType: "treemap",
      query: o
    }, l);
    function l(u, c) {
      var d = ["treemapZoomToNode", "treemapRootToNode"], f = retrieveTargetInfo(o, d, u);
      if (f) {
        var p = u.getViewRoot();
        p && (o.direction = aboveViewRoot(p, f.node) ? "rollUp" : "drillDown"), u.resetViewRoot(f.node);
      }
    }
  });
}
function enableAriaDecalForTree(r) {
  var a = r.getData(), o = a.tree, s = {};
  o.eachNode(function(l) {
    for (var u = l; u && u.depth > 1; )
      u = u.parentNode;
    var c = getDecalFromPalette(r.ecModel, u.name || u.dataIndex + "", s);
    l.setVisual("decal", c);
  });
}
var TreemapSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.preventUsingHoverLayer = !0, o;
    }
    return a.prototype.getInitialData = function(o, s) {
      var l = {
        name: o.name,
        children: o.data
      };
      completeTreeValue$1(l);
      var u = o.levels || [], c = this.designatedVisualItemStyle = {}, d = new Model({
        itemStyle: c
      }, this, s);
      u = o.levels = setDefault(u, s);
      var f = map$1(u || [], function(g) {
        return new Model(g, d, s);
      }, this), p = Tree.createTree(l, this, v);
      function v(g) {
        g.wrapMethod("getItemModel", function(y, _) {
          var S = p.getNodeByDataIndex(_), C = S ? f[S.depth] : null;
          return y.parentModel = C || d, y;
        });
      }
      return p.data;
    }, a.prototype.optionUpdated = function() {
      this.resetViewRoot();
    }, a.prototype.formatTooltip = function(o, s, l) {
      var u = this.getData(), c = this.getRawValue(o), d = u.getName(o);
      return createTooltipMarkup("nameValue", {
        name: d,
        value: c
      });
    }, a.prototype.getDataParams = function(o) {
      var s = r.prototype.getDataParams.apply(this, arguments), l = this.getData().tree.getNodeByDataIndex(o);
      return s.treeAncestors = wrapTreePathInfo(l, this), s.treePathInfo = s.treeAncestors, s;
    }, a.prototype.setLayoutInfo = function(o) {
      this.layoutInfo = this.layoutInfo || {}, extend(this.layoutInfo, o);
    }, a.prototype.mapIdToIndex = function(o) {
      var s = this._idIndexMap;
      s || (s = this._idIndexMap = createHashMap(), this._idIndexMapCount = 0);
      var l = s.get(o);
      return l == null && s.set(o, l = this._idIndexMapCount++), l;
    }, a.prototype.getViewRoot = function() {
      return this._viewRoot;
    }, a.prototype.resetViewRoot = function(o) {
      o ? this._viewRoot = o : o = this._viewRoot;
      var s = this.getRawData().tree.root;
      (!o || o !== s && !s.contains(o)) && (this._viewRoot = s);
    }, a.prototype.enableAriaDecal = function() {
      enableAriaDecalForTree(this);
    }, a.type = "series.treemap", a.layoutMode = "box", a.defaultOption = {
      // Disable progressive rendering
      progressive: 0,
      // size: ['80%', '80%'],            // deprecated, compatible with ec2.
      left: "center",
      top: "middle",
      width: "80%",
      height: "80%",
      sort: !0,
      clipWindow: "origin",
      squareRatio: 0.5 * (1 + Math.sqrt(5)),
      leafDepth: null,
      drillDownIcon: "▶",
      // to align specialized icon. ▷▶❒❐▼✚
      zoomToNodeRatio: 0.32 * 0.32,
      scaleLimit: null,
      roam: !0,
      nodeClick: "zoomToNode",
      animation: !0,
      animationDurationUpdate: 900,
      animationEasing: "quinticInOut",
      breadcrumb: {
        show: !0,
        height: 22,
        left: "center",
        top: "bottom",
        // right
        // bottom
        emptyItemWidth: 25,
        itemStyle: {
          color: "rgba(0,0,0,0.7)",
          textStyle: {
            color: "#fff"
          }
        },
        emphasis: {
          itemStyle: {
            color: "rgba(0,0,0,0.9)"
            // '#5793f3',
          }
        }
      },
      label: {
        show: !0,
        // Do not use textDistance, for ellipsis rect just the same as treemap node rect.
        distance: 0,
        padding: 5,
        position: "inside",
        // formatter: null,
        color: "#fff",
        overflow: "truncate"
        // align
        // verticalAlign
      },
      upperLabel: {
        show: !1,
        position: [0, "50%"],
        height: 20,
        // formatter: null,
        // color: '#fff',
        overflow: "truncate",
        // align: null,
        verticalAlign: "middle"
      },
      itemStyle: {
        color: null,
        colorAlpha: null,
        colorSaturation: null,
        borderWidth: 0,
        gapWidth: 0,
        borderColor: "#fff",
        borderColorSaturation: null
        // If specified, borderColor will be ineffective, and the
        // border color is evaluated by color of current node and
        // borderColorSaturation.
      },
      emphasis: {
        upperLabel: {
          show: !0,
          position: [0, "50%"],
          overflow: "truncate",
          verticalAlign: "middle"
        }
      },
      visualDimension: 0,
      visualMin: null,
      visualMax: null,
      color: [],
      // level[n].color (if necessary).
      // + Specify color list of each level. level[0].color would be global
      // color list if not specified. (see method `setDefault`).
      // + But set as a empty array to forbid fetch color from global palette
      // when using nodeModel.get('color'), otherwise nodes on deep level
      // will always has color palette set and are not able to inherit color
      // from parent node.
      // + TreemapSeries.color can not be set as 'none', otherwise effect
      // legend color fetching (see seriesColor.js).
      colorAlpha: null,
      colorSaturation: null,
      colorMappingBy: "index",
      visibleMin: 10,
      // be rendered. Only works when sort is 'asc' or 'desc'.
      childrenVisibleMin: null,
      // grandchildren will not show.
      // Why grandchildren? If not grandchildren but children,
      // some siblings show children and some not,
      // the appearance may be mess and not consistent,
      levels: []
      // Each item: {
      //     visibleMin, itemStyle, visualDimension, label
      // }
    }, a;
  }(SeriesModel)
);
function completeTreeValue$1(r) {
  var a = 0;
  each$f(r.children, function(s) {
    completeTreeValue$1(s);
    var l = s.value;
    isArray$1(l) && (l = l[0]), a += l;
  });
  var o = r.value;
  isArray$1(o) && (o = o[0]), (o == null || isNaN(o)) && (o = a), o < 0 && (o = 0), isArray$1(r.value) ? r.value[0] = o : r.value = o;
}
function setDefault(r, a) {
  var o = normalizeToArray(a.get("color")), s = normalizeToArray(a.get(["aria", "decal", "decals"]));
  if (o) {
    r = r || [];
    var l, u;
    each$f(r, function(d) {
      var f = new Model(d), p = f.get("color"), v = f.get("decal");
      (f.get(["itemStyle", "color"]) || p && p !== "none") && (l = !0), (f.get(["itemStyle", "decal"]) || v && v !== "none") && (u = !0);
    });
    var c = r[0] || (r[0] = {});
    return l || (c.color = o.slice()), !u && s && (c.decal = s.slice()), r;
  }
}
var TEXT_PADDING = 8, ITEM_GAP = 8, ARRAY_LENGTH = 5, Breadcrumb = (
  /** @class */
  function() {
    function r(a) {
      this.group = new Group$3(), a.add(this.group);
    }
    return r.prototype.render = function(a, o, s, l) {
      var u = a.getModel("breadcrumb"), c = this.group;
      if (c.removeAll(), !(!u.get("show") || !s)) {
        var d = u.getModel("itemStyle"), f = u.getModel("emphasis"), p = d.getModel("textStyle"), v = f.getModel(["itemStyle", "textStyle"]), g = {
          pos: {
            left: u.get("left"),
            right: u.get("right"),
            top: u.get("top"),
            bottom: u.get("bottom")
          },
          box: {
            width: o.getWidth(),
            height: o.getHeight()
          },
          emptyItemWidth: u.get("emptyItemWidth"),
          totalWidth: 0,
          renderList: []
        };
        this._prepare(s, g, p), this._renderContent(a, g, d, f, p, v, l), positionElement(c, g.pos, g.box);
      }
    }, r.prototype._prepare = function(a, o, s) {
      for (var l = a; l; l = l.parentNode) {
        var u = convertOptionIdName(l.getModel().get("name"), ""), c = s.getTextRect(u), d = Math.max(c.width + TEXT_PADDING * 2, o.emptyItemWidth);
        o.totalWidth += d + ITEM_GAP, o.renderList.push({
          node: l,
          text: u,
          width: d
        });
      }
    }, r.prototype._renderContent = function(a, o, s, l, u, c, d) {
      for (var f = 0, p = o.emptyItemWidth, v = a.get(["breadcrumb", "height"]), g = getAvailableSize(o.pos, o.box), y = o.totalWidth, _ = o.renderList, S = l.getModel("itemStyle").getItemStyle(), C = _.length - 1; C >= 0; C--) {
        var b = _[C], T = b.node, E = b.width, x = b.text;
        y > g.width && (y -= E - p, E = p, x = null);
        var $ = new Polygon({
          shape: {
            points: makeItemPoints(f, 0, E, v, C === _.length - 1, C === 0)
          },
          style: defaults(s.getItemStyle(), {
            lineJoin: "bevel"
          }),
          textContent: new ZRText({
            style: createTextStyle$1(u, {
              text: x
            })
          }),
          textConfig: {
            position: "inside"
          },
          z2: Z2_EMPHASIS_LIFT * 1e4,
          onclick: curry$1(d, T)
        });
        $.disableLabelAnimation = !0, $.getTextContent().ensureState("emphasis").style = createTextStyle$1(c, {
          text: x
        }), $.ensureState("emphasis").style = S, toggleHoverEmphasis($, l.get("focus"), l.get("blurScope"), l.get("disabled")), this.group.add($), packEventData($, a, T), f += E + ITEM_GAP;
      }
    }, r.prototype.remove = function() {
      this.group.removeAll();
    }, r;
  }()
);
function makeItemPoints(r, a, o, s, l, u) {
  var c = [[l ? r : r - ARRAY_LENGTH, a], [r + o, a], [r + o, a + s], [l ? r : r - ARRAY_LENGTH, a + s]];
  return !u && c.splice(2, 0, [r + o + ARRAY_LENGTH, a + s / 2]), !l && c.push([r, a + s / 2]), c;
}
function packEventData(r, a, o) {
  getECData(r).eventData = {
    componentType: "series",
    componentSubType: "treemap",
    componentIndex: a.componentIndex,
    seriesIndex: a.seriesIndex,
    seriesName: a.name,
    seriesType: "treemap",
    selfType: "breadcrumb",
    nodeData: {
      dataIndex: o && o.dataIndex,
      name: o && o.name
    },
    treePathInfo: o && wrapTreePathInfo(o, a)
  };
}
var AnimationWrap = (
  /** @class */
  function() {
    function r() {
      this._storage = [], this._elExistsMap = {};
    }
    return r.prototype.add = function(a, o, s, l, u) {
      return this._elExistsMap[a.id] ? !1 : (this._elExistsMap[a.id] = !0, this._storage.push({
        el: a,
        target: o,
        duration: s,
        delay: l,
        easing: u
      }), !0);
    }, r.prototype.finished = function(a) {
      return this._finishedCallback = a, this;
    }, r.prototype.start = function() {
      for (var a = this, o = this._storage.length, s = function() {
        o--, o <= 0 && (a._storage.length = 0, a._elExistsMap = {}, a._finishedCallback && a._finishedCallback());
      }, l = 0, u = this._storage.length; l < u; l++) {
        var c = this._storage[l];
        c.el.animateTo(c.target, {
          duration: c.duration,
          delay: c.delay,
          easing: c.easing,
          setToFinal: !0,
          done: s,
          aborted: s
        });
      }
      return this;
    }, r;
  }()
);
function createWrap() {
  return new AnimationWrap();
}
var Group$2 = Group$3, Rect$1 = Rect$2, DRAG_THRESHOLD = 3, PATH_LABEL_NOAMAL = "label", PATH_UPPERLABEL_NORMAL = "upperLabel", Z2_BASE = Z2_EMPHASIS_LIFT * 10, Z2_BG = Z2_EMPHASIS_LIFT * 2, Z2_CONTENT = Z2_EMPHASIS_LIFT * 3, getStateItemStyle = makeStyleMapper([
  ["fill", "color"],
  // `borderColor` and `borderWidth` has been occupied,
  // so use `stroke` to indicate the stroke of the rect.
  ["stroke", "strokeColor"],
  ["lineWidth", "strokeWidth"],
  ["shadowBlur"],
  ["shadowOffsetX"],
  ["shadowOffsetY"],
  ["shadowColor"]
  // Option decal is in `DecalObject` but style.decal is in `PatternObject`.
  // So do not transfer decal directly.
]), getItemStyleNormal = function(r) {
  var a = getStateItemStyle(r);
  return a.stroke = a.fill = a.lineWidth = null, a;
}, inner$d = makeInner(), TreemapView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o._state = "ready", o._storage = createStorage(), o;
    }
    return a.prototype.render = function(o, s, l, u) {
      var c = s.findComponents({
        mainType: "series",
        subType: "treemap",
        query: u
      });
      if (!(indexOf(c, o) < 0)) {
        this.seriesModel = o, this.api = l, this.ecModel = s;
        var d = ["treemapZoomToNode", "treemapRootToNode"], f = retrieveTargetInfo(u, d, o), p = u && u.type, v = o.layoutInfo, g = !this._oldTree, y = this._storage, _ = p === "treemapRootToNode" && f && y ? {
          rootNodeGroup: y.nodeGroup[f.node.getRawIndex()],
          direction: u.direction
        } : null, S = this._giveContainerGroup(v), C = o.get("animation"), b = this._doRender(S, o, _);
        C && !g && (!p || p === "treemapZoomToNode" || p === "treemapRootToNode") ? this._doAnimation(S, b, o, _) : b.renderFinally(), this._resetController(l), this._renderBreadcrumb(o, l, f);
      }
    }, a.prototype._giveContainerGroup = function(o) {
      var s = this._containerGroup;
      return s || (s = this._containerGroup = new Group$2(), this._initEvents(s), this.group.add(s)), s.x = o.x, s.y = o.y, s;
    }, a.prototype._doRender = function(o, s, l) {
      var u = s.getData().tree, c = this._oldTree, d = createStorage(), f = createStorage(), p = this._storage, v = [];
      function g(E, x, $, A) {
        return renderNode(s, f, p, l, d, v, E, x, $, A);
      }
      C(u.root ? [u.root] : [], c && c.root ? [c.root] : [], o, u === c || !c, 0);
      var y = b(p);
      if (this._oldTree = u, this._storage = f, this._controllerHost) {
        var _ = this.seriesModel.layoutInfo, S = u.root.getLayout();
        S.width === _.width && S.height === _.height && (this._controllerHost.zoom = 1);
      }
      return {
        lastsForAnimation: d,
        willDeleteEls: y,
        renderFinally: T
      };
      function C(E, x, $, A, N) {
        A ? (x = E, each$f(E, function(O, M) {
          !O.isRemoved() && L(M, M);
        })) : new DataDiffer(x, E, P, P).add(L).update(L).remove(curry$1(L, null)).execute();
        function P(O) {
          return O.getId();
        }
        function L(O, M) {
          var F = O != null ? E[O] : null, U = M != null ? x[M] : null, R = g(F, U, $, N);
          R && C(F && F.viewChildren || [], U && U.viewChildren || [], R, A, N + 1);
        }
      }
      function b(E) {
        var x = createStorage();
        return E && each$f(E, function($, A) {
          var N = x[A];
          each$f($, function(P) {
            P && (N.push(P), inner$d(P).willDelete = !0);
          });
        }), x;
      }
      function T() {
        each$f(y, function(E) {
          each$f(E, function(x) {
            x.parent && x.parent.remove(x);
          });
        }), each$f(v, function(E) {
          E.invisible = !0, E.dirty();
        });
      }
    }, a.prototype._doAnimation = function(o, s, l, u) {
      var c = l.get("animationDurationUpdate"), d = l.get("animationEasing"), f = (isFunction(c) ? 0 : c) || 0, p = (isFunction(d) ? null : d) || "cubicOut", v = createWrap();
      each$f(s.willDeleteEls, function(g, y) {
        each$f(g, function(_, S) {
          if (!_.invisible) {
            var C = _.parent, b, T = inner$d(C);
            if (u && u.direction === "drillDown")
              b = C === u.rootNodeGroup ? {
                shape: {
                  x: 0,
                  y: 0,
                  width: T.nodeWidth,
                  height: T.nodeHeight
                },
                style: {
                  opacity: 0
                }
              } : {
                style: {
                  opacity: 0
                }
              };
            else {
              var E = 0, x = 0;
              T.willDelete || (E = T.nodeWidth / 2, x = T.nodeHeight / 2), b = y === "nodeGroup" ? {
                x: E,
                y: x,
                style: {
                  opacity: 0
                }
              } : {
                shape: {
                  x: E,
                  y: x,
                  width: 0,
                  height: 0
                },
                style: {
                  opacity: 0
                }
              };
            }
            b && v.add(_, b, f, 0, p);
          }
        });
      }), each$f(this._storage, function(g, y) {
        each$f(g, function(_, S) {
          var C = s.lastsForAnimation[y][S], b = {};
          C && (_ instanceof Group$3 ? C.oldX != null && (b.x = _.x, b.y = _.y, _.x = C.oldX, _.y = C.oldY) : (C.oldShape && (b.shape = extend({}, _.shape), _.setShape(C.oldShape)), C.fadein ? (_.setStyle("opacity", 0), b.style = {
            opacity: 1
          }) : _.style.opacity !== 1 && (b.style = {
            opacity: 1
          })), v.add(_, b, f, 0, p));
        });
      }, this), this._state = "animating", v.finished(bind$1(function() {
        this._state = "ready", s.renderFinally();
      }, this)).start();
    }, a.prototype._resetController = function(o) {
      var s = this._controller, l = this._controllerHost;
      l || (this._controllerHost = {
        target: this.group
      }, l = this._controllerHost), s || (s = this._controller = new RoamController(o.getZr()), s.enable(this.seriesModel.get("roam")), l.zoomLimit = this.seriesModel.get("scaleLimit"), l.zoom = this.seriesModel.get("zoom"), s.on("pan", bind$1(this._onPan, this)), s.on("zoom", bind$1(this._onZoom, this)));
      var u = new BoundingRect(0, 0, o.getWidth(), o.getHeight());
      s.setPointerChecker(function(c, d, f) {
        return u.contain(d, f);
      });
    }, a.prototype._clearController = function() {
      var o = this._controller;
      this._controllerHost = null, o && (o.dispose(), o = null);
    }, a.prototype._onPan = function(o) {
      if (this._state !== "animating" && (Math.abs(o.dx) > DRAG_THRESHOLD || Math.abs(o.dy) > DRAG_THRESHOLD)) {
        var s = this.seriesModel.getData().tree.root;
        if (!s)
          return;
        var l = s.getLayout();
        if (!l)
          return;
        this.api.dispatchAction({
          type: "treemapMove",
          from: this.uid,
          seriesId: this.seriesModel.id,
          rootRect: {
            x: l.x + o.dx,
            y: l.y + o.dy,
            width: l.width,
            height: l.height
          }
        });
      }
    }, a.prototype._onZoom = function(o) {
      var s = o.originX, l = o.originY, u = o.scale;
      if (this._state !== "animating") {
        var c = this.seriesModel.getData().tree.root;
        if (!c)
          return;
        var d = c.getLayout();
        if (!d)
          return;
        var f = new BoundingRect(d.x, d.y, d.width, d.height), p = null, v = this._controllerHost;
        p = v.zoomLimit;
        var g = v.zoom = v.zoom || 1;
        if (g *= u, p) {
          var y = p.min || 0, _ = p.max || 1 / 0;
          g = Math.max(Math.min(_, g), y);
        }
        var S = g / v.zoom;
        v.zoom = g;
        var C = this.seriesModel.layoutInfo;
        s -= C.x, l -= C.y;
        var b = create$1();
        translate(b, b, [-s, -l]), scale$1(b, b, [S, S]), translate(b, b, [s, l]), f.applyTransform(b), this.api.dispatchAction({
          type: "treemapRender",
          from: this.uid,
          seriesId: this.seriesModel.id,
          rootRect: {
            x: f.x,
            y: f.y,
            width: f.width,
            height: f.height
          }
        });
      }
    }, a.prototype._initEvents = function(o) {
      var s = this;
      o.on("click", function(l) {
        if (s._state === "ready") {
          var u = s.seriesModel.get("nodeClick", !0);
          if (u) {
            var c = s.findTarget(l.offsetX, l.offsetY);
            if (c) {
              var d = c.node;
              if (d.getLayout().isLeafRoot)
                s._rootToNode(c);
              else if (u === "zoomToNode")
                s._zoomToNode(c);
              else if (u === "link") {
                var f = d.hostTree.data.getItemModel(d.dataIndex), p = f.get("link", !0), v = f.get("target", !0) || "blank";
                p && windowOpen(p, v);
              }
            }
          }
        }
      }, this);
    }, a.prototype._renderBreadcrumb = function(o, s, l) {
      var u = this;
      l || (l = o.get("leafDepth", !0) != null ? {
        node: o.getViewRoot()
      } : this.findTarget(s.getWidth() / 2, s.getHeight() / 2), l || (l = {
        node: o.getData().tree.root
      })), (this._breadcrumb || (this._breadcrumb = new Breadcrumb(this.group))).render(o, s, l.node, function(c) {
        u._state !== "animating" && (aboveViewRoot(o.getViewRoot(), c) ? u._rootToNode({
          node: c
        }) : u._zoomToNode({
          node: c
        }));
      });
    }, a.prototype.remove = function() {
      this._clearController(), this._containerGroup && this._containerGroup.removeAll(), this._storage = createStorage(), this._state = "ready", this._breadcrumb && this._breadcrumb.remove();
    }, a.prototype.dispose = function() {
      this._clearController();
    }, a.prototype._zoomToNode = function(o) {
      this.api.dispatchAction({
        type: "treemapZoomToNode",
        from: this.uid,
        seriesId: this.seriesModel.id,
        targetNode: o.node
      });
    }, a.prototype._rootToNode = function(o) {
      this.api.dispatchAction({
        type: "treemapRootToNode",
        from: this.uid,
        seriesId: this.seriesModel.id,
        targetNode: o.node
      });
    }, a.prototype.findTarget = function(o, s) {
      var l, u = this.seriesModel.getViewRoot();
      return u.eachNode({
        attr: "viewChildren",
        order: "preorder"
      }, function(c) {
        var d = this._storage.background[c.getRawIndex()];
        if (d) {
          var f = d.transformCoordToLocal(o, s), p = d.shape;
          if (p.x <= f[0] && f[0] <= p.x + p.width && p.y <= f[1] && f[1] <= p.y + p.height)
            l = {
              node: c,
              offsetX: f[0],
              offsetY: f[1]
            };
          else
            return !1;
        }
      }, this), l;
    }, a.type = "treemap", a;
  }(ChartView)
);
function createStorage() {
  return {
    nodeGroup: [],
    background: [],
    content: []
  };
}
function renderNode(r, a, o, s, l, u, c, d, f, p) {
  if (!c)
    return;
  var v = c.getLayout(), g = r.getData(), y = c.getModel();
  if (g.setItemGraphicEl(c.dataIndex, null), !v || !v.isInView)
    return;
  var _ = v.width, S = v.height, C = v.borderWidth, b = v.invisible, T = c.getRawIndex(), E = d && d.getRawIndex(), x = c.viewChildren, $ = v.upperHeight, A = x && x.length, N = y.getModel("itemStyle"), P = y.getModel(["emphasis", "itemStyle"]), L = y.getModel(["blur", "itemStyle"]), O = y.getModel(["select", "itemStyle"]), M = N.get("borderRadius") || 0, F = Te("nodeGroup", Group$2);
  if (!F)
    return;
  if (f.add(F), F.x = v.x || 0, F.y = v.y || 0, F.markRedraw(), inner$d(F).nodeWidth = _, inner$d(F).nodeHeight = S, v.isAboveViewRoot)
    return F;
  var U = Te("background", Rect$1, p, Z2_BG);
  U && de(F, U, A && v.upperLabelHeight);
  var R = y.getModel("emphasis"), H = R.get("focus"), V = R.get("blurScope"), Y = R.get("disabled"), G = H === "ancestor" ? c.getAncestorsIndices() : H === "descendant" ? c.getDescendantIndices() : H;
  if (A)
    isHighDownDispatcher(F) && setAsHighDownDispatcher(F, !1), U && (setAsHighDownDispatcher(U, !Y), g.setItemGraphicEl(c.dataIndex, U), enableHoverFocus(U, G, V));
  else {
    var Z = Te("content", Rect$1, p, Z2_CONTENT);
    Z && X(F, Z), U.disableMorphing = !0, U && isHighDownDispatcher(U) && setAsHighDownDispatcher(U, !1), setAsHighDownDispatcher(F, !Y), g.setItemGraphicEl(c.dataIndex, F);
    var re = y.getShallow("cursor");
    re && Z.attr("cursor", re), enableHoverFocus(F, G, V);
  }
  return F;
  function de(fe, ce, ge) {
    var ve = getECData(ce);
    if (ve.dataIndex = c.dataIndex, ve.seriesIndex = r.seriesIndex, ce.setShape({
      x: 0,
      y: 0,
      width: _,
      height: S,
      r: M
    }), b)
      W(ce);
    else {
      ce.invisible = !1;
      var xe = c.getVisual("style"), Ae = xe.stroke, oe = getItemStyleNormal(N);
      oe.fill = Ae;
      var De = getStateItemStyle(P);
      De.fill = P.get("borderColor");
      var Re = getStateItemStyle(L);
      Re.fill = L.get("borderColor");
      var Me = getStateItemStyle(O);
      if (Me.fill = O.get("borderColor"), ge) {
        var ct = _ - 2 * C;
        te(
          // PENDING: convert ZRColor to ColorString for text.
          ce,
          Ae,
          xe.opacity,
          {
            x: C,
            y: 0,
            width: ct,
            height: $
          }
        );
      } else
        ce.removeTextContent();
      ce.setStyle(oe), ce.ensureState("emphasis").style = De, ce.ensureState("blur").style = Re, ce.ensureState("select").style = Me, setDefaultStateProxy(ce);
    }
    fe.add(ce);
  }
  function X(fe, ce) {
    var ge = getECData(ce);
    ge.dataIndex = c.dataIndex, ge.seriesIndex = r.seriesIndex;
    var ve = Math.max(_ - 2 * C, 0), xe = Math.max(S - 2 * C, 0);
    if (ce.culling = !0, ce.setShape({
      x: C,
      y: C,
      width: ve,
      height: xe,
      r: M
    }), b)
      W(ce);
    else {
      ce.invisible = !1;
      var Ae = c.getVisual("style"), oe = Ae.fill, De = getItemStyleNormal(N);
      De.fill = oe, De.decal = Ae.decal;
      var Re = getStateItemStyle(P), Me = getStateItemStyle(L), ct = getStateItemStyle(O);
      te(ce, oe, Ae.opacity, null), ce.setStyle(De), ce.ensureState("emphasis").style = Re, ce.ensureState("blur").style = Me, ce.ensureState("select").style = ct, setDefaultStateProxy(ce);
    }
    fe.add(ce);
  }
  function W(fe) {
    !fe.invisible && u.push(fe);
  }
  function te(fe, ce, ge, ve) {
    var xe = y.getModel(ve ? PATH_UPPERLABEL_NORMAL : PATH_LABEL_NOAMAL), Ae = convertOptionIdName(y.get("name"), null), oe = xe.getShallow("show");
    setLabelStyle(fe, getLabelStatesModels(y, ve ? PATH_UPPERLABEL_NORMAL : PATH_LABEL_NOAMAL), {
      defaultText: oe ? Ae : null,
      inheritColor: ce,
      defaultOpacity: ge,
      labelFetcher: r,
      labelDataIndex: c.dataIndex
    });
    var De = fe.getTextContent();
    if (De) {
      var Re = De.style, Me = normalizeCssArray$1(Re.padding || 0);
      ve && (fe.setTextConfig({
        layoutRect: ve
      }), De.disableLabelLayout = !0), De.beforeUpdate = function() {
        var mt = Math.max((ve ? ve.width : fe.shape.width) - Me[1] - Me[3], 0), q = Math.max((ve ? ve.height : fe.shape.height) - Me[0] - Me[2], 0);
        (Re.width !== mt || Re.height !== q) && De.setStyle({
          width: mt,
          height: q
        });
      }, Re.truncateMinChar = 2, Re.lineOverflow = "truncate", ae(Re, ve, v);
      var ct = De.getState("emphasis");
      ae(ct ? ct.style : null, ve, v);
    }
  }
  function ae(fe, ce, ge) {
    var ve = fe ? fe.text : null;
    if (!ce && ge.isLeafRoot && ve != null) {
      var xe = r.get("drillDownIcon", !0);
      fe.text = xe ? xe + " " + ve : ve;
    }
  }
  function Te(fe, ce, ge, ve) {
    var xe = E != null && o[fe][E], Ae = l[fe];
    return xe ? (o[fe][E] = null, $e(Ae, xe)) : b || (xe = new ce(), xe instanceof Displayable && (xe.z2 = calculateZ2(ge, ve)), se(Ae, xe)), a[fe][T] = xe;
  }
  function $e(fe, ce) {
    var ge = fe[T] = {};
    ce instanceof Group$2 ? (ge.oldX = ce.x, ge.oldY = ce.y) : ge.oldShape = extend({}, ce.shape);
  }
  function se(fe, ce) {
    var ge = fe[T] = {}, ve = c.parentNode, xe = ce instanceof Group$3;
    if (ve && (!s || s.direction === "drillDown")) {
      var Ae = 0, oe = 0, De = l.background[ve.getRawIndex()];
      !s && De && De.oldShape && (Ae = De.oldShape.width, oe = De.oldShape.height), xe ? (ge.oldX = 0, ge.oldY = oe) : ge.oldShape = {
        x: Ae,
        y: oe,
        width: 0,
        height: 0
      };
    }
    ge.fadein = !xe;
  }
}
function calculateZ2(r, a) {
  return r * Z2_BASE + a;
}
var each$c = each$f, isObject = isObject$3, CATEGORY_DEFAULT_VISUAL_INDEX = -1, VisualMapping = (
  /** @class */
  function() {
    function r(a) {
      var o = a.mappingMethod, s = a.type, l = this.option = clone$4(a);
      this.type = s, this.mappingMethod = o, this._normalizeData = normalizers[o];
      var u = r.visualHandlers[s];
      this.applyVisual = u.applyVisual, this.getColorMapper = u.getColorMapper, this._normalizedToVisual = u._normalizedToVisual[o], o === "piecewise" ? (normalizeVisualRange(l), preprocessForPiecewise(l)) : o === "category" ? l.categories ? preprocessForSpecifiedCategory(l) : normalizeVisualRange(l, !0) : (assert(o !== "linear" || l.dataExtent), normalizeVisualRange(l));
    }
    return r.prototype.mapValueToVisual = function(a) {
      var o = this._normalizeData(a);
      return this._normalizedToVisual(o, a);
    }, r.prototype.getNormalizer = function() {
      return bind$1(this._normalizeData, this);
    }, r.listVisualTypes = function() {
      return keys(r.visualHandlers);
    }, r.isValidType = function(a) {
      return r.visualHandlers.hasOwnProperty(a);
    }, r.eachVisual = function(a, o, s) {
      isObject$3(a) ? each$f(a, o, s) : o.call(s, a);
    }, r.mapVisual = function(a, o, s) {
      var l, u = isArray$1(a) ? [] : isObject$3(a) ? {} : (l = !0, null);
      return r.eachVisual(a, function(c, d) {
        var f = o.call(s, c, d);
        l ? u = f : u[d] = f;
      }), u;
    }, r.retrieveVisuals = function(a) {
      var o = {}, s;
      return a && each$c(r.visualHandlers, function(l, u) {
        a.hasOwnProperty(u) && (o[u] = a[u], s = !0);
      }), s ? o : null;
    }, r.prepareVisualTypes = function(a) {
      if (isArray$1(a))
        a = a.slice();
      else if (isObject(a)) {
        var o = [];
        each$c(a, function(s, l) {
          o.push(l);
        }), a = o;
      } else
        return [];
      return a.sort(function(s, l) {
        return l === "color" && s !== "color" && s.indexOf("color") === 0 ? 1 : -1;
      }), a;
    }, r.dependsOn = function(a, o) {
      return o === "color" ? !!(a && a.indexOf(o) === 0) : a === o;
    }, r.findPieceIndex = function(a, o, s) {
      for (var l, u = 1 / 0, c = 0, d = o.length; c < d; c++) {
        var f = o[c].value;
        if (f != null) {
          if (f === a || isString(f) && f === a + "")
            return c;
          s && y(f, c);
        }
      }
      for (var c = 0, d = o.length; c < d; c++) {
        var p = o[c], v = p.interval, g = p.close;
        if (v) {
          if (v[0] === -1 / 0) {
            if (littleThan(g[1], a, v[1]))
              return c;
          } else if (v[1] === 1 / 0) {
            if (littleThan(g[0], v[0], a))
              return c;
          } else if (littleThan(g[0], v[0], a) && littleThan(g[1], a, v[1]))
            return c;
          s && y(v[0], c), s && y(v[1], c);
        }
      }
      if (s)
        return a === 1 / 0 ? o.length - 1 : a === -1 / 0 ? 0 : l;
      function y(_, S) {
        var C = Math.abs(_ - a);
        C < u && (u = C, l = S);
      }
    }, r.visualHandlers = {
      color: {
        applyVisual: makeApplyVisual("color"),
        getColorMapper: function() {
          var a = this.option;
          return bind$1(a.mappingMethod === "category" ? function(o, s) {
            return !s && (o = this._normalizeData(o)), doMapCategory.call(this, o);
          } : function(o, s, l) {
            var u = !!l;
            return !s && (o = this._normalizeData(o)), l = fastLerp(o, a.parsedVisual, l), u ? l : stringify(l, "rgba");
          }, this);
        },
        _normalizedToVisual: {
          linear: function(a) {
            return stringify(fastLerp(a, this.option.parsedVisual), "rgba");
          },
          category: doMapCategory,
          piecewise: function(a, o) {
            var s = getSpecifiedVisual.call(this, o);
            return s == null && (s = stringify(fastLerp(a, this.option.parsedVisual), "rgba")), s;
          },
          fixed: doMapFixed
        }
      },
      colorHue: makePartialColorVisualHandler(function(a, o) {
        return modifyHSL(a, o);
      }),
      colorSaturation: makePartialColorVisualHandler(function(a, o) {
        return modifyHSL(a, null, o);
      }),
      colorLightness: makePartialColorVisualHandler(function(a, o) {
        return modifyHSL(a, null, null, o);
      }),
      colorAlpha: makePartialColorVisualHandler(function(a, o) {
        return modifyAlpha(a, o);
      }),
      decal: {
        applyVisual: makeApplyVisual("decal"),
        _normalizedToVisual: {
          linear: null,
          category: doMapCategory,
          piecewise: null,
          fixed: null
        }
      },
      opacity: {
        applyVisual: makeApplyVisual("opacity"),
        _normalizedToVisual: createNormalizedToNumericVisual([0, 1])
      },
      liftZ: {
        applyVisual: makeApplyVisual("liftZ"),
        _normalizedToVisual: {
          linear: doMapFixed,
          category: doMapFixed,
          piecewise: doMapFixed,
          fixed: doMapFixed
        }
      },
      symbol: {
        applyVisual: function(a, o, s) {
          var l = this.mapValueToVisual(a);
          s("symbol", l);
        },
        _normalizedToVisual: {
          linear: doMapToArray,
          category: doMapCategory,
          piecewise: function(a, o) {
            var s = getSpecifiedVisual.call(this, o);
            return s == null && (s = doMapToArray.call(this, a)), s;
          },
          fixed: doMapFixed
        }
      },
      symbolSize: {
        applyVisual: makeApplyVisual("symbolSize"),
        _normalizedToVisual: createNormalizedToNumericVisual([0, 1])
      }
    }, r;
  }()
);
function preprocessForPiecewise(r) {
  var a = r.pieceList;
  r.hasSpecialVisual = !1, each$f(a, function(o, s) {
    o.originIndex = s, o.visual != null && (r.hasSpecialVisual = !0);
  });
}
function preprocessForSpecifiedCategory(r) {
  var a = r.categories, o = r.categoryMap = {}, s = r.visual;
  if (each$c(a, function(c, d) {
    o[c] = d;
  }), !isArray$1(s)) {
    var l = [];
    isObject$3(s) ? each$c(s, function(c, d) {
      var f = o[d];
      l[f ?? CATEGORY_DEFAULT_VISUAL_INDEX] = c;
    }) : l[CATEGORY_DEFAULT_VISUAL_INDEX] = s, s = setVisualToOption(r, l);
  }
  for (var u = a.length - 1; u >= 0; u--)
    s[u] == null && (delete o[a[u]], a.pop());
}
function normalizeVisualRange(r, a) {
  var o = r.visual, s = [];
  isObject$3(o) ? each$c(o, function(u) {
    s.push(u);
  }) : o != null && s.push(o);
  var l = {
    color: 1,
    symbol: 1
  };
  !a && s.length === 1 && !l.hasOwnProperty(r.type) && (s[1] = s[0]), setVisualToOption(r, s);
}
function makePartialColorVisualHandler(r) {
  return {
    applyVisual: function(a, o, s) {
      var l = this.mapValueToVisual(a);
      s("color", r(o("color"), l));
    },
    _normalizedToVisual: createNormalizedToNumericVisual([0, 1])
  };
}
function doMapToArray(r) {
  var a = this.option.visual;
  return a[Math.round(linearMap$2(r, [0, 1], [0, a.length - 1], !0))] || {};
}
function makeApplyVisual(r) {
  return function(a, o, s) {
    s(r, this.mapValueToVisual(a));
  };
}
function doMapCategory(r) {
  var a = this.option.visual;
  return a[this.option.loop && r !== CATEGORY_DEFAULT_VISUAL_INDEX ? r % a.length : r];
}
function doMapFixed() {
  return this.option.visual[0];
}
function createNormalizedToNumericVisual(r) {
  return {
    linear: function(a) {
      return linearMap$2(a, r, this.option.visual, !0);
    },
    category: doMapCategory,
    piecewise: function(a, o) {
      var s = getSpecifiedVisual.call(this, o);
      return s == null && (s = linearMap$2(a, r, this.option.visual, !0)), s;
    },
    fixed: doMapFixed
  };
}
function getSpecifiedVisual(r) {
  var a = this.option, o = a.pieceList;
  if (a.hasSpecialVisual) {
    var s = VisualMapping.findPieceIndex(r, o), l = o[s];
    if (l && l.visual)
      return l.visual[this.type];
  }
}
function setVisualToOption(r, a) {
  return r.visual = a, r.type === "color" && (r.parsedVisual = map$1(a, function(o) {
    var s = parse(o);
    return !s && process.env.NODE_ENV !== "production" && warn("'" + o + "' is an illegal color, fallback to '#000000'", !0), s || [0, 0, 0, 1];
  })), a;
}
var normalizers = {
  linear: function(r) {
    return linearMap$2(r, this.option.dataExtent, [0, 1], !0);
  },
  piecewise: function(r) {
    var a = this.option.pieceList, o = VisualMapping.findPieceIndex(r, a, !0);
    if (o != null)
      return linearMap$2(o, [0, a.length - 1], [0, 1], !0);
  },
  category: function(r) {
    var a = this.option.categories ? this.option.categoryMap[r] : r;
    return a ?? CATEGORY_DEFAULT_VISUAL_INDEX;
  },
  fixed: noop
};
function littleThan(r, a, o) {
  return r ? a <= o : a < o;
}
var ITEM_STYLE_NORMAL = "itemStyle", inner$c = makeInner();
const treemapVisual = {
  seriesType: "treemap",
  reset: function(r) {
    var a = r.getData().tree, o = a.root;
    o.isRemoved() || travelTree(
      o,
      // Visual should calculate from tree root but not view root.
      {},
      r.getViewRoot().getAncestors(),
      r
    );
  }
};
function travelTree(r, a, o, s) {
  var l = r.getModel(), u = r.getLayout(), c = r.hostTree.data;
  if (!(!u || u.invisible || !u.isInView)) {
    var d = l.getModel(ITEM_STYLE_NORMAL), f = buildVisuals(d, a, s), p = c.ensureUniqueItemVisual(r.dataIndex, "style"), v = d.get("borderColor"), g = d.get("borderColorSaturation"), y;
    g != null && (y = calculateColor(f), v = calculateBorderColor(g, y)), p.stroke = v;
    var _ = r.viewChildren;
    if (!_ || !_.length)
      y = calculateColor(f), p.fill = y;
    else {
      var S = buildVisualMapping(r, l, u, d, f, _);
      each$f(_, function(C, b) {
        if (C.depth >= o.length || C === o[C.depth]) {
          var T = mapVisual$1(l, f, C, b, S, s);
          travelTree(C, T, o, s);
        }
      });
    }
  }
}
function buildVisuals(r, a, o) {
  var s = extend({}, a), l = o.designatedVisualItemStyle;
  return each$f(["color", "colorAlpha", "colorSaturation"], function(u) {
    l[u] = a[u];
    var c = r.get(u);
    l[u] = null, c != null && (s[u] = c);
  }), s;
}
function calculateColor(r) {
  var a = getValueVisualDefine(r, "color");
  if (a) {
    var o = getValueVisualDefine(r, "colorAlpha"), s = getValueVisualDefine(r, "colorSaturation");
    return s && (a = modifyHSL(a, null, null, s)), o && (a = modifyAlpha(a, o)), a;
  }
}
function calculateBorderColor(r, a) {
  return a != null ? modifyHSL(a, null, null, r) : null;
}
function getValueVisualDefine(r, a) {
  var o = r[a];
  if (o != null && o !== "none")
    return o;
}
function buildVisualMapping(r, a, o, s, l, u) {
  if (!(!u || !u.length)) {
    var c = getRangeVisual(a, "color") || l.color != null && l.color !== "none" && (getRangeVisual(a, "colorAlpha") || getRangeVisual(a, "colorSaturation"));
    if (c) {
      var d = a.get("visualMin"), f = a.get("visualMax"), p = o.dataExtent.slice();
      d != null && d < p[0] && (p[0] = d), f != null && f > p[1] && (p[1] = f);
      var v = a.get("colorMappingBy"), g = {
        type: c.name,
        dataExtent: p,
        visual: c.range
      };
      g.type === "color" && (v === "index" || v === "id") ? (g.mappingMethod = "category", g.loop = !0) : g.mappingMethod = "linear";
      var y = new VisualMapping(g);
      return inner$c(y).drColorMappingBy = v, y;
    }
  }
}
function getRangeVisual(r, a) {
  var o = r.get(a);
  return isArray$1(o) && o.length ? {
    name: a,
    range: o
  } : null;
}
function mapVisual$1(r, a, o, s, l, u) {
  var c = extend({}, a);
  if (l) {
    var d = l.type, f = d === "color" && inner$c(l).drColorMappingBy, p = f === "index" ? s : f === "id" ? u.mapIdToIndex(o.getId()) : o.getValue(r.get("visualDimension"));
    c[d] = l.mapValueToVisual(p);
  }
  return c;
}
var mathMax$3 = Math.max, mathMin$3 = Math.min, retrieveValue = retrieve, each$b = each$f, PATH_BORDER_WIDTH = ["itemStyle", "borderWidth"], PATH_GAP_WIDTH = ["itemStyle", "gapWidth"], PATH_UPPER_LABEL_SHOW = ["upperLabel", "show"], PATH_UPPER_LABEL_HEIGHT = ["upperLabel", "height"];
const treemapLayout = {
  seriesType: "treemap",
  reset: function(r, a, o, s) {
    var l = o.getWidth(), u = o.getHeight(), c = r.option, d = getLayoutRect(r.getBoxLayoutParams(), {
      width: o.getWidth(),
      height: o.getHeight()
    }), f = c.size || [], p = parsePercent(retrieveValue(d.width, f[0]), l), v = parsePercent(retrieveValue(d.height, f[1]), u), g = s && s.type, y = ["treemapZoomToNode", "treemapRootToNode"], _ = retrieveTargetInfo(s, y, r), S = g === "treemapRender" || g === "treemapMove" ? s.rootRect : null, C = r.getViewRoot(), b = getPathToRoot(C);
    if (g !== "treemapMove") {
      var T = g === "treemapZoomToNode" ? estimateRootSize(r, _, C, p, v) : S ? [S.width, S.height] : [p, v], E = c.sort;
      E && E !== "asc" && E !== "desc" && (E = "desc");
      var x = {
        squareRatio: c.squareRatio,
        sort: E,
        leafDepth: c.leafDepth
      };
      C.hostTree.clearLayouts();
      var $ = {
        x: 0,
        y: 0,
        width: T[0],
        height: T[1],
        area: T[0] * T[1]
      };
      C.setLayout($), squarify(C, x, !1, 0), $ = C.getLayout(), each$b(b, function(N, P) {
        var L = (b[P + 1] || C).getValue();
        N.setLayout(extend({
          dataExtent: [L, L],
          borderWidth: 0,
          upperHeight: 0
        }, $));
      });
    }
    var A = r.getData().tree.root;
    A.setLayout(calculateRootPosition(d, S, _), !0), r.setLayoutInfo(d), prunning(
      A,
      // Transform to base element coordinate system.
      new BoundingRect(-d.x, -d.y, l, u),
      b,
      C,
      0
    );
  }
};
function squarify(r, a, o, s) {
  var l, u;
  if (!r.isRemoved()) {
    var c = r.getLayout();
    l = c.width, u = c.height;
    var d = r.getModel(), f = d.get(PATH_BORDER_WIDTH), p = d.get(PATH_GAP_WIDTH) / 2, v = getUpperLabelHeight(d), g = Math.max(f, v), y = f - p, _ = g - p;
    r.setLayout({
      borderWidth: f,
      upperHeight: g,
      upperLabelHeight: v
    }, !0), l = mathMax$3(l - 2 * y, 0), u = mathMax$3(u - y - _, 0);
    var S = l * u, C = initChildren$1(r, d, S, a, o, s);
    if (C.length) {
      var b = {
        x: y,
        y: _,
        width: l,
        height: u
      }, T = mathMin$3(l, u), E = 1 / 0, x = [];
      x.area = 0;
      for (var $ = 0, A = C.length; $ < A; ) {
        var N = C[$];
        x.push(N), x.area += N.getLayout().area;
        var P = worst(x, T, a.squareRatio);
        P <= E ? ($++, E = P) : (x.area -= x.pop().getLayout().area, position(x, T, b, p, !1), T = mathMin$3(b.width, b.height), x.length = x.area = 0, E = 1 / 0);
      }
      if (x.length && position(x, T, b, p, !0), !o) {
        var L = d.get("childrenVisibleMin");
        L != null && S < L && (o = !0);
      }
      for (var $ = 0, A = C.length; $ < A; $++)
        squarify(C[$], a, o, s + 1);
    }
  }
}
function initChildren$1(r, a, o, s, l, u) {
  var c = r.children || [], d = s.sort;
  d !== "asc" && d !== "desc" && (d = null);
  var f = s.leafDepth != null && s.leafDepth <= u;
  if (l && !f)
    return r.viewChildren = [];
  c = filter(c, function(_) {
    return !_.isRemoved();
  }), sort$1(c, d);
  var p = statistic(a, c, d);
  if (p.sum === 0)
    return r.viewChildren = [];
  if (p.sum = filterByThreshold(a, o, p.sum, d, c), p.sum === 0)
    return r.viewChildren = [];
  for (var v = 0, g = c.length; v < g; v++) {
    var y = c[v].getValue() / p.sum * o;
    c[v].setLayout({
      area: y
    });
  }
  return f && (c.length && r.setLayout({
    isLeafRoot: !0
  }, !0), c.length = 0), r.viewChildren = c, r.setLayout({
    dataExtent: p.dataExtent
  }, !0), c;
}
function filterByThreshold(r, a, o, s, l) {
  if (!s)
    return o;
  for (var u = r.get("visibleMin"), c = l.length, d = c, f = c - 1; f >= 0; f--) {
    var p = l[s === "asc" ? c - f - 1 : f].getValue();
    p / o * a < u && (d = f, o -= p);
  }
  return s === "asc" ? l.splice(0, c - d) : l.splice(d, c - d), o;
}
function sort$1(r, a) {
  return a && r.sort(function(o, s) {
    var l = a === "asc" ? o.getValue() - s.getValue() : s.getValue() - o.getValue();
    return l === 0 ? a === "asc" ? o.dataIndex - s.dataIndex : s.dataIndex - o.dataIndex : l;
  }), r;
}
function statistic(r, a, o) {
  for (var s = 0, l = 0, u = a.length; l < u; l++)
    s += a[l].getValue();
  var c = r.get("visualDimension"), d;
  return !a || !a.length ? d = [NaN, NaN] : c === "value" && o ? (d = [a[a.length - 1].getValue(), a[0].getValue()], o === "asc" && d.reverse()) : (d = [1 / 0, -1 / 0], each$b(a, function(f) {
    var p = f.getValue(c);
    p < d[0] && (d[0] = p), p > d[1] && (d[1] = p);
  })), {
    sum: s,
    dataExtent: d
  };
}
function worst(r, a, o) {
  for (var s = 0, l = 1 / 0, u = 0, c = void 0, d = r.length; u < d; u++)
    c = r[u].getLayout().area, c && (c < l && (l = c), c > s && (s = c));
  var f = r.area * r.area, p = a * a * o;
  return f ? mathMax$3(p * s / f, f / (p * l)) : 1 / 0;
}
function position(r, a, o, s, l) {
  var u = a === o.width ? 0 : 1, c = 1 - u, d = ["x", "y"], f = ["width", "height"], p = o[d[u]], v = a ? r.area / a : 0;
  (l || v > o[f[c]]) && (v = o[f[c]]);
  for (var g = 0, y = r.length; g < y; g++) {
    var _ = r[g], S = {}, C = v ? _.getLayout().area / v : 0, b = S[f[c]] = mathMax$3(v - 2 * s, 0), T = o[d[u]] + o[f[u]] - p, E = g === y - 1 || T < C ? T : C, x = S[f[u]] = mathMax$3(E - 2 * s, 0);
    S[d[c]] = o[d[c]] + mathMin$3(s, b / 2), S[d[u]] = p + mathMin$3(s, x / 2), p += E, _.setLayout(S, !0);
  }
  o[d[c]] += v, o[f[c]] -= v;
}
function estimateRootSize(r, a, o, s, l) {
  var u = (a || {}).node, c = [s, l];
  if (!u || u === o)
    return c;
  for (var d, f = s * l, p = f * r.option.zoomToNodeRatio; d = u.parentNode; ) {
    for (var v = 0, g = d.children, y = 0, _ = g.length; y < _; y++)
      v += g[y].getValue();
    var S = u.getValue();
    if (S === 0)
      return c;
    p *= v / S;
    var C = d.getModel(), b = C.get(PATH_BORDER_WIDTH), T = Math.max(b, getUpperLabelHeight(C));
    p += 4 * b * b + (3 * b + T) * Math.pow(p, 0.5), p > MAX_SAFE_INTEGER && (p = MAX_SAFE_INTEGER), u = d;
  }
  p < f && (p = f);
  var E = Math.pow(p / f, 0.5);
  return [s * E, l * E];
}
function calculateRootPosition(r, a, o) {
  if (a)
    return {
      x: a.x,
      y: a.y
    };
  var s = {
    x: 0,
    y: 0
  };
  if (!o)
    return s;
  var l = o.node, u = l.getLayout();
  if (!u)
    return s;
  for (var c = [u.width / 2, u.height / 2], d = l; d; ) {
    var f = d.getLayout();
    c[0] += f.x, c[1] += f.y, d = d.parentNode;
  }
  return {
    x: r.width / 2 - c[0],
    y: r.height / 2 - c[1]
  };
}
function prunning(r, a, o, s, l) {
  var u = r.getLayout(), c = o[l], d = c && c === r;
  if (!(c && !d || l === o.length && r !== s)) {
    r.setLayout({
      // isInView means: viewRoot sub tree + viewAbovePath
      isInView: !0,
      // invisible only means: outside view clip so that the node can not
      // see but still layout for animation preparation but not render.
      invisible: !d && !a.intersect(u),
      isAboveViewRoot: d
    }, !0);
    var f = new BoundingRect(a.x - u.x, a.y - u.y, a.width, a.height);
    each$b(r.viewChildren || [], function(p) {
      prunning(p, f, o, s, l + 1);
    });
  }
}
function getUpperLabelHeight(r) {
  return r.get(PATH_UPPER_LABEL_SHOW) ? r.get(PATH_UPPER_LABEL_HEIGHT) : 0;
}
function install$H(r) {
  r.registerSeriesModel(TreemapSeriesModel), r.registerChartView(TreemapView), r.registerVisual(treemapVisual), r.registerLayout(treemapLayout), installTreemapAction(r);
}
function categoryFilter(r) {
  var a = r.findComponents({
    mainType: "legend"
  });
  !a || !a.length || r.eachSeriesByType("graph", function(o) {
    var s = o.getCategoriesData(), l = o.getGraph(), u = l.data, c = s.mapArray(s.getName);
    u.filterSelf(function(d) {
      var f = u.getItemModel(d), p = f.getShallow("category");
      if (p != null) {
        isNumber(p) && (p = c[p]);
        for (var v = 0; v < a.length; v++)
          if (!a[v].isSelected(p))
            return !1;
      }
      return !0;
    });
  });
}
function categoryVisual(r) {
  var a = {};
  r.eachSeriesByType("graph", function(o) {
    var s = o.getCategoriesData(), l = o.getData(), u = {};
    s.each(function(c) {
      var d = s.getName(c);
      u["ec-" + d] = c;
      var f = s.getItemModel(c), p = f.getModel("itemStyle").getItemStyle();
      p.fill || (p.fill = o.getColorFromPalette(d, a)), s.setItemVisual(c, "style", p);
      for (var v = ["symbol", "symbolSize", "symbolKeepAspect"], g = 0; g < v.length; g++) {
        var y = f.getShallow(v[g], !0);
        y != null && s.setItemVisual(c, v[g], y);
      }
    }), s.count() && l.each(function(c) {
      var d = l.getItemModel(c), f = d.getShallow("category");
      if (f != null) {
        isString(f) && (f = u["ec-" + f]);
        var p = s.getItemVisual(f, "style"), v = l.ensureUniqueItemVisual(c, "style");
        extend(v, p);
        for (var g = ["symbol", "symbolSize", "symbolKeepAspect"], y = 0; y < g.length; y++)
          l.setItemVisual(c, g[y], s.getItemVisual(f, g[y]));
      }
    });
  });
}
function normalize$1(r) {
  return r instanceof Array || (r = [r, r]), r;
}
function graphEdgeVisual(r) {
  r.eachSeriesByType("graph", function(a) {
    var o = a.getGraph(), s = a.getEdgeData(), l = normalize$1(a.get("edgeSymbol")), u = normalize$1(a.get("edgeSymbolSize"));
    s.setVisual("fromSymbol", l && l[0]), s.setVisual("toSymbol", l && l[1]), s.setVisual("fromSymbolSize", u && u[0]), s.setVisual("toSymbolSize", u && u[1]), s.setVisual("style", a.getModel("lineStyle").getLineStyle()), s.each(function(c) {
      var d = s.getItemModel(c), f = o.getEdgeByIndex(c), p = normalize$1(d.getShallow("symbol", !0)), v = normalize$1(d.getShallow("symbolSize", !0)), g = d.getModel("lineStyle").getLineStyle(), y = s.ensureUniqueItemVisual(c, "style");
      switch (extend(y, g), y.stroke) {
        case "source": {
          var _ = f.node1.getVisual("style");
          y.stroke = _ && _.fill;
          break;
        }
        case "target": {
          var _ = f.node2.getVisual("style");
          y.stroke = _ && _.fill;
          break;
        }
      }
      p[0] && f.setVisual("fromSymbol", p[0]), p[1] && f.setVisual("toSymbol", p[1]), v[0] && f.setVisual("fromSymbolSize", v[0]), v[1] && f.setVisual("toSymbolSize", v[1]);
    });
  });
}
var KEY_DELIMITER = "-->", getAutoCurvenessParams = function(r) {
  return r.get("autoCurveness") || null;
}, createCurveness = function(r, a) {
  var o = getAutoCurvenessParams(r), s = 20, l = [];
  if (isNumber(o))
    s = o;
  else if (isArray$1(o)) {
    r.__curvenessList = o;
    return;
  }
  a > s && (s = a);
  var u = s % 2 ? s + 2 : s + 3;
  l = [];
  for (var c = 0; c < u; c++)
    l.push((c % 2 ? c + 1 : c) / 10 * (c % 2 ? -1 : 1));
  r.__curvenessList = l;
}, getKeyOfEdges = function(r, a, o) {
  var s = [r.id, r.dataIndex].join("."), l = [a.id, a.dataIndex].join(".");
  return [o.uid, s, l].join(KEY_DELIMITER);
}, getOppositeKey = function(r) {
  var a = r.split(KEY_DELIMITER);
  return [a[0], a[2], a[1]].join(KEY_DELIMITER);
}, getEdgeFromMap = function(r, a) {
  var o = getKeyOfEdges(r.node1, r.node2, a);
  return a.__edgeMap[o];
}, getTotalLengthBetweenNodes = function(r, a) {
  var o = getEdgeMapLengthWithKey(getKeyOfEdges(r.node1, r.node2, a), a), s = getEdgeMapLengthWithKey(getKeyOfEdges(r.node2, r.node1, a), a);
  return o + s;
}, getEdgeMapLengthWithKey = function(r, a) {
  var o = a.__edgeMap;
  return o[r] ? o[r].length : 0;
};
function initCurvenessList(r) {
  getAutoCurvenessParams(r) && (r.__curvenessList = [], r.__edgeMap = {}, createCurveness(r));
}
function createEdgeMapForCurveness(r, a, o, s) {
  if (getAutoCurvenessParams(o)) {
    var l = getKeyOfEdges(r, a, o), u = o.__edgeMap, c = u[getOppositeKey(l)];
    u[l] && !c ? u[l].isForward = !0 : c && u[l] && (c.isForward = !0, u[l].isForward = !1), u[l] = u[l] || [], u[l].push(s);
  }
}
function getCurvenessForEdge(r, a, o, s) {
  var l = getAutoCurvenessParams(a), u = isArray$1(l);
  if (!l)
    return null;
  var c = getEdgeFromMap(r, a);
  if (!c)
    return null;
  for (var d = -1, f = 0; f < c.length; f++)
    if (c[f] === o) {
      d = f;
      break;
    }
  var p = getTotalLengthBetweenNodes(r, a);
  createCurveness(a, p), r.lineStyle = r.lineStyle || {};
  var v = getKeyOfEdges(r.node1, r.node2, a), g = a.__curvenessList, y = u || p % 2 ? 0 : 1;
  if (c.isForward)
    return g[y + d];
  var _ = getOppositeKey(v), S = getEdgeMapLengthWithKey(_, a), C = g[d + S + y];
  return s ? u ? l && l[0] === 0 ? (S + y) % 2 ? C : -C : ((S % 2 ? 0 : 1) + y) % 2 ? C : -C : (S + y) % 2 ? C : -C : g[d + S + y];
}
function simpleLayout(r) {
  var a = r.coordinateSystem;
  if (!(a && a.type !== "view")) {
    var o = r.getGraph();
    o.eachNode(function(s) {
      var l = s.getModel();
      s.setLayout([+l.get("x"), +l.get("y")]);
    }), simpleLayoutEdge(o, r);
  }
}
function simpleLayoutEdge(r, a) {
  r.eachEdge(function(o, s) {
    var l = retrieve3(o.getModel().get(["lineStyle", "curveness"]), -getCurvenessForEdge(o, a, s, !0), 0), u = clone$3(o.node1.getLayout()), c = clone$3(o.node2.getLayout()), d = [u, c];
    +l && d.push([(u[0] + c[0]) / 2 - (u[1] - c[1]) * l, (u[1] + c[1]) / 2 - (c[0] - u[0]) * l]), o.setLayout(d);
  });
}
function graphSimpleLayout(r, a) {
  r.eachSeriesByType("graph", function(o) {
    var s = o.get("layout"), l = o.coordinateSystem;
    if (l && l.type !== "view") {
      var u = o.getData(), c = [];
      each$f(l.dimensions, function(y) {
        c = c.concat(u.mapDimensionsAll(y));
      });
      for (var d = 0; d < u.count(); d++) {
        for (var f = [], p = !1, v = 0; v < c.length; v++) {
          var g = u.get(c[v], d);
          isNaN(g) || (p = !0), f.push(g);
        }
        p ? u.setItemLayout(d, l.dataToPoint(f)) : u.setItemLayout(d, [NaN, NaN]);
      }
      simpleLayoutEdge(u.graph, o);
    } else (!s || s === "none") && simpleLayout(o);
  });
}
function getNodeGlobalScale(r) {
  var a = r.coordinateSystem;
  if (a.type !== "view")
    return 1;
  var o = r.option.nodeScaleRatio, s = a.scaleX, l = a.getZoom(), u = (l - 1) * o + 1;
  return u / s;
}
function getSymbolSize(r) {
  var a = r.getVisual("symbolSize");
  return a instanceof Array && (a = (a[0] + a[1]) / 2), +a;
}
var PI$2 = Math.PI, _symbolRadiansHalf = [];
function circularLayout(r, a, o, s) {
  var l = r.coordinateSystem;
  if (!(l && l.type !== "view")) {
    var u = l.getBoundingRect(), c = r.getData(), d = c.graph, f = u.width / 2 + u.x, p = u.height / 2 + u.y, v = Math.min(u.width, u.height) / 2, g = c.count();
    if (c.setLayout({
      cx: f,
      cy: p
    }), !!g) {
      if (o) {
        var y = l.pointToData(s), _ = y[0], S = y[1], C = [_ - f, S - p];
        normalize$3(C, C), scale$2(C, C, v), o.setLayout([f + C[0], p + C[1]], !0);
        var b = r.get(["circular", "rotateLabel"]);
        rotateNodeLabel(o, b, f, p);
      }
      _layoutNodesBasedOn[a](r, d, c, v, f, p, g), d.eachEdge(function(T, E) {
        var x = retrieve3(T.getModel().get(["lineStyle", "curveness"]), getCurvenessForEdge(T, r, E), 0), $ = clone$3(T.node1.getLayout()), A = clone$3(T.node2.getLayout()), N, P = ($[0] + A[0]) / 2, L = ($[1] + A[1]) / 2;
        +x && (x *= 3, N = [f * x + P * (1 - x), p * x + L * (1 - x)]), T.setLayout([$, A, N]);
      });
    }
  }
}
var _layoutNodesBasedOn = {
  value: function(r, a, o, s, l, u, c) {
    var d = 0, f = o.getSum("value"), p = Math.PI * 2 / (f || c);
    a.eachNode(function(v) {
      var g = v.getValue("value"), y = p * (f ? g : 1) / 2;
      d += y, v.setLayout([s * Math.cos(d) + l, s * Math.sin(d) + u]), d += y;
    });
  },
  symbolSize: function(r, a, o, s, l, u, c) {
    var d = 0;
    _symbolRadiansHalf.length = c;
    var f = getNodeGlobalScale(r);
    a.eachNode(function(g) {
      var y = getSymbolSize(g);
      isNaN(y) && (y = 2), y < 0 && (y = 0), y *= f;
      var _ = Math.asin(y / 2 / s);
      isNaN(_) && (_ = PI$2 / 2), _symbolRadiansHalf[g.dataIndex] = _, d += _ * 2;
    });
    var p = (2 * PI$2 - d) / c / 2, v = 0;
    a.eachNode(function(g) {
      var y = p + _symbolRadiansHalf[g.dataIndex];
      v += y, (!g.getLayout() || !g.getLayout().fixed) && g.setLayout([s * Math.cos(v) + l, s * Math.sin(v) + u]), v += y;
    });
  }
};
function rotateNodeLabel(r, a, o, s) {
  var l = r.getGraphicEl();
  if (l) {
    var u = r.getModel(), c = u.get(["label", "rotate"]) || 0, d = l.getSymbolPath();
    if (a) {
      var f = r.getLayout(), p = Math.atan2(f[1] - s, f[0] - o);
      p < 0 && (p = Math.PI * 2 + p);
      var v = f[0] < o;
      v && (p = p - Math.PI);
      var g = v ? "left" : "right";
      d.setTextConfig({
        rotation: -p,
        position: g,
        origin: "center"
      });
      var y = d.ensureState("emphasis");
      extend(y.textConfig || (y.textConfig = {}), {
        position: g
      });
    } else
      d.setTextConfig({
        rotation: c *= Math.PI / 180
      });
  }
}
function graphCircularLayout(r) {
  r.eachSeriesByType("graph", function(a) {
    a.get("layout") === "circular" && circularLayout(a, "symbolSize");
  });
}
var scaleAndAdd = scaleAndAdd$1;
function forceLayout(r, a, o) {
  for (var s = r, l = a, u = o.rect, c = u.width, d = u.height, f = [u.x + c / 2, u.y + d / 2], p = o.gravity == null ? 0.1 : o.gravity, v = 0; v < s.length; v++) {
    var g = s[v];
    g.p || (g.p = create$2(c * (Math.random() - 0.5) + f[0], d * (Math.random() - 0.5) + f[1])), g.pp = clone$3(g.p), g.edges = null;
  }
  var y = o.friction == null ? 0.6 : o.friction, _ = y, S, C;
  return {
    warmUp: function() {
      _ = y * 0.8;
    },
    setFixed: function(b) {
      s[b].fixed = !0;
    },
    setUnfixed: function(b) {
      s[b].fixed = !1;
    },
    /**
     * Before step hook
     */
    beforeStep: function(b) {
      S = b;
    },
    /**
     * After step hook
     */
    afterStep: function(b) {
      C = b;
    },
    /**
     * Some formulas were originally copied from "d3.js"
     * https://github.com/d3/d3/blob/b516d77fb8566b576088e73410437494717ada26/src/layout/force.js
     * with some modifications made for this project.
     * See the license statement at the head of this file.
     */
    step: function(b) {
      S && S(s, l);
      for (var T = [], E = s.length, x = 0; x < l.length; x++) {
        var $ = l[x];
        if (!$.ignoreForceLayout) {
          var A = $.n1, N = $.n2;
          sub(T, N.p, A.p);
          var P = len(T) - $.d, L = N.w / (A.w + N.w);
          isNaN(L) && (L = 0), normalize$3(T, T), !A.fixed && scaleAndAdd(A.p, A.p, T, L * P * _), !N.fixed && scaleAndAdd(N.p, N.p, T, -(1 - L) * P * _);
        }
      }
      for (var x = 0; x < E; x++) {
        var O = s[x];
        O.fixed || (sub(T, f, O.p), scaleAndAdd(O.p, O.p, T, p * _));
      }
      for (var x = 0; x < E; x++)
        for (var A = s[x], M = x + 1; M < E; M++) {
          var N = s[M];
          sub(T, N.p, A.p);
          var P = len(T);
          P === 0 && (set$1(T, Math.random() - 0.5, Math.random() - 0.5), P = 1);
          var F = (A.rep + N.rep) / P / P;
          !A.fixed && scaleAndAdd(A.pp, A.pp, T, F), !N.fixed && scaleAndAdd(N.pp, N.pp, T, -F);
        }
      for (var U = [], x = 0; x < E; x++) {
        var O = s[x];
        O.fixed || (sub(U, O.p, O.pp), scaleAndAdd(O.p, O.p, U, _), copy$1(O.pp, O.p));
      }
      _ = _ * 0.992;
      var R = _ < 0.01;
      C && C(s, l, R), b && b(R);
    }
  };
}
function graphForceLayout(r) {
  r.eachSeriesByType("graph", function(a) {
    var o = a.coordinateSystem;
    if (!(o && o.type !== "view"))
      if (a.get("layout") === "force") {
        var s = a.preservedPoints || {}, l = a.getGraph(), u = l.data, c = l.edgeData, d = a.getModel("force"), f = d.get("initLayout");
        a.preservedPoints ? u.each(function(x) {
          var $ = u.getId(x);
          u.setItemLayout(x, s[$] || [NaN, NaN]);
        }) : !f || f === "none" ? simpleLayout(a) : f === "circular" && circularLayout(a, "value");
        var p = u.getDataExtent("value"), v = c.getDataExtent("value"), g = d.get("repulsion"), y = d.get("edgeLength"), _ = isArray$1(g) ? g : [g, g], S = isArray$1(y) ? y : [y, y];
        S = [S[1], S[0]];
        var C = u.mapArray("value", function(x, $) {
          var A = u.getItemLayout($), N = linearMap$2(x, p, _);
          return isNaN(N) && (N = (_[0] + _[1]) / 2), {
            w: N,
            rep: N,
            fixed: u.getItemModel($).get("fixed"),
            p: !A || isNaN(A[0]) || isNaN(A[1]) ? null : A
          };
        }), b = c.mapArray("value", function(x, $) {
          var A = l.getEdgeByIndex($), N = linearMap$2(x, v, S);
          isNaN(N) && (N = (S[0] + S[1]) / 2);
          var P = A.getModel(), L = retrieve3(A.getModel().get(["lineStyle", "curveness"]), -getCurvenessForEdge(A, a, $, !0), 0);
          return {
            n1: C[A.node1.dataIndex],
            n2: C[A.node2.dataIndex],
            d: N,
            curveness: L,
            ignoreForceLayout: P.get("ignoreForceLayout")
          };
        }), T = o.getBoundingRect(), E = forceLayout(C, b, {
          rect: T,
          gravity: d.get("gravity"),
          friction: d.get("friction")
        });
        E.beforeStep(function(x, $) {
          for (var A = 0, N = x.length; A < N; A++)
            x[A].fixed && copy$1(x[A].p, l.getNodeByIndex(A).getLayout());
        }), E.afterStep(function(x, $, A) {
          for (var N = 0, P = x.length; N < P; N++)
            x[N].fixed || l.getNodeByIndex(N).setLayout(x[N].p), s[u.getId(N)] = x[N].p;
          for (var N = 0, P = $.length; N < P; N++) {
            var L = $[N], O = l.getEdgeByIndex(N), M = L.n1.p, F = L.n2.p, U = O.getLayout();
            U = U ? U.slice() : [], U[0] = U[0] || [], U[1] = U[1] || [], copy$1(U[0], M), copy$1(U[1], F), +L.curveness && (U[2] = [(M[0] + F[0]) / 2 - (M[1] - F[1]) * L.curveness, (M[1] + F[1]) / 2 - (F[0] - M[0]) * L.curveness]), O.setLayout(U);
          }
        }), a.forceLayout = E, a.preservedPoints = s, E.step();
      } else
        a.forceLayout = null;
  });
}
function getViewRect$3(r, a, o) {
  var s = extend(r.getBoxLayoutParams(), {
    aspect: o
  });
  return getLayoutRect(s, {
    width: a.getWidth(),
    height: a.getHeight()
  });
}
function createViewCoordSys(r, a) {
  var o = [];
  return r.eachSeriesByType("graph", function(s) {
    var l = s.get("coordinateSystem");
    if (!l || l === "view") {
      var u = s.getData(), c = u.mapArray(function(b) {
        var T = u.getItemModel(b);
        return [+T.get("x"), +T.get("y")];
      }), d = [], f = [];
      fromPoints(c, d, f), f[0] - d[0] === 0 && (f[0] += 1, d[0] -= 1), f[1] - d[1] === 0 && (f[1] += 1, d[1] -= 1);
      var p = (f[0] - d[0]) / (f[1] - d[1]), v = getViewRect$3(s, a, p);
      isNaN(p) && (d = [v.x, v.y], f = [v.x + v.width, v.y + v.height]);
      var g = f[0] - d[0], y = f[1] - d[1], _ = v.width, S = v.height, C = s.coordinateSystem = new View();
      C.zoomLimit = s.get("scaleLimit"), C.setBoundingRect(d[0], d[1], g, y), C.setViewRect(v.x, v.y, _, S), C.setCenter(s.get("center"), a), C.setZoom(s.get("zoom")), o.push(C);
    }
  }), o;
}
var straightLineProto = Line$1.prototype, bezierCurveProto = BezierCurve.prototype, StraightLineShape = (
  /** @class */
  /* @__PURE__ */ function() {
    function r() {
      this.x1 = 0, this.y1 = 0, this.x2 = 0, this.y2 = 0, this.percent = 1;
    }
    return r;
  }()
);
(function(r) {
  __extends(a, r);
  function a() {
    return r !== null && r.apply(this, arguments) || this;
  }
  return a;
})(StraightLineShape);
function isStraightLine(r) {
  return isNaN(+r.cpx1) || isNaN(+r.cpy1);
}
var ECLinePath = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      var s = r.call(this, o) || this;
      return s.type = "ec-line", s;
    }
    return a.prototype.getDefaultStyle = function() {
      return {
        stroke: "#000",
        fill: null
      };
    }, a.prototype.getDefaultShape = function() {
      return new StraightLineShape();
    }, a.prototype.buildPath = function(o, s) {
      isStraightLine(s) ? straightLineProto.buildPath.call(this, o, s) : bezierCurveProto.buildPath.call(this, o, s);
    }, a.prototype.pointAt = function(o) {
      return isStraightLine(this.shape) ? straightLineProto.pointAt.call(this, o) : bezierCurveProto.pointAt.call(this, o);
    }, a.prototype.tangentAt = function(o) {
      var s = this.shape, l = isStraightLine(s) ? [s.x2 - s.x1, s.y2 - s.y1] : bezierCurveProto.tangentAt.call(this, o);
      return normalize$3(l, l);
    }, a;
  }(Path)
), SYMBOL_CATEGORIES = ["fromSymbol", "toSymbol"];
function makeSymbolTypeKey(r) {
  return "_" + r + "Type";
}
function makeSymbolTypeValue(r, a, o) {
  var s = a.getItemVisual(o, r);
  if (!s || s === "none")
    return s;
  var l = a.getItemVisual(o, r + "Size"), u = a.getItemVisual(o, r + "Rotate"), c = a.getItemVisual(o, r + "Offset"), d = a.getItemVisual(o, r + "KeepAspect"), f = normalizeSymbolSize(l), p = normalizeSymbolOffset(c || 0, f);
  return s + f + p + (u || "") + (d || "");
}
function createSymbol(r, a, o) {
  var s = a.getItemVisual(o, r);
  if (!(!s || s === "none")) {
    var l = a.getItemVisual(o, r + "Size"), u = a.getItemVisual(o, r + "Rotate"), c = a.getItemVisual(o, r + "Offset"), d = a.getItemVisual(o, r + "KeepAspect"), f = normalizeSymbolSize(l), p = normalizeSymbolOffset(c || 0, f), v = createSymbol$1(s, -f[0] / 2 + p[0], -f[1] / 2 + p[1], f[0], f[1], null, d);
    return v.__specifiedRotation = u == null || isNaN(u) ? void 0 : +u * Math.PI / 180 || 0, v.name = r, v;
  }
}
function createLine(r) {
  var a = new ECLinePath({
    name: "line",
    subPixelOptimize: !0
  });
  return setLinePoints(a.shape, r), a;
}
function setLinePoints(r, a) {
  r.x1 = a[0][0], r.y1 = a[0][1], r.x2 = a[1][0], r.y2 = a[1][1], r.percent = 1;
  var o = a[2];
  o ? (r.cpx1 = o[0], r.cpy1 = o[1]) : (r.cpx1 = NaN, r.cpy1 = NaN);
}
var Line = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s, l) {
      var u = r.call(this) || this;
      return u._createLine(o, s, l), u;
    }
    return a.prototype._createLine = function(o, s, l) {
      var u = o.hostModel, c = o.getItemLayout(s), d = createLine(c);
      d.shape.percent = 0, initProps(d, {
        shape: {
          percent: 1
        }
      }, u, s), this.add(d), each$f(SYMBOL_CATEGORIES, function(f) {
        var p = createSymbol(f, o, s);
        this.add(p), this[makeSymbolTypeKey(f)] = makeSymbolTypeValue(f, o, s);
      }, this), this._updateCommonStl(o, s, l);
    }, a.prototype.updateData = function(o, s, l) {
      var u = o.hostModel, c = this.childOfName("line"), d = o.getItemLayout(s), f = {
        shape: {}
      };
      setLinePoints(f.shape, d), updateProps$1(c, f, u, s), each$f(SYMBOL_CATEGORIES, function(p) {
        var v = makeSymbolTypeValue(p, o, s), g = makeSymbolTypeKey(p);
        if (this[g] !== v) {
          this.remove(this.childOfName(p));
          var y = createSymbol(p, o, s);
          this.add(y);
        }
        this[g] = v;
      }, this), this._updateCommonStl(o, s, l);
    }, a.prototype.getLinePath = function() {
      return this.childAt(0);
    }, a.prototype._updateCommonStl = function(o, s, l) {
      var u = o.hostModel, c = this.childOfName("line"), d = l && l.emphasisLineStyle, f = l && l.blurLineStyle, p = l && l.selectLineStyle, v = l && l.labelStatesModels, g = l && l.emphasisDisabled, y = l && l.focus, _ = l && l.blurScope;
      if (!l || o.hasItemOption) {
        var S = o.getItemModel(s), C = S.getModel("emphasis");
        d = C.getModel("lineStyle").getLineStyle(), f = S.getModel(["blur", "lineStyle"]).getLineStyle(), p = S.getModel(["select", "lineStyle"]).getLineStyle(), g = C.get("disabled"), y = C.get("focus"), _ = C.get("blurScope"), v = getLabelStatesModels(S);
      }
      var b = o.getItemVisual(s, "style"), T = b.stroke;
      c.useStyle(b), c.style.fill = null, c.style.strokeNoScale = !0, c.ensureState("emphasis").style = d, c.ensureState("blur").style = f, c.ensureState("select").style = p, each$f(SYMBOL_CATEGORIES, function(N) {
        var P = this.childOfName(N);
        if (P) {
          P.setColor(T), P.style.opacity = b.opacity;
          for (var L = 0; L < SPECIAL_STATES.length; L++) {
            var O = SPECIAL_STATES[L], M = c.getState(O);
            if (M) {
              var F = M.style || {}, U = P.ensureState(O), R = U.style || (U.style = {});
              F.stroke != null && (R[P.__isEmptyBrush ? "stroke" : "fill"] = F.stroke), F.opacity != null && (R.opacity = F.opacity);
            }
          }
          P.markRedraw();
        }
      }, this);
      var E = u.getRawValue(s);
      setLabelStyle(this, v, {
        labelDataIndex: s,
        labelFetcher: {
          getFormattedLabel: function(N, P) {
            return u.getFormattedLabel(N, P, o.dataType);
          }
        },
        inheritColor: T || "#000",
        defaultOpacity: b.opacity,
        defaultText: (E == null ? o.getName(s) : isFinite(E) ? round$3(E) : E) + ""
      });
      var x = this.getTextContent();
      if (x) {
        var $ = v.normal;
        x.__align = x.style.align, x.__verticalAlign = x.style.verticalAlign, x.__position = $.get("position") || "middle";
        var A = $.get("distance");
        isArray$1(A) || (A = [A, A]), x.__labelDistance = A;
      }
      this.setTextConfig({
        position: null,
        local: !0,
        inside: !1
        // Can't be inside for stroke element.
      }), toggleHoverEmphasis(this, y, _, g);
    }, a.prototype.highlight = function() {
      enterEmphasis(this);
    }, a.prototype.downplay = function() {
      leaveEmphasis(this);
    }, a.prototype.updateLayout = function(o, s) {
      this.setLinePoints(o.getItemLayout(s));
    }, a.prototype.setLinePoints = function(o) {
      var s = this.childOfName("line");
      setLinePoints(s.shape, o), s.dirty();
    }, a.prototype.beforeUpdate = function() {
      var o = this, s = o.childOfName("fromSymbol"), l = o.childOfName("toSymbol"), u = o.getTextContent();
      if (!s && !l && (!u || u.ignore))
        return;
      for (var c = 1, d = this.parent; d; )
        d.scaleX && (c /= d.scaleX), d = d.parent;
      var f = o.childOfName("line");
      if (!this.__dirty && !f.__dirty)
        return;
      var p = f.shape.percent, v = f.pointAt(0), g = f.pointAt(p), y = sub([], g, v);
      normalize$3(y, y);
      function _(M, F) {
        var U = M.__specifiedRotation;
        if (U == null) {
          var R = f.tangentAt(F);
          M.attr("rotation", (F === 1 ? -1 : 1) * Math.PI / 2 - Math.atan2(R[1], R[0]));
        } else
          M.attr("rotation", U);
      }
      if (s && (s.setPosition(v), _(s, 0), s.scaleX = s.scaleY = c * p, s.markRedraw()), l && (l.setPosition(g), _(l, 1), l.scaleX = l.scaleY = c * p, l.markRedraw()), u && !u.ignore) {
        u.x = u.y = 0, u.originX = u.originY = 0;
        var S = void 0, C = void 0, b = u.__labelDistance, T = b[0] * c, E = b[1] * c, x = p / 2, $ = f.tangentAt(x), A = [$[1], -$[0]], N = f.pointAt(x);
        A[1] > 0 && (A[0] = -A[0], A[1] = -A[1]);
        var P = $[0] < 0 ? -1 : 1;
        if (u.__position !== "start" && u.__position !== "end") {
          var L = -Math.atan2($[1], $[0]);
          g[0] < v[0] && (L = Math.PI + L), u.rotation = L;
        }
        var O = void 0;
        switch (u.__position) {
          case "insideStartTop":
          case "insideMiddleTop":
          case "insideEndTop":
          case "middle":
            O = -E, C = "bottom";
            break;
          case "insideStartBottom":
          case "insideMiddleBottom":
          case "insideEndBottom":
            O = E, C = "top";
            break;
          default:
            O = 0, C = "middle";
        }
        switch (u.__position) {
          case "end":
            u.x = y[0] * T + g[0], u.y = y[1] * E + g[1], S = y[0] > 0.8 ? "left" : y[0] < -0.8 ? "right" : "center", C = y[1] > 0.8 ? "top" : y[1] < -0.8 ? "bottom" : "middle";
            break;
          case "start":
            u.x = -y[0] * T + v[0], u.y = -y[1] * E + v[1], S = y[0] > 0.8 ? "right" : y[0] < -0.8 ? "left" : "center", C = y[1] > 0.8 ? "bottom" : y[1] < -0.8 ? "top" : "middle";
            break;
          case "insideStartTop":
          case "insideStart":
          case "insideStartBottom":
            u.x = T * P + v[0], u.y = v[1] + O, S = $[0] < 0 ? "right" : "left", u.originX = -T * P, u.originY = -O;
            break;
          case "insideMiddleTop":
          case "insideMiddle":
          case "insideMiddleBottom":
          case "middle":
            u.x = N[0], u.y = N[1] + O, S = "center", u.originY = -O;
            break;
          case "insideEndTop":
          case "insideEnd":
          case "insideEndBottom":
            u.x = -T * P + g[0], u.y = g[1] + O, S = $[0] >= 0 ? "right" : "left", u.originX = T * P, u.originY = -O;
            break;
        }
        u.scaleX = u.scaleY = c, u.setStyle({
          // Use the user specified text align and baseline first
          verticalAlign: u.__verticalAlign || C,
          align: u.__align || S
        });
      }
    }, a;
  }(Group$3)
), LineDraw = (
  /** @class */
  function() {
    function r(a) {
      this.group = new Group$3(), this._LineCtor = a || Line;
    }
    return r.prototype.updateData = function(a) {
      var o = this;
      this._progressiveEls = null;
      var s = this, l = s.group, u = s._lineData;
      s._lineData = a, u || l.removeAll();
      var c = makeSeriesScope$1(a);
      a.diff(u).add(function(d) {
        o._doAdd(a, d, c);
      }).update(function(d, f) {
        o._doUpdate(u, a, f, d, c);
      }).remove(function(d) {
        l.remove(u.getItemGraphicEl(d));
      }).execute();
    }, r.prototype.updateLayout = function() {
      var a = this._lineData;
      a && a.eachItemGraphicEl(function(o, s) {
        o.updateLayout(a, s);
      }, this);
    }, r.prototype.incrementalPrepareUpdate = function(a) {
      this._seriesScope = makeSeriesScope$1(a), this._lineData = null, this.group.removeAll();
    }, r.prototype.incrementalUpdate = function(a, o) {
      this._progressiveEls = [];
      function s(d) {
        !d.isGroup && !isEffectObject(d) && (d.incremental = !0, d.ensureState("emphasis").hoverLayer = !0);
      }
      for (var l = a.start; l < a.end; l++) {
        var u = o.getItemLayout(l);
        if (lineNeedsDraw(u)) {
          var c = new this._LineCtor(o, l, this._seriesScope);
          c.traverse(s), this.group.add(c), o.setItemGraphicEl(l, c), this._progressiveEls.push(c);
        }
      }
    }, r.prototype.remove = function() {
      this.group.removeAll();
    }, r.prototype.eachRendered = function(a) {
      traverseElements(this._progressiveEls || this.group, a);
    }, r.prototype._doAdd = function(a, o, s) {
      var l = a.getItemLayout(o);
      if (lineNeedsDraw(l)) {
        var u = new this._LineCtor(a, o, s);
        a.setItemGraphicEl(o, u), this.group.add(u);
      }
    }, r.prototype._doUpdate = function(a, o, s, l, u) {
      var c = a.getItemGraphicEl(s);
      if (!lineNeedsDraw(o.getItemLayout(l))) {
        this.group.remove(c);
        return;
      }
      c ? c.updateData(o, l, u) : c = new this._LineCtor(o, l, u), o.setItemGraphicEl(l, c), this.group.add(c);
    }, r;
  }()
);
function isEffectObject(r) {
  return r.animators && r.animators.length > 0;
}
function makeSeriesScope$1(r) {
  var a = r.hostModel, o = a.getModel("emphasis");
  return {
    lineStyle: a.getModel("lineStyle").getLineStyle(),
    emphasisLineStyle: o.getModel(["lineStyle"]).getLineStyle(),
    blurLineStyle: a.getModel(["blur", "lineStyle"]).getLineStyle(),
    selectLineStyle: a.getModel(["select", "lineStyle"]).getLineStyle(),
    emphasisDisabled: o.get("disabled"),
    blurScope: o.get("blurScope"),
    focus: o.get("focus"),
    labelStatesModels: getLabelStatesModels(a)
  };
}
function isPointNaN(r) {
  return isNaN(r[0]) || isNaN(r[1]);
}
function lineNeedsDraw(r) {
  return r && !isPointNaN(r[0]) && !isPointNaN(r[1]);
}
var v1 = [], v2 = [], v3 = [], quadraticAt = quadraticAt$1, v2DistSquare = distSquare, mathAbs = Math.abs;
function intersectCurveCircle(r, a, o) {
  for (var s = r[0], l = r[1], u = r[2], c = 1 / 0, d, f = o * o, p = 0.1, v = 0.1; v <= 0.9; v += 0.1) {
    v1[0] = quadraticAt(s[0], l[0], u[0], v), v1[1] = quadraticAt(s[1], l[1], u[1], v);
    var g = mathAbs(v2DistSquare(v1, a) - f);
    g < c && (c = g, d = v);
  }
  for (var y = 0; y < 32; y++) {
    var _ = d + p;
    v2[0] = quadraticAt(s[0], l[0], u[0], d), v2[1] = quadraticAt(s[1], l[1], u[1], d), v3[0] = quadraticAt(s[0], l[0], u[0], _), v3[1] = quadraticAt(s[1], l[1], u[1], _);
    var g = v2DistSquare(v2, a) - f;
    if (mathAbs(g) < 0.01)
      break;
    var S = v2DistSquare(v3, a) - f;
    p /= 2, g < 0 ? S >= 0 ? d = d + p : d = d - p : S >= 0 ? d = d - p : d = d + p;
  }
  return d;
}
function adjustEdge(r, a) {
  var o = [], s = quadraticSubdivide, l = [[], [], []], u = [[], []], c = [];
  a /= 2, r.eachEdge(function(d, f) {
    var p = d.getLayout(), v = d.getVisual("fromSymbol"), g = d.getVisual("toSymbol");
    p.__original || (p.__original = [clone$3(p[0]), clone$3(p[1])], p[2] && p.__original.push(clone$3(p[2])));
    var y = p.__original;
    if (p[2] != null) {
      if (copy$1(l[0], y[0]), copy$1(l[1], y[2]), copy$1(l[2], y[1]), v && v !== "none") {
        var _ = getSymbolSize(d.node1), S = intersectCurveCircle(l, y[0], _ * a);
        s(l[0][0], l[1][0], l[2][0], S, o), l[0][0] = o[3], l[1][0] = o[4], s(l[0][1], l[1][1], l[2][1], S, o), l[0][1] = o[3], l[1][1] = o[4];
      }
      if (g && g !== "none") {
        var _ = getSymbolSize(d.node2), S = intersectCurveCircle(l, y[1], _ * a);
        s(l[0][0], l[1][0], l[2][0], S, o), l[1][0] = o[1], l[2][0] = o[2], s(l[0][1], l[1][1], l[2][1], S, o), l[1][1] = o[1], l[2][1] = o[2];
      }
      copy$1(p[0], l[0]), copy$1(p[1], l[2]), copy$1(p[2], l[1]);
    } else {
      if (copy$1(u[0], y[0]), copy$1(u[1], y[1]), sub(c, u[1], u[0]), normalize$3(c, c), v && v !== "none") {
        var _ = getSymbolSize(d.node1);
        scaleAndAdd$1(u[0], u[0], c, _ * a);
      }
      if (g && g !== "none") {
        var _ = getSymbolSize(d.node2);
        scaleAndAdd$1(u[1], u[1], c, -_ * a);
      }
      copy$1(p[0], u[0]), copy$1(p[1], u[1]);
    }
  });
}
function isViewCoordSys(r) {
  return r.type === "view";
}
var GraphView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.init = function(o, s) {
      var l = new SymbolDraw(), u = new LineDraw(), c = this.group;
      this._controller = new RoamController(s.getZr()), this._controllerHost = {
        target: c
      }, c.add(l.group), c.add(u.group), this._symbolDraw = l, this._lineDraw = u, this._firstRender = !0;
    }, a.prototype.render = function(o, s, l) {
      var u = this, c = o.coordinateSystem;
      this._model = o;
      var d = this._symbolDraw, f = this._lineDraw, p = this.group;
      if (isViewCoordSys(c)) {
        var v = {
          x: c.x,
          y: c.y,
          scaleX: c.scaleX,
          scaleY: c.scaleY
        };
        this._firstRender ? p.attr(v) : updateProps$1(p, v, o);
      }
      adjustEdge(o.getGraph(), getNodeGlobalScale(o));
      var g = o.getData();
      d.updateData(g);
      var y = o.getEdgeData();
      f.updateData(y), this._updateNodeAndLinkScale(), this._updateController(o, s, l), clearTimeout(this._layoutTimeout);
      var _ = o.forceLayout, S = o.get(["force", "layoutAnimation"]);
      _ && this._startForceLayoutIteration(_, S);
      var C = o.get("layout");
      g.graph.eachNode(function(x) {
        var $ = x.dataIndex, A = x.getGraphicEl(), N = x.getModel();
        if (A) {
          A.off("drag").off("dragend");
          var P = N.get("draggable");
          P && A.on("drag", function(O) {
            switch (C) {
              case "force":
                _.warmUp(), !u._layouting && u._startForceLayoutIteration(_, S), _.setFixed($), g.setItemLayout($, [A.x, A.y]);
                break;
              case "circular":
                g.setItemLayout($, [A.x, A.y]), x.setLayout({
                  fixed: !0
                }, !0), circularLayout(o, "symbolSize", x, [O.offsetX, O.offsetY]), u.updateLayout(o);
                break;
              case "none":
              default:
                g.setItemLayout($, [A.x, A.y]), simpleLayoutEdge(o.getGraph(), o), u.updateLayout(o);
                break;
            }
          }).on("dragend", function() {
            _ && _.setUnfixed($);
          }), A.setDraggable(P, !!N.get("cursor"));
          var L = N.get(["emphasis", "focus"]);
          L === "adjacency" && (getECData(A).focus = x.getAdjacentDataIndices());
        }
      }), g.graph.eachEdge(function(x) {
        var $ = x.getGraphicEl(), A = x.getModel().get(["emphasis", "focus"]);
        $ && A === "adjacency" && (getECData($).focus = {
          edge: [x.dataIndex],
          node: [x.node1.dataIndex, x.node2.dataIndex]
        });
      });
      var b = o.get("layout") === "circular" && o.get(["circular", "rotateLabel"]), T = g.getLayout("cx"), E = g.getLayout("cy");
      g.graph.eachNode(function(x) {
        rotateNodeLabel(x, b, T, E);
      }), this._firstRender = !1;
    }, a.prototype.dispose = function() {
      this.remove(), this._controller && this._controller.dispose(), this._controllerHost = null;
    }, a.prototype._startForceLayoutIteration = function(o, s) {
      var l = this;
      (function u() {
        o.step(function(c) {
          l.updateLayout(l._model), (l._layouting = !c) && (s ? l._layoutTimeout = setTimeout(u, 16) : u());
        });
      })();
    }, a.prototype._updateController = function(o, s, l) {
      var u = this, c = this._controller, d = this._controllerHost, f = this.group;
      if (c.setPointerChecker(function(p, v, g) {
        var y = f.getBoundingRect();
        return y.applyTransform(f.transform), y.contain(v, g) && !onIrrelevantElement(p, l, o);
      }), !isViewCoordSys(o.coordinateSystem)) {
        c.disable();
        return;
      }
      c.enable(o.get("roam")), d.zoomLimit = o.get("scaleLimit"), d.zoom = o.coordinateSystem.getZoom(), c.off("pan").off("zoom").on("pan", function(p) {
        updateViewOnPan(d, p.dx, p.dy), l.dispatchAction({
          seriesId: o.id,
          type: "graphRoam",
          dx: p.dx,
          dy: p.dy
        });
      }).on("zoom", function(p) {
        updateViewOnZoom(d, p.scale, p.originX, p.originY), l.dispatchAction({
          seriesId: o.id,
          type: "graphRoam",
          zoom: p.scale,
          originX: p.originX,
          originY: p.originY
        }), u._updateNodeAndLinkScale(), adjustEdge(o.getGraph(), getNodeGlobalScale(o)), u._lineDraw.updateLayout(), l.updateLabelLayout();
      });
    }, a.prototype._updateNodeAndLinkScale = function() {
      var o = this._model, s = o.getData(), l = getNodeGlobalScale(o);
      s.eachItemGraphicEl(function(u, c) {
        u && u.setSymbolScale(l);
      });
    }, a.prototype.updateLayout = function(o) {
      adjustEdge(o.getGraph(), getNodeGlobalScale(o)), this._symbolDraw.updateLayout(), this._lineDraw.updateLayout();
    }, a.prototype.remove = function() {
      clearTimeout(this._layoutTimeout), this._layouting = !1, this._layoutTimeout = null, this._symbolDraw && this._symbolDraw.remove(), this._lineDraw && this._lineDraw.remove();
    }, a.type = "graph", a;
  }(ChartView)
);
function generateNodeKey(r) {
  return "_EC_" + r;
}
var Graph = (
  /** @class */
  function() {
    function r(a) {
      this.type = "graph", this.nodes = [], this.edges = [], this._nodesMap = {}, this._edgesMap = {}, this._directed = a || !1;
    }
    return r.prototype.isDirected = function() {
      return this._directed;
    }, r.prototype.addNode = function(a, o) {
      a = a == null ? "" + o : "" + a;
      var s = this._nodesMap;
      if (s[generateNodeKey(a)]) {
        process.env.NODE_ENV !== "production" && console.error("Graph nodes have duplicate name or id");
        return;
      }
      var l = new GraphNode(a, o);
      return l.hostGraph = this, this.nodes.push(l), s[generateNodeKey(a)] = l, l;
    }, r.prototype.getNodeByIndex = function(a) {
      var o = this.data.getRawIndex(a);
      return this.nodes[o];
    }, r.prototype.getNodeById = function(a) {
      return this._nodesMap[generateNodeKey(a)];
    }, r.prototype.addEdge = function(a, o, s) {
      var l = this._nodesMap, u = this._edgesMap;
      if (isNumber(a) && (a = this.nodes[a]), isNumber(o) && (o = this.nodes[o]), a instanceof GraphNode || (a = l[generateNodeKey(a)]), o instanceof GraphNode || (o = l[generateNodeKey(o)]), !(!a || !o)) {
        var c = a.id + "-" + o.id, d = new GraphEdge(a, o, s);
        return d.hostGraph = this, this._directed && (a.outEdges.push(d), o.inEdges.push(d)), a.edges.push(d), a !== o && o.edges.push(d), this.edges.push(d), u[c] = d, d;
      }
    }, r.prototype.getEdgeByIndex = function(a) {
      var o = this.edgeData.getRawIndex(a);
      return this.edges[o];
    }, r.prototype.getEdge = function(a, o) {
      a instanceof GraphNode && (a = a.id), o instanceof GraphNode && (o = o.id);
      var s = this._edgesMap;
      return this._directed ? s[a + "-" + o] : s[a + "-" + o] || s[o + "-" + a];
    }, r.prototype.eachNode = function(a, o) {
      for (var s = this.nodes, l = s.length, u = 0; u < l; u++)
        s[u].dataIndex >= 0 && a.call(o, s[u], u);
    }, r.prototype.eachEdge = function(a, o) {
      for (var s = this.edges, l = s.length, u = 0; u < l; u++)
        s[u].dataIndex >= 0 && s[u].node1.dataIndex >= 0 && s[u].node2.dataIndex >= 0 && a.call(o, s[u], u);
    }, r.prototype.breadthFirstTraverse = function(a, o, s, l) {
      if (o instanceof GraphNode || (o = this._nodesMap[generateNodeKey(o)]), !!o) {
        for (var u = s === "out" ? "outEdges" : s === "in" ? "inEdges" : "edges", c = 0; c < this.nodes.length; c++)
          this.nodes[c].__visited = !1;
        if (!a.call(l, o, null))
          for (var d = [o]; d.length; )
            for (var f = d.shift(), p = f[u], c = 0; c < p.length; c++) {
              var v = p[c], g = v.node1 === f ? v.node2 : v.node1;
              if (!g.__visited) {
                if (a.call(l, g, f))
                  return;
                d.push(g), g.__visited = !0;
              }
            }
      }
    }, r.prototype.update = function() {
      for (var a = this.data, o = this.edgeData, s = this.nodes, l = this.edges, u = 0, c = s.length; u < c; u++)
        s[u].dataIndex = -1;
      for (var u = 0, c = a.count(); u < c; u++)
        s[a.getRawIndex(u)].dataIndex = u;
      o.filterSelf(function(d) {
        var f = l[o.getRawIndex(d)];
        return f.node1.dataIndex >= 0 && f.node2.dataIndex >= 0;
      });
      for (var u = 0, c = l.length; u < c; u++)
        l[u].dataIndex = -1;
      for (var u = 0, c = o.count(); u < c; u++)
        l[o.getRawIndex(u)].dataIndex = u;
    }, r.prototype.clone = function() {
      for (var a = new r(this._directed), o = this.nodes, s = this.edges, l = 0; l < o.length; l++)
        a.addNode(o[l].id, o[l].dataIndex);
      for (var l = 0; l < s.length; l++) {
        var u = s[l];
        a.addEdge(u.node1.id, u.node2.id, u.dataIndex);
      }
      return a;
    }, r;
  }()
), GraphNode = (
  /** @class */
  function() {
    function r(a, o) {
      this.inEdges = [], this.outEdges = [], this.edges = [], this.dataIndex = -1, this.id = a ?? "", this.dataIndex = o ?? -1;
    }
    return r.prototype.degree = function() {
      return this.edges.length;
    }, r.prototype.inDegree = function() {
      return this.inEdges.length;
    }, r.prototype.outDegree = function() {
      return this.outEdges.length;
    }, r.prototype.getModel = function(a) {
      if (!(this.dataIndex < 0)) {
        var o = this.hostGraph, s = o.data.getItemModel(this.dataIndex);
        return s.getModel(a);
      }
    }, r.prototype.getAdjacentDataIndices = function() {
      for (var a = {
        edge: [],
        node: []
      }, o = 0; o < this.edges.length; o++) {
        var s = this.edges[o];
        s.dataIndex < 0 || (a.edge.push(s.dataIndex), a.node.push(s.node1.dataIndex, s.node2.dataIndex));
      }
      return a;
    }, r.prototype.getTrajectoryDataIndices = function() {
      for (var a = createHashMap(), o = createHashMap(), s = 0; s < this.edges.length; s++) {
        var l = this.edges[s];
        if (!(l.dataIndex < 0)) {
          a.set(l.dataIndex, !0);
          for (var u = [l.node1], c = [l.node2], d = 0; d < u.length; ) {
            var f = u[d];
            d++, o.set(f.dataIndex, !0);
            for (var p = 0; p < f.inEdges.length; p++)
              a.set(f.inEdges[p].dataIndex, !0), u.push(f.inEdges[p].node1);
          }
          for (d = 0; d < c.length; ) {
            var v = c[d];
            d++, o.set(v.dataIndex, !0);
            for (var p = 0; p < v.outEdges.length; p++)
              a.set(v.outEdges[p].dataIndex, !0), c.push(v.outEdges[p].node2);
          }
        }
      }
      return {
        edge: a.keys(),
        node: o.keys()
      };
    }, r;
  }()
), GraphEdge = (
  /** @class */
  function() {
    function r(a, o, s) {
      this.dataIndex = -1, this.node1 = a, this.node2 = o, this.dataIndex = s ?? -1;
    }
    return r.prototype.getModel = function(a) {
      if (!(this.dataIndex < 0)) {
        var o = this.hostGraph, s = o.edgeData.getItemModel(this.dataIndex);
        return s.getModel(a);
      }
    }, r.prototype.getAdjacentDataIndices = function() {
      return {
        edge: [this.dataIndex],
        node: [this.node1.dataIndex, this.node2.dataIndex]
      };
    }, r.prototype.getTrajectoryDataIndices = function() {
      var a = createHashMap(), o = createHashMap();
      a.set(this.dataIndex, !0);
      for (var s = [this.node1], l = [this.node2], u = 0; u < s.length; ) {
        var c = s[u];
        u++, o.set(c.dataIndex, !0);
        for (var d = 0; d < c.inEdges.length; d++)
          a.set(c.inEdges[d].dataIndex, !0), s.push(c.inEdges[d].node1);
      }
      for (u = 0; u < l.length; ) {
        var f = l[u];
        u++, o.set(f.dataIndex, !0);
        for (var d = 0; d < f.outEdges.length; d++)
          a.set(f.outEdges[d].dataIndex, !0), l.push(f.outEdges[d].node2);
      }
      return {
        edge: a.keys(),
        node: o.keys()
      };
    }, r;
  }()
);
function createGraphDataProxyMixin(r, a) {
  return {
    /**
     * @param Default 'value'. can be 'a', 'b', 'c', 'd', 'e'.
     */
    getValue: function(o) {
      var s = this[r][a];
      return s.getStore().get(s.getDimensionIndex(o || "value"), this.dataIndex);
    },
    // TODO: TYPE stricter type.
    setVisual: function(o, s) {
      this.dataIndex >= 0 && this[r][a].setItemVisual(this.dataIndex, o, s);
    },
    getVisual: function(o) {
      return this[r][a].getItemVisual(this.dataIndex, o);
    },
    setLayout: function(o, s) {
      this.dataIndex >= 0 && this[r][a].setItemLayout(this.dataIndex, o, s);
    },
    getLayout: function() {
      return this[r][a].getItemLayout(this.dataIndex);
    },
    getGraphicEl: function() {
      return this[r][a].getItemGraphicEl(this.dataIndex);
    },
    getRawIndex: function() {
      return this[r][a].getRawIndex(this.dataIndex);
    }
  };
}
mixin(GraphNode, createGraphDataProxyMixin("hostGraph", "data"));
mixin(GraphEdge, createGraphDataProxyMixin("hostGraph", "edgeData"));
function createGraphFromNodeEdge(r, a, o, s, l) {
  for (var u = new Graph(s), c = 0; c < r.length; c++)
    u.addNode(retrieve(
      // Id, name, dataIndex
      r[c].id,
      r[c].name,
      c
    ), c);
  for (var d = [], f = [], p = 0, c = 0; c < a.length; c++) {
    var v = a[c], g = v.source, y = v.target;
    u.addEdge(g, y, p) && (f.push(v), d.push(retrieve(convertOptionIdName(v.id, null), g + " > " + y)), p++);
  }
  var _ = o.get("coordinateSystem"), S;
  if (_ === "cartesian2d" || _ === "polar")
    S = createSeriesData(r, o);
  else {
    var C = CoordinateSystemManager.get(_), b = C ? C.dimensions || [] : [];
    indexOf(b, "value") < 0 && b.concat(["value"]);
    var T = prepareSeriesDataSchema(r, {
      coordDimensions: b,
      encodeDefine: o.getEncode()
    }).dimensions;
    S = new SeriesData(T, o), S.initData(r);
  }
  var E = new SeriesData(["value"], o);
  return E.initData(f, d), l && l(S, E), linkSeriesData({
    mainData: S,
    struct: u,
    structAttr: "graph",
    datas: {
      node: S,
      edge: E
    },
    datasAttr: {
      node: "data",
      edge: "edgeData"
    }
  }), u.update(), u;
}
var GraphSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.hasSymbolVisual = !0, o;
    }
    return a.prototype.init = function(o) {
      r.prototype.init.apply(this, arguments);
      var s = this;
      function l() {
        return s._categoriesData;
      }
      this.legendVisualProvider = new LegendVisualProvider(l, l), this.fillDataTextStyle(o.edges || o.links), this._updateCategoriesData();
    }, a.prototype.mergeOption = function(o) {
      r.prototype.mergeOption.apply(this, arguments), this.fillDataTextStyle(o.edges || o.links), this._updateCategoriesData();
    }, a.prototype.mergeDefaultAndTheme = function(o) {
      r.prototype.mergeDefaultAndTheme.apply(this, arguments), defaultEmphasis(o, "edgeLabel", ["show"]);
    }, a.prototype.getInitialData = function(o, s) {
      var l = o.edges || o.links || [], u = o.data || o.nodes || [], c = this;
      {
        initCurvenessList(this);
        var d = createGraphFromNodeEdge(u, l, this, !0, f);
        return each$f(d.edges, function(p) {
          createEdgeMapForCurveness(p.node1, p.node2, this, p.dataIndex);
        }, this), d.data;
      }
      function f(p, v) {
        p.wrapMethod("getItemModel", function(S) {
          var C = c._categoriesModels, b = S.getShallow("category"), T = C[b];
          return T && (T.parentModel = S.parentModel, S.parentModel = T), S;
        });
        var g = Model.prototype.getModel;
        function y(S, C) {
          var b = g.call(this, S, C);
          return b.resolveParentPath = _, b;
        }
        v.wrapMethod("getItemModel", function(S) {
          return S.resolveParentPath = _, S.getModel = y, S;
        });
        function _(S) {
          if (S && (S[0] === "label" || S[1] === "label")) {
            var C = S.slice();
            return S[0] === "label" ? C[0] = "edgeLabel" : S[1] === "label" && (C[1] = "edgeLabel"), C;
          }
          return S;
        }
      }
    }, a.prototype.getGraph = function() {
      return this.getData().graph;
    }, a.prototype.getEdgeData = function() {
      return this.getGraph().edgeData;
    }, a.prototype.getCategoriesData = function() {
      return this._categoriesData;
    }, a.prototype.formatTooltip = function(o, s, l) {
      if (l === "edge") {
        var u = this.getData(), c = this.getDataParams(o, l), d = u.graph.getEdgeByIndex(o), f = u.getName(d.node1.dataIndex), p = u.getName(d.node2.dataIndex), v = [];
        return f != null && v.push(f), p != null && v.push(p), createTooltipMarkup("nameValue", {
          name: v.join(" > "),
          value: c.value,
          noValue: c.value == null
        });
      }
      var g = defaultSeriesFormatTooltip({
        series: this,
        dataIndex: o,
        multipleSeries: s
      });
      return g;
    }, a.prototype._updateCategoriesData = function() {
      var o = map$1(this.option.categories || [], function(l) {
        return l.value != null ? l : extend({
          value: 0
        }, l);
      }), s = new SeriesData(["value"], this);
      s.initData(o), this._categoriesData = s, this._categoriesModels = s.mapArray(function(l) {
        return s.getItemModel(l);
      });
    }, a.prototype.setZoom = function(o) {
      this.option.zoom = o;
    }, a.prototype.setCenter = function(o) {
      this.option.center = o;
    }, a.prototype.isAnimationEnabled = function() {
      return r.prototype.isAnimationEnabled.call(this) && !(this.get("layout") === "force" && this.get(["force", "layoutAnimation"]));
    }, a.type = "series.graph", a.dependencies = ["grid", "polar", "geo", "singleAxis", "calendar"], a.defaultOption = {
      // zlevel: 0,
      z: 2,
      coordinateSystem: "view",
      // Default option for all coordinate systems
      // xAxisIndex: 0,
      // yAxisIndex: 0,
      // polarIndex: 0,
      // geoIndex: 0,
      legendHoverLink: !0,
      layout: null,
      // Configuration of circular layout
      circular: {
        rotateLabel: !1
      },
      // Configuration of force directed layout
      force: {
        initLayout: null,
        // Node repulsion. Can be an array to represent range.
        repulsion: [0, 50],
        gravity: 0.1,
        // Initial friction
        friction: 0.6,
        // Edge length. Can be an array to represent range.
        edgeLength: 30,
        layoutAnimation: !0
      },
      left: "center",
      top: "center",
      // right: null,
      // bottom: null,
      // width: '80%',
      // height: '80%',
      symbol: "circle",
      symbolSize: 10,
      edgeSymbol: ["none", "none"],
      edgeSymbolSize: 10,
      edgeLabel: {
        position: "middle",
        distance: 5
      },
      draggable: !1,
      roam: !1,
      // Default on center of graph
      center: null,
      zoom: 1,
      // Symbol size scale ratio in roam
      nodeScaleRatio: 0.6,
      // cursor: null,
      // categories: [],
      // data: []
      // Or
      // nodes: []
      //
      // links: []
      // Or
      // edges: []
      label: {
        show: !1,
        formatter: "{b}"
      },
      itemStyle: {},
      lineStyle: {
        color: "#aaa",
        width: 1,
        opacity: 0.5
      },
      emphasis: {
        scale: !0,
        label: {
          show: !0
        }
      },
      select: {
        itemStyle: {
          borderColor: "#212121"
        }
      }
    }, a;
  }(SeriesModel)
), actionInfo$1 = {
  type: "graphRoam",
  event: "graphRoam",
  update: "none"
};
function install$G(r) {
  r.registerChartView(GraphView), r.registerSeriesModel(GraphSeriesModel), r.registerProcessor(categoryFilter), r.registerVisual(categoryVisual), r.registerVisual(graphEdgeVisual), r.registerLayout(graphSimpleLayout), r.registerLayout(r.PRIORITY.VISUAL.POST_CHART_LAYOUT, graphCircularLayout), r.registerLayout(graphForceLayout), r.registerCoordinateSystem("graphView", {
    dimensions: View.dimensions,
    create: createViewCoordSys
  }), r.registerAction({
    type: "focusNodeAdjacency",
    event: "focusNodeAdjacency",
    update: "series:focusNodeAdjacency"
  }, noop), r.registerAction({
    type: "unfocusNodeAdjacency",
    event: "unfocusNodeAdjacency",
    update: "series:unfocusNodeAdjacency"
  }, noop), r.registerAction(actionInfo$1, function(a, o, s) {
    o.eachComponent({
      mainType: "series",
      query: a
    }, function(l) {
      var u = l.coordinateSystem, c = updateCenterAndZoom(u, a, void 0, s);
      l.setCenter && l.setCenter(c.center), l.setZoom && l.setZoom(c.zoom);
    });
  });
}
var PointerShape = (
  /** @class */
  /* @__PURE__ */ function() {
    function r() {
      this.angle = 0, this.width = 10, this.r = 10, this.x = 0, this.y = 0;
    }
    return r;
  }()
), PointerPath = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      var s = r.call(this, o) || this;
      return s.type = "pointer", s;
    }
    return a.prototype.getDefaultShape = function() {
      return new PointerShape();
    }, a.prototype.buildPath = function(o, s) {
      var l = Math.cos, u = Math.sin, c = s.r, d = s.width, f = s.angle, p = s.x - l(f) * d * (d >= c / 3 ? 1 : 2), v = s.y - u(f) * d * (d >= c / 3 ? 1 : 2);
      f = s.angle - Math.PI / 2, o.moveTo(p, v), o.lineTo(s.x + l(f) * d, s.y + u(f) * d), o.lineTo(s.x + l(s.angle) * c, s.y + u(s.angle) * c), o.lineTo(s.x - l(f) * d, s.y - u(f) * d), o.lineTo(p, v);
    }, a;
  }(Path)
);
function parsePosition(r, a) {
  var o = r.get("center"), s = a.getWidth(), l = a.getHeight(), u = Math.min(s, l), c = parsePercent(o[0], a.getWidth()), d = parsePercent(o[1], a.getHeight()), f = parsePercent(r.get("radius"), u / 2);
  return {
    cx: c,
    cy: d,
    r: f
  };
}
function formatLabel(r, a) {
  var o = r == null ? "" : r + "";
  return a && (isString(a) ? o = a.replace("{value}", o) : isFunction(a) && (o = a(r))), o;
}
var GaugeView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l) {
      this.group.removeAll();
      var u = o.get(["axisLine", "lineStyle", "color"]), c = parsePosition(o, l);
      this._renderMain(o, s, l, u, c), this._data = o.getData();
    }, a.prototype.dispose = function() {
    }, a.prototype._renderMain = function(o, s, l, u, c) {
      var d = this.group, f = o.get("clockwise"), p = -o.get("startAngle") / 180 * Math.PI, v = -o.get("endAngle") / 180 * Math.PI, g = o.getModel("axisLine"), y = g.get("roundCap"), _ = y ? SausagePath : Sector, S = g.get("show"), C = g.getModel("lineStyle"), b = C.get("width"), T = [p, v];
      normalizeArcAngles(T, !f), p = T[0], v = T[1];
      for (var E = v - p, x = p, $ = [], A = 0; S && A < u.length; A++) {
        var N = Math.min(Math.max(u[A][0], 0), 1);
        v = p + E * N;
        var P = new _({
          shape: {
            startAngle: x,
            endAngle: v,
            cx: c.cx,
            cy: c.cy,
            clockwise: f,
            r0: c.r - b,
            r: c.r
          },
          silent: !0
        });
        P.setStyle({
          fill: u[A][1]
        }), P.setStyle(C.getLineStyle(
          // Because we use sector to simulate arc
          // so the properties for stroking are useless
          ["color", "width"]
        )), $.push(P), x = v;
      }
      $.reverse(), each$f($, function(O) {
        return d.add(O);
      });
      var L = function(O) {
        if (O <= 0)
          return u[0][1];
        var M;
        for (M = 0; M < u.length; M++)
          if (u[M][0] >= O && (M === 0 ? 0 : u[M - 1][0]) < O)
            return u[M][1];
        return u[M - 1][1];
      };
      this._renderTicks(o, s, l, L, c, p, v, f, b), this._renderTitleAndDetail(o, s, l, L, c), this._renderAnchor(o, c), this._renderPointer(o, s, l, L, c, p, v, f, b);
    }, a.prototype._renderTicks = function(o, s, l, u, c, d, f, p, v) {
      for (var g = this.group, y = c.cx, _ = c.cy, S = c.r, C = +o.get("min"), b = +o.get("max"), T = o.getModel("splitLine"), E = o.getModel("axisTick"), x = o.getModel("axisLabel"), $ = o.get("splitNumber"), A = E.get("splitNumber"), N = parsePercent(T.get("length"), S), P = parsePercent(E.get("length"), S), L = d, O = (f - d) / $, M = O / A, F = T.getModel("lineStyle").getLineStyle(), U = E.getModel("lineStyle").getLineStyle(), R = T.get("distance"), H, V, Y = 0; Y <= $; Y++) {
        if (H = Math.cos(L), V = Math.sin(L), T.get("show")) {
          var G = R ? R + v : v, Z = new Line$1({
            shape: {
              x1: H * (S - G) + y,
              y1: V * (S - G) + _,
              x2: H * (S - N - G) + y,
              y2: V * (S - N - G) + _
            },
            style: F,
            silent: !0
          });
          F.stroke === "auto" && Z.setStyle({
            stroke: u(Y / $)
          }), g.add(Z);
        }
        if (x.get("show")) {
          var G = x.get("distance") + R, re = formatLabel(round$3(Y / $ * (b - C) + C), x.get("formatter")), de = u(Y / $), X = H * (S - N - G) + y, W = V * (S - N - G) + _, te = x.get("rotate"), ae = 0;
          te === "radial" ? (ae = -L + 2 * Math.PI, ae > Math.PI / 2 && (ae += Math.PI)) : te === "tangential" ? ae = -L - Math.PI / 2 : isNumber(te) && (ae = te * Math.PI / 180), ae === 0 ? g.add(new ZRText({
            style: createTextStyle$1(x, {
              text: re,
              x: X,
              y: W,
              verticalAlign: V < -0.8 ? "top" : V > 0.8 ? "bottom" : "middle",
              align: H < -0.4 ? "left" : H > 0.4 ? "right" : "center"
            }, {
              inheritColor: de
            }),
            silent: !0
          })) : g.add(new ZRText({
            style: createTextStyle$1(x, {
              text: re,
              x: X,
              y: W,
              verticalAlign: "middle",
              align: "center"
            }, {
              inheritColor: de
            }),
            silent: !0,
            originX: X,
            originY: W,
            rotation: ae
          }));
        }
        if (E.get("show") && Y !== $) {
          var G = E.get("distance");
          G = G ? G + v : v;
          for (var Te = 0; Te <= A; Te++) {
            H = Math.cos(L), V = Math.sin(L);
            var $e = new Line$1({
              shape: {
                x1: H * (S - G) + y,
                y1: V * (S - G) + _,
                x2: H * (S - P - G) + y,
                y2: V * (S - P - G) + _
              },
              silent: !0,
              style: U
            });
            U.stroke === "auto" && $e.setStyle({
              stroke: u((Y + Te / A) / $)
            }), g.add($e), L += M;
          }
          L -= M;
        } else
          L += O;
      }
    }, a.prototype._renderPointer = function(o, s, l, u, c, d, f, p, v) {
      var g = this.group, y = this._data, _ = this._progressEls, S = [], C = o.get(["pointer", "show"]), b = o.getModel("progress"), T = b.get("show"), E = o.getData(), x = E.mapDimension("value"), $ = +o.get("min"), A = +o.get("max"), N = [$, A], P = [d, f];
      function L(M, F) {
        var U = E.getItemModel(M), R = U.getModel("pointer"), H = parsePercent(R.get("width"), c.r), V = parsePercent(R.get("length"), c.r), Y = o.get(["pointer", "icon"]), G = R.get("offsetCenter"), Z = parsePercent(G[0], c.r), re = parsePercent(G[1], c.r), de = R.get("keepAspect"), X;
        return Y ? X = createSymbol$1(Y, Z - H / 2, re - V, H, V, null, de) : X = new PointerPath({
          shape: {
            angle: -Math.PI / 2,
            width: H,
            r: V,
            x: Z,
            y: re
          }
        }), X.rotation = -(F + Math.PI / 2), X.x = c.cx, X.y = c.cy, X;
      }
      function O(M, F) {
        var U = b.get("roundCap"), R = U ? SausagePath : Sector, H = b.get("overlap"), V = H ? b.get("width") : v / E.count(), Y = H ? c.r - V : c.r - (M + 1) * V, G = H ? c.r : c.r - M * V, Z = new R({
          shape: {
            startAngle: d,
            endAngle: F,
            cx: c.cx,
            cy: c.cy,
            clockwise: p,
            r0: Y,
            r: G
          }
        });
        return H && (Z.z2 = linearMap$2(E.get(x, M), [$, A], [100, 0], !0)), Z;
      }
      (T || C) && (E.diff(y).add(function(M) {
        var F = E.get(x, M);
        if (C) {
          var U = L(M, d);
          initProps(U, {
            rotation: -((isNaN(+F) ? P[0] : linearMap$2(F, N, P, !0)) + Math.PI / 2)
          }, o), g.add(U), E.setItemGraphicEl(M, U);
        }
        if (T) {
          var R = O(M, d), H = b.get("clip");
          initProps(R, {
            shape: {
              endAngle: linearMap$2(F, N, P, H)
            }
          }, o), g.add(R), setCommonECData(o.seriesIndex, E.dataType, M, R), S[M] = R;
        }
      }).update(function(M, F) {
        var U = E.get(x, M);
        if (C) {
          var R = y.getItemGraphicEl(F), H = R ? R.rotation : d, V = L(M, H);
          V.rotation = H, updateProps$1(V, {
            rotation: -((isNaN(+U) ? P[0] : linearMap$2(U, N, P, !0)) + Math.PI / 2)
          }, o), g.add(V), E.setItemGraphicEl(M, V);
        }
        if (T) {
          var Y = _[F], G = Y ? Y.shape.endAngle : d, Z = O(M, G), re = b.get("clip");
          updateProps$1(Z, {
            shape: {
              endAngle: linearMap$2(U, N, P, re)
            }
          }, o), g.add(Z), setCommonECData(o.seriesIndex, E.dataType, M, Z), S[M] = Z;
        }
      }).execute(), E.each(function(M) {
        var F = E.getItemModel(M), U = F.getModel("emphasis"), R = U.get("focus"), H = U.get("blurScope"), V = U.get("disabled");
        if (C) {
          var Y = E.getItemGraphicEl(M), G = E.getItemVisual(M, "style"), Z = G.fill;
          if (Y instanceof ZRImage) {
            var re = Y.style;
            Y.useStyle(extend({
              image: re.image,
              x: re.x,
              y: re.y,
              width: re.width,
              height: re.height
            }, G));
          } else
            Y.useStyle(G), Y.type !== "pointer" && Y.setColor(Z);
          Y.setStyle(F.getModel(["pointer", "itemStyle"]).getItemStyle()), Y.style.fill === "auto" && Y.setStyle("fill", u(linearMap$2(E.get(x, M), N, [0, 1], !0))), Y.z2EmphasisLift = 0, setStatesStylesFromModel(Y, F), toggleHoverEmphasis(Y, R, H, V);
        }
        if (T) {
          var de = S[M];
          de.useStyle(E.getItemVisual(M, "style")), de.setStyle(F.getModel(["progress", "itemStyle"]).getItemStyle()), de.z2EmphasisLift = 0, setStatesStylesFromModel(de, F), toggleHoverEmphasis(de, R, H, V);
        }
      }), this._progressEls = S);
    }, a.prototype._renderAnchor = function(o, s) {
      var l = o.getModel("anchor"), u = l.get("show");
      if (u) {
        var c = l.get("size"), d = l.get("icon"), f = l.get("offsetCenter"), p = l.get("keepAspect"), v = createSymbol$1(d, s.cx - c / 2 + parsePercent(f[0], s.r), s.cy - c / 2 + parsePercent(f[1], s.r), c, c, null, p);
        v.z2 = l.get("showAbove") ? 1 : 0, v.setStyle(l.getModel("itemStyle").getItemStyle()), this.group.add(v);
      }
    }, a.prototype._renderTitleAndDetail = function(o, s, l, u, c) {
      var d = this, f = o.getData(), p = f.mapDimension("value"), v = +o.get("min"), g = +o.get("max"), y = new Group$3(), _ = [], S = [], C = o.isAnimationEnabled(), b = o.get(["pointer", "showAbove"]);
      f.diff(this._data).add(function(T) {
        _[T] = new ZRText({
          silent: !0
        }), S[T] = new ZRText({
          silent: !0
        });
      }).update(function(T, E) {
        _[T] = d._titleEls[E], S[T] = d._detailEls[E];
      }).execute(), f.each(function(T) {
        var E = f.getItemModel(T), x = f.get(p, T), $ = new Group$3(), A = u(linearMap$2(x, [v, g], [0, 1], !0)), N = E.getModel("title");
        if (N.get("show")) {
          var P = N.get("offsetCenter"), L = c.cx + parsePercent(P[0], c.r), O = c.cy + parsePercent(P[1], c.r), M = _[T];
          M.attr({
            z2: b ? 0 : 2,
            style: createTextStyle$1(N, {
              x: L,
              y: O,
              text: f.getName(T),
              align: "center",
              verticalAlign: "middle"
            }, {
              inheritColor: A
            })
          }), $.add(M);
        }
        var F = E.getModel("detail");
        if (F.get("show")) {
          var U = F.get("offsetCenter"), R = c.cx + parsePercent(U[0], c.r), H = c.cy + parsePercent(U[1], c.r), V = parsePercent(F.get("width"), c.r), Y = parsePercent(F.get("height"), c.r), G = o.get(["progress", "show"]) ? f.getItemVisual(T, "style").fill : A, M = S[T], Z = F.get("formatter");
          M.attr({
            z2: b ? 0 : 2,
            style: createTextStyle$1(F, {
              x: R,
              y: H,
              text: formatLabel(x, Z),
              width: isNaN(V) ? null : V,
              height: isNaN(Y) ? null : Y,
              align: "center",
              verticalAlign: "middle"
            }, {
              inheritColor: G
            })
          }), setLabelValueAnimation(M, {
            normal: F
          }, x, function(de) {
            return formatLabel(de, Z);
          }), C && animateLabelValue(M, T, f, o, {
            getFormattedLabel: function(de, X, W, te, ae, Te) {
              return formatLabel(Te ? Te.interpolatedValue : x, Z);
            }
          }), $.add(M);
        }
        y.add($);
      }), this.group.add(y), this._titleEls = _, this._detailEls = S;
    }, a.type = "gauge", a;
  }(ChartView)
), GaugeSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.visualStyleAccessPath = "itemStyle", o;
    }
    return a.prototype.getInitialData = function(o, s) {
      return createSeriesDataSimply(this, ["value"]);
    }, a.type = "series.gauge", a.defaultOption = {
      // zlevel: 0,
      z: 2,
      colorBy: "data",
      // 默认全局居中
      center: ["50%", "50%"],
      legendHoverLink: !0,
      radius: "75%",
      startAngle: 225,
      endAngle: -45,
      clockwise: !0,
      // 最小值
      min: 0,
      // 最大值
      max: 100,
      // 分割段数，默认为10
      splitNumber: 10,
      // 坐标轴线
      axisLine: {
        // 默认显示，属性show控制显示与否
        show: !0,
        roundCap: !1,
        lineStyle: {
          color: [[1, "#E6EBF8"]],
          width: 10
        }
      },
      // 坐标轴线
      progress: {
        // 默认显示，属性show控制显示与否
        show: !1,
        overlap: !0,
        width: 10,
        roundCap: !1,
        clip: !0
      },
      // 分隔线
      splitLine: {
        // 默认显示，属性show控制显示与否
        show: !0,
        // 属性length控制线长
        length: 10,
        distance: 10,
        // 属性lineStyle（详见lineStyle）控制线条样式
        lineStyle: {
          color: "#63677A",
          width: 3,
          type: "solid"
        }
      },
      // 坐标轴小标记
      axisTick: {
        // 属性show控制显示与否，默认不显示
        show: !0,
        // 每份split细分多少段
        splitNumber: 5,
        // 属性length控制线长
        length: 6,
        distance: 10,
        // 属性lineStyle控制线条样式
        lineStyle: {
          color: "#63677A",
          width: 1,
          type: "solid"
        }
      },
      axisLabel: {
        show: !0,
        distance: 15,
        // formatter: null,
        color: "#464646",
        fontSize: 12,
        rotate: 0
      },
      pointer: {
        icon: null,
        offsetCenter: [0, 0],
        show: !0,
        showAbove: !0,
        length: "60%",
        width: 6,
        keepAspect: !1
      },
      anchor: {
        show: !1,
        showAbove: !1,
        size: 6,
        icon: "circle",
        offsetCenter: [0, 0],
        keepAspect: !1,
        itemStyle: {
          color: "#fff",
          borderWidth: 0,
          borderColor: "#5470c6"
        }
      },
      title: {
        show: !0,
        // x, y，单位px
        offsetCenter: [0, "20%"],
        // 其余属性默认使用全局文本样式，详见TEXTSTYLE
        color: "#464646",
        fontSize: 16,
        valueAnimation: !1
      },
      detail: {
        show: !0,
        backgroundColor: "rgba(0,0,0,0)",
        borderWidth: 0,
        borderColor: "#ccc",
        width: 100,
        height: null,
        padding: [5, 10],
        // x, y，单位px
        offsetCenter: [0, "40%"],
        // formatter: null,
        // 其余属性默认使用全局文本样式，详见TEXTSTYLE
        color: "#464646",
        fontSize: 30,
        fontWeight: "bold",
        lineHeight: 30,
        valueAnimation: !1
      }
    }, a;
  }(SeriesModel)
);
function install$F(r) {
  r.registerChartView(GaugeView), r.registerSeriesModel(GaugeSeriesModel);
}
var opacityAccessPath$1 = ["itemStyle", "opacity"], FunnelPiece = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s) {
      var l = r.call(this) || this, u = l, c = new Polyline$1(), d = new ZRText();
      return u.setTextContent(d), l.setTextGuideLine(c), l.updateData(o, s, !0), l;
    }
    return a.prototype.updateData = function(o, s, l) {
      var u = this, c = o.hostModel, d = o.getItemModel(s), f = o.getItemLayout(s), p = d.getModel("emphasis"), v = d.get(opacityAccessPath$1);
      v = v ?? 1, l || saveOldStyle(u), u.useStyle(o.getItemVisual(s, "style")), u.style.lineJoin = "round", l ? (u.setShape({
        points: f.points
      }), u.style.opacity = 0, initProps(u, {
        style: {
          opacity: v
        }
      }, c, s)) : updateProps$1(u, {
        style: {
          opacity: v
        },
        shape: {
          points: f.points
        }
      }, c, s), setStatesStylesFromModel(u, d), this._updateLabel(o, s), toggleHoverEmphasis(this, p.get("focus"), p.get("blurScope"), p.get("disabled"));
    }, a.prototype._updateLabel = function(o, s) {
      var l = this, u = this.getTextGuideLine(), c = l.getTextContent(), d = o.hostModel, f = o.getItemModel(s), p = o.getItemLayout(s), v = p.label, g = o.getItemVisual(s, "style"), y = g.fill;
      setLabelStyle(
        // position will not be used in setLabelStyle
        c,
        getLabelStatesModels(f),
        {
          labelFetcher: o.hostModel,
          labelDataIndex: s,
          defaultOpacity: g.opacity,
          defaultText: o.getName(s)
        },
        {
          normal: {
            align: v.textAlign,
            verticalAlign: v.verticalAlign
          }
        }
      ), l.setTextConfig({
        local: !0,
        inside: !!v.inside,
        insideStroke: y,
        // insideFill: 'auto',
        outsideFill: y
      });
      var _ = v.linePoints;
      u.setShape({
        points: _
      }), l.textGuideLineConfig = {
        anchor: _ ? new Point(_[0][0], _[0][1]) : null
      }, updateProps$1(c, {
        style: {
          x: v.x,
          y: v.y
        }
      }, d, s), c.attr({
        rotation: v.rotation,
        originX: v.x,
        originY: v.y,
        z2: 10
      }), setLabelLineStyle(l, getLabelLineStatesModels(f), {
        // Default use item visual color
        stroke: y
      });
    }, a;
  }(Polygon)
), FunnelView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.ignoreLabelLineUpdate = !0, o;
    }
    return a.prototype.render = function(o, s, l) {
      var u = o.getData(), c = this._data, d = this.group;
      u.diff(c).add(function(f) {
        var p = new FunnelPiece(u, f);
        u.setItemGraphicEl(f, p), d.add(p);
      }).update(function(f, p) {
        var v = c.getItemGraphicEl(p);
        v.updateData(u, f), d.add(v), u.setItemGraphicEl(f, v);
      }).remove(function(f) {
        var p = c.getItemGraphicEl(f);
        removeElementWithFadeOut(p, o, f);
      }).execute(), this._data = u;
    }, a.prototype.remove = function() {
      this.group.removeAll(), this._data = null;
    }, a.prototype.dispose = function() {
    }, a.type = "funnel", a;
  }(ChartView)
), FunnelSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.init = function(o) {
      r.prototype.init.apply(this, arguments), this.legendVisualProvider = new LegendVisualProvider(bind$1(this.getData, this), bind$1(this.getRawData, this)), this._defaultLabelLine(o);
    }, a.prototype.getInitialData = function(o, s) {
      return createSeriesDataSimply(this, {
        coordDimensions: ["value"],
        encodeDefaulter: curry$1(makeSeriesEncodeForNameBased, this)
      });
    }, a.prototype._defaultLabelLine = function(o) {
      defaultEmphasis(o, "labelLine", ["show"]);
      var s = o.labelLine, l = o.emphasis.labelLine;
      s.show = s.show && o.label.show, l.show = l.show && o.emphasis.label.show;
    }, a.prototype.getDataParams = function(o) {
      var s = this.getData(), l = r.prototype.getDataParams.call(this, o), u = s.mapDimension("value"), c = s.getSum(u);
      return l.percent = c ? +(s.get(u, o) / c * 100).toFixed(2) : 0, l.$vars.push("percent"), l;
    }, a.type = "series.funnel", a.defaultOption = {
      // zlevel: 0,                  // 一级层叠
      z: 2,
      legendHoverLink: !0,
      colorBy: "data",
      left: 80,
      top: 60,
      right: 80,
      bottom: 60,
      // width: {totalWidth} - left - right,
      // height: {totalHeight} - top - bottom,
      // 默认取数据最小最大值
      // min: 0,
      // max: 100,
      minSize: "0%",
      maxSize: "100%",
      sort: "descending",
      orient: "vertical",
      gap: 0,
      funnelAlign: "center",
      label: {
        show: !0,
        position: "outer"
        // formatter: 标签文本格式器，同Tooltip.formatter，不支持异步回调
      },
      labelLine: {
        show: !0,
        length: 20,
        lineStyle: {
          // color: 各异,
          width: 1
        }
      },
      itemStyle: {
        // color: 各异,
        borderColor: "#fff",
        borderWidth: 1
      },
      emphasis: {
        label: {
          show: !0
        }
      },
      select: {
        itemStyle: {
          borderColor: "#212121"
        }
      }
    }, a;
  }(SeriesModel)
);
function getViewRect$2(r, a) {
  return getLayoutRect(r.getBoxLayoutParams(), {
    width: a.getWidth(),
    height: a.getHeight()
  });
}
function getSortedIndices(r, a) {
  for (var o = r.mapDimension("value"), s = r.mapArray(o, function(f) {
    return f;
  }), l = [], u = a === "ascending", c = 0, d = r.count(); c < d; c++)
    l[c] = c;
  return isFunction(a) ? l.sort(a) : a !== "none" && l.sort(function(f, p) {
    return u ? s[f] - s[p] : s[p] - s[f];
  }), l;
}
function labelLayout(r) {
  var a = r.hostModel, o = a.get("orient");
  r.each(function(s) {
    var l = r.getItemModel(s), u = l.getModel("label"), c = u.get("position"), d = l.getModel("labelLine"), f = r.getItemLayout(s), p = f.points, v = c === "inner" || c === "inside" || c === "center" || c === "insideLeft" || c === "insideRight", g, y, _, S;
    if (v)
      c === "insideLeft" ? (y = (p[0][0] + p[3][0]) / 2 + 5, _ = (p[0][1] + p[3][1]) / 2, g = "left") : c === "insideRight" ? (y = (p[1][0] + p[2][0]) / 2 - 5, _ = (p[1][1] + p[2][1]) / 2, g = "right") : (y = (p[0][0] + p[1][0] + p[2][0] + p[3][0]) / 4, _ = (p[0][1] + p[1][1] + p[2][1] + p[3][1]) / 4, g = "center"), S = [[y, _], [y, _]];
    else {
      var C = void 0, b = void 0, T = void 0, E = void 0, x = d.get("length");
      process.env.NODE_ENV !== "production" && (o === "vertical" && ["top", "bottom"].indexOf(c) > -1 && (c = "left", console.warn("Position error: Funnel chart on vertical orient dose not support top and bottom.")), o === "horizontal" && ["left", "right"].indexOf(c) > -1 && (c = "bottom", console.warn("Position error: Funnel chart on horizontal orient dose not support left and right."))), c === "left" ? (C = (p[3][0] + p[0][0]) / 2, b = (p[3][1] + p[0][1]) / 2, T = C - x, y = T - 5, g = "right") : c === "right" ? (C = (p[1][0] + p[2][0]) / 2, b = (p[1][1] + p[2][1]) / 2, T = C + x, y = T + 5, g = "left") : c === "top" ? (C = (p[3][0] + p[0][0]) / 2, b = (p[3][1] + p[0][1]) / 2, E = b - x, _ = E - 5, g = "center") : c === "bottom" ? (C = (p[1][0] + p[2][0]) / 2, b = (p[1][1] + p[2][1]) / 2, E = b + x, _ = E + 5, g = "center") : c === "rightTop" ? (C = o === "horizontal" ? p[3][0] : p[1][0], b = o === "horizontal" ? p[3][1] : p[1][1], o === "horizontal" ? (E = b - x, _ = E - 5, g = "center") : (T = C + x, y = T + 5, g = "top")) : c === "rightBottom" ? (C = p[2][0], b = p[2][1], o === "horizontal" ? (E = b + x, _ = E + 5, g = "center") : (T = C + x, y = T + 5, g = "bottom")) : c === "leftTop" ? (C = p[0][0], b = o === "horizontal" ? p[0][1] : p[1][1], o === "horizontal" ? (E = b - x, _ = E - 5, g = "center") : (T = C - x, y = T - 5, g = "right")) : c === "leftBottom" ? (C = o === "horizontal" ? p[1][0] : p[3][0], b = o === "horizontal" ? p[1][1] : p[2][1], o === "horizontal" ? (E = b + x, _ = E + 5, g = "center") : (T = C - x, y = T - 5, g = "right")) : (C = (p[1][0] + p[2][0]) / 2, b = (p[1][1] + p[2][1]) / 2, o === "horizontal" ? (E = b + x, _ = E + 5, g = "center") : (T = C + x, y = T + 5, g = "left")), o === "horizontal" ? (T = C, y = T) : (E = b, _ = E), S = [[C, b], [T, E]];
    }
    f.label = {
      linePoints: S,
      x: y,
      y: _,
      verticalAlign: "middle",
      textAlign: g,
      inside: v
    };
  });
}
function funnelLayout(r, a) {
  r.eachSeriesByType("funnel", function(o) {
    var s = o.getData(), l = s.mapDimension("value"), u = o.get("sort"), c = getViewRect$2(o, a), d = o.get("orient"), f = c.width, p = c.height, v = getSortedIndices(s, u), g = c.x, y = c.y, _ = d === "horizontal" ? [parsePercent(o.get("minSize"), p), parsePercent(o.get("maxSize"), p)] : [parsePercent(o.get("minSize"), f), parsePercent(o.get("maxSize"), f)], S = s.getDataExtent(l), C = o.get("min"), b = o.get("max");
    C == null && (C = Math.min(S[0], 0)), b == null && (b = S[1]);
    var T = o.get("funnelAlign"), E = o.get("gap"), x = d === "horizontal" ? f : p, $ = (x - E * (s.count() - 1)) / s.count(), A = function(H, V) {
      if (d === "horizontal") {
        var Y = s.get(l, H) || 0, G = linearMap$2(Y, [C, b], _, !0), Z = void 0;
        switch (T) {
          case "top":
            Z = y;
            break;
          case "center":
            Z = y + (p - G) / 2;
            break;
          case "bottom":
            Z = y + (p - G);
            break;
        }
        return [[V, Z], [V, Z + G]];
      }
      var re = s.get(l, H) || 0, de = linearMap$2(re, [C, b], _, !0), X;
      switch (T) {
        case "left":
          X = g;
          break;
        case "center":
          X = g + (f - de) / 2;
          break;
        case "right":
          X = g + f - de;
          break;
      }
      return [[X, V], [X + de, V]];
    };
    u === "ascending" && ($ = -$, E = -E, d === "horizontal" ? g += f : y += p, v = v.reverse());
    for (var N = 0; N < v.length; N++) {
      var P = v[N], L = v[N + 1], O = s.getItemModel(P);
      if (d === "horizontal") {
        var M = O.get(["itemStyle", "width"]);
        M == null ? M = $ : (M = parsePercent(M, f), u === "ascending" && (M = -M));
        var F = A(P, g), U = A(L, g + M);
        g += M + E, s.setItemLayout(P, {
          points: F.concat(U.slice().reverse())
        });
      } else {
        var R = O.get(["itemStyle", "height"]);
        R == null ? R = $ : (R = parsePercent(R, p), u === "ascending" && (R = -R));
        var F = A(P, y), U = A(L, y + R);
        y += R + E, s.setItemLayout(P, {
          points: F.concat(U.slice().reverse())
        });
      }
    }
    labelLayout(s);
  });
}
function install$E(r) {
  r.registerChartView(FunnelView), r.registerSeriesModel(FunnelSeriesModel), r.registerLayout(funnelLayout), r.registerProcessor(dataFilter$1("funnel"));
}
var DEFAULT_SMOOTH = 0.3, ParallelView$1 = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o._dataGroup = new Group$3(), o._initialized = !1, o;
    }
    return a.prototype.init = function() {
      this.group.add(this._dataGroup);
    }, a.prototype.render = function(o, s, l, u) {
      this._progressiveEls = null;
      var c = this._dataGroup, d = o.getData(), f = this._data, p = o.coordinateSystem, v = p.dimensions, g = makeSeriesScope(o);
      d.diff(f).add(y).update(_).remove(S).execute();
      function y(b) {
        var T = addEl(d, c, b, v, p);
        updateElCommon(T, d, b, g);
      }
      function _(b, T) {
        var E = f.getItemGraphicEl(T), x = createLinePoints(d, b, v, p);
        d.setItemGraphicEl(b, E), updateProps$1(E, {
          shape: {
            points: x
          }
        }, o, b), saveOldStyle(E), updateElCommon(E, d, b, g);
      }
      function S(b) {
        var T = f.getItemGraphicEl(b);
        c.remove(T);
      }
      if (!this._initialized) {
        this._initialized = !0;
        var C = createGridClipShape$2(p, o, function() {
          setTimeout(function() {
            c.removeClipPath();
          });
        });
        c.setClipPath(C);
      }
      this._data = d;
    }, a.prototype.incrementalPrepareRender = function(o, s, l) {
      this._initialized = !0, this._data = null, this._dataGroup.removeAll();
    }, a.prototype.incrementalRender = function(o, s, l) {
      for (var u = s.getData(), c = s.coordinateSystem, d = c.dimensions, f = makeSeriesScope(s), p = this._progressiveEls = [], v = o.start; v < o.end; v++) {
        var g = addEl(u, this._dataGroup, v, d, c);
        g.incremental = !0, updateElCommon(g, u, v, f), p.push(g);
      }
    }, a.prototype.remove = function() {
      this._dataGroup && this._dataGroup.removeAll(), this._data = null;
    }, a.type = "parallel", a;
  }(ChartView)
);
function createGridClipShape$2(r, a, o) {
  var s = r.model, l = r.getRect(), u = new Rect$2({
    shape: {
      x: l.x,
      y: l.y,
      width: l.width,
      height: l.height
    }
  }), c = s.get("layout") === "horizontal" ? "width" : "height";
  return u.setShape(c, 0), initProps(u, {
    shape: {
      width: l.width,
      height: l.height
    }
  }, a, o), u;
}
function createLinePoints(r, a, o, s) {
  for (var l = [], u = 0; u < o.length; u++) {
    var c = o[u], d = r.get(r.mapDimension(c), a);
    isEmptyValue(d, s.getAxis(c).type) || l.push(s.dataToPoint(d, c));
  }
  return l;
}
function addEl(r, a, o, s, l) {
  var u = createLinePoints(r, o, s, l), c = new Polyline$1({
    shape: {
      points: u
    },
    // silent: true,
    z2: 10
  });
  return a.add(c), r.setItemGraphicEl(o, c), c;
}
function makeSeriesScope(r) {
  var a = r.get("smooth", !0);
  return a === !0 && (a = DEFAULT_SMOOTH), a = numericToNumber(a), eqNaN(a) && (a = 0), {
    smooth: a
  };
}
function updateElCommon(r, a, o, s) {
  r.useStyle(a.getItemVisual(o, "style")), r.style.fill = null, r.setShape("smooth", s.smooth);
  var l = a.getItemModel(o), u = l.getModel("emphasis");
  setStatesStylesFromModel(r, l, "lineStyle"), toggleHoverEmphasis(r, u.get("focus"), u.get("blurScope"), u.get("disabled"));
}
function isEmptyValue(r, a) {
  return a === "category" ? r == null : r == null || isNaN(r);
}
var ParallelSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.visualStyleAccessPath = "lineStyle", o.visualDrawType = "stroke", o;
    }
    return a.prototype.getInitialData = function(o, s) {
      return createSeriesData(null, this, {
        useEncodeDefaulter: bind$1(makeDefaultEncode, null, this)
      });
    }, a.prototype.getRawIndicesByActiveState = function(o) {
      var s = this.coordinateSystem, l = this.getData(), u = [];
      return s.eachActiveState(l, function(c, d) {
        o === c && u.push(l.getRawIndex(d));
      }), u;
    }, a.type = "series.parallel", a.dependencies = ["parallel"], a.defaultOption = {
      // zlevel: 0,
      z: 2,
      coordinateSystem: "parallel",
      parallelIndex: 0,
      label: {
        show: !1
      },
      inactiveOpacity: 0.05,
      activeOpacity: 1,
      lineStyle: {
        width: 1,
        opacity: 0.45,
        type: "solid"
      },
      emphasis: {
        label: {
          show: !1
        }
      },
      progressive: 500,
      smooth: !1,
      animationEasing: "linear"
    }, a;
  }(SeriesModel)
);
function makeDefaultEncode(r) {
  var a = r.ecModel.getComponent("parallel", r.get("parallelIndex"));
  if (a) {
    var o = {};
    return each$f(a.dimensions, function(s) {
      var l = convertDimNameToNumber(s);
      o[s] = l;
    }), o;
  }
}
function convertDimNameToNumber(r) {
  return +r.replace("dim", "");
}
var opacityAccessPath = ["lineStyle", "opacity"], parallelVisual = {
  seriesType: "parallel",
  reset: function(r, a) {
    var o = r.coordinateSystem, s = {
      normal: r.get(["lineStyle", "opacity"]),
      active: r.get("activeOpacity"),
      inactive: r.get("inactiveOpacity")
    };
    return {
      progress: function(l, u) {
        o.eachActiveState(u, function(c, d) {
          var f = s[c];
          if (c === "normal" && u.hasItemOption) {
            var p = u.getItemModel(d).get(opacityAccessPath, !0);
            p != null && (f = p);
          }
          var v = u.ensureUniqueItemVisual(d, "style");
          v.opacity = f;
        }, l.start, l.end);
      }
    };
  }
};
function parallelPreprocessor(r) {
  createParallelIfNeeded(r), mergeAxisOptionFromParallel(r);
}
function createParallelIfNeeded(r) {
  if (!r.parallel) {
    var a = !1;
    each$f(r.series, function(o) {
      o && o.type === "parallel" && (a = !0);
    }), a && (r.parallel = [{}]);
  }
}
function mergeAxisOptionFromParallel(r) {
  var a = normalizeToArray(r.parallelAxis);
  each$f(a, function(o) {
    if (isObject$3(o)) {
      var s = o.parallelIndex || 0, l = normalizeToArray(r.parallel)[s];
      l && l.parallelAxisDefault && merge(o, l.parallelAxisDefault, !1);
    }
  });
}
var CLICK_THRESHOLD = 5, ParallelView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l) {
      this._model = o, this._api = l, this._handlers || (this._handlers = {}, each$f(handlers$1, function(u, c) {
        l.getZr().on(c, this._handlers[c] = bind$1(u, this));
      }, this)), createOrUpdate(this, "_throttledDispatchExpand", o.get("axisExpandRate"), "fixRate");
    }, a.prototype.dispose = function(o, s) {
      clear$1(this, "_throttledDispatchExpand"), each$f(this._handlers, function(l, u) {
        s.getZr().off(u, l);
      }), this._handlers = null;
    }, a.prototype._throttledDispatchExpand = function(o) {
      this._dispatchExpand(o);
    }, a.prototype._dispatchExpand = function(o) {
      o && this._api.dispatchAction(extend({
        type: "parallelAxisExpand"
      }, o));
    }, a.type = "parallel", a;
  }(ComponentView)
), handlers$1 = {
  mousedown: function(r) {
    checkTrigger(this, "click") && (this._mouseDownPoint = [r.offsetX, r.offsetY]);
  },
  mouseup: function(r) {
    var a = this._mouseDownPoint;
    if (checkTrigger(this, "click") && a) {
      var o = [r.offsetX, r.offsetY], s = Math.pow(a[0] - o[0], 2) + Math.pow(a[1] - o[1], 2);
      if (s > CLICK_THRESHOLD)
        return;
      var l = this._model.coordinateSystem.getSlidedAxisExpandWindow([r.offsetX, r.offsetY]);
      l.behavior !== "none" && this._dispatchExpand({
        axisExpandWindow: l.axisExpandWindow
      });
    }
    this._mouseDownPoint = null;
  },
  mousemove: function(r) {
    if (!(this._mouseDownPoint || !checkTrigger(this, "mousemove"))) {
      var a = this._model, o = a.coordinateSystem.getSlidedAxisExpandWindow([r.offsetX, r.offsetY]), s = o.behavior;
      s === "jump" && this._throttledDispatchExpand.debounceNextCall(a.get("axisExpandDebounce")), this._throttledDispatchExpand(s === "none" ? null : {
        axisExpandWindow: o.axisExpandWindow,
        // Jumping uses animation, and sliding suppresses animation.
        animation: s === "jump" ? null : {
          duration: 0
          // Disable animation.
        }
      });
    }
  }
};
function checkTrigger(r, a) {
  var o = r._model;
  return o.get("axisExpandable") && o.get("axisExpandTriggerOn") === a;
}
var ParallelModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.init = function() {
      r.prototype.init.apply(this, arguments), this.mergeOption({});
    }, a.prototype.mergeOption = function(o) {
      var s = this.option;
      o && merge(s, o, !0), this._initDimensions();
    }, a.prototype.contains = function(o, s) {
      var l = o.get("parallelIndex");
      return l != null && s.getComponent("parallel", l) === this;
    }, a.prototype.setAxisExpand = function(o) {
      each$f(["axisExpandable", "axisExpandCenter", "axisExpandCount", "axisExpandWidth", "axisExpandWindow"], function(s) {
        o.hasOwnProperty(s) && (this.option[s] = o[s]);
      }, this);
    }, a.prototype._initDimensions = function() {
      var o = this.dimensions = [], s = this.parallelAxisIndex = [], l = filter(this.ecModel.queryComponents({
        mainType: "parallelAxis"
      }), function(u) {
        return (u.get("parallelIndex") || 0) === this.componentIndex;
      }, this);
      each$f(l, function(u) {
        o.push("dim" + u.get("dim")), s.push(u.componentIndex);
      });
    }, a.type = "parallel", a.dependencies = ["parallelAxis"], a.layoutMode = "box", a.defaultOption = {
      // zlevel: 0,
      z: 0,
      left: 80,
      top: 60,
      right: 80,
      bottom: 60,
      // width: {totalWidth} - left - right,
      // height: {totalHeight} - top - bottom,
      layout: "horizontal",
      // FIXME
      // naming?
      axisExpandable: !1,
      axisExpandCenter: null,
      axisExpandCount: 0,
      axisExpandWidth: 50,
      axisExpandRate: 17,
      axisExpandDebounce: 50,
      // [out, in, jumpTarget]. In percentage. If use [null, 0.05], null means full.
      // Do not doc to user until necessary.
      axisExpandSlideTriggerArea: [-0.15, 0.05, 0.4],
      axisExpandTriggerOn: "click",
      parallelAxisDefault: null
    }, a;
  }(ComponentModel)
), ParallelAxis = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s, l, u, c) {
      var d = r.call(this, o, s, l) || this;
      return d.type = u || "value", d.axisIndex = c, d;
    }
    return a.prototype.isHorizontal = function() {
      return this.coordinateSystem.getModel().get("layout") !== "horizontal";
    }, a;
  }(Axis)
);
function sliderMove(r, a, o, s, l, u) {
  r = r || 0;
  var c = o[1] - o[0];
  if (l != null && (l = restrict$1(l, [0, c])), u != null && (u = Math.max(u, l ?? 0)), s === "all") {
    var d = Math.abs(a[1] - a[0]);
    d = restrict$1(d, [0, c]), l = u = restrict$1(d, [l, u]), s = 0;
  }
  a[0] = restrict$1(a[0], o), a[1] = restrict$1(a[1], o);
  var f = getSpanSign(a, s);
  a[s] += r;
  var p = l || 0, v = o.slice();
  f.sign < 0 ? v[0] += p : v[1] -= p, a[s] = restrict$1(a[s], v);
  var g;
  return g = getSpanSign(a, s), l != null && (g.sign !== f.sign || g.span < l) && (a[1 - s] = a[s] + f.sign * l), g = getSpanSign(a, s), u != null && g.span > u && (a[1 - s] = a[s] + g.sign * u), a;
}
function getSpanSign(r, a) {
  var o = r[a] - r[1 - a];
  return {
    span: Math.abs(o),
    sign: o > 0 ? -1 : o < 0 ? 1 : a ? -1 : 1
  };
}
function restrict$1(r, a) {
  return Math.min(a[1] != null ? a[1] : 1 / 0, Math.max(a[0] != null ? a[0] : -1 / 0, r));
}
var each$a = each$f, mathMin$2 = Math.min, mathMax$2 = Math.max, mathFloor = Math.floor, mathCeil = Math.ceil, round = round$3, PI$1 = Math.PI, Parallel = (
  /** @class */
  function() {
    function r(a, o, s) {
      this.type = "parallel", this._axesMap = createHashMap(), this._axesLayout = {}, this.dimensions = a.dimensions, this._model = a, this._init(a, o, s);
    }
    return r.prototype._init = function(a, o, s) {
      var l = a.dimensions, u = a.parallelAxisIndex;
      each$a(l, function(c, d) {
        var f = u[d], p = o.getComponent("parallelAxis", f), v = this._axesMap.set(c, new ParallelAxis(c, createScaleByModel$1(p), [0, 0], p.get("type"), f)), g = v.type === "category";
        v.onBand = g && p.get("boundaryGap"), v.inverse = p.get("inverse"), p.axis = v, v.model = p, v.coordinateSystem = p.coordinateSystem = this;
      }, this);
    }, r.prototype.update = function(a, o) {
      this._updateAxesFromSeries(this._model, a);
    }, r.prototype.containPoint = function(a) {
      var o = this._makeLayoutInfo(), s = o.axisBase, l = o.layoutBase, u = o.pixelDimIndex, c = a[1 - u], d = a[u];
      return c >= s && c <= s + o.axisLength && d >= l && d <= l + o.layoutLength;
    }, r.prototype.getModel = function() {
      return this._model;
    }, r.prototype._updateAxesFromSeries = function(a, o) {
      o.eachSeries(function(s) {
        if (a.contains(s, o)) {
          var l = s.getData();
          each$a(this.dimensions, function(u) {
            var c = this._axesMap.get(u);
            c.scale.unionExtentFromData(l, l.mapDimension(u)), niceScaleExtent(c.scale, c.model);
          }, this);
        }
      }, this);
    }, r.prototype.resize = function(a, o) {
      this._rect = getLayoutRect(a.getBoxLayoutParams(), {
        width: o.getWidth(),
        height: o.getHeight()
      }), this._layoutAxes();
    }, r.prototype.getRect = function() {
      return this._rect;
    }, r.prototype._makeLayoutInfo = function() {
      var a = this._model, o = this._rect, s = ["x", "y"], l = ["width", "height"], u = a.get("layout"), c = u === "horizontal" ? 0 : 1, d = o[l[c]], f = [0, d], p = this.dimensions.length, v = restrict(a.get("axisExpandWidth"), f), g = restrict(a.get("axisExpandCount") || 0, [0, p]), y = a.get("axisExpandable") && p > 3 && p > g && g > 1 && v > 0 && d > 0, _ = a.get("axisExpandWindow"), S;
      if (_)
        S = restrict(_[1] - _[0], f), _[1] = _[0] + S;
      else {
        S = restrict(v * (g - 1), f);
        var C = a.get("axisExpandCenter") || mathFloor(p / 2);
        _ = [v * C - S / 2], _[1] = _[0] + S;
      }
      var b = (d - S) / (p - g);
      b < 3 && (b = 0);
      var T = [mathFloor(round(_[0] / v, 1)) + 1, mathCeil(round(_[1] / v, 1)) - 1], E = b / v * _[0];
      return {
        layout: u,
        pixelDimIndex: c,
        layoutBase: o[s[c]],
        layoutLength: d,
        axisBase: o[s[1 - c]],
        axisLength: o[l[1 - c]],
        axisExpandable: y,
        axisExpandWidth: v,
        axisCollapseWidth: b,
        axisExpandWindow: _,
        axisCount: p,
        winInnerIndices: T,
        axisExpandWindow0Pos: E
      };
    }, r.prototype._layoutAxes = function() {
      var a = this._rect, o = this._axesMap, s = this.dimensions, l = this._makeLayoutInfo(), u = l.layout;
      o.each(function(c) {
        var d = [0, l.axisLength], f = c.inverse ? 1 : 0;
        c.setExtent(d[f], d[1 - f]);
      }), each$a(s, function(c, d) {
        var f = (l.axisExpandable ? layoutAxisWithExpand : layoutAxisWithoutExpand)(d, l), p = {
          horizontal: {
            x: f.position,
            y: l.axisLength
          },
          vertical: {
            x: 0,
            y: f.position
          }
        }, v = {
          horizontal: PI$1 / 2,
          vertical: 0
        }, g = [p[u].x + a.x, p[u].y + a.y], y = v[u], _ = create$1();
        rotate(_, _, y), translate(_, _, g), this._axesLayout[c] = {
          position: g,
          rotation: y,
          transform: _,
          axisNameAvailableWidth: f.axisNameAvailableWidth,
          axisLabelShow: f.axisLabelShow,
          nameTruncateMaxWidth: f.nameTruncateMaxWidth,
          tickDirection: 1,
          labelDirection: 1
        };
      }, this);
    }, r.prototype.getAxis = function(a) {
      return this._axesMap.get(a);
    }, r.prototype.dataToPoint = function(a, o) {
      return this.axisCoordToPoint(this._axesMap.get(o).dataToCoord(a), o);
    }, r.prototype.eachActiveState = function(a, o, s, l) {
      s == null && (s = 0), l == null && (l = a.count());
      var u = this._axesMap, c = this.dimensions, d = [], f = [];
      each$f(c, function(b) {
        d.push(a.mapDimension(b)), f.push(u.get(b).model);
      });
      for (var p = this.hasAxisBrushed(), v = s; v < l; v++) {
        var g = void 0;
        if (!p)
          g = "normal";
        else {
          g = "active";
          for (var y = a.getValues(d, v), _ = 0, S = c.length; _ < S; _++) {
            var C = f[_].getActiveState(y[_]);
            if (C === "inactive") {
              g = "inactive";
              break;
            }
          }
        }
        o(g, v);
      }
    }, r.prototype.hasAxisBrushed = function() {
      for (var a = this.dimensions, o = this._axesMap, s = !1, l = 0, u = a.length; l < u; l++)
        o.get(a[l]).model.getActiveState() !== "normal" && (s = !0);
      return s;
    }, r.prototype.axisCoordToPoint = function(a, o) {
      var s = this._axesLayout[o];
      return applyTransform([a, 0], s.transform);
    }, r.prototype.getAxisLayout = function(a) {
      return clone$4(this._axesLayout[a]);
    }, r.prototype.getSlidedAxisExpandWindow = function(a) {
      var o = this._makeLayoutInfo(), s = o.pixelDimIndex, l = o.axisExpandWindow.slice(), u = l[1] - l[0], c = [0, o.axisExpandWidth * (o.axisCount - 1)];
      if (!this.containPoint(a))
        return {
          behavior: "none",
          axisExpandWindow: l
        };
      var d = a[s] - o.layoutBase - o.axisExpandWindow0Pos, f, p = "slide", v = o.axisCollapseWidth, g = this._model.get("axisExpandSlideTriggerArea"), y = g[0] != null;
      if (v)
        y && v && d < u * g[0] ? (p = "jump", f = d - u * g[2]) : y && v && d > u * (1 - g[0]) ? (p = "jump", f = d - u * (1 - g[2])) : (f = d - u * g[1]) >= 0 && (f = d - u * (1 - g[1])) <= 0 && (f = 0), f *= o.axisExpandWidth / v, f ? sliderMove(f, l, c, "all") : p = "none";
      else {
        var _ = l[1] - l[0], S = c[1] * d / _;
        l = [mathMax$2(0, S - _ / 2)], l[1] = mathMin$2(c[1], l[0] + _), l[0] = l[1] - _;
      }
      return {
        axisExpandWindow: l,
        behavior: p
      };
    }, r;
  }()
);
function restrict(r, a) {
  return mathMin$2(mathMax$2(r, a[0]), a[1]);
}
function layoutAxisWithoutExpand(r, a) {
  var o = a.layoutLength / (a.axisCount - 1);
  return {
    position: o * r,
    axisNameAvailableWidth: o,
    axisLabelShow: !0
  };
}
function layoutAxisWithExpand(r, a) {
  var o = a.layoutLength, s = a.axisExpandWidth, l = a.axisCount, u = a.axisCollapseWidth, c = a.winInnerIndices, d, f = u, p = !1, v;
  return r < c[0] ? (d = r * u, v = u) : r <= c[1] ? (d = a.axisExpandWindow0Pos + r * s - a.axisExpandWindow[0], f = s, p = !0) : (d = o - (l - 1 - r) * u, v = u), {
    position: d,
    axisNameAvailableWidth: f,
    axisLabelShow: p,
    nameTruncateMaxWidth: v
  };
}
function createParallelCoordSys(r, a) {
  var o = [];
  return r.eachComponent("parallel", function(s, l) {
    var u = new Parallel(s, r, a);
    u.name = "parallel_" + l, u.resize(s, a), s.coordinateSystem = u, u.model = s, o.push(u);
  }), r.eachSeries(function(s) {
    if (s.get("coordinateSystem") === "parallel") {
      var l = s.getReferringComponents("parallel", SINGLE_REFERRING).models[0];
      s.coordinateSystem = l.coordinateSystem;
    }
  }), o;
}
var parallelCoordSysCreator = {
  create: createParallelCoordSys
}, ParallelAxisModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.activeIntervals = [], o;
    }
    return a.prototype.getAreaSelectStyle = function() {
      return makeStyleMapper([
        ["fill", "color"],
        ["lineWidth", "borderWidth"],
        ["stroke", "borderColor"],
        ["width", "width"],
        ["opacity", "opacity"]
        // Option decal is in `DecalObject` but style.decal is in `PatternObject`.
        // So do not transfer decal directly.
      ])(this.getModel("areaSelectStyle"));
    }, a.prototype.setActiveIntervals = function(o) {
      var s = this.activeIntervals = clone$4(o);
      if (s)
        for (var l = s.length - 1; l >= 0; l--)
          asc$2(s[l]);
    }, a.prototype.getActiveState = function(o) {
      var s = this.activeIntervals;
      if (!s.length)
        return "normal";
      if (o == null || isNaN(+o))
        return "inactive";
      if (s.length === 1) {
        var l = s[0];
        if (l[0] <= o && o <= l[1])
          return "active";
      } else
        for (var u = 0, c = s.length; u < c; u++)
          if (s[u][0] <= o && o <= s[u][1])
            return "active";
      return "inactive";
    }, a;
  }(ComponentModel)
);
mixin(ParallelAxisModel, AxisModelCommonMixin);
var BRUSH_PANEL_GLOBAL = !0, mathMin$1 = Math.min, mathMax$1 = Math.max, mathPow = Math.pow, COVER_Z = 1e4, UNSELECT_THRESHOLD = 6, MIN_RESIZE_LINE_WIDTH = 6, MUTEX_RESOURCE_KEY = "globalPan", DIRECTION_MAP = {
  w: [0, 0],
  e: [0, 1],
  n: [1, 0],
  s: [1, 1]
}, CURSOR_MAP = {
  w: "ew",
  e: "ew",
  n: "ns",
  s: "ns",
  ne: "nesw",
  sw: "nesw",
  nw: "nwse",
  se: "nwse"
}, DEFAULT_BRUSH_OPT = {
  brushStyle: {
    lineWidth: 2,
    stroke: "rgba(210,219,238,0.3)",
    fill: "#D2DBEE"
  },
  transformable: !0,
  brushMode: "single",
  removeOnClick: !1
}, baseUID = 0, BrushController = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      var s = r.call(this) || this;
      return s._track = [], s._covers = [], s._handlers = {}, process.env.NODE_ENV !== "production" && assert(o), s._zr = o, s.group = new Group$3(), s._uid = "brushController_" + baseUID++, each$f(pointerHandlers, function(l, u) {
        this._handlers[u] = bind$1(l, this);
      }, s), s;
    }
    return a.prototype.enableBrush = function(o) {
      return process.env.NODE_ENV !== "production" && assert(this._mounted), this._brushType && this._doDisableBrush(), o.brushType && this._doEnableBrush(o), this;
    }, a.prototype._doEnableBrush = function(o) {
      var s = this._zr;
      this._enableGlobalPan || take(s, MUTEX_RESOURCE_KEY, this._uid), each$f(this._handlers, function(l, u) {
        s.on(u, l);
      }), this._brushType = o.brushType, this._brushOption = merge(clone$4(DEFAULT_BRUSH_OPT), o, !0);
    }, a.prototype._doDisableBrush = function() {
      var o = this._zr;
      release(o, MUTEX_RESOURCE_KEY, this._uid), each$f(this._handlers, function(s, l) {
        o.off(l, s);
      }), this._brushType = this._brushOption = null;
    }, a.prototype.setPanels = function(o) {
      if (o && o.length) {
        var s = this._panels = {};
        each$f(o, function(l) {
          s[l.panelId] = clone$4(l);
        });
      } else
        this._panels = null;
      return this;
    }, a.prototype.mount = function(o) {
      o = o || {}, process.env.NODE_ENV !== "production" && (this._mounted = !0), this._enableGlobalPan = o.enableGlobalPan;
      var s = this.group;
      return this._zr.add(s), s.attr({
        x: o.x || 0,
        y: o.y || 0,
        rotation: o.rotation || 0,
        scaleX: o.scaleX || 1,
        scaleY: o.scaleY || 1
      }), this._transform = s.getLocalTransform(), this;
    }, a.prototype.updateCovers = function(o) {
      process.env.NODE_ENV !== "production" && assert(this._mounted), o = map$1(o, function(y) {
        return merge(clone$4(DEFAULT_BRUSH_OPT), y, !0);
      });
      var s = "\0-brush-index-", l = this._covers, u = this._covers = [], c = this, d = this._creatingCover;
      return new DataDiffer(l, o, p, f).add(v).update(v).remove(g).execute(), this;
      function f(y, _) {
        return (y.id != null ? y.id : s + _) + "-" + y.brushType;
      }
      function p(y, _) {
        return f(y.__brushOption, _);
      }
      function v(y, _) {
        var S = o[y];
        if (_ != null && l[_] === d)
          u[y] = l[_];
        else {
          var C = u[y] = _ != null ? (l[_].__brushOption = S, l[_]) : endCreating(c, createCover(c, S));
          updateCoverAfterCreation(c, C);
        }
      }
      function g(y) {
        l[y] !== d && c.group.remove(l[y]);
      }
    }, a.prototype.unmount = function() {
      if (!(process.env.NODE_ENV !== "production" && !this._mounted))
        return this.enableBrush(!1), clearCovers(this), this._zr.remove(this.group), process.env.NODE_ENV !== "production" && (this._mounted = !1), this;
    }, a.prototype.dispose = function() {
      this.unmount(), this.off();
    }, a;
  }(Eventful)
);
function createCover(r, a) {
  var o = coverRenderers[a.brushType].createCover(r, a);
  return o.__brushOption = a, updateZ$1(o, a), r.group.add(o), o;
}
function endCreating(r, a) {
  var o = getCoverRenderer(a);
  return o.endCreating && (o.endCreating(r, a), updateZ$1(a, a.__brushOption)), a;
}
function updateCoverShape(r, a) {
  var o = a.__brushOption;
  getCoverRenderer(a).updateCoverShape(r, a, o.range, o);
}
function updateZ$1(r, a) {
  var o = a.z;
  o == null && (o = COVER_Z), r.traverse(function(s) {
    s.z = o, s.z2 = o;
  });
}
function updateCoverAfterCreation(r, a) {
  getCoverRenderer(a).updateCommon(r, a), updateCoverShape(r, a);
}
function getCoverRenderer(r) {
  return coverRenderers[r.__brushOption.brushType];
}
function getPanelByPoint(r, a, o) {
  var s = r._panels;
  if (!s)
    return BRUSH_PANEL_GLOBAL;
  var l, u = r._transform;
  return each$f(s, function(c) {
    c.isTargetByCursor(a, o, u) && (l = c);
  }), l;
}
function getPanelByCover(r, a) {
  var o = r._panels;
  if (!o)
    return BRUSH_PANEL_GLOBAL;
  var s = a.__brushOption.panelId;
  return s != null ? o[s] : BRUSH_PANEL_GLOBAL;
}
function clearCovers(r) {
  var a = r._covers, o = a.length;
  return each$f(a, function(s) {
    r.group.remove(s);
  }, r), a.length = 0, !!o;
}
function trigger(r, a) {
  var o = map$1(r._covers, function(s) {
    var l = s.__brushOption, u = clone$4(l.range);
    return {
      brushType: l.brushType,
      panelId: l.panelId,
      range: u
    };
  });
  r.trigger("brush", {
    areas: o,
    isEnd: !!a.isEnd,
    removeOnClick: !!a.removeOnClick
  });
}
function shouldShowCover(r) {
  var a = r._track;
  if (!a.length)
    return !1;
  var o = a[a.length - 1], s = a[0], l = o[0] - s[0], u = o[1] - s[1], c = mathPow(l * l + u * u, 0.5);
  return c > UNSELECT_THRESHOLD;
}
function getTrackEnds(r) {
  var a = r.length - 1;
  return a < 0 && (a = 0), [r[0], r[a]];
}
function createBaseRectCover(r, a, o, s) {
  var l = new Group$3();
  return l.add(new Rect$2({
    name: "main",
    style: makeStyle(o),
    silent: !0,
    draggable: !0,
    cursor: "move",
    drift: curry$1(driftRect, r, a, l, ["n", "s", "w", "e"]),
    ondragend: curry$1(trigger, a, {
      isEnd: !0
    })
  })), each$f(s, function(u) {
    l.add(new Rect$2({
      name: u.join(""),
      style: {
        opacity: 0
      },
      draggable: !0,
      silent: !0,
      invisible: !0,
      drift: curry$1(driftRect, r, a, l, u),
      ondragend: curry$1(trigger, a, {
        isEnd: !0
      })
    }));
  }), l;
}
function updateBaseRect(r, a, o, s) {
  var l = s.brushStyle.lineWidth || 0, u = mathMax$1(l, MIN_RESIZE_LINE_WIDTH), c = o[0][0], d = o[1][0], f = c - l / 2, p = d - l / 2, v = o[0][1], g = o[1][1], y = v - u + l / 2, _ = g - u + l / 2, S = v - c, C = g - d, b = S + l, T = C + l;
  updateRectShape(r, a, "main", c, d, S, C), s.transformable && (updateRectShape(r, a, "w", f, p, u, T), updateRectShape(r, a, "e", y, p, u, T), updateRectShape(r, a, "n", f, p, b, u), updateRectShape(r, a, "s", f, _, b, u), updateRectShape(r, a, "nw", f, p, u, u), updateRectShape(r, a, "ne", y, p, u, u), updateRectShape(r, a, "sw", f, _, u, u), updateRectShape(r, a, "se", y, _, u, u));
}
function updateCommon$1(r, a) {
  var o = a.__brushOption, s = o.transformable, l = a.childAt(0);
  l.useStyle(makeStyle(o)), l.attr({
    silent: !s,
    cursor: s ? "move" : "default"
  }), each$f([["w"], ["e"], ["n"], ["s"], ["s", "e"], ["s", "w"], ["n", "e"], ["n", "w"]], function(u) {
    var c = a.childOfName(u.join("")), d = u.length === 1 ? getGlobalDirection1(r, u[0]) : getGlobalDirection2(r, u);
    c && c.attr({
      silent: !s,
      invisible: !s,
      cursor: s ? CURSOR_MAP[d] + "-resize" : null
    });
  });
}
function updateRectShape(r, a, o, s, l, u, c) {
  var d = a.childOfName(o);
  d && d.setShape(pointsToRect(clipByPanel(r, a, [[s, l], [s + u, l + c]])));
}
function makeStyle(r) {
  return defaults({
    strokeNoScale: !0
  }, r.brushStyle);
}
function formatRectRange(r, a, o, s) {
  var l = [mathMin$1(r, o), mathMin$1(a, s)], u = [mathMax$1(r, o), mathMax$1(a, s)];
  return [
    [l[0], u[0]],
    [l[1], u[1]]
    // y range
  ];
}
function getTransform(r) {
  return getTransform$1(r.group);
}
function getGlobalDirection1(r, a) {
  var o = {
    w: "left",
    e: "right",
    n: "top",
    s: "bottom"
  }, s = {
    left: "w",
    right: "e",
    top: "n",
    bottom: "s"
  }, l = transformDirection(o[a], getTransform(r));
  return s[l];
}
function getGlobalDirection2(r, a) {
  var o = [getGlobalDirection1(r, a[0]), getGlobalDirection1(r, a[1])];
  return (o[0] === "e" || o[0] === "w") && o.reverse(), o.join("");
}
function driftRect(r, a, o, s, l, u) {
  var c = o.__brushOption, d = r.toRectRange(c.range), f = toLocalDelta(a, l, u);
  each$f(s, function(p) {
    var v = DIRECTION_MAP[p];
    d[v[0]][v[1]] += f[v[0]];
  }), c.range = r.fromRectRange(formatRectRange(d[0][0], d[1][0], d[0][1], d[1][1])), updateCoverAfterCreation(a, o), trigger(a, {
    isEnd: !1
  });
}
function driftPolygon(r, a, o, s) {
  var l = a.__brushOption.range, u = toLocalDelta(r, o, s);
  each$f(l, function(c) {
    c[0] += u[0], c[1] += u[1];
  }), updateCoverAfterCreation(r, a), trigger(r, {
    isEnd: !1
  });
}
function toLocalDelta(r, a, o) {
  var s = r.group, l = s.transformCoordToLocal(a, o), u = s.transformCoordToLocal(0, 0);
  return [l[0] - u[0], l[1] - u[1]];
}
function clipByPanel(r, a, o) {
  var s = getPanelByCover(r, a);
  return s && s !== BRUSH_PANEL_GLOBAL ? s.clipPath(o, r._transform) : clone$4(o);
}
function pointsToRect(r) {
  var a = mathMin$1(r[0][0], r[1][0]), o = mathMin$1(r[0][1], r[1][1]), s = mathMax$1(r[0][0], r[1][0]), l = mathMax$1(r[0][1], r[1][1]);
  return {
    x: a,
    y: o,
    width: s - a,
    height: l - o
  };
}
function resetCursor(r, a, o) {
  if (
    // Check active
    !(!r._brushType || isOutsideZrArea(r, a.offsetX, a.offsetY))
  ) {
    var s = r._zr, l = r._covers, u = getPanelByPoint(r, a, o);
    if (!r._dragging)
      for (var c = 0; c < l.length; c++) {
        var d = l[c].__brushOption;
        if (u && (u === BRUSH_PANEL_GLOBAL || d.panelId === u.panelId) && coverRenderers[d.brushType].contain(l[c], o[0], o[1]))
          return;
      }
    u && s.setCursorStyle("crosshair");
  }
}
function preventDefault(r) {
  var a = r.event;
  a.preventDefault && a.preventDefault();
}
function mainShapeContain(r, a, o) {
  return r.childOfName("main").contain(a, o);
}
function updateCoverByMouse(r, a, o, s) {
  var l = r._creatingCover, u = r._creatingPanel, c = r._brushOption, d;
  if (r._track.push(o.slice()), shouldShowCover(r) || l) {
    if (u && !l) {
      c.brushMode === "single" && clearCovers(r);
      var f = clone$4(c);
      f.brushType = determineBrushType(f.brushType, u), f.panelId = u === BRUSH_PANEL_GLOBAL ? null : u.panelId, l = r._creatingCover = createCover(r, f), r._covers.push(l);
    }
    if (l) {
      var p = coverRenderers[determineBrushType(r._brushType, u)], v = l.__brushOption;
      v.range = p.getCreatingRange(clipByPanel(r, l, r._track)), s && (endCreating(r, l), p.updateCommon(r, l)), updateCoverShape(r, l), d = {
        isEnd: s
      };
    }
  } else s && c.brushMode === "single" && c.removeOnClick && getPanelByPoint(r, a, o) && clearCovers(r) && (d = {
    isEnd: s,
    removeOnClick: !0
  });
  return d;
}
function determineBrushType(r, a) {
  return r === "auto" ? (process.env.NODE_ENV !== "production" && assert(a && a.defaultBrushType, 'MUST have defaultBrushType when brushType is "atuo"'), a.defaultBrushType) : r;
}
var pointerHandlers = {
  mousedown: function(r) {
    if (this._dragging)
      handleDragEnd(this, r);
    else if (!r.target || !r.target.draggable) {
      preventDefault(r);
      var a = this.group.transformCoordToLocal(r.offsetX, r.offsetY);
      this._creatingCover = null;
      var o = this._creatingPanel = getPanelByPoint(this, r, a);
      o && (this._dragging = !0, this._track = [a.slice()]);
    }
  },
  mousemove: function(r) {
    var a = r.offsetX, o = r.offsetY, s = this.group.transformCoordToLocal(a, o);
    if (resetCursor(this, r, s), this._dragging) {
      preventDefault(r);
      var l = updateCoverByMouse(this, r, s, !1);
      l && trigger(this, l);
    }
  },
  mouseup: function(r) {
    handleDragEnd(this, r);
  }
};
function handleDragEnd(r, a) {
  if (r._dragging) {
    preventDefault(a);
    var o = a.offsetX, s = a.offsetY, l = r.group.transformCoordToLocal(o, s), u = updateCoverByMouse(r, a, l, !0);
    r._dragging = !1, r._track = [], r._creatingCover = null, u && trigger(r, u);
  }
}
function isOutsideZrArea(r, a, o) {
  var s = r._zr;
  return a < 0 || a > s.getWidth() || o < 0 || o > s.getHeight();
}
var coverRenderers = {
  lineX: getLineRenderer(0),
  lineY: getLineRenderer(1),
  rect: {
    createCover: function(r, a) {
      function o(s) {
        return s;
      }
      return createBaseRectCover({
        toRectRange: o,
        fromRectRange: o
      }, r, a, [["w"], ["e"], ["n"], ["s"], ["s", "e"], ["s", "w"], ["n", "e"], ["n", "w"]]);
    },
    getCreatingRange: function(r) {
      var a = getTrackEnds(r);
      return formatRectRange(a[1][0], a[1][1], a[0][0], a[0][1]);
    },
    updateCoverShape: function(r, a, o, s) {
      updateBaseRect(r, a, o, s);
    },
    updateCommon: updateCommon$1,
    contain: mainShapeContain
  },
  polygon: {
    createCover: function(r, a) {
      var o = new Group$3();
      return o.add(new Polyline$1({
        name: "main",
        style: makeStyle(a),
        silent: !0
      })), o;
    },
    getCreatingRange: function(r) {
      return r;
    },
    endCreating: function(r, a) {
      a.remove(a.childAt(0)), a.add(new Polygon({
        name: "main",
        draggable: !0,
        drift: curry$1(driftPolygon, r, a),
        ondragend: curry$1(trigger, r, {
          isEnd: !0
        })
      }));
    },
    updateCoverShape: function(r, a, o, s) {
      a.childAt(0).setShape({
        points: clipByPanel(r, a, o)
      });
    },
    updateCommon: updateCommon$1,
    contain: mainShapeContain
  }
};
function getLineRenderer(r) {
  return {
    createCover: function(a, o) {
      return createBaseRectCover({
        toRectRange: function(s) {
          var l = [s, [0, 100]];
          return r && l.reverse(), l;
        },
        fromRectRange: function(s) {
          return s[r];
        }
      }, a, o, [[["w"], ["e"]], [["n"], ["s"]]][r]);
    },
    getCreatingRange: function(a) {
      var o = getTrackEnds(a), s = mathMin$1(o[0][r], o[1][r]), l = mathMax$1(o[0][r], o[1][r]);
      return [s, l];
    },
    updateCoverShape: function(a, o, s, l) {
      var u, c = getPanelByCover(a, o);
      if (c !== BRUSH_PANEL_GLOBAL && c.getLinearBrushOtherExtent)
        u = c.getLinearBrushOtherExtent(r);
      else {
        var d = a._zr;
        u = [0, [d.getWidth(), d.getHeight()][1 - r]];
      }
      var f = [s, u];
      r && f.reverse(), updateBaseRect(a, o, f, l);
    },
    updateCommon: updateCommon$1,
    contain: mainShapeContain
  };
}
function makeRectPanelClipPath(r) {
  return r = normalizeRect(r), function(a) {
    return clipPointsByRect(a, r);
  };
}
function makeLinearBrushOtherExtent(r, a) {
  return r = normalizeRect(r), function(o) {
    var s = a ?? o, l = s ? r.width : r.height, u = s ? r.x : r.y;
    return [u, u + (l || 0)];
  };
}
function makeRectIsTargetByCursor(r, a, o) {
  var s = normalizeRect(r);
  return function(l, u) {
    return s.contain(u[0], u[1]) && !onIrrelevantElement(l, a, o);
  };
}
function normalizeRect(r) {
  return BoundingRect.create(r);
}
var elementList$1 = ["axisLine", "axisTickLabel", "axisName"], ParallelAxisView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.init = function(o, s) {
      r.prototype.init.apply(this, arguments), (this._brushController = new BrushController(s.getZr())).on("brush", bind$1(this._onBrush, this));
    }, a.prototype.render = function(o, s, l, u) {
      if (!fromAxisAreaSelect(o, s, u)) {
        this.axisModel = o, this.api = l, this.group.removeAll();
        var c = this._axisGroup;
        if (this._axisGroup = new Group$3(), this.group.add(this._axisGroup), !!o.get("show")) {
          var d = getCoordSysModel(o, s), f = d.coordinateSystem, p = o.getAreaSelectStyle(), v = p.width, g = o.axis.dim, y = f.getAxisLayout(g), _ = extend({
            strokeContainThreshold: v
          }, y), S = new AxisBuilder(o, _);
          each$f(elementList$1, S.add, S), this._axisGroup.add(S.getGroup()), this._refreshBrushController(_, p, o, d, v, l), groupTransition(c, this._axisGroup, o);
        }
      }
    }, a.prototype._refreshBrushController = function(o, s, l, u, c, d) {
      var f = l.axis.getExtent(), p = f[1] - f[0], v = Math.min(30, Math.abs(p) * 0.1), g = BoundingRect.create({
        x: f[0],
        y: -c / 2,
        width: p,
        height: c
      });
      g.x -= v, g.width += 2 * v, this._brushController.mount({
        enableGlobalPan: !0,
        rotation: o.rotation,
        x: o.position[0],
        y: o.position[1]
      }).setPanels([{
        panelId: "pl",
        clipPath: makeRectPanelClipPath(g),
        isTargetByCursor: makeRectIsTargetByCursor(g, d, u),
        getLinearBrushOtherExtent: makeLinearBrushOtherExtent(g, 0)
      }]).enableBrush({
        brushType: "lineX",
        brushStyle: s,
        removeOnClick: !0
      }).updateCovers(getCoverInfoList(l));
    }, a.prototype._onBrush = function(o) {
      var s = o.areas, l = this.axisModel, u = l.axis, c = map$1(s, function(d) {
        return [u.coordToData(d.range[0], !0), u.coordToData(d.range[1], !0)];
      });
      (!l.option.realtime === o.isEnd || o.removeOnClick) && this.api.dispatchAction({
        type: "axisAreaSelect",
        parallelAxisId: l.id,
        intervals: c
      });
    }, a.prototype.dispose = function() {
      this._brushController.dispose();
    }, a.type = "parallelAxis", a;
  }(ComponentView)
);
function fromAxisAreaSelect(r, a, o) {
  return o && o.type === "axisAreaSelect" && a.findComponents({
    mainType: "parallelAxis",
    query: o
  })[0] === r;
}
function getCoverInfoList(r) {
  var a = r.axis;
  return map$1(r.activeIntervals, function(o) {
    return {
      brushType: "lineX",
      panelId: "pl",
      range: [a.dataToCoord(o[0], !0), a.dataToCoord(o[1], !0)]
    };
  });
}
function getCoordSysModel(r, a) {
  return a.getComponent("parallel", r.get("parallelIndex"));
}
var actionInfo = {
  type: "axisAreaSelect",
  event: "axisAreaSelected"
  // update: 'updateVisual'
};
function installParallelActions(r) {
  r.registerAction(actionInfo, function(a, o) {
    o.eachComponent({
      mainType: "parallelAxis",
      query: a
    }, function(s) {
      s.axis.model.setActiveIntervals(a.intervals);
    });
  }), r.registerAction("parallelAxisExpand", function(a, o) {
    o.eachComponent({
      mainType: "parallel",
      query: a
    }, function(s) {
      s.setAxisExpand(a);
    });
  });
}
var defaultAxisOption = {
  type: "value",
  areaSelectStyle: {
    width: 20,
    borderWidth: 1,
    borderColor: "rgba(160,197,232)",
    color: "rgba(160,197,232)",
    opacity: 0.3
  },
  realtime: !0,
  z: 10
};
function install$D(r) {
  r.registerComponentView(ParallelView), r.registerComponentModel(ParallelModel), r.registerCoordinateSystem("parallel", parallelCoordSysCreator), r.registerPreprocessor(parallelPreprocessor), r.registerComponentModel(ParallelAxisModel), r.registerComponentView(ParallelAxisView), axisModelCreator(r, "parallel", ParallelAxisModel, defaultAxisOption), installParallelActions(r);
}
function install$C(r) {
  use(install$D), r.registerChartView(ParallelView$1), r.registerSeriesModel(ParallelSeriesModel), r.registerVisual(r.PRIORITY.VISUAL.BRUSH, parallelVisual);
}
var SankeyPathShape = (
  /** @class */
  /* @__PURE__ */ function() {
    function r() {
      this.x1 = 0, this.y1 = 0, this.x2 = 0, this.y2 = 0, this.cpx1 = 0, this.cpy1 = 0, this.cpx2 = 0, this.cpy2 = 0, this.extent = 0;
    }
    return r;
  }()
), SankeyPath = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      return r.call(this, o) || this;
    }
    return a.prototype.getDefaultShape = function() {
      return new SankeyPathShape();
    }, a.prototype.buildPath = function(o, s) {
      var l = s.extent;
      o.moveTo(s.x1, s.y1), o.bezierCurveTo(s.cpx1, s.cpy1, s.cpx2, s.cpy2, s.x2, s.y2), s.orient === "vertical" ? (o.lineTo(s.x2 + l, s.y2), o.bezierCurveTo(s.cpx2 + l, s.cpy2, s.cpx1 + l, s.cpy1, s.x1 + l, s.y1)) : (o.lineTo(s.x2, s.y2 + l), o.bezierCurveTo(s.cpx2, s.cpy2 + l, s.cpx1, s.cpy1 + l, s.x1, s.y1 + l)), o.closePath();
    }, a.prototype.highlight = function() {
      enterEmphasis(this);
    }, a.prototype.downplay = function() {
      leaveEmphasis(this);
    }, a;
  }(Path)
), SankeyView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o._focusAdjacencyDisabled = !1, o;
    }
    return a.prototype.render = function(o, s, l) {
      var u = this, c = o.getGraph(), d = this.group, f = o.layoutInfo, p = f.width, v = f.height, g = o.getData(), y = o.getData("edge"), _ = o.get("orient");
      this._model = o, d.removeAll(), d.x = f.x, d.y = f.y, c.eachEdge(function(S) {
        var C = new SankeyPath(), b = getECData(C);
        b.dataIndex = S.dataIndex, b.seriesIndex = o.seriesIndex, b.dataType = "edge";
        var T = S.getModel(), E = T.getModel("lineStyle"), x = E.get("curveness"), $ = S.node1.getLayout(), A = S.node1.getModel(), N = A.get("localX"), P = A.get("localY"), L = S.node2.getLayout(), O = S.node2.getModel(), M = O.get("localX"), F = O.get("localY"), U = S.getLayout(), R, H, V, Y, G, Z, re, de;
        C.shape.extent = Math.max(1, U.dy), C.shape.orient = _, _ === "vertical" ? (R = (N != null ? N * p : $.x) + U.sy, H = (P != null ? P * v : $.y) + $.dy, V = (M != null ? M * p : L.x) + U.ty, Y = F != null ? F * v : L.y, G = R, Z = H * (1 - x) + Y * x, re = V, de = H * x + Y * (1 - x)) : (R = (N != null ? N * p : $.x) + $.dx, H = (P != null ? P * v : $.y) + U.sy, V = M != null ? M * p : L.x, Y = (F != null ? F * v : L.y) + U.ty, G = R * (1 - x) + V * x, Z = H, re = R * x + V * (1 - x), de = Y), C.setShape({
          x1: R,
          y1: H,
          x2: V,
          y2: Y,
          cpx1: G,
          cpy1: Z,
          cpx2: re,
          cpy2: de
        }), C.useStyle(E.getItemStyle()), applyCurveStyle(C.style, _, S);
        var X = "" + T.get("value"), W = getLabelStatesModels(T, "edgeLabel");
        setLabelStyle(C, W, {
          labelFetcher: {
            getFormattedLabel: function(Te, $e, se, fe, ce, ge) {
              return o.getFormattedLabel(
                Te,
                $e,
                "edge",
                fe,
                // ensure edgeLabel formatter is provided
                // to prevent the inheritance from `label.formatter` of the series
                retrieve3(ce, W.normal && W.normal.get("formatter"), X),
                ge
              );
            }
          },
          labelDataIndex: S.dataIndex,
          defaultText: X
        }), C.setTextConfig({
          position: "inside"
        });
        var te = T.getModel("emphasis");
        setStatesStylesFromModel(C, T, "lineStyle", function(Te) {
          var $e = Te.getItemStyle();
          return applyCurveStyle($e, _, S), $e;
        }), d.add(C), y.setItemGraphicEl(S.dataIndex, C);
        var ae = te.get("focus");
        toggleHoverEmphasis(C, ae === "adjacency" ? S.getAdjacentDataIndices() : ae === "trajectory" ? S.getTrajectoryDataIndices() : ae, te.get("blurScope"), te.get("disabled"));
      }), c.eachNode(function(S) {
        var C = S.getLayout(), b = S.getModel(), T = b.get("localX"), E = b.get("localY"), x = b.getModel("emphasis"), $ = b.get(["itemStyle", "borderRadius"]) || 0, A = new Rect$2({
          shape: {
            x: T != null ? T * p : C.x,
            y: E != null ? E * v : C.y,
            width: C.dx,
            height: C.dy,
            r: $
          },
          style: b.getModel("itemStyle").getItemStyle(),
          z2: 10
        });
        setLabelStyle(A, getLabelStatesModels(b), {
          labelFetcher: {
            getFormattedLabel: function(P, L) {
              return o.getFormattedLabel(P, L, "node");
            }
          },
          labelDataIndex: S.dataIndex,
          defaultText: S.id
        }), A.disableLabelAnimation = !0, A.setStyle("fill", S.getVisual("color")), A.setStyle("decal", S.getVisual("style").decal), setStatesStylesFromModel(A, b), d.add(A), g.setItemGraphicEl(S.dataIndex, A), getECData(A).dataType = "node";
        var N = x.get("focus");
        toggleHoverEmphasis(A, N === "adjacency" ? S.getAdjacentDataIndices() : N === "trajectory" ? S.getTrajectoryDataIndices() : N, x.get("blurScope"), x.get("disabled"));
      }), g.eachItemGraphicEl(function(S, C) {
        var b = g.getItemModel(C);
        b.get("draggable") && (S.drift = function(T, E) {
          u._focusAdjacencyDisabled = !0, this.shape.x += T, this.shape.y += E, this.dirty(), l.dispatchAction({
            type: "dragNode",
            seriesId: o.id,
            dataIndex: g.getRawIndex(C),
            localX: this.shape.x / p,
            localY: this.shape.y / v
          });
        }, S.ondragend = function() {
          u._focusAdjacencyDisabled = !1;
        }, S.draggable = !0, S.cursor = "move");
      }), !this._data && o.isAnimationEnabled() && d.setClipPath(createGridClipShape$1(d.getBoundingRect(), o, function() {
        d.removeClipPath();
      })), this._data = o.getData();
    }, a.prototype.dispose = function() {
    }, a.type = "sankey", a;
  }(ChartView)
);
function applyCurveStyle(r, a, o) {
  switch (r.fill) {
    case "source":
      r.fill = o.node1.getVisual("color"), r.decal = o.node1.getVisual("style").decal;
      break;
    case "target":
      r.fill = o.node2.getVisual("color"), r.decal = o.node2.getVisual("style").decal;
      break;
    case "gradient":
      var s = o.node1.getVisual("color"), l = o.node2.getVisual("color");
      isString(s) && isString(l) && (r.fill = new LinearGradient(0, 0, +(a === "horizontal"), +(a === "vertical"), [{
        color: s,
        offset: 0
      }, {
        color: l,
        offset: 1
      }]));
  }
}
function createGridClipShape$1(r, a, o) {
  var s = new Rect$2({
    shape: {
      x: r.x - 10,
      y: r.y - 10,
      width: 0,
      height: r.height + 20
    }
  });
  return initProps(s, {
    shape: {
      width: r.width + 20
    }
  }, a, o), s;
}
var SankeySeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.getInitialData = function(o, s) {
      var l = o.edges || o.links || [], u = o.data || o.nodes || [], c = o.levels || [];
      this.levelModels = [];
      for (var d = this.levelModels, f = 0; f < c.length; f++)
        if (c[f].depth != null && c[f].depth >= 0)
          d[c[f].depth] = new Model(c[f], this, s);
        else if (process.env.NODE_ENV !== "production")
          throw new Error("levels[i].depth is mandatory and should be natural number");
      var p = createGraphFromNodeEdge(u, l, this, !0, v);
      return p.data;
      function v(g, y) {
        g.wrapMethod("getItemModel", function(_, S) {
          var C = _.parentModel, b = C.getData().getItemLayout(S);
          if (b) {
            var T = b.depth, E = C.levelModels[T];
            E && (_.parentModel = E);
          }
          return _;
        }), y.wrapMethod("getItemModel", function(_, S) {
          var C = _.parentModel, b = C.getGraph().getEdgeByIndex(S), T = b.node1.getLayout();
          if (T) {
            var E = T.depth, x = C.levelModels[E];
            x && (_.parentModel = x);
          }
          return _;
        });
      }
    }, a.prototype.setNodePosition = function(o, s) {
      var l = this.option.data || this.option.nodes, u = l[o];
      u.localX = s[0], u.localY = s[1];
    }, a.prototype.getGraph = function() {
      return this.getData().graph;
    }, a.prototype.getEdgeData = function() {
      return this.getGraph().edgeData;
    }, a.prototype.formatTooltip = function(o, s, l) {
      function u(_) {
        return isNaN(_) || _ == null;
      }
      if (l === "edge") {
        var c = this.getDataParams(o, l), d = c.data, f = c.value, p = d.source + " -- " + d.target;
        return createTooltipMarkup("nameValue", {
          name: p,
          value: f,
          noValue: u(f)
        });
      } else {
        var v = this.getGraph().getNodeByIndex(o), g = v.getLayout().value, y = this.getDataParams(o, l).data.name;
        return createTooltipMarkup("nameValue", {
          name: y != null ? y + "" : null,
          value: g,
          noValue: u(g)
        });
      }
    }, a.prototype.optionUpdated = function() {
    }, a.prototype.getDataParams = function(o, s) {
      var l = r.prototype.getDataParams.call(this, o, s);
      if (l.value == null && s === "node") {
        var u = this.getGraph().getNodeByIndex(o), c = u.getLayout().value;
        l.value = c;
      }
      return l;
    }, a.type = "series.sankey", a.defaultOption = {
      // zlevel: 0,
      z: 2,
      coordinateSystem: "view",
      left: "5%",
      top: "5%",
      right: "20%",
      bottom: "5%",
      orient: "horizontal",
      nodeWidth: 20,
      nodeGap: 8,
      draggable: !0,
      layoutIterations: 32,
      label: {
        show: !0,
        position: "right",
        fontSize: 12
      },
      edgeLabel: {
        show: !1,
        fontSize: 12
      },
      levels: [],
      nodeAlign: "justify",
      lineStyle: {
        color: "#314656",
        opacity: 0.2,
        curveness: 0.5
      },
      emphasis: {
        label: {
          show: !0
        },
        lineStyle: {
          opacity: 0.5
        }
      },
      select: {
        itemStyle: {
          borderColor: "#212121"
        }
      },
      animationEasing: "linear",
      animationDuration: 1e3
    }, a;
  }(SeriesModel)
);
function sankeyLayout(r, a) {
  r.eachSeriesByType("sankey", function(o) {
    var s = o.get("nodeWidth"), l = o.get("nodeGap"), u = getViewRect$1(o, a);
    o.layoutInfo = u;
    var c = u.width, d = u.height, f = o.getGraph(), p = f.nodes, v = f.edges;
    computeNodeValues(p);
    var g = filter(p, function(C) {
      return C.getLayout().value === 0;
    }), y = g.length !== 0 ? 0 : o.get("layoutIterations"), _ = o.get("orient"), S = o.get("nodeAlign");
    layoutSankey(p, v, s, l, c, d, y, _, S);
  });
}
function getViewRect$1(r, a) {
  return getLayoutRect(r.getBoxLayoutParams(), {
    width: a.getWidth(),
    height: a.getHeight()
  });
}
function layoutSankey(r, a, o, s, l, u, c, d, f) {
  computeNodeBreadths(r, a, o, l, u, d, f), computeNodeDepths(r, a, u, l, s, c, d), computeEdgeDepths(r, d);
}
function computeNodeValues(r) {
  each$f(r, function(a) {
    var o = sum(a.outEdges, getEdgeValue), s = sum(a.inEdges, getEdgeValue), l = a.getValue() || 0, u = Math.max(o, s, l);
    a.setLayout({
      value: u
    }, !0);
  });
}
function computeNodeBreadths(r, a, o, s, l, u, c) {
  for (var d = [], f = [], p = [], v = [], g = 0, y = 0; y < a.length; y++)
    d[y] = 1;
  for (var y = 0; y < r.length; y++)
    f[y] = r[y].inEdges.length, f[y] === 0 && p.push(r[y]);
  for (var _ = -1; p.length; ) {
    for (var S = 0; S < p.length; S++) {
      var C = p[S], b = C.hostGraph.data.getRawDataItem(C.dataIndex), T = b.depth != null && b.depth >= 0;
      T && b.depth > _ && (_ = b.depth), C.setLayout({
        depth: T ? b.depth : g
      }, !0), u === "vertical" ? C.setLayout({
        dy: o
      }, !0) : C.setLayout({
        dx: o
      }, !0);
      for (var E = 0; E < C.outEdges.length; E++) {
        var x = C.outEdges[E], $ = a.indexOf(x);
        d[$] = 0;
        var A = x.node2, N = r.indexOf(A);
        --f[N] === 0 && v.indexOf(A) < 0 && v.push(A);
      }
    }
    ++g, p = v, v = [];
  }
  for (var y = 0; y < d.length; y++)
    if (d[y] === 1)
      throw new Error("Sankey is a DAG, the original data has cycle!");
  var P = _ > g - 1 ? _ : g - 1;
  c && c !== "left" && adjustNodeWithNodeAlign(r, c, u, P);
  var L = u === "vertical" ? (l - o) / P : (s - o) / P;
  scaleNodeBreadths(r, L, u);
}
function isNodeDepth(r) {
  var a = r.hostGraph.data.getRawDataItem(r.dataIndex);
  return a.depth != null && a.depth >= 0;
}
function adjustNodeWithNodeAlign(r, a, o, s) {
  if (a === "right") {
    for (var l = [], u = r, c = 0; u.length; ) {
      for (var d = 0; d < u.length; d++) {
        var f = u[d];
        f.setLayout({
          skNodeHeight: c
        }, !0);
        for (var p = 0; p < f.inEdges.length; p++) {
          var v = f.inEdges[p];
          l.indexOf(v.node1) < 0 && l.push(v.node1);
        }
      }
      u = l, l = [], ++c;
    }
    each$f(r, function(g) {
      isNodeDepth(g) || g.setLayout({
        depth: Math.max(0, s - g.getLayout().skNodeHeight)
      }, !0);
    });
  } else a === "justify" && moveSinksRight(r, s);
}
function moveSinksRight(r, a) {
  each$f(r, function(o) {
    !isNodeDepth(o) && !o.outEdges.length && o.setLayout({
      depth: a
    }, !0);
  });
}
function scaleNodeBreadths(r, a, o) {
  each$f(r, function(s) {
    var l = s.getLayout().depth * a;
    o === "vertical" ? s.setLayout({
      y: l
    }, !0) : s.setLayout({
      x: l
    }, !0);
  });
}
function computeNodeDepths(r, a, o, s, l, u, c) {
  var d = prepareNodesByBreadth(r, c);
  initializeNodeDepth(d, a, o, s, l, c), resolveCollisions(d, l, o, s, c);
  for (var f = 1; u > 0; u--)
    f *= 0.99, relaxRightToLeft(d, f, c), resolveCollisions(d, l, o, s, c), relaxLeftToRight(d, f, c), resolveCollisions(d, l, o, s, c);
}
function prepareNodesByBreadth(r, a) {
  var o = [], s = a === "vertical" ? "y" : "x", l = groupData(r, function(u) {
    return u.getLayout()[s];
  });
  return l.keys.sort(function(u, c) {
    return u - c;
  }), each$f(l.keys, function(u) {
    o.push(l.buckets.get(u));
  }), o;
}
function initializeNodeDepth(r, a, o, s, l, u) {
  var c = 1 / 0;
  each$f(r, function(d) {
    var f = d.length, p = 0;
    each$f(d, function(g) {
      p += g.getLayout().value;
    });
    var v = u === "vertical" ? (s - (f - 1) * l) / p : (o - (f - 1) * l) / p;
    v < c && (c = v);
  }), each$f(r, function(d) {
    each$f(d, function(f, p) {
      var v = f.getLayout().value * c;
      u === "vertical" ? (f.setLayout({
        x: p
      }, !0), f.setLayout({
        dx: v
      }, !0)) : (f.setLayout({
        y: p
      }, !0), f.setLayout({
        dy: v
      }, !0));
    });
  }), each$f(a, function(d) {
    var f = +d.getValue() * c;
    d.setLayout({
      dy: f
    }, !0);
  });
}
function resolveCollisions(r, a, o, s, l) {
  var u = l === "vertical" ? "x" : "y";
  each$f(r, function(c) {
    c.sort(function(C, b) {
      return C.getLayout()[u] - b.getLayout()[u];
    });
    for (var d, f, p, v = 0, g = c.length, y = l === "vertical" ? "dx" : "dy", _ = 0; _ < g; _++)
      f = c[_], p = v - f.getLayout()[u], p > 0 && (d = f.getLayout()[u] + p, l === "vertical" ? f.setLayout({
        x: d
      }, !0) : f.setLayout({
        y: d
      }, !0)), v = f.getLayout()[u] + f.getLayout()[y] + a;
    var S = l === "vertical" ? s : o;
    if (p = v - a - S, p > 0) {
      d = f.getLayout()[u] - p, l === "vertical" ? f.setLayout({
        x: d
      }, !0) : f.setLayout({
        y: d
      }, !0), v = d;
      for (var _ = g - 2; _ >= 0; --_)
        f = c[_], p = f.getLayout()[u] + f.getLayout()[y] + a - v, p > 0 && (d = f.getLayout()[u] - p, l === "vertical" ? f.setLayout({
          x: d
        }, !0) : f.setLayout({
          y: d
        }, !0)), v = f.getLayout()[u];
    }
  });
}
function relaxRightToLeft(r, a, o) {
  each$f(r.slice().reverse(), function(s) {
    each$f(s, function(l) {
      if (l.outEdges.length) {
        var u = sum(l.outEdges, weightedTarget, o) / sum(l.outEdges, getEdgeValue);
        if (isNaN(u)) {
          var c = l.outEdges.length;
          u = c ? sum(l.outEdges, centerTarget, o) / c : 0;
        }
        if (o === "vertical") {
          var d = l.getLayout().x + (u - center(l, o)) * a;
          l.setLayout({
            x: d
          }, !0);
        } else {
          var f = l.getLayout().y + (u - center(l, o)) * a;
          l.setLayout({
            y: f
          }, !0);
        }
      }
    });
  });
}
function weightedTarget(r, a) {
  return center(r.node2, a) * r.getValue();
}
function centerTarget(r, a) {
  return center(r.node2, a);
}
function weightedSource(r, a) {
  return center(r.node1, a) * r.getValue();
}
function centerSource(r, a) {
  return center(r.node1, a);
}
function center(r, a) {
  return a === "vertical" ? r.getLayout().x + r.getLayout().dx / 2 : r.getLayout().y + r.getLayout().dy / 2;
}
function getEdgeValue(r) {
  return r.getValue();
}
function sum(r, a, o) {
  for (var s = 0, l = r.length, u = -1; ++u < l; ) {
    var c = +a(r[u], o);
    isNaN(c) || (s += c);
  }
  return s;
}
function relaxLeftToRight(r, a, o) {
  each$f(r, function(s) {
    each$f(s, function(l) {
      if (l.inEdges.length) {
        var u = sum(l.inEdges, weightedSource, o) / sum(l.inEdges, getEdgeValue);
        if (isNaN(u)) {
          var c = l.inEdges.length;
          u = c ? sum(l.inEdges, centerSource, o) / c : 0;
        }
        if (o === "vertical") {
          var d = l.getLayout().x + (u - center(l, o)) * a;
          l.setLayout({
            x: d
          }, !0);
        } else {
          var f = l.getLayout().y + (u - center(l, o)) * a;
          l.setLayout({
            y: f
          }, !0);
        }
      }
    });
  });
}
function computeEdgeDepths(r, a) {
  var o = a === "vertical" ? "x" : "y";
  each$f(r, function(s) {
    s.outEdges.sort(function(l, u) {
      return l.node2.getLayout()[o] - u.node2.getLayout()[o];
    }), s.inEdges.sort(function(l, u) {
      return l.node1.getLayout()[o] - u.node1.getLayout()[o];
    });
  }), each$f(r, function(s) {
    var l = 0, u = 0;
    each$f(s.outEdges, function(c) {
      c.setLayout({
        sy: l
      }, !0), l += c.getLayout().dy;
    }), each$f(s.inEdges, function(c) {
      c.setLayout({
        ty: u
      }, !0), u += c.getLayout().dy;
    });
  });
}
function sankeyVisual(r) {
  r.eachSeriesByType("sankey", function(a) {
    var o = a.getGraph(), s = o.nodes, l = o.edges;
    if (s.length) {
      var u = 1 / 0, c = -1 / 0;
      each$f(s, function(d) {
        var f = d.getLayout().value;
        f < u && (u = f), f > c && (c = f);
      }), each$f(s, function(d) {
        var f = new VisualMapping({
          type: "color",
          mappingMethod: "linear",
          dataExtent: [u, c],
          visual: a.get("color")
        }), p = f.mapValueToVisual(d.getLayout().value), v = d.getModel().get(["itemStyle", "color"]);
        v != null ? (d.setVisual("color", v), d.setVisual("style", {
          fill: v
        })) : (d.setVisual("color", p), d.setVisual("style", {
          fill: p
        }));
      });
    }
    l.length && each$f(l, function(d) {
      var f = d.getModel().get("lineStyle");
      d.setVisual("style", f);
    });
  });
}
function install$B(r) {
  r.registerChartView(SankeyView), r.registerSeriesModel(SankeySeriesModel), r.registerLayout(sankeyLayout), r.registerVisual(sankeyVisual), r.registerAction({
    type: "dragNode",
    event: "dragnode",
    // here can only use 'update' now, other value is not support in echarts.
    update: "update"
  }, function(a, o) {
    o.eachComponent({
      mainType: "series",
      subType: "sankey",
      query: a
    }, function(s) {
      s.setNodePosition(a.dataIndex, [a.localX, a.localY]);
    });
  });
}
var WhiskerBoxCommonMixin = (
  /** @class */
  function() {
    function r() {
    }
    return r.prototype._hasEncodeRule = function(a) {
      var o = this.getEncode();
      return o && o.get(a) != null;
    }, r.prototype.getInitialData = function(a, o) {
      var s, l = o.getComponent("xAxis", this.get("xAxisIndex")), u = o.getComponent("yAxis", this.get("yAxisIndex")), c = l.get("type"), d = u.get("type"), f;
      c === "category" ? (a.layout = "horizontal", s = l.getOrdinalMeta(), f = !this._hasEncodeRule("x")) : d === "category" ? (a.layout = "vertical", s = u.getOrdinalMeta(), f = !this._hasEncodeRule("y")) : a.layout = a.layout || "horizontal";
      var p = ["x", "y"], v = a.layout === "horizontal" ? 0 : 1, g = this._baseAxisDim = p[v], y = p[1 - v], _ = [l, u], S = _[v].get("type"), C = _[1 - v].get("type"), b = a.data;
      if (b && f) {
        var T = [];
        each$f(b, function($, A) {
          var N;
          isArray$1($) ? (N = $.slice(), $.unshift(A)) : isArray$1($.value) ? (N = extend({}, $), N.value = N.value.slice(), $.value.unshift(A)) : N = $, T.push(N);
        }), a.data = T;
      }
      var E = this.defaultValueDimensions, x = [{
        name: g,
        type: getDimensionTypeByAxis(S),
        ordinalMeta: s,
        otherDims: {
          tooltip: !1,
          itemName: 0
        },
        dimsDef: ["base"]
      }, {
        name: y,
        type: getDimensionTypeByAxis(C),
        dimsDef: E.slice()
      }];
      return createSeriesDataSimply(this, {
        coordDimensions: x,
        dimensionsCount: E.length + 1,
        encodeDefaulter: curry$1(makeSeriesEncodeForAxisCoordSys, x, this)
      });
    }, r.prototype.getBaseAxis = function() {
      var a = this._baseAxisDim;
      return this.ecModel.getComponent(a + "Axis", this.get(a + "AxisIndex")).axis;
    }, r;
  }()
), BoxplotSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.defaultValueDimensions = [{
        name: "min",
        defaultTooltip: !0
      }, {
        name: "Q1",
        defaultTooltip: !0
      }, {
        name: "median",
        defaultTooltip: !0
      }, {
        name: "Q3",
        defaultTooltip: !0
      }, {
        name: "max",
        defaultTooltip: !0
      }], o.visualDrawType = "stroke", o;
    }
    return a.type = "series.boxplot", a.dependencies = ["xAxis", "yAxis", "grid"], a.defaultOption = {
      // zlevel: 0,
      z: 2,
      coordinateSystem: "cartesian2d",
      legendHoverLink: !0,
      layout: null,
      boxWidth: [7, 50],
      itemStyle: {
        color: "#fff",
        borderWidth: 1
      },
      emphasis: {
        scale: !0,
        itemStyle: {
          borderWidth: 2,
          shadowBlur: 5,
          shadowOffsetX: 1,
          shadowOffsetY: 1,
          shadowColor: "rgba(0,0,0,0.2)"
        }
      },
      animationDuration: 800
    }, a;
  }(SeriesModel)
);
mixin(BoxplotSeriesModel, WhiskerBoxCommonMixin, !0);
var BoxplotView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l) {
      var u = o.getData(), c = this.group, d = this._data;
      this._data || c.removeAll();
      var f = o.get("layout") === "horizontal" ? 1 : 0;
      u.diff(d).add(function(p) {
        if (u.hasValue(p)) {
          var v = u.getItemLayout(p), g = createNormalBox$1(v, u, p, f, !0);
          u.setItemGraphicEl(p, g), c.add(g);
        }
      }).update(function(p, v) {
        var g = d.getItemGraphicEl(v);
        if (!u.hasValue(p)) {
          c.remove(g);
          return;
        }
        var y = u.getItemLayout(p);
        g ? (saveOldStyle(g), updateNormalBoxData(y, g, u, p)) : g = createNormalBox$1(y, u, p, f), c.add(g), u.setItemGraphicEl(p, g);
      }).remove(function(p) {
        var v = d.getItemGraphicEl(p);
        v && c.remove(v);
      }).execute(), this._data = u;
    }, a.prototype.remove = function(o) {
      var s = this.group, l = this._data;
      this._data = null, l && l.eachItemGraphicEl(function(u) {
        u && s.remove(u);
      });
    }, a.type = "boxplot", a;
  }(ChartView)
), BoxPathShape = (
  /** @class */
  /* @__PURE__ */ function() {
    function r() {
    }
    return r;
  }()
), BoxPath = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      var s = r.call(this, o) || this;
      return s.type = "boxplotBoxPath", s;
    }
    return a.prototype.getDefaultShape = function() {
      return new BoxPathShape();
    }, a.prototype.buildPath = function(o, s) {
      var l = s.points, u = 0;
      for (o.moveTo(l[u][0], l[u][1]), u++; u < 4; u++)
        o.lineTo(l[u][0], l[u][1]);
      for (o.closePath(); u < l.length; u++)
        o.moveTo(l[u][0], l[u][1]), u++, o.lineTo(l[u][0], l[u][1]);
    }, a;
  }(Path)
);
function createNormalBox$1(r, a, o, s, l) {
  var u = r.ends, c = new BoxPath({
    shape: {
      points: l ? transInit$1(u, s, r) : u
    }
  });
  return updateNormalBoxData(r, c, a, o, l), c;
}
function updateNormalBoxData(r, a, o, s, l) {
  var u = o.hostModel, c = graphic$1[l ? "initProps" : "updateProps"];
  c(a, {
    shape: {
      points: r.ends
    }
  }, u, s), a.useStyle(o.getItemVisual(s, "style")), a.style.strokeNoScale = !0, a.z2 = 100;
  var d = o.getItemModel(s), f = d.getModel("emphasis");
  setStatesStylesFromModel(a, d), toggleHoverEmphasis(a, f.get("focus"), f.get("blurScope"), f.get("disabled"));
}
function transInit$1(r, a, o) {
  return map$1(r, function(s) {
    return s = s.slice(), s[a] = o.initBaseline, s;
  });
}
var each$9 = each$f;
function boxplotLayout(r) {
  var a = groupSeriesByAxis(r);
  each$9(a, function(o) {
    var s = o.seriesModels;
    s.length && (calculateBase(o), each$9(s, function(l, u) {
      layoutSingleSeries(l, o.boxOffsetList[u], o.boxWidthList[u]);
    }));
  });
}
function groupSeriesByAxis(r) {
  var a = [], o = [];
  return r.eachSeriesByType("boxplot", function(s) {
    var l = s.getBaseAxis(), u = indexOf(o, l);
    u < 0 && (u = o.length, o[u] = l, a[u] = {
      axis: l,
      seriesModels: []
    }), a[u].seriesModels.push(s);
  }), a;
}
function calculateBase(r) {
  var a = r.axis, o = r.seriesModels, s = o.length, l = r.boxWidthList = [], u = r.boxOffsetList = [], c = [], d;
  if (a.type === "category")
    d = a.getBandWidth();
  else {
    var f = 0;
    each$9(o, function(S) {
      f = Math.max(f, S.getData().count());
    });
    var p = a.getExtent();
    d = Math.abs(p[1] - p[0]) / f;
  }
  each$9(o, function(S) {
    var C = S.get("boxWidth");
    isArray$1(C) || (C = [C, C]), c.push([parsePercent(C[0], d) || 0, parsePercent(C[1], d) || 0]);
  });
  var v = d * 0.8 - 2, g = v / s * 0.3, y = (v - g * (s - 1)) / s, _ = y / 2 - v / 2;
  each$9(o, function(S, C) {
    u.push(_), _ += g + y, l.push(Math.min(Math.max(y, c[C][0]), c[C][1]));
  });
}
function layoutSingleSeries(r, a, o) {
  var s = r.coordinateSystem, l = r.getData(), u = o / 2, c = r.get("layout") === "horizontal" ? 0 : 1, d = 1 - c, f = ["x", "y"], p = l.mapDimension(f[c]), v = l.mapDimensionsAll(f[d]);
  if (p == null || v.length < 5)
    return;
  for (var g = 0; g < l.count(); g++) {
    var y = l.get(p, g), _ = x(y, v[2], g), S = x(y, v[0], g), C = x(y, v[1], g), b = x(y, v[3], g), T = x(y, v[4], g), E = [];
    $(E, C, !1), $(E, b, !0), E.push(S, C, T, b), A(E, S), A(E, T), A(E, _), l.setItemLayout(g, {
      initBaseline: _[d],
      ends: E
    });
  }
  function x(N, P, L) {
    var O = l.get(P, L), M = [];
    M[c] = N, M[d] = O;
    var F;
    return isNaN(N) || isNaN(O) ? F = [NaN, NaN] : (F = s.dataToPoint(M), F[c] += a), F;
  }
  function $(N, P, L) {
    var O = P.slice(), M = P.slice();
    O[c] += u, M[c] -= u, L ? N.push(O, M) : N.push(M, O);
  }
  function A(N, P) {
    var L = P.slice(), O = P.slice();
    L[c] -= u, O[c] += u, N.push(L, O);
  }
}
function prepareBoxplotData(r, a) {
  a = a || {};
  for (var o = [], s = [], l = a.boundIQR, u = l === "none" || l === 0, c = 0; c < r.length; c++) {
    var d = asc$2(r[c].slice()), f = quantile(d, 0.25), p = quantile(d, 0.5), v = quantile(d, 0.75), g = d[0], y = d[d.length - 1], _ = (l ?? 1.5) * (v - f), S = u ? g : Math.max(g, f - _), C = u ? y : Math.min(y, v + _), b = a.itemNameFormatter, T = isFunction(b) ? b({
      value: c
    }) : isString(b) ? b.replace("{value}", c + "") : c + "";
    o.push([T, S, f, p, v, C]);
    for (var E = 0; E < d.length; E++) {
      var x = d[E];
      if (x < S || x > C) {
        var $ = [T, x];
        s.push($);
      }
    }
  }
  return {
    boxData: o,
    outliers: s
  };
}
var boxplotTransform = {
  type: "echarts:boxplot",
  transform: function r(a) {
    var o = a.upstream;
    if (o.sourceFormat !== SOURCE_FORMAT_ARRAY_ROWS) {
      var s = "";
      process.env.NODE_ENV !== "production" && (s = makePrintable("source data is not applicable for this boxplot transform. Expect number[][].")), throwError(s);
    }
    var l = prepareBoxplotData(o.getRawData(), a.config);
    return [{
      dimensions: ["ItemName", "Low", "Q1", "Q2", "Q3", "High"],
      data: l.boxData
    }, {
      data: l.outliers
    }];
  }
};
function install$A(r) {
  r.registerSeriesModel(BoxplotSeriesModel), r.registerChartView(BoxplotView), r.registerLayout(boxplotLayout), r.registerTransform(boxplotTransform);
}
var positiveBorderColorQuery = ["itemStyle", "borderColor"], negativeBorderColorQuery = ["itemStyle", "borderColor0"], dojiBorderColorQuery = ["itemStyle", "borderColorDoji"], positiveColorQuery = ["itemStyle", "color"], negativeColorQuery = ["itemStyle", "color0"];
function getColor(r, a) {
  return a.get(r > 0 ? positiveColorQuery : negativeColorQuery);
}
function getBorderColor(r, a) {
  return a.get(r === 0 ? dojiBorderColorQuery : r > 0 ? positiveBorderColorQuery : negativeBorderColorQuery);
}
var candlestickVisual = {
  seriesType: "candlestick",
  plan: createRenderPlanner(),
  // For legend.
  performRawSeries: !0,
  reset: function(r, a) {
    if (!a.isSeriesFiltered(r)) {
      var o = r.pipelineContext.large;
      return !o && {
        progress: function(s, l) {
          for (var u; (u = s.next()) != null; ) {
            var c = l.getItemModel(u), d = l.getItemLayout(u).sign, f = c.getItemStyle();
            f.fill = getColor(d, c), f.stroke = getBorderColor(d, c) || f.fill;
            var p = l.ensureUniqueItemVisual(u, "style");
            extend(p, f);
          }
        }
      };
    }
  }
}, SKIP_PROPS = ["color", "borderColor"], CandlestickView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l) {
      this.group.removeClipPath(), this._progressiveEls = null, this._updateDrawMode(o), this._isLargeDraw ? this._renderLarge(o) : this._renderNormal(o);
    }, a.prototype.incrementalPrepareRender = function(o, s, l) {
      this._clear(), this._updateDrawMode(o);
    }, a.prototype.incrementalRender = function(o, s, l, u) {
      this._progressiveEls = [], this._isLargeDraw ? this._incrementalRenderLarge(o, s) : this._incrementalRenderNormal(o, s);
    }, a.prototype.eachRendered = function(o) {
      traverseElements(this._progressiveEls || this.group, o);
    }, a.prototype._updateDrawMode = function(o) {
      var s = o.pipelineContext.large;
      (this._isLargeDraw == null || s !== this._isLargeDraw) && (this._isLargeDraw = s, this._clear());
    }, a.prototype._renderNormal = function(o) {
      var s = o.getData(), l = this._data, u = this.group, c = s.getLayout("isSimpleBox"), d = o.get("clip", !0), f = o.coordinateSystem, p = f.getArea && f.getArea();
      this._data || u.removeAll(), s.diff(l).add(function(v) {
        if (s.hasValue(v)) {
          var g = s.getItemLayout(v);
          if (d && isNormalBoxClipped(p, g))
            return;
          var y = createNormalBox(g, v, !0);
          initProps(y, {
            shape: {
              points: g.ends
            }
          }, o, v), setBoxCommon(y, s, v, c), u.add(y), s.setItemGraphicEl(v, y);
        }
      }).update(function(v, g) {
        var y = l.getItemGraphicEl(g);
        if (!s.hasValue(v)) {
          u.remove(y);
          return;
        }
        var _ = s.getItemLayout(v);
        if (d && isNormalBoxClipped(p, _)) {
          u.remove(y);
          return;
        }
        y ? (updateProps$1(y, {
          shape: {
            points: _.ends
          }
        }, o, v), saveOldStyle(y)) : y = createNormalBox(_), setBoxCommon(y, s, v, c), u.add(y), s.setItemGraphicEl(v, y);
      }).remove(function(v) {
        var g = l.getItemGraphicEl(v);
        g && u.remove(g);
      }).execute(), this._data = s;
    }, a.prototype._renderLarge = function(o) {
      this._clear(), createLarge(o, this.group);
      var s = o.get("clip", !0) ? createClipPath(o.coordinateSystem, !1, o) : null;
      s ? this.group.setClipPath(s) : this.group.removeClipPath();
    }, a.prototype._incrementalRenderNormal = function(o, s) {
      for (var l = s.getData(), u = l.getLayout("isSimpleBox"), c; (c = o.next()) != null; ) {
        var d = l.getItemLayout(c), f = createNormalBox(d);
        setBoxCommon(f, l, c, u), f.incremental = !0, this.group.add(f), this._progressiveEls.push(f);
      }
    }, a.prototype._incrementalRenderLarge = function(o, s) {
      createLarge(s, this.group, this._progressiveEls, !0);
    }, a.prototype.remove = function(o) {
      this._clear();
    }, a.prototype._clear = function() {
      this.group.removeAll(), this._data = null;
    }, a.type = "candlestick", a;
  }(ChartView)
), NormalBoxPathShape = (
  /** @class */
  /* @__PURE__ */ function() {
    function r() {
    }
    return r;
  }()
), NormalBoxPath = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      var s = r.call(this, o) || this;
      return s.type = "normalCandlestickBox", s;
    }
    return a.prototype.getDefaultShape = function() {
      return new NormalBoxPathShape();
    }, a.prototype.buildPath = function(o, s) {
      var l = s.points;
      this.__simpleBox ? (o.moveTo(l[4][0], l[4][1]), o.lineTo(l[6][0], l[6][1])) : (o.moveTo(l[0][0], l[0][1]), o.lineTo(l[1][0], l[1][1]), o.lineTo(l[2][0], l[2][1]), o.lineTo(l[3][0], l[3][1]), o.closePath(), o.moveTo(l[4][0], l[4][1]), o.lineTo(l[5][0], l[5][1]), o.moveTo(l[6][0], l[6][1]), o.lineTo(l[7][0], l[7][1]));
    }, a;
  }(Path)
);
function createNormalBox(r, a, o) {
  var s = r.ends;
  return new NormalBoxPath({
    shape: {
      points: o ? transInit(s, r) : s
    },
    z2: 100
  });
}
function isNormalBoxClipped(r, a) {
  for (var o = !0, s = 0; s < a.ends.length; s++)
    if (r.contain(a.ends[s][0], a.ends[s][1])) {
      o = !1;
      break;
    }
  return o;
}
function setBoxCommon(r, a, o, s) {
  var l = a.getItemModel(o);
  r.useStyle(a.getItemVisual(o, "style")), r.style.strokeNoScale = !0, r.__simpleBox = s, setStatesStylesFromModel(r, l);
  var u = a.getItemLayout(o).sign;
  each$f(r.states, function(d, f) {
    var p = l.getModel(f), v = getColor(u, p), g = getBorderColor(u, p) || v, y = d.style || (d.style = {});
    v && (y.fill = v), g && (y.stroke = g);
  });
  var c = l.getModel("emphasis");
  toggleHoverEmphasis(r, c.get("focus"), c.get("blurScope"), c.get("disabled"));
}
function transInit(r, a) {
  return map$1(r, function(o) {
    return o = o.slice(), o[1] = a.initBaseline, o;
  });
}
var LargeBoxPathShape = (
  /** @class */
  /* @__PURE__ */ function() {
    function r() {
    }
    return r;
  }()
), LargeBoxPath = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      var s = r.call(this, o) || this;
      return s.type = "largeCandlestickBox", s;
    }
    return a.prototype.getDefaultShape = function() {
      return new LargeBoxPathShape();
    }, a.prototype.buildPath = function(o, s) {
      for (var l = s.points, u = 0; u < l.length; )
        if (this.__sign === l[u++]) {
          var c = l[u++];
          o.moveTo(c, l[u++]), o.lineTo(c, l[u++]);
        } else
          u += 3;
    }, a;
  }(Path)
);
function createLarge(r, a, o, s) {
  var l = r.getData(), u = l.getLayout("largePoints"), c = new LargeBoxPath({
    shape: {
      points: u
    },
    __sign: 1,
    ignoreCoarsePointer: !0
  });
  a.add(c);
  var d = new LargeBoxPath({
    shape: {
      points: u
    },
    __sign: -1,
    ignoreCoarsePointer: !0
  });
  a.add(d);
  var f = new LargeBoxPath({
    shape: {
      points: u
    },
    __sign: 0,
    ignoreCoarsePointer: !0
  });
  a.add(f), setLargeStyle(1, c, r), setLargeStyle(-1, d, r), setLargeStyle(0, f, r), s && (c.incremental = !0, d.incremental = !0), o && o.push(c, d);
}
function setLargeStyle(r, a, o, s) {
  var l = getBorderColor(r, o) || getColor(r, o), u = o.getModel("itemStyle").getItemStyle(SKIP_PROPS);
  a.useStyle(u), a.style.fill = null, a.style.stroke = l;
}
var CandlestickSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.defaultValueDimensions = [{
        name: "open",
        defaultTooltip: !0
      }, {
        name: "close",
        defaultTooltip: !0
      }, {
        name: "lowest",
        defaultTooltip: !0
      }, {
        name: "highest",
        defaultTooltip: !0
      }], o;
    }
    return a.prototype.getShadowDim = function() {
      return "open";
    }, a.prototype.brushSelector = function(o, s, l) {
      var u = s.getItemLayout(o);
      return u && l.rect(u.brushRect);
    }, a.type = "series.candlestick", a.dependencies = ["xAxis", "yAxis", "grid"], a.defaultOption = {
      // zlevel: 0,
      z: 2,
      coordinateSystem: "cartesian2d",
      legendHoverLink: !0,
      // xAxisIndex: 0,
      // yAxisIndex: 0,
      layout: null,
      clip: !0,
      itemStyle: {
        color: "#eb5454",
        color0: "#47b262",
        borderColor: "#eb5454",
        borderColor0: "#47b262",
        borderColorDoji: null,
        // borderColor: '#d24040',
        // borderColor0: '#398f4f',
        borderWidth: 1
      },
      emphasis: {
        itemStyle: {
          borderWidth: 2
        }
      },
      barMaxWidth: null,
      barMinWidth: null,
      barWidth: null,
      large: !0,
      largeThreshold: 600,
      progressive: 3e3,
      progressiveThreshold: 1e4,
      progressiveChunkMode: "mod",
      animationEasing: "linear",
      animationDuration: 300
    }, a;
  }(SeriesModel)
);
mixin(CandlestickSeriesModel, WhiskerBoxCommonMixin, !0);
function candlestickPreprocessor(r) {
  !r || !isArray$1(r.series) || each$f(r.series, function(a) {
    isObject$3(a) && a.type === "k" && (a.type = "candlestick");
  });
}
var candlestickLayout = {
  seriesType: "candlestick",
  plan: createRenderPlanner(),
  reset: function(r) {
    var a = r.coordinateSystem, o = r.getData(), s = calculateCandleWidth(r, o), l = 0, u = 1, c = ["x", "y"], d = o.getDimensionIndex(o.mapDimension(c[l])), f = map$1(o.mapDimensionsAll(c[u]), o.getDimensionIndex, o), p = f[0], v = f[1], g = f[2], y = f[3];
    if (o.setLayout({
      candleWidth: s,
      // The value is experimented visually.
      isSimpleBox: s <= 1.3
    }), d < 0 || f.length < 4)
      return;
    return {
      progress: r.pipelineContext.large ? S : _
    };
    function _(C, b) {
      for (var T, E = b.getStore(); (T = C.next()) != null; ) {
        var x = E.get(d, T), $ = E.get(p, T), A = E.get(v, T), N = E.get(g, T), P = E.get(y, T), L = Math.min($, A), O = Math.max($, A), M = G(L, x), F = G(O, x), U = G(N, x), R = G(P, x), H = [];
        Z(H, F, 0), Z(H, M, 1), H.push(de(R), de(F), de(U), de(M));
        var V = b.getItemModel(T), Y = !!V.get(["itemStyle", "borderColorDoji"]);
        b.setItemLayout(T, {
          sign: getSign(E, T, $, A, v, Y),
          initBaseline: $ > A ? F[u] : M[u],
          ends: H,
          brushRect: re(N, P, x)
        });
      }
      function G(X, W) {
        var te = [];
        return te[l] = W, te[u] = X, isNaN(W) || isNaN(X) ? [NaN, NaN] : a.dataToPoint(te);
      }
      function Z(X, W, te) {
        var ae = W.slice(), Te = W.slice();
        ae[l] = subPixelOptimize(ae[l] + s / 2, 1, !1), Te[l] = subPixelOptimize(Te[l] - s / 2, 1, !0), te ? X.push(ae, Te) : X.push(Te, ae);
      }
      function re(X, W, te) {
        var ae = G(X, te), Te = G(W, te);
        return ae[l] -= s / 2, Te[l] -= s / 2, {
          x: ae[0],
          y: ae[1],
          width: s,
          height: Te[1] - ae[1]
        };
      }
      function de(X) {
        return X[l] = subPixelOptimize(X[l], 1), X;
      }
    }
    function S(C, b) {
      for (var T = createFloat32Array(C.count * 4), E = 0, x, $ = [], A = [], N, P = b.getStore(), L = !!r.get(["itemStyle", "borderColorDoji"]); (N = C.next()) != null; ) {
        var O = P.get(d, N), M = P.get(p, N), F = P.get(v, N), U = P.get(g, N), R = P.get(y, N);
        if (isNaN(O) || isNaN(U) || isNaN(R)) {
          T[E++] = NaN, E += 3;
          continue;
        }
        T[E++] = getSign(P, N, M, F, v, L), $[l] = O, $[u] = U, x = a.dataToPoint($, null, A), T[E++] = x ? x[0] : NaN, T[E++] = x ? x[1] : NaN, $[u] = R, x = a.dataToPoint($, null, A), T[E++] = x ? x[1] : NaN;
      }
      b.setLayout("largePoints", T);
    }
  }
};
function getSign(r, a, o, s, l, u) {
  var c;
  return o > s ? c = -1 : o < s ? c = 1 : c = u ? 0 : a > 0 ? r.get(l, a - 1) <= s ? 1 : -1 : 1, c;
}
function calculateCandleWidth(r, a) {
  var o = r.getBaseAxis(), s, l = o.type === "category" ? o.getBandWidth() : (s = o.getExtent(), Math.abs(s[1] - s[0]) / a.count()), u = parsePercent(retrieve2(r.get("barMaxWidth"), l), l), c = parsePercent(retrieve2(r.get("barMinWidth"), 1), l), d = r.get("barWidth");
  return d != null ? parsePercent(d, l) : Math.max(Math.min(l / 2, u), c);
}
function install$z(r) {
  r.registerChartView(CandlestickView), r.registerSeriesModel(CandlestickSeriesModel), r.registerPreprocessor(candlestickPreprocessor), r.registerVisual(candlestickVisual), r.registerLayout(candlestickLayout);
}
function updateRipplePath(r, a) {
  var o = a.rippleEffectColor || a.color;
  r.eachChild(function(s) {
    s.attr({
      z: a.z,
      zlevel: a.zlevel,
      style: {
        stroke: a.brushType === "stroke" ? o : null,
        fill: a.brushType === "fill" ? o : null
      }
    });
  });
}
var EffectSymbol = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s) {
      var l = r.call(this) || this, u = new Symbol$1(o, s), c = new Group$3();
      return l.add(u), l.add(c), l.updateData(o, s), l;
    }
    return a.prototype.stopEffectAnimation = function() {
      this.childAt(1).removeAll();
    }, a.prototype.startEffectAnimation = function(o) {
      for (var s = o.symbolType, l = o.color, u = o.rippleNumber, c = this.childAt(1), d = 0; d < u; d++) {
        var f = createSymbol$1(s, -1, -1, 2, 2, l);
        f.attr({
          style: {
            strokeNoScale: !0
          },
          z2: 99,
          silent: !0,
          scaleX: 0.5,
          scaleY: 0.5
        });
        var p = -d / u * o.period + o.effectOffset;
        f.animate("", !0).when(o.period, {
          scaleX: o.rippleScale / 2,
          scaleY: o.rippleScale / 2
        }).delay(p).start(), f.animateStyle(!0).when(o.period, {
          opacity: 0
        }).delay(p).start(), c.add(f);
      }
      updateRipplePath(c, o);
    }, a.prototype.updateEffectAnimation = function(o) {
      for (var s = this._effectCfg, l = this.childAt(1), u = ["symbolType", "period", "rippleScale", "rippleNumber"], c = 0; c < u.length; c++) {
        var d = u[c];
        if (s[d] !== o[d]) {
          this.stopEffectAnimation(), this.startEffectAnimation(o);
          return;
        }
      }
      updateRipplePath(l, o);
    }, a.prototype.highlight = function() {
      enterEmphasis(this);
    }, a.prototype.downplay = function() {
      leaveEmphasis(this);
    }, a.prototype.getSymbolType = function() {
      var o = this.childAt(0);
      return o && o.getSymbolType();
    }, a.prototype.updateData = function(o, s) {
      var l = this, u = o.hostModel;
      this.childAt(0).updateData(o, s);
      var c = this.childAt(1), d = o.getItemModel(s), f = o.getItemVisual(s, "symbol"), p = normalizeSymbolSize(o.getItemVisual(s, "symbolSize")), v = o.getItemVisual(s, "style"), g = v && v.fill, y = d.getModel("emphasis");
      c.setScale(p), c.traverse(function(b) {
        b.setStyle("fill", g);
      });
      var _ = normalizeSymbolOffset(o.getItemVisual(s, "symbolOffset"), p);
      _ && (c.x = _[0], c.y = _[1]);
      var S = o.getItemVisual(s, "symbolRotate");
      c.rotation = (S || 0) * Math.PI / 180 || 0;
      var C = {};
      C.showEffectOn = u.get("showEffectOn"), C.rippleScale = d.get(["rippleEffect", "scale"]), C.brushType = d.get(["rippleEffect", "brushType"]), C.period = d.get(["rippleEffect", "period"]) * 1e3, C.effectOffset = s / o.count(), C.z = u.getShallow("z") || 0, C.zlevel = u.getShallow("zlevel") || 0, C.symbolType = f, C.color = g, C.rippleEffectColor = d.get(["rippleEffect", "color"]), C.rippleNumber = d.get(["rippleEffect", "number"]), C.showEffectOn === "render" ? (this._effectCfg ? this.updateEffectAnimation(C) : this.startEffectAnimation(C), this._effectCfg = C) : (this._effectCfg = null, this.stopEffectAnimation(), this.onHoverStateChange = function(b) {
        b === "emphasis" ? C.showEffectOn !== "render" && l.startEffectAnimation(C) : b === "normal" && C.showEffectOn !== "render" && l.stopEffectAnimation();
      }), this._effectCfg = C, toggleHoverEmphasis(this, y.get("focus"), y.get("blurScope"), y.get("disabled"));
    }, a.prototype.fadeOut = function(o) {
      o && o();
    }, a;
  }(Group$3)
), EffectScatterView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.init = function() {
      this._symbolDraw = new SymbolDraw(EffectSymbol);
    }, a.prototype.render = function(o, s, l) {
      var u = o.getData(), c = this._symbolDraw;
      c.updateData(u, {
        clipShape: this._getClipShape(o)
      }), this.group.add(c.group);
    }, a.prototype._getClipShape = function(o) {
      var s = o.coordinateSystem, l = s && s.getArea && s.getArea();
      return o.get("clip", !0) ? l : null;
    }, a.prototype.updateTransform = function(o, s, l) {
      var u = o.getData();
      this.group.dirty();
      var c = pointsLayout("").reset(o, s, l);
      c.progress && c.progress({
        start: 0,
        end: u.count(),
        count: u.count()
      }, u), this._symbolDraw.updateLayout();
    }, a.prototype._updateGroupTransform = function(o) {
      var s = o.coordinateSystem;
      s && s.getRoamTransform && (this.group.transform = clone$2(s.getRoamTransform()), this.group.decomposeTransform());
    }, a.prototype.remove = function(o, s) {
      this._symbolDraw && this._symbolDraw.remove(!0);
    }, a.type = "effectScatter", a;
  }(ChartView)
), EffectScatterSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.hasSymbolVisual = !0, o;
    }
    return a.prototype.getInitialData = function(o, s) {
      return createSeriesData(null, this, {
        useEncodeDefaulter: !0
      });
    }, a.prototype.brushSelector = function(o, s, l) {
      return l.point(s.getItemLayout(o));
    }, a.type = "series.effectScatter", a.dependencies = ["grid", "polar"], a.defaultOption = {
      coordinateSystem: "cartesian2d",
      // zlevel: 0,
      z: 2,
      legendHoverLink: !0,
      effectType: "ripple",
      progressive: 0,
      // When to show the effect, option: 'render'|'emphasis'
      showEffectOn: "render",
      clip: !0,
      // Ripple effect config
      rippleEffect: {
        period: 4,
        // Scale of ripple
        scale: 2.5,
        // Brush type can be fill or stroke
        brushType: "fill",
        // Ripple number
        number: 3
      },
      universalTransition: {
        divideShape: "clone"
      },
      // Cartesian coordinate system
      // xAxisIndex: 0,
      // yAxisIndex: 0,
      // Polar coordinate system
      // polarIndex: 0,
      // Geo coordinate system
      // geoIndex: 0,
      // symbol: null,        // 图形类型
      symbolSize: 10
      // 图形大小，半宽（半径）参数，当图形为方向或菱形则总宽度为symbolSize * 2
      // symbolRotate: null,  // 图形旋转控制
      // itemStyle: {
      //     opacity: 1
      // }
    }, a;
  }(SeriesModel)
);
function install$y(r) {
  r.registerChartView(EffectScatterView), r.registerSeriesModel(EffectScatterSeriesModel), r.registerLayout(pointsLayout("effectScatter"));
}
var EffectLine = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s, l) {
      var u = r.call(this) || this;
      return u.add(u.createLine(o, s, l)), u._updateEffectSymbol(o, s), u;
    }
    return a.prototype.createLine = function(o, s, l) {
      return new Line(o, s, l);
    }, a.prototype._updateEffectSymbol = function(o, s) {
      var l = o.getItemModel(s), u = l.getModel("effect"), c = u.get("symbolSize"), d = u.get("symbol");
      isArray$1(c) || (c = [c, c]);
      var f = o.getItemVisual(s, "style"), p = u.get("color") || f && f.stroke, v = this.childAt(1);
      this._symbolType !== d && (this.remove(v), v = createSymbol$1(d, -0.5, -0.5, 1, 1, p), v.z2 = 100, v.culling = !0, this.add(v)), v && (v.setStyle("shadowColor", p), v.setStyle(u.getItemStyle(["color"])), v.scaleX = c[0], v.scaleY = c[1], v.setColor(p), this._symbolType = d, this._symbolScale = c, this._updateEffectAnimation(o, u, s));
    }, a.prototype._updateEffectAnimation = function(o, s, l) {
      var u = this.childAt(1);
      if (u) {
        var c = o.getItemLayout(l), d = s.get("period") * 1e3, f = s.get("loop"), p = s.get("roundTrip"), v = s.get("constantSpeed"), g = retrieve(s.get("delay"), function(_) {
          return _ / o.count() * d / 3;
        });
        if (u.ignore = !0, this._updateAnimationPoints(u, c), v > 0 && (d = this._getLineLength(u) / v * 1e3), d !== this._period || f !== this._loop || p !== this._roundTrip) {
          u.stopAnimation();
          var y = void 0;
          isFunction(g) ? y = g(l) : y = g, u.__t > 0 && (y = -d * u.__t), this._animateSymbol(u, d, y, f, p);
        }
        this._period = d, this._loop = f, this._roundTrip = p;
      }
    }, a.prototype._animateSymbol = function(o, s, l, u, c) {
      if (s > 0) {
        o.__t = 0;
        var d = this, f = o.animate("", u).when(c ? s * 2 : s, {
          __t: c ? 2 : 1
        }).delay(l).during(function() {
          d._updateSymbolPosition(o);
        });
        u || f.done(function() {
          d.remove(o);
        }), f.start();
      }
    }, a.prototype._getLineLength = function(o) {
      return dist$1(o.__p1, o.__cp1) + dist$1(o.__cp1, o.__p2);
    }, a.prototype._updateAnimationPoints = function(o, s) {
      o.__p1 = s[0], o.__p2 = s[1], o.__cp1 = s[2] || [(s[0][0] + s[1][0]) / 2, (s[0][1] + s[1][1]) / 2];
    }, a.prototype.updateData = function(o, s, l) {
      this.childAt(0).updateData(o, s, l), this._updateEffectSymbol(o, s);
    }, a.prototype._updateSymbolPosition = function(o) {
      var s = o.__p1, l = o.__p2, u = o.__cp1, c = o.__t < 1 ? o.__t : 2 - o.__t, d = [o.x, o.y], f = d.slice(), p = quadraticAt$1, v = quadraticDerivativeAt;
      d[0] = p(s[0], u[0], l[0], c), d[1] = p(s[1], u[1], l[1], c);
      var g = o.__t < 1 ? v(s[0], u[0], l[0], c) : v(l[0], u[0], s[0], 1 - c), y = o.__t < 1 ? v(s[1], u[1], l[1], c) : v(l[1], u[1], s[1], 1 - c);
      o.rotation = -Math.atan2(y, g) - Math.PI / 2, (this._symbolType === "line" || this._symbolType === "rect" || this._symbolType === "roundRect") && (o.__lastT !== void 0 && o.__lastT < o.__t ? (o.scaleY = dist$1(f, d) * 1.05, c === 1 && (d[0] = f[0] + (d[0] - f[0]) / 2, d[1] = f[1] + (d[1] - f[1]) / 2)) : o.__lastT === 1 ? o.scaleY = 2 * dist$1(s, d) : o.scaleY = this._symbolScale[1]), o.__lastT = o.__t, o.ignore = !1, o.x = d[0], o.y = d[1];
    }, a.prototype.updateLayout = function(o, s) {
      this.childAt(0).updateLayout(o, s);
      var l = o.getItemModel(s).getModel("effect");
      this._updateEffectAnimation(o, l, s);
    }, a;
  }(Group$3)
), Polyline = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s, l) {
      var u = r.call(this) || this;
      return u._createPolyline(o, s, l), u;
    }
    return a.prototype._createPolyline = function(o, s, l) {
      var u = o.getItemLayout(s), c = new Polyline$1({
        shape: {
          points: u
        }
      });
      this.add(c), this._updateCommonStl(o, s, l);
    }, a.prototype.updateData = function(o, s, l) {
      var u = o.hostModel, c = this.childAt(0), d = {
        shape: {
          points: o.getItemLayout(s)
        }
      };
      updateProps$1(c, d, u, s), this._updateCommonStl(o, s, l);
    }, a.prototype._updateCommonStl = function(o, s, l) {
      var u = this.childAt(0), c = o.getItemModel(s), d = l && l.emphasisLineStyle, f = l && l.focus, p = l && l.blurScope, v = l && l.emphasisDisabled;
      if (!l || o.hasItemOption) {
        var g = c.getModel("emphasis");
        d = g.getModel("lineStyle").getLineStyle(), v = g.get("disabled"), f = g.get("focus"), p = g.get("blurScope");
      }
      u.useStyle(o.getItemVisual(s, "style")), u.style.fill = null, u.style.strokeNoScale = !0;
      var y = u.ensureState("emphasis");
      y.style = d, toggleHoverEmphasis(this, f, p, v);
    }, a.prototype.updateLayout = function(o, s) {
      var l = this.childAt(0);
      l.setShape("points", o.getItemLayout(s));
    }, a;
  }(Group$3)
), EffectPolyline = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o._lastFrame = 0, o._lastFramePercent = 0, o;
    }
    return a.prototype.createLine = function(o, s, l) {
      return new Polyline(o, s, l);
    }, a.prototype._updateAnimationPoints = function(o, s) {
      this._points = s;
      for (var l = [0], u = 0, c = 1; c < s.length; c++) {
        var d = s[c - 1], f = s[c];
        u += dist$1(d, f), l.push(u);
      }
      if (u === 0) {
        this._length = 0;
        return;
      }
      for (var c = 0; c < l.length; c++)
        l[c] /= u;
      this._offsets = l, this._length = u;
    }, a.prototype._getLineLength = function() {
      return this._length;
    }, a.prototype._updateSymbolPosition = function(o) {
      var s = o.__t < 1 ? o.__t : 2 - o.__t, l = this._points, u = this._offsets, c = l.length;
      if (u) {
        var d = this._lastFrame, f;
        if (s < this._lastFramePercent) {
          var p = Math.min(d + 1, c - 1);
          for (f = p; f >= 0 && !(u[f] <= s); f--)
            ;
          f = Math.min(f, c - 2);
        } else {
          for (f = d; f < c && !(u[f] > s); f++)
            ;
          f = Math.min(f - 1, c - 2);
        }
        var v = (s - u[f]) / (u[f + 1] - u[f]), g = l[f], y = l[f + 1];
        o.x = g[0] * (1 - v) + v * y[0], o.y = g[1] * (1 - v) + v * y[1];
        var _ = o.__t < 1 ? y[0] - g[0] : g[0] - y[0], S = o.__t < 1 ? y[1] - g[1] : g[1] - y[1];
        o.rotation = -Math.atan2(S, _) - Math.PI / 2, this._lastFrame = f, this._lastFramePercent = s, o.ignore = !1;
      }
    }, a;
  }(EffectLine)
), LargeLinesPathShape = (
  /** @class */
  /* @__PURE__ */ function() {
    function r() {
      this.polyline = !1, this.curveness = 0, this.segs = [];
    }
    return r;
  }()
), LargeLinesPath = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o) {
      var s = r.call(this, o) || this;
      return s._off = 0, s.hoverDataIdx = -1, s;
    }
    return a.prototype.reset = function() {
      this.notClear = !1, this._off = 0;
    }, a.prototype.getDefaultStyle = function() {
      return {
        stroke: "#000",
        fill: null
      };
    }, a.prototype.getDefaultShape = function() {
      return new LargeLinesPathShape();
    }, a.prototype.buildPath = function(o, s) {
      var l = s.segs, u = s.curveness, c;
      if (s.polyline)
        for (c = this._off; c < l.length; ) {
          var d = l[c++];
          if (d > 0) {
            o.moveTo(l[c++], l[c++]);
            for (var f = 1; f < d; f++)
              o.lineTo(l[c++], l[c++]);
          }
        }
      else
        for (c = this._off; c < l.length; ) {
          var p = l[c++], v = l[c++], g = l[c++], y = l[c++];
          if (o.moveTo(p, v), u > 0) {
            var _ = (p + g) / 2 - (v - y) * u, S = (v + y) / 2 - (g - p) * u;
            o.quadraticCurveTo(_, S, g, y);
          } else
            o.lineTo(g, y);
        }
      this.incremental && (this._off = c, this.notClear = !0);
    }, a.prototype.findDataIndex = function(o, s) {
      var l = this.shape, u = l.segs, c = l.curveness, d = this.style.lineWidth;
      if (l.polyline)
        for (var f = 0, p = 0; p < u.length; ) {
          var v = u[p++];
          if (v > 0)
            for (var g = u[p++], y = u[p++], _ = 1; _ < v; _++) {
              var S = u[p++], C = u[p++];
              if (containStroke$4(g, y, S, C, d, o, s))
                return f;
            }
          f++;
        }
      else
        for (var f = 0, p = 0; p < u.length; ) {
          var g = u[p++], y = u[p++], S = u[p++], C = u[p++];
          if (c > 0) {
            var b = (g + S) / 2 - (y - C) * c, T = (y + C) / 2 - (S - g) * c;
            if (containStroke$2(g, y, b, T, S, C, d, o, s))
              return f;
          } else if (containStroke$4(g, y, S, C, d, o, s))
            return f;
          f++;
        }
      return -1;
    }, a.prototype.contain = function(o, s) {
      var l = this.transformCoordToLocal(o, s), u = this.getBoundingRect();
      if (o = l[0], s = l[1], u.contain(o, s)) {
        var c = this.hoverDataIdx = this.findDataIndex(o, s);
        return c >= 0;
      }
      return this.hoverDataIdx = -1, !1;
    }, a.prototype.getBoundingRect = function() {
      var o = this._rect;
      if (!o) {
        for (var s = this.shape, l = s.segs, u = 1 / 0, c = 1 / 0, d = -1 / 0, f = -1 / 0, p = 0; p < l.length; ) {
          var v = l[p++], g = l[p++];
          u = Math.min(v, u), d = Math.max(v, d), c = Math.min(g, c), f = Math.max(g, f);
        }
        o = this._rect = new BoundingRect(u, c, d, f);
      }
      return o;
    }, a;
  }(Path)
), LargeLineDraw = (
  /** @class */
  function() {
    function r() {
      this.group = new Group$3();
    }
    return r.prototype.updateData = function(a) {
      this._clear();
      var o = this._create();
      o.setShape({
        segs: a.getLayout("linesPoints")
      }), this._setCommon(o, a);
    }, r.prototype.incrementalPrepareUpdate = function(a) {
      this.group.removeAll(), this._clear();
    }, r.prototype.incrementalUpdate = function(a, o) {
      var s = this._newAdded[0], l = o.getLayout("linesPoints"), u = s && s.shape.segs;
      if (u && u.length < 2e4) {
        var c = u.length, d = new Float32Array(c + l.length);
        d.set(u), d.set(l, c), s.setShape({
          segs: d
        });
      } else {
        this._newAdded = [];
        var f = this._create();
        f.incremental = !0, f.setShape({
          segs: l
        }), this._setCommon(f, o), f.__startIndex = a.start;
      }
    }, r.prototype.remove = function() {
      this._clear();
    }, r.prototype.eachRendered = function(a) {
      this._newAdded[0] && a(this._newAdded[0]);
    }, r.prototype._create = function() {
      var a = new LargeLinesPath({
        cursor: "default",
        ignoreCoarsePointer: !0
      });
      return this._newAdded.push(a), this.group.add(a), a;
    }, r.prototype._setCommon = function(a, o, s) {
      var l = o.hostModel;
      a.setShape({
        polyline: l.get("polyline"),
        curveness: l.get(["lineStyle", "curveness"])
      }), a.useStyle(l.getModel("lineStyle").getLineStyle()), a.style.strokeNoScale = !0;
      var u = o.getVisual("style");
      u && u.stroke && a.setStyle("stroke", u.stroke), a.setStyle("fill", null);
      var c = getECData(a);
      c.seriesIndex = l.seriesIndex, a.on("mousemove", function(d) {
        c.dataIndex = null;
        var f = a.hoverDataIdx;
        f > 0 && (c.dataIndex = f + a.__startIndex);
      });
    }, r.prototype._clear = function() {
      this._newAdded = [], this.group.removeAll();
    }, r;
  }()
), linesLayout = {
  seriesType: "lines",
  plan: createRenderPlanner(),
  reset: function(r) {
    var a = r.coordinateSystem;
    if (!a) {
      process.env.NODE_ENV !== "production" && error("The lines series must have a coordinate system.");
      return;
    }
    var o = r.get("polyline"), s = r.pipelineContext.large;
    return {
      progress: function(l, u) {
        var c = [];
        if (s) {
          var d = void 0, f = l.end - l.start;
          if (o) {
            for (var p = 0, v = l.start; v < l.end; v++)
              p += r.getLineCoordsCount(v);
            d = new Float32Array(f + p * 2);
          } else
            d = new Float32Array(f * 4);
          for (var g = 0, y = [], v = l.start; v < l.end; v++) {
            var _ = r.getLineCoords(v, c);
            o && (d[g++] = _);
            for (var S = 0; S < _; S++)
              y = a.dataToPoint(c[S], !1, y), d[g++] = y[0], d[g++] = y[1];
          }
          u.setLayout("linesPoints", d);
        } else
          for (var v = l.start; v < l.end; v++) {
            var C = u.getItemModel(v), _ = r.getLineCoords(v, c), b = [];
            if (o)
              for (var T = 0; T < _; T++)
                b.push(a.dataToPoint(c[T]));
            else {
              b[0] = a.dataToPoint(c[0]), b[1] = a.dataToPoint(c[1]);
              var E = C.get(["lineStyle", "curveness"]);
              +E && (b[2] = [(b[0][0] + b[1][0]) / 2 - (b[0][1] - b[1][1]) * E, (b[0][1] + b[1][1]) / 2 - (b[1][0] - b[0][0]) * E]);
            }
            u.setItemLayout(v, b);
          }
      }
    };
  }
}, LinesView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l) {
      var u = o.getData(), c = this._updateLineDraw(u, o), d = o.get("zlevel"), f = o.get(["effect", "trailLength"]), p = l.getZr(), v = p.painter.getType() === "svg";
      v || p.painter.getLayer(d).clear(!0), this._lastZlevel != null && !v && p.configLayer(this._lastZlevel, {
        motionBlur: !1
      }), this._showEffect(o) && f > 0 && (v ? process.env.NODE_ENV !== "production" && console.warn("SVG render mode doesn't support lines with trail effect") : p.configLayer(d, {
        motionBlur: !0,
        lastFrameAlpha: Math.max(Math.min(f / 10 + 0.9, 1), 0)
      })), c.updateData(u);
      var g = o.get("clip", !0) && createClipPath(o.coordinateSystem, !1, o);
      g ? this.group.setClipPath(g) : this.group.removeClipPath(), this._lastZlevel = d, this._finished = !0;
    }, a.prototype.incrementalPrepareRender = function(o, s, l) {
      var u = o.getData(), c = this._updateLineDraw(u, o);
      c.incrementalPrepareUpdate(u), this._clearLayer(l), this._finished = !1;
    }, a.prototype.incrementalRender = function(o, s, l) {
      this._lineDraw.incrementalUpdate(o, s.getData()), this._finished = o.end === s.getData().count();
    }, a.prototype.eachRendered = function(o) {
      this._lineDraw && this._lineDraw.eachRendered(o);
    }, a.prototype.updateTransform = function(o, s, l) {
      var u = o.getData(), c = o.pipelineContext;
      if (!this._finished || c.large || c.progressiveRender)
        return {
          update: !0
        };
      var d = linesLayout.reset(o, s, l);
      d.progress && d.progress({
        start: 0,
        end: u.count(),
        count: u.count()
      }, u), this._lineDraw.updateLayout(), this._clearLayer(l);
    }, a.prototype._updateLineDraw = function(o, s) {
      var l = this._lineDraw, u = this._showEffect(s), c = !!s.get("polyline"), d = s.pipelineContext, f = d.large;
      return process.env.NODE_ENV !== "production" && u && f && console.warn("Large lines not support effect"), (!l || u !== this._hasEffet || c !== this._isPolyline || f !== this._isLargeDraw) && (l && l.remove(), l = this._lineDraw = f ? new LargeLineDraw() : new LineDraw(c ? u ? EffectPolyline : Polyline : u ? EffectLine : Line), this._hasEffet = u, this._isPolyline = c, this._isLargeDraw = f), this.group.add(l.group), l;
    }, a.prototype._showEffect = function(o) {
      return !!o.get(["effect", "show"]);
    }, a.prototype._clearLayer = function(o) {
      var s = o.getZr(), l = s.painter.getType() === "svg";
      !l && this._lastZlevel != null && s.painter.getLayer(this._lastZlevel).clear(!0);
    }, a.prototype.remove = function(o, s) {
      this._lineDraw && this._lineDraw.remove(), this._lineDraw = null, this._clearLayer(s);
    }, a.prototype.dispose = function(o, s) {
      this.remove(o, s);
    }, a.type = "lines", a;
  }(ChartView)
), Uint32Arr = typeof Uint32Array > "u" ? Array : Uint32Array, Float64Arr = typeof Float64Array > "u" ? Array : Float64Array;
function compatEc2(r) {
  var a = r.data;
  a && a[0] && a[0][0] && a[0][0].coord && (process.env.NODE_ENV !== "production" && console.warn("Lines data configuration has been changed to { coords:[[1,2],[2,3]] }"), r.data = map$1(a, function(o) {
    var s = [o[0].coord, o[1].coord], l = {
      coords: s
    };
    return o[0].name && (l.fromName = o[0].name), o[1].name && (l.toName = o[1].name), mergeAll([l, o[0], o[1]]);
  }));
}
var LinesSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.visualStyleAccessPath = "lineStyle", o.visualDrawType = "stroke", o;
    }
    return a.prototype.init = function(o) {
      o.data = o.data || [], compatEc2(o);
      var s = this._processFlatCoordsArray(o.data);
      this._flatCoords = s.flatCoords, this._flatCoordsOffset = s.flatCoordsOffset, s.flatCoords && (o.data = new Float32Array(s.count)), r.prototype.init.apply(this, arguments);
    }, a.prototype.mergeOption = function(o) {
      if (compatEc2(o), o.data) {
        var s = this._processFlatCoordsArray(o.data);
        this._flatCoords = s.flatCoords, this._flatCoordsOffset = s.flatCoordsOffset, s.flatCoords && (o.data = new Float32Array(s.count));
      }
      r.prototype.mergeOption.apply(this, arguments);
    }, a.prototype.appendData = function(o) {
      var s = this._processFlatCoordsArray(o.data);
      s.flatCoords && (this._flatCoords ? (this._flatCoords = concatArray(this._flatCoords, s.flatCoords), this._flatCoordsOffset = concatArray(this._flatCoordsOffset, s.flatCoordsOffset)) : (this._flatCoords = s.flatCoords, this._flatCoordsOffset = s.flatCoordsOffset), o.data = new Float32Array(s.count)), this.getRawData().appendData(o.data);
    }, a.prototype._getCoordsFromItemModel = function(o) {
      var s = this.getData().getItemModel(o), l = s.option instanceof Array ? s.option : s.getShallow("coords");
      if (process.env.NODE_ENV !== "production" && !(l instanceof Array && l.length > 0 && l[0] instanceof Array))
        throw new Error("Invalid coords " + JSON.stringify(l) + ". Lines must have 2d coords array in data item.");
      return l;
    }, a.prototype.getLineCoordsCount = function(o) {
      return this._flatCoordsOffset ? this._flatCoordsOffset[o * 2 + 1] : this._getCoordsFromItemModel(o).length;
    }, a.prototype.getLineCoords = function(o, s) {
      if (this._flatCoordsOffset) {
        for (var l = this._flatCoordsOffset[o * 2], u = this._flatCoordsOffset[o * 2 + 1], c = 0; c < u; c++)
          s[c] = s[c] || [], s[c][0] = this._flatCoords[l + c * 2], s[c][1] = this._flatCoords[l + c * 2 + 1];
        return u;
      } else {
        for (var d = this._getCoordsFromItemModel(o), c = 0; c < d.length; c++)
          s[c] = s[c] || [], s[c][0] = d[c][0], s[c][1] = d[c][1];
        return d.length;
      }
    }, a.prototype._processFlatCoordsArray = function(o) {
      var s = 0;
      if (this._flatCoords && (s = this._flatCoords.length), isNumber(o[0])) {
        for (var l = o.length, u = new Uint32Arr(l), c = new Float64Arr(l), d = 0, f = 0, p = 0, v = 0; v < l; ) {
          p++;
          var g = o[v++];
          u[f++] = d + s, u[f++] = g;
          for (var y = 0; y < g; y++) {
            var _ = o[v++], S = o[v++];
            if (c[d++] = _, c[d++] = S, v > l && process.env.NODE_ENV !== "production")
              throw new Error("Invalid data format.");
          }
        }
        return {
          flatCoordsOffset: new Uint32Array(u.buffer, 0, f),
          flatCoords: c,
          count: p
        };
      }
      return {
        flatCoordsOffset: null,
        flatCoords: null,
        count: o.length
      };
    }, a.prototype.getInitialData = function(o, s) {
      if (process.env.NODE_ENV !== "production") {
        var l = CoordinateSystemManager.get(o.coordinateSystem);
        if (!l)
          throw new Error("Unknown coordinate system " + o.coordinateSystem);
      }
      var u = new SeriesData(["value"], this);
      return u.hasItemOption = !1, u.initData(o.data, [], function(c, d, f, p) {
        if (c instanceof Array)
          return NaN;
        u.hasItemOption = !0;
        var v = c.value;
        if (v != null)
          return v instanceof Array ? v[p] : v;
      }), u;
    }, a.prototype.formatTooltip = function(o, s, l) {
      var u = this.getData(), c = u.getItemModel(o), d = c.get("name");
      if (d)
        return d;
      var f = c.get("fromName"), p = c.get("toName"), v = [];
      return f != null && v.push(f), p != null && v.push(p), createTooltipMarkup("nameValue", {
        name: v.join(" > ")
      });
    }, a.prototype.preventIncremental = function() {
      return !!this.get(["effect", "show"]);
    }, a.prototype.getProgressive = function() {
      var o = this.option.progressive;
      return o ?? (this.option.large ? 1e4 : this.get("progressive"));
    }, a.prototype.getProgressiveThreshold = function() {
      var o = this.option.progressiveThreshold;
      return o ?? (this.option.large ? 2e4 : this.get("progressiveThreshold"));
    }, a.prototype.getZLevelKey = function() {
      var o = this.getModel("effect"), s = o.get("trailLength");
      return this.getData().count() > this.getProgressiveThreshold() ? this.id : o.get("show") && s > 0 ? s + "" : "";
    }, a.type = "series.lines", a.dependencies = ["grid", "polar", "geo", "calendar"], a.defaultOption = {
      coordinateSystem: "geo",
      // zlevel: 0,
      z: 2,
      legendHoverLink: !0,
      // Cartesian coordinate system
      xAxisIndex: 0,
      yAxisIndex: 0,
      symbol: ["none", "none"],
      symbolSize: [10, 10],
      // Geo coordinate system
      geoIndex: 0,
      effect: {
        show: !1,
        period: 4,
        constantSpeed: 0,
        symbol: "circle",
        symbolSize: 3,
        loop: !0,
        trailLength: 0.2
      },
      large: !1,
      // Available when large is true
      largeThreshold: 2e3,
      polyline: !1,
      clip: !0,
      label: {
        show: !1,
        position: "end"
        // distance: 5,
        // formatter: 标签文本格式器，同Tooltip.formatter，不支持异步回调
      },
      lineStyle: {
        opacity: 0.5
      }
    }, a;
  }(SeriesModel)
);
function normalize(r) {
  return r instanceof Array || (r = [r, r]), r;
}
var linesVisual = {
  seriesType: "lines",
  reset: function(r) {
    var a = normalize(r.get("symbol")), o = normalize(r.get("symbolSize")), s = r.getData();
    s.setVisual("fromSymbol", a && a[0]), s.setVisual("toSymbol", a && a[1]), s.setVisual("fromSymbolSize", o && o[0]), s.setVisual("toSymbolSize", o && o[1]);
    function l(u, c) {
      var d = u.getItemModel(c), f = normalize(d.getShallow("symbol", !0)), p = normalize(d.getShallow("symbolSize", !0));
      f[0] && u.setItemVisual(c, "fromSymbol", f[0]), f[1] && u.setItemVisual(c, "toSymbol", f[1]), p[0] && u.setItemVisual(c, "fromSymbolSize", p[0]), p[1] && u.setItemVisual(c, "toSymbolSize", p[1]);
    }
    return {
      dataEach: s.hasItemOption ? l : null
    };
  }
};
function install$x(r) {
  r.registerChartView(LinesView), r.registerSeriesModel(LinesSeriesModel), r.registerLayout(linesLayout), r.registerVisual(linesVisual);
}
var GRADIENT_LEVELS = 256, HeatmapLayer = (
  /** @class */
  function() {
    function r() {
      this.blurSize = 30, this.pointSize = 20, this.maxOpacity = 1, this.minOpacity = 0, this._gradientPixels = {
        inRange: null,
        outOfRange: null
      };
      var a = platformApi.createCanvas();
      this.canvas = a;
    }
    return r.prototype.update = function(a, o, s, l, u, c) {
      var d = this._getBrush(), f = this._getGradient(u, "inRange"), p = this._getGradient(u, "outOfRange"), v = this.pointSize + this.blurSize, g = this.canvas, y = g.getContext("2d"), _ = a.length;
      g.width = o, g.height = s;
      for (var S = 0; S < _; ++S) {
        var C = a[S], b = C[0], T = C[1], E = C[2], x = l(E);
        y.globalAlpha = x, y.drawImage(d, b - v, T - v);
      }
      if (!g.width || !g.height)
        return g;
      for (var $ = y.getImageData(0, 0, g.width, g.height), A = $.data, N = 0, P = A.length, L = this.minOpacity, O = this.maxOpacity, M = O - L; N < P; ) {
        var x = A[N + 3] / 256, F = Math.floor(x * (GRADIENT_LEVELS - 1)) * 4;
        if (x > 0) {
          var U = c(x) ? f : p;
          x > 0 && (x = x * M + L), A[N++] = U[F], A[N++] = U[F + 1], A[N++] = U[F + 2], A[N++] = U[F + 3] * x * 256;
        } else
          N += 4;
      }
      return y.putImageData($, 0, 0), g;
    }, r.prototype._getBrush = function() {
      var a = this._brushCanvas || (this._brushCanvas = platformApi.createCanvas()), o = this.pointSize + this.blurSize, s = o * 2;
      a.width = s, a.height = s;
      var l = a.getContext("2d");
      return l.clearRect(0, 0, s, s), l.shadowOffsetX = s, l.shadowBlur = this.blurSize, l.shadowColor = "#000", l.beginPath(), l.arc(-o, o, this.pointSize, 0, Math.PI * 2, !0), l.closePath(), l.fill(), a;
    }, r.prototype._getGradient = function(a, o) {
      for (var s = this._gradientPixels, l = s[o] || (s[o] = new Uint8ClampedArray(256 * 4)), u = [0, 0, 0, 0], c = 0, d = 0; d < 256; d++)
        a[o](d / 255, !0, u), l[c++] = u[0], l[c++] = u[1], l[c++] = u[2], l[c++] = u[3];
      return l;
    }, r;
  }()
);
function getIsInPiecewiseRange(r, a, o) {
  var s = r[1] - r[0];
  a = map$1(a, function(c) {
    return {
      interval: [(c.interval[0] - r[0]) / s, (c.interval[1] - r[0]) / s]
    };
  });
  var l = a.length, u = 0;
  return function(c) {
    var d;
    for (d = u; d < l; d++) {
      var f = a[d].interval;
      if (f[0] <= c && c <= f[1]) {
        u = d;
        break;
      }
    }
    if (d === l)
      for (d = u - 1; d >= 0; d--) {
        var f = a[d].interval;
        if (f[0] <= c && c <= f[1]) {
          u = d;
          break;
        }
      }
    return d >= 0 && d < l && o[d];
  };
}
function getIsInContinuousRange(r, a) {
  var o = r[1] - r[0];
  return a = [(a[0] - r[0]) / o, (a[1] - r[0]) / o], function(s) {
    return s >= a[0] && s <= a[1];
  };
}
function isGeoCoordSys(r) {
  var a = r.dimensions;
  return a[0] === "lng" && a[1] === "lat";
}
var HeatmapView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l) {
      var u;
      if (s.eachComponent("visualMap", function(d) {
        d.eachTargetSeries(function(f) {
          f === o && (u = d);
        });
      }), process.env.NODE_ENV !== "production" && !u)
        throw new Error("Heatmap must use with visualMap");
      this._progressiveEls = null, this.group.removeAll();
      var c = o.coordinateSystem;
      c.type === "cartesian2d" || c.type === "calendar" ? this._renderOnCartesianAndCalendar(o, l, 0, o.getData().count()) : isGeoCoordSys(c) && this._renderOnGeo(c, o, u, l);
    }, a.prototype.incrementalPrepareRender = function(o, s, l) {
      this.group.removeAll();
    }, a.prototype.incrementalRender = function(o, s, l, u) {
      var c = s.coordinateSystem;
      c && (isGeoCoordSys(c) ? this.render(s, l, u) : (this._progressiveEls = [], this._renderOnCartesianAndCalendar(s, u, o.start, o.end, !0)));
    }, a.prototype.eachRendered = function(o) {
      traverseElements(this._progressiveEls || this.group, o);
    }, a.prototype._renderOnCartesianAndCalendar = function(o, s, l, u, c) {
      var d = o.coordinateSystem, f = isCoordinateSystemType(d, "cartesian2d"), p, v, g, y;
      if (f) {
        var _ = d.getAxis("x"), S = d.getAxis("y");
        if (process.env.NODE_ENV !== "production") {
          if (!(_.type === "category" && S.type === "category"))
            throw new Error("Heatmap on cartesian must have two category axes");
          if (!(_.onBand && S.onBand))
            throw new Error("Heatmap on cartesian must have two axes with boundaryGap true");
        }
        p = _.getBandWidth() + 0.5, v = S.getBandWidth() + 0.5, g = _.scale.getExtent(), y = S.scale.getExtent();
      }
      for (var C = this.group, b = o.getData(), T = o.getModel(["emphasis", "itemStyle"]).getItemStyle(), E = o.getModel(["blur", "itemStyle"]).getItemStyle(), x = o.getModel(["select", "itemStyle"]).getItemStyle(), $ = o.get(["itemStyle", "borderRadius"]), A = getLabelStatesModels(o), N = o.getModel("emphasis"), P = N.get("focus"), L = N.get("blurScope"), O = N.get("disabled"), M = f ? [b.mapDimension("x"), b.mapDimension("y"), b.mapDimension("value")] : [b.mapDimension("time"), b.mapDimension("value")], F = l; F < u; F++) {
        var U = void 0, R = b.getItemVisual(F, "style");
        if (f) {
          var H = b.get(M[0], F), V = b.get(M[1], F);
          if (isNaN(b.get(M[2], F)) || isNaN(H) || isNaN(V) || H < g[0] || H > g[1] || V < y[0] || V > y[1])
            continue;
          var Y = d.dataToPoint([H, V]);
          U = new Rect$2({
            shape: {
              x: Y[0] - p / 2,
              y: Y[1] - v / 2,
              width: p,
              height: v
            },
            style: R
          });
        } else {
          if (isNaN(b.get(M[1], F)))
            continue;
          U = new Rect$2({
            z2: 1,
            shape: d.dataToRect([b.get(M[0], F)]).contentShape,
            style: R
          });
        }
        if (b.hasItemOption) {
          var G = b.getItemModel(F), Z = G.getModel("emphasis");
          T = Z.getModel("itemStyle").getItemStyle(), E = G.getModel(["blur", "itemStyle"]).getItemStyle(), x = G.getModel(["select", "itemStyle"]).getItemStyle(), $ = G.get(["itemStyle", "borderRadius"]), P = Z.get("focus"), L = Z.get("blurScope"), O = Z.get("disabled"), A = getLabelStatesModels(G);
        }
        U.shape.r = $;
        var re = o.getRawValue(F), de = "-";
        re && re[2] != null && (de = re[2] + ""), setLabelStyle(U, A, {
          labelFetcher: o,
          labelDataIndex: F,
          defaultOpacity: R.opacity,
          defaultText: de
        }), U.ensureState("emphasis").style = T, U.ensureState("blur").style = E, U.ensureState("select").style = x, toggleHoverEmphasis(U, P, L, O), U.incremental = c, c && (U.states.emphasis.hoverLayer = !0), C.add(U), b.setItemGraphicEl(F, U), this._progressiveEls && this._progressiveEls.push(U);
      }
    }, a.prototype._renderOnGeo = function(o, s, l, u) {
      var c = l.targetVisuals.inRange, d = l.targetVisuals.outOfRange, f = s.getData(), p = this._hmLayer || this._hmLayer || new HeatmapLayer();
      p.blurSize = s.get("blurSize"), p.pointSize = s.get("pointSize"), p.minOpacity = s.get("minOpacity"), p.maxOpacity = s.get("maxOpacity");
      var v = o.getViewRect().clone(), g = o.getRoamTransform();
      v.applyTransform(g);
      var y = Math.max(v.x, 0), _ = Math.max(v.y, 0), S = Math.min(v.width + v.x, u.getWidth()), C = Math.min(v.height + v.y, u.getHeight()), b = S - y, T = C - _, E = [f.mapDimension("lng"), f.mapDimension("lat"), f.mapDimension("value")], x = f.mapArray(E, function(P, L, O) {
        var M = o.dataToPoint([P, L]);
        return M[0] -= y, M[1] -= _, M.push(O), M;
      }), $ = l.getExtent(), A = l.type === "visualMap.continuous" ? getIsInContinuousRange($, l.option.range) : getIsInPiecewiseRange($, l.getPieceList(), l.option.selected);
      p.update(x, b, T, c.color.getNormalizer(), {
        inRange: c.color.getColorMapper(),
        outOfRange: d.color.getColorMapper()
      }, A);
      var N = new ZRImage({
        style: {
          width: b,
          height: T,
          x: y,
          y: _,
          image: p.canvas
        },
        silent: !0
      });
      this.group.add(N);
    }, a.type = "heatmap", a;
  }(ChartView)
), HeatmapSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.getInitialData = function(o, s) {
      return createSeriesData(null, this, {
        generateCoord: "value"
      });
    }, a.prototype.preventIncremental = function() {
      var o = CoordinateSystemManager.get(this.get("coordinateSystem"));
      if (o && o.dimensions)
        return o.dimensions[0] === "lng" && o.dimensions[1] === "lat";
    }, a.type = "series.heatmap", a.dependencies = ["grid", "geo", "calendar"], a.defaultOption = {
      coordinateSystem: "cartesian2d",
      // zlevel: 0,
      z: 2,
      // Cartesian coordinate system
      // xAxisIndex: 0,
      // yAxisIndex: 0,
      // Geo coordinate system
      geoIndex: 0,
      blurSize: 30,
      pointSize: 20,
      maxOpacity: 1,
      minOpacity: 0,
      select: {
        itemStyle: {
          borderColor: "#212121"
        }
      }
    }, a;
  }(SeriesModel)
);
function install$w(r) {
  r.registerChartView(HeatmapView), r.registerSeriesModel(HeatmapSeriesModel);
}
var BAR_BORDER_WIDTH_QUERY = ["itemStyle", "borderWidth"], LAYOUT_ATTRS = [{
  xy: "x",
  wh: "width",
  index: 0,
  posDesc: ["left", "right"]
}, {
  xy: "y",
  wh: "height",
  index: 1,
  posDesc: ["top", "bottom"]
}], pathForLineWidth = new Circle(), PictorialBarView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l) {
      var u = this.group, c = o.getData(), d = this._data, f = o.coordinateSystem, p = f.getBaseAxis(), v = p.isHorizontal(), g = f.master.getRect(), y = {
        ecSize: {
          width: l.getWidth(),
          height: l.getHeight()
        },
        seriesModel: o,
        coordSys: f,
        coordSysExtent: [[g.x, g.x + g.width], [g.y, g.y + g.height]],
        isHorizontal: v,
        valueDim: LAYOUT_ATTRS[+v],
        categoryDim: LAYOUT_ATTRS[1 - +v]
      };
      c.diff(d).add(function(S) {
        if (c.hasValue(S)) {
          var C = getItemModel(c, S), b = getSymbolMeta(c, S, C, y), T = createBar(c, y, b);
          c.setItemGraphicEl(S, T), u.add(T), updateCommon(T, y, b);
        }
      }).update(function(S, C) {
        var b = d.getItemGraphicEl(C);
        if (!c.hasValue(S)) {
          u.remove(b);
          return;
        }
        var T = getItemModel(c, S), E = getSymbolMeta(c, S, T, y), x = getShapeStr(c, E);
        b && x !== b.__pictorialShapeStr && (u.remove(b), c.setItemGraphicEl(S, null), b = null), b ? updateBar(b, y, E) : b = createBar(c, y, E, !0), c.setItemGraphicEl(S, b), b.__pictorialSymbolMeta = E, u.add(b), updateCommon(b, y, E);
      }).remove(function(S) {
        var C = d.getItemGraphicEl(S);
        C && removeBar(d, S, C.__pictorialSymbolMeta.animationModel, C);
      }).execute();
      var _ = o.get("clip", !0) ? createClipPath(o.coordinateSystem, !1, o) : null;
      return _ ? u.setClipPath(_) : u.removeClipPath(), this._data = c, this.group;
    }, a.prototype.remove = function(o, s) {
      var l = this.group, u = this._data;
      o.get("animation") ? u && u.eachItemGraphicEl(function(c) {
        removeBar(u, getECData(c).dataIndex, o, c);
      }) : l.removeAll();
    }, a.type = "pictorialBar", a;
  }(ChartView)
);
function getSymbolMeta(r, a, o, s) {
  var l = r.getItemLayout(a), u = o.get("symbolRepeat"), c = o.get("symbolClip"), d = o.get("symbolPosition") || "start", f = o.get("symbolRotate"), p = (f || 0) * Math.PI / 180 || 0, v = o.get("symbolPatternSize") || 2, g = o.isAnimationEnabled(), y = {
    dataIndex: a,
    layout: l,
    itemModel: o,
    symbolType: r.getItemVisual(a, "symbol") || "circle",
    style: r.getItemVisual(a, "style"),
    symbolClip: c,
    symbolRepeat: u,
    symbolRepeatDirection: o.get("symbolRepeatDirection"),
    symbolPatternSize: v,
    rotation: p,
    animationModel: g ? o : null,
    hoverScale: g && o.get(["emphasis", "scale"]),
    z2: o.getShallow("z", !0) || 0
  };
  prepareBarLength(o, u, l, s, y), prepareSymbolSize(r, a, l, u, c, y.boundingLength, y.pxSign, v, s, y), prepareLineWidth(o, y.symbolScale, p, s, y);
  var _ = y.symbolSize, S = normalizeSymbolOffset(o.get("symbolOffset"), _);
  return prepareLayoutInfo(o, _, l, u, c, S, d, y.valueLineWidth, y.boundingLength, y.repeatCutLength, s, y), y;
}
function prepareBarLength(r, a, o, s, l) {
  var u = s.valueDim, c = r.get("symbolBoundingData"), d = s.coordSys.getOtherAxis(s.coordSys.getBaseAxis()), f = d.toGlobalCoord(d.dataToCoord(0)), p = 1 - +(o[u.wh] <= 0), v;
  if (isArray$1(c)) {
    var g = [convertToCoordOnAxis(d, c[0]) - f, convertToCoordOnAxis(d, c[1]) - f];
    g[1] < g[0] && g.reverse(), v = g[p];
  } else c != null ? v = convertToCoordOnAxis(d, c) - f : a ? v = s.coordSysExtent[u.index][p] - f : v = o[u.wh];
  l.boundingLength = v, a && (l.repeatCutLength = o[u.wh]);
  var y = u.xy === "x", _ = d.inverse;
  l.pxSign = y && !_ || !y && _ ? v >= 0 ? 1 : -1 : v > 0 ? 1 : -1;
}
function convertToCoordOnAxis(r, a) {
  return r.toGlobalCoord(r.dataToCoord(r.scale.parse(a)));
}
function prepareSymbolSize(r, a, o, s, l, u, c, d, f, p) {
  var v = f.valueDim, g = f.categoryDim, y = Math.abs(o[g.wh]), _ = r.getItemVisual(a, "symbolSize"), S;
  isArray$1(_) ? S = _.slice() : _ == null ? S = ["100%", "100%"] : S = [_, _], S[g.index] = parsePercent(S[g.index], y), S[v.index] = parsePercent(S[v.index], s ? y : Math.abs(u)), p.symbolSize = S;
  var C = p.symbolScale = [S[0] / d, S[1] / d];
  C[v.index] *= (f.isHorizontal ? -1 : 1) * c;
}
function prepareLineWidth(r, a, o, s, l) {
  var u = r.get(BAR_BORDER_WIDTH_QUERY) || 0;
  u && (pathForLineWidth.attr({
    scaleX: a[0],
    scaleY: a[1],
    rotation: o
  }), pathForLineWidth.updateTransform(), u /= pathForLineWidth.getLineScale(), u *= a[s.valueDim.index]), l.valueLineWidth = u || 0;
}
function prepareLayoutInfo(r, a, o, s, l, u, c, d, f, p, v, g) {
  var y = v.categoryDim, _ = v.valueDim, S = g.pxSign, C = Math.max(a[_.index] + d, 0), b = C;
  if (s) {
    var T = Math.abs(f), E = retrieve(r.get("symbolMargin"), "15%") + "", x = !1;
    E.lastIndexOf("!") === E.length - 1 && (x = !0, E = E.slice(0, E.length - 1));
    var $ = parsePercent(E, a[_.index]), A = Math.max(C + $ * 2, 0), N = x ? 0 : $ * 2, P = isNumeric(s), L = P ? s : toIntTimes((T + N) / A), O = T - L * C;
    $ = O / 2 / (x ? L : Math.max(L - 1, 1)), A = C + $ * 2, N = x ? 0 : $ * 2, !P && s !== "fixed" && (L = p ? toIntTimes((Math.abs(p) + N) / A) : 0), b = L * A - N, g.repeatTimes = L, g.symbolMargin = $;
  }
  var M = S * (b / 2), F = g.pathPosition = [];
  F[y.index] = o[y.wh] / 2, F[_.index] = c === "start" ? M : c === "end" ? f - M : f / 2, u && (F[0] += u[0], F[1] += u[1]);
  var U = g.bundlePosition = [];
  U[y.index] = o[y.xy], U[_.index] = o[_.xy];
  var R = g.barRectShape = extend({}, o);
  R[_.wh] = S * Math.max(Math.abs(o[_.wh]), Math.abs(F[_.index] + M)), R[y.wh] = o[y.wh];
  var H = g.clipShape = {};
  H[y.xy] = -o[y.xy], H[y.wh] = v.ecSize[y.wh], H[_.xy] = 0, H[_.wh] = o[_.wh];
}
function createPath(r) {
  var a = r.symbolPatternSize, o = createSymbol$1(
    // Consider texture img, make a big size.
    r.symbolType,
    -a / 2,
    -a / 2,
    a,
    a
  );
  return o.attr({
    culling: !0
  }), o.type !== "image" && o.setStyle({
    strokeNoScale: !0
  }), o;
}
function createOrUpdateRepeatSymbols(r, a, o, s) {
  var l = r.__pictorialBundle, u = o.symbolSize, c = o.valueLineWidth, d = o.pathPosition, f = a.valueDim, p = o.repeatTimes || 0, v = 0, g = u[a.valueDim.index] + c + o.symbolMargin * 2;
  for (eachPath(r, function(C) {
    C.__pictorialAnimationIndex = v, C.__pictorialRepeatTimes = p, v < p ? updateAttr(C, null, S(v), o, s) : updateAttr(C, null, {
      scaleX: 0,
      scaleY: 0
    }, o, s, function() {
      l.remove(C);
    }), v++;
  }); v < p; v++) {
    var y = createPath(o);
    y.__pictorialAnimationIndex = v, y.__pictorialRepeatTimes = p, l.add(y);
    var _ = S(v);
    updateAttr(y, {
      x: _.x,
      y: _.y,
      scaleX: 0,
      scaleY: 0
    }, {
      scaleX: _.scaleX,
      scaleY: _.scaleY,
      rotation: _.rotation
    }, o, s);
  }
  function S(C) {
    var b = d.slice(), T = o.pxSign, E = C;
    return (o.symbolRepeatDirection === "start" ? T > 0 : T < 0) && (E = p - 1 - C), b[f.index] = g * (E - p / 2 + 0.5) + d[f.index], {
      x: b[0],
      y: b[1],
      scaleX: o.symbolScale[0],
      scaleY: o.symbolScale[1],
      rotation: o.rotation
    };
  }
}
function createOrUpdateSingleSymbol(r, a, o, s) {
  var l = r.__pictorialBundle, u = r.__pictorialMainPath;
  u ? updateAttr(u, null, {
    x: o.pathPosition[0],
    y: o.pathPosition[1],
    scaleX: o.symbolScale[0],
    scaleY: o.symbolScale[1],
    rotation: o.rotation
  }, o, s) : (u = r.__pictorialMainPath = createPath(o), l.add(u), updateAttr(u, {
    x: o.pathPosition[0],
    y: o.pathPosition[1],
    scaleX: 0,
    scaleY: 0,
    rotation: o.rotation
  }, {
    scaleX: o.symbolScale[0],
    scaleY: o.symbolScale[1]
  }, o, s));
}
function createOrUpdateBarRect(r, a, o) {
  var s = extend({}, a.barRectShape), l = r.__pictorialBarRect;
  l ? updateAttr(l, null, {
    shape: s
  }, a, o) : (l = r.__pictorialBarRect = new Rect$2({
    z2: 2,
    shape: s,
    silent: !0,
    style: {
      stroke: "transparent",
      fill: "transparent",
      lineWidth: 0
    }
  }), l.disableMorphing = !0, r.add(l));
}
function createOrUpdateClip(r, a, o, s) {
  if (o.symbolClip) {
    var l = r.__pictorialClipPath, u = extend({}, o.clipShape), c = a.valueDim, d = o.animationModel, f = o.dataIndex;
    if (l)
      updateProps$1(l, {
        shape: u
      }, d, f);
    else {
      u[c.wh] = 0, l = new Rect$2({
        shape: u
      }), r.__pictorialBundle.setClipPath(l), r.__pictorialClipPath = l;
      var p = {};
      p[c.wh] = o.clipShape[c.wh], graphic$1[s ? "updateProps" : "initProps"](l, {
        shape: p
      }, d, f);
    }
  }
}
function getItemModel(r, a) {
  var o = r.getItemModel(a);
  return o.getAnimationDelayParams = getAnimationDelayParams, o.isAnimationEnabled = isAnimationEnabled, o;
}
function getAnimationDelayParams(r) {
  return {
    index: r.__pictorialAnimationIndex,
    count: r.__pictorialRepeatTimes
  };
}
function isAnimationEnabled() {
  return this.parentModel.isAnimationEnabled() && !!this.getShallow("animation");
}
function createBar(r, a, o, s) {
  var l = new Group$3(), u = new Group$3();
  return l.add(u), l.__pictorialBundle = u, u.x = o.bundlePosition[0], u.y = o.bundlePosition[1], o.symbolRepeat ? createOrUpdateRepeatSymbols(l, a, o) : createOrUpdateSingleSymbol(l, a, o), createOrUpdateBarRect(l, o, s), createOrUpdateClip(l, a, o, s), l.__pictorialShapeStr = getShapeStr(r, o), l.__pictorialSymbolMeta = o, l;
}
function updateBar(r, a, o) {
  var s = o.animationModel, l = o.dataIndex, u = r.__pictorialBundle;
  updateProps$1(u, {
    x: o.bundlePosition[0],
    y: o.bundlePosition[1]
  }, s, l), o.symbolRepeat ? createOrUpdateRepeatSymbols(r, a, o, !0) : createOrUpdateSingleSymbol(r, a, o, !0), createOrUpdateBarRect(r, o, !0), createOrUpdateClip(r, a, o, !0);
}
function removeBar(r, a, o, s) {
  var l = s.__pictorialBarRect;
  l && l.removeTextContent();
  var u = [];
  eachPath(s, function(c) {
    u.push(c);
  }), s.__pictorialMainPath && u.push(s.__pictorialMainPath), s.__pictorialClipPath && (o = null), each$f(u, function(c) {
    removeElement(c, {
      scaleX: 0,
      scaleY: 0
    }, o, a, function() {
      s.parent && s.parent.remove(s);
    });
  }), r.setItemGraphicEl(a, null);
}
function getShapeStr(r, a) {
  return [r.getItemVisual(a.dataIndex, "symbol") || "none", !!a.symbolRepeat, !!a.symbolClip].join(":");
}
function eachPath(r, a, o) {
  each$f(r.__pictorialBundle.children(), function(s) {
    s !== r.__pictorialBarRect && a.call(o, s);
  });
}
function updateAttr(r, a, o, s, l, u) {
  a && r.attr(a), s.symbolClip && !l ? o && r.attr(o) : o && graphic$1[l ? "updateProps" : "initProps"](r, o, s.animationModel, s.dataIndex, u);
}
function updateCommon(r, a, o) {
  var s = o.dataIndex, l = o.itemModel, u = l.getModel("emphasis"), c = u.getModel("itemStyle").getItemStyle(), d = l.getModel(["blur", "itemStyle"]).getItemStyle(), f = l.getModel(["select", "itemStyle"]).getItemStyle(), p = l.getShallow("cursor"), v = u.get("focus"), g = u.get("blurScope"), y = u.get("scale");
  eachPath(r, function(C) {
    if (C instanceof ZRImage) {
      var b = C.style;
      C.useStyle(extend({
        // TODO other properties like dx, dy ?
        image: b.image,
        x: b.x,
        y: b.y,
        width: b.width,
        height: b.height
      }, o.style));
    } else
      C.useStyle(o.style);
    var T = C.ensureState("emphasis");
    T.style = c, y && (T.scaleX = C.scaleX * 1.1, T.scaleY = C.scaleY * 1.1), C.ensureState("blur").style = d, C.ensureState("select").style = f, p && (C.cursor = p), C.z2 = o.z2;
  });
  var _ = a.valueDim.posDesc[+(o.boundingLength > 0)], S = r.__pictorialBarRect;
  S.ignoreClip = !0, setLabelStyle(S, getLabelStatesModels(l), {
    labelFetcher: a.seriesModel,
    labelDataIndex: s,
    defaultText: getDefaultLabel(a.seriesModel.getData(), s),
    inheritColor: o.style.fill,
    defaultOpacity: o.style.opacity,
    defaultOutsidePosition: _
  }), toggleHoverEmphasis(r, v, g, u.get("disabled"));
}
function toIntTimes(r) {
  var a = Math.round(r);
  return Math.abs(r - a) < 1e-4 ? a : Math.ceil(r);
}
var PictorialBarSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.hasSymbolVisual = !0, o.defaultSymbol = "roundRect", o;
    }
    return a.prototype.getInitialData = function(o) {
      return o.stack = null, r.prototype.getInitialData.apply(this, arguments);
    }, a.type = "series.pictorialBar", a.dependencies = ["grid"], a.defaultOption = inheritDefaultOption(BaseBarSeriesModel.defaultOption, {
      symbol: "circle",
      symbolSize: null,
      symbolRotate: null,
      symbolPosition: null,
      symbolOffset: null,
      symbolMargin: null,
      symbolRepeat: !1,
      symbolRepeatDirection: "end",
      symbolClip: !1,
      symbolBoundingData: null,
      symbolPatternSize: 400,
      barGap: "-100%",
      // Pictorial bar do not clip by default because in many cases
      // xAxis and yAxis are not displayed and it's expected not to clip
      clip: !1,
      // z can be set in data item, which is z2 actually.
      // Disable progressive
      progressive: 0,
      emphasis: {
        // By default pictorialBar do not hover scale. Hover scale is not suitable
        // for the case that both has foreground and background.
        scale: !1
      },
      select: {
        itemStyle: {
          borderColor: "#212121"
        }
      }
    }), a;
  }(BaseBarSeriesModel)
);
function install$v(r) {
  r.registerChartView(PictorialBarView), r.registerSeriesModel(PictorialBarSeriesModel), r.registerLayout(r.PRIORITY.VISUAL.LAYOUT, curry$1(layout$3, "pictorialBar")), r.registerLayout(r.PRIORITY.VISUAL.PROGRESSIVE_LAYOUT, createProgressiveLayout("pictorialBar"));
}
var ThemeRiverView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o._layers = [], o;
    }
    return a.prototype.render = function(o, s, l) {
      var u = o.getData(), c = this, d = this.group, f = o.getLayerSeries(), p = u.getLayout("layoutInfo"), v = p.rect, g = p.boundaryGap;
      d.x = 0, d.y = v.y + g[0];
      function y(b) {
        return b.name;
      }
      var _ = new DataDiffer(this._layersSeries || [], f, y, y), S = [];
      _.add(bind$1(C, this, "add")).update(bind$1(C, this, "update")).remove(bind$1(C, this, "remove")).execute();
      function C(b, T, E) {
        var x = c._layers;
        if (b === "remove") {
          d.remove(x[T]);
          return;
        }
        for (var $ = [], A = [], N, P = f[T].indices, L = 0; L < P.length; L++) {
          var O = u.getItemLayout(P[L]), M = O.x, F = O.y0, U = O.y;
          $.push(M, F), A.push(M, F + U), N = u.getItemVisual(P[L], "style");
        }
        var R, H = u.getItemLayout(P[0]), V = o.getModel("label"), Y = V.get("margin"), G = o.getModel("emphasis");
        if (b === "add") {
          var Z = S[T] = new Group$3();
          R = new ECPolygon({
            shape: {
              points: $,
              stackedOnPoints: A,
              smooth: 0.4,
              stackedOnSmooth: 0.4,
              smoothConstraint: !1
            },
            z2: 0
          }), Z.add(R), d.add(Z), o.isAnimationEnabled() && R.setClipPath(createGridClipShape(R.getBoundingRect(), o, function() {
            R.removeClipPath();
          }));
        } else {
          var Z = x[E];
          R = Z.childAt(0), d.add(Z), S[T] = Z, updateProps$1(R, {
            shape: {
              points: $,
              stackedOnPoints: A
            }
          }, o), saveOldStyle(R);
        }
        setLabelStyle(R, getLabelStatesModels(o), {
          labelDataIndex: P[L - 1],
          defaultText: u.getName(P[L - 1]),
          inheritColor: N.fill
        }, {
          normal: {
            verticalAlign: "middle"
            // align: 'right'
          }
        }), R.setTextConfig({
          position: null,
          local: !0
        });
        var re = R.getTextContent();
        re && (re.x = H.x - Y, re.y = H.y0 + H.y / 2), R.useStyle(N), u.setItemGraphicEl(T, R), setStatesStylesFromModel(R, o), toggleHoverEmphasis(R, G.get("focus"), G.get("blurScope"), G.get("disabled"));
      }
      this._layersSeries = f, this._layers = S;
    }, a.type = "themeRiver", a;
  }(ChartView)
);
function createGridClipShape(r, a, o) {
  var s = new Rect$2({
    shape: {
      x: r.x - 10,
      y: r.y - 10,
      width: 0,
      height: r.height + 20
    }
  });
  return initProps(s, {
    shape: {
      x: r.x - 50,
      width: r.width + 100,
      height: r.height + 20
    }
  }, a, o), s;
}
var DATA_NAME_INDEX = 2, ThemeRiverSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.init = function(o) {
      r.prototype.init.apply(this, arguments), this.legendVisualProvider = new LegendVisualProvider(bind$1(this.getData, this), bind$1(this.getRawData, this));
    }, a.prototype.fixData = function(o) {
      var s = o.length, l = {}, u = groupData(o, function(y) {
        return l.hasOwnProperty(y[0] + "") || (l[y[0] + ""] = -1), y[2];
      }), c = [];
      u.buckets.each(function(y, _) {
        c.push({
          name: _,
          dataList: y
        });
      });
      for (var d = c.length, f = 0; f < d; ++f) {
        for (var p = c[f].name, v = 0; v < c[f].dataList.length; ++v) {
          var g = c[f].dataList[v][0] + "";
          l[g] = f;
        }
        for (var g in l)
          l.hasOwnProperty(g) && l[g] !== f && (l[g] = f, o[s] = [g, 0, p], s++);
      }
      return o;
    }, a.prototype.getInitialData = function(o, s) {
      for (var l = this.getReferringComponents("singleAxis", SINGLE_REFERRING).models[0], u = l.get("type"), c = filter(o.data, function(S) {
        return S[2] !== void 0;
      }), d = this.fixData(c || []), f = [], p = this.nameMap = createHashMap(), v = 0, g = 0; g < d.length; ++g)
        f.push(d[g][DATA_NAME_INDEX]), p.get(d[g][DATA_NAME_INDEX]) || (p.set(d[g][DATA_NAME_INDEX], v), v++);
      var y = prepareSeriesDataSchema(d, {
        coordDimensions: ["single"],
        dimensionsDefine: [{
          name: "time",
          type: getDimensionTypeByAxis(u)
        }, {
          name: "value",
          type: "float"
        }, {
          name: "name",
          type: "ordinal"
        }],
        encodeDefine: {
          single: 0,
          value: 1,
          itemName: 2
        }
      }).dimensions, _ = new SeriesData(y, this);
      return _.initData(d), _;
    }, a.prototype.getLayerSeries = function() {
      for (var o = this.getData(), s = o.count(), l = [], u = 0; u < s; ++u)
        l[u] = u;
      var c = o.mapDimension("single"), d = groupData(l, function(p) {
        return o.get("name", p);
      }), f = [];
      return d.buckets.each(function(p, v) {
        p.sort(function(g, y) {
          return o.get(c, g) - o.get(c, y);
        }), f.push({
          name: v,
          indices: p
        });
      }), f;
    }, a.prototype.getAxisTooltipData = function(o, s, l) {
      isArray$1(o) || (o = o ? [o] : []);
      for (var u = this.getData(), c = this.getLayerSeries(), d = [], f = c.length, p, v = 0; v < f; ++v) {
        for (var g = Number.MAX_VALUE, y = -1, _ = c[v].indices.length, S = 0; S < _; ++S) {
          var C = u.get(o[0], c[v].indices[S]), b = Math.abs(C - s);
          b <= g && (p = C, g = b, y = c[v].indices[S]);
        }
        d.push(y);
      }
      return {
        dataIndices: d,
        nestestValue: p
      };
    }, a.prototype.formatTooltip = function(o, s, l) {
      var u = this.getData(), c = u.getName(o), d = u.get(u.mapDimension("value"), o);
      return createTooltipMarkup("nameValue", {
        name: c,
        value: d
      });
    }, a.type = "series.themeRiver", a.dependencies = ["singleAxis"], a.defaultOption = {
      // zlevel: 0,
      z: 2,
      colorBy: "data",
      coordinateSystem: "singleAxis",
      // gap in axis's orthogonal orientation
      boundaryGap: ["10%", "10%"],
      // legendHoverLink: true,
      singleAxisIndex: 0,
      animationEasing: "linear",
      label: {
        margin: 4,
        show: !0,
        position: "left",
        fontSize: 11
      },
      emphasis: {
        label: {
          show: !0
        }
      }
    }, a;
  }(SeriesModel)
);
function themeRiverLayout(r, a) {
  r.eachSeriesByType("themeRiver", function(o) {
    var s = o.getData(), l = o.coordinateSystem, u = {}, c = l.getRect();
    u.rect = c;
    var d = o.get("boundaryGap"), f = l.getAxis();
    if (u.boundaryGap = d, f.orient === "horizontal") {
      d[0] = parsePercent(d[0], c.height), d[1] = parsePercent(d[1], c.height);
      var p = c.height - d[0] - d[1];
      doThemeRiverLayout(s, o, p);
    } else {
      d[0] = parsePercent(d[0], c.width), d[1] = parsePercent(d[1], c.width);
      var v = c.width - d[0] - d[1];
      doThemeRiverLayout(s, o, v);
    }
    s.setLayout("layoutInfo", u);
  });
}
function doThemeRiverLayout(r, a, o) {
  if (r.count())
    for (var s = a.coordinateSystem, l = a.getLayerSeries(), u = r.mapDimension("single"), c = r.mapDimension("value"), d = map$1(l, function(b) {
      return map$1(b.indices, function(T) {
        var E = s.dataToPoint(r.get(u, T));
        return E[1] = r.get(c, T), E;
      });
    }), f = computeBaseline(d), p = f.y0, v = o / f.max, g = l.length, y = l[0].indices.length, _, S = 0; S < y; ++S) {
      _ = p[S] * v, r.setItemLayout(l[0].indices[S], {
        layerIndex: 0,
        x: d[0][S][0],
        y0: _,
        y: d[0][S][1] * v
      });
      for (var C = 1; C < g; ++C)
        _ += d[C - 1][S][1] * v, r.setItemLayout(l[C].indices[S], {
          layerIndex: C,
          x: d[C][S][0],
          y0: _,
          y: d[C][S][1] * v
        });
    }
}
function computeBaseline(r) {
  for (var a = r.length, o = r[0].length, s = [], l = [], u = 0, c = 0; c < o; ++c) {
    for (var d = 0, f = 0; f < a; ++f)
      d += r[f][c][1];
    d > u && (u = d), s.push(d);
  }
  for (var p = 0; p < o; ++p)
    l[p] = (u - s[p]) / 2;
  u = 0;
  for (var v = 0; v < o; ++v) {
    var g = s[v] + l[v];
    g > u && (u = g);
  }
  return {
    y0: l,
    max: u
  };
}
function install$u(r) {
  r.registerChartView(ThemeRiverView), r.registerSeriesModel(ThemeRiverSeriesModel), r.registerLayout(themeRiverLayout), r.registerProcessor(dataFilter$1("themeRiver"));
}
var DEFAULT_SECTOR_Z = 2, DEFAULT_TEXT_Z = 4, SunburstPiece = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s, l, u) {
      var c = r.call(this) || this;
      c.z2 = DEFAULT_SECTOR_Z, c.textConfig = {
        inside: !0
      }, getECData(c).seriesIndex = s.seriesIndex;
      var d = new ZRText({
        z2: DEFAULT_TEXT_Z,
        silent: o.getModel().get(["label", "silent"])
      });
      return c.setTextContent(d), c.updateData(!0, o, s, l, u), c;
    }
    return a.prototype.updateData = function(o, s, l, u, c) {
      this.node = s, s.piece = this, l = l || this._seriesModel, u = u || this._ecModel;
      var d = this;
      getECData(d).dataIndex = s.dataIndex;
      var f = s.getModel(), p = f.getModel("emphasis"), v = s.getLayout(), g = extend({}, v);
      g.label = null;
      var y = s.getVisual("style");
      y.lineJoin = "bevel";
      var _ = s.getVisual("decal");
      _ && (y.decal = createOrUpdatePatternFromDecal(_, c));
      var S = getSectorCornerRadius(f.getModel("itemStyle"), g, !0);
      extend(g, S), each$f(SPECIAL_STATES, function(E) {
        var x = d.ensureState(E), $ = f.getModel([E, "itemStyle"]);
        x.style = $.getItemStyle();
        var A = getSectorCornerRadius($, g);
        A && (x.shape = A);
      }), o ? (d.setShape(g), d.shape.r = v.r0, initProps(d, {
        shape: {
          r: v.r
        }
      }, l, s.dataIndex)) : (updateProps$1(d, {
        shape: g
      }, l), saveOldStyle(d)), d.useStyle(y), this._updateLabel(l);
      var C = f.getShallow("cursor");
      C && d.attr("cursor", C), this._seriesModel = l || this._seriesModel, this._ecModel = u || this._ecModel;
      var b = p.get("focus"), T = b === "relative" ? concatArray(s.getAncestorsIndices(), s.getDescendantIndices()) : b === "ancestor" ? s.getAncestorsIndices() : b === "descendant" ? s.getDescendantIndices() : b;
      toggleHoverEmphasis(this, T, p.get("blurScope"), p.get("disabled"));
    }, a.prototype._updateLabel = function(o) {
      var s = this, l = this.node.getModel(), u = l.getModel("label"), c = this.node.getLayout(), d = c.endAngle - c.startAngle, f = (c.startAngle + c.endAngle) / 2, p = Math.cos(f), v = Math.sin(f), g = this, y = g.getTextContent(), _ = this.node.dataIndex, S = u.get("minAngle") / 180 * Math.PI, C = u.get("show") && !(S != null && Math.abs(d) < S);
      y.ignore = !C, each$f(DISPLAY_STATES, function(T) {
        var E = T === "normal" ? l.getModel("label") : l.getModel([T, "label"]), x = T === "normal", $ = x ? y : y.ensureState(T), A = o.getFormattedLabel(_, T);
        x && (A = A || s.node.name), $.style = createTextStyle$1(E, {}, null, T !== "normal", !0), A && ($.style.text = A);
        var N = E.get("show");
        N != null && !x && ($.ignore = !N);
        var P = b(E, "position"), L = x ? g : g.states[T], O = L.style.fill;
        L.textConfig = {
          outsideFill: E.get("color") === "inherit" ? O : null,
          inside: P !== "outside"
        };
        var M, F = b(E, "distance") || 0, U = b(E, "align"), R = b(E, "rotate"), H = Math.PI * 0.5, V = Math.PI * 1.5, Y = normalizeRadian(R === "tangential" ? Math.PI / 2 - f : f), G = Y > H && !isRadianAroundZero(Y - H) && Y < V;
        P === "outside" ? (M = c.r + F, U = G ? "right" : "left") : !U || U === "center" ? (d === 2 * Math.PI && c.r0 === 0 ? M = 0 : M = (c.r + c.r0) / 2, U = "center") : U === "left" ? (M = c.r0 + F, U = G ? "right" : "left") : U === "right" && (M = c.r - F, U = G ? "left" : "right"), $.style.align = U, $.style.verticalAlign = b(E, "verticalAlign") || "middle", $.x = M * p + c.cx, $.y = M * v + c.cy;
        var Z = 0;
        R === "radial" ? Z = normalizeRadian(-f) + (G ? Math.PI : 0) : R === "tangential" ? Z = normalizeRadian(Math.PI / 2 - f) + (G ? Math.PI : 0) : isNumber(R) && (Z = R * Math.PI / 180), $.rotation = normalizeRadian(Z);
      });
      function b(T, E) {
        var x = T.get(E);
        return x ?? u.get(E);
      }
      y.dirtyStyle();
    }, a;
  }(Sector)
), ROOT_TO_NODE_ACTION = "sunburstRootToNode", HIGHLIGHT_ACTION = "sunburstHighlight", UNHIGHLIGHT_ACTION = "sunburstUnhighlight";
function installSunburstAction(r) {
  r.registerAction({
    type: ROOT_TO_NODE_ACTION,
    update: "updateView"
  }, function(a, o) {
    o.eachComponent({
      mainType: "series",
      subType: "sunburst",
      query: a
    }, s);
    function s(l, u) {
      var c = retrieveTargetInfo(a, [ROOT_TO_NODE_ACTION], l);
      if (c) {
        var d = l.getViewRoot();
        d && (a.direction = aboveViewRoot(d, c.node) ? "rollUp" : "drillDown"), l.resetViewRoot(c.node);
      }
    }
  }), r.registerAction({
    type: HIGHLIGHT_ACTION,
    update: "none"
  }, function(a, o, s) {
    a = extend({}, a), o.eachComponent({
      mainType: "series",
      subType: "sunburst",
      query: a
    }, l);
    function l(u) {
      var c = retrieveTargetInfo(a, [HIGHLIGHT_ACTION], u);
      c && (a.dataIndex = c.node.dataIndex);
    }
    process.env.NODE_ENV !== "production" && deprecateReplaceLog("sunburstHighlight", "highlight"), s.dispatchAction(extend(a, {
      type: "highlight"
    }));
  }), r.registerAction({
    type: UNHIGHLIGHT_ACTION,
    update: "updateView"
  }, function(a, o, s) {
    a = extend({}, a), process.env.NODE_ENV !== "production" && deprecateReplaceLog("sunburstUnhighlight", "downplay"), s.dispatchAction(extend(a, {
      type: "downplay"
    }));
  });
}
var SunburstView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l, u) {
      var c = this;
      this.seriesModel = o, this.api = l, this.ecModel = s;
      var d = o.getData(), f = d.tree.root, p = o.getViewRoot(), v = this.group, g = o.get("renderLabelForZeroData"), y = [];
      p.eachNode(function(E) {
        y.push(E);
      });
      var _ = this._oldChildren || [];
      S(y, _), T(f, p), this._initEvents(), this._oldChildren = y;
      function S(E, x) {
        if (E.length === 0 && x.length === 0)
          return;
        new DataDiffer(x, E, $, $).add(A).update(A).remove(curry$1(A, null)).execute();
        function $(N) {
          return N.getId();
        }
        function A(N, P) {
          var L = N == null ? null : E[N], O = P == null ? null : x[P];
          C(L, O);
        }
      }
      function C(E, x) {
        if (!g && E && !E.getValue() && (E = null), E !== f && x !== f) {
          if (x && x.piece)
            E ? (x.piece.updateData(!1, E, o, s, l), d.setItemGraphicEl(E.dataIndex, x.piece)) : b(x);
          else if (E) {
            var $ = new SunburstPiece(E, o, s, l);
            v.add($), d.setItemGraphicEl(E.dataIndex, $);
          }
        }
      }
      function b(E) {
        E && E.piece && (v.remove(E.piece), E.piece = null);
      }
      function T(E, x) {
        x.depth > 0 ? (c.virtualPiece ? c.virtualPiece.updateData(!1, E, o, s, l) : (c.virtualPiece = new SunburstPiece(E, o, s, l), v.add(c.virtualPiece)), x.piece.off("click"), c.virtualPiece.on("click", function($) {
          c._rootToNode(x.parentNode);
        })) : c.virtualPiece && (v.remove(c.virtualPiece), c.virtualPiece = null);
      }
    }, a.prototype._initEvents = function() {
      var o = this;
      this.group.off("click"), this.group.on("click", function(s) {
        var l = !1, u = o.seriesModel.getViewRoot();
        u.eachNode(function(c) {
          if (!l && c.piece && c.piece === s.target) {
            var d = c.getModel().get("nodeClick");
            if (d === "rootToNode")
              o._rootToNode(c);
            else if (d === "link") {
              var f = c.getModel(), p = f.get("link");
              if (p) {
                var v = f.get("target", !0) || "_blank";
                windowOpen(p, v);
              }
            }
            l = !0;
          }
        });
      });
    }, a.prototype._rootToNode = function(o) {
      o !== this.seriesModel.getViewRoot() && this.api.dispatchAction({
        type: ROOT_TO_NODE_ACTION,
        from: this.uid,
        seriesId: this.seriesModel.id,
        targetNode: o
      });
    }, a.prototype.containPoint = function(o, s) {
      var l = s.getData(), u = l.getItemLayout(0);
      if (u) {
        var c = o[0] - u.cx, d = o[1] - u.cy, f = Math.sqrt(c * c + d * d);
        return f <= u.r && f >= u.r0;
      }
    }, a.type = "sunburst", a;
  }(ChartView)
), SunburstSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.ignoreStyleOnData = !0, o;
    }
    return a.prototype.getInitialData = function(o, s) {
      var l = {
        name: o.name,
        children: o.data
      };
      completeTreeValue(l);
      var u = this._levelModels = map$1(o.levels || [], function(f) {
        return new Model(f, this, s);
      }, this), c = Tree.createTree(l, this, d);
      function d(f) {
        f.wrapMethod("getItemModel", function(p, v) {
          var g = c.getNodeByDataIndex(v), y = u[g.depth];
          return y && (p.parentModel = y), p;
        });
      }
      return c.data;
    }, a.prototype.optionUpdated = function() {
      this.resetViewRoot();
    }, a.prototype.getDataParams = function(o) {
      var s = r.prototype.getDataParams.apply(this, arguments), l = this.getData().tree.getNodeByDataIndex(o);
      return s.treePathInfo = wrapTreePathInfo(l, this), s;
    }, a.prototype.getLevelModel = function(o) {
      return this._levelModels && this._levelModels[o.depth];
    }, a.prototype.getViewRoot = function() {
      return this._viewRoot;
    }, a.prototype.resetViewRoot = function(o) {
      o ? this._viewRoot = o : o = this._viewRoot;
      var s = this.getRawData().tree.root;
      (!o || o !== s && !s.contains(o)) && (this._viewRoot = s);
    }, a.prototype.enableAriaDecal = function() {
      enableAriaDecalForTree(this);
    }, a.type = "series.sunburst", a.defaultOption = {
      // zlevel: 0,
      z: 2,
      // 默认全局居中
      center: ["50%", "50%"],
      radius: [0, "75%"],
      // 默认顺时针
      clockwise: !0,
      startAngle: 90,
      // 最小角度改为0
      minAngle: 0,
      // If still show when all data zero.
      stillShowZeroSum: !0,
      // 'rootToNode', 'link', or false
      nodeClick: "rootToNode",
      renderLabelForZeroData: !1,
      label: {
        // could be: 'radial', 'tangential', or 'none'
        rotate: "radial",
        show: !0,
        opacity: 1,
        // 'left' is for inner side of inside, and 'right' is for outer
        // side for inside
        align: "center",
        position: "inside",
        distance: 5,
        silent: !0
      },
      itemStyle: {
        borderWidth: 1,
        borderColor: "white",
        borderType: "solid",
        shadowBlur: 0,
        shadowColor: "rgba(0, 0, 0, 0.2)",
        shadowOffsetX: 0,
        shadowOffsetY: 0,
        opacity: 1
      },
      emphasis: {
        focus: "descendant"
      },
      blur: {
        itemStyle: {
          opacity: 0.2
        },
        label: {
          opacity: 0.1
        }
      },
      // Animation type can be expansion, scale.
      animationType: "expansion",
      animationDuration: 1e3,
      animationDurationUpdate: 500,
      data: [],
      /**
       * Sort order.
       *
       * Valid values: 'desc', 'asc', null, or callback function.
       * 'desc' and 'asc' for descend and ascendant order;
       * null for not sorting;
       * example of callback function:
       * function(nodeA, nodeB) {
       *     return nodeA.getValue() - nodeB.getValue();
       * }
       */
      sort: "desc"
    }, a;
  }(SeriesModel)
);
function completeTreeValue(r) {
  var a = 0;
  each$f(r.children, function(s) {
    completeTreeValue(s);
    var l = s.value;
    isArray$1(l) && (l = l[0]), a += l;
  });
  var o = r.value;
  isArray$1(o) && (o = o[0]), (o == null || isNaN(o)) && (o = a), o < 0 && (o = 0), isArray$1(r.value) ? r.value[0] = o : r.value = o;
}
var RADIAN = Math.PI / 180;
function sunburstLayout(r, a, o) {
  a.eachSeriesByType(r, function(s) {
    var l = s.get("center"), u = s.get("radius");
    isArray$1(u) || (u = [0, u]), isArray$1(l) || (l = [l, l]);
    var c = o.getWidth(), d = o.getHeight(), f = Math.min(c, d), p = parsePercent(l[0], c), v = parsePercent(l[1], d), g = parsePercent(u[0], f / 2), y = parsePercent(u[1], f / 2), _ = -s.get("startAngle") * RADIAN, S = s.get("minAngle") * RADIAN, C = s.getData().tree.root, b = s.getViewRoot(), T = b.depth, E = s.get("sort");
    E != null && initChildren(b, E);
    var x = 0;
    each$f(b.children, function(Y) {
      !isNaN(Y.getValue()) && x++;
    });
    var $ = b.getValue(), A = Math.PI / ($ || x) * 2, N = b.depth > 0, P = b.height - (N ? -1 : 1), L = (y - g) / (P || 1), O = s.get("clockwise"), M = s.get("stillShowZeroSum"), F = O ? 1 : -1, U = function(Y, G) {
      if (Y) {
        var Z = G;
        if (Y !== C) {
          var re = Y.getValue(), de = $ === 0 && M ? A : re * A;
          de < S && (de = S), Z = G + F * de;
          var X = Y.depth - T - (N ? -1 : 1), W = g + L * X, te = g + L * (X + 1), ae = s.getLevelModel(Y);
          if (ae) {
            var Te = ae.get("r0", !0), $e = ae.get("r", !0), se = ae.get("radius", !0);
            se != null && (Te = se[0], $e = se[1]), Te != null && (W = parsePercent(Te, f / 2)), $e != null && (te = parsePercent($e, f / 2));
          }
          Y.setLayout({
            angle: de,
            startAngle: G,
            endAngle: Z,
            clockwise: O,
            cx: p,
            cy: v,
            r0: W,
            r: te
          });
        }
        if (Y.children && Y.children.length) {
          var fe = 0;
          each$f(Y.children, function(ce) {
            fe += U(ce, G + fe);
          });
        }
        return Z - G;
      }
    };
    if (N) {
      var R = g, H = g + L, V = Math.PI * 2;
      C.setLayout({
        angle: V,
        startAngle: _,
        endAngle: _ + V,
        clockwise: O,
        cx: p,
        cy: v,
        r0: R,
        r: H
      });
    }
    U(b, _);
  });
}
function initChildren(r, a) {
  var o = r.children || [];
  r.children = sort(o, a), o.length && each$f(r.children, function(s) {
    initChildren(s, a);
  });
}
function sort(r, a) {
  if (isFunction(a)) {
    var o = map$1(r, function(l, u) {
      var c = l.getValue();
      return {
        params: {
          depth: l.depth,
          height: l.height,
          dataIndex: l.dataIndex,
          getValue: function() {
            return c;
          }
        },
        index: u
      };
    });
    return o.sort(function(l, u) {
      return a(l.params, u.params);
    }), map$1(o, function(l) {
      return r[l.index];
    });
  } else {
    var s = a === "asc";
    return r.sort(function(l, u) {
      var c = (l.getValue() - u.getValue()) * (s ? 1 : -1);
      return c === 0 ? (l.dataIndex - u.dataIndex) * (s ? -1 : 1) : c;
    });
  }
}
function sunburstVisual(r) {
  var a = {};
  function o(s, l, u) {
    for (var c = s; c && c.depth > 1; )
      c = c.parentNode;
    var d = l.getColorFromPalette(c.name || c.dataIndex + "", a);
    return s.depth > 1 && isString(d) && (d = lift(d, (s.depth - 1) / (u - 1) * 0.5)), d;
  }
  r.eachSeriesByType("sunburst", function(s) {
    var l = s.getData(), u = l.tree;
    u.eachNode(function(c) {
      var d = c.getModel(), f = d.getModel("itemStyle").getItemStyle();
      f.fill || (f.fill = o(c, s, u.root.height));
      var p = l.ensureUniqueItemVisual(c.dataIndex, "style");
      extend(p, f);
    });
  });
}
function install$t(r) {
  r.registerChartView(SunburstView), r.registerSeriesModel(SunburstSeriesModel), r.registerLayout(curry$1(sunburstLayout, "sunburst")), r.registerProcessor(curry$1(dataFilter$1, "sunburst")), r.registerVisual(sunburstVisual), installSunburstAction(r);
}
var STYLE_VISUAL_TYPE = {
  color: "fill",
  borderColor: "stroke"
}, NON_STYLE_VISUAL_PROPS = {
  symbol: 1,
  symbolSize: 1,
  symbolKeepAspect: 1,
  legendIcon: 1,
  visualMeta: 1,
  liftZ: 1,
  decal: 1
}, customInnerStore = makeInner(), CustomSeriesModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.optionUpdated = function() {
      this.currentZLevel = this.get("zlevel", !0), this.currentZ = this.get("z", !0);
    }, a.prototype.getInitialData = function(o, s) {
      return createSeriesData(null, this);
    }, a.prototype.getDataParams = function(o, s, l) {
      var u = r.prototype.getDataParams.call(this, o, s);
      return l && (u.info = customInnerStore(l).info), u;
    }, a.type = "series.custom", a.dependencies = ["grid", "polar", "geo", "singleAxis", "calendar"], a.defaultOption = {
      coordinateSystem: "cartesian2d",
      // zlevel: 0,
      z: 2,
      legendHoverLink: !0,
      // Custom series will not clip by default.
      // Some case will use custom series to draw label
      // For example https://echarts.apache.org/examples/en/editor.html?c=custom-gantt-flight
      clip: !1
      // Cartesian coordinate system
      // xAxisIndex: 0,
      // yAxisIndex: 0,
      // Polar coordinate system
      // polarIndex: 0,
      // Geo coordinate system
      // geoIndex: 0,
    }, a;
  }(SeriesModel)
);
function dataToCoordSize$3(r, a) {
  return a = a || [0, 0], map$1(["x", "y"], function(o, s) {
    var l = this.getAxis(o), u = a[s], c = r[s] / 2;
    return l.type === "category" ? l.getBandWidth() : Math.abs(l.dataToCoord(u - c) - l.dataToCoord(u + c));
  }, this);
}
function cartesianPrepareCustom(r) {
  var a = r.master.getRect();
  return {
    coordSys: {
      // The name exposed to user is always 'cartesian2d' but not 'grid'.
      type: "cartesian2d",
      x: a.x,
      y: a.y,
      width: a.width,
      height: a.height
    },
    api: {
      coord: function(o) {
        return r.dataToPoint(o);
      },
      size: bind$1(dataToCoordSize$3, r)
    }
  };
}
function dataToCoordSize$2(r, a) {
  return a = a || [0, 0], map$1([0, 1], function(o) {
    var s = a[o], l = r[o] / 2, u = [], c = [];
    return u[o] = s - l, c[o] = s + l, u[1 - o] = c[1 - o] = a[1 - o], Math.abs(this.dataToPoint(u)[o] - this.dataToPoint(c)[o]);
  }, this);
}
function geoPrepareCustom(r) {
  var a = r.getBoundingRect();
  return {
    coordSys: {
      type: "geo",
      x: a.x,
      y: a.y,
      width: a.width,
      height: a.height,
      zoom: r.getZoom()
    },
    api: {
      coord: function(o) {
        return r.dataToPoint(o);
      },
      size: bind$1(dataToCoordSize$2, r)
    }
  };
}
function dataToCoordSize$1(r, a) {
  var o = this.getAxis(), s = a instanceof Array ? a[0] : a, l = (r instanceof Array ? r[0] : r) / 2;
  return o.type === "category" ? o.getBandWidth() : Math.abs(o.dataToCoord(s - l) - o.dataToCoord(s + l));
}
function singlePrepareCustom(r) {
  var a = r.getRect();
  return {
    coordSys: {
      type: "singleAxis",
      x: a.x,
      y: a.y,
      width: a.width,
      height: a.height
    },
    api: {
      coord: function(o) {
        return r.dataToPoint(o);
      },
      size: bind$1(dataToCoordSize$1, r)
    }
  };
}
function dataToCoordSize(r, a) {
  return a = a || [0, 0], map$1(["Radius", "Angle"], function(o, s) {
    var l = "get" + o + "Axis", u = this[l](), c = a[s], d = r[s] / 2, f = u.type === "category" ? u.getBandWidth() : Math.abs(u.dataToCoord(c - d) - u.dataToCoord(c + d));
    return o === "Angle" && (f = f * Math.PI / 180), f;
  }, this);
}
function polarPrepareCustom(r) {
  var a = r.getRadiusAxis(), o = r.getAngleAxis(), s = a.getExtent();
  return s[0] > s[1] && s.reverse(), {
    coordSys: {
      type: "polar",
      cx: r.cx,
      cy: r.cy,
      r: s[1],
      r0: s[0]
    },
    api: {
      coord: function(l) {
        var u = a.dataToRadius(l[0]), c = o.dataToAngle(l[1]), d = r.coordToPoint([u, c]);
        return d.push(u, c * Math.PI / 180), d;
      },
      size: bind$1(dataToCoordSize, r)
    }
  };
}
function calendarPrepareCustom(r) {
  var a = r.getRect(), o = r.getRangeInfo();
  return {
    coordSys: {
      type: "calendar",
      x: a.x,
      y: a.y,
      width: a.width,
      height: a.height,
      cellWidth: r.getCellWidth(),
      cellHeight: r.getCellHeight(),
      rangeInfo: {
        start: o.start,
        end: o.end,
        weeks: o.weeks,
        dayCount: o.allDay
      }
    },
    api: {
      coord: function(s, l) {
        return r.dataToPoint(s, l);
      }
    }
  };
}
var deprecatedLogs = {};
function isEC4CompatibleStyle(r, a, o, s) {
  return r && (r.legacy || r.legacy !== !1 && !o && !s && a !== "tspan" && (a === "text" || hasOwn(r, "text")));
}
function convertFromEC4CompatibleStyle(r, a, o) {
  var s = r, l, u, c;
  if (a === "text")
    c = s;
  else {
    c = {}, hasOwn(s, "text") && (c.text = s.text), hasOwn(s, "rich") && (c.rich = s.rich), hasOwn(s, "textFill") && (c.fill = s.textFill), hasOwn(s, "textStroke") && (c.stroke = s.textStroke), hasOwn(s, "fontFamily") && (c.fontFamily = s.fontFamily), hasOwn(s, "fontSize") && (c.fontSize = s.fontSize), hasOwn(s, "fontStyle") && (c.fontStyle = s.fontStyle), hasOwn(s, "fontWeight") && (c.fontWeight = s.fontWeight), u = {
      type: "text",
      style: c,
      // ec4 does not support rectText trigger.
      // And when text position is different in normal and emphasis
      // => hover text trigger emphasis;
      // => text position changed, leave mouse pointer immediately;
      // That might cause incorrect state.
      silent: !0
    }, l = {};
    var d = hasOwn(s, "textPosition");
    o ? l.position = d ? s.textPosition : "inside" : d && (l.position = s.textPosition), hasOwn(s, "textPosition") && (l.position = s.textPosition), hasOwn(s, "textOffset") && (l.offset = s.textOffset), hasOwn(s, "textRotation") && (l.rotation = s.textRotation), hasOwn(s, "textDistance") && (l.distance = s.textDistance);
  }
  return convertEC4CompatibleRichItem(c, r), each$f(c.rich, function(f) {
    convertEC4CompatibleRichItem(f, f);
  }), {
    textConfig: l,
    textContent: u
  };
}
function convertEC4CompatibleRichItem(r, a) {
  a && (a.font = a.textFont || a.font, hasOwn(a, "textStrokeWidth") && (r.lineWidth = a.textStrokeWidth), hasOwn(a, "textAlign") && (r.align = a.textAlign), hasOwn(a, "textVerticalAlign") && (r.verticalAlign = a.textVerticalAlign), hasOwn(a, "textLineHeight") && (r.lineHeight = a.textLineHeight), hasOwn(a, "textWidth") && (r.width = a.textWidth), hasOwn(a, "textHeight") && (r.height = a.textHeight), hasOwn(a, "textBackgroundColor") && (r.backgroundColor = a.textBackgroundColor), hasOwn(a, "textPadding") && (r.padding = a.textPadding), hasOwn(a, "textBorderColor") && (r.borderColor = a.textBorderColor), hasOwn(a, "textBorderWidth") && (r.borderWidth = a.textBorderWidth), hasOwn(a, "textBorderRadius") && (r.borderRadius = a.textBorderRadius), hasOwn(a, "textBoxShadowColor") && (r.shadowColor = a.textBoxShadowColor), hasOwn(a, "textBoxShadowBlur") && (r.shadowBlur = a.textBoxShadowBlur), hasOwn(a, "textBoxShadowOffsetX") && (r.shadowOffsetX = a.textBoxShadowOffsetX), hasOwn(a, "textBoxShadowOffsetY") && (r.shadowOffsetY = a.textBoxShadowOffsetY));
}
function convertToEC4StyleForCustomSerise(r, a, o) {
  var s = r;
  s.textPosition = s.textPosition || o.position || "inside", o.offset != null && (s.textOffset = o.offset), o.rotation != null && (s.textRotation = o.rotation), o.distance != null && (s.textDistance = o.distance);
  var l = s.textPosition.indexOf("inside") >= 0, u = r.fill || "#000";
  convertToEC4RichItem(s, a);
  var c = s.textFill == null;
  return l ? c && (s.textFill = o.insideFill || "#fff", !s.textStroke && o.insideStroke && (s.textStroke = o.insideStroke), !s.textStroke && (s.textStroke = u), s.textStrokeWidth == null && (s.textStrokeWidth = 2)) : (c && (s.textFill = r.fill || o.outsideFill || "#000"), !s.textStroke && o.outsideStroke && (s.textStroke = o.outsideStroke)), s.text = a.text, s.rich = a.rich, each$f(a.rich, function(d) {
    convertToEC4RichItem(d, d);
  }), s;
}
function convertToEC4RichItem(r, a) {
  a && (hasOwn(a, "fill") && (r.textFill = a.fill), hasOwn(a, "stroke") && (r.textStroke = a.fill), hasOwn(a, "lineWidth") && (r.textStrokeWidth = a.lineWidth), hasOwn(a, "font") && (r.font = a.font), hasOwn(a, "fontStyle") && (r.fontStyle = a.fontStyle), hasOwn(a, "fontWeight") && (r.fontWeight = a.fontWeight), hasOwn(a, "fontSize") && (r.fontSize = a.fontSize), hasOwn(a, "fontFamily") && (r.fontFamily = a.fontFamily), hasOwn(a, "align") && (r.textAlign = a.align), hasOwn(a, "verticalAlign") && (r.textVerticalAlign = a.verticalAlign), hasOwn(a, "lineHeight") && (r.textLineHeight = a.lineHeight), hasOwn(a, "width") && (r.textWidth = a.width), hasOwn(a, "height") && (r.textHeight = a.height), hasOwn(a, "backgroundColor") && (r.textBackgroundColor = a.backgroundColor), hasOwn(a, "padding") && (r.textPadding = a.padding), hasOwn(a, "borderColor") && (r.textBorderColor = a.borderColor), hasOwn(a, "borderWidth") && (r.textBorderWidth = a.borderWidth), hasOwn(a, "borderRadius") && (r.textBorderRadius = a.borderRadius), hasOwn(a, "shadowColor") && (r.textBoxShadowColor = a.shadowColor), hasOwn(a, "shadowBlur") && (r.textBoxShadowBlur = a.shadowBlur), hasOwn(a, "shadowOffsetX") && (r.textBoxShadowOffsetX = a.shadowOffsetX), hasOwn(a, "shadowOffsetY") && (r.textBoxShadowOffsetY = a.shadowOffsetY), hasOwn(a, "textShadowColor") && (r.textShadowColor = a.textShadowColor), hasOwn(a, "textShadowBlur") && (r.textShadowBlur = a.textShadowBlur), hasOwn(a, "textShadowOffsetX") && (r.textShadowOffsetX = a.textShadowOffsetX), hasOwn(a, "textShadowOffsetY") && (r.textShadowOffsetY = a.textShadowOffsetY));
}
function warnDeprecated(r, a) {
  if (process.env.NODE_ENV !== "production") {
    var o = r + "^_^" + a;
    deprecatedLogs[o] || (console.warn('[ECharts] DEPRECATED: "' + r + '" has been deprecated. ' + a), deprecatedLogs[o] = !0);
  }
}
var LEGACY_TRANSFORM_PROPS_MAP = {
  position: ["x", "y"],
  scale: ["scaleX", "scaleY"],
  origin: ["originX", "originY"]
}, LEGACY_TRANSFORM_PROPS = keys(LEGACY_TRANSFORM_PROPS_MAP), TRANSFORM_PROPS_MAP = reduce(TRANSFORMABLE_PROPS, function(r, a) {
  return r[a] = 1, r;
}, {}), transformPropNamesStr = TRANSFORMABLE_PROPS.join(", "), ELEMENT_ANIMATABLE_PROPS = ["", "style", "shape", "extra"], transitionInnerStore = makeInner();
function getElementAnimationConfig(r, a, o, s, l) {
  var u = r + "Animation", c = getAnimationConfig(r, s, l) || {}, d = transitionInnerStore(a).userDuring;
  return c.duration > 0 && (c.during = d ? bind$1(duringCall, {
    el: a,
    userDuring: d
  }) : null, c.setToFinal = !0, c.scope = r), extend(c, o[u]), c;
}
function applyUpdateTransition(r, a, o, s) {
  s = s || {};
  var l = s.dataIndex, u = s.isInit, c = s.clearStyle, d = o.isAnimationEnabled(), f = transitionInnerStore(r), p = a.style;
  f.userDuring = a.during;
  var v = {}, g = {};
  if (prepareTransformAllPropsFinal(r, a, g), prepareShapeOrExtraAllPropsFinal("shape", a, g), prepareShapeOrExtraAllPropsFinal("extra", a, g), !u && d && (prepareTransformTransitionFrom(r, a, v), prepareShapeOrExtraTransitionFrom("shape", r, a, v), prepareShapeOrExtraTransitionFrom("extra", r, a, v), prepareStyleTransitionFrom(r, a, p, v)), g.style = p, applyPropsDirectly(r, g, c), applyMiscProps(r, a), d)
    if (u) {
      var y = {};
      each$f(ELEMENT_ANIMATABLE_PROPS, function(S) {
        var C = S ? a[S] : a;
        C && C.enterFrom && (S && (y[S] = y[S] || {}), extend(S ? y[S] : y, C.enterFrom));
      });
      var _ = getElementAnimationConfig("enter", r, a, o, l);
      _.duration > 0 && r.animateFrom(y, _);
    } else
      applyPropsTransition(r, a, l || 0, o, v);
  updateLeaveTo(r, a), p ? r.dirty() : r.markRedraw();
}
function updateLeaveTo(r, a) {
  for (var o = transitionInnerStore(r).leaveToProps, s = 0; s < ELEMENT_ANIMATABLE_PROPS.length; s++) {
    var l = ELEMENT_ANIMATABLE_PROPS[s], u = l ? a[l] : a;
    u && u.leaveTo && (o || (o = transitionInnerStore(r).leaveToProps = {}), l && (o[l] = o[l] || {}), extend(l ? o[l] : o, u.leaveTo));
  }
}
function applyLeaveTransition(r, a, o, s) {
  if (r) {
    var l = r.parent, u = transitionInnerStore(r).leaveToProps;
    if (u) {
      var c = getElementAnimationConfig("update", r, a, o, 0);
      c.done = function() {
        l.remove(r);
      }, r.animateTo(u, c);
    } else
      l.remove(r);
  }
}
function isTransitionAll(r) {
  return r === "all";
}
function applyPropsDirectly(r, a, o) {
  var s = a.style;
  if (!r.isGroup && s) {
    if (o) {
      r.useStyle({});
      for (var l = r.animators, u = 0; u < l.length; u++) {
        var c = l[u];
        c.targetName === "style" && c.changeTarget(r.style);
      }
    }
    r.setStyle(s);
  }
  a.style = null, r.attr(a), a.style = s;
}
function applyPropsTransition(r, a, o, s, l) {
  {
    var u = getElementAnimationConfig("update", r, a, s, o);
    u.duration > 0 && r.animateFrom(l, u);
  }
}
function applyMiscProps(r, a) {
  hasOwn(a, "silent") && (r.silent = a.silent), hasOwn(a, "ignore") && (r.ignore = a.ignore), r instanceof Displayable && hasOwn(a, "invisible") && (r.invisible = a.invisible), r instanceof Path && hasOwn(a, "autoBatch") && (r.autoBatch = a.autoBatch);
}
var tmpDuringScope = {}, transitionDuringAPI = {
  // Usually other props do not need to be changed in animation during.
  setTransform: function(r, a) {
    return process.env.NODE_ENV !== "production" && assert(hasOwn(TRANSFORM_PROPS_MAP, r), "Only " + transformPropNamesStr + " available in `setTransform`."), tmpDuringScope.el[r] = a, this;
  },
  getTransform: function(r) {
    return process.env.NODE_ENV !== "production" && assert(hasOwn(TRANSFORM_PROPS_MAP, r), "Only " + transformPropNamesStr + " available in `getTransform`."), tmpDuringScope.el[r];
  },
  setShape: function(r, a) {
    process.env.NODE_ENV !== "production" && assertNotReserved(r);
    var o = tmpDuringScope.el, s = o.shape || (o.shape = {});
    return s[r] = a, o.dirtyShape && o.dirtyShape(), this;
  },
  getShape: function(r) {
    process.env.NODE_ENV !== "production" && assertNotReserved(r);
    var a = tmpDuringScope.el.shape;
    if (a)
      return a[r];
  },
  setStyle: function(r, a) {
    process.env.NODE_ENV !== "production" && assertNotReserved(r);
    var o = tmpDuringScope.el, s = o.style;
    return s && (process.env.NODE_ENV !== "production" && eqNaN(a) && warn("style." + r + " must not be assigned with NaN."), s[r] = a, o.dirtyStyle && o.dirtyStyle()), this;
  },
  getStyle: function(r) {
    process.env.NODE_ENV !== "production" && assertNotReserved(r);
    var a = tmpDuringScope.el.style;
    if (a)
      return a[r];
  },
  setExtra: function(r, a) {
    process.env.NODE_ENV !== "production" && assertNotReserved(r);
    var o = tmpDuringScope.el.extra || (tmpDuringScope.el.extra = {});
    return o[r] = a, this;
  },
  getExtra: function(r) {
    process.env.NODE_ENV !== "production" && assertNotReserved(r);
    var a = tmpDuringScope.el.extra;
    if (a)
      return a[r];
  }
};
function assertNotReserved(r) {
  if (process.env.NODE_ENV !== "production" && (r === "transition" || r === "enterFrom" || r === "leaveTo"))
    throw new Error('key must not be "' + r + '"');
}
function duringCall() {
  var r = this, a = r.el;
  if (a) {
    var o = transitionInnerStore(a).userDuring, s = r.userDuring;
    if (o !== s) {
      r.el = r.userDuring = null;
      return;
    }
    tmpDuringScope.el = a, s(transitionDuringAPI);
  }
}
function prepareShapeOrExtraTransitionFrom(r, a, o, s) {
  var l = o[r];
  if (l) {
    var u = a[r], c;
    if (u) {
      var d = o.transition, f = l.transition;
      if (f)
        if (!c && (c = s[r] = {}), isTransitionAll(f))
          extend(c, u);
        else
          for (var p = normalizeToArray(f), v = 0; v < p.length; v++) {
            var g = p[v], y = u[g];
            c[g] = y;
          }
      else if (isTransitionAll(d) || indexOf(d, r) >= 0) {
        !c && (c = s[r] = {});
        for (var _ = keys(u), v = 0; v < _.length; v++) {
          var g = _[v], y = u[g];
          isNonStyleTransitionEnabled(l[g], y) && (c[g] = y);
        }
      }
    }
  }
}
function prepareShapeOrExtraAllPropsFinal(r, a, o) {
  var s = a[r];
  if (s)
    for (var l = o[r] = {}, u = keys(s), c = 0; c < u.length; c++) {
      var d = u[c];
      l[d] = cloneValue(s[d]);
    }
}
function prepareTransformTransitionFrom(r, a, o) {
  for (var s = a.transition, l = isTransitionAll(s) ? TRANSFORMABLE_PROPS : normalizeToArray(s || []), u = 0; u < l.length; u++) {
    var c = l[u];
    if (!(c === "style" || c === "shape" || c === "extra")) {
      var d = r[c];
      process.env.NODE_ENV !== "production" && checkTransformPropRefer(c, "el.transition"), o[c] = d;
    }
  }
}
function prepareTransformAllPropsFinal(r, a, o) {
  for (var s = 0; s < LEGACY_TRANSFORM_PROPS.length; s++) {
    var l = LEGACY_TRANSFORM_PROPS[s], u = LEGACY_TRANSFORM_PROPS_MAP[l], c = a[l];
    c && (o[u[0]] = c[0], o[u[1]] = c[1]);
  }
  for (var s = 0; s < TRANSFORMABLE_PROPS.length; s++) {
    var d = TRANSFORMABLE_PROPS[s];
    a[d] != null && (o[d] = a[d]);
  }
}
function prepareStyleTransitionFrom(r, a, o, s) {
  if (o) {
    var l = r.style, u;
    if (l) {
      var c = o.transition, d = a.transition;
      if (c && !isTransitionAll(c)) {
        var f = normalizeToArray(c);
        !u && (u = s.style = {});
        for (var p = 0; p < f.length; p++) {
          var v = f[p], g = l[v];
          u[v] = g;
        }
      } else if (r.getAnimationStyleProps && (isTransitionAll(d) || isTransitionAll(c) || indexOf(d, "style") >= 0)) {
        var y = r.getAnimationStyleProps(), _ = y ? y.style : null;
        if (_) {
          !u && (u = s.style = {});
          for (var S = keys(o), p = 0; p < S.length; p++) {
            var v = S[p];
            if (_[v]) {
              var g = l[v];
              u[v] = g;
            }
          }
        }
      }
    }
  }
}
function isNonStyleTransitionEnabled(r, a) {
  return isArrayLike(r) ? r !== a : r != null && isFinite(r);
}
var checkTransformPropRefer;
process.env.NODE_ENV !== "production" && (checkTransformPropRefer = function(r, a) {
  hasOwn(TRANSFORM_PROPS_MAP, r) || warn("Prop `" + r + "` is not a permitted in `" + a + "`. Only `" + keys(TRANSFORM_PROPS_MAP).join("`, `") + "` are permitted.");
});
var getStateToRestore = makeInner(), KEYFRAME_EXCLUDE_KEYS = ["percent", "easing", "shape", "style", "extra"];
function stopPreviousKeyframeAnimationAndRestore(r) {
  r.stopAnimation("keyframe"), r.attr(getStateToRestore(r));
}
function applyKeyframeAnimation(r, a, o) {
  if (!(!o.isAnimationEnabled() || !a)) {
    if (isArray$1(a)) {
      each$f(a, function(d) {
        applyKeyframeAnimation(r, d, o);
      });
      return;
    }
    var s = a.keyframes, l = a.duration;
    if (o && l == null) {
      var u = getAnimationConfig("enter", o, 0);
      l = u && u.duration;
    }
    if (!(!s || !l)) {
      var c = getStateToRestore(r);
      each$f(ELEMENT_ANIMATABLE_PROPS, function(d) {
        if (!(d && !r[d])) {
          var f, p = !1;
          s.sort(function(v, g) {
            return v.percent - g.percent;
          }), each$f(s, function(v) {
            var g = r.animators, y = d ? v[d] : v;
            if (process.env.NODE_ENV !== "production" && v.percent >= 1 && (p = !0), !!y) {
              var _ = keys(y);
              if (d || (_ = filter(_, function(b) {
                return indexOf(KEYFRAME_EXCLUDE_KEYS, b) < 0;
              })), !!_.length) {
                f || (f = r.animate(d, a.loop, !0), f.scope = "keyframe");
                for (var S = 0; S < g.length; S++)
                  g[S] !== f && g[S].targetName === f.targetName && g[S].stopTracks(_);
                d && (c[d] = c[d] || {});
                var C = d ? c[d] : c;
                each$f(_, function(b) {
                  C[b] = ((d ? r[d] : r) || {})[b];
                }), f.whenWithKeys(l * v.percent, y, _, v.easing);
              }
            }
          }), f && (process.env.NODE_ENV !== "production" && (p || warn("End frame with percent: 1 is missing in the keyframeAnimation.", !0)), f.delay(a.delay || 0).duration(l).start(a.easing));
        }
      });
    }
  }
}
var EMPHASIS = "emphasis", NORMAL = "normal", BLUR = "blur", SELECT = "select", STATES = [NORMAL, EMPHASIS, BLUR, SELECT], PATH_ITEM_STYLE = {
  normal: ["itemStyle"],
  emphasis: [EMPHASIS, "itemStyle"],
  blur: [BLUR, "itemStyle"],
  select: [SELECT, "itemStyle"]
}, PATH_LABEL = {
  normal: ["label"],
  emphasis: [EMPHASIS, "label"],
  blur: [BLUR, "label"],
  select: [SELECT, "label"]
}, DEFAULT_TRANSITION = ["x", "y"], GROUP_DIFF_PREFIX = "e\0\0", attachedTxInfoTmp = {
  normal: {},
  emphasis: {},
  blur: {},
  select: {}
}, prepareCustoms = {
  cartesian2d: cartesianPrepareCustom,
  geo: geoPrepareCustom,
  single: singlePrepareCustom,
  polar: polarPrepareCustom,
  calendar: calendarPrepareCustom
};
function isPath(r) {
  return r instanceof Path;
}
function isDisplayable(r) {
  return r instanceof Displayable;
}
function copyElement(r, a) {
  a.copyTransform(r), isDisplayable(a) && isDisplayable(r) && (a.setStyle(r.style), a.z = r.z, a.z2 = r.z2, a.zlevel = r.zlevel, a.invisible = r.invisible, a.ignore = r.ignore, isPath(a) && isPath(r) && a.setShape(r.shape));
}
var CustomChartView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l, u) {
      this._progressiveEls = null;
      var c = this._data, d = o.getData(), f = this.group, p = makeRenderItem(o, d, s, l);
      c || f.removeAll(), d.diff(c).add(function(g) {
        createOrUpdateItem(l, null, g, p(g, u), o, f, d);
      }).remove(function(g) {
        var y = c.getItemGraphicEl(g);
        y && applyLeaveTransition(y, customInnerStore(y).option, o);
      }).update(function(g, y) {
        var _ = c.getItemGraphicEl(y);
        createOrUpdateItem(l, _, g, p(g, u), o, f, d);
      }).execute();
      var v = o.get("clip", !0) ? createClipPath(o.coordinateSystem, !1, o) : null;
      v ? f.setClipPath(v) : f.removeClipPath(), this._data = d;
    }, a.prototype.incrementalPrepareRender = function(o, s, l) {
      this.group.removeAll(), this._data = null;
    }, a.prototype.incrementalRender = function(o, s, l, u, c) {
      var d = s.getData(), f = makeRenderItem(s, d, l, u), p = this._progressiveEls = [];
      function v(_) {
        _.isGroup || (_.incremental = !0, _.ensureState("emphasis").hoverLayer = !0);
      }
      for (var g = o.start; g < o.end; g++) {
        var y = createOrUpdateItem(null, null, g, f(g, c), s, this.group, d);
        y && (y.traverse(v), p.push(y));
      }
    }, a.prototype.eachRendered = function(o) {
      traverseElements(this._progressiveEls || this.group, o);
    }, a.prototype.filterForExposedEvent = function(o, s, l, u) {
      var c = s.element;
      if (c == null || l.name === c)
        return !0;
      for (; (l = l.__hostTarget || l.parent) && l !== this.group; )
        if (l.name === c)
          return !0;
      return !1;
    }, a.type = "custom", a;
  }(ChartView)
);
function createEl$1(r) {
  var a = r.type, o;
  if (a === "path") {
    var s = r.shape, l = s.width != null && s.height != null ? {
      x: s.x || 0,
      y: s.y || 0,
      width: s.width,
      height: s.height
    } : null, u = getPathData(s);
    o = makePath(u, null, l, s.layout || "center"), customInnerStore(o).customPathData = u;
  } else if (a === "image")
    o = new ZRImage({}), customInnerStore(o).customImagePath = r.style.image;
  else if (a === "text")
    o = new ZRText({});
  else if (a === "group")
    o = new Group$3();
  else {
    if (a === "compoundPath")
      throw new Error('"compoundPath" is not supported yet.');
    var c = getShapeClass(a);
    if (!c) {
      var d = "";
      process.env.NODE_ENV !== "production" && (d = 'graphic type "' + a + '" can not be found.'), throwError(d);
    }
    o = new c();
  }
  return customInnerStore(o).customGraphicType = a, o.name = r.name, o.z2EmphasisLift = 1, o.z2SelectLift = 1, o;
}
function updateElNormal(r, a, o, s, l, u, c) {
  stopPreviousKeyframeAnimationAndRestore(a);
  var d = l && l.normal.cfg;
  d && a.setTextConfig(d), s && s.transition == null && (s.transition = DEFAULT_TRANSITION);
  var f = s && s.style;
  if (f) {
    if (a.type === "text") {
      var p = f;
      hasOwn(p, "textFill") && (p.fill = p.textFill), hasOwn(p, "textStroke") && (p.stroke = p.textStroke);
    }
    var v = void 0, g = isPath(a) ? f.decal : null;
    r && g && (g.dirty = !0, v = createOrUpdatePatternFromDecal(g, r)), f.__decalPattern = v;
  }
  if (isDisplayable(a) && f) {
    var v = f.__decalPattern;
    v && (f.decal = v);
  }
  applyUpdateTransition(a, s, u, {
    dataIndex: o,
    isInit: c,
    clearStyle: !0
  }), applyKeyframeAnimation(a, s.keyframeAnimation, u);
}
function updateElOnState(r, a, o, s, l) {
  var u = a.isGroup ? null : a, c = l && l[r].cfg;
  if (u) {
    var d = u.ensureState(r);
    if (s === !1) {
      var f = u.getState(r);
      f && (f.style = null);
    } else
      d.style = s || null;
    c && (d.textConfig = c), setDefaultStateProxy(u);
  }
}
function updateZ(r, a, o) {
  if (!r.isGroup) {
    var s = r, l = o.currentZ, u = o.currentZLevel;
    s.z = l, s.zlevel = u;
    var c = a.z2;
    c != null && (s.z2 = c || 0);
    for (var d = 0; d < STATES.length; d++)
      updateZForEachState(s, a, STATES[d]);
  }
}
function updateZForEachState(r, a, o) {
  var s = o === NORMAL, l = s ? a : retrieveStateOption(a, o), u = l ? l.z2 : null, c;
  u != null && (c = s ? r : r.ensureState(o), c.z2 = u || 0);
}
function makeRenderItem(r, a, o, s) {
  var l = r.get("renderItem"), u = r.coordinateSystem, c = {};
  u && (process.env.NODE_ENV !== "production" && (assert(l, "series.render is required."), assert(u.prepareCustoms || prepareCustoms[u.type], "This coordSys does not support custom series.")), c = u.prepareCustoms ? u.prepareCustoms(u) : prepareCustoms[u.type](u));
  for (var d = defaults({
    getWidth: s.getWidth,
    getHeight: s.getHeight,
    getZr: s.getZr,
    getDevicePixelRatio: s.getDevicePixelRatio,
    value: $,
    style: N,
    ordinalRawValue: A,
    styleEmphasis: P,
    visual: M,
    barLayout: F,
    currentSeriesIndices: U,
    font: R
  }, c.api || {}), f = {
    // The life cycle of context: current round of rendering.
    // The global life cycle is probably not necessary, because
    // user can store global status by themselves.
    context: {},
    seriesId: r.id,
    seriesName: r.name,
    seriesIndex: r.seriesIndex,
    coordSys: c.coordSys,
    dataInsideLength: a.count(),
    encode: wrapEncodeDef(r.getData())
  }, p, v, g = {}, y = {}, _ = {}, S = {}, C = 0; C < STATES.length; C++) {
    var b = STATES[C];
    _[b] = r.getModel(PATH_ITEM_STYLE[b]), S[b] = r.getModel(PATH_LABEL[b]);
  }
  function T(H) {
    return H === p ? v || (v = a.getItemModel(H)) : a.getItemModel(H);
  }
  function E(H, V) {
    return a.hasItemOption ? H === p ? g[V] || (g[V] = T(H).getModel(PATH_ITEM_STYLE[V])) : T(H).getModel(PATH_ITEM_STYLE[V]) : _[V];
  }
  function x(H, V) {
    return a.hasItemOption ? H === p ? y[V] || (y[V] = T(H).getModel(PATH_LABEL[V])) : T(H).getModel(PATH_LABEL[V]) : S[V];
  }
  return function(H, V) {
    return p = H, v = null, g = {}, y = {}, l && l(defaults({
      dataIndexInside: H,
      dataIndex: a.getRawIndex(H),
      // Can be used for optimization when zoom or roam.
      actionType: V ? V.type : null
    }, f), d);
  };
  function $(H, V) {
    return V == null && (V = p), a.getStore().get(a.getDimensionIndex(H || 0), V);
  }
  function A(H, V) {
    V == null && (V = p), H = H || 0;
    var Y = a.getDimensionInfo(H);
    if (!Y) {
      var G = a.getDimensionIndex(H);
      return G >= 0 ? a.getStore().get(G, V) : void 0;
    }
    var Z = a.get(Y.name, V), re = Y && Y.ordinalMeta;
    return re ? re.categories[Z] : Z;
  }
  function N(H, V) {
    process.env.NODE_ENV !== "production" && warnDeprecated("api.style", "Please write literal style directly instead."), V == null && (V = p);
    var Y = a.getItemVisual(V, "style"), G = Y && Y.fill, Z = Y && Y.opacity, re = E(V, NORMAL).getItemStyle();
    G != null && (re.fill = G), Z != null && (re.opacity = Z);
    var de = {
      inheritColor: isString(G) ? G : "#000"
    }, X = x(V, NORMAL), W = createTextStyle$1(X, null, de, !1, !0);
    W.text = X.getShallow("show") ? retrieve2(r.getFormattedLabel(V, NORMAL), getDefaultLabel(a, V)) : null;
    var te = createTextConfig(X, de, !1);
    return O(H, re), re = convertToEC4StyleForCustomSerise(re, W, te), H && L(re, H), re.legacy = !0, re;
  }
  function P(H, V) {
    process.env.NODE_ENV !== "production" && warnDeprecated("api.styleEmphasis", "Please write literal style directly instead."), V == null && (V = p);
    var Y = E(V, EMPHASIS).getItemStyle(), G = x(V, EMPHASIS), Z = createTextStyle$1(G, null, null, !0, !0);
    Z.text = G.getShallow("show") ? retrieve3(r.getFormattedLabel(V, EMPHASIS), r.getFormattedLabel(V, NORMAL), getDefaultLabel(a, V)) : null;
    var re = createTextConfig(G, null, !0);
    return O(H, Y), Y = convertToEC4StyleForCustomSerise(Y, Z, re), H && L(Y, H), Y.legacy = !0, Y;
  }
  function L(H, V) {
    for (var Y in V)
      hasOwn(V, Y) && (H[Y] = V[Y]);
  }
  function O(H, V) {
    H && (H.textFill && (V.textFill = H.textFill), H.textPosition && (V.textPosition = H.textPosition));
  }
  function M(H, V) {
    if (V == null && (V = p), hasOwn(STYLE_VISUAL_TYPE, H)) {
      var Y = a.getItemVisual(V, "style");
      return Y ? Y[STYLE_VISUAL_TYPE[H]] : null;
    }
    if (hasOwn(NON_STYLE_VISUAL_PROPS, H))
      return a.getItemVisual(V, H);
  }
  function F(H) {
    if (u.type === "cartesian2d") {
      var V = u.getBaseAxis();
      return getLayoutOnAxis(defaults({
        axis: V
      }, H));
    }
  }
  function U() {
    return o.getCurrentSeriesIndices();
  }
  function R(H) {
    return getFont(H, o);
  }
}
function wrapEncodeDef(r) {
  var a = {};
  return each$f(r.dimensions, function(o) {
    var s = r.getDimensionInfo(o);
    if (!s.isExtraCoord) {
      var l = s.coordDim, u = a[l] = a[l] || [];
      u[s.coordDimIndex] = r.getDimensionIndex(o);
    }
  }), a;
}
function createOrUpdateItem(r, a, o, s, l, u, c) {
  if (!s) {
    u.remove(a);
    return;
  }
  var d = doCreateOrUpdateEl(r, a, o, s, l, u);
  return d && c.setItemGraphicEl(o, d), d && toggleHoverEmphasis(d, s.focus, s.blurScope, s.emphasisDisabled), d;
}
function doCreateOrUpdateEl(r, a, o, s, l, u) {
  process.env.NODE_ENV !== "production" && assert(s, "should not have an null/undefined element setting");
  var c = -1, d = a;
  a && doesElNeedRecreate(a, s, l) && (c = indexOf(u.childrenRef(), a), a = null);
  var f = !a, p = a;
  p ? p.clearStates() : (p = createEl$1(s), d && copyElement(d, p)), s.morph === !1 ? p.disableMorphing = !0 : p.disableMorphing && (p.disableMorphing = !1), attachedTxInfoTmp.normal.cfg = attachedTxInfoTmp.normal.conOpt = attachedTxInfoTmp.emphasis.cfg = attachedTxInfoTmp.emphasis.conOpt = attachedTxInfoTmp.blur.cfg = attachedTxInfoTmp.blur.conOpt = attachedTxInfoTmp.select.cfg = attachedTxInfoTmp.select.conOpt = null, attachedTxInfoTmp.isLegacy = !1, doCreateOrUpdateAttachedTx(p, o, s, l, f, attachedTxInfoTmp), doCreateOrUpdateClipPath(p, o, s, l, f), updateElNormal(r, p, o, s, attachedTxInfoTmp, l, f), hasOwn(s, "info") && (customInnerStore(p).info = s.info);
  for (var v = 0; v < STATES.length; v++) {
    var g = STATES[v];
    if (g !== NORMAL) {
      var y = retrieveStateOption(s, g), _ = retrieveStyleOptionOnState(s, y, g);
      updateElOnState(g, p, y, _, attachedTxInfoTmp);
    }
  }
  return updateZ(p, s, l), s.type === "group" && mergeChildren(r, p, o, s, l), c >= 0 ? u.replaceAt(p, c) : u.add(p), p;
}
function doesElNeedRecreate(r, a, o) {
  var s = customInnerStore(r), l = a.type, u = a.shape, c = a.style;
  return (
    // Always create new if universal transition is enabled.
    // Because we do transition after render. It needs to know what old element is. Replacement will loose it.
    o.isUniversalTransitionEnabled() || l != null && l !== s.customGraphicType || l === "path" && hasOwnPathData(u) && getPathData(u) !== s.customPathData || l === "image" && hasOwn(c, "image") && c.image !== s.customImagePath
  );
}
function doCreateOrUpdateClipPath(r, a, o, s, l) {
  var u = o.clipPath;
  if (u === !1)
    r && r.getClipPath() && r.removeClipPath();
  else if (u) {
    var c = r.getClipPath();
    c && doesElNeedRecreate(c, u, s) && (c = null), c || (c = createEl$1(u), process.env.NODE_ENV !== "production" && assert(isPath(c), "Only any type of `path` can be used in `clipPath`, rather than " + c.type + "."), r.setClipPath(c)), updateElNormal(null, c, a, u, null, s, l);
  }
}
function doCreateOrUpdateAttachedTx(r, a, o, s, l, u) {
  if (!r.isGroup) {
    processTxInfo(o, null, u), processTxInfo(o, EMPHASIS, u);
    var c = u.normal.conOpt, d = u.emphasis.conOpt, f = u.blur.conOpt, p = u.select.conOpt;
    if (c != null || d != null || p != null || f != null) {
      var v = r.getTextContent();
      if (c === !1)
        v && r.removeTextContent();
      else {
        c = u.normal.conOpt = c || {
          type: "text"
        }, v ? v.clearStates() : (v = createEl$1(c), r.setTextContent(v)), updateElNormal(null, v, a, c, null, s, l);
        for (var g = c && c.style, y = 0; y < STATES.length; y++) {
          var _ = STATES[y];
          if (_ !== NORMAL) {
            var S = u[_].conOpt;
            updateElOnState(_, v, S, retrieveStyleOptionOnState(c, S, _), null);
          }
        }
        g ? v.dirty() : v.markRedraw();
      }
    }
  }
}
function processTxInfo(r, a, o) {
  var s = a ? retrieveStateOption(r, a) : r, l = a ? retrieveStyleOptionOnState(r, s, EMPHASIS) : r.style, u = r.type, c = s ? s.textConfig : null, d = r.textContent, f = d ? a ? retrieveStateOption(d, a) : d : null;
  if (l && // Because emphasis style has little info to detect legacy,
  // if normal is legacy, emphasis is trade as legacy.
  (o.isLegacy || isEC4CompatibleStyle(l, u, !!c, !!f))) {
    o.isLegacy = !0;
    var p = convertFromEC4CompatibleStyle(l, u, !a);
    !c && p.textConfig && (c = p.textConfig), !f && p.textContent && (f = p.textContent);
  }
  if (!a && f) {
    var v = f;
    !v.type && (v.type = "text"), process.env.NODE_ENV !== "production" && assert(v.type === "text", 'textContent.type must be "text"');
  }
  var g = a ? o[a] : o.normal;
  g.cfg = c, g.conOpt = f;
}
function retrieveStateOption(r, a) {
  return a ? r ? r[a] : null : r;
}
function retrieveStyleOptionOnState(r, a, o) {
  var s = a && a.style;
  return s == null && o === EMPHASIS && r && (s = r.styleEmphasis), s;
}
function mergeChildren(r, a, o, s, l) {
  var u = s.children, c = u ? u.length : 0, d = s.$mergeChildren, f = d === "byName" || s.diffChildrenByName, p = d === !1;
  if (!(!c && !f && !p)) {
    if (f) {
      diffGroupChildren({
        api: r,
        oldChildren: a.children() || [],
        newChildren: u || [],
        dataIndex: o,
        seriesModel: l,
        group: a
      });
      return;
    }
    p && a.removeAll();
    for (var v = 0; v < c; v++) {
      var g = u[v], y = a.childAt(v);
      g ? (g.ignore == null && (g.ignore = !1), doCreateOrUpdateEl(r, y, o, g, l, a)) : (process.env.NODE_ENV !== "production" && assert(y, "renderItem should not return a group containing elements as null/undefined/{} if they do not exist before."), y.ignore = !0);
    }
    for (var _ = a.childCount() - 1; _ >= v; _--) {
      var S = a.childAt(_);
      removeChildFromGroup(a, S, l);
    }
  }
}
function removeChildFromGroup(r, a, o) {
  a && applyLeaveTransition(a, customInnerStore(r).option, o);
}
function diffGroupChildren(r) {
  new DataDiffer(r.oldChildren, r.newChildren, getKey, getKey, r).add(processAddUpdate).update(processAddUpdate).remove(processRemove).execute();
}
function getKey(r, a) {
  var o = r && r.name;
  return o ?? GROUP_DIFF_PREFIX + a;
}
function processAddUpdate(r, a) {
  var o = this.context, s = r != null ? o.newChildren[r] : null, l = a != null ? o.oldChildren[a] : null;
  doCreateOrUpdateEl(o.api, l, o.dataIndex, s, o.seriesModel, o.group);
}
function processRemove(r) {
  var a = this.context, o = a.oldChildren[r];
  o && applyLeaveTransition(o, customInnerStore(o).option, a.seriesModel);
}
function getPathData(r) {
  return r && (r.pathData || r.d);
}
function hasOwnPathData(r) {
  return r && (hasOwn(r, "pathData") || hasOwn(r, "d"));
}
function install$s(r) {
  r.registerChartView(CustomChartView), r.registerSeriesModel(CustomSeriesModel);
}
var inner$b = makeInner(), clone$1 = clone$4, bind = bind$1, BaseAxisPointer = (
  /** @class */
  function() {
    function r() {
      this._dragging = !1, this.animationThreshold = 15;
    }
    return r.prototype.render = function(a, o, s, l) {
      var u = o.get("value"), c = o.get("status");
      if (this._axisModel = a, this._axisPointerModel = o, this._api = s, !(!l && this._lastValue === u && this._lastStatus === c)) {
        this._lastValue = u, this._lastStatus = c;
        var d = this._group, f = this._handle;
        if (!c || c === "hide") {
          d && d.hide(), f && f.hide();
          return;
        }
        d && d.show(), f && f.show();
        var p = {};
        this.makeElOption(p, u, a, o, s);
        var v = p.graphicKey;
        v !== this._lastGraphicKey && this.clear(s), this._lastGraphicKey = v;
        var g = this._moveAnimation = this.determineAnimation(a, o);
        if (!d)
          d = this._group = new Group$3(), this.createPointerEl(d, p, a, o), this.createLabelEl(d, p, a, o), s.getZr().add(d);
        else {
          var y = curry$1(updateProps, o, g);
          this.updatePointerEl(d, p, y), this.updateLabelEl(d, p, y, o);
        }
        updateMandatoryProps(d, o, !0), this._renderHandle(u);
      }
    }, r.prototype.remove = function(a) {
      this.clear(a);
    }, r.prototype.dispose = function(a) {
      this.clear(a);
    }, r.prototype.determineAnimation = function(a, o) {
      var s = o.get("animation"), l = a.axis, u = l.type === "category", c = o.get("snap");
      if (!c && !u)
        return !1;
      if (s === "auto" || s == null) {
        var d = this.animationThreshold;
        if (u && l.getBandWidth() > d)
          return !0;
        if (c) {
          var f = getAxisInfo$1(a).seriesDataCount, p = l.getExtent();
          return Math.abs(p[0] - p[1]) / f > d;
        }
        return !1;
      }
      return s === !0;
    }, r.prototype.makeElOption = function(a, o, s, l, u) {
    }, r.prototype.createPointerEl = function(a, o, s, l) {
      var u = o.pointer;
      if (u) {
        var c = inner$b(a).pointerEl = new graphic$1[u.type](clone$1(o.pointer));
        a.add(c);
      }
    }, r.prototype.createLabelEl = function(a, o, s, l) {
      if (o.label) {
        var u = inner$b(a).labelEl = new ZRText(clone$1(o.label));
        a.add(u), updateLabelShowHide(u, l);
      }
    }, r.prototype.updatePointerEl = function(a, o, s) {
      var l = inner$b(a).pointerEl;
      l && o.pointer && (l.setStyle(o.pointer.style), s(l, {
        shape: o.pointer.shape
      }));
    }, r.prototype.updateLabelEl = function(a, o, s, l) {
      var u = inner$b(a).labelEl;
      u && (u.setStyle(o.label.style), s(u, {
        // Consider text length change in vertical axis, animation should
        // be used on shape, otherwise the effect will be weird.
        // TODOTODO
        // shape: elOption.label.shape,
        x: o.label.x,
        y: o.label.y
      }), updateLabelShowHide(u, l));
    }, r.prototype._renderHandle = function(a) {
      if (!(this._dragging || !this.updateHandleTransform)) {
        var o = this._axisPointerModel, s = this._api.getZr(), l = this._handle, u = o.getModel("handle"), c = o.get("status");
        if (!u.get("show") || !c || c === "hide") {
          l && s.remove(l), this._handle = null;
          return;
        }
        var d;
        this._handle || (d = !0, l = this._handle = createIcon(u.get("icon"), {
          cursor: "move",
          draggable: !0,
          onmousemove: function(p) {
            stop(p.event);
          },
          onmousedown: bind(this._onHandleDragMove, this, 0, 0),
          drift: bind(this._onHandleDragMove, this),
          ondragend: bind(this._onHandleDragEnd, this)
        }), s.add(l)), updateMandatoryProps(l, o, !1), l.setStyle(u.getItemStyle(null, ["color", "borderColor", "borderWidth", "opacity", "shadowColor", "shadowBlur", "shadowOffsetX", "shadowOffsetY"]));
        var f = u.get("size");
        isArray$1(f) || (f = [f, f]), l.scaleX = f[0] / 2, l.scaleY = f[1] / 2, createOrUpdate(this, "_doDispatchAxisPointer", u.get("throttle") || 0, "fixRate"), this._moveHandleToValue(a, d);
      }
    }, r.prototype._moveHandleToValue = function(a, o) {
      updateProps(this._axisPointerModel, !o && this._moveAnimation, this._handle, getHandleTransProps(this.getHandleTransform(a, this._axisModel, this._axisPointerModel)));
    }, r.prototype._onHandleDragMove = function(a, o) {
      var s = this._handle;
      if (s) {
        this._dragging = !0;
        var l = this.updateHandleTransform(getHandleTransProps(s), [a, o], this._axisModel, this._axisPointerModel);
        this._payloadInfo = l, s.stopAnimation(), s.attr(getHandleTransProps(l)), inner$b(s).lastProp = null, this._doDispatchAxisPointer();
      }
    }, r.prototype._doDispatchAxisPointer = function() {
      var a = this._handle;
      if (a) {
        var o = this._payloadInfo, s = this._axisModel;
        this._api.dispatchAction({
          type: "updateAxisPointer",
          x: o.cursorPoint[0],
          y: o.cursorPoint[1],
          tooltipOption: o.tooltipOption,
          axesInfo: [{
            axisDim: s.axis.dim,
            axisIndex: s.componentIndex
          }]
        });
      }
    }, r.prototype._onHandleDragEnd = function() {
      this._dragging = !1;
      var a = this._handle;
      if (a) {
        var o = this._axisPointerModel.get("value");
        this._moveHandleToValue(o), this._api.dispatchAction({
          type: "hideTip"
        });
      }
    }, r.prototype.clear = function(a) {
      this._lastValue = null, this._lastStatus = null;
      var o = a.getZr(), s = this._group, l = this._handle;
      o && s && (this._lastGraphicKey = null, s && o.remove(s), l && o.remove(l), this._group = null, this._handle = null, this._payloadInfo = null), clear$1(this, "_doDispatchAxisPointer");
    }, r.prototype.doClear = function() {
    }, r.prototype.buildLabel = function(a, o, s) {
      return s = s || 0, {
        x: a[s],
        y: a[1 - s],
        width: o[s],
        height: o[1 - s]
      };
    }, r;
  }()
);
function updateProps(r, a, o, s) {
  propsEqual(inner$b(o).lastProp, s) || (inner$b(o).lastProp = s, a ? updateProps$1(o, s, r) : (o.stopAnimation(), o.attr(s)));
}
function propsEqual(r, a) {
  if (isObject$3(r) && isObject$3(a)) {
    var o = !0;
    return each$f(a, function(s, l) {
      o = o && propsEqual(r[l], s);
    }), !!o;
  } else
    return r === a;
}
function updateLabelShowHide(r, a) {
  r[a.get(["label", "show"]) ? "show" : "hide"]();
}
function getHandleTransProps(r) {
  return {
    x: r.x || 0,
    y: r.y || 0,
    rotation: r.rotation || 0
  };
}
function updateMandatoryProps(r, a, o) {
  var s = a.get("z"), l = a.get("zlevel");
  r && r.traverse(function(u) {
    u.type !== "group" && (s != null && (u.z = s), l != null && (u.zlevel = l), u.silent = o);
  });
}
function buildElStyle(r) {
  var a = r.get("type"), o = r.getModel(a + "Style"), s;
  return a === "line" ? (s = o.getLineStyle(), s.fill = null) : a === "shadow" && (s = o.getAreaStyle(), s.stroke = null), s;
}
function buildLabelElOption(r, a, o, s, l) {
  var u = o.get("value"), c = getValueLabel(u, a.axis, a.ecModel, o.get("seriesDataIndices"), {
    precision: o.get(["label", "precision"]),
    formatter: o.get(["label", "formatter"])
  }), d = o.getModel("label"), f = normalizeCssArray(d.get("padding") || 0), p = d.getFont(), v = getBoundingRect(c, p), g = l.position, y = v.width + f[1] + f[3], _ = v.height + f[0] + f[2], S = l.align;
  S === "right" && (g[0] -= y), S === "center" && (g[0] -= y / 2);
  var C = l.verticalAlign;
  C === "bottom" && (g[1] -= _), C === "middle" && (g[1] -= _ / 2), confineInContainer(g, y, _, s);
  var b = d.get("backgroundColor");
  (!b || b === "auto") && (b = a.get(["axisLine", "lineStyle", "color"])), r.label = {
    // shape: {x: 0, y: 0, width: width, height: height, r: labelModel.get('borderRadius')},
    x: g[0],
    y: g[1],
    style: createTextStyle$1(d, {
      text: c,
      font: p,
      fill: d.getTextColor(),
      padding: f,
      backgroundColor: b
    }),
    // Label should be over axisPointer.
    z2: 10
  };
}
function confineInContainer(r, a, o, s) {
  var l = s.getWidth(), u = s.getHeight();
  r[0] = Math.min(r[0] + a, l) - a, r[1] = Math.min(r[1] + o, u) - o, r[0] = Math.max(r[0], 0), r[1] = Math.max(r[1], 0);
}
function getValueLabel(r, a, o, s, l) {
  r = a.scale.parse(r);
  var u = a.scale.getLabel({
    value: r
  }, {
    // If `precision` is set, width can be fixed (like '12.00500'), which
    // helps to debounce when when moving label.
    precision: l.precision
  }), c = l.formatter;
  if (c) {
    var d = {
      value: getAxisRawValue(a, {
        value: r
      }),
      axisDimension: a.dim,
      axisIndex: a.index,
      seriesData: []
    };
    each$f(s, function(f) {
      var p = o.getSeriesByIndex(f.seriesIndex), v = f.dataIndexInside, g = p && p.getDataParams(v);
      g && d.seriesData.push(g);
    }), isString(c) ? u = c.replace("{value}", u) : isFunction(c) && (u = c(d));
  }
  return u;
}
function getTransformedPosition(r, a, o) {
  var s = create$1();
  return rotate(s, s, o.rotation), translate(s, s, o.position), applyTransform([r.dataToCoord(a), (o.labelOffset || 0) + (o.labelDirection || 1) * (o.labelMargin || 0)], s);
}
function buildCartesianSingleLabelElOption(r, a, o, s, l, u) {
  var c = AxisBuilder.innerTextLayout(o.rotation, 0, o.labelDirection);
  o.labelMargin = l.get(["label", "margin"]), buildLabelElOption(a, s, l, u, {
    position: getTransformedPosition(s.axis, r, o),
    align: c.textAlign,
    verticalAlign: c.textVerticalAlign
  });
}
function makeLineShape(r, a, o) {
  return o = o || 0, {
    x1: r[o],
    y1: r[1 - o],
    x2: a[o],
    y2: a[1 - o]
  };
}
function makeRectShape(r, a, o) {
  return o = o || 0, {
    x: r[o],
    y: r[1 - o],
    width: a[o],
    height: a[1 - o]
  };
}
function makeSectorShape(r, a, o, s, l, u) {
  return {
    cx: r,
    cy: a,
    r0: o,
    r: s,
    startAngle: l,
    endAngle: u,
    clockwise: !0
  };
}
var CartesianAxisPointer = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a.prototype.makeElOption = function(o, s, l, u, c) {
      var d = l.axis, f = d.grid, p = u.get("type"), v = getCartesian(f, d).getOtherAxis(d).getGlobalExtent(), g = d.toGlobalCoord(d.dataToCoord(s, !0));
      if (p && p !== "none") {
        var y = buildElStyle(u), _ = pointerShapeBuilder$2[p](d, g, v);
        _.style = y, o.graphicKey = _.type, o.pointer = _;
      }
      var S = layout$2(f.model, l);
      buildCartesianSingleLabelElOption(
        // @ts-ignore
        s,
        o,
        S,
        l,
        u,
        c
      );
    }, a.prototype.getHandleTransform = function(o, s, l) {
      var u = layout$2(s.axis.grid.model, s, {
        labelInside: !1
      });
      u.labelMargin = l.get(["handle", "margin"]);
      var c = getTransformedPosition(s.axis, o, u);
      return {
        x: c[0],
        y: c[1],
        rotation: u.rotation + (u.labelDirection < 0 ? Math.PI : 0)
      };
    }, a.prototype.updateHandleTransform = function(o, s, l, u) {
      var c = l.axis, d = c.grid, f = c.getGlobalExtent(!0), p = getCartesian(d, c).getOtherAxis(c).getGlobalExtent(), v = c.dim === "x" ? 0 : 1, g = [o.x, o.y];
      g[v] += s[v], g[v] = Math.min(f[1], g[v]), g[v] = Math.max(f[0], g[v]);
      var y = (p[1] + p[0]) / 2, _ = [y, y];
      _[v] = g[v];
      var S = [{
        verticalAlign: "middle"
      }, {
        align: "center"
      }];
      return {
        x: g[0],
        y: g[1],
        rotation: o.rotation,
        cursorPoint: _,
        tooltipOption: S[v]
      };
    }, a;
  }(BaseAxisPointer)
);
function getCartesian(r, a) {
  var o = {};
  return o[a.dim + "AxisIndex"] = a.index, r.getCartesian(o);
}
var pointerShapeBuilder$2 = {
  line: function(r, a, o) {
    var s = makeLineShape([a, o[0]], [a, o[1]], getAxisDimIndex(r));
    return {
      type: "Line",
      subPixelOptimize: !0,
      shape: s
    };
  },
  shadow: function(r, a, o) {
    var s = Math.max(1, r.getBandWidth()), l = o[1] - o[0];
    return {
      type: "Rect",
      shape: makeRectShape([a - s / 2, o[0]], [s, l], getAxisDimIndex(r))
    };
  }
};
function getAxisDimIndex(r) {
  return r.dim === "x" ? 0 : 1;
}
var AxisPointerModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.type = "axisPointer", a.defaultOption = {
      // 'auto' means that show when triggered by tooltip or handle.
      show: "auto",
      // zlevel: 0,
      z: 50,
      type: "line",
      // axispointer triggered by tootip determine snap automatically,
      // see `modelHelper`.
      snap: !1,
      triggerTooltip: !0,
      triggerEmphasis: !0,
      value: null,
      status: null,
      link: [],
      // Do not set 'auto' here, otherwise global animation: false
      // will not effect at this axispointer.
      animation: null,
      animationDurationUpdate: 200,
      lineStyle: {
        color: "#B9BEC9",
        width: 1,
        type: "dashed"
      },
      shadowStyle: {
        color: "rgba(210,219,238,0.2)"
      },
      label: {
        show: !0,
        formatter: null,
        precision: "auto",
        margin: 3,
        color: "#fff",
        padding: [5, 7, 5, 7],
        backgroundColor: "auto",
        borderColor: null,
        borderWidth: 0,
        borderRadius: 3
      },
      handle: {
        show: !1,
        // eslint-disable-next-line
        icon: "M10.7,11.9v-1.3H9.3v1.3c-4.9,0.3-8.8,4.4-8.8,9.4c0,5,3.9,9.1,8.8,9.4h1.3c4.9-0.3,8.8-4.4,8.8-9.4C19.5,16.3,15.6,12.2,10.7,11.9z M13.3,24.4H6.7v-1.2h6.6z M13.3,22H6.7v-1.2h6.6z M13.3,19.6H6.7v-1.2h6.6z",
        size: 45,
        // handle margin is from symbol center to axis, which is stable when circular move.
        margin: 50,
        // color: '#1b8bbd'
        // color: '#2f4554'
        color: "#333",
        shadowBlur: 3,
        shadowColor: "#aaa",
        shadowOffsetX: 0,
        shadowOffsetY: 2,
        // For mobile performance
        throttle: 40
      }
    }, a;
  }(ComponentModel)
), inner$a = makeInner(), each$8 = each$f;
function register(r, a, o) {
  if (!env.node) {
    var s = a.getZr();
    inner$a(s).records || (inner$a(s).records = {}), initGlobalListeners(s, a);
    var l = inner$a(s).records[r] || (inner$a(s).records[r] = {});
    l.handler = o;
  }
}
function initGlobalListeners(r, a) {
  if (inner$a(r).initialized)
    return;
  inner$a(r).initialized = !0, o("click", curry$1(doEnter, "click")), o("mousemove", curry$1(doEnter, "mousemove")), o("globalout", onLeave);
  function o(s, l) {
    r.on(s, function(u) {
      var c = makeDispatchAction$1(a);
      each$8(inner$a(r).records, function(d) {
        d && l(d, u, c.dispatchAction);
      }), dispatchTooltipFinally(c.pendings, a);
    });
  }
}
function dispatchTooltipFinally(r, a) {
  var o = r.showTip.length, s = r.hideTip.length, l;
  o ? l = r.showTip[o - 1] : s && (l = r.hideTip[s - 1]), l && (l.dispatchAction = null, a.dispatchAction(l));
}
function onLeave(r, a, o) {
  r.handler("leave", null, o);
}
function doEnter(r, a, o, s) {
  a.handler(r, o, s);
}
function makeDispatchAction$1(r) {
  var a = {
    showTip: [],
    hideTip: []
  }, o = function(s) {
    var l = a[s.type];
    l ? l.push(s) : (s.dispatchAction = o, r.dispatchAction(s));
  };
  return {
    dispatchAction: o,
    pendings: a
  };
}
function unregister(r, a) {
  if (!env.node) {
    var o = a.getZr(), s = (inner$a(o).records || {})[r];
    s && (inner$a(o).records[r] = null);
  }
}
var AxisPointerView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l) {
      var u = s.getComponent("tooltip"), c = o.get("triggerOn") || u && u.get("triggerOn") || "mousemove|click";
      register("axisPointer", l, function(d, f, p) {
        c !== "none" && (d === "leave" || c.indexOf(d) >= 0) && p({
          type: "updateAxisPointer",
          currTrigger: d,
          x: f && f.offsetX,
          y: f && f.offsetY
        });
      });
    }, a.prototype.remove = function(o, s) {
      unregister("axisPointer", s);
    }, a.prototype.dispose = function(o, s) {
      unregister("axisPointer", s);
    }, a.type = "axisPointer", a;
  }(ComponentView)
);
function findPointFromSeries(r, a) {
  var o = [], s = r.seriesIndex, l;
  if (s == null || !(l = a.getSeriesByIndex(s)))
    return {
      point: []
    };
  var u = l.getData(), c = queryDataIndex(u, r);
  if (c == null || c < 0 || isArray$1(c))
    return {
      point: []
    };
  var d = u.getItemGraphicEl(c), f = l.coordinateSystem;
  if (l.getTooltipPosition)
    o = l.getTooltipPosition(c) || [];
  else if (f && f.dataToPoint)
    if (r.isStacked) {
      var p = f.getBaseAxis(), v = f.getOtherAxis(p), g = v.dim, y = p.dim, _ = g === "x" || g === "radius" ? 1 : 0, S = u.mapDimension(y), C = [];
      C[_] = u.get(S, c), C[1 - _] = u.get(u.getCalculationInfo("stackResultDimension"), c), o = f.dataToPoint(C) || [];
    } else
      o = f.dataToPoint(u.getValues(map$1(f.dimensions, function(T) {
        return u.mapDimension(T);
      }), c)) || [];
  else if (d) {
    var b = d.getBoundingRect().clone();
    b.applyTransform(d.transform), o = [b.x + b.width / 2, b.y + b.height / 2];
  }
  return {
    point: o,
    el: d
  };
}
var inner$9 = makeInner();
function axisTrigger(r, a, o) {
  var s = r.currTrigger, l = [r.x, r.y], u = r, c = r.dispatchAction || bind$1(o.dispatchAction, o), d = a.getComponent("axisPointer").coordSysAxesInfo;
  if (d) {
    illegalPoint(l) && (l = findPointFromSeries({
      seriesIndex: u.seriesIndex,
      // Do not use dataIndexInside from other ec instance.
      // FIXME: auto detect it?
      dataIndex: u.dataIndex
    }, a).point);
    var f = illegalPoint(l), p = u.axesInfo, v = d.axesInfo, g = s === "leave" || illegalPoint(l), y = {}, _ = {}, S = {
      list: [],
      map: {}
    }, C = {
      showPointer: curry$1(showPointer, _),
      showTooltip: curry$1(showTooltip, S)
    };
    each$f(d.coordSysMap, function(T, E) {
      var x = f || T.containPoint(l);
      each$f(d.coordSysAxesInfo[E], function($, A) {
        var N = $.axis, P = findInputAxisInfo(p, $);
        if (!g && x && (!p || P)) {
          var L = P && P.value;
          L == null && !f && (L = N.pointToData(l)), L != null && processOnAxis($, L, C, !1, y);
        }
      });
    });
    var b = {};
    return each$f(v, function(T, E) {
      var x = T.linkGroup;
      x && !_[E] && each$f(x.axesInfo, function($, A) {
        var N = _[A];
        if ($ !== T && N) {
          var P = N.value;
          x.mapper && (P = T.axis.scale.parse(x.mapper(P, makeMapperParam($), makeMapperParam(T)))), b[T.key] = P;
        }
      });
    }), each$f(b, function(T, E) {
      processOnAxis(v[E], T, C, !0, y);
    }), updateModelActually(_, v, y), dispatchTooltipActually(S, l, r, c), dispatchHighDownActually(v, c, o), y;
  }
}
function processOnAxis(r, a, o, s, l) {
  var u = r.axis;
  if (!(u.scale.isBlank() || !u.containData(a))) {
    if (!r.involveSeries) {
      o.showPointer(r, a);
      return;
    }
    var c = buildPayloadsBySeries(a, r), d = c.payloadBatch, f = c.snapToValue;
    d[0] && l.seriesIndex == null && extend(l, d[0]), !s && r.snap && u.containData(f) && f != null && (a = f), o.showPointer(r, a, d), o.showTooltip(r, c, f);
  }
}
function buildPayloadsBySeries(r, a) {
  var o = a.axis, s = o.dim, l = r, u = [], c = Number.MAX_VALUE, d = -1;
  return each$f(a.seriesModels, function(f, p) {
    var v = f.getData().mapDimensionsAll(s), g, y;
    if (f.getAxisTooltipData) {
      var _ = f.getAxisTooltipData(v, r, o);
      y = _.dataIndices, g = _.nestestValue;
    } else {
      if (y = f.getData().indicesOfNearest(
        v[0],
        r,
        // Add a threshold to avoid find the wrong dataIndex
        // when data length is not same.
        // false,
        o.type === "category" ? 0.5 : null
      ), !y.length)
        return;
      g = f.getData().get(v[0], y[0]);
    }
    if (!(g == null || !isFinite(g))) {
      var S = r - g, C = Math.abs(S);
      C <= c && ((C < c || S >= 0 && d < 0) && (c = C, d = S, l = g, u.length = 0), each$f(y, function(b) {
        u.push({
          seriesIndex: f.seriesIndex,
          dataIndexInside: b,
          dataIndex: f.getData().getRawIndex(b)
        });
      }));
    }
  }), {
    payloadBatch: u,
    snapToValue: l
  };
}
function showPointer(r, a, o, s) {
  r[a.key] = {
    value: o,
    payloadBatch: s
  };
}
function showTooltip(r, a, o, s) {
  var l = o.payloadBatch, u = a.axis, c = u.model, d = a.axisPointerModel;
  if (!(!a.triggerTooltip || !l.length)) {
    var f = a.coordSys.model, p = makeKey(f), v = r.map[p];
    v || (v = r.map[p] = {
      coordSysId: f.id,
      coordSysIndex: f.componentIndex,
      coordSysType: f.type,
      coordSysMainType: f.mainType,
      dataByAxis: []
    }, r.list.push(v)), v.dataByAxis.push({
      axisDim: u.dim,
      axisIndex: c.componentIndex,
      axisType: c.type,
      axisId: c.id,
      value: s,
      // Caustion: viewHelper.getValueLabel is actually on "view stage", which
      // depends that all models have been updated. So it should not be performed
      // here. Considering axisPointerModel used here is volatile, which is hard
      // to be retrieve in TooltipView, we prepare parameters here.
      valueLabelOpt: {
        precision: d.get(["label", "precision"]),
        formatter: d.get(["label", "formatter"])
      },
      seriesDataIndices: l.slice()
    });
  }
}
function updateModelActually(r, a, o) {
  var s = o.axesInfo = [];
  each$f(a, function(l, u) {
    var c = l.axisPointerModel.option, d = r[u];
    d ? (!l.useHandle && (c.status = "show"), c.value = d.value, c.seriesDataIndices = (d.payloadBatch || []).slice()) : !l.useHandle && (c.status = "hide"), c.status === "show" && s.push({
      axisDim: l.axis.dim,
      axisIndex: l.axis.model.componentIndex,
      value: c.value
    });
  });
}
function dispatchTooltipActually(r, a, o, s) {
  if (illegalPoint(a) || !r.list.length) {
    s({
      type: "hideTip"
    });
    return;
  }
  var l = ((r.list[0].dataByAxis[0] || {}).seriesDataIndices || [])[0] || {};
  s({
    type: "showTip",
    escapeConnect: !0,
    x: a[0],
    y: a[1],
    tooltipOption: o.tooltipOption,
    position: o.position,
    dataIndexInside: l.dataIndexInside,
    dataIndex: l.dataIndex,
    seriesIndex: l.seriesIndex,
    dataByCoordSys: r.list
  });
}
function dispatchHighDownActually(r, a, o) {
  var s = o.getZr(), l = "axisPointerLastHighlights", u = inner$9(s)[l] || {}, c = inner$9(s)[l] = {};
  each$f(r, function(p, v) {
    var g = p.axisPointerModel.option;
    g.status === "show" && p.triggerEmphasis && each$f(g.seriesDataIndices, function(y) {
      var _ = y.seriesIndex + " | " + y.dataIndex;
      c[_] = y;
    });
  });
  var d = [], f = [];
  each$f(u, function(p, v) {
    !c[v] && f.push(p);
  }), each$f(c, function(p, v) {
    !u[v] && d.push(p);
  }), f.length && o.dispatchAction({
    type: "downplay",
    escapeConnect: !0,
    // Not blur others when highlight in axisPointer.
    notBlur: !0,
    batch: f
  }), d.length && o.dispatchAction({
    type: "highlight",
    escapeConnect: !0,
    // Not blur others when highlight in axisPointer.
    notBlur: !0,
    batch: d
  });
}
function findInputAxisInfo(r, a) {
  for (var o = 0; o < (r || []).length; o++) {
    var s = r[o];
    if (a.axis.dim === s.axisDim && a.axis.model.componentIndex === s.axisIndex)
      return s;
  }
}
function makeMapperParam(r) {
  var a = r.axis.model, o = {}, s = o.axisDim = r.axis.dim;
  return o.axisIndex = o[s + "AxisIndex"] = a.componentIndex, o.axisName = o[s + "AxisName"] = a.name, o.axisId = o[s + "AxisId"] = a.id, o;
}
function illegalPoint(r) {
  return !r || r[0] == null || isNaN(r[0]) || r[1] == null || isNaN(r[1]);
}
function install$r(r) {
  AxisView.registerAxisPointerClass("CartesianAxisPointer", CartesianAxisPointer), r.registerComponentModel(AxisPointerModel), r.registerComponentView(AxisPointerView), r.registerPreprocessor(function(a) {
    if (a) {
      (!a.axisPointer || a.axisPointer.length === 0) && (a.axisPointer = {});
      var o = a.axisPointer.link;
      o && !isArray$1(o) && (a.axisPointer.link = [o]);
    }
  }), r.registerProcessor(r.PRIORITY.PROCESSOR.STATISTIC, function(a, o) {
    a.getComponent("axisPointer").coordSysAxesInfo = collect(a, o);
  }), r.registerAction({
    type: "updateAxisPointer",
    event: "updateAxisPointer",
    update: ":updateAxisPointer"
  }, axisTrigger);
}
function install$q(r) {
  use(install$O), use(install$r);
}
var PolarAxisPointer = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a.prototype.makeElOption = function(o, s, l, u, c) {
      var d = l.axis;
      d.dim === "angle" && (this.animationThreshold = Math.PI / 18);
      var f = d.polar, p = f.getOtherAxis(d), v = p.getExtent(), g = d.dataToCoord(s), y = u.get("type");
      if (y && y !== "none") {
        var _ = buildElStyle(u), S = pointerShapeBuilder$1[y](d, f, g, v);
        S.style = _, o.graphicKey = S.type, o.pointer = S;
      }
      var C = u.get(["label", "margin"]), b = getLabelPosition(s, l, u, f, C);
      buildLabelElOption(o, l, u, c, b);
    }, a;
  }(BaseAxisPointer)
);
function getLabelPosition(r, a, o, s, l) {
  var u = a.axis, c = u.dataToCoord(r), d = s.getAngleAxis().getExtent()[0];
  d = d / 180 * Math.PI;
  var f = s.getRadiusAxis().getExtent(), p, v, g;
  if (u.dim === "radius") {
    var y = create$1();
    rotate(y, y, d), translate(y, y, [s.cx, s.cy]), p = applyTransform([c, -l], y);
    var _ = a.getModel("axisLabel").get("rotate") || 0, S = AxisBuilder.innerTextLayout(d, _ * Math.PI / 180, -1);
    v = S.textAlign, g = S.textVerticalAlign;
  } else {
    var C = f[1];
    p = s.coordToPoint([C + l, c]);
    var b = s.cx, T = s.cy;
    v = Math.abs(p[0] - b) / C < 0.3 ? "center" : p[0] > b ? "left" : "right", g = Math.abs(p[1] - T) / C < 0.3 ? "middle" : p[1] > T ? "top" : "bottom";
  }
  return {
    position: p,
    align: v,
    verticalAlign: g
  };
}
var pointerShapeBuilder$1 = {
  line: function(r, a, o, s) {
    return r.dim === "angle" ? {
      type: "Line",
      shape: makeLineShape(a.coordToPoint([s[0], o]), a.coordToPoint([s[1], o]))
    } : {
      type: "Circle",
      shape: {
        cx: a.cx,
        cy: a.cy,
        r: o
      }
    };
  },
  shadow: function(r, a, o, s) {
    var l = Math.max(1, r.getBandWidth()), u = Math.PI / 180;
    return r.dim === "angle" ? {
      type: "Sector",
      shape: makeSectorShape(
        a.cx,
        a.cy,
        s[0],
        s[1],
        // In ECharts y is negative if angle is positive
        (-o - l / 2) * u,
        (-o + l / 2) * u
      )
    } : {
      type: "Sector",
      shape: makeSectorShape(a.cx, a.cy, o - l / 2, o + l / 2, 0, Math.PI * 2)
    };
  }
}, PolarModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.findAxisModel = function(o) {
      var s, l = this.ecModel;
      return l.eachComponent(o, function(u) {
        u.getCoordSysModel() === this && (s = u);
      }, this), s;
    }, a.type = "polar", a.dependencies = ["radiusAxis", "angleAxis"], a.defaultOption = {
      // zlevel: 0,
      z: 0,
      center: ["50%", "50%"],
      radius: "80%"
    }, a;
  }(ComponentModel)
), PolarAxisModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a.prototype.getCoordSysModel = function() {
      return this.getReferringComponents("polar", SINGLE_REFERRING).models[0];
    }, a.type = "polarAxis", a;
  }(ComponentModel)
);
mixin(PolarAxisModel, AxisModelCommonMixin);
var AngleAxisModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.type = "angleAxis", a;
  }(PolarAxisModel)
), RadiusAxisModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.type = "radiusAxis", a;
  }(PolarAxisModel)
), RadiusAxis = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s) {
      return r.call(this, "radius", o, s) || this;
    }
    return a.prototype.pointToData = function(o, s) {
      return this.polar.pointToData(o, s)[this.dim === "radius" ? 0 : 1];
    }, a;
  }(Axis)
);
RadiusAxis.prototype.dataToRadius = Axis.prototype.dataToCoord;
RadiusAxis.prototype.radiusToData = Axis.prototype.coordToData;
var inner$8 = makeInner(), AngleAxis = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s) {
      return r.call(this, "angle", o, s || [0, 360]) || this;
    }
    return a.prototype.pointToData = function(o, s) {
      return this.polar.pointToData(o, s)[this.dim === "radius" ? 0 : 1];
    }, a.prototype.calculateCategoryInterval = function() {
      var o = this, s = o.getLabelModel(), l = o.scale, u = l.getExtent(), c = l.count();
      if (u[1] - u[0] < 1)
        return 0;
      var d = u[0], f = o.dataToCoord(d + 1) - o.dataToCoord(d), p = Math.abs(f), v = getBoundingRect(d == null ? "" : d + "", s.getFont(), "center", "top"), g = Math.max(v.height, 7), y = g / p;
      isNaN(y) && (y = 1 / 0);
      var _ = Math.max(0, Math.floor(y)), S = inner$8(o.model), C = S.lastAutoInterval, b = S.lastTickCount;
      return C != null && b != null && Math.abs(C - _) <= 1 && Math.abs(b - c) <= 1 && C > _ ? _ = C : (S.lastTickCount = c, S.lastAutoInterval = _), _;
    }, a;
  }(Axis)
);
AngleAxis.prototype.dataToAngle = Axis.prototype.dataToCoord;
AngleAxis.prototype.angleToData = Axis.prototype.coordToData;
var polarDimensions = ["radius", "angle"], Polar = (
  /** @class */
  function() {
    function r(a) {
      this.dimensions = polarDimensions, this.type = "polar", this.cx = 0, this.cy = 0, this._radiusAxis = new RadiusAxis(), this._angleAxis = new AngleAxis(), this.axisPointerEnabled = !0, this.name = a || "", this._radiusAxis.polar = this._angleAxis.polar = this;
    }
    return r.prototype.containPoint = function(a) {
      var o = this.pointToCoord(a);
      return this._radiusAxis.contain(o[0]) && this._angleAxis.contain(o[1]);
    }, r.prototype.containData = function(a) {
      return this._radiusAxis.containData(a[0]) && this._angleAxis.containData(a[1]);
    }, r.prototype.getAxis = function(a) {
      var o = "_" + a + "Axis";
      return this[o];
    }, r.prototype.getAxes = function() {
      return [this._radiusAxis, this._angleAxis];
    }, r.prototype.getAxesByScale = function(a) {
      var o = [], s = this._angleAxis, l = this._radiusAxis;
      return s.scale.type === a && o.push(s), l.scale.type === a && o.push(l), o;
    }, r.prototype.getAngleAxis = function() {
      return this._angleAxis;
    }, r.prototype.getRadiusAxis = function() {
      return this._radiusAxis;
    }, r.prototype.getOtherAxis = function(a) {
      var o = this._angleAxis;
      return a === o ? this._radiusAxis : o;
    }, r.prototype.getBaseAxis = function() {
      return this.getAxesByScale("ordinal")[0] || this.getAxesByScale("time")[0] || this.getAngleAxis();
    }, r.prototype.getTooltipAxes = function(a) {
      var o = a != null && a !== "auto" ? this.getAxis(a) : this.getBaseAxis();
      return {
        baseAxes: [o],
        otherAxes: [this.getOtherAxis(o)]
      };
    }, r.prototype.dataToPoint = function(a, o) {
      return this.coordToPoint([this._radiusAxis.dataToRadius(a[0], o), this._angleAxis.dataToAngle(a[1], o)]);
    }, r.prototype.pointToData = function(a, o) {
      var s = this.pointToCoord(a);
      return [this._radiusAxis.radiusToData(s[0], o), this._angleAxis.angleToData(s[1], o)];
    }, r.prototype.pointToCoord = function(a) {
      var o = a[0] - this.cx, s = a[1] - this.cy, l = this.getAngleAxis(), u = l.getExtent(), c = Math.min(u[0], u[1]), d = Math.max(u[0], u[1]);
      l.inverse ? c = d - 360 : d = c + 360;
      var f = Math.sqrt(o * o + s * s);
      o /= f, s /= f;
      for (var p = Math.atan2(-s, o) / Math.PI * 180, v = p < c ? 1 : -1; p < c || p > d; )
        p += v * 360;
      return [f, p];
    }, r.prototype.coordToPoint = function(a) {
      var o = a[0], s = a[1] / 180 * Math.PI, l = Math.cos(s) * o + this.cx, u = -Math.sin(s) * o + this.cy;
      return [l, u];
    }, r.prototype.getArea = function() {
      var a = this.getAngleAxis(), o = this.getRadiusAxis(), s = o.getExtent().slice();
      s[0] > s[1] && s.reverse();
      var l = a.getExtent(), u = Math.PI / 180, c = 1e-4;
      return {
        cx: this.cx,
        cy: this.cy,
        r0: s[0],
        r: s[1],
        startAngle: -l[0] * u,
        endAngle: -l[1] * u,
        clockwise: a.inverse,
        contain: function(d, f) {
          var p = d - this.cx, v = f - this.cy, g = p * p + v * v, y = this.r, _ = this.r0;
          return y !== _ && g - c <= y * y && g + c >= _ * _;
        }
      };
    }, r.prototype.convertToPixel = function(a, o, s) {
      var l = getCoordSys$2(o);
      return l === this ? this.dataToPoint(s) : null;
    }, r.prototype.convertFromPixel = function(a, o, s) {
      var l = getCoordSys$2(o);
      return l === this ? this.pointToData(s) : null;
    }, r;
  }()
);
function getCoordSys$2(r) {
  var a = r.seriesModel, o = r.polarModel;
  return o && o.coordinateSystem || a && a.coordinateSystem;
}
function resizePolar(r, a, o) {
  var s = a.get("center"), l = o.getWidth(), u = o.getHeight();
  r.cx = parsePercent(s[0], l), r.cy = parsePercent(s[1], u);
  var c = r.getRadiusAxis(), d = Math.min(l, u) / 2, f = a.get("radius");
  f == null ? f = [0, "100%"] : isArray$1(f) || (f = [0, f]);
  var p = [parsePercent(f[0], d), parsePercent(f[1], d)];
  c.inverse ? c.setExtent(p[1], p[0]) : c.setExtent(p[0], p[1]);
}
function updatePolarScale(r, a) {
  var o = this, s = o.getAngleAxis(), l = o.getRadiusAxis();
  if (s.scale.setExtent(1 / 0, -1 / 0), l.scale.setExtent(1 / 0, -1 / 0), r.eachSeries(function(d) {
    if (d.coordinateSystem === o) {
      var f = d.getData();
      each$f(getDataDimensionsOnAxis(f, "radius"), function(p) {
        l.scale.unionExtentFromData(f, p);
      }), each$f(getDataDimensionsOnAxis(f, "angle"), function(p) {
        s.scale.unionExtentFromData(f, p);
      });
    }
  }), niceScaleExtent(s.scale, s.model), niceScaleExtent(l.scale, l.model), s.type === "category" && !s.onBand) {
    var u = s.getExtent(), c = 360 / s.scale.count();
    s.inverse ? u[1] += c : u[1] -= c, s.setExtent(u[0], u[1]);
  }
}
function isAngleAxisModel(r) {
  return r.mainType === "angleAxis";
}
function setAxis(r, a) {
  var o;
  if (r.type = a.get("type"), r.scale = createScaleByModel$1(a), r.onBand = a.get("boundaryGap") && r.type === "category", r.inverse = a.get("inverse"), isAngleAxisModel(a)) {
    r.inverse = r.inverse !== a.get("clockwise");
    var s = a.get("startAngle"), l = (o = a.get("endAngle")) !== null && o !== void 0 ? o : s + (r.inverse ? -360 : 360);
    r.setExtent(s, l);
  }
  a.axis = r, r.model = a;
}
var polarCreator = {
  dimensions: polarDimensions,
  create: function(r, a) {
    var o = [];
    return r.eachComponent("polar", function(s, l) {
      var u = new Polar(l + "");
      u.update = updatePolarScale;
      var c = u.getRadiusAxis(), d = u.getAngleAxis(), f = s.findAxisModel("radiusAxis"), p = s.findAxisModel("angleAxis");
      setAxis(c, f), setAxis(d, p), resizePolar(u, s, a), o.push(u), s.coordinateSystem = u, u.model = s;
    }), r.eachSeries(function(s) {
      if (s.get("coordinateSystem") === "polar") {
        var l = s.getReferringComponents("polar", SINGLE_REFERRING).models[0];
        if (process.env.NODE_ENV !== "production" && !l)
          throw new Error('Polar "' + retrieve(s.get("polarIndex"), s.get("polarId"), 0) + '" not found');
        s.coordinateSystem = l.coordinateSystem;
      }
    }), o;
  }
}, elementList = ["axisLine", "axisLabel", "axisTick", "minorTick", "splitLine", "minorSplitLine", "splitArea"];
function getAxisLineShape(r, a, o) {
  a[1] > a[0] && (a = a.slice().reverse());
  var s = r.coordToPoint([a[0], o]), l = r.coordToPoint([a[1], o]);
  return {
    x1: s[0],
    y1: s[1],
    x2: l[0],
    y2: l[1]
  };
}
function getRadiusIdx(r) {
  var a = r.getRadiusAxis();
  return a.inverse ? 0 : 1;
}
function fixAngleOverlap(r) {
  var a = r[0], o = r[r.length - 1];
  a && o && Math.abs(Math.abs(a.coord - o.coord) - 360) < 1e-4 && r.pop();
}
var AngleAxisView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.axisPointerClass = "PolarAxisPointer", o;
    }
    return a.prototype.render = function(o, s) {
      if (this.group.removeAll(), !!o.get("show")) {
        var l = o.axis, u = l.polar, c = u.getRadiusAxis().getExtent(), d = l.getTicksCoords(), f = l.getMinorTicksCoords(), p = map$1(l.getViewLabels(), function(v) {
          v = clone$4(v);
          var g = l.scale, y = g.type === "ordinal" ? g.getRawOrdinalNumber(v.tickValue) : v.tickValue;
          return v.coord = l.dataToCoord(y), v;
        });
        fixAngleOverlap(p), fixAngleOverlap(d), each$f(elementList, function(v) {
          o.get([v, "show"]) && (!l.scale.isBlank() || v === "axisLine") && angelAxisElementsBuilders[v](this.group, o, u, d, f, c, p);
        }, this);
      }
    }, a.type = "angleAxis", a;
  }(AxisView)
), angelAxisElementsBuilders = {
  axisLine: function(r, a, o, s, l, u) {
    var c = a.getModel(["axisLine", "lineStyle"]), d = o.getAngleAxis(), f = Math.PI / 180, p = d.getExtent(), v = getRadiusIdx(o), g = v ? 0 : 1, y, _ = Math.abs(p[1] - p[0]) === 360 ? "Circle" : "Arc";
    u[g] === 0 ? y = new graphic$1[_]({
      shape: {
        cx: o.cx,
        cy: o.cy,
        r: u[v],
        startAngle: -p[0] * f,
        endAngle: -p[1] * f,
        clockwise: d.inverse
      },
      style: c.getLineStyle(),
      z2: 1,
      silent: !0
    }) : y = new Ring({
      shape: {
        cx: o.cx,
        cy: o.cy,
        r: u[v],
        r0: u[g]
      },
      style: c.getLineStyle(),
      z2: 1,
      silent: !0
    }), y.style.fill = null, r.add(y);
  },
  axisTick: function(r, a, o, s, l, u) {
    var c = a.getModel("axisTick"), d = (c.get("inside") ? -1 : 1) * c.get("length"), f = u[getRadiusIdx(o)], p = map$1(s, function(v) {
      return new Line$1({
        shape: getAxisLineShape(o, [f, f + d], v.coord)
      });
    });
    r.add(mergePath(p, {
      style: defaults(c.getModel("lineStyle").getLineStyle(), {
        stroke: a.get(["axisLine", "lineStyle", "color"])
      })
    }));
  },
  minorTick: function(r, a, o, s, l, u) {
    if (l.length) {
      for (var c = a.getModel("axisTick"), d = a.getModel("minorTick"), f = (c.get("inside") ? -1 : 1) * d.get("length"), p = u[getRadiusIdx(o)], v = [], g = 0; g < l.length; g++)
        for (var y = 0; y < l[g].length; y++)
          v.push(new Line$1({
            shape: getAxisLineShape(o, [p, p + f], l[g][y].coord)
          }));
      r.add(mergePath(v, {
        style: defaults(d.getModel("lineStyle").getLineStyle(), defaults(c.getLineStyle(), {
          stroke: a.get(["axisLine", "lineStyle", "color"])
        }))
      }));
    }
  },
  axisLabel: function(r, a, o, s, l, u, c) {
    var d = a.getCategories(!0), f = a.getModel("axisLabel"), p = f.get("margin"), v = a.get("triggerEvent");
    each$f(c, function(g, y) {
      var _ = f, S = g.tickValue, C = u[getRadiusIdx(o)], b = o.coordToPoint([C + p, g.coord]), T = o.cx, E = o.cy, x = Math.abs(b[0] - T) / C < 0.3 ? "center" : b[0] > T ? "left" : "right", $ = Math.abs(b[1] - E) / C < 0.3 ? "middle" : b[1] > E ? "top" : "bottom";
      if (d && d[S]) {
        var A = d[S];
        isObject$3(A) && A.textStyle && (_ = new Model(A.textStyle, f, f.ecModel));
      }
      var N = new ZRText({
        silent: AxisBuilder.isLabelSilent(a),
        style: createTextStyle$1(_, {
          x: b[0],
          y: b[1],
          fill: _.getTextColor() || a.get(["axisLine", "lineStyle", "color"]),
          text: g.formattedLabel,
          align: x,
          verticalAlign: $
        })
      });
      if (r.add(N), v) {
        var P = AxisBuilder.makeAxisEventDataBase(a);
        P.targetType = "axisLabel", P.value = g.rawLabel, getECData(N).eventData = P;
      }
    }, this);
  },
  splitLine: function(r, a, o, s, l, u) {
    var c = a.getModel("splitLine"), d = c.getModel("lineStyle"), f = d.get("color"), p = 0;
    f = f instanceof Array ? f : [f];
    for (var v = [], g = 0; g < s.length; g++) {
      var y = p++ % f.length;
      v[y] = v[y] || [], v[y].push(new Line$1({
        shape: getAxisLineShape(o, u, s[g].coord)
      }));
    }
    for (var g = 0; g < v.length; g++)
      r.add(mergePath(v[g], {
        style: defaults({
          stroke: f[g % f.length]
        }, d.getLineStyle()),
        silent: !0,
        z: a.get("z")
      }));
  },
  minorSplitLine: function(r, a, o, s, l, u) {
    if (l.length) {
      for (var c = a.getModel("minorSplitLine"), d = c.getModel("lineStyle"), f = [], p = 0; p < l.length; p++)
        for (var v = 0; v < l[p].length; v++)
          f.push(new Line$1({
            shape: getAxisLineShape(o, u, l[p][v].coord)
          }));
      r.add(mergePath(f, {
        style: d.getLineStyle(),
        silent: !0,
        z: a.get("z")
      }));
    }
  },
  splitArea: function(r, a, o, s, l, u) {
    if (s.length) {
      var c = a.getModel("splitArea"), d = c.getModel("areaStyle"), f = d.get("color"), p = 0;
      f = f instanceof Array ? f : [f];
      for (var v = [], g = Math.PI / 180, y = -s[0].coord * g, _ = Math.min(u[0], u[1]), S = Math.max(u[0], u[1]), C = a.get("clockwise"), b = 1, T = s.length; b <= T; b++) {
        var E = b === T ? s[0].coord : s[b].coord, x = p++ % f.length;
        v[x] = v[x] || [], v[x].push(new Sector({
          shape: {
            cx: o.cx,
            cy: o.cy,
            r0: _,
            r: S,
            startAngle: y,
            endAngle: -E * g,
            clockwise: C
          },
          silent: !0
        })), y = -E * g;
      }
      for (var b = 0; b < v.length; b++)
        r.add(mergePath(v[b], {
          style: defaults({
            fill: f[b % f.length]
          }, d.getAreaStyle()),
          silent: !0
        }));
    }
  }
}, axisBuilderAttrs$1 = ["axisLine", "axisTickLabel", "axisName"], selfBuilderAttrs$1 = ["splitLine", "splitArea", "minorSplitLine"], RadiusAxisView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.axisPointerClass = "PolarAxisPointer", o;
    }
    return a.prototype.render = function(o, s) {
      if (this.group.removeAll(), !!o.get("show")) {
        var l = this._axisGroup, u = this._axisGroup = new Group$3();
        this.group.add(u);
        var c = o.axis, d = c.polar, f = d.getAngleAxis(), p = c.getTicksCoords(), v = c.getMinorTicksCoords(), g = f.getExtent()[0], y = c.getExtent(), _ = layoutAxis(d, o, g), S = new AxisBuilder(o, _);
        each$f(axisBuilderAttrs$1, S.add, S), u.add(S.getGroup()), groupTransition(l, u, o), each$f(selfBuilderAttrs$1, function(C) {
          o.get([C, "show"]) && !c.scale.isBlank() && axisElementBuilders$1[C](this.group, o, d, g, y, p, v);
        }, this);
      }
    }, a.type = "radiusAxis", a;
  }(AxisView)
), axisElementBuilders$1 = {
  splitLine: function(r, a, o, s, l, u) {
    var c = a.getModel("splitLine"), d = c.getModel("lineStyle"), f = d.get("color"), p = 0, v = o.getAngleAxis(), g = Math.PI / 180, y = v.getExtent(), _ = Math.abs(y[1] - y[0]) === 360 ? "Circle" : "Arc";
    f = f instanceof Array ? f : [f];
    for (var S = [], C = 0; C < u.length; C++) {
      var b = p++ % f.length;
      S[b] = S[b] || [], S[b].push(new graphic$1[_]({
        shape: {
          cx: o.cx,
          cy: o.cy,
          // ensure circle radius >= 0
          r: Math.max(u[C].coord, 0),
          startAngle: -y[0] * g,
          endAngle: -y[1] * g,
          clockwise: v.inverse
        }
      }));
    }
    for (var C = 0; C < S.length; C++)
      r.add(mergePath(S[C], {
        style: defaults({
          stroke: f[C % f.length],
          fill: null
        }, d.getLineStyle()),
        silent: !0
      }));
  },
  minorSplitLine: function(r, a, o, s, l, u, c) {
    if (c.length) {
      for (var d = a.getModel("minorSplitLine"), f = d.getModel("lineStyle"), p = [], v = 0; v < c.length; v++)
        for (var g = 0; g < c[v].length; g++)
          p.push(new Circle({
            shape: {
              cx: o.cx,
              cy: o.cy,
              r: c[v][g].coord
            }
          }));
      r.add(mergePath(p, {
        style: defaults({
          fill: null
        }, f.getLineStyle()),
        silent: !0
      }));
    }
  },
  splitArea: function(r, a, o, s, l, u) {
    if (u.length) {
      var c = a.getModel("splitArea"), d = c.getModel("areaStyle"), f = d.get("color"), p = 0;
      f = f instanceof Array ? f : [f];
      for (var v = [], g = u[0].coord, y = 1; y < u.length; y++) {
        var _ = p++ % f.length;
        v[_] = v[_] || [], v[_].push(new Sector({
          shape: {
            cx: o.cx,
            cy: o.cy,
            r0: g,
            r: u[y].coord,
            startAngle: 0,
            endAngle: Math.PI * 2
          },
          silent: !0
        })), g = u[y].coord;
      }
      for (var y = 0; y < v.length; y++)
        r.add(mergePath(v[y], {
          style: defaults({
            fill: f[y % f.length]
          }, d.getAreaStyle()),
          silent: !0
        }));
    }
  }
};
function layoutAxis(r, a, o) {
  return {
    position: [r.cx, r.cy],
    rotation: o / 180 * Math.PI,
    labelDirection: -1,
    tickDirection: -1,
    nameDirection: 1,
    labelRotate: a.getModel("axisLabel").get("rotate"),
    // Over splitLine and splitArea
    z2: 1
  };
}
function getSeriesStackId(r) {
  return r.get("stack") || "__ec_stack_" + r.seriesIndex;
}
function getAxisKey(r, a) {
  return a.dim + r.model.componentIndex;
}
function barLayoutPolar(r, a, o) {
  var s = {}, l = calRadialBar(filter(a.getSeriesByType(r), function(u) {
    return !a.isSeriesFiltered(u) && u.coordinateSystem && u.coordinateSystem.type === "polar";
  }));
  a.eachSeriesByType(r, function(u) {
    if (u.coordinateSystem.type === "polar") {
      var c = u.getData(), d = u.coordinateSystem, f = d.getBaseAxis(), p = getAxisKey(d, f), v = getSeriesStackId(u), g = l[p][v], y = g.offset, _ = g.width, S = d.getOtherAxis(f), C = u.coordinateSystem.cx, b = u.coordinateSystem.cy, T = u.get("barMinHeight") || 0, E = u.get("barMinAngle") || 0;
      s[v] = s[v] || [];
      for (var x = c.mapDimension(S.dim), $ = c.mapDimension(f.dim), A = isDimensionStacked(
        c,
        x
        /* , baseDim */
      ), N = f.dim !== "radius" || !u.get("roundCap", !0), P = S.model, L = P.get("startValue"), O = S.dataToCoord(L || 0), M = 0, F = c.count(); M < F; M++) {
        var U = c.get(x, M), R = c.get($, M), H = U >= 0 ? "p" : "n", V = O;
        A && (s[v][R] || (s[v][R] = {
          p: O,
          n: O
          // Negative stack
        }), V = s[v][R][H]);
        var Y = void 0, G = void 0, Z = void 0, re = void 0;
        if (S.dim === "radius") {
          var de = S.dataToCoord(U) - O, X = f.dataToCoord(R);
          Math.abs(de) < T && (de = (de < 0 ? -1 : 1) * T), Y = V, G = V + de, Z = X - y, re = Z - _, A && (s[v][R][H] = G);
        } else {
          var W = S.dataToCoord(U, N) - O, te = f.dataToCoord(R);
          Math.abs(W) < E && (W = (W < 0 ? -1 : 1) * E), Y = te + y, G = Y + _, Z = V, re = V + W, A && (s[v][R][H] = re);
        }
        c.setItemLayout(M, {
          cx: C,
          cy: b,
          r0: Y,
          r: G,
          // Consider that positive angle is anti-clockwise,
          // while positive radian of sector is clockwise
          startAngle: -Z * Math.PI / 180,
          endAngle: -re * Math.PI / 180,
          /**
           * Keep the same logic with bar in catesion: use end value to
           * control direction. Notice that if clockwise is true (by
           * default), the sector will always draw clockwisely, no matter
           * whether endAngle is greater or less than startAngle.
           */
          clockwise: Z >= re
        });
      }
    }
  });
}
function calRadialBar(r) {
  var a = {};
  each$f(r, function(s, l) {
    var u = s.getData(), c = s.coordinateSystem, d = c.getBaseAxis(), f = getAxisKey(c, d), p = d.getExtent(), v = d.type === "category" ? d.getBandWidth() : Math.abs(p[1] - p[0]) / u.count(), g = a[f] || {
      bandWidth: v,
      remainedWidth: v,
      autoWidthCount: 0,
      categoryGap: "20%",
      gap: "30%",
      stacks: {}
    }, y = g.stacks;
    a[f] = g;
    var _ = getSeriesStackId(s);
    y[_] || g.autoWidthCount++, y[_] = y[_] || {
      width: 0,
      maxWidth: 0
    };
    var S = parsePercent(s.get("barWidth"), v), C = parsePercent(s.get("barMaxWidth"), v), b = s.get("barGap"), T = s.get("barCategoryGap");
    S && !y[_].width && (S = Math.min(g.remainedWidth, S), y[_].width = S, g.remainedWidth -= S), C && (y[_].maxWidth = C), b != null && (g.gap = b), T != null && (g.categoryGap = T);
  });
  var o = {};
  return each$f(a, function(s, l) {
    o[l] = {};
    var u = s.stacks, c = s.bandWidth, d = parsePercent(s.categoryGap, c), f = parsePercent(s.gap, 1), p = s.remainedWidth, v = s.autoWidthCount, g = (p - d) / (v + (v - 1) * f);
    g = Math.max(g, 0), each$f(u, function(C, b) {
      var T = C.maxWidth;
      T && T < g && (T = Math.min(T, p), C.width && (T = Math.min(T, C.width)), p -= T, C.width = T, v--);
    }), g = (p - d) / (v + (v - 1) * f), g = Math.max(g, 0);
    var y = 0, _;
    each$f(u, function(C, b) {
      C.width || (C.width = g), _ = C, y += C.width * (1 + f);
    }), _ && (y -= _.width * f);
    var S = -y / 2;
    each$f(u, function(C, b) {
      o[l][b] = o[l][b] || {
        offset: S,
        width: C.width
      }, S += C.width * (1 + f);
    });
  }), o;
}
var angleAxisExtraOption = {
  startAngle: 90,
  clockwise: !0,
  splitNumber: 12,
  axisLabel: {
    rotate: 0
  }
}, radiusAxisExtraOption = {
  splitNumber: 5
}, PolarView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.type = "polar", a;
  }(ComponentView)
);
function install$p(r) {
  use(install$r), AxisView.registerAxisPointerClass("PolarAxisPointer", PolarAxisPointer), r.registerCoordinateSystem("polar", polarCreator), r.registerComponentModel(PolarModel), r.registerComponentView(PolarView), axisModelCreator(r, "angle", AngleAxisModel, angleAxisExtraOption), axisModelCreator(r, "radius", RadiusAxisModel, radiusAxisExtraOption), r.registerComponentView(AngleAxisView), r.registerComponentView(RadiusAxisView), r.registerLayout(curry$1(barLayoutPolar, "bar"));
}
function layout$1(r, a) {
  a = a || {};
  var o = r.coordinateSystem, s = r.axis, l = {}, u = s.position, c = s.orient, d = o.getRect(), f = [d.x, d.x + d.width, d.y, d.y + d.height], p = {
    horizontal: {
      top: f[2],
      bottom: f[3]
    },
    vertical: {
      left: f[0],
      right: f[1]
    }
  };
  l.position = [c === "vertical" ? p.vertical[u] : f[0], c === "horizontal" ? p.horizontal[u] : f[3]];
  var v = {
    horizontal: 0,
    vertical: 1
  };
  l.rotation = Math.PI / 2 * v[c];
  var g = {
    top: -1,
    bottom: 1,
    right: 1,
    left: -1
  };
  l.labelDirection = l.tickDirection = l.nameDirection = g[u], r.get(["axisTick", "inside"]) && (l.tickDirection = -l.tickDirection), retrieve(a.labelInside, r.get(["axisLabel", "inside"])) && (l.labelDirection = -l.labelDirection);
  var y = a.rotate;
  return y == null && (y = r.get(["axisLabel", "rotate"])), l.labelRotation = u === "top" ? -y : y, l.z2 = 1, l;
}
var axisBuilderAttrs = ["axisLine", "axisTickLabel", "axisName"], selfBuilderAttrs = ["splitArea", "splitLine"], SingleAxisView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.axisPointerClass = "SingleAxisPointer", o;
    }
    return a.prototype.render = function(o, s, l, u) {
      var c = this.group;
      c.removeAll();
      var d = this._axisGroup;
      this._axisGroup = new Group$3();
      var f = layout$1(o), p = new AxisBuilder(o, f);
      each$f(axisBuilderAttrs, p.add, p), c.add(this._axisGroup), c.add(p.getGroup()), each$f(selfBuilderAttrs, function(v) {
        o.get([v, "show"]) && axisElementBuilders[v](this, this.group, this._axisGroup, o);
      }, this), groupTransition(d, this._axisGroup, o), r.prototype.render.call(this, o, s, l, u);
    }, a.prototype.remove = function() {
      rectCoordAxisHandleRemove(this);
    }, a.type = "singleAxis", a;
  }(AxisView)
), axisElementBuilders = {
  splitLine: function(r, a, o, s) {
    var l = s.axis;
    if (!l.scale.isBlank()) {
      var u = s.getModel("splitLine"), c = u.getModel("lineStyle"), d = c.get("color");
      d = d instanceof Array ? d : [d];
      for (var f = c.get("width"), p = s.coordinateSystem.getRect(), v = l.isHorizontal(), g = [], y = 0, _ = l.getTicksCoords({
        tickModel: u
      }), S = [], C = [], b = 0; b < _.length; ++b) {
        var T = l.toGlobalCoord(_[b].coord);
        v ? (S[0] = T, S[1] = p.y, C[0] = T, C[1] = p.y + p.height) : (S[0] = p.x, S[1] = T, C[0] = p.x + p.width, C[1] = T);
        var E = new Line$1({
          shape: {
            x1: S[0],
            y1: S[1],
            x2: C[0],
            y2: C[1]
          },
          silent: !0
        });
        subPixelOptimizeLine(E.shape, f);
        var x = y++ % d.length;
        g[x] = g[x] || [], g[x].push(E);
      }
      for (var $ = c.getLineStyle(["color"]), b = 0; b < g.length; ++b)
        a.add(mergePath(g[b], {
          style: defaults({
            stroke: d[b % d.length]
          }, $),
          silent: !0
        }));
    }
  },
  splitArea: function(r, a, o, s) {
    rectCoordAxisBuildSplitArea(r, o, s, s);
  }
}, SingleAxisModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.getCoordSysModel = function() {
      return this;
    }, a.type = "singleAxis", a.layoutMode = "box", a.defaultOption = {
      left: "5%",
      top: "5%",
      right: "5%",
      bottom: "5%",
      type: "value",
      position: "bottom",
      orient: "horizontal",
      axisLine: {
        show: !0,
        lineStyle: {
          width: 1,
          type: "solid"
        }
      },
      // Single coordinate system and single axis is the,
      // which is used as the parent tooltip model.
      // same model, so we set default tooltip show as true.
      tooltip: {
        show: !0
      },
      axisTick: {
        show: !0,
        length: 6,
        lineStyle: {
          width: 1
        }
      },
      axisLabel: {
        show: !0,
        interval: "auto"
      },
      splitLine: {
        show: !0,
        lineStyle: {
          type: "dashed",
          opacity: 0.2
        }
      }
    }, a;
  }(ComponentModel)
);
mixin(SingleAxisModel, AxisModelCommonMixin.prototype);
var SingleAxis = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s, l, u, c) {
      var d = r.call(this, o, s, l) || this;
      return d.type = u || "value", d.position = c || "bottom", d;
    }
    return a.prototype.isHorizontal = function() {
      var o = this.position;
      return o === "top" || o === "bottom";
    }, a.prototype.pointToData = function(o, s) {
      return this.coordinateSystem.pointToData(o)[0];
    }, a;
  }(Axis)
), singleDimensions = ["single"], Single = (
  /** @class */
  function() {
    function r(a, o, s) {
      this.type = "single", this.dimension = "single", this.dimensions = singleDimensions, this.axisPointerEnabled = !0, this.model = a, this._init(a, o, s);
    }
    return r.prototype._init = function(a, o, s) {
      var l = this.dimension, u = new SingleAxis(l, createScaleByModel$1(a), [0, 0], a.get("type"), a.get("position")), c = u.type === "category";
      u.onBand = c && a.get("boundaryGap"), u.inverse = a.get("inverse"), u.orient = a.get("orient"), a.axis = u, u.model = a, u.coordinateSystem = this, this._axis = u;
    }, r.prototype.update = function(a, o) {
      a.eachSeries(function(s) {
        if (s.coordinateSystem === this) {
          var l = s.getData();
          each$f(l.mapDimensionsAll(this.dimension), function(u) {
            this._axis.scale.unionExtentFromData(l, u);
          }, this), niceScaleExtent(this._axis.scale, this._axis.model);
        }
      }, this);
    }, r.prototype.resize = function(a, o) {
      this._rect = getLayoutRect({
        left: a.get("left"),
        top: a.get("top"),
        right: a.get("right"),
        bottom: a.get("bottom"),
        width: a.get("width"),
        height: a.get("height")
      }, {
        width: o.getWidth(),
        height: o.getHeight()
      }), this._adjustAxis();
    }, r.prototype.getRect = function() {
      return this._rect;
    }, r.prototype._adjustAxis = function() {
      var a = this._rect, o = this._axis, s = o.isHorizontal(), l = s ? [0, a.width] : [0, a.height], u = o.inverse ? 1 : 0;
      o.setExtent(l[u], l[1 - u]), this._updateAxisTransform(o, s ? a.x : a.y);
    }, r.prototype._updateAxisTransform = function(a, o) {
      var s = a.getExtent(), l = s[0] + s[1], u = a.isHorizontal();
      a.toGlobalCoord = u ? function(c) {
        return c + o;
      } : function(c) {
        return l - c + o;
      }, a.toLocalCoord = u ? function(c) {
        return c - o;
      } : function(c) {
        return l - c + o;
      };
    }, r.prototype.getAxis = function() {
      return this._axis;
    }, r.prototype.getBaseAxis = function() {
      return this._axis;
    }, r.prototype.getAxes = function() {
      return [this._axis];
    }, r.prototype.getTooltipAxes = function() {
      return {
        baseAxes: [this.getAxis()],
        // Empty otherAxes
        otherAxes: []
      };
    }, r.prototype.containPoint = function(a) {
      var o = this.getRect(), s = this.getAxis(), l = s.orient;
      return l === "horizontal" ? s.contain(s.toLocalCoord(a[0])) && a[1] >= o.y && a[1] <= o.y + o.height : s.contain(s.toLocalCoord(a[1])) && a[0] >= o.y && a[0] <= o.y + o.height;
    }, r.prototype.pointToData = function(a) {
      var o = this.getAxis();
      return [o.coordToData(o.toLocalCoord(a[o.orient === "horizontal" ? 0 : 1]))];
    }, r.prototype.dataToPoint = function(a) {
      var o = this.getAxis(), s = this.getRect(), l = [], u = o.orient === "horizontal" ? 0 : 1;
      return a instanceof Array && (a = a[0]), l[u] = o.toGlobalCoord(o.dataToCoord(+a)), l[1 - u] = u === 0 ? s.y + s.height / 2 : s.x + s.width / 2, l;
    }, r.prototype.convertToPixel = function(a, o, s) {
      var l = getCoordSys$1(o);
      return l === this ? this.dataToPoint(s) : null;
    }, r.prototype.convertFromPixel = function(a, o, s) {
      var l = getCoordSys$1(o);
      return l === this ? this.pointToData(s) : null;
    }, r;
  }()
);
function getCoordSys$1(r) {
  var a = r.seriesModel, o = r.singleAxisModel;
  return o && o.coordinateSystem || a && a.coordinateSystem;
}
function create(r, a) {
  var o = [];
  return r.eachComponent("singleAxis", function(s, l) {
    var u = new Single(s, r, a);
    u.name = "single_" + l, u.resize(s, a), s.coordinateSystem = u, o.push(u);
  }), r.eachSeries(function(s) {
    if (s.get("coordinateSystem") === "singleAxis") {
      var l = s.getReferringComponents("singleAxis", SINGLE_REFERRING).models[0];
      s.coordinateSystem = l && l.coordinateSystem;
    }
  }), o;
}
var singleCreator = {
  create,
  dimensions: singleDimensions
}, XY$1 = ["x", "y"], WH$1 = ["width", "height"], SingleAxisPointer = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a.prototype.makeElOption = function(o, s, l, u, c) {
      var d = l.axis, f = d.coordinateSystem, p = getGlobalExtent(f, 1 - getPointDimIndex(d)), v = f.dataToPoint(s)[0], g = u.get("type");
      if (g && g !== "none") {
        var y = buildElStyle(u), _ = pointerShapeBuilder[g](d, v, p);
        _.style = y, o.graphicKey = _.type, o.pointer = _;
      }
      var S = layout$1(l);
      buildCartesianSingleLabelElOption(
        // @ts-ignore
        s,
        o,
        S,
        l,
        u,
        c
      );
    }, a.prototype.getHandleTransform = function(o, s, l) {
      var u = layout$1(s, {
        labelInside: !1
      });
      u.labelMargin = l.get(["handle", "margin"]);
      var c = getTransformedPosition(s.axis, o, u);
      return {
        x: c[0],
        y: c[1],
        rotation: u.rotation + (u.labelDirection < 0 ? Math.PI : 0)
      };
    }, a.prototype.updateHandleTransform = function(o, s, l, u) {
      var c = l.axis, d = c.coordinateSystem, f = getPointDimIndex(c), p = getGlobalExtent(d, f), v = [o.x, o.y];
      v[f] += s[f], v[f] = Math.min(p[1], v[f]), v[f] = Math.max(p[0], v[f]);
      var g = getGlobalExtent(d, 1 - f), y = (g[1] + g[0]) / 2, _ = [y, y];
      return _[f] = v[f], {
        x: v[0],
        y: v[1],
        rotation: o.rotation,
        cursorPoint: _,
        tooltipOption: {
          verticalAlign: "middle"
        }
      };
    }, a;
  }(BaseAxisPointer)
), pointerShapeBuilder = {
  line: function(r, a, o) {
    var s = makeLineShape([a, o[0]], [a, o[1]], getPointDimIndex(r));
    return {
      type: "Line",
      subPixelOptimize: !0,
      shape: s
    };
  },
  shadow: function(r, a, o) {
    var s = r.getBandWidth(), l = o[1] - o[0];
    return {
      type: "Rect",
      shape: makeRectShape([a - s / 2, o[0]], [s, l], getPointDimIndex(r))
    };
  }
};
function getPointDimIndex(r) {
  return r.isHorizontal() ? 0 : 1;
}
function getGlobalExtent(r, a) {
  var o = r.getRect();
  return [o[XY$1[a]], o[XY$1[a]] + o[WH$1[a]]];
}
var SingleView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.type = "single", a;
  }(ComponentView)
);
function install$o(r) {
  use(install$r), AxisView.registerAxisPointerClass("SingleAxisPointer", SingleAxisPointer), r.registerComponentView(SingleView), r.registerComponentView(SingleAxisView), r.registerComponentModel(SingleAxisModel), axisModelCreator(r, "single", SingleAxisModel, SingleAxisModel.defaultOption), r.registerCoordinateSystem("single", singleCreator);
}
var CalendarModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.init = function(o, s, l) {
      var u = getLayoutParams(o);
      r.prototype.init.apply(this, arguments), mergeAndNormalizeLayoutParams$1(o, u);
    }, a.prototype.mergeOption = function(o) {
      r.prototype.mergeOption.apply(this, arguments), mergeAndNormalizeLayoutParams$1(this.option, o);
    }, a.prototype.getCellSize = function() {
      return this.option.cellSize;
    }, a.type = "calendar", a.defaultOption = {
      // zlevel: 0,
      z: 2,
      left: 80,
      top: 60,
      cellSize: 20,
      // horizontal vertical
      orient: "horizontal",
      // month separate line style
      splitLine: {
        show: !0,
        lineStyle: {
          color: "#000",
          width: 1,
          type: "solid"
        }
      },
      // rect style  temporarily unused emphasis
      itemStyle: {
        color: "#fff",
        borderWidth: 1,
        borderColor: "#ccc"
      },
      // week text style
      dayLabel: {
        show: !0,
        firstDay: 0,
        // start end
        position: "start",
        margin: "50%",
        color: "#000"
      },
      // month text style
      monthLabel: {
        show: !0,
        // start end
        position: "start",
        margin: 5,
        // center or left
        align: "center",
        formatter: null,
        color: "#000"
      },
      // year text style
      yearLabel: {
        show: !0,
        // top bottom left right
        position: null,
        margin: 30,
        formatter: null,
        color: "#ccc",
        fontFamily: "sans-serif",
        fontWeight: "bolder",
        fontSize: 20
      }
    }, a;
  }(ComponentModel)
);
function mergeAndNormalizeLayoutParams$1(r, a) {
  var o = r.cellSize, s;
  isArray$1(o) ? s = o : s = r.cellSize = [o, o], s.length === 1 && (s[1] = s[0]);
  var l = map$1([0, 1], function(u) {
    return sizeCalculable(a, u) && (s[u] = "auto"), s[u] != null && s[u] !== "auto";
  });
  mergeLayoutParam(r, a, {
    type: "box",
    ignoreSize: l
  });
}
var CalendarView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l) {
      var u = this.group;
      u.removeAll();
      var c = o.coordinateSystem, d = c.getRangeInfo(), f = c.getOrient(), p = s.getLocaleModel();
      this._renderDayRect(o, d, u), this._renderLines(o, d, f, u), this._renderYearText(o, d, f, u), this._renderMonthText(o, p, f, u), this._renderWeekText(o, p, d, f, u);
    }, a.prototype._renderDayRect = function(o, s, l) {
      for (var u = o.coordinateSystem, c = o.getModel("itemStyle").getItemStyle(), d = u.getCellWidth(), f = u.getCellHeight(), p = s.start.time; p <= s.end.time; p = u.getNextNDay(p, 1).time) {
        var v = u.dataToRect([p], !1).tl, g = new Rect$2({
          shape: {
            x: v[0],
            y: v[1],
            width: d,
            height: f
          },
          cursor: "default",
          style: c
        });
        l.add(g);
      }
    }, a.prototype._renderLines = function(o, s, l, u) {
      var c = this, d = o.coordinateSystem, f = o.getModel(["splitLine", "lineStyle"]).getLineStyle(), p = o.get(["splitLine", "show"]), v = f.lineWidth;
      this._tlpoints = [], this._blpoints = [], this._firstDayOfMonth = [], this._firstDayPoints = [];
      for (var g = s.start, y = 0; g.time <= s.end.time; y++) {
        S(g.formatedDate), y === 0 && (g = d.getDateInfo(s.start.y + "-" + s.start.m));
        var _ = g.date;
        _.setMonth(_.getMonth() + 1), g = d.getDateInfo(_);
      }
      S(d.getNextNDay(s.end.time, 1).formatedDate);
      function S(C) {
        c._firstDayOfMonth.push(d.getDateInfo(C)), c._firstDayPoints.push(d.dataToRect([C], !1).tl);
        var b = c._getLinePointsOfOneWeek(o, C, l);
        c._tlpoints.push(b[0]), c._blpoints.push(b[b.length - 1]), p && c._drawSplitline(b, f, u);
      }
      p && this._drawSplitline(c._getEdgesPoints(c._tlpoints, v, l), f, u), p && this._drawSplitline(c._getEdgesPoints(c._blpoints, v, l), f, u);
    }, a.prototype._getEdgesPoints = function(o, s, l) {
      var u = [o[0].slice(), o[o.length - 1].slice()], c = l === "horizontal" ? 0 : 1;
      return u[0][c] = u[0][c] - s / 2, u[1][c] = u[1][c] + s / 2, u;
    }, a.prototype._drawSplitline = function(o, s, l) {
      var u = new Polyline$1({
        z2: 20,
        shape: {
          points: o
        },
        style: s
      });
      l.add(u);
    }, a.prototype._getLinePointsOfOneWeek = function(o, s, l) {
      for (var u = o.coordinateSystem, c = u.getDateInfo(s), d = [], f = 0; f < 7; f++) {
        var p = u.getNextNDay(c.time, f), v = u.dataToRect([p.time], !1);
        d[2 * p.day] = v.tl, d[2 * p.day + 1] = v[l === "horizontal" ? "bl" : "tr"];
      }
      return d;
    }, a.prototype._formatterLabel = function(o, s) {
      return isString(o) && o ? formatTplSimple(o, s) : isFunction(o) ? o(s) : s.nameMap;
    }, a.prototype._yearTextPositionControl = function(o, s, l, u, c) {
      var d = s[0], f = s[1], p = ["center", "bottom"];
      u === "bottom" ? (f += c, p = ["center", "top"]) : u === "left" ? d -= c : u === "right" ? (d += c, p = ["center", "top"]) : f -= c;
      var v = 0;
      return (u === "left" || u === "right") && (v = Math.PI / 2), {
        rotation: v,
        x: d,
        y: f,
        style: {
          align: p[0],
          verticalAlign: p[1]
        }
      };
    }, a.prototype._renderYearText = function(o, s, l, u) {
      var c = o.getModel("yearLabel");
      if (c.get("show")) {
        var d = c.get("margin"), f = c.get("position");
        f || (f = l !== "horizontal" ? "top" : "left");
        var p = [this._tlpoints[this._tlpoints.length - 1], this._blpoints[0]], v = (p[0][0] + p[1][0]) / 2, g = (p[0][1] + p[1][1]) / 2, y = l === "horizontal" ? 0 : 1, _ = {
          top: [v, p[y][1]],
          bottom: [v, p[1 - y][1]],
          left: [p[1 - y][0], g],
          right: [p[y][0], g]
        }, S = s.start.y;
        +s.end.y > +s.start.y && (S = S + "-" + s.end.y);
        var C = c.get("formatter"), b = {
          start: s.start.y,
          end: s.end.y,
          nameMap: S
        }, T = this._formatterLabel(C, b), E = new ZRText({
          z2: 30,
          style: createTextStyle$1(c, {
            text: T
          }),
          silent: c.get("silent")
        });
        E.attr(this._yearTextPositionControl(E, _[f], l, f, d)), u.add(E);
      }
    }, a.prototype._monthTextPositionControl = function(o, s, l, u, c) {
      var d = "left", f = "top", p = o[0], v = o[1];
      return l === "horizontal" ? (v = v + c, s && (d = "center"), u === "start" && (f = "bottom")) : (p = p + c, s && (f = "middle"), u === "start" && (d = "right")), {
        x: p,
        y: v,
        align: d,
        verticalAlign: f
      };
    }, a.prototype._renderMonthText = function(o, s, l, u) {
      var c = o.getModel("monthLabel");
      if (c.get("show")) {
        var d = c.get("nameMap"), f = c.get("margin"), p = c.get("position"), v = c.get("align"), g = [this._tlpoints, this._blpoints];
        (!d || isString(d)) && (d && (s = getLocaleModel(d) || s), d = s.get(["time", "monthAbbr"]) || []);
        var y = p === "start" ? 0 : 1, _ = l === "horizontal" ? 0 : 1;
        f = p === "start" ? -f : f;
        for (var S = v === "center", C = c.get("silent"), b = 0; b < g[y].length - 1; b++) {
          var T = g[y][b].slice(), E = this._firstDayOfMonth[b];
          if (S) {
            var x = this._firstDayPoints[b];
            T[_] = (x[_] + g[0][b + 1][_]) / 2;
          }
          var $ = c.get("formatter"), A = d[+E.m - 1], N = {
            yyyy: E.y,
            yy: (E.y + "").slice(2),
            MM: E.m,
            M: +E.m,
            nameMap: A
          }, P = this._formatterLabel($, N), L = new ZRText({
            z2: 30,
            style: extend(createTextStyle$1(c, {
              text: P
            }), this._monthTextPositionControl(T, S, l, p, f)),
            silent: C
          });
          u.add(L);
        }
      }
    }, a.prototype._weekTextPositionControl = function(o, s, l, u, c) {
      var d = "center", f = "middle", p = o[0], v = o[1], g = l === "start";
      return s === "horizontal" ? (p = p + u + (g ? 1 : -1) * c[0] / 2, d = g ? "right" : "left") : (v = v + u + (g ? 1 : -1) * c[1] / 2, f = g ? "bottom" : "top"), {
        x: p,
        y: v,
        align: d,
        verticalAlign: f
      };
    }, a.prototype._renderWeekText = function(o, s, l, u, c) {
      var d = o.getModel("dayLabel");
      if (d.get("show")) {
        var f = o.coordinateSystem, p = d.get("position"), v = d.get("nameMap"), g = d.get("margin"), y = f.getFirstDayOfWeek();
        if (!v || isString(v)) {
          v && (s = getLocaleModel(v) || s);
          var _ = s.get(["time", "dayOfWeekShort"]);
          v = _ || map$1(s.get(["time", "dayOfWeekAbbr"]), function(N) {
            return N[0];
          });
        }
        var S = f.getNextNDay(l.end.time, 7 - l.lweek).time, C = [f.getCellWidth(), f.getCellHeight()];
        g = parsePercent(g, Math.min(C[1], C[0])), p === "start" && (S = f.getNextNDay(l.start.time, -(7 + l.fweek)).time, g = -g);
        for (var b = d.get("silent"), T = 0; T < 7; T++) {
          var E = f.getNextNDay(S, T), x = f.dataToRect([E.time], !1).center, $ = T;
          $ = Math.abs((T + y) % 7);
          var A = new ZRText({
            z2: 30,
            style: extend(createTextStyle$1(d, {
              text: v[$]
            }), this._weekTextPositionControl(x, u, p, g, C)),
            silent: b
          });
          c.add(A);
        }
      }
    }, a.type = "calendar", a;
  }(ComponentView)
), PROXIMATE_ONE_DAY = 864e5, Calendar = (
  /** @class */
  function() {
    function r(a, o, s) {
      this.type = "calendar", this.dimensions = r.dimensions, this.getDimensionsInfo = r.getDimensionsInfo, this._model = a;
    }
    return r.getDimensionsInfo = function() {
      return [{
        name: "time",
        type: "time"
      }, "value"];
    }, r.prototype.getRangeInfo = function() {
      return this._rangeInfo;
    }, r.prototype.getModel = function() {
      return this._model;
    }, r.prototype.getRect = function() {
      return this._rect;
    }, r.prototype.getCellWidth = function() {
      return this._sw;
    }, r.prototype.getCellHeight = function() {
      return this._sh;
    }, r.prototype.getOrient = function() {
      return this._orient;
    }, r.prototype.getFirstDayOfWeek = function() {
      return this._firstDayOfWeek;
    }, r.prototype.getDateInfo = function(a) {
      a = parseDate(a);
      var o = a.getFullYear(), s = a.getMonth() + 1, l = s < 10 ? "0" + s : "" + s, u = a.getDate(), c = u < 10 ? "0" + u : "" + u, d = a.getDay();
      return d = Math.abs((d + 7 - this.getFirstDayOfWeek()) % 7), {
        y: o + "",
        m: l,
        d: c,
        day: d,
        time: a.getTime(),
        formatedDate: o + "-" + l + "-" + c,
        date: a
      };
    }, r.prototype.getNextNDay = function(a, o) {
      return o = o || 0, o === 0 ? this.getDateInfo(a) : (a = new Date(this.getDateInfo(a).time), a.setDate(a.getDate() + o), this.getDateInfo(a));
    }, r.prototype.update = function(a, o) {
      this._firstDayOfWeek = +this._model.getModel("dayLabel").get("firstDay"), this._orient = this._model.get("orient"), this._lineWidth = this._model.getModel("itemStyle").getItemStyle().lineWidth || 0, this._rangeInfo = this._getRangeInfo(this._initRangeOption());
      var s = this._rangeInfo.weeks || 1, l = ["width", "height"], u = this._model.getCellSize().slice(), c = this._model.getBoxLayoutParams(), d = this._orient === "horizontal" ? [s, 7] : [7, s];
      each$f([0, 1], function(g) {
        v(u, g) && (c[l[g]] = u[g] * d[g]);
      });
      var f = {
        width: o.getWidth(),
        height: o.getHeight()
      }, p = this._rect = getLayoutRect(c, f);
      each$f([0, 1], function(g) {
        v(u, g) || (u[g] = p[l[g]] / d[g]);
      });
      function v(g, y) {
        return g[y] != null && g[y] !== "auto";
      }
      this._sw = u[0], this._sh = u[1];
    }, r.prototype.dataToPoint = function(a, o) {
      isArray$1(a) && (a = a[0]), o == null && (o = !0);
      var s = this.getDateInfo(a), l = this._rangeInfo, u = s.formatedDate;
      if (o && !(s.time >= l.start.time && s.time < l.end.time + PROXIMATE_ONE_DAY))
        return [NaN, NaN];
      var c = s.day, d = this._getRangeInfo([l.start.time, u]).nthWeek;
      return this._orient === "vertical" ? [this._rect.x + c * this._sw + this._sw / 2, this._rect.y + d * this._sh + this._sh / 2] : [this._rect.x + d * this._sw + this._sw / 2, this._rect.y + c * this._sh + this._sh / 2];
    }, r.prototype.pointToData = function(a) {
      var o = this.pointToDate(a);
      return o && o.time;
    }, r.prototype.dataToRect = function(a, o) {
      var s = this.dataToPoint(a, o);
      return {
        contentShape: {
          x: s[0] - (this._sw - this._lineWidth) / 2,
          y: s[1] - (this._sh - this._lineWidth) / 2,
          width: this._sw - this._lineWidth,
          height: this._sh - this._lineWidth
        },
        center: s,
        tl: [s[0] - this._sw / 2, s[1] - this._sh / 2],
        tr: [s[0] + this._sw / 2, s[1] - this._sh / 2],
        br: [s[0] + this._sw / 2, s[1] + this._sh / 2],
        bl: [s[0] - this._sw / 2, s[1] + this._sh / 2]
      };
    }, r.prototype.pointToDate = function(a) {
      var o = Math.floor((a[0] - this._rect.x) / this._sw) + 1, s = Math.floor((a[1] - this._rect.y) / this._sh) + 1, l = this._rangeInfo.range;
      return this._orient === "vertical" ? this._getDateByWeeksAndDay(s, o - 1, l) : this._getDateByWeeksAndDay(o, s - 1, l);
    }, r.prototype.convertToPixel = function(a, o, s) {
      var l = getCoordSys(o);
      return l === this ? l.dataToPoint(s) : null;
    }, r.prototype.convertFromPixel = function(a, o, s) {
      var l = getCoordSys(o);
      return l === this ? l.pointToData(s) : null;
    }, r.prototype.containPoint = function(a) {
      return console.warn("Not implemented."), !1;
    }, r.prototype._initRangeOption = function() {
      var a = this._model.get("range"), o;
      if (isArray$1(a) && a.length === 1 && (a = a[0]), isArray$1(a))
        o = a;
      else {
        var s = a.toString();
        if (/^\d{4}$/.test(s) && (o = [s + "-01-01", s + "-12-31"]), /^\d{4}[\/|-]\d{1,2}$/.test(s)) {
          var l = this.getDateInfo(s), u = l.date;
          u.setMonth(u.getMonth() + 1);
          var c = this.getNextNDay(u, -1);
          o = [l.formatedDate, c.formatedDate];
        }
        /^\d{4}[\/|-]\d{1,2}[\/|-]\d{1,2}$/.test(s) && (o = [s, s]);
      }
      if (!o)
        return process.env.NODE_ENV !== "production" && logError("Invalid date range."), a;
      var d = this._getRangeInfo(o);
      return d.start.time > d.end.time && o.reverse(), o;
    }, r.prototype._getRangeInfo = function(a) {
      var o = [this.getDateInfo(a[0]), this.getDateInfo(a[1])], s;
      o[0].time > o[1].time && (s = !0, o.reverse());
      var l = Math.floor(o[1].time / PROXIMATE_ONE_DAY) - Math.floor(o[0].time / PROXIMATE_ONE_DAY) + 1, u = new Date(o[0].time), c = u.getDate(), d = o[1].date.getDate();
      u.setDate(c + l - 1);
      var f = u.getDate();
      if (f !== d)
        for (var p = u.getTime() - o[1].time > 0 ? 1 : -1; (f = u.getDate()) !== d && (u.getTime() - o[1].time) * p > 0; )
          l -= p, u.setDate(f - p);
      var v = Math.floor((l + o[0].day + 6) / 7), g = s ? -v + 1 : v - 1;
      return s && o.reverse(), {
        range: [o[0].formatedDate, o[1].formatedDate],
        start: o[0],
        end: o[1],
        allDay: l,
        weeks: v,
        // From 0.
        nthWeek: g,
        fweek: o[0].day,
        lweek: o[1].day
      };
    }, r.prototype._getDateByWeeksAndDay = function(a, o, s) {
      var l = this._getRangeInfo(s);
      if (a > l.weeks || a === 0 && o < l.fweek || a === l.weeks && o > l.lweek)
        return null;
      var u = (a - 1) * 7 - l.fweek + o, c = new Date(l.start.time);
      return c.setDate(+l.start.d + u), this.getDateInfo(c);
    }, r.create = function(a, o) {
      var s = [];
      return a.eachComponent("calendar", function(l) {
        var u = new r(l);
        s.push(u), l.coordinateSystem = u;
      }), a.eachSeries(function(l) {
        l.get("coordinateSystem") === "calendar" && (l.coordinateSystem = s[l.get("calendarIndex") || 0]);
      }), s;
    }, r.dimensions = ["time", "value"], r;
  }()
);
function getCoordSys(r) {
  var a = r.calendarModel, o = r.seriesModel, s = a ? a.coordinateSystem : o ? o.coordinateSystem : null;
  return s;
}
function install$n(r) {
  r.registerComponentModel(CalendarModel), r.registerComponentView(CalendarView), r.registerCoordinateSystem("calendar", Calendar);
}
function setKeyInfoToNewElOption(r, a) {
  var o = r.existing;
  if (a.id = r.keyInfo.id, !a.type && o && (a.type = o.type), a.parentId == null) {
    var s = a.parentOption;
    s ? a.parentId = s.id : o && (a.parentId = o.parentId);
  }
  a.parentOption = null;
}
function isSetLoc(r, a) {
  var o;
  return each$f(a, function(s) {
    r[s] != null && r[s] !== "auto" && (o = !0);
  }), o;
}
function mergeNewElOptionToExist(r, a, o) {
  var s = extend({}, o), l = r[a], u = o.$action || "merge";
  if (u === "merge")
    if (l) {
      if (process.env.NODE_ENV !== "production") {
        var c = o.type;
        assert(!c || l.type === c, 'Please set $action: "replace" to change `type`');
      }
      merge(l, s, !0), mergeLayoutParam(l, s, {
        ignoreSize: !0
      }), copyLayoutParams(o, l), copyTransitionInfo(o, l), copyTransitionInfo(o, l, "shape"), copyTransitionInfo(o, l, "style"), copyTransitionInfo(o, l, "extra"), o.clipPath = l.clipPath;
    } else
      r[a] = s;
  else u === "replace" ? r[a] = s : u === "remove" && l && (r[a] = null);
}
var TRANSITION_PROPS_TO_COPY = ["transition", "enterFrom", "leaveTo"], ROOT_TRANSITION_PROPS_TO_COPY = TRANSITION_PROPS_TO_COPY.concat(["enterAnimation", "updateAnimation", "leaveAnimation"]);
function copyTransitionInfo(r, a, o) {
  if (o && (!r[o] && a[o] && (r[o] = {}), r = r[o], a = a[o]), !(!r || !a))
    for (var s = o ? TRANSITION_PROPS_TO_COPY : ROOT_TRANSITION_PROPS_TO_COPY, l = 0; l < s.length; l++) {
      var u = s[l];
      r[u] == null && a[u] != null && (r[u] = a[u]);
    }
}
function setLayoutInfoToExist(r, a) {
  if (r && (r.hv = a.hv = [
    // Rigid body, don't care about `width`.
    isSetLoc(a, ["left", "right"]),
    // Rigid body, don't care about `height`.
    isSetLoc(a, ["top", "bottom"])
  ], r.type === "group")) {
    var o = r, s = a;
    o.width == null && (o.width = s.width = 0), o.height == null && (o.height = s.height = 0);
  }
}
var GraphicComponentModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.preventAutoZ = !0, o;
    }
    return a.prototype.mergeOption = function(o, s) {
      var l = this.option.elements;
      this.option.elements = null, r.prototype.mergeOption.call(this, o, s), this.option.elements = l;
    }, a.prototype.optionUpdated = function(o, s) {
      var l = this.option, u = (s ? l : o).elements, c = l.elements = s ? [] : l.elements, d = [];
      this._flatten(u, d, null);
      var f = mappingToExists(c, d, "normalMerge"), p = this._elOptionsToUpdate = [];
      each$f(f, function(v, g) {
        var y = v.newOption;
        process.env.NODE_ENV !== "production" && assert(isObject$3(y) || v.existing, "Empty graphic option definition"), y && (p.push(y), setKeyInfoToNewElOption(v, y), mergeNewElOptionToExist(c, g, y), setLayoutInfoToExist(c[g], y));
      }, this), l.elements = filter(c, function(v) {
        return v && delete v.$action, v != null;
      });
    }, a.prototype._flatten = function(o, s, l) {
      each$f(o, function(u) {
        if (u) {
          l && (u.parentOption = l), s.push(u);
          var c = u.children;
          c && c.length && this._flatten(c, s, u), delete u.children;
        }
      }, this);
    }, a.prototype.useElOptionsToUpdate = function() {
      var o = this._elOptionsToUpdate;
      return this._elOptionsToUpdate = null, o;
    }, a.type = "graphic", a.defaultOption = {
      elements: []
      // parentId: null
    }, a;
  }(ComponentModel)
), nonShapeGraphicElements = {
  // Reserved but not supported in graphic component.
  path: null,
  compoundPath: null,
  // Supported in graphic component.
  group: Group$3,
  image: ZRImage,
  text: ZRText
}, inner$7 = makeInner(), GraphicComponentView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.init = function() {
      this._elMap = createHashMap();
    }, a.prototype.render = function(o, s, l) {
      o !== this._lastGraphicModel && this._clear(), this._lastGraphicModel = o, this._updateElements(o), this._relocate(o, l);
    }, a.prototype._updateElements = function(o) {
      var s = o.useElOptionsToUpdate();
      if (s) {
        var l = this._elMap, u = this.group, c = o.get("z"), d = o.get("zlevel");
        each$f(s, function(f) {
          var p = convertOptionIdName(f.id, null), v = p != null ? l.get(p) : null, g = convertOptionIdName(f.parentId, null), y = g != null ? l.get(g) : u, _ = f.type, S = f.style;
          _ === "text" && S && f.hv && f.hv[1] && (S.textVerticalAlign = S.textBaseline = S.verticalAlign = S.align = null);
          var C = f.textContent, b = f.textConfig;
          if (S && isEC4CompatibleStyle(S, _, !!b, !!C)) {
            var T = convertFromEC4CompatibleStyle(S, _, !0);
            !b && T.textConfig && (b = f.textConfig = T.textConfig), !C && T.textContent && (C = T.textContent);
          }
          var E = getCleanedElOption(f);
          process.env.NODE_ENV !== "production" && v && assert(y === v.parent, "Changing parent is not supported.");
          var x = f.$action || "merge", $ = x === "merge", A = x === "replace";
          if ($) {
            var N = !v, P = v;
            N ? P = createEl(p, y, f.type, l) : (P && (inner$7(P).isNew = !1), stopPreviousKeyframeAnimationAndRestore(P)), P && (applyUpdateTransition(P, E, o, {
              isInit: N
            }), updateCommonAttrs(P, f, c, d));
          } else if (A) {
            removeEl$1(v, f, l, o);
            var L = createEl(p, y, f.type, l);
            L && (applyUpdateTransition(L, E, o, {
              isInit: !0
            }), updateCommonAttrs(L, f, c, d));
          } else x === "remove" && (updateLeaveTo(v, f), removeEl$1(v, f, l, o));
          var O = l.get(p);
          if (O && C)
            if ($) {
              var M = O.getTextContent();
              M ? M.attr(C) : O.setTextContent(new ZRText(C));
            } else A && O.setTextContent(new ZRText(C));
          if (O) {
            var F = f.clipPath;
            if (F) {
              var U = F.type, R = void 0, N = !1;
              if ($) {
                var H = O.getClipPath();
                N = !H || inner$7(H).type !== U, R = N ? newEl(U) : H;
              } else A && (N = !0, R = newEl(U));
              O.setClipPath(R), applyUpdateTransition(R, F, o, {
                isInit: N
              }), applyKeyframeAnimation(R, F.keyframeAnimation, o);
            }
            var V = inner$7(O);
            O.setTextConfig(b), V.option = f, setEventData(O, o, f), setTooltipConfig({
              el: O,
              componentModel: o,
              itemName: O.name,
              itemTooltipOption: f.tooltip
            }), applyKeyframeAnimation(O, f.keyframeAnimation, o);
          }
        });
      }
    }, a.prototype._relocate = function(o, s) {
      for (var l = o.option.elements, u = this.group, c = this._elMap, d = s.getWidth(), f = s.getHeight(), p = ["x", "y"], v = 0; v < l.length; v++) {
        var g = l[v], y = convertOptionIdName(g.id, null), _ = y != null ? c.get(y) : null;
        if (!(!_ || !_.isGroup)) {
          var S = _.parent, C = S === u, b = inner$7(_), T = inner$7(S);
          b.width = parsePercent(b.option.width, C ? d : T.width) || 0, b.height = parsePercent(b.option.height, C ? f : T.height) || 0;
        }
      }
      for (var v = l.length - 1; v >= 0; v--) {
        var g = l[v], y = convertOptionIdName(g.id, null), _ = y != null ? c.get(y) : null;
        if (_) {
          var S = _.parent, T = inner$7(S), E = S === u ? {
            width: d,
            height: f
          } : {
            width: T.width,
            height: T.height
          }, x = {}, $ = positionElement(_, g, E, null, {
            hv: g.hv,
            boundingMode: g.bounding
          }, x);
          if (!inner$7(_).isNew && $) {
            for (var A = g.transition, N = {}, P = 0; P < p.length; P++) {
              var L = p[P], O = x[L];
              A && (isTransitionAll(A) || indexOf(A, L) >= 0) ? N[L] = O : _[L] = O;
            }
            updateProps$1(_, N, o, 0);
          } else
            _.attr(x);
        }
      }
    }, a.prototype._clear = function() {
      var o = this, s = this._elMap;
      s.each(function(l) {
        removeEl$1(l, inner$7(l).option, s, o._lastGraphicModel);
      }), this._elMap = createHashMap();
    }, a.prototype.dispose = function() {
      this._clear();
    }, a.type = "graphic", a;
  }(ComponentView)
);
function newEl(r) {
  process.env.NODE_ENV !== "production" && assert(r, "graphic type MUST be set");
  var a = hasOwn(nonShapeGraphicElements, r) ? nonShapeGraphicElements[r] : getShapeClass(r);
  process.env.NODE_ENV !== "production" && assert(a, "graphic type " + r + " can not be found");
  var o = new a({});
  return inner$7(o).type = r, o;
}
function createEl(r, a, o, s) {
  var l = newEl(o);
  return a.add(l), s.set(r, l), inner$7(l).id = r, inner$7(l).isNew = !0, l;
}
function removeEl$1(r, a, o, s) {
  var l = r && r.parent;
  l && (r.type === "group" && r.traverse(function(u) {
    removeEl$1(u, a, o, s);
  }), applyLeaveTransition(r, a, s), o.removeKey(inner$7(r).id));
}
function updateCommonAttrs(r, a, o, s) {
  r.isGroup || each$f([
    ["cursor", Displayable.prototype.cursor],
    // We should not support configure z and zlevel in the element level.
    // But seems we didn't limit it previously. So here still use it to avoid breaking.
    ["zlevel", s || 0],
    ["z", o || 0],
    // z2 must not be null/undefined, otherwise sort error may occur.
    ["z2", 0]
  ], function(l) {
    var u = l[0];
    hasOwn(a, u) ? r[u] = retrieve2(a[u], l[1]) : r[u] == null && (r[u] = l[1]);
  }), each$f(keys(a), function(l) {
    if (l.indexOf("on") === 0) {
      var u = a[l];
      r[l] = isFunction(u) ? u : null;
    }
  }), hasOwn(a, "draggable") && (r.draggable = a.draggable), a.name != null && (r.name = a.name), a.id != null && (r.id = a.id);
}
function getCleanedElOption(r) {
  return r = extend({}, r), each$f(["id", "parentId", "$action", "hv", "bounding", "textContent", "clipPath"].concat(LOCATION_PARAMS), function(a) {
    delete r[a];
  }), r;
}
function setEventData(r, a, o) {
  var s = getECData(r).eventData;
  !r.silent && !r.ignore && !s && (s = getECData(r).eventData = {
    componentType: "graphic",
    componentIndex: a.componentIndex,
    name: r.name
  }), s && (s.info = o.info);
}
function install$m(r) {
  r.registerComponentModel(GraphicComponentModel), r.registerComponentView(GraphicComponentView), r.registerPreprocessor(function(a) {
    var o = a.graphic;
    isArray$1(o) ? !o[0] || !o[0].elements ? a.graphic = [{
      elements: o
    }] : a.graphic = [a.graphic[0]] : o && !o.elements && (a.graphic = [{
      elements: [o]
    }]);
  });
}
var DATA_ZOOM_AXIS_DIMENSIONS = ["x", "y", "radius", "angle", "single"], SERIES_COORDS = ["cartesian2d", "polar", "singleAxis"];
function isCoordSupported(r) {
  var a = r.get("coordinateSystem");
  return indexOf(SERIES_COORDS, a) >= 0;
}
function getAxisMainType(r) {
  return process.env.NODE_ENV !== "production" && assert(r), r + "Axis";
}
function findEffectedDataZooms(r, a) {
  var o = createHashMap(), s = [], l = createHashMap();
  r.eachComponent({
    mainType: "dataZoom",
    query: a
  }, function(v) {
    l.get(v.uid) || d(v);
  });
  var u;
  do
    u = !1, r.eachComponent("dataZoom", c);
  while (u);
  function c(v) {
    !l.get(v.uid) && f(v) && (d(v), u = !0);
  }
  function d(v) {
    l.set(v.uid, !0), s.push(v), p(v);
  }
  function f(v) {
    var g = !1;
    return v.eachTargetAxis(function(y, _) {
      var S = o.get(y);
      S && S[_] && (g = !0);
    }), g;
  }
  function p(v) {
    v.eachTargetAxis(function(g, y) {
      (o.get(g) || o.set(g, []))[y] = !0;
    });
  }
  return s;
}
function collectReferCoordSysModelInfo(r) {
  var a = r.ecModel, o = {
    infoList: [],
    infoMap: createHashMap()
  };
  return r.eachTargetAxis(function(s, l) {
    var u = a.getComponent(getAxisMainType(s), l);
    if (u) {
      var c = u.getCoordSysModel();
      if (c) {
        var d = c.uid, f = o.infoMap.get(d);
        f || (f = {
          model: c,
          axisModels: []
        }, o.infoList.push(f), o.infoMap.set(d, f)), f.axisModels.push(u);
      }
    }
  }), o;
}
var DataZoomAxisInfo = (
  /** @class */
  function() {
    function r() {
      this.indexList = [], this.indexMap = [];
    }
    return r.prototype.add = function(a) {
      this.indexMap[a] || (this.indexList.push(a), this.indexMap[a] = !0);
    }, r;
  }()
), DataZoomModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o._autoThrottle = !0, o._noTarget = !0, o._rangePropMode = ["percent", "percent"], o;
    }
    return a.prototype.init = function(o, s, l) {
      var u = retrieveRawOption(o);
      this.settledOption = u, this.mergeDefaultAndTheme(o, l), this._doInit(u);
    }, a.prototype.mergeOption = function(o) {
      var s = retrieveRawOption(o);
      merge(this.option, o, !0), merge(this.settledOption, s, !0), this._doInit(s);
    }, a.prototype._doInit = function(o) {
      var s = this.option;
      this._setDefaultThrottle(o), this._updateRangeUse(o);
      var l = this.settledOption;
      each$f([["start", "startValue"], ["end", "endValue"]], function(u, c) {
        this._rangePropMode[c] === "value" && (s[u[0]] = l[u[0]] = null);
      }, this), this._resetTarget();
    }, a.prototype._resetTarget = function() {
      var o = this.get("orient", !0), s = this._targetAxisInfoMap = createHashMap(), l = this._fillSpecifiedTargetAxis(s);
      l ? this._orient = o || this._makeAutoOrientByTargetAxis() : (this._orient = o || "horizontal", this._fillAutoTargetAxisByOrient(s, this._orient)), this._noTarget = !0, s.each(function(u) {
        u.indexList.length && (this._noTarget = !1);
      }, this);
    }, a.prototype._fillSpecifiedTargetAxis = function(o) {
      var s = !1;
      return each$f(DATA_ZOOM_AXIS_DIMENSIONS, function(l) {
        var u = this.getReferringComponents(getAxisMainType(l), MULTIPLE_REFERRING);
        if (u.specified) {
          s = !0;
          var c = new DataZoomAxisInfo();
          each$f(u.models, function(d) {
            c.add(d.componentIndex);
          }), o.set(l, c);
        }
      }, this), s;
    }, a.prototype._fillAutoTargetAxisByOrient = function(o, s) {
      var l = this.ecModel, u = !0;
      if (u) {
        var c = s === "vertical" ? "y" : "x", d = l.findComponents({
          mainType: c + "Axis"
        });
        f(d, c);
      }
      if (u) {
        var d = l.findComponents({
          mainType: "singleAxis",
          filter: function(v) {
            return v.get("orient", !0) === s;
          }
        });
        f(d, "single");
      }
      function f(p, v) {
        var g = p[0];
        if (g) {
          var y = new DataZoomAxisInfo();
          if (y.add(g.componentIndex), o.set(v, y), u = !1, v === "x" || v === "y") {
            var _ = g.getReferringComponents("grid", SINGLE_REFERRING).models[0];
            _ && each$f(p, function(S) {
              g.componentIndex !== S.componentIndex && _ === S.getReferringComponents("grid", SINGLE_REFERRING).models[0] && y.add(S.componentIndex);
            });
          }
        }
      }
      u && each$f(DATA_ZOOM_AXIS_DIMENSIONS, function(p) {
        if (u) {
          var v = l.findComponents({
            mainType: getAxisMainType(p),
            filter: function(y) {
              return y.get("type", !0) === "category";
            }
          });
          if (v[0]) {
            var g = new DataZoomAxisInfo();
            g.add(v[0].componentIndex), o.set(p, g), u = !1;
          }
        }
      }, this);
    }, a.prototype._makeAutoOrientByTargetAxis = function() {
      var o;
      return this.eachTargetAxis(function(s) {
        !o && (o = s);
      }, this), o === "y" ? "vertical" : "horizontal";
    }, a.prototype._setDefaultThrottle = function(o) {
      if (o.hasOwnProperty("throttle") && (this._autoThrottle = !1), this._autoThrottle) {
        var s = this.ecModel.option;
        this.option.throttle = s.animation && s.animationDurationUpdate > 0 ? 100 : 20;
      }
    }, a.prototype._updateRangeUse = function(o) {
      var s = this._rangePropMode, l = this.get("rangeMode");
      each$f([["start", "startValue"], ["end", "endValue"]], function(u, c) {
        var d = o[u[0]] != null, f = o[u[1]] != null;
        d && !f ? s[c] = "percent" : !d && f ? s[c] = "value" : l ? s[c] = l[c] : d && (s[c] = "percent");
      });
    }, a.prototype.noTarget = function() {
      return this._noTarget;
    }, a.prototype.getFirstTargetAxisModel = function() {
      var o;
      return this.eachTargetAxis(function(s, l) {
        o == null && (o = this.ecModel.getComponent(getAxisMainType(s), l));
      }, this), o;
    }, a.prototype.eachTargetAxis = function(o, s) {
      this._targetAxisInfoMap.each(function(l, u) {
        each$f(l.indexList, function(c) {
          o.call(s, u, c);
        });
      });
    }, a.prototype.getAxisProxy = function(o, s) {
      var l = this.getAxisModel(o, s);
      if (l)
        return l.__dzAxisProxy;
    }, a.prototype.getAxisModel = function(o, s) {
      process.env.NODE_ENV !== "production" && assert(o && s != null);
      var l = this._targetAxisInfoMap.get(o);
      if (l && l.indexMap[s])
        return this.ecModel.getComponent(getAxisMainType(o), s);
    }, a.prototype.setRawRange = function(o) {
      var s = this.option, l = this.settledOption;
      each$f([["start", "startValue"], ["end", "endValue"]], function(u) {
        (o[u[0]] != null || o[u[1]] != null) && (s[u[0]] = l[u[0]] = o[u[0]], s[u[1]] = l[u[1]] = o[u[1]]);
      }, this), this._updateRangeUse(o);
    }, a.prototype.setCalculatedRange = function(o) {
      var s = this.option;
      each$f(["start", "startValue", "end", "endValue"], function(l) {
        s[l] = o[l];
      });
    }, a.prototype.getPercentRange = function() {
      var o = this.findRepresentativeAxisProxy();
      if (o)
        return o.getDataPercentWindow();
    }, a.prototype.getValueRange = function(o, s) {
      if (o == null && s == null) {
        var l = this.findRepresentativeAxisProxy();
        if (l)
          return l.getDataValueWindow();
      } else
        return this.getAxisProxy(o, s).getDataValueWindow();
    }, a.prototype.findRepresentativeAxisProxy = function(o) {
      if (o)
        return o.__dzAxisProxy;
      for (var s, l = this._targetAxisInfoMap.keys(), u = 0; u < l.length; u++)
        for (var c = l[u], d = this._targetAxisInfoMap.get(c), f = 0; f < d.indexList.length; f++) {
          var p = this.getAxisProxy(c, d.indexList[f]);
          if (p.hostedBy(this))
            return p;
          s || (s = p);
        }
      return s;
    }, a.prototype.getRangePropMode = function() {
      return this._rangePropMode.slice();
    }, a.prototype.getOrient = function() {
      return process.env.NODE_ENV !== "production" && assert(this._orient), this._orient;
    }, a.type = "dataZoom", a.dependencies = ["xAxis", "yAxis", "radiusAxis", "angleAxis", "singleAxis", "series", "toolbox"], a.defaultOption = {
      // zlevel: 0,
      z: 4,
      filterMode: "filter",
      start: 0,
      end: 100
    }, a;
  }(ComponentModel)
);
function retrieveRawOption(r) {
  var a = {};
  return each$f(["start", "end", "startValue", "endValue", "throttle"], function(o) {
    r.hasOwnProperty(o) && (a[o] = r[o]);
  }), a;
}
var SelectDataZoomModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.type = "dataZoom.select", a;
  }(DataZoomModel)
), DataZoomView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l, u) {
      this.dataZoomModel = o, this.ecModel = s, this.api = l;
    }, a.type = "dataZoom", a;
  }(ComponentView)
), SelectDataZoomView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.type = "dataZoom.select", a;
  }(DataZoomView)
), each$7 = each$f, asc$1 = asc$2, AxisProxy = (
  /** @class */
  function() {
    function r(a, o, s, l) {
      this._dimName = a, this._axisIndex = o, this.ecModel = l, this._dataZoomModel = s;
    }
    return r.prototype.hostedBy = function(a) {
      return this._dataZoomModel === a;
    }, r.prototype.getDataValueWindow = function() {
      return this._valueWindow.slice();
    }, r.prototype.getDataPercentWindow = function() {
      return this._percentWindow.slice();
    }, r.prototype.getTargetSeriesModels = function() {
      var a = [];
      return this.ecModel.eachSeries(function(o) {
        if (isCoordSupported(o)) {
          var s = getAxisMainType(this._dimName), l = o.getReferringComponents(s, SINGLE_REFERRING).models[0];
          l && this._axisIndex === l.componentIndex && a.push(o);
        }
      }, this), a;
    }, r.prototype.getAxisModel = function() {
      return this.ecModel.getComponent(this._dimName + "Axis", this._axisIndex);
    }, r.prototype.getMinMaxSpan = function() {
      return clone$4(this._minMaxSpan);
    }, r.prototype.calculateDataWindow = function(a) {
      var o = this._dataExtent, s = this.getAxisModel(), l = s.axis.scale, u = this._dataZoomModel.getRangePropMode(), c = [0, 100], d = [], f = [], p;
      each$7(["start", "end"], function(y, _) {
        var S = a[y], C = a[y + "Value"];
        u[_] === "percent" ? (S == null && (S = c[_]), C = l.parse(linearMap$2(S, c, o))) : (p = !0, C = C == null ? o[_] : l.parse(C), S = linearMap$2(C, o, c)), f[_] = C == null || isNaN(C) ? o[_] : C, d[_] = S == null || isNaN(S) ? c[_] : S;
      }), asc$1(f), asc$1(d);
      var v = this._minMaxSpan;
      p ? g(f, d, o, c, !1) : g(d, f, c, o, !0);
      function g(y, _, S, C, b) {
        var T = b ? "Span" : "ValueSpan";
        sliderMove(0, y, S, "all", v["min" + T], v["max" + T]);
        for (var E = 0; E < 2; E++)
          _[E] = linearMap$2(y[E], S, C, !0), b && (_[E] = l.parse(_[E]));
      }
      return {
        valueWindow: f,
        percentWindow: d
      };
    }, r.prototype.reset = function(a) {
      if (a === this._dataZoomModel) {
        var o = this.getTargetSeriesModels();
        this._dataExtent = calculateDataExtent(this, this._dimName, o), this._updateMinMaxSpan();
        var s = this.calculateDataWindow(a.settledOption);
        this._valueWindow = s.valueWindow, this._percentWindow = s.percentWindow, this._setAxisModel();
      }
    }, r.prototype.filterData = function(a, o) {
      if (a !== this._dataZoomModel)
        return;
      var s = this._dimName, l = this.getTargetSeriesModels(), u = a.get("filterMode"), c = this._valueWindow;
      if (u === "none")
        return;
      each$7(l, function(f) {
        var p = f.getData(), v = p.mapDimensionsAll(s);
        if (v.length) {
          if (u === "weakFilter") {
            var g = p.getStore(), y = map$1(v, function(_) {
              return p.getDimensionIndex(_);
            }, p);
            p.filterSelf(function(_) {
              for (var S, C, b, T = 0; T < v.length; T++) {
                var E = g.get(y[T], _), x = !isNaN(E), $ = E < c[0], A = E > c[1];
                if (x && !$ && !A)
                  return !0;
                x && (b = !0), $ && (S = !0), A && (C = !0);
              }
              return b && S && C;
            });
          } else
            each$7(v, function(_) {
              if (u === "empty")
                f.setData(p = p.map(_, function(C) {
                  return d(C) ? C : NaN;
                }));
              else {
                var S = {};
                S[_] = c, p.selectRange(S);
              }
            });
          each$7(v, function(_) {
            p.setApproximateExtent(c, _);
          });
        }
      });
      function d(f) {
        return f >= c[0] && f <= c[1];
      }
    }, r.prototype._updateMinMaxSpan = function() {
      var a = this._minMaxSpan = {}, o = this._dataZoomModel, s = this._dataExtent;
      each$7(["min", "max"], function(l) {
        var u = o.get(l + "Span"), c = o.get(l + "ValueSpan");
        c != null && (c = this.getAxisModel().axis.scale.parse(c)), c != null ? u = linearMap$2(s[0] + c, s, [0, 100], !0) : u != null && (c = linearMap$2(u, [0, 100], s, !0) - s[0]), a[l + "Span"] = u, a[l + "ValueSpan"] = c;
      }, this);
    }, r.prototype._setAxisModel = function() {
      var a = this.getAxisModel(), o = this._percentWindow, s = this._valueWindow;
      if (o) {
        var l = getPixelPrecision(s, [0, 500]);
        l = Math.min(l, 20);
        var u = a.axis.scale.rawExtentInfo;
        o[0] !== 0 && u.setDeterminedMinMax("min", +s[0].toFixed(l)), o[1] !== 100 && u.setDeterminedMinMax("max", +s[1].toFixed(l)), u.freeze();
      }
    }, r;
  }()
);
function calculateDataExtent(r, a, o) {
  var s = [1 / 0, -1 / 0];
  each$7(o, function(c) {
    unionAxisExtentFromData(s, c.getData(), a);
  });
  var l = r.getAxisModel(), u = ensureScaleRawExtentInfo(l.axis.scale, l, s).calculate();
  return [u.min, u.max];
}
var dataZoomProcessor = {
  // `dataZoomProcessor` will only be performed in needed series. Consider if
  // there is a line series and a pie series, it is better not to update the
  // line series if only pie series is needed to be updated.
  getTargetSeries: function(r) {
    function a(l) {
      r.eachComponent("dataZoom", function(u) {
        u.eachTargetAxis(function(c, d) {
          var f = r.getComponent(getAxisMainType(c), d);
          l(c, d, f, u);
        });
      });
    }
    a(function(l, u, c, d) {
      c.__dzAxisProxy = null;
    });
    var o = [];
    a(function(l, u, c, d) {
      c.__dzAxisProxy || (c.__dzAxisProxy = new AxisProxy(l, u, d, r), o.push(c.__dzAxisProxy));
    });
    var s = createHashMap();
    return each$f(o, function(l) {
      each$f(l.getTargetSeriesModels(), function(u) {
        s.set(u.uid, u);
      });
    }), s;
  },
  // Consider appendData, where filter should be performed. Because data process is
  // in block mode currently, it is not need to worry about that the overallProgress
  // execute every frame.
  overallReset: function(r, a) {
    r.eachComponent("dataZoom", function(o) {
      o.eachTargetAxis(function(s, l) {
        o.getAxisProxy(s, l).reset(o);
      }), o.eachTargetAxis(function(s, l) {
        o.getAxisProxy(s, l).filterData(o, a);
      });
    }), r.eachComponent("dataZoom", function(o) {
      var s = o.findRepresentativeAxisProxy();
      if (s) {
        var l = s.getDataPercentWindow(), u = s.getDataValueWindow();
        o.setCalculatedRange({
          start: l[0],
          end: l[1],
          startValue: u[0],
          endValue: u[1]
        });
      }
    });
  }
};
function installDataZoomAction(r) {
  r.registerAction("dataZoom", function(a, o) {
    var s = findEffectedDataZooms(o, a);
    each$f(s, function(l) {
      l.setRawRange({
        start: a.start,
        end: a.end,
        startValue: a.startValue,
        endValue: a.endValue
      });
    });
  });
}
var installed$1 = !1;
function installCommon$1(r) {
  installed$1 || (installed$1 = !0, r.registerProcessor(r.PRIORITY.PROCESSOR.FILTER, dataZoomProcessor), installDataZoomAction(r), r.registerSubTypeDefaulter("dataZoom", function() {
    return "slider";
  }));
}
function install$l(r) {
  r.registerComponentModel(SelectDataZoomModel), r.registerComponentView(SelectDataZoomView), installCommon$1(r);
}
var ToolboxFeature = (
  /** @class */
  /* @__PURE__ */ function() {
    function r() {
    }
    return r;
  }()
), features = {};
function registerFeature(r, a) {
  features[r] = a;
}
function getFeature(r) {
  return features[r];
}
var ToolboxModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.optionUpdated = function() {
      r.prototype.optionUpdated.apply(this, arguments);
      var o = this.ecModel;
      each$f(this.option.feature, function(s, l) {
        var u = getFeature(l);
        u && (u.getDefaultOption && (u.defaultOption = u.getDefaultOption(o)), merge(s, u.defaultOption));
      });
    }, a.type = "toolbox", a.layoutMode = {
      type: "box",
      ignoreSize: !0
    }, a.defaultOption = {
      show: !0,
      z: 6,
      // zlevel: 0,
      orient: "horizontal",
      left: "right",
      top: "top",
      // right
      // bottom
      backgroundColor: "transparent",
      borderColor: "#ccc",
      borderRadius: 0,
      borderWidth: 0,
      padding: 5,
      itemSize: 15,
      itemGap: 8,
      showTitle: !0,
      iconStyle: {
        borderColor: "#666",
        color: "none"
      },
      emphasis: {
        iconStyle: {
          borderColor: "#3E98C5"
        }
      },
      // textStyle: {},
      // feature
      tooltip: {
        show: !1,
        position: "bottom"
      }
    }, a;
  }(ComponentModel)
);
function layout(r, a, o) {
  var s = a.getBoxLayoutParams(), l = a.get("padding"), u = {
    width: o.getWidth(),
    height: o.getHeight()
  }, c = getLayoutRect(s, u, l);
  box(a.get("orient"), r, a.get("itemGap"), c.width, c.height), positionElement(r, s, u, l);
}
function makeBackground(r, a) {
  var o = normalizeCssArray(a.get("padding")), s = a.getItemStyle(["color", "opacity"]);
  return s.fill = a.get("backgroundColor"), r = new Rect$2({
    shape: {
      x: r.x - o[3],
      y: r.y - o[0],
      width: r.width + o[1] + o[3],
      height: r.height + o[0] + o[2],
      r: a.get("borderRadius")
    },
    style: s,
    silent: !0,
    z2: -1
  }), r;
}
var ToolboxView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a.prototype.render = function(o, s, l, u) {
      var c = this.group;
      if (c.removeAll(), !o.get("show"))
        return;
      var d = +o.get("itemSize"), f = o.get("orient") === "vertical", p = o.get("feature") || {}, v = this._features || (this._features = {}), g = [];
      each$f(p, function(S, C) {
        g.push(C);
      }), new DataDiffer(this._featureNames || [], g).add(y).update(y).remove(curry$1(y, null)).execute(), this._featureNames = g;
      function y(S, C) {
        var b = g[S], T = g[C], E = p[b], x = new Model(E, o, o.ecModel), $;
        if (u && u.newTitle != null && u.featureName === b && (E.title = u.newTitle), b && !T) {
          if (isUserFeatureName(b))
            $ = {
              onclick: x.option.onclick,
              featureName: b
            };
          else {
            var A = getFeature(b);
            if (!A)
              return;
            $ = new A();
          }
          v[b] = $;
        } else if ($ = v[T], !$)
          return;
        $.uid = getUID("toolbox-feature"), $.model = x, $.ecModel = s, $.api = l;
        var N = $ instanceof ToolboxFeature;
        if (!b && T) {
          N && $.dispose && $.dispose(s, l);
          return;
        }
        if (!x.get("show") || N && $.unusable) {
          N && $.remove && $.remove(s, l);
          return;
        }
        _(x, $, b), x.setIconStatus = function(P, L) {
          var O = this.option, M = this.iconPaths;
          O.iconStatus = O.iconStatus || {}, O.iconStatus[P] = L, M[P] && (L === "emphasis" ? enterEmphasis : leaveEmphasis)(M[P]);
        }, $ instanceof ToolboxFeature && $.render && $.render(x, s, l, u);
      }
      function _(S, C, b) {
        var T = S.getModel("iconStyle"), E = S.getModel(["emphasis", "iconStyle"]), x = C instanceof ToolboxFeature && C.getIcons ? C.getIcons() : S.get("icon"), $ = S.get("title") || {}, A, N;
        isString(x) ? (A = {}, A[b] = x) : A = x, isString($) ? (N = {}, N[b] = $) : N = $;
        var P = S.iconPaths = {};
        each$f(A, function(L, O) {
          var M = createIcon(L, {}, {
            x: -d / 2,
            y: -d / 2,
            width: d,
            height: d
          });
          M.setStyle(T.getItemStyle());
          var F = M.ensureState("emphasis");
          F.style = E.getItemStyle();
          var U = new ZRText({
            style: {
              text: N[O],
              align: E.get("textAlign"),
              borderRadius: E.get("textBorderRadius"),
              padding: E.get("textPadding"),
              fill: null,
              font: getFont({
                fontStyle: E.get("textFontStyle"),
                fontFamily: E.get("textFontFamily"),
                fontSize: E.get("textFontSize"),
                fontWeight: E.get("textFontWeight")
              }, s)
            },
            ignore: !0
          });
          M.setTextContent(U), setTooltipConfig({
            el: M,
            componentModel: o,
            itemName: O,
            formatterParamsExtra: {
              title: N[O]
            }
          }), M.__title = N[O], M.on("mouseover", function() {
            var R = E.getItemStyle(), H = f ? o.get("right") == null && o.get("left") !== "right" ? "right" : "left" : o.get("bottom") == null && o.get("top") !== "bottom" ? "bottom" : "top";
            U.setStyle({
              fill: E.get("textFill") || R.fill || R.stroke || "#000",
              backgroundColor: E.get("textBackgroundColor")
            }), M.setTextConfig({
              position: E.get("textPosition") || H
            }), U.ignore = !o.get("showTitle"), l.enterEmphasis(this);
          }).on("mouseout", function() {
            S.get(["iconStatus", O]) !== "emphasis" && l.leaveEmphasis(this), U.hide();
          }), (S.get(["iconStatus", O]) === "emphasis" ? enterEmphasis : leaveEmphasis)(M), c.add(M), M.on("click", bind$1(C.onclick, C, s, l, O)), P[O] = M;
        });
      }
      layout(c, o, l), c.add(makeBackground(c.getBoundingRect(), o)), f || c.eachChild(function(S) {
        var C = S.__title, b = S.ensureState("emphasis"), T = b.textConfig || (b.textConfig = {}), E = S.getTextContent(), x = E && E.ensureState("emphasis");
        if (x && !isFunction(x) && C) {
          var $ = x.style || (x.style = {}), A = getBoundingRect(C, ZRText.makeFont($)), N = S.x + c.x, P = S.y + c.y + d, L = !1;
          P + A.height > l.getHeight() && (T.position = "top", L = !0);
          var O = L ? -5 - A.height : d + 10;
          N + A.width / 2 > l.getWidth() ? (T.position = ["100%", O], $.align = "right") : N - A.width / 2 < 0 && (T.position = [0, O], $.align = "left");
        }
      });
    }, a.prototype.updateView = function(o, s, l, u) {
      each$f(this._features, function(c) {
        c instanceof ToolboxFeature && c.updateView && c.updateView(c.model, s, l, u);
      });
    }, a.prototype.remove = function(o, s) {
      each$f(this._features, function(l) {
        l instanceof ToolboxFeature && l.remove && l.remove(o, s);
      }), this.group.removeAll();
    }, a.prototype.dispose = function(o, s) {
      each$f(this._features, function(l) {
        l instanceof ToolboxFeature && l.dispose && l.dispose(o, s);
      });
    }, a.type = "toolbox", a;
  }(ComponentView)
);
function isUserFeatureName(r) {
  return r.indexOf("my") === 0;
}
var SaveAsImage = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a.prototype.onclick = function(o, s) {
      var l = this.model, u = l.get("name") || o.get("title.0.text") || "echarts", c = s.getZr().painter.getType() === "svg", d = c ? "svg" : l.get("type", !0) || "png", f = s.getConnectedDataURL({
        type: d,
        backgroundColor: l.get("backgroundColor", !0) || o.get("backgroundColor") || "#fff",
        connectedBackgroundColor: l.get("connectedBackgroundColor"),
        excludeComponents: l.get("excludeComponents"),
        pixelRatio: l.get("pixelRatio")
      }), p = env.browser;
      if (typeof MouseEvent == "function" && (p.newEdge || !p.ie && !p.edge)) {
        var v = document.createElement("a");
        v.download = u + "." + d, v.target = "_blank", v.href = f;
        var g = new MouseEvent("click", {
          // some micro front-end framework， window maybe is a Proxy
          view: document.defaultView,
          bubbles: !0,
          cancelable: !1
        });
        v.dispatchEvent(g);
      } else if (window.navigator.msSaveOrOpenBlob || c) {
        var y = f.split(","), _ = y[0].indexOf("base64") > -1, S = c ? decodeURIComponent(y[1]) : y[1];
        _ && (S = window.atob(S));
        var C = u + "." + d;
        if (window.navigator.msSaveOrOpenBlob) {
          for (var b = S.length, T = new Uint8Array(b); b--; )
            T[b] = S.charCodeAt(b);
          var E = new Blob([T]);
          window.navigator.msSaveOrOpenBlob(E, C);
        } else {
          var x = document.createElement("iframe");
          document.body.appendChild(x);
          var $ = x.contentWindow, A = $.document;
          A.open("image/svg+xml", "replace"), A.write(S), A.close(), $.focus(), A.execCommand("SaveAs", !0, C), document.body.removeChild(x);
        }
      } else {
        var N = l.get("lang"), P = '<body style="margin:0;"><img src="' + f + '" style="max-width:100%;" title="' + (N && N[0] || "") + '" /></body>', L = window.open();
        L.document.write(P), L.document.title = u;
      }
    }, a.getDefaultOption = function(o) {
      var s = {
        show: !0,
        icon: "M4.7,22.9L29.3,45.5L54.7,23.4M4.6,43.6L4.6,58L53.8,58L53.8,43.6M29.2,45.1L29.2,0",
        title: o.getLocaleModel().get(["toolbox", "saveAsImage", "title"]),
        type: "png",
        // Default use option.backgroundColor
        // backgroundColor: '#fff',
        connectedBackgroundColor: "#fff",
        name: "",
        excludeComponents: ["toolbox"],
        // use current pixel ratio of device by default
        // pixelRatio: 1,
        lang: o.getLocaleModel().get(["toolbox", "saveAsImage", "lang"])
      };
      return s;
    }, a;
  }(ToolboxFeature)
), INNER_STACK_KEYWORD = "__ec_magicType_stack__", radioTypes = [["line", "bar"], ["stack"]], MagicType = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a.prototype.getIcons = function() {
      var o = this.model, s = o.get("icon"), l = {};
      return each$f(o.get("type"), function(u) {
        s[u] && (l[u] = s[u]);
      }), l;
    }, a.getDefaultOption = function(o) {
      var s = {
        show: !0,
        type: [],
        // Icon group
        icon: {
          line: "M4.1,28.9h7.1l9.3-22l7.4,38l9.7-19.7l3,12.8h14.9M4.1,58h51.4",
          bar: "M6.7,22.9h10V48h-10V22.9zM24.9,13h10v35h-10V13zM43.2,2h10v46h-10V2zM3.1,58h53.7",
          // eslint-disable-next-line
          stack: "M8.2,38.4l-8.4,4.1l30.6,15.3L60,42.5l-8.1-4.1l-21.5,11L8.2,38.4z M51.9,30l-8.1,4.2l-13.4,6.9l-13.9-6.9L8.2,30l-8.4,4.2l8.4,4.2l22.2,11l21.5-11l8.1-4.2L51.9,30z M51.9,21.7l-8.1,4.2L35.7,30l-5.3,2.8L24.9,30l-8.4-4.1l-8.3-4.2l-8.4,4.2L8.2,30l8.3,4.2l13.9,6.9l13.4-6.9l8.1-4.2l8.1-4.1L51.9,21.7zM30.4,2.2L-0.2,17.5l8.4,4.1l8.3,4.2l8.4,4.2l5.5,2.7l5.3-2.7l8.1-4.2l8.1-4.2l8.1-4.1L30.4,2.2z"
          // jshint ignore:line
        },
        // `line`, `bar`, `stack`, `tiled`
        title: o.getLocaleModel().get(["toolbox", "magicType", "title"]),
        option: {},
        seriesIndex: {}
      };
      return s;
    }, a.prototype.onclick = function(o, s, l) {
      var u = this.model, c = u.get(["seriesIndex", l]);
      if (seriesOptGenreator[l]) {
        var d = {
          series: []
        }, f = function(g) {
          var y = g.subType, _ = g.id, S = seriesOptGenreator[l](y, _, g, u);
          S && (defaults(S, g.option), d.series.push(S));
          var C = g.coordinateSystem;
          if (C && C.type === "cartesian2d" && (l === "line" || l === "bar")) {
            var b = C.getAxesByScale("ordinal")[0];
            if (b) {
              var T = b.dim, E = T + "Axis", x = g.getReferringComponents(E, SINGLE_REFERRING).models[0], $ = x.componentIndex;
              d[E] = d[E] || [];
              for (var A = 0; A <= $; A++)
                d[E][$] = d[E][$] || {};
              d[E][$].boundaryGap = l === "bar";
            }
          }
        };
        each$f(radioTypes, function(g) {
          indexOf(g, l) >= 0 && each$f(g, function(y) {
            u.setIconStatus(y, "normal");
          });
        }), u.setIconStatus(l, "emphasis"), o.eachComponent({
          mainType: "series",
          query: c == null ? null : {
            seriesIndex: c
          }
        }, f);
        var p, v = l;
        l === "stack" && (p = merge({
          stack: u.option.title.tiled,
          tiled: u.option.title.stack
        }, u.option.title), u.get(["iconStatus", l]) !== "emphasis" && (v = "tiled")), s.dispatchAction({
          type: "changeMagicType",
          currentType: v,
          newOption: d,
          newTitle: p,
          featureName: "magicType"
        });
      }
    }, a;
  }(ToolboxFeature)
), seriesOptGenreator = {
  line: function(r, a, o, s) {
    if (r === "bar")
      return merge({
        id: a,
        type: "line",
        // Preserve data related option
        data: o.get("data"),
        stack: o.get("stack"),
        markPoint: o.get("markPoint"),
        markLine: o.get("markLine")
      }, s.get(["option", "line"]) || {}, !0);
  },
  bar: function(r, a, o, s) {
    if (r === "line")
      return merge({
        id: a,
        type: "bar",
        // Preserve data related option
        data: o.get("data"),
        stack: o.get("stack"),
        markPoint: o.get("markPoint"),
        markLine: o.get("markLine")
      }, s.get(["option", "bar"]) || {}, !0);
  },
  stack: function(r, a, o, s) {
    var l = o.get("stack") === INNER_STACK_KEYWORD;
    if (r === "line" || r === "bar")
      return s.setIconStatus("stack", l ? "normal" : "emphasis"), merge({
        id: a,
        stack: l ? "" : INNER_STACK_KEYWORD
      }, s.get(["option", "stack"]) || {}, !0);
  }
};
registerAction({
  type: "changeMagicType",
  event: "magicTypeChanged",
  update: "prepareAndUpdate"
}, function(r, a) {
  a.mergeOption(r.newOption);
});
var BLOCK_SPLITER = new Array(60).join("-"), ITEM_SPLITER = "	";
function groupSeries(r) {
  var a = {}, o = [], s = [];
  return r.eachRawSeries(function(l) {
    var u = l.coordinateSystem;
    if (u && (u.type === "cartesian2d" || u.type === "polar")) {
      var c = u.getBaseAxis();
      if (c.type === "category") {
        var d = c.dim + "_" + c.index;
        a[d] || (a[d] = {
          categoryAxis: c,
          valueAxis: u.getOtherAxis(c),
          series: []
        }, s.push({
          axisDim: c.dim,
          axisIndex: c.index
        })), a[d].series.push(l);
      } else
        o.push(l);
    } else
      o.push(l);
  }), {
    seriesGroupByCategoryAxis: a,
    other: o,
    meta: s
  };
}
function assembleSeriesWithCategoryAxis(r) {
  var a = [];
  return each$f(r, function(o, s) {
    var l = o.categoryAxis, u = o.valueAxis, c = u.dim, d = [" "].concat(map$1(o.series, function(_) {
      return _.name;
    })), f = [l.model.getCategories()];
    each$f(o.series, function(_) {
      var S = _.getRawData();
      f.push(_.getRawData().mapArray(S.mapDimension(c), function(C) {
        return C;
      }));
    });
    for (var p = [d.join(ITEM_SPLITER)], v = 0; v < f[0].length; v++) {
      for (var g = [], y = 0; y < f.length; y++)
        g.push(f[y][v]);
      p.push(g.join(ITEM_SPLITER));
    }
    a.push(p.join(`
`));
  }), a.join(`

` + BLOCK_SPLITER + `

`);
}
function assembleOtherSeries(r) {
  return map$1(r, function(a) {
    var o = a.getRawData(), s = [a.name], l = [];
    return o.each(o.dimensions, function() {
      for (var u = arguments.length, c = arguments[u - 1], d = o.getName(c), f = 0; f < u - 1; f++)
        l[f] = arguments[f];
      s.push((d ? d + ITEM_SPLITER : "") + l.join(ITEM_SPLITER));
    }), s.join(`
`);
  }).join(`

` + BLOCK_SPLITER + `

`);
}
function getContentFromModel(r) {
  var a = groupSeries(r);
  return {
    value: filter([assembleSeriesWithCategoryAxis(a.seriesGroupByCategoryAxis), assembleOtherSeries(a.other)], function(o) {
      return !!o.replace(/[\n\t\s]/g, "");
    }).join(`

` + BLOCK_SPLITER + `

`),
    meta: a.meta
  };
}
function trim(r) {
  return r.replace(/^\s\s*/, "").replace(/\s\s*$/, "");
}
function isTSVFormat(r) {
  var a = r.slice(0, r.indexOf(`
`));
  if (a.indexOf(ITEM_SPLITER) >= 0)
    return !0;
}
var itemSplitRegex = new RegExp("[" + ITEM_SPLITER + "]+", "g");
function parseTSVContents(r) {
  for (var a = r.split(/\n+/g), o = trim(a.shift()).split(itemSplitRegex), s = [], l = map$1(o, function(f) {
    return {
      name: f,
      data: []
    };
  }), u = 0; u < a.length; u++) {
    var c = trim(a[u]).split(itemSplitRegex);
    s.push(c.shift());
    for (var d = 0; d < c.length; d++)
      l[d] && (l[d].data[u] = c[d]);
  }
  return {
    series: l,
    categories: s
  };
}
function parseListContents(r) {
  for (var a = r.split(/\n+/g), o = trim(a.shift()), s = [], l = 0; l < a.length; l++) {
    var u = trim(a[l]);
    if (u) {
      var c = u.split(itemSplitRegex), d = "", f = void 0, p = !1;
      isNaN(c[0]) ? (p = !0, d = c[0], c = c.slice(1), s[l] = {
        name: d,
        value: []
      }, f = s[l].value) : f = s[l] = [];
      for (var v = 0; v < c.length; v++)
        f.push(+c[v]);
      f.length === 1 && (p ? s[l].value = f[0] : s[l] = f[0]);
    }
  }
  return {
    name: o,
    data: s
  };
}
function parseContents(r, a) {
  var o = r.split(new RegExp(`
*` + BLOCK_SPLITER + `
*`, "g")), s = {
    series: []
  };
  return each$f(o, function(l, u) {
    if (isTSVFormat(l)) {
      var c = parseTSVContents(l), d = a[u], f = d.axisDim + "Axis";
      d && (s[f] = s[f] || [], s[f][d.axisIndex] = {
        data: c.categories
      }, s.series = s.series.concat(c.series));
    } else {
      var c = parseListContents(l);
      s.series.push(c);
    }
  }), s;
}
var DataView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a.prototype.onclick = function(o, s) {
      setTimeout(function() {
        s.dispatchAction({
          type: "hideTip"
        });
      });
      var l = s.getDom(), u = this.model;
      this._dom && l.removeChild(this._dom);
      var c = document.createElement("div");
      c.style.cssText = "position:absolute;top:0;bottom:0;left:0;right:0;padding:5px", c.style.backgroundColor = u.get("backgroundColor") || "#fff";
      var d = document.createElement("h4"), f = u.get("lang") || [];
      d.innerHTML = f[0] || u.get("title"), d.style.cssText = "margin:10px 20px", d.style.color = u.get("textColor");
      var p = document.createElement("div"), v = document.createElement("textarea");
      p.style.cssText = "overflow:auto";
      var g = u.get("optionToContent"), y = u.get("contentToOption"), _ = getContentFromModel(o);
      if (isFunction(g)) {
        var S = g(s.getOption());
        isString(S) ? p.innerHTML = S : isDom(S) && p.appendChild(S);
      } else {
        v.readOnly = u.get("readOnly");
        var C = v.style;
        C.cssText = "display:block;width:100%;height:100%;font-family:monospace;font-size:14px;line-height:1.6rem;resize:none;box-sizing:border-box;outline:none", C.color = u.get("textColor"), C.borderColor = u.get("textareaBorderColor"), C.backgroundColor = u.get("textareaColor"), v.value = _.value, p.appendChild(v);
      }
      var b = _.meta, T = document.createElement("div");
      T.style.cssText = "position:absolute;bottom:5px;left:0;right:0";
      var E = "float:right;margin-right:20px;border:none;cursor:pointer;padding:2px 5px;font-size:12px;border-radius:3px", x = document.createElement("div"), $ = document.createElement("div");
      E += ";background-color:" + u.get("buttonColor"), E += ";color:" + u.get("buttonTextColor");
      var A = this;
      function N() {
        l.removeChild(c), A._dom = null;
      }
      addEventListener(x, "click", N), addEventListener($, "click", function() {
        if (y == null && g != null || y != null && g == null) {
          process.env.NODE_ENV !== "production" && warn("It seems you have just provided one of `contentToOption` and `optionToContent` functions but missed the other one. Data change is ignored."), N();
          return;
        }
        var P;
        try {
          isFunction(y) ? P = y(p, s.getOption()) : P = parseContents(v.value, b);
        } catch (L) {
          throw N(), new Error("Data view format error " + L);
        }
        P && s.dispatchAction({
          type: "changeDataView",
          newOption: P
        }), N();
      }), x.innerHTML = f[1], $.innerHTML = f[2], $.style.cssText = x.style.cssText = E, !u.get("readOnly") && T.appendChild($), T.appendChild(x), c.appendChild(d), c.appendChild(p), c.appendChild(T), p.style.height = l.clientHeight - 80 + "px", l.appendChild(c), this._dom = c;
    }, a.prototype.remove = function(o, s) {
      this._dom && s.getDom().removeChild(this._dom);
    }, a.prototype.dispose = function(o, s) {
      this.remove(o, s);
    }, a.getDefaultOption = function(o) {
      var s = {
        show: !0,
        readOnly: !1,
        optionToContent: null,
        contentToOption: null,
        // eslint-disable-next-line
        icon: "M17.5,17.3H33 M17.5,17.3H33 M45.4,29.5h-28 M11.5,2v56H51V14.8L38.4,2H11.5z M38.4,2.2v12.7H51 M45.4,41.7h-28",
        title: o.getLocaleModel().get(["toolbox", "dataView", "title"]),
        lang: o.getLocaleModel().get(["toolbox", "dataView", "lang"]),
        backgroundColor: "#fff",
        textColor: "#000",
        textareaColor: "#fff",
        textareaBorderColor: "#333",
        buttonColor: "#c23531",
        buttonTextColor: "#fff"
      };
      return s;
    }, a;
  }(ToolboxFeature)
);
function tryMergeDataOption(r, a) {
  return map$1(r, function(o, s) {
    var l = a && a[s];
    if (isObject$3(l) && !isArray$1(l)) {
      var u = isObject$3(o) && !isArray$1(o);
      u || (o = {
        value: o
      });
      var c = l.name != null && o.name == null;
      return o = defaults(o, l), c && delete o.name, o;
    } else
      return o;
  });
}
registerAction({
  type: "changeDataView",
  event: "dataViewChanged",
  update: "prepareAndUpdate"
}, function(r, a) {
  var o = [];
  each$f(r.newOption.series, function(s) {
    var l = a.getSeriesByName(s.name)[0];
    if (!l)
      o.push(extend({
        // Default is scatter
        type: "scatter"
      }, s));
    else {
      var u = l.get("data");
      o.push({
        name: s.name,
        data: tryMergeDataOption(s.data, u)
      });
    }
  }), a.mergeOption(defaults({
    series: o
  }, r.newOption));
});
var each$6 = each$f, inner$6 = makeInner();
function push(r, a) {
  var o = getStoreSnapshots(r);
  each$6(a, function(s, l) {
    for (var u = o.length - 1; u >= 0; u--) {
      var c = o[u];
      if (c[l])
        break;
    }
    if (u < 0) {
      var d = r.queryComponents({
        mainType: "dataZoom",
        subType: "select",
        id: l
      })[0];
      if (d) {
        var f = d.getPercentRange();
        o[0][l] = {
          dataZoomId: l,
          start: f[0],
          end: f[1]
        };
      }
    }
  }), o.push(a);
}
function pop(r) {
  var a = getStoreSnapshots(r), o = a[a.length - 1];
  a.length > 1 && a.pop();
  var s = {};
  return each$6(o, function(l, u) {
    for (var c = a.length - 1; c >= 0; c--)
      if (l = a[c][u], l) {
        s[u] = l;
        break;
      }
  }), s;
}
function clear(r) {
  inner$6(r).snapshots = null;
}
function count(r) {
  return getStoreSnapshots(r).length;
}
function getStoreSnapshots(r) {
  var a = inner$6(r);
  return a.snapshots || (a.snapshots = [{}]), a.snapshots;
}
var RestoreOption = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a.prototype.onclick = function(o, s) {
      clear(o), s.dispatchAction({
        type: "restore",
        from: this.uid
      });
    }, a.getDefaultOption = function(o) {
      var s = {
        show: !0,
        // eslint-disable-next-line
        icon: "M3.8,33.4 M47,18.9h9.8V8.7 M56.3,20.1 C52.1,9,40.5,0.6,26.8,2.1C12.6,3.7,1.6,16.2,2.1,30.6 M13,41.1H3.1v10.2 M3.7,39.9c4.2,11.1,15.8,19.5,29.5,18 c14.2-1.6,25.2-14.1,24.7-28.5",
        title: o.getLocaleModel().get(["toolbox", "restore", "title"])
      };
      return s;
    }, a;
  }(ToolboxFeature)
);
registerAction({
  type: "restore",
  event: "restore",
  update: "prepareAndUpdate"
}, function(r, a) {
  a.resetOption("recreate");
});
var INCLUDE_FINDER_MAIN_TYPES = ["grid", "xAxis", "yAxis", "geo", "graph", "polar", "radiusAxis", "angleAxis", "bmap"], BrushTargetManager = (
  /** @class */
  function() {
    function r(a, o, s) {
      var l = this;
      this._targetInfoList = [];
      var u = parseFinder(o, a);
      each$f(targetInfoBuilders, function(c, d) {
        (!s || !s.include || indexOf(s.include, d) >= 0) && c(u, l._targetInfoList);
      });
    }
    return r.prototype.setOutputRanges = function(a, o) {
      return this.matchOutputRanges(a, o, function(s, l, u) {
        if ((s.coordRanges || (s.coordRanges = [])).push(l), !s.coordRange) {
          s.coordRange = l;
          var c = coordConvert[s.brushType](0, u, l);
          s.__rangeOffset = {
            offset: diffProcessor[s.brushType](c.values, s.range, [1, 1]),
            xyMinMax: c.xyMinMax
          };
        }
      }), a;
    }, r.prototype.matchOutputRanges = function(a, o, s) {
      each$f(a, function(l) {
        var u = this.findTargetInfo(l, o);
        u && u !== !0 && each$f(u.coordSyses, function(c) {
          var d = coordConvert[l.brushType](1, c, l.range, !0);
          s(l, d.values, c, o);
        });
      }, this);
    }, r.prototype.setInputRanges = function(a, o) {
      each$f(a, function(s) {
        var l = this.findTargetInfo(s, o);
        if (process.env.NODE_ENV !== "production" && (assert(!l || l === !0 || s.coordRange, "coordRange must be specified when coord index specified."), assert(!l || l !== !0 || s.range, "range must be specified in global brush.")), s.range = s.range || [], l && l !== !0) {
          s.panelId = l.panelId;
          var u = coordConvert[s.brushType](0, l.coordSys, s.coordRange), c = s.__rangeOffset;
          s.range = c ? diffProcessor[s.brushType](u.values, c.offset, getScales(u.xyMinMax, c.xyMinMax)) : u.values;
        }
      }, this);
    }, r.prototype.makePanelOpts = function(a, o) {
      return map$1(this._targetInfoList, function(s) {
        var l = s.getPanelRect();
        return {
          panelId: s.panelId,
          defaultBrushType: o ? o(s) : null,
          clipPath: makeRectPanelClipPath(l),
          isTargetByCursor: makeRectIsTargetByCursor(l, a, s.coordSysModel),
          getLinearBrushOtherExtent: makeLinearBrushOtherExtent(l)
        };
      });
    }, r.prototype.controlSeries = function(a, o, s) {
      var l = this.findTargetInfo(a, s);
      return l === !0 || l && indexOf(l.coordSyses, o.coordinateSystem) >= 0;
    }, r.prototype.findTargetInfo = function(a, o) {
      for (var s = this._targetInfoList, l = parseFinder(o, a), u = 0; u < s.length; u++) {
        var c = s[u], d = a.panelId;
        if (d) {
          if (c.panelId === d)
            return c;
        } else
          for (var f = 0; f < targetInfoMatchers.length; f++)
            if (targetInfoMatchers[f](l, c))
              return c;
      }
      return !0;
    }, r;
  }()
);
function formatMinMax(r) {
  return r[0] > r[1] && r.reverse(), r;
}
function parseFinder(r, a) {
  return parseFinder$1(r, a, {
    includeMainTypes: INCLUDE_FINDER_MAIN_TYPES
  });
}
var targetInfoBuilders = {
  grid: function(r, a) {
    var o = r.xAxisModels, s = r.yAxisModels, l = r.gridModels, u = createHashMap(), c = {}, d = {};
    !o && !s && !l || (each$f(o, function(f) {
      var p = f.axis.grid.model;
      u.set(p.id, p), c[p.id] = !0;
    }), each$f(s, function(f) {
      var p = f.axis.grid.model;
      u.set(p.id, p), d[p.id] = !0;
    }), each$f(l, function(f) {
      u.set(f.id, f), c[f.id] = !0, d[f.id] = !0;
    }), u.each(function(f) {
      var p = f.coordinateSystem, v = [];
      each$f(p.getCartesians(), function(g, y) {
        (indexOf(o, g.getAxis("x").model) >= 0 || indexOf(s, g.getAxis("y").model) >= 0) && v.push(g);
      }), a.push({
        panelId: "grid--" + f.id,
        gridModel: f,
        coordSysModel: f,
        // Use the first one as the representitive coordSys.
        coordSys: v[0],
        coordSyses: v,
        getPanelRect: panelRectBuilders.grid,
        xAxisDeclared: c[f.id],
        yAxisDeclared: d[f.id]
      });
    }));
  },
  geo: function(r, a) {
    each$f(r.geoModels, function(o) {
      var s = o.coordinateSystem;
      a.push({
        panelId: "geo--" + o.id,
        geoModel: o,
        coordSysModel: o,
        coordSys: s,
        coordSyses: [s],
        getPanelRect: panelRectBuilders.geo
      });
    });
  }
}, targetInfoMatchers = [
  // grid
  function(r, a) {
    var o = r.xAxisModel, s = r.yAxisModel, l = r.gridModel;
    return !l && o && (l = o.axis.grid.model), !l && s && (l = s.axis.grid.model), l && l === a.gridModel;
  },
  // geo
  function(r, a) {
    var o = r.geoModel;
    return o && o === a.geoModel;
  }
], panelRectBuilders = {
  grid: function() {
    return this.coordSys.master.getRect().clone();
  },
  geo: function() {
    var r = this.coordSys, a = r.getBoundingRect().clone();
    return a.applyTransform(getTransform$1(r)), a;
  }
}, coordConvert = {
  lineX: curry$1(axisConvert, 0),
  lineY: curry$1(axisConvert, 1),
  rect: function(r, a, o, s) {
    var l = r ? a.pointToData([o[0][0], o[1][0]], s) : a.dataToPoint([o[0][0], o[1][0]], s), u = r ? a.pointToData([o[0][1], o[1][1]], s) : a.dataToPoint([o[0][1], o[1][1]], s), c = [formatMinMax([l[0], u[0]]), formatMinMax([l[1], u[1]])];
    return {
      values: c,
      xyMinMax: c
    };
  },
  polygon: function(r, a, o, s) {
    var l = [[1 / 0, -1 / 0], [1 / 0, -1 / 0]], u = map$1(o, function(c) {
      var d = r ? a.pointToData(c, s) : a.dataToPoint(c, s);
      return l[0][0] = Math.min(l[0][0], d[0]), l[1][0] = Math.min(l[1][0], d[1]), l[0][1] = Math.max(l[0][1], d[0]), l[1][1] = Math.max(l[1][1], d[1]), d;
    });
    return {
      values: u,
      xyMinMax: l
    };
  }
};
function axisConvert(r, a, o, s) {
  process.env.NODE_ENV !== "production" && assert(o.type === "cartesian2d", "lineX/lineY brush is available only in cartesian2d.");
  var l = o.getAxis(["x", "y"][r]), u = formatMinMax(map$1([0, 1], function(d) {
    return a ? l.coordToData(l.toLocalCoord(s[d]), !0) : l.toGlobalCoord(l.dataToCoord(s[d]));
  })), c = [];
  return c[r] = u, c[1 - r] = [NaN, NaN], {
    values: u,
    xyMinMax: c
  };
}
var diffProcessor = {
  lineX: curry$1(axisDiffProcessor, 0),
  lineY: curry$1(axisDiffProcessor, 1),
  rect: function(r, a, o) {
    return [[r[0][0] - o[0] * a[0][0], r[0][1] - o[0] * a[0][1]], [r[1][0] - o[1] * a[1][0], r[1][1] - o[1] * a[1][1]]];
  },
  polygon: function(r, a, o) {
    return map$1(r, function(s, l) {
      return [s[0] - o[0] * a[l][0], s[1] - o[1] * a[l][1]];
    });
  }
};
function axisDiffProcessor(r, a, o, s) {
  return [a[0] - s[r] * o[0], a[1] - s[r] * o[1]];
}
function getScales(r, a) {
  var o = getSize(r), s = getSize(a), l = [o[0] / s[0], o[1] / s[1]];
  return isNaN(l[0]) && (l[0] = 1), isNaN(l[1]) && (l[1] = 1), l;
}
function getSize(r) {
  return r ? [r[0][1] - r[0][0], r[1][1] - r[1][0]] : [NaN, NaN];
}
var each$5 = each$f, DATA_ZOOM_ID_BASE = makeInternalComponentId("toolbox-dataZoom_"), DataZoomFeature = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a.prototype.render = function(o, s, l, u) {
      this._brushController || (this._brushController = new BrushController(l.getZr()), this._brushController.on("brush", bind$1(this._onBrush, this)).mount()), updateZoomBtnStatus(o, s, this, u, l), updateBackBtnStatus(o, s);
    }, a.prototype.onclick = function(o, s, l) {
      handlers[l].call(this);
    }, a.prototype.remove = function(o, s) {
      this._brushController && this._brushController.unmount();
    }, a.prototype.dispose = function(o, s) {
      this._brushController && this._brushController.dispose();
    }, a.prototype._onBrush = function(o) {
      var s = o.areas;
      if (!o.isEnd || !s.length)
        return;
      var l = {}, u = this.ecModel;
      this._brushController.updateCovers([]);
      var c = new BrushTargetManager(makeAxisFinder(this.model), u, {
        include: ["grid"]
      });
      c.matchOutputRanges(s, u, function(p, v, g) {
        if (g.type === "cartesian2d") {
          var y = p.brushType;
          y === "rect" ? (d("x", g, v[0]), d("y", g, v[1])) : d({
            lineX: "x",
            lineY: "y"
          }[y], g, v);
        }
      }), push(u, l), this._dispatchZoomAction(l);
      function d(p, v, g) {
        var y = v.getAxis(p), _ = y.model, S = f(p, _, u), C = S.findRepresentativeAxisProxy(_).getMinMaxSpan();
        (C.minValueSpan != null || C.maxValueSpan != null) && (g = sliderMove(0, g.slice(), y.scale.getExtent(), 0, C.minValueSpan, C.maxValueSpan)), S && (l[S.id] = {
          dataZoomId: S.id,
          startValue: g[0],
          endValue: g[1]
        });
      }
      function f(p, v, g) {
        var y;
        return g.eachComponent({
          mainType: "dataZoom",
          subType: "select"
        }, function(_) {
          var S = _.getAxisModel(p, v.componentIndex);
          S && (y = _);
        }), y;
      }
    }, a.prototype._dispatchZoomAction = function(o) {
      var s = [];
      each$5(o, function(l, u) {
        s.push(clone$4(l));
      }), s.length && this.api.dispatchAction({
        type: "dataZoom",
        from: this.uid,
        batch: s
      });
    }, a.getDefaultOption = function(o) {
      var s = {
        show: !0,
        filterMode: "filter",
        // Icon group
        icon: {
          zoom: "M0,13.5h26.9 M13.5,26.9V0 M32.1,13.5H58V58H13.5 V32.1",
          back: "M22,1.4L9.9,13.5l12.3,12.3 M10.3,13.5H54.9v44.6 H10.3v-26"
        },
        // `zoom`, `back`
        title: o.getLocaleModel().get(["toolbox", "dataZoom", "title"]),
        brushStyle: {
          borderWidth: 0,
          color: "rgba(210,219,238,0.2)"
        }
      };
      return s;
    }, a;
  }(ToolboxFeature)
), handlers = {
  zoom: function() {
    var r = !this._isZoomActive;
    this.api.dispatchAction({
      type: "takeGlobalCursor",
      key: "dataZoomSelect",
      dataZoomSelectActive: r
    });
  },
  back: function() {
    this._dispatchZoomAction(pop(this.ecModel));
  }
};
function makeAxisFinder(r) {
  var a = {
    xAxisIndex: r.get("xAxisIndex", !0),
    yAxisIndex: r.get("yAxisIndex", !0),
    xAxisId: r.get("xAxisId", !0),
    yAxisId: r.get("yAxisId", !0)
  };
  return a.xAxisIndex == null && a.xAxisId == null && (a.xAxisIndex = "all"), a.yAxisIndex == null && a.yAxisId == null && (a.yAxisIndex = "all"), a;
}
function updateBackBtnStatus(r, a) {
  r.setIconStatus("back", count(a) > 1 ? "emphasis" : "normal");
}
function updateZoomBtnStatus(r, a, o, s, l) {
  var u = o._isZoomActive;
  s && s.type === "takeGlobalCursor" && (u = s.key === "dataZoomSelect" ? s.dataZoomSelectActive : !1), o._isZoomActive = u, r.setIconStatus("zoom", u ? "emphasis" : "normal");
  var c = new BrushTargetManager(makeAxisFinder(r), a, {
    include: ["grid"]
  }), d = c.makePanelOpts(l, function(f) {
    return f.xAxisDeclared && !f.yAxisDeclared ? "lineX" : !f.xAxisDeclared && f.yAxisDeclared ? "lineY" : "rect";
  });
  o._brushController.setPanels(d).enableBrush(u && d.length ? {
    brushType: "auto",
    brushStyle: r.getModel("brushStyle").getItemStyle()
  } : !1);
}
registerInternalOptionCreator("dataZoom", function(r) {
  var a = r.getComponent("toolbox", 0), o = ["feature", "dataZoom"];
  if (!a || a.get(o) == null)
    return;
  var s = a.getModel(o), l = [], u = makeAxisFinder(s), c = parseFinder$1(r, u);
  each$5(c.xAxisModels, function(f) {
    return d(f, "xAxis", "xAxisIndex");
  }), each$5(c.yAxisModels, function(f) {
    return d(f, "yAxis", "yAxisIndex");
  });
  function d(f, p, v) {
    var g = f.componentIndex, y = {
      type: "select",
      $fromToolbox: !0,
      // Default to be filter
      filterMode: s.get("filterMode", !0) || "filter",
      // Id for merge mapping.
      id: DATA_ZOOM_ID_BASE + p + g
    };
    y[v] = g, l.push(y);
  }
  return l;
});
function install$k(r) {
  r.registerComponentModel(ToolboxModel), r.registerComponentView(ToolboxView), registerFeature("saveAsImage", SaveAsImage), registerFeature("magicType", MagicType), registerFeature("dataView", DataView), registerFeature("dataZoom", DataZoomFeature), registerFeature("restore", RestoreOption), use(install$l);
}
var TooltipModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.type = "tooltip", a.dependencies = ["axisPointer"], a.defaultOption = {
      // zlevel: 0,
      z: 60,
      show: !0,
      // tooltip main content
      showContent: !0,
      // 'trigger' only works on coordinate system.
      // 'item' | 'axis' | 'none'
      trigger: "item",
      // 'click' | 'mousemove' | 'none'
      triggerOn: "mousemove|click",
      alwaysShowContent: !1,
      displayMode: "single",
      renderMode: "auto",
      // whether restraint content inside viewRect.
      // If renderMode: 'richText', default true.
      // If renderMode: 'html', defaut false (for backward compat).
      confine: null,
      showDelay: 0,
      hideDelay: 100,
      // Animation transition time, unit is second
      transitionDuration: 0.4,
      enterable: !1,
      backgroundColor: "#fff",
      // box shadow
      shadowBlur: 10,
      shadowColor: "rgba(0, 0, 0, .2)",
      shadowOffsetX: 1,
      shadowOffsetY: 2,
      // tooltip border radius, unit is px, default is 4
      borderRadius: 4,
      // tooltip border width, unit is px, default is 0 (no border)
      borderWidth: 1,
      // Tooltip inside padding, default is 5 for all direction
      // Array is allowed to set up, right, bottom, left, same with css
      // The default value: See `tooltip/tooltipMarkup.ts#getPaddingFromTooltipModel`.
      padding: null,
      // Extra css text
      extraCssText: "",
      // axis indicator, trigger by axis
      axisPointer: {
        // default is line
        // legal values: 'line' | 'shadow' | 'cross'
        type: "line",
        // Valid when type is line, appoint tooltip line locate on which line. Optional
        // legal values: 'x' | 'y' | 'angle' | 'radius' | 'auto'
        // default is 'auto', chose the axis which type is category.
        // for multiply y axis, cartesian coord chose x axis, polar chose angle axis
        axis: "auto",
        animation: "auto",
        animationDurationUpdate: 200,
        animationEasingUpdate: "exponentialOut",
        crossStyle: {
          color: "#999",
          width: 1,
          type: "dashed",
          // TODO formatter
          textStyle: {}
        }
        // lineStyle and shadowStyle should not be specified here,
        // otherwise it will always override those styles on option.axisPointer.
      },
      textStyle: {
        color: "#666",
        fontSize: 14
      }
    }, a;
  }(ComponentModel)
);
function shouldTooltipConfine(r) {
  var a = r.get("confine");
  return a != null ? !!a : r.get("renderMode") === "richText";
}
function testStyle(r) {
  if (env.domSupported) {
    for (var a = document.documentElement.style, o = 0, s = r.length; o < s; o++)
      if (r[o] in a)
        return r[o];
  }
}
var TRANSFORM_VENDOR = testStyle(["transform", "webkitTransform", "OTransform", "MozTransform", "msTransform"]), TRANSITION_VENDOR = testStyle(["webkitTransition", "transition", "OTransition", "MozTransition", "msTransition"]);
function toCSSVendorPrefix(r, a) {
  if (!r)
    return a;
  a = toCamelCase(a, !0);
  var o = r.indexOf(a);
  return r = o === -1 ? a : "-" + r.slice(0, o) + "-" + a, r.toLowerCase();
}
function getComputedStyle(r, a) {
  var o = r.currentStyle || document.defaultView && document.defaultView.getComputedStyle(r);
  return o ? o[a] : null;
}
var CSS_TRANSITION_VENDOR = toCSSVendorPrefix(TRANSITION_VENDOR, "transition"), CSS_TRANSFORM_VENDOR = toCSSVendorPrefix(TRANSFORM_VENDOR, "transform"), gCssText = "position:absolute;display:block;border-style:solid;white-space:nowrap;z-index:9999999;" + (env.transform3dSupported ? "will-change:transform;" : "");
function mirrorPos(r) {
  return r = r === "left" ? "right" : r === "right" ? "left" : r === "top" ? "bottom" : "top", r;
}
function assembleArrow(r, a, o) {
  if (!isString(o) || o === "inside")
    return "";
  var s = r.get("backgroundColor"), l = r.get("borderWidth");
  a = convertToColorString(a);
  var u = mirrorPos(o), c = Math.max(Math.round(l) * 1.5, 6), d = "", f = CSS_TRANSFORM_VENDOR + ":", p;
  indexOf(["left", "right"], u) > -1 ? (d += "top:50%", f += "translateY(-50%) rotate(" + (p = u === "left" ? -225 : -45) + "deg)") : (d += "left:50%", f += "translateX(-50%) rotate(" + (p = u === "top" ? 225 : 45) + "deg)");
  var v = p * Math.PI / 180, g = c + l, y = g * Math.abs(Math.cos(v)) + g * Math.abs(Math.sin(v)), _ = Math.round(((y - Math.SQRT2 * l) / 2 + Math.SQRT2 * l - (y - g) / 2) * 100) / 100;
  d += ";" + u + ":-" + _ + "px";
  var S = a + " solid " + l + "px;", C = ["position:absolute;width:" + c + "px;height:" + c + "px;z-index:-1;", d + ";" + f + ";", "border-bottom:" + S, "border-right:" + S, "background-color:" + s + ";"];
  return '<div style="' + C.join("") + '"></div>';
}
function assembleTransition(r, a) {
  var o = "cubic-bezier(0.23,1,0.32,1)", s = " " + r / 2 + "s " + o, l = "opacity" + s + ",visibility" + s;
  return a || (s = " " + r + "s " + o, l += env.transformSupported ? "," + CSS_TRANSFORM_VENDOR + s : ",left" + s + ",top" + s), CSS_TRANSITION_VENDOR + ":" + l;
}
function assembleTransform(r, a, o) {
  var s = r.toFixed(0) + "px", l = a.toFixed(0) + "px";
  if (!env.transformSupported)
    return o ? "top:" + l + ";left:" + s + ";" : [["top", l], ["left", s]];
  var u = env.transform3dSupported, c = "translate" + (u ? "3d" : "") + "(" + s + "," + l + (u ? ",0" : "") + ")";
  return o ? "top:0;left:0;" + CSS_TRANSFORM_VENDOR + ":" + c + ";" : [["top", 0], ["left", 0], [TRANSFORM_VENDOR, c]];
}
function assembleFont(r) {
  var a = [], o = r.get("fontSize"), s = r.getTextColor();
  s && a.push("color:" + s), a.push("font:" + r.getFont());
  var l = retrieve2(r.get("lineHeight"), Math.round(o * 3 / 2));
  o && a.push("line-height:" + l + "px");
  var u = r.get("textShadowColor"), c = r.get("textShadowBlur") || 0, d = r.get("textShadowOffsetX") || 0, f = r.get("textShadowOffsetY") || 0;
  return u && c && a.push("text-shadow:" + d + "px " + f + "px " + c + "px " + u), each$f(["decoration", "align"], function(p) {
    var v = r.get(p);
    v && a.push("text-" + p + ":" + v);
  }), a.join(";");
}
function assembleCssText(r, a, o) {
  var s = [], l = r.get("transitionDuration"), u = r.get("backgroundColor"), c = r.get("shadowBlur"), d = r.get("shadowColor"), f = r.get("shadowOffsetX"), p = r.get("shadowOffsetY"), v = r.getModel("textStyle"), g = getPaddingFromTooltipModel(r, "html"), y = f + "px " + p + "px " + c + "px " + d;
  return s.push("box-shadow:" + y), a && l && s.push(assembleTransition(l, o)), u && s.push("background-color:" + u), each$f(["width", "color", "radius"], function(_) {
    var S = "border-" + _, C = toCamelCase(S), b = r.get(C);
    b != null && s.push(S + ":" + b + (_ === "color" ? "" : "px"));
  }), s.push(assembleFont(v)), g != null && s.push("padding:" + normalizeCssArray(g).join("px ") + "px"), s.join(";") + ";";
}
function makeStyleCoord$1(r, a, o, s, l) {
  var u = a && a.painter;
  if (o) {
    var c = u && u.getViewportRoot();
    c && transformLocalCoord(r, c, o, s, l);
  } else {
    r[0] = s, r[1] = l;
    var d = u && u.getViewportRootOffset();
    d && (r[0] += d.offsetLeft, r[1] += d.offsetTop);
  }
  r[2] = r[0] / a.getWidth(), r[3] = r[1] / a.getHeight();
}
var TooltipHTMLContent = (
  /** @class */
  function() {
    function r(a, o) {
      if (this._show = !1, this._styleCoord = [0, 0, 0, 0], this._enterable = !0, this._alwaysShowContent = !1, this._firstShow = !0, this._longHide = !0, env.wxa)
        return null;
      var s = document.createElement("div");
      s.domBelongToZr = !0, this.el = s;
      var l = this._zr = a.getZr(), u = o.appendTo, c = u && (isString(u) ? document.querySelector(u) : isDom(u) ? u : isFunction(u) && u(a.getDom()));
      makeStyleCoord$1(this._styleCoord, l, c, a.getWidth() / 2, a.getHeight() / 2), (c || a.getDom()).appendChild(s), this._api = a, this._container = c;
      var d = this;
      s.onmouseenter = function() {
        d._enterable && (clearTimeout(d._hideTimeout), d._show = !0), d._inContent = !0;
      }, s.onmousemove = function(f) {
        if (f = f || window.event, !d._enterable) {
          var p = l.handler, v = l.painter.getViewportRoot();
          normalizeEvent(v, f, !0), p.dispatch("mousemove", f);
        }
      }, s.onmouseleave = function() {
        d._inContent = !1, d._enterable && d._show && d.hideLater(d._hideDelay);
      };
    }
    return r.prototype.update = function(a) {
      if (!this._container) {
        var o = this._api.getDom(), s = getComputedStyle(o, "position"), l = o.style;
        l.position !== "absolute" && s !== "absolute" && (l.position = "relative");
      }
      var u = a.get("alwaysShowContent");
      u && this._moveIfResized(), this._alwaysShowContent = u, this.el.className = a.get("className") || "";
    }, r.prototype.show = function(a, o) {
      clearTimeout(this._hideTimeout), clearTimeout(this._longHideTimeout);
      var s = this.el, l = s.style, u = this._styleCoord;
      s.innerHTML ? l.cssText = gCssText + assembleCssText(a, !this._firstShow, this._longHide) + assembleTransform(u[0], u[1], !0) + ("border-color:" + convertToColorString(o) + ";") + (a.get("extraCssText") || "") + (";pointer-events:" + (this._enterable ? "auto" : "none")) : l.display = "none", this._show = !0, this._firstShow = !1, this._longHide = !1;
    }, r.prototype.setContent = function(a, o, s, l, u) {
      var c = this.el;
      if (a == null) {
        c.innerHTML = "";
        return;
      }
      var d = "";
      if (isString(u) && s.get("trigger") === "item" && !shouldTooltipConfine(s) && (d = assembleArrow(s, l, u)), isString(a))
        c.innerHTML = a + d;
      else if (a) {
        c.innerHTML = "", isArray$1(a) || (a = [a]);
        for (var f = 0; f < a.length; f++)
          isDom(a[f]) && a[f].parentNode !== c && c.appendChild(a[f]);
        if (d && c.childNodes.length) {
          var p = document.createElement("div");
          p.innerHTML = d, c.appendChild(p);
        }
      }
    }, r.prototype.setEnterable = function(a) {
      this._enterable = a;
    }, r.prototype.getSize = function() {
      var a = this.el;
      return a ? [a.offsetWidth, a.offsetHeight] : [0, 0];
    }, r.prototype.moveTo = function(a, o) {
      if (this.el) {
        var s = this._styleCoord;
        if (makeStyleCoord$1(s, this._zr, this._container, a, o), s[0] != null && s[1] != null) {
          var l = this.el.style, u = assembleTransform(s[0], s[1]);
          each$f(u, function(c) {
            l[c[0]] = c[1];
          });
        }
      }
    }, r.prototype._moveIfResized = function() {
      var a = this._styleCoord[2], o = this._styleCoord[3];
      this.moveTo(a * this._zr.getWidth(), o * this._zr.getHeight());
    }, r.prototype.hide = function() {
      var a = this, o = this.el.style;
      o.visibility = "hidden", o.opacity = "0", env.transform3dSupported && (o.willChange = ""), this._show = !1, this._longHideTimeout = setTimeout(function() {
        return a._longHide = !0;
      }, 500);
    }, r.prototype.hideLater = function(a) {
      this._show && !(this._inContent && this._enterable) && !this._alwaysShowContent && (a ? (this._hideDelay = a, this._show = !1, this._hideTimeout = setTimeout(bind$1(this.hide, this), a)) : this.hide());
    }, r.prototype.isShow = function() {
      return this._show;
    }, r.prototype.dispose = function() {
      clearTimeout(this._hideTimeout), clearTimeout(this._longHideTimeout);
      var a = this.el.parentNode;
      a && a.removeChild(this.el), this.el = this._container = null;
    }, r;
  }()
), TooltipRichContent = (
  /** @class */
  function() {
    function r(a) {
      this._show = !1, this._styleCoord = [0, 0, 0, 0], this._alwaysShowContent = !1, this._enterable = !0, this._zr = a.getZr(), makeStyleCoord(this._styleCoord, this._zr, a.getWidth() / 2, a.getHeight() / 2);
    }
    return r.prototype.update = function(a) {
      var o = a.get("alwaysShowContent");
      o && this._moveIfResized(), this._alwaysShowContent = o;
    }, r.prototype.show = function() {
      this._hideTimeout && clearTimeout(this._hideTimeout), this.el.show(), this._show = !0;
    }, r.prototype.setContent = function(a, o, s, l, u) {
      var c = this;
      isObject$3(a) && throwError(process.env.NODE_ENV !== "production" ? "Passing DOM nodes as content is not supported in richText tooltip!" : ""), this.el && this._zr.remove(this.el);
      var d = s.getModel("textStyle");
      this.el = new ZRText({
        style: {
          rich: o.richTextStyles,
          text: a,
          lineHeight: 22,
          borderWidth: 1,
          borderColor: l,
          textShadowColor: d.get("textShadowColor"),
          fill: s.get(["textStyle", "color"]),
          padding: getPaddingFromTooltipModel(s, "richText"),
          verticalAlign: "top",
          align: "left"
        },
        z: s.get("z")
      }), each$f(["backgroundColor", "borderRadius", "shadowColor", "shadowBlur", "shadowOffsetX", "shadowOffsetY"], function(p) {
        c.el.style[p] = s.get(p);
      }), each$f(["textShadowBlur", "textShadowOffsetX", "textShadowOffsetY"], function(p) {
        c.el.style[p] = d.get(p) || 0;
      }), this._zr.add(this.el);
      var f = this;
      this.el.on("mouseover", function() {
        f._enterable && (clearTimeout(f._hideTimeout), f._show = !0), f._inContent = !0;
      }), this.el.on("mouseout", function() {
        f._enterable && f._show && f.hideLater(f._hideDelay), f._inContent = !1;
      });
    }, r.prototype.setEnterable = function(a) {
      this._enterable = a;
    }, r.prototype.getSize = function() {
      var a = this.el, o = this.el.getBoundingRect(), s = calcShadowOuterSize(a.style);
      return [o.width + s.left + s.right, o.height + s.top + s.bottom];
    }, r.prototype.moveTo = function(a, o) {
      var s = this.el;
      if (s) {
        var l = this._styleCoord;
        makeStyleCoord(l, this._zr, a, o), a = l[0], o = l[1];
        var u = s.style, c = mathMaxWith0(u.borderWidth || 0), d = calcShadowOuterSize(u);
        s.x = a + c + d.left, s.y = o + c + d.top, s.markRedraw();
      }
    }, r.prototype._moveIfResized = function() {
      var a = this._styleCoord[2], o = this._styleCoord[3];
      this.moveTo(a * this._zr.getWidth(), o * this._zr.getHeight());
    }, r.prototype.hide = function() {
      this.el && this.el.hide(), this._show = !1;
    }, r.prototype.hideLater = function(a) {
      this._show && !(this._inContent && this._enterable) && !this._alwaysShowContent && (a ? (this._hideDelay = a, this._show = !1, this._hideTimeout = setTimeout(bind$1(this.hide, this), a)) : this.hide());
    }, r.prototype.isShow = function() {
      return this._show;
    }, r.prototype.dispose = function() {
      this._zr.remove(this.el);
    }, r;
  }()
);
function mathMaxWith0(r) {
  return Math.max(0, r);
}
function calcShadowOuterSize(r) {
  var a = mathMaxWith0(r.shadowBlur || 0), o = mathMaxWith0(r.shadowOffsetX || 0), s = mathMaxWith0(r.shadowOffsetY || 0);
  return {
    left: mathMaxWith0(a - o),
    right: mathMaxWith0(a + o),
    top: mathMaxWith0(a - s),
    bottom: mathMaxWith0(a + s)
  };
}
function makeStyleCoord(r, a, o, s) {
  r[0] = o, r[1] = s, r[2] = r[0] / a.getWidth(), r[3] = r[1] / a.getHeight();
}
var proxyRect = new Rect$2({
  shape: {
    x: -1,
    y: -1,
    width: 2,
    height: 2
  }
}), TooltipView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.init = function(o, s) {
      if (!(env.node || !s.getDom())) {
        var l = o.getComponent("tooltip"), u = this._renderMode = getTooltipRenderMode(l.get("renderMode"));
        this._tooltipContent = u === "richText" ? new TooltipRichContent(s) : new TooltipHTMLContent(s, {
          appendTo: l.get("appendToBody", !0) ? "body" : l.get("appendTo", !0)
        });
      }
    }, a.prototype.render = function(o, s, l) {
      if (!(env.node || !l.getDom())) {
        this.group.removeAll(), this._tooltipModel = o, this._ecModel = s, this._api = l;
        var u = this._tooltipContent;
        u.update(o), u.setEnterable(o.get("enterable")), this._initGlobalListener(), this._keepShow(), this._renderMode !== "richText" && o.get("transitionDuration") ? createOrUpdate(this, "_updatePosition", 50, "fixRate") : clear$1(this, "_updatePosition");
      }
    }, a.prototype._initGlobalListener = function() {
      var o = this._tooltipModel, s = o.get("triggerOn");
      register("itemTooltip", this._api, bind$1(function(l, u, c) {
        s !== "none" && (s.indexOf(l) >= 0 ? this._tryShow(u, c) : l === "leave" && this._hide(c));
      }, this));
    }, a.prototype._keepShow = function() {
      var o = this._tooltipModel, s = this._ecModel, l = this._api, u = o.get("triggerOn");
      if (this._lastX != null && this._lastY != null && u !== "none" && u !== "click") {
        var c = this;
        clearTimeout(this._refreshUpdateTimeout), this._refreshUpdateTimeout = setTimeout(function() {
          !l.isDisposed() && c.manuallyShowTip(o, s, l, {
            x: c._lastX,
            y: c._lastY,
            dataByCoordSys: c._lastDataByCoordSys
          });
        });
      }
    }, a.prototype.manuallyShowTip = function(o, s, l, u) {
      if (!(u.from === this.uid || env.node || !l.getDom())) {
        var c = makeDispatchAction(u, l);
        this._ticket = "";
        var d = u.dataByCoordSys, f = findComponentReference(u, s, l);
        if (f) {
          var p = f.el.getBoundingRect().clone();
          p.applyTransform(f.el.transform), this._tryShow({
            offsetX: p.x + p.width / 2,
            offsetY: p.y + p.height / 2,
            target: f.el,
            position: u.position,
            // When manully trigger, the mouse is not on the el, so we'd better to
            // position tooltip on the bottom of the el and display arrow is possible.
            positionDefault: "bottom"
          }, c);
        } else if (u.tooltip && u.x != null && u.y != null) {
          var v = proxyRect;
          v.x = u.x, v.y = u.y, v.update(), getECData(v).tooltipConfig = {
            name: null,
            option: u.tooltip
          }, this._tryShow({
            offsetX: u.x,
            offsetY: u.y,
            target: v
          }, c);
        } else if (d)
          this._tryShow({
            offsetX: u.x,
            offsetY: u.y,
            position: u.position,
            dataByCoordSys: d,
            tooltipOption: u.tooltipOption
          }, c);
        else if (u.seriesIndex != null) {
          if (this._manuallyAxisShowTip(o, s, l, u))
            return;
          var g = findPointFromSeries(u, s), y = g.point[0], _ = g.point[1];
          y != null && _ != null && this._tryShow({
            offsetX: y,
            offsetY: _,
            target: g.el,
            position: u.position,
            // When manully trigger, the mouse is not on the el, so we'd better to
            // position tooltip on the bottom of the el and display arrow is possible.
            positionDefault: "bottom"
          }, c);
        } else u.x != null && u.y != null && (l.dispatchAction({
          type: "updateAxisPointer",
          x: u.x,
          y: u.y
        }), this._tryShow({
          offsetX: u.x,
          offsetY: u.y,
          position: u.position,
          target: l.getZr().findHover(u.x, u.y).target
        }, c));
      }
    }, a.prototype.manuallyHideTip = function(o, s, l, u) {
      var c = this._tooltipContent;
      this._tooltipModel && c.hideLater(this._tooltipModel.get("hideDelay")), this._lastX = this._lastY = this._lastDataByCoordSys = null, u.from !== this.uid && this._hide(makeDispatchAction(u, l));
    }, a.prototype._manuallyAxisShowTip = function(o, s, l, u) {
      var c = u.seriesIndex, d = u.dataIndex, f = s.getComponent("axisPointer").coordSysAxesInfo;
      if (!(c == null || d == null || f == null)) {
        var p = s.getSeriesByIndex(c);
        if (p) {
          var v = p.getData(), g = buildTooltipModel([v.getItemModel(d), p, (p.coordinateSystem || {}).model], this._tooltipModel);
          if (g.get("trigger") === "axis")
            return l.dispatchAction({
              type: "updateAxisPointer",
              seriesIndex: c,
              dataIndex: d,
              position: u.position
            }), !0;
        }
      }
    }, a.prototype._tryShow = function(o, s) {
      var l = o.target, u = this._tooltipModel;
      if (u) {
        this._lastX = o.offsetX, this._lastY = o.offsetY;
        var c = o.dataByCoordSys;
        if (c && c.length)
          this._showAxisTooltip(c, o);
        else if (l) {
          var d = getECData(l);
          if (d.ssrType === "legend")
            return;
          this._lastDataByCoordSys = null;
          var f, p;
          findEventDispatcher(l, function(v) {
            if (getECData(v).dataIndex != null)
              return f = v, !0;
            if (getECData(v).tooltipConfig != null)
              return p = v, !0;
          }, !0), f ? this._showSeriesItemTooltip(o, f, s) : p ? this._showComponentItemTooltip(o, p, s) : this._hide(s);
        } else
          this._lastDataByCoordSys = null, this._hide(s);
      }
    }, a.prototype._showOrMove = function(o, s) {
      var l = o.get("showDelay");
      s = bind$1(s, this), clearTimeout(this._showTimout), l > 0 ? this._showTimout = setTimeout(s, l) : s();
    }, a.prototype._showAxisTooltip = function(o, s) {
      var l = this._ecModel, u = this._tooltipModel, c = [s.offsetX, s.offsetY], d = buildTooltipModel([s.tooltipOption], u), f = this._renderMode, p = [], v = createTooltipMarkup("section", {
        blocks: [],
        noHeader: !0
      }), g = [], y = new TooltipMarkupStyleCreator();
      each$f(o, function(E) {
        each$f(E.dataByAxis, function(x) {
          var $ = l.getComponent(x.axisDim + "Axis", x.axisIndex), A = x.value;
          if (!(!$ || A == null)) {
            var N = getValueLabel(A, $.axis, l, x.seriesDataIndices, x.valueLabelOpt), P = createTooltipMarkup("section", {
              header: N,
              noHeader: !trim$1(N),
              sortBlocks: !0,
              blocks: []
            });
            v.blocks.push(P), each$f(x.seriesDataIndices, function(L) {
              var O = l.getSeriesByIndex(L.seriesIndex), M = L.dataIndexInside, F = O.getDataParams(M);
              if (!(F.dataIndex < 0)) {
                F.axisDim = x.axisDim, F.axisIndex = x.axisIndex, F.axisType = x.axisType, F.axisId = x.axisId, F.axisValue = getAxisRawValue($.axis, {
                  value: A
                }), F.axisValueLabel = N, F.marker = y.makeTooltipMarker("item", convertToColorString(F.color), f);
                var U = normalizeTooltipFormatResult(O.formatTooltip(M, !0, null)), R = U.frag;
                if (R) {
                  var H = buildTooltipModel([O], u).get("valueFormatter");
                  P.blocks.push(H ? extend({
                    valueFormatter: H
                  }, R) : R);
                }
                U.text && g.push(U.text), p.push(F);
              }
            });
          }
        });
      }), v.blocks.reverse(), g.reverse();
      var _ = s.position, S = d.get("order"), C = buildTooltipMarkup(v, y, f, S, l.get("useUTC"), d.get("textStyle"));
      C && g.unshift(C);
      var b = f === "richText" ? `

` : "<br/>", T = g.join(b);
      this._showOrMove(d, function() {
        this._updateContentNotChangedOnAxis(o, p) ? this._updatePosition(d, _, c[0], c[1], this._tooltipContent, p) : this._showTooltipContent(d, T, p, Math.random() + "", c[0], c[1], _, null, y);
      });
    }, a.prototype._showSeriesItemTooltip = function(o, s, l) {
      var u = this._ecModel, c = getECData(s), d = c.seriesIndex, f = u.getSeriesByIndex(d), p = c.dataModel || f, v = c.dataIndex, g = c.dataType, y = p.getData(g), _ = this._renderMode, S = o.positionDefault, C = buildTooltipModel([y.getItemModel(v), p, f && (f.coordinateSystem || {}).model], this._tooltipModel, S ? {
        position: S
      } : null), b = C.get("trigger");
      if (!(b != null && b !== "item")) {
        var T = p.getDataParams(v, g), E = new TooltipMarkupStyleCreator();
        T.marker = E.makeTooltipMarker("item", convertToColorString(T.color), _);
        var x = normalizeTooltipFormatResult(p.formatTooltip(v, !1, g)), $ = C.get("order"), A = C.get("valueFormatter"), N = x.frag, P = N ? buildTooltipMarkup(A ? extend({
          valueFormatter: A
        }, N) : N, E, _, $, u.get("useUTC"), C.get("textStyle")) : x.text, L = "item_" + p.name + "_" + v;
        this._showOrMove(C, function() {
          this._showTooltipContent(C, P, T, L, o.offsetX, o.offsetY, o.position, o.target, E);
        }), l({
          type: "showTip",
          dataIndexInside: v,
          dataIndex: y.getRawIndex(v),
          seriesIndex: d,
          from: this.uid
        });
      }
    }, a.prototype._showComponentItemTooltip = function(o, s, l) {
      var u = this._renderMode === "html", c = getECData(s), d = c.tooltipConfig, f = d.option || {}, p = f.encodeHTMLContent;
      if (isString(f)) {
        var v = f;
        f = {
          content: v,
          // Fixed formatter
          formatter: v
        }, p = !0;
      }
      p && u && f.content && (f = clone$4(f), f.content = encodeHTML(f.content));
      var g = [f], y = this._ecModel.getComponent(c.componentMainType, c.componentIndex);
      y && g.push(y), g.push({
        formatter: f.content
      });
      var _ = o.positionDefault, S = buildTooltipModel(g, this._tooltipModel, _ ? {
        position: _
      } : null), C = S.get("content"), b = Math.random() + "", T = new TooltipMarkupStyleCreator();
      this._showOrMove(S, function() {
        var E = clone$4(S.get("formatterParams") || {});
        this._showTooltipContent(S, C, E, b, o.offsetX, o.offsetY, o.position, s, T);
      }), l({
        type: "showTip",
        from: this.uid
      });
    }, a.prototype._showTooltipContent = function(o, s, l, u, c, d, f, p, v) {
      if (this._ticket = "", !(!o.get("showContent") || !o.get("show"))) {
        var g = this._tooltipContent;
        g.setEnterable(o.get("enterable"));
        var y = o.get("formatter");
        f = f || o.get("position");
        var _ = s, S = this._getNearestPoint([c, d], l, o.get("trigger"), o.get("borderColor")), C = S.color;
        if (y)
          if (isString(y)) {
            var b = o.ecModel.get("useUTC"), T = isArray$1(l) ? l[0] : l, E = T && T.axisType && T.axisType.indexOf("time") >= 0;
            _ = y, E && (_ = format$1(T.axisValue, _, b)), _ = formatTpl(_, l, !0);
          } else if (isFunction(y)) {
            var x = bind$1(function($, A) {
              $ === this._ticket && (g.setContent(A, v, o, C, f), this._updatePosition(o, f, c, d, g, l, p));
            }, this);
            this._ticket = u, _ = y(l, u, x);
          } else
            _ = y;
        g.setContent(_, v, o, C, f), g.show(o, C), this._updatePosition(o, f, c, d, g, l, p);
      }
    }, a.prototype._getNearestPoint = function(o, s, l, u) {
      if (l === "axis" || isArray$1(s))
        return {
          color: u || (this._renderMode === "html" ? "#fff" : "none")
        };
      if (!isArray$1(s))
        return {
          color: u || s.color || s.borderColor
        };
    }, a.prototype._updatePosition = function(o, s, l, u, c, d, f) {
      var p = this._api.getWidth(), v = this._api.getHeight();
      s = s || o.get("position");
      var g = c.getSize(), y = o.get("align"), _ = o.get("verticalAlign"), S = f && f.getBoundingRect().clone();
      if (f && S.applyTransform(f.transform), isFunction(s) && (s = s([l, u], d, c.el, S, {
        viewSize: [p, v],
        contentSize: g.slice()
      })), isArray$1(s))
        l = parsePercent(s[0], p), u = parsePercent(s[1], v);
      else if (isObject$3(s)) {
        var C = s;
        C.width = g[0], C.height = g[1];
        var b = getLayoutRect(C, {
          width: p,
          height: v
        });
        l = b.x, u = b.y, y = null, _ = null;
      } else if (isString(s) && f) {
        var T = calcTooltipPosition(s, S, g, o.get("borderWidth"));
        l = T[0], u = T[1];
      } else {
        var T = refixTooltipPosition(l, u, c, p, v, y ? null : 20, _ ? null : 20);
        l = T[0], u = T[1];
      }
      if (y && (l -= isCenterAlign(y) ? g[0] / 2 : y === "right" ? g[0] : 0), _ && (u -= isCenterAlign(_) ? g[1] / 2 : _ === "bottom" ? g[1] : 0), shouldTooltipConfine(o)) {
        var T = confineTooltipPosition(l, u, c, p, v);
        l = T[0], u = T[1];
      }
      c.moveTo(l, u);
    }, a.prototype._updateContentNotChangedOnAxis = function(o, s) {
      var l = this._lastDataByCoordSys, u = this._cbParamsList, c = !!l && l.length === o.length;
      return c && each$f(l, function(d, f) {
        var p = d.dataByAxis || [], v = o[f] || {}, g = v.dataByAxis || [];
        c = c && p.length === g.length, c && each$f(p, function(y, _) {
          var S = g[_] || {}, C = y.seriesDataIndices || [], b = S.seriesDataIndices || [];
          c = c && y.value === S.value && y.axisType === S.axisType && y.axisId === S.axisId && C.length === b.length, c && each$f(C, function(T, E) {
            var x = b[E];
            c = c && T.seriesIndex === x.seriesIndex && T.dataIndex === x.dataIndex;
          }), u && each$f(y.seriesDataIndices, function(T) {
            var E = T.seriesIndex, x = s[E], $ = u[E];
            x && $ && $.data !== x.data && (c = !1);
          });
        });
      }), this._lastDataByCoordSys = o, this._cbParamsList = s, !!c;
    }, a.prototype._hide = function(o) {
      this._lastDataByCoordSys = null, o({
        type: "hideTip",
        from: this.uid
      });
    }, a.prototype.dispose = function(o, s) {
      env.node || !s.getDom() || (clear$1(this, "_updatePosition"), this._tooltipContent.dispose(), unregister("itemTooltip", s));
    }, a.type = "tooltip", a;
  }(ComponentView)
);
function buildTooltipModel(r, a, o) {
  var s = a.ecModel, l;
  o ? (l = new Model(o, s, s), l = new Model(a.option, l, s)) : l = a;
  for (var u = r.length - 1; u >= 0; u--) {
    var c = r[u];
    c && (c instanceof Model && (c = c.get("tooltip", !0)), isString(c) && (c = {
      formatter: c
    }), c && (l = new Model(c, l, s)));
  }
  return l;
}
function makeDispatchAction(r, a) {
  return r.dispatchAction || bind$1(a.dispatchAction, a);
}
function refixTooltipPosition(r, a, o, s, l, u, c) {
  var d = o.getSize(), f = d[0], p = d[1];
  return u != null && (r + f + u + 2 > s ? r -= f + u : r += u), c != null && (a + p + c > l ? a -= p + c : a += c), [r, a];
}
function confineTooltipPosition(r, a, o, s, l) {
  var u = o.getSize(), c = u[0], d = u[1];
  return r = Math.min(r + c, s) - c, a = Math.min(a + d, l) - d, r = Math.max(r, 0), a = Math.max(a, 0), [r, a];
}
function calcTooltipPosition(r, a, o, s) {
  var l = o[0], u = o[1], c = Math.ceil(Math.SQRT2 * s) + 8, d = 0, f = 0, p = a.width, v = a.height;
  switch (r) {
    case "inside":
      d = a.x + p / 2 - l / 2, f = a.y + v / 2 - u / 2;
      break;
    case "top":
      d = a.x + p / 2 - l / 2, f = a.y - u - c;
      break;
    case "bottom":
      d = a.x + p / 2 - l / 2, f = a.y + v + c;
      break;
    case "left":
      d = a.x - l - c, f = a.y + v / 2 - u / 2;
      break;
    case "right":
      d = a.x + p + c, f = a.y + v / 2 - u / 2;
  }
  return [d, f];
}
function isCenterAlign(r) {
  return r === "center" || r === "middle";
}
function findComponentReference(r, a, o) {
  var s = preParseFinder(r).queryOptionMap, l = s.keys()[0];
  if (!(!l || l === "series")) {
    var u = queryReferringComponents(a, l, s.get(l), {
      useDefault: !1,
      enableAll: !1,
      enableNone: !1
    }), c = u.models[0];
    if (c) {
      var d = o.getViewOfComponentModel(c), f;
      if (d.group.traverse(function(p) {
        var v = getECData(p).tooltipConfig;
        if (v && v.name === r.name)
          return f = p, !0;
      }), f)
        return {
          componentMainType: l,
          componentIndex: c.componentIndex,
          el: f
        };
    }
  }
}
function install$j(r) {
  use(install$r), r.registerComponentModel(TooltipModel), r.registerComponentView(TooltipView), r.registerAction({
    type: "showTip",
    event: "showTip",
    update: "tooltip:manuallyShowTip"
  }, noop), r.registerAction({
    type: "hideTip",
    event: "hideTip",
    update: "tooltip:manuallyHideTip"
  }, noop);
}
var DEFAULT_TOOLBOX_BTNS = ["rect", "polygon", "keep", "clear"];
function brushPreprocessor(r, a) {
  var o = normalizeToArray(r ? r.brush : []);
  if (o.length) {
    var s = [];
    each$f(o, function(f) {
      var p = f.hasOwnProperty("toolbox") ? f.toolbox : [];
      p instanceof Array && (s = s.concat(p));
    });
    var l = r && r.toolbox;
    isArray$1(l) && (l = l[0]), l || (l = {
      feature: {}
    }, r.toolbox = [l]);
    var u = l.feature || (l.feature = {}), c = u.brush || (u.brush = {}), d = c.type || (c.type = []);
    d.push.apply(d, s), removeDuplicate(d), a && !d.length && d.push.apply(d, DEFAULT_TOOLBOX_BTNS);
  }
}
function removeDuplicate(r) {
  var a = {};
  each$f(r, function(o) {
    a[o] = 1;
  }), r.length = 0, each$f(a, function(o, s) {
    r.push(s);
  });
}
var each$4 = each$f;
function hasKeys(r) {
  if (r) {
    for (var a in r)
      if (r.hasOwnProperty(a))
        return !0;
  }
}
function createVisualMappings(r, a, o) {
  var s = {};
  return each$4(a, function(u) {
    var c = s[u] = l();
    each$4(r[u], function(d, f) {
      if (VisualMapping.isValidType(f)) {
        var p = {
          type: f,
          visual: d
        };
        o && o(p, u), c[f] = new VisualMapping(p), f === "opacity" && (p = clone$4(p), p.type = "colorAlpha", c.__hidden.__alphaForOpacity = new VisualMapping(p));
      }
    });
  }), s;
  function l() {
    var u = function() {
    };
    u.prototype.__hidden = u.prototype;
    var c = new u();
    return c;
  }
}
function replaceVisualOption(r, a, o) {
  var s;
  each$f(o, function(l) {
    a.hasOwnProperty(l) && hasKeys(a[l]) && (s = !0);
  }), s && each$f(o, function(l) {
    a.hasOwnProperty(l) && hasKeys(a[l]) ? r[l] = clone$4(a[l]) : delete r[l];
  });
}
function applyVisual(r, a, o, s, l, u) {
  var c = {};
  each$f(r, function(g) {
    var y = VisualMapping.prepareVisualTypes(a[g]);
    c[g] = y;
  });
  var d;
  function f(g) {
    return getItemVisualFromData(o, d, g);
  }
  function p(g, y) {
    setItemVisualFromData(o, d, g, y);
  }
  o.each(v);
  function v(g, y) {
    d = g;
    var _ = o.getRawDataItem(d);
    if (!(_ && _.visualMap === !1))
      for (var S = s.call(l, g), C = a[S], b = c[S], T = 0, E = b.length; T < E; T++) {
        var x = b[T];
        C[x] && C[x].applyVisual(g, f, p);
      }
  }
}
function incrementalApplyVisual(r, a, o, s) {
  var l = {};
  return each$f(r, function(u) {
    var c = VisualMapping.prepareVisualTypes(a[u]);
    l[u] = c;
  }), {
    progress: function(c, d) {
      var f;
      s != null && (f = d.getDimensionIndex(s));
      function p(A) {
        return getItemVisualFromData(d, g, A);
      }
      function v(A, N) {
        setItemVisualFromData(d, g, A, N);
      }
      for (var g, y = d.getStore(); (g = c.next()) != null; ) {
        var _ = d.getRawDataItem(g);
        if (!(_ && _.visualMap === !1))
          for (var S = s != null ? y.get(f, g) : g, C = o(S), b = a[C], T = l[C], E = 0, x = T.length; E < x; E++) {
            var $ = T[E];
            b[$] && b[$].applyVisual(S, p, v);
          }
      }
    }
  };
}
function makeBrushCommonSelectorForSeries(r) {
  var a = r.brushType, o = {
    point: function(s) {
      return selector[a].point(s, o, r);
    },
    rect: function(s) {
      return selector[a].rect(s, o, r);
    }
  };
  return o;
}
var selector = {
  lineX: getLineSelectors(0),
  lineY: getLineSelectors(1),
  rect: {
    point: function(r, a, o) {
      return r && o.boundingRect.contain(r[0], r[1]);
    },
    rect: function(r, a, o) {
      return r && o.boundingRect.intersect(r);
    }
  },
  polygon: {
    point: function(r, a, o) {
      return r && o.boundingRect.contain(r[0], r[1]) && contain(o.range, r[0], r[1]);
    },
    rect: function(r, a, o) {
      var s = o.range;
      if (!r || s.length <= 1)
        return !1;
      var l = r.x, u = r.y, c = r.width, d = r.height, f = s[0];
      if (contain(s, l, u) || contain(s, l + c, u) || contain(s, l, u + d) || contain(s, l + c, u + d) || BoundingRect.create(r).contain(f[0], f[1]) || linePolygonIntersect(l, u, l + c, u, s) || linePolygonIntersect(l, u, l, u + d, s) || linePolygonIntersect(l + c, u, l + c, u + d, s) || linePolygonIntersect(l, u + d, l + c, u + d, s))
        return !0;
    }
  }
};
function getLineSelectors(r) {
  var a = ["x", "y"], o = ["width", "height"];
  return {
    point: function(s, l, u) {
      if (s) {
        var c = u.range, d = s[r];
        return inLineRange(d, c);
      }
    },
    rect: function(s, l, u) {
      if (s) {
        var c = u.range, d = [s[a[r]], s[a[r]] + s[o[r]]];
        return d[1] < d[0] && d.reverse(), inLineRange(d[0], c) || inLineRange(d[1], c) || inLineRange(c[0], d) || inLineRange(c[1], d);
      }
    }
  };
}
function inLineRange(r, a) {
  return a[0] <= r && r <= a[1];
}
var STATE_LIST = ["inBrush", "outOfBrush"], DISPATCH_METHOD = "__ecBrushSelect", DISPATCH_FLAG = "__ecInBrushSelectEvent";
function layoutCovers(r) {
  r.eachComponent({
    mainType: "brush"
  }, function(a) {
    var o = a.brushTargetManager = new BrushTargetManager(a.option, r);
    o.setInputRanges(a.areas, r);
  });
}
function brushVisual(r, a, o) {
  var s = [], l, u;
  r.eachComponent({
    mainType: "brush"
  }, function(c) {
    o && o.type === "takeGlobalCursor" && c.setBrushOption(o.key === "brush" ? o.brushOption : {
      brushType: !1
    });
  }), layoutCovers(r), r.eachComponent({
    mainType: "brush"
  }, function(c, d) {
    var f = {
      brushId: c.id,
      brushIndex: d,
      brushName: c.name,
      areas: clone$4(c.areas),
      selected: []
    };
    s.push(f);
    var p = c.option, v = p.brushLink, g = [], y = [], _ = [], S = !1;
    d || (l = p.throttleType, u = p.throttleDelay);
    var C = map$1(c.areas, function(A) {
      var N = boundingRectBuilders[A.brushType], P = defaults({
        boundingRect: N ? N(A) : void 0
      }, A);
      return P.selectors = makeBrushCommonSelectorForSeries(P), P;
    }), b = createVisualMappings(c.option, STATE_LIST, function(A) {
      A.mappingMethod = "fixed";
    });
    isArray$1(v) && each$f(v, function(A) {
      g[A] = 1;
    });
    function T(A) {
      return v === "all" || !!g[A];
    }
    function E(A) {
      return !!A.length;
    }
    r.eachSeries(function(A, N) {
      var P = _[N] = [];
      A.subType === "parallel" ? x(A, N) : $(A, N, P);
    });
    function x(A, N) {
      var P = A.coordinateSystem;
      S = S || P.hasAxisBrushed(), T(N) && P.eachActiveState(A.getData(), function(L, O) {
        L === "active" && (y[O] = 1);
      });
    }
    function $(A, N, P) {
      if (!(!A.brushSelector || brushModelNotControll(c, N)) && (each$f(C, function(O) {
        c.brushTargetManager.controlSeries(O, A, r) && P.push(O), S = S || E(P);
      }), T(N) && E(P))) {
        var L = A.getData();
        L.each(function(O) {
          checkInRange(A, P, L, O) && (y[O] = 1);
        });
      }
    }
    r.eachSeries(function(A, N) {
      var P = {
        seriesId: A.id,
        seriesIndex: N,
        seriesName: A.name,
        dataIndex: []
      };
      f.selected.push(P);
      var L = _[N], O = A.getData(), M = T(N) ? function(F) {
        return y[F] ? (P.dataIndex.push(O.getRawIndex(F)), "inBrush") : "outOfBrush";
      } : function(F) {
        return checkInRange(A, L, O, F) ? (P.dataIndex.push(O.getRawIndex(F)), "inBrush") : "outOfBrush";
      };
      (T(N) ? S : E(L)) && applyVisual(STATE_LIST, b, O, M);
    });
  }), dispatchAction$1(a, l, u, s, o);
}
function dispatchAction$1(r, a, o, s, l) {
  if (l) {
    var u = r.getZr();
    if (!u[DISPATCH_FLAG]) {
      u[DISPATCH_METHOD] || (u[DISPATCH_METHOD] = doDispatch);
      var c = createOrUpdate(u, DISPATCH_METHOD, o, a);
      c(r, s);
    }
  }
}
function doDispatch(r, a) {
  if (!r.isDisposed()) {
    var o = r.getZr();
    o[DISPATCH_FLAG] = !0, r.dispatchAction({
      type: "brushSelect",
      batch: a
    }), o[DISPATCH_FLAG] = !1;
  }
}
function checkInRange(r, a, o, s) {
  for (var l = 0, u = a.length; l < u; l++) {
    var c = a[l];
    if (r.brushSelector(s, o, c.selectors, c))
      return !0;
  }
}
function brushModelNotControll(r, a) {
  var o = r.option.seriesIndex;
  return o != null && o !== "all" && (isArray$1(o) ? indexOf(o, a) < 0 : a !== o);
}
var boundingRectBuilders = {
  rect: function(r) {
    return getBoundingRectFromMinMax(r.range);
  },
  polygon: function(r) {
    for (var a, o = r.range, s = 0, l = o.length; s < l; s++) {
      a = a || [[1 / 0, -1 / 0], [1 / 0, -1 / 0]];
      var u = o[s];
      u[0] < a[0][0] && (a[0][0] = u[0]), u[0] > a[0][1] && (a[0][1] = u[0]), u[1] < a[1][0] && (a[1][0] = u[1]), u[1] > a[1][1] && (a[1][1] = u[1]);
    }
    return a && getBoundingRectFromMinMax(a);
  }
};
function getBoundingRectFromMinMax(r) {
  return new BoundingRect(r[0][0], r[1][0], r[0][1] - r[0][0], r[1][1] - r[1][0]);
}
var BrushView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.init = function(o, s) {
      this.ecModel = o, this.api = s, this.model, (this._brushController = new BrushController(s.getZr())).on("brush", bind$1(this._onBrush, this)).mount();
    }, a.prototype.render = function(o, s, l, u) {
      this.model = o, this._updateController(o, s, l, u);
    }, a.prototype.updateTransform = function(o, s, l, u) {
      layoutCovers(s), this._updateController(o, s, l, u);
    }, a.prototype.updateVisual = function(o, s, l, u) {
      this.updateTransform(o, s, l, u);
    }, a.prototype.updateView = function(o, s, l, u) {
      this._updateController(o, s, l, u);
    }, a.prototype._updateController = function(o, s, l, u) {
      (!u || u.$from !== o.id) && this._brushController.setPanels(o.brushTargetManager.makePanelOpts(l)).enableBrush(o.brushOption).updateCovers(o.areas.slice());
    }, a.prototype.dispose = function() {
      this._brushController.dispose();
    }, a.prototype._onBrush = function(o) {
      var s = this.model.id, l = this.model.brushTargetManager.setOutputRanges(o.areas, this.ecModel);
      (!o.isEnd || o.removeOnClick) && this.api.dispatchAction({
        type: "brush",
        brushId: s,
        areas: clone$4(l),
        $from: s
      }), o.isEnd && this.api.dispatchAction({
        type: "brushEnd",
        brushId: s,
        areas: clone$4(l),
        $from: s
      });
    }, a.type = "brush", a;
  }(ComponentView)
), DEFAULT_OUT_OF_BRUSH_COLOR = "#ddd", BrushModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.areas = [], o.brushOption = {}, o;
    }
    return a.prototype.optionUpdated = function(o, s) {
      var l = this.option;
      !s && replaceVisualOption(l, o, ["inBrush", "outOfBrush"]);
      var u = l.inBrush = l.inBrush || {};
      l.outOfBrush = l.outOfBrush || {
        color: DEFAULT_OUT_OF_BRUSH_COLOR
      }, u.hasOwnProperty("liftZ") || (u.liftZ = 5);
    }, a.prototype.setAreas = function(o) {
      process.env.NODE_ENV !== "production" && (assert(isArray$1(o)), each$f(o, function(s) {
        assert(s.brushType, "Illegal areas");
      })), o && (this.areas = map$1(o, function(s) {
        return generateBrushOption(this.option, s);
      }, this));
    }, a.prototype.setBrushOption = function(o) {
      this.brushOption = generateBrushOption(this.option, o), this.brushType = this.brushOption.brushType;
    }, a.type = "brush", a.dependencies = ["geo", "grid", "xAxis", "yAxis", "parallel", "series"], a.defaultOption = {
      seriesIndex: "all",
      brushType: "rect",
      brushMode: "single",
      transformable: !0,
      brushStyle: {
        borderWidth: 1,
        color: "rgba(210,219,238,0.3)",
        borderColor: "#D2DBEE"
      },
      throttleType: "fixRate",
      throttleDelay: 0,
      removeOnClick: !0,
      z: 1e4
    }, a;
  }(ComponentModel)
);
function generateBrushOption(r, a) {
  return merge({
    brushType: r.brushType,
    brushMode: r.brushMode,
    transformable: r.transformable,
    brushStyle: new Model(r.brushStyle).getItemStyle(),
    removeOnClick: r.removeOnClick,
    z: r.z
  }, a, !0);
}
var ICON_TYPES = ["rect", "polygon", "lineX", "lineY", "keep", "clear"], BrushFeature = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      return r !== null && r.apply(this, arguments) || this;
    }
    return a.prototype.render = function(o, s, l) {
      var u, c, d;
      s.eachComponent({
        mainType: "brush"
      }, function(f) {
        u = f.brushType, c = f.brushOption.brushMode || "single", d = d || !!f.areas.length;
      }), this._brushType = u, this._brushMode = c, each$f(o.get("type", !0), function(f) {
        o.setIconStatus(f, (f === "keep" ? c === "multiple" : f === "clear" ? d : f === u) ? "emphasis" : "normal");
      });
    }, a.prototype.updateView = function(o, s, l) {
      this.render(o, s, l);
    }, a.prototype.getIcons = function() {
      var o = this.model, s = o.get("icon", !0), l = {};
      return each$f(o.get("type", !0), function(u) {
        s[u] && (l[u] = s[u]);
      }), l;
    }, a.prototype.onclick = function(o, s, l) {
      var u = this._brushType, c = this._brushMode;
      l === "clear" ? (s.dispatchAction({
        type: "axisAreaSelect",
        intervals: []
      }), s.dispatchAction({
        type: "brush",
        command: "clear",
        // Clear all areas of all brush components.
        areas: []
      })) : s.dispatchAction({
        type: "takeGlobalCursor",
        key: "brush",
        brushOption: {
          brushType: l === "keep" ? u : u === l ? !1 : l,
          brushMode: l === "keep" ? c === "multiple" ? "single" : "multiple" : c
        }
      });
    }, a.getDefaultOption = function(o) {
      var s = {
        show: !0,
        type: ICON_TYPES.slice(),
        icon: {
          /* eslint-disable */
          rect: "M7.3,34.7 M0.4,10V-0.2h9.8 M89.6,10V-0.2h-9.8 M0.4,60v10.2h9.8 M89.6,60v10.2h-9.8 M12.3,22.4V10.5h13.1 M33.6,10.5h7.8 M49.1,10.5h7.8 M77.5,22.4V10.5h-13 M12.3,31.1v8.2 M77.7,31.1v8.2 M12.3,47.6v11.9h13.1 M33.6,59.5h7.6 M49.1,59.5 h7.7 M77.5,47.6v11.9h-13",
          polygon: "M55.2,34.9c1.7,0,3.1,1.4,3.1,3.1s-1.4,3.1-3.1,3.1 s-3.1-1.4-3.1-3.1S53.5,34.9,55.2,34.9z M50.4,51c1.7,0,3.1,1.4,3.1,3.1c0,1.7-1.4,3.1-3.1,3.1c-1.7,0-3.1-1.4-3.1-3.1 C47.3,52.4,48.7,51,50.4,51z M55.6,37.1l1.5-7.8 M60.1,13.5l1.6-8.7l-7.8,4 M59,19l-1,5.3 M24,16.1l6.4,4.9l6.4-3.3 M48.5,11.6 l-5.9,3.1 M19.1,12.8L9.7,5.1l1.1,7.7 M13.4,29.8l1,7.3l6.6,1.6 M11.6,18.4l1,6.1 M32.8,41.9 M26.6,40.4 M27.3,40.2l6.1,1.6 M49.9,52.1l-5.6-7.6l-4.9-1.2",
          lineX: "M15.2,30 M19.7,15.6V1.9H29 M34.8,1.9H40.4 M55.3,15.6V1.9H45.9 M19.7,44.4V58.1H29 M34.8,58.1H40.4 M55.3,44.4 V58.1H45.9 M12.5,20.3l-9.4,9.6l9.6,9.8 M3.1,29.9h16.5 M62.5,20.3l9.4,9.6L62.3,39.7 M71.9,29.9H55.4",
          lineY: "M38.8,7.7 M52.7,12h13.2v9 M65.9,26.6V32 M52.7,46.3h13.2v-9 M24.9,12H11.8v9 M11.8,26.6V32 M24.9,46.3H11.8v-9 M48.2,5.1l-9.3-9l-9.4,9.2 M38.9-3.9V12 M48.2,53.3l-9.3,9l-9.4-9.2 M38.9,62.3V46.4",
          keep: "M4,10.5V1h10.3 M20.7,1h6.1 M33,1h6.1 M55.4,10.5V1H45.2 M4,17.3v6.6 M55.6,17.3v6.6 M4,30.5V40h10.3 M20.7,40 h6.1 M33,40h6.1 M55.4,30.5V40H45.2 M21,18.9h62.9v48.6H21V18.9z",
          clear: "M22,14.7l30.9,31 M52.9,14.7L22,45.7 M4.7,16.8V4.2h13.1 M26,4.2h7.8 M41.6,4.2h7.8 M70.3,16.8V4.2H57.2 M4.7,25.9v8.6 M70.3,25.9v8.6 M4.7,43.2v12.6h13.1 M26,55.8h7.8 M41.6,55.8h7.8 M70.3,43.2v12.6H57.2"
          // jshint ignore:line
          /* eslint-enable */
        },
        // `rect`, `polygon`, `lineX`, `lineY`, `keep`, `clear`
        title: o.getLocaleModel().get(["toolbox", "brush", "title"])
      };
      return s;
    }, a;
  }(ToolboxFeature)
);
function install$i(r) {
  r.registerComponentView(BrushView), r.registerComponentModel(BrushModel), r.registerPreprocessor(brushPreprocessor), r.registerVisual(r.PRIORITY.VISUAL.BRUSH, brushVisual), r.registerAction({
    type: "brush",
    event: "brush",
    update: "updateVisual"
  }, function(a, o) {
    o.eachComponent({
      mainType: "brush",
      query: a
    }, function(s) {
      s.setAreas(a.areas);
    });
  }), r.registerAction({
    type: "brushSelect",
    event: "brushSelected",
    update: "none"
  }, noop), r.registerAction({
    type: "brushEnd",
    event: "brushEnd",
    update: "none"
  }, noop), registerFeature("brush", BrushFeature);
}
var TitleModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.layoutMode = {
        type: "box",
        ignoreSize: !0
      }, o;
    }
    return a.type = "title", a.defaultOption = {
      // zlevel: 0,
      z: 6,
      show: !0,
      text: "",
      target: "blank",
      subtext: "",
      subtarget: "blank",
      left: 0,
      top: 0,
      backgroundColor: "rgba(0,0,0,0)",
      borderColor: "#ccc",
      borderWidth: 0,
      padding: 5,
      itemGap: 10,
      textStyle: {
        fontSize: 18,
        fontWeight: "bold",
        color: "#464646"
      },
      subtextStyle: {
        fontSize: 12,
        color: "#6E7079"
      }
    }, a;
  }(ComponentModel)
), TitleView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.render = function(o, s, l) {
      if (this.group.removeAll(), !!o.get("show")) {
        var u = this.group, c = o.getModel("textStyle"), d = o.getModel("subtextStyle"), f = o.get("textAlign"), p = retrieve2(o.get("textBaseline"), o.get("textVerticalAlign")), v = new ZRText({
          style: createTextStyle$1(c, {
            text: o.get("text"),
            fill: c.getTextColor()
          }, {
            disableBox: !0
          }),
          z2: 10
        }), g = v.getBoundingRect(), y = o.get("subtext"), _ = new ZRText({
          style: createTextStyle$1(d, {
            text: y,
            fill: d.getTextColor(),
            y: g.height + o.get("itemGap"),
            verticalAlign: "top"
          }, {
            disableBox: !0
          }),
          z2: 10
        }), S = o.get("link"), C = o.get("sublink"), b = o.get("triggerEvent", !0);
        v.silent = !S && !b, _.silent = !C && !b, S && v.on("click", function() {
          windowOpen(S, "_" + o.get("target"));
        }), C && _.on("click", function() {
          windowOpen(C, "_" + o.get("subtarget"));
        }), getECData(v).eventData = getECData(_).eventData = b ? {
          componentType: "title",
          componentIndex: o.componentIndex
        } : null, u.add(v), y && u.add(_);
        var T = u.getBoundingRect(), E = o.getBoxLayoutParams();
        E.width = T.width, E.height = T.height;
        var x = getLayoutRect(E, {
          width: l.getWidth(),
          height: l.getHeight()
        }, o.get("padding"));
        f || (f = o.get("left") || o.get("right"), f === "middle" && (f = "center"), f === "right" ? x.x += x.width : f === "center" && (x.x += x.width / 2)), p || (p = o.get("top") || o.get("bottom"), p === "center" && (p = "middle"), p === "bottom" ? x.y += x.height : p === "middle" && (x.y += x.height / 2), p = p || "top"), u.x = x.x, u.y = x.y, u.markRedraw();
        var $ = {
          align: f,
          verticalAlign: p
        };
        v.setStyle($), _.setStyle($), T = u.getBoundingRect();
        var A = x.margin, N = o.getItemStyle(["color", "opacity"]);
        N.fill = o.get("backgroundColor");
        var P = new Rect$2({
          shape: {
            x: T.x - A[3],
            y: T.y - A[0],
            width: T.width + A[1] + A[3],
            height: T.height + A[0] + A[2],
            r: o.get("borderRadius")
          },
          style: N,
          subPixelOptimize: !0,
          silent: !0
        });
        u.add(P);
      }
    }, a.type = "title", a;
  }(ComponentView)
);
function install$h(r) {
  r.registerComponentModel(TitleModel), r.registerComponentView(TitleView);
}
var TimelineModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.layoutMode = "box", o;
    }
    return a.prototype.init = function(o, s, l) {
      this.mergeDefaultAndTheme(o, l), this._initData();
    }, a.prototype.mergeOption = function(o) {
      r.prototype.mergeOption.apply(this, arguments), this._initData();
    }, a.prototype.setCurrentIndex = function(o) {
      o == null && (o = this.option.currentIndex);
      var s = this._data.count();
      this.option.loop ? o = (o % s + s) % s : (o >= s && (o = s - 1), o < 0 && (o = 0)), this.option.currentIndex = o;
    }, a.prototype.getCurrentIndex = function() {
      return this.option.currentIndex;
    }, a.prototype.isIndexMax = function() {
      return this.getCurrentIndex() >= this._data.count() - 1;
    }, a.prototype.setPlayState = function(o) {
      this.option.autoPlay = !!o;
    }, a.prototype.getPlayState = function() {
      return !!this.option.autoPlay;
    }, a.prototype._initData = function() {
      var o = this.option, s = o.data || [], l = o.axisType, u = this._names = [], c;
      l === "category" ? (c = [], each$f(s, function(p, v) {
        var g = convertOptionIdName(getDataItemValue(p), ""), y;
        isObject$3(p) ? (y = clone$4(p), y.value = v) : y = v, c.push(y), u.push(g);
      })) : c = s;
      var d = {
        category: "ordinal",
        time: "time",
        value: "number"
      }[l] || "number", f = this._data = new SeriesData([{
        name: "value",
        type: d
      }], this);
      f.initData(c, u);
    }, a.prototype.getData = function() {
      return this._data;
    }, a.prototype.getCategories = function() {
      if (this.get("axisType") === "category")
        return this._names.slice();
    }, a.type = "timeline", a.defaultOption = {
      // zlevel: 0,                  // 一级层叠
      z: 4,
      show: !0,
      axisType: "time",
      realtime: !0,
      left: "20%",
      top: null,
      right: "20%",
      bottom: 0,
      width: null,
      height: 40,
      padding: 5,
      controlPosition: "left",
      autoPlay: !1,
      rewind: !1,
      loop: !0,
      playInterval: 2e3,
      currentIndex: 0,
      itemStyle: {},
      label: {
        color: "#000"
      },
      data: []
    }, a;
  }(ComponentModel)
), SliderTimelineModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.type = "timeline.slider", a.defaultOption = inheritDefaultOption(TimelineModel.defaultOption, {
      backgroundColor: "rgba(0,0,0,0)",
      borderColor: "#ccc",
      borderWidth: 0,
      orient: "horizontal",
      inverse: !1,
      tooltip: {
        trigger: "item"
        // data item may also have tootip attr.
      },
      symbol: "circle",
      symbolSize: 12,
      lineStyle: {
        show: !0,
        width: 2,
        color: "#DAE1F5"
      },
      label: {
        position: "auto",
        // When using number, label position is not
        // restricted by viewRect.
        // positive: right/bottom, negative: left/top
        show: !0,
        interval: "auto",
        rotate: 0,
        // formatter: null,
        // 其余属性默认使用全局文本样式，详见TEXTSTYLE
        color: "#A4B1D7"
      },
      itemStyle: {
        color: "#A4B1D7",
        borderWidth: 1
      },
      checkpointStyle: {
        symbol: "circle",
        symbolSize: 15,
        color: "#316bf3",
        borderColor: "#fff",
        borderWidth: 2,
        shadowBlur: 2,
        shadowOffsetX: 1,
        shadowOffsetY: 1,
        shadowColor: "rgba(0, 0, 0, 0.3)",
        // borderColor: 'rgba(194,53,49, 0.5)',
        animation: !0,
        animationDuration: 300,
        animationEasing: "quinticInOut"
      },
      controlStyle: {
        show: !0,
        showPlayBtn: !0,
        showPrevBtn: !0,
        showNextBtn: !0,
        itemSize: 24,
        itemGap: 12,
        position: "left",
        playIcon: "path://M31.6,53C17.5,53,6,41.5,6,27.4S17.5,1.8,31.6,1.8C45.7,1.8,57.2,13.3,57.2,27.4S45.7,53,31.6,53z M31.6,3.3 C18.4,3.3,7.5,14.1,7.5,27.4c0,13.3,10.8,24.1,24.1,24.1C44.9,51.5,55.7,40.7,55.7,27.4C55.7,14.1,44.9,3.3,31.6,3.3z M24.9,21.3 c0-2.2,1.6-3.1,3.5-2l10.5,6.1c1.899,1.1,1.899,2.9,0,4l-10.5,6.1c-1.9,1.1-3.5,0.2-3.5-2V21.3z",
        stopIcon: "path://M30.9,53.2C16.8,53.2,5.3,41.7,5.3,27.6S16.8,2,30.9,2C45,2,56.4,13.5,56.4,27.6S45,53.2,30.9,53.2z M30.9,3.5C17.6,3.5,6.8,14.4,6.8,27.6c0,13.3,10.8,24.1,24.101,24.1C44.2,51.7,55,40.9,55,27.6C54.9,14.4,44.1,3.5,30.9,3.5z M36.9,35.8c0,0.601-0.4,1-0.9,1h-1.3c-0.5,0-0.9-0.399-0.9-1V19.5c0-0.6,0.4-1,0.9-1H36c0.5,0,0.9,0.4,0.9,1V35.8z M27.8,35.8 c0,0.601-0.4,1-0.9,1h-1.3c-0.5,0-0.9-0.399-0.9-1V19.5c0-0.6,0.4-1,0.9-1H27c0.5,0,0.9,0.4,0.9,1L27.8,35.8L27.8,35.8z",
        // eslint-disable-next-line max-len
        nextIcon: "M2,18.5A1.52,1.52,0,0,1,.92,18a1.49,1.49,0,0,1,0-2.12L7.81,9.36,1,3.11A1.5,1.5,0,1,1,3,.89l8,7.34a1.48,1.48,0,0,1,.49,1.09,1.51,1.51,0,0,1-.46,1.1L3,18.08A1.5,1.5,0,0,1,2,18.5Z",
        // eslint-disable-next-line max-len
        prevIcon: "M10,.5A1.52,1.52,0,0,1,11.08,1a1.49,1.49,0,0,1,0,2.12L4.19,9.64,11,15.89a1.5,1.5,0,1,1-2,2.22L1,10.77A1.48,1.48,0,0,1,.5,9.68,1.51,1.51,0,0,1,1,8.58L9,.92A1.5,1.5,0,0,1,10,.5Z",
        prevBtnSize: 18,
        nextBtnSize: 18,
        color: "#A4B1D7",
        borderColor: "#A4B1D7",
        borderWidth: 1
      },
      emphasis: {
        label: {
          show: !0,
          // 其余属性默认使用全局文本样式，详见TEXTSTYLE
          color: "#6f778d"
        },
        itemStyle: {
          color: "#316BF3"
        },
        controlStyle: {
          color: "#316BF3",
          borderColor: "#316BF3",
          borderWidth: 2
        }
      },
      progress: {
        lineStyle: {
          color: "#316BF3"
        },
        itemStyle: {
          color: "#316BF3"
        },
        label: {
          color: "#6f778d"
        }
      },
      data: []
    }), a;
  }(TimelineModel)
);
mixin(SliderTimelineModel, DataFormatMixin.prototype);
var TimelineView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.type = "timeline", a;
  }(ComponentView)
), TimelineAxis = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a(o, s, l, u) {
      var c = r.call(this, o, s, l) || this;
      return c.type = u || "value", c;
    }
    return a.prototype.getLabelModel = function() {
      return this.model.getModel("label");
    }, a.prototype.isHorizontal = function() {
      return this.model.get("orient") === "horizontal";
    }, a;
  }(Axis)
), PI = Math.PI, labelDataIndexStore = makeInner(), SliderTimelineView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.init = function(o, s) {
      this.api = s;
    }, a.prototype.render = function(o, s, l) {
      if (this.model = o, this.api = l, this.ecModel = s, this.group.removeAll(), o.get("show", !0)) {
        var u = this._layout(o, l), c = this._createGroup("_mainGroup"), d = this._createGroup("_labelGroup"), f = this._axis = this._createAxis(u, o);
        o.formatTooltip = function(p) {
          var v = f.scale.getLabel({
            value: p
          });
          return createTooltipMarkup("nameValue", {
            noName: !0,
            value: v
          });
        }, each$f(["AxisLine", "AxisTick", "Control", "CurrentPointer"], function(p) {
          this["_render" + p](u, c, f, o);
        }, this), this._renderAxisLabel(u, d, f, o), this._position(u, o);
      }
      this._doPlayStop(), this._updateTicksStatus();
    }, a.prototype.remove = function() {
      this._clearTimer(), this.group.removeAll();
    }, a.prototype.dispose = function() {
      this._clearTimer();
    }, a.prototype._layout = function(o, s) {
      var l = o.get(["label", "position"]), u = o.get("orient"), c = getViewRect(o, s), d;
      l == null || l === "auto" ? d = u === "horizontal" ? c.y + c.height / 2 < s.getHeight() / 2 ? "-" : "+" : c.x + c.width / 2 < s.getWidth() / 2 ? "+" : "-" : isString(l) ? d = {
        horizontal: {
          top: "-",
          bottom: "+"
        },
        vertical: {
          left: "-",
          right: "+"
        }
      }[u][l] : d = l;
      var f = {
        horizontal: "center",
        vertical: d >= 0 || d === "+" ? "left" : "right"
      }, p = {
        horizontal: d >= 0 || d === "+" ? "top" : "bottom",
        vertical: "middle"
      }, v = {
        horizontal: 0,
        vertical: PI / 2
      }, g = u === "vertical" ? c.height : c.width, y = o.getModel("controlStyle"), _ = y.get("show", !0), S = _ ? y.get("itemSize") : 0, C = _ ? y.get("itemGap") : 0, b = S + C, T = o.get(["label", "rotate"]) || 0;
      T = T * PI / 180;
      var E, x, $, A = y.get("position", !0), N = _ && y.get("showPlayBtn", !0), P = _ && y.get("showPrevBtn", !0), L = _ && y.get("showNextBtn", !0), O = 0, M = g;
      A === "left" || A === "bottom" ? (N && (E = [0, 0], O += b), P && (x = [O, 0], O += b), L && ($ = [M - S, 0], M -= b)) : (N && (E = [M - S, 0], M -= b), P && (x = [0, 0], O += b), L && ($ = [M - S, 0], M -= b));
      var F = [O, M];
      return o.get("inverse") && F.reverse(), {
        viewRect: c,
        mainLength: g,
        orient: u,
        rotation: v[u],
        labelRotation: T,
        labelPosOpt: d,
        labelAlign: o.get(["label", "align"]) || f[u],
        labelBaseline: o.get(["label", "verticalAlign"]) || o.get(["label", "baseline"]) || p[u],
        // Based on mainGroup.
        playPosition: E,
        prevBtnPosition: x,
        nextBtnPosition: $,
        axisExtent: F,
        controlSize: S,
        controlGap: C
      };
    }, a.prototype._position = function(o, s) {
      var l = this._mainGroup, u = this._labelGroup, c = o.viewRect;
      if (o.orient === "vertical") {
        var d = create$1(), f = c.x, p = c.y + c.height;
        translate(d, d, [-f, -p]), rotate(d, d, -PI / 2), translate(d, d, [f, p]), c = c.clone(), c.applyTransform(d);
      }
      var v = E(c), g = E(l.getBoundingRect()), y = E(u.getBoundingRect()), _ = [l.x, l.y], S = [u.x, u.y];
      S[0] = _[0] = v[0][0];
      var C = o.labelPosOpt;
      if (C == null || isString(C)) {
        var b = C === "+" ? 0 : 1;
        x(_, g, v, 1, b), x(S, y, v, 1, 1 - b);
      } else {
        var b = C >= 0 ? 0 : 1;
        x(_, g, v, 1, b), S[1] = _[1] + C;
      }
      l.setPosition(_), u.setPosition(S), l.rotation = u.rotation = o.rotation, T(l), T(u);
      function T($) {
        $.originX = v[0][0] - $.x, $.originY = v[1][0] - $.y;
      }
      function E($) {
        return [[$.x, $.x + $.width], [$.y, $.y + $.height]];
      }
      function x($, A, N, P, L) {
        $[P] += N[P][L] - A[P][L];
      }
    }, a.prototype._createAxis = function(o, s) {
      var l = s.getData(), u = s.get("axisType"), c = createScaleByModel(s, u);
      c.getTicks = function() {
        return l.mapArray(["value"], function(p) {
          return {
            value: p
          };
        });
      };
      var d = l.getDataExtent("value");
      c.setExtent(d[0], d[1]), c.calcNiceTicks();
      var f = new TimelineAxis("value", c, o.axisExtent, u);
      return f.model = s, f;
    }, a.prototype._createGroup = function(o) {
      var s = this[o] = new Group$3();
      return this.group.add(s), s;
    }, a.prototype._renderAxisLine = function(o, s, l, u) {
      var c = l.getExtent();
      if (u.get(["lineStyle", "show"])) {
        var d = new Line$1({
          shape: {
            x1: c[0],
            y1: 0,
            x2: c[1],
            y2: 0
          },
          style: extend({
            lineCap: "round"
          }, u.getModel("lineStyle").getLineStyle()),
          silent: !0,
          z2: 1
        });
        s.add(d);
        var f = this._progressLine = new Line$1({
          shape: {
            x1: c[0],
            x2: this._currentPointer ? this._currentPointer.x : c[0],
            y1: 0,
            y2: 0
          },
          style: defaults({
            lineCap: "round",
            lineWidth: d.style.lineWidth
          }, u.getModel(["progress", "lineStyle"]).getLineStyle()),
          silent: !0,
          z2: 1
        });
        s.add(f);
      }
    }, a.prototype._renderAxisTick = function(o, s, l, u) {
      var c = this, d = u.getData(), f = l.scale.getTicks();
      this._tickSymbols = [], each$f(f, function(p) {
        var v = l.dataToCoord(p.value), g = d.getItemModel(p.value), y = g.getModel("itemStyle"), _ = g.getModel(["emphasis", "itemStyle"]), S = g.getModel(["progress", "itemStyle"]), C = {
          x: v,
          y: 0,
          onclick: bind$1(c._changeTimeline, c, p.value)
        }, b = giveSymbol(g, y, s, C);
        b.ensureState("emphasis").style = _.getItemStyle(), b.ensureState("progress").style = S.getItemStyle(), enableHoverEmphasis(b);
        var T = getECData(b);
        g.get("tooltip") ? (T.dataIndex = p.value, T.dataModel = u) : T.dataIndex = T.dataModel = null, c._tickSymbols.push(b);
      });
    }, a.prototype._renderAxisLabel = function(o, s, l, u) {
      var c = this, d = l.getLabelModel();
      if (d.get("show")) {
        var f = u.getData(), p = l.getViewLabels();
        this._tickLabels = [], each$f(p, function(v) {
          var g = v.tickValue, y = f.getItemModel(g), _ = y.getModel("label"), S = y.getModel(["emphasis", "label"]), C = y.getModel(["progress", "label"]), b = l.dataToCoord(v.tickValue), T = new ZRText({
            x: b,
            y: 0,
            rotation: o.labelRotation - o.rotation,
            onclick: bind$1(c._changeTimeline, c, g),
            silent: !1,
            style: createTextStyle$1(_, {
              text: v.formattedLabel,
              align: o.labelAlign,
              verticalAlign: o.labelBaseline
            })
          });
          T.ensureState("emphasis").style = createTextStyle$1(S), T.ensureState("progress").style = createTextStyle$1(C), s.add(T), enableHoverEmphasis(T), labelDataIndexStore(T).dataIndex = g, c._tickLabels.push(T);
        });
      }
    }, a.prototype._renderControl = function(o, s, l, u) {
      var c = o.controlSize, d = o.rotation, f = u.getModel("controlStyle").getItemStyle(), p = u.getModel(["emphasis", "controlStyle"]).getItemStyle(), v = u.getPlayState(), g = u.get("inverse", !0);
      y(o.nextBtnPosition, "next", bind$1(this._changeTimeline, this, g ? "-" : "+")), y(o.prevBtnPosition, "prev", bind$1(this._changeTimeline, this, g ? "+" : "-")), y(o.playPosition, v ? "stop" : "play", bind$1(this._handlePlayClick, this, !v), !0);
      function y(_, S, C, b) {
        if (_) {
          var T = parsePercent$1(retrieve2(u.get(["controlStyle", S + "BtnSize"]), c), c), E = [0, -T / 2, T, T], x = makeControlIcon(u, S + "Icon", E, {
            x: _[0],
            y: _[1],
            originX: c / 2,
            originY: 0,
            rotation: b ? -d : 0,
            rectHover: !0,
            style: f,
            onclick: C
          });
          x.ensureState("emphasis").style = p, s.add(x), enableHoverEmphasis(x);
        }
      }
    }, a.prototype._renderCurrentPointer = function(o, s, l, u) {
      var c = u.getData(), d = u.getCurrentIndex(), f = c.getItemModel(d).getModel("checkpointStyle"), p = this, v = {
        onCreate: function(g) {
          g.draggable = !0, g.drift = bind$1(p._handlePointerDrag, p), g.ondragend = bind$1(p._handlePointerDragend, p), pointerMoveTo(g, p._progressLine, d, l, u, !0);
        },
        onUpdate: function(g) {
          pointerMoveTo(g, p._progressLine, d, l, u);
        }
      };
      this._currentPointer = giveSymbol(f, f, this._mainGroup, {}, this._currentPointer, v);
    }, a.prototype._handlePlayClick = function(o) {
      this._clearTimer(), this.api.dispatchAction({
        type: "timelinePlayChange",
        playState: o,
        from: this.uid
      });
    }, a.prototype._handlePointerDrag = function(o, s, l) {
      this._clearTimer(), this._pointerChangeTimeline([l.offsetX, l.offsetY]);
    }, a.prototype._handlePointerDragend = function(o) {
      this._pointerChangeTimeline([o.offsetX, o.offsetY], !0);
    }, a.prototype._pointerChangeTimeline = function(o, s) {
      var l = this._toAxisCoord(o)[0], u = this._axis, c = asc$2(u.getExtent().slice());
      l > c[1] && (l = c[1]), l < c[0] && (l = c[0]), this._currentPointer.x = l, this._currentPointer.markRedraw();
      var d = this._progressLine;
      d && (d.shape.x2 = l, d.dirty());
      var f = this._findNearestTick(l), p = this.model;
      (s || f !== p.getCurrentIndex() && p.get("realtime")) && this._changeTimeline(f);
    }, a.prototype._doPlayStop = function() {
      var o = this;
      this._clearTimer(), this.model.getPlayState() && (this._timer = setTimeout(function() {
        var s = o.model;
        o._changeTimeline(s.getCurrentIndex() + (s.get("rewind", !0) ? -1 : 1));
      }, this.model.get("playInterval")));
    }, a.prototype._toAxisCoord = function(o) {
      var s = this._mainGroup.getLocalTransform();
      return applyTransform(o, s, !0);
    }, a.prototype._findNearestTick = function(o) {
      var s = this.model.getData(), l = 1 / 0, u, c = this._axis;
      return s.each(["value"], function(d, f) {
        var p = c.dataToCoord(d), v = Math.abs(p - o);
        v < l && (l = v, u = f);
      }), u;
    }, a.prototype._clearTimer = function() {
      this._timer && (clearTimeout(this._timer), this._timer = null);
    }, a.prototype._changeTimeline = function(o) {
      var s = this.model.getCurrentIndex();
      o === "+" ? o = s + 1 : o === "-" && (o = s - 1), this.api.dispatchAction({
        type: "timelineChange",
        currentIndex: o,
        from: this.uid
      });
    }, a.prototype._updateTicksStatus = function() {
      var o = this.model.getCurrentIndex(), s = this._tickSymbols, l = this._tickLabels;
      if (s)
        for (var u = 0; u < s.length; u++)
          s && s[u] && s[u].toggleState("progress", u < o);
      if (l)
        for (var u = 0; u < l.length; u++)
          l && l[u] && l[u].toggleState("progress", labelDataIndexStore(l[u]).dataIndex <= o);
    }, a.type = "timeline.slider", a;
  }(TimelineView)
);
function createScaleByModel(r, a) {
  if (a = a || r.get("type"), a)
    switch (a) {
      case "category":
        return new OrdinalScale({
          ordinalMeta: r.getCategories(),
          extent: [1 / 0, -1 / 0]
        });
      case "time":
        return new TimeScale({
          locale: r.ecModel.getLocaleModel(),
          useUTC: r.ecModel.get("useUTC")
        });
      default:
        return new IntervalScale();
    }
}
function getViewRect(r, a) {
  return getLayoutRect(r.getBoxLayoutParams(), {
    width: a.getWidth(),
    height: a.getHeight()
  }, r.get("padding"));
}
function makeControlIcon(r, a, o, s) {
  var l = s.style, u = createIcon(r.get(["controlStyle", a]), s, new BoundingRect(o[0], o[1], o[2], o[3]));
  return l && u.setStyle(l), u;
}
function giveSymbol(r, a, o, s, l, u) {
  var c = a.get("color");
  if (l)
    l.setColor(c), o.add(l), u && u.onUpdate(l);
  else {
    var d = r.get("symbol");
    l = createSymbol$1(d, -1, -1, 2, 2, c), l.setStyle("strokeNoScale", !0), o.add(l), u && u.onCreate(l);
  }
  var f = a.getItemStyle(["color"]);
  l.setStyle(f), s = merge({
    rectHover: !0,
    z2: 100
  }, s, !0);
  var p = normalizeSymbolSize(r.get("symbolSize"));
  s.scaleX = p[0] / 2, s.scaleY = p[1] / 2;
  var v = normalizeSymbolOffset(r.get("symbolOffset"), p);
  v && (s.x = (s.x || 0) + v[0], s.y = (s.y || 0) + v[1]);
  var g = r.get("symbolRotate");
  return s.rotation = (g || 0) * Math.PI / 180 || 0, l.attr(s), l.updateTransform(), l;
}
function pointerMoveTo(r, a, o, s, l, u) {
  if (!r.dragging) {
    var c = l.getModel("checkpointStyle"), d = s.dataToCoord(l.getData().get("value", o));
    if (u || !c.get("animation", !0))
      r.attr({
        x: d,
        y: 0
      }), a && a.attr({
        shape: {
          x2: d
        }
      });
    else {
      var f = {
        duration: c.get("animationDuration", !0),
        easing: c.get("animationEasing", !0)
      };
      r.stopAnimation(null, !0), r.animateTo({
        x: d,
        y: 0
      }, f), a && a.animateTo({
        shape: {
          x2: d
        }
      }, f);
    }
  }
}
function installTimelineAction(r) {
  r.registerAction({
    type: "timelineChange",
    event: "timelineChanged",
    update: "prepareAndUpdate"
  }, function(a, o, s) {
    var l = o.getComponent("timeline");
    return l && a.currentIndex != null && (l.setCurrentIndex(a.currentIndex), !l.get("loop", !0) && l.isIndexMax() && l.getPlayState() && (l.setPlayState(!1), s.dispatchAction({
      type: "timelinePlayChange",
      playState: !1,
      from: a.from
    }))), o.resetOption("timeline", {
      replaceMerge: l.get("replaceMerge", !0)
    }), defaults({
      currentIndex: l.option.currentIndex
    }, a);
  }), r.registerAction({
    type: "timelinePlayChange",
    event: "timelinePlayChanged",
    update: "update"
  }, function(a, o) {
    var s = o.getComponent("timeline");
    s && a.playState != null && s.setPlayState(a.playState);
  });
}
function timelinePreprocessor(r) {
  var a = r && r.timeline;
  isArray$1(a) || (a = a ? [a] : []), each$f(a, function(o) {
    o && compatibleEC2(o);
  });
}
function compatibleEC2(r) {
  var a = r.type, o = {
    number: "value",
    time: "time"
  };
  if (o[a] && (r.axisType = o[a], delete r.type), transferItem(r), has$1(r, "controlPosition")) {
    var s = r.controlStyle || (r.controlStyle = {});
    has$1(s, "position") || (s.position = r.controlPosition), s.position === "none" && !has$1(s, "show") && (s.show = !1, delete s.position), delete r.controlPosition;
  }
  each$f(r.data || [], function(l) {
    isObject$3(l) && !isArray$1(l) && (!has$1(l, "value") && has$1(l, "name") && (l.value = l.name), transferItem(l));
  });
}
function transferItem(r) {
  var a = r.itemStyle || (r.itemStyle = {}), o = a.emphasis || (a.emphasis = {}), s = r.label || r.label || {}, l = s.normal || (s.normal = {}), u = {
    normal: 1,
    emphasis: 1
  };
  each$f(s, function(c, d) {
    !u[d] && !has$1(l, d) && (l[d] = c);
  }), o.label && !has$1(s, "emphasis") && (s.emphasis = o.label, delete o.label);
}
function has$1(r, a) {
  return r.hasOwnProperty(a);
}
function install$g(r) {
  r.registerComponentModel(SliderTimelineModel), r.registerComponentView(SliderTimelineView), r.registerSubTypeDefaulter("timeline", function() {
    return "slider";
  }), installTimelineAction(r), r.registerPreprocessor(timelinePreprocessor);
}
function checkMarkerInSeries(r, a) {
  if (!r)
    return !1;
  for (var o = isArray$1(r) ? r : [r], s = 0; s < o.length; s++)
    if (o[s] && o[s][a])
      return !0;
  return !1;
}
function fillLabel(r) {
  defaultEmphasis(r, "label", ["show"]);
}
var inner$5 = makeInner(), MarkerModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.createdBySelf = !1, o;
    }
    return a.prototype.init = function(o, s, l) {
      if (process.env.NODE_ENV !== "production" && this.type === "marker")
        throw new Error("Marker component is abstract component. Use markLine, markPoint, markArea instead.");
      this.mergeDefaultAndTheme(o, l), this._mergeOption(o, l, !1, !0);
    }, a.prototype.isAnimationEnabled = function() {
      if (env.node)
        return !1;
      var o = this.__hostSeries;
      return this.getShallow("animation") && o && o.isAnimationEnabled();
    }, a.prototype.mergeOption = function(o, s) {
      this._mergeOption(o, s, !1, !1);
    }, a.prototype._mergeOption = function(o, s, l, u) {
      var c = this.mainType;
      l || s.eachSeries(function(d) {
        var f = d.get(this.mainType, !0), p = inner$5(d)[c];
        if (!f || !f.data) {
          inner$5(d)[c] = null;
          return;
        }
        p ? p._mergeOption(f, s, !0) : (u && fillLabel(f), each$f(f.data, function(v) {
          v instanceof Array ? (fillLabel(v[0]), fillLabel(v[1])) : fillLabel(v);
        }), p = this.createMarkerModelFromSeries(f, this, s), extend(p, {
          mainType: this.mainType,
          // Use the same series index and name
          seriesIndex: d.seriesIndex,
          name: d.name,
          createdBySelf: !0
        }), p.__hostSeries = d), inner$5(d)[c] = p;
      }, this);
    }, a.prototype.formatTooltip = function(o, s, l) {
      var u = this.getData(), c = this.getRawValue(o), d = u.getName(o);
      return createTooltipMarkup("section", {
        header: this.name,
        blocks: [createTooltipMarkup("nameValue", {
          name: d,
          value: c,
          noName: !d,
          noValue: c == null
        })]
      });
    }, a.prototype.getData = function() {
      return this._data;
    }, a.prototype.setData = function(o) {
      this._data = o;
    }, a.prototype.getDataParams = function(o, s) {
      var l = DataFormatMixin.prototype.getDataParams.call(this, o, s), u = this.__hostSeries;
      return u && (l.seriesId = u.id, l.seriesName = u.name, l.seriesType = u.subType), l;
    }, a.getMarkerModelFromSeries = function(o, s) {
      return inner$5(o)[s];
    }, a.type = "marker", a.dependencies = ["series", "grid", "polar", "geo"], a;
  }(ComponentModel)
);
mixin(MarkerModel, DataFormatMixin.prototype);
var MarkPointModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.createMarkerModelFromSeries = function(o, s, l) {
      return new a(o, s, l);
    }, a.type = "markPoint", a.defaultOption = {
      // zlevel: 0,
      z: 5,
      symbol: "pin",
      symbolSize: 50,
      // symbolRotate: 0,
      // symbolOffset: [0, 0]
      tooltip: {
        trigger: "item"
      },
      label: {
        show: !0,
        position: "inside"
      },
      itemStyle: {
        borderWidth: 2
      },
      emphasis: {
        label: {
          show: !0
        }
      }
    }, a;
  }(MarkerModel)
);
function hasXOrY(r) {
  return !(isNaN(parseFloat(r.x)) && isNaN(parseFloat(r.y)));
}
function hasXAndY(r) {
  return !isNaN(parseFloat(r.x)) && !isNaN(parseFloat(r.y));
}
function markerTypeCalculatorWithExtent(r, a, o, s, l, u) {
  var c = [], d = isDimensionStacked(
    a,
    s
    /* , otherDataDim */
  ), f = d ? a.getCalculationInfo("stackResultDimension") : s, p = numCalculate(a, f, r), v = a.indicesOfNearest(f, p)[0];
  c[l] = a.get(o, v), c[u] = a.get(f, v);
  var g = a.get(s, v), y = getPrecision(a.get(s, v));
  return y = Math.min(y, 20), y >= 0 && (c[u] = +c[u].toFixed(y)), [c, g];
}
var markerTypeCalculator = {
  min: curry$1(markerTypeCalculatorWithExtent, "min"),
  max: curry$1(markerTypeCalculatorWithExtent, "max"),
  average: curry$1(markerTypeCalculatorWithExtent, "average"),
  median: curry$1(markerTypeCalculatorWithExtent, "median")
};
function dataTransform(r, a) {
  if (a) {
    var o = r.getData(), s = r.coordinateSystem, l = s && s.dimensions;
    if (!hasXAndY(a) && !isArray$1(a.coord) && isArray$1(l)) {
      var u = getAxisInfo(a, o, s, r);
      if (a = clone$4(a), a.type && markerTypeCalculator[a.type] && u.baseAxis && u.valueAxis) {
        var c = indexOf(l, u.baseAxis.dim), d = indexOf(l, u.valueAxis.dim), f = markerTypeCalculator[a.type](o, u.baseDataDim, u.valueDataDim, c, d);
        a.coord = f[0], a.value = f[1];
      } else
        a.coord = [a.xAxis != null ? a.xAxis : a.radiusAxis, a.yAxis != null ? a.yAxis : a.angleAxis];
    }
    if (a.coord == null || !isArray$1(l))
      a.coord = [];
    else
      for (var p = a.coord, v = 0; v < 2; v++)
        markerTypeCalculator[p[v]] && (p[v] = numCalculate(o, o.mapDimension(l[v]), p[v]));
    return a;
  }
}
function getAxisInfo(r, a, o, s) {
  var l = {};
  return r.valueIndex != null || r.valueDim != null ? (l.valueDataDim = r.valueIndex != null ? a.getDimension(r.valueIndex) : r.valueDim, l.valueAxis = o.getAxis(dataDimToCoordDim(s, l.valueDataDim)), l.baseAxis = o.getOtherAxis(l.valueAxis), l.baseDataDim = a.mapDimension(l.baseAxis.dim)) : (l.baseAxis = s.getBaseAxis(), l.valueAxis = o.getOtherAxis(l.baseAxis), l.baseDataDim = a.mapDimension(l.baseAxis.dim), l.valueDataDim = a.mapDimension(l.valueAxis.dim)), l;
}
function dataDimToCoordDim(r, a) {
  var o = r.getData().getDimensionInfo(a);
  return o && o.coordDim;
}
function dataFilter(r, a) {
  return r && r.containData && a.coord && !hasXOrY(a) ? r.containData(a.coord) : !0;
}
function zoneFilter(r, a, o) {
  return r && r.containZone && a.coord && o.coord && !hasXOrY(a) && !hasXOrY(o) ? r.containZone(a.coord, o.coord) : !0;
}
function createMarkerDimValueGetter(r, a) {
  return r ? function(o, s, l, u) {
    var c = u < 2 ? o.coord && o.coord[u] : o.value;
    return parseDataValue(c, a[u]);
  } : function(o, s, l, u) {
    return parseDataValue(o.value, a[u]);
  };
}
function numCalculate(r, a, o) {
  if (o === "average") {
    var s = 0, l = 0;
    return r.each(a, function(u, c) {
      isNaN(u) || (s += u, l++);
    }), s / l;
  } else return o === "median" ? r.getMedian(a) : r.getDataExtent(a)[o === "max" ? 1 : 0];
}
var inner$4 = makeInner(), MarkerView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.init = function() {
      this.markerGroupMap = createHashMap();
    }, a.prototype.render = function(o, s, l) {
      var u = this, c = this.markerGroupMap;
      c.each(function(d) {
        inner$4(d).keep = !1;
      }), s.eachSeries(function(d) {
        var f = MarkerModel.getMarkerModelFromSeries(d, u.type);
        f && u.renderSeries(d, f, s, l);
      }), c.each(function(d) {
        !inner$4(d).keep && u.group.remove(d.group);
      });
    }, a.prototype.markKeep = function(o) {
      inner$4(o).keep = !0;
    }, a.prototype.toggleBlurSeries = function(o, s) {
      var l = this;
      each$f(o, function(u) {
        var c = MarkerModel.getMarkerModelFromSeries(u, l.type);
        if (c) {
          var d = c.getData();
          d.eachItemGraphicEl(function(f) {
            f && (s ? enterBlur(f) : leaveBlur(f));
          });
        }
      });
    }, a.type = "marker", a;
  }(ComponentView)
);
function updateMarkerLayout(r, a, o) {
  var s = a.coordinateSystem;
  r.each(function(l) {
    var u = r.getItemModel(l), c, d = parsePercent(u.get("x"), o.getWidth()), f = parsePercent(u.get("y"), o.getHeight());
    if (!isNaN(d) && !isNaN(f))
      c = [d, f];
    else if (a.getMarkerPosition)
      c = a.getMarkerPosition(r.getValues(r.dimensions, l));
    else if (s) {
      var p = r.get(s.dimensions[0], l), v = r.get(s.dimensions[1], l);
      c = s.dataToPoint([p, v]);
    }
    isNaN(d) || (c[0] = d), isNaN(f) || (c[1] = f), r.setItemLayout(l, c);
  });
}
var MarkPointView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.updateTransform = function(o, s, l) {
      s.eachSeries(function(u) {
        var c = MarkerModel.getMarkerModelFromSeries(u, "markPoint");
        c && (updateMarkerLayout(c.getData(), u, l), this.markerGroupMap.get(u.id).updateLayout());
      }, this);
    }, a.prototype.renderSeries = function(o, s, l, u) {
      var c = o.coordinateSystem, d = o.id, f = o.getData(), p = this.markerGroupMap, v = p.get(d) || p.set(d, new SymbolDraw()), g = createData(c, o, s);
      s.setData(g), updateMarkerLayout(s.getData(), o, u), g.each(function(y) {
        var _ = g.getItemModel(y), S = _.getShallow("symbol"), C = _.getShallow("symbolSize"), b = _.getShallow("symbolRotate"), T = _.getShallow("symbolOffset"), E = _.getShallow("symbolKeepAspect");
        if (isFunction(S) || isFunction(C) || isFunction(b) || isFunction(T)) {
          var x = s.getRawValue(y), $ = s.getDataParams(y);
          isFunction(S) && (S = S(x, $)), isFunction(C) && (C = C(x, $)), isFunction(b) && (b = b(x, $)), isFunction(T) && (T = T(x, $));
        }
        var A = _.getModel("itemStyle").getItemStyle(), N = getVisualFromData(f, "color");
        A.fill || (A.fill = N), g.setItemVisual(y, {
          symbol: S,
          symbolSize: C,
          symbolRotate: b,
          symbolOffset: T,
          symbolKeepAspect: E,
          style: A
        });
      }), v.updateData(g), this.group.add(v.group), g.eachItemGraphicEl(function(y) {
        y.traverse(function(_) {
          getECData(_).dataModel = s;
        });
      }), this.markKeep(v), v.group.silent = s.get("silent") || o.get("silent");
    }, a.type = "markPoint", a;
  }(MarkerView)
);
function createData(r, a, o) {
  var s;
  r ? s = map$1(r && r.dimensions, function(d) {
    var f = a.getData().getDimensionInfo(a.getData().mapDimension(d)) || {};
    return extend(extend({}, f), {
      name: d,
      // DON'T use ordinalMeta to parse and collect ordinal.
      ordinalMeta: null
    });
  }) : s = [{
    name: "value",
    type: "float"
  }];
  var l = new SeriesData(s, o), u = map$1(o.get("data"), curry$1(dataTransform, a));
  r && (u = filter(u, curry$1(dataFilter, r)));
  var c = createMarkerDimValueGetter(!!r, s);
  return l.initData(u, null, c), l;
}
function install$f(r) {
  r.registerComponentModel(MarkPointModel), r.registerComponentView(MarkPointView), r.registerPreprocessor(function(a) {
    checkMarkerInSeries(a.series, "markPoint") && (a.markPoint = a.markPoint || {});
  });
}
var MarkLineModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.createMarkerModelFromSeries = function(o, s, l) {
      return new a(o, s, l);
    }, a.type = "markLine", a.defaultOption = {
      // zlevel: 0,
      z: 5,
      symbol: ["circle", "arrow"],
      symbolSize: [8, 16],
      // symbolRotate: 0,
      symbolOffset: 0,
      precision: 2,
      tooltip: {
        trigger: "item"
      },
      label: {
        show: !0,
        position: "end",
        distance: 5
      },
      lineStyle: {
        type: "dashed"
      },
      emphasis: {
        label: {
          show: !0
        },
        lineStyle: {
          width: 3
        }
      },
      animationEasing: "linear"
    }, a;
  }(MarkerModel)
), inner$3 = makeInner(), markLineTransform = function(r, a, o, s) {
  var l = r.getData(), u;
  if (isArray$1(s))
    u = s;
  else {
    var c = s.type;
    if (c === "min" || c === "max" || c === "average" || c === "median" || s.xAxis != null || s.yAxis != null) {
      var d = void 0, f = void 0;
      if (s.yAxis != null || s.xAxis != null)
        d = a.getAxis(s.yAxis != null ? "y" : "x"), f = retrieve(s.yAxis, s.xAxis);
      else {
        var p = getAxisInfo(s, l, a, r);
        d = p.valueAxis;
        var v = getStackedDimension(l, p.valueDataDim);
        f = numCalculate(l, v, c);
      }
      var g = d.dim === "x" ? 0 : 1, y = 1 - g, _ = clone$4(s), S = {
        coord: []
      };
      _.type = null, _.coord = [], _.coord[y] = -1 / 0, S.coord[y] = 1 / 0;
      var C = o.get("precision");
      C >= 0 && isNumber(f) && (f = +f.toFixed(Math.min(C, 20))), _.coord[g] = S.coord[g] = f, u = [_, S, {
        type: c,
        valueIndex: s.valueIndex,
        // Force to use the value of calculated value.
        value: f
      }];
    } else
      process.env.NODE_ENV !== "production" && logError("Invalid markLine data."), u = [];
  }
  var b = [dataTransform(r, u[0]), dataTransform(r, u[1]), extend({}, u[2])];
  return b[2].type = b[2].type || null, merge(b[2], b[0]), merge(b[2], b[1]), b;
};
function isInfinity$1(r) {
  return !isNaN(r) && !isFinite(r);
}
function ifMarkLineHasOnlyDim(r, a, o, s) {
  var l = 1 - r, u = s.dimensions[r];
  return isInfinity$1(a[l]) && isInfinity$1(o[l]) && a[r] === o[r] && s.getAxis(u).containData(a[r]);
}
function markLineFilter(r, a) {
  if (r.type === "cartesian2d") {
    var o = a[0].coord, s = a[1].coord;
    if (o && s && (ifMarkLineHasOnlyDim(1, o, s, r) || ifMarkLineHasOnlyDim(0, o, s, r)))
      return !0;
  }
  return dataFilter(r, a[0]) && dataFilter(r, a[1]);
}
function updateSingleMarkerEndLayout(r, a, o, s, l) {
  var u = s.coordinateSystem, c = r.getItemModel(a), d, f = parsePercent(c.get("x"), l.getWidth()), p = parsePercent(c.get("y"), l.getHeight());
  if (!isNaN(f) && !isNaN(p))
    d = [f, p];
  else {
    if (s.getMarkerPosition)
      d = s.getMarkerPosition(r.getValues(r.dimensions, a));
    else {
      var v = u.dimensions, g = r.get(v[0], a), y = r.get(v[1], a);
      d = u.dataToPoint([g, y]);
    }
    if (isCoordinateSystemType(u, "cartesian2d")) {
      var _ = u.getAxis("x"), S = u.getAxis("y"), v = u.dimensions;
      isInfinity$1(r.get(v[0], a)) ? d[0] = _.toGlobalCoord(_.getExtent()[o ? 0 : 1]) : isInfinity$1(r.get(v[1], a)) && (d[1] = S.toGlobalCoord(S.getExtent()[o ? 0 : 1]));
    }
    isNaN(f) || (d[0] = f), isNaN(p) || (d[1] = p);
  }
  r.setItemLayout(a, d);
}
var MarkLineView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.updateTransform = function(o, s, l) {
      s.eachSeries(function(u) {
        var c = MarkerModel.getMarkerModelFromSeries(u, "markLine");
        if (c) {
          var d = c.getData(), f = inner$3(c).from, p = inner$3(c).to;
          f.each(function(v) {
            updateSingleMarkerEndLayout(f, v, !0, u, l), updateSingleMarkerEndLayout(p, v, !1, u, l);
          }), d.each(function(v) {
            d.setItemLayout(v, [f.getItemLayout(v), p.getItemLayout(v)]);
          }), this.markerGroupMap.get(u.id).updateLayout();
        }
      }, this);
    }, a.prototype.renderSeries = function(o, s, l, u) {
      var c = o.coordinateSystem, d = o.id, f = o.getData(), p = this.markerGroupMap, v = p.get(d) || p.set(d, new LineDraw());
      this.group.add(v.group);
      var g = createList$1(c, o, s), y = g.from, _ = g.to, S = g.line;
      inner$3(s).from = y, inner$3(s).to = _, s.setData(S);
      var C = s.get("symbol"), b = s.get("symbolSize"), T = s.get("symbolRotate"), E = s.get("symbolOffset");
      isArray$1(C) || (C = [C, C]), isArray$1(b) || (b = [b, b]), isArray$1(T) || (T = [T, T]), isArray$1(E) || (E = [E, E]), g.from.each(function($) {
        x(y, $, !0), x(_, $, !1);
      }), S.each(function($) {
        var A = S.getItemModel($).getModel("lineStyle").getLineStyle();
        S.setItemLayout($, [y.getItemLayout($), _.getItemLayout($)]), A.stroke == null && (A.stroke = y.getItemVisual($, "style").fill), S.setItemVisual($, {
          fromSymbolKeepAspect: y.getItemVisual($, "symbolKeepAspect"),
          fromSymbolOffset: y.getItemVisual($, "symbolOffset"),
          fromSymbolRotate: y.getItemVisual($, "symbolRotate"),
          fromSymbolSize: y.getItemVisual($, "symbolSize"),
          fromSymbol: y.getItemVisual($, "symbol"),
          toSymbolKeepAspect: _.getItemVisual($, "symbolKeepAspect"),
          toSymbolOffset: _.getItemVisual($, "symbolOffset"),
          toSymbolRotate: _.getItemVisual($, "symbolRotate"),
          toSymbolSize: _.getItemVisual($, "symbolSize"),
          toSymbol: _.getItemVisual($, "symbol"),
          style: A
        });
      }), v.updateData(S), g.line.eachItemGraphicEl(function($) {
        getECData($).dataModel = s, $.traverse(function(A) {
          getECData(A).dataModel = s;
        });
      });
      function x($, A, N) {
        var P = $.getItemModel(A);
        updateSingleMarkerEndLayout($, A, N, o, u);
        var L = P.getModel("itemStyle").getItemStyle();
        L.fill == null && (L.fill = getVisualFromData(f, "color")), $.setItemVisual(A, {
          symbolKeepAspect: P.get("symbolKeepAspect"),
          // `0` should be considered as a valid value, so use `retrieve2` instead of `||`
          symbolOffset: retrieve2(P.get("symbolOffset", !0), E[N ? 0 : 1]),
          symbolRotate: retrieve2(P.get("symbolRotate", !0), T[N ? 0 : 1]),
          // TODO: when 2d array is supported, it should ignore parent
          symbolSize: retrieve2(P.get("symbolSize"), b[N ? 0 : 1]),
          symbol: retrieve2(P.get("symbol", !0), C[N ? 0 : 1]),
          style: L
        });
      }
      this.markKeep(v), v.group.silent = s.get("silent") || o.get("silent");
    }, a.type = "markLine", a;
  }(MarkerView)
);
function createList$1(r, a, o) {
  var s;
  r ? s = map$1(r && r.dimensions, function(p) {
    var v = a.getData().getDimensionInfo(a.getData().mapDimension(p)) || {};
    return extend(extend({}, v), {
      name: p,
      // DON'T use ordinalMeta to parse and collect ordinal.
      ordinalMeta: null
    });
  }) : s = [{
    name: "value",
    type: "float"
  }];
  var l = new SeriesData(s, o), u = new SeriesData(s, o), c = new SeriesData([], o), d = map$1(o.get("data"), curry$1(markLineTransform, a, r, o));
  r && (d = filter(d, curry$1(markLineFilter, r)));
  var f = createMarkerDimValueGetter(!!r, s);
  return l.initData(map$1(d, function(p) {
    return p[0];
  }), null, f), u.initData(map$1(d, function(p) {
    return p[1];
  }), null, f), c.initData(map$1(d, function(p) {
    return p[2];
  })), c.hasItemOption = !0, {
    from: l,
    to: u,
    line: c
  };
}
function install$e(r) {
  r.registerComponentModel(MarkLineModel), r.registerComponentView(MarkLineView), r.registerPreprocessor(function(a) {
    checkMarkerInSeries(a.series, "markLine") && (a.markLine = a.markLine || {});
  });
}
var MarkAreaModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.createMarkerModelFromSeries = function(o, s, l) {
      return new a(o, s, l);
    }, a.type = "markArea", a.defaultOption = {
      // zlevel: 0,
      // PENDING
      z: 1,
      tooltip: {
        trigger: "item"
      },
      // markArea should fixed on the coordinate system
      animation: !1,
      label: {
        show: !0,
        position: "top"
      },
      itemStyle: {
        // color and borderColor default to use color from series
        // color: 'auto'
        // borderColor: 'auto'
        borderWidth: 0
      },
      emphasis: {
        label: {
          show: !0,
          position: "top"
        }
      }
    }, a;
  }(MarkerModel)
), inner$2 = makeInner(), markAreaTransform = function(r, a, o, s) {
  var l = s[0], u = s[1];
  if (!(!l || !u)) {
    var c = dataTransform(r, l), d = dataTransform(r, u), f = c.coord, p = d.coord;
    f[0] = retrieve(f[0], -1 / 0), f[1] = retrieve(f[1], -1 / 0), p[0] = retrieve(p[0], 1 / 0), p[1] = retrieve(p[1], 1 / 0);
    var v = mergeAll([{}, c, d]);
    return v.coord = [c.coord, d.coord], v.x0 = c.x, v.y0 = c.y, v.x1 = d.x, v.y1 = d.y, v;
  }
};
function isInfinity(r) {
  return !isNaN(r) && !isFinite(r);
}
function ifMarkAreaHasOnlyDim(r, a, o, s) {
  var l = 1 - r;
  return isInfinity(a[l]) && isInfinity(o[l]);
}
function markAreaFilter(r, a) {
  var o = a.coord[0], s = a.coord[1], l = {
    coord: o,
    x: a.x0,
    y: a.y0
  }, u = {
    coord: s,
    x: a.x1,
    y: a.y1
  };
  return isCoordinateSystemType(r, "cartesian2d") ? o && s && (ifMarkAreaHasOnlyDim(1, o, s) || ifMarkAreaHasOnlyDim(0, o, s)) ? !0 : zoneFilter(r, l, u) : dataFilter(r, l) || dataFilter(r, u);
}
function getSingleMarkerEndPoint(r, a, o, s, l) {
  var u = s.coordinateSystem, c = r.getItemModel(a), d, f = parsePercent(c.get(o[0]), l.getWidth()), p = parsePercent(c.get(o[1]), l.getHeight());
  if (!isNaN(f) && !isNaN(p))
    d = [f, p];
  else {
    if (s.getMarkerPosition) {
      var v = r.getValues(["x0", "y0"], a), g = r.getValues(["x1", "y1"], a), y = u.clampData(v), _ = u.clampData(g), S = [];
      o[0] === "x0" ? S[0] = y[0] > _[0] ? g[0] : v[0] : S[0] = y[0] > _[0] ? v[0] : g[0], o[1] === "y0" ? S[1] = y[1] > _[1] ? g[1] : v[1] : S[1] = y[1] > _[1] ? v[1] : g[1], d = s.getMarkerPosition(S, o, !0);
    } else {
      var C = r.get(o[0], a), b = r.get(o[1], a), T = [C, b];
      u.clampData && u.clampData(T, T), d = u.dataToPoint(T, !0);
    }
    if (isCoordinateSystemType(u, "cartesian2d")) {
      var E = u.getAxis("x"), x = u.getAxis("y"), C = r.get(o[0], a), b = r.get(o[1], a);
      isInfinity(C) ? d[0] = E.toGlobalCoord(E.getExtent()[o[0] === "x0" ? 0 : 1]) : isInfinity(b) && (d[1] = x.toGlobalCoord(x.getExtent()[o[1] === "y0" ? 0 : 1]));
    }
    isNaN(f) || (d[0] = f), isNaN(p) || (d[1] = p);
  }
  return d;
}
var dimPermutations = [["x0", "y0"], ["x1", "y0"], ["x1", "y1"], ["x0", "y1"]], MarkAreaView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.updateTransform = function(o, s, l) {
      s.eachSeries(function(u) {
        var c = MarkerModel.getMarkerModelFromSeries(u, "markArea");
        if (c) {
          var d = c.getData();
          d.each(function(f) {
            var p = map$1(dimPermutations, function(g) {
              return getSingleMarkerEndPoint(d, f, g, u, l);
            });
            d.setItemLayout(f, p);
            var v = d.getItemGraphicEl(f);
            v.setShape("points", p);
          });
        }
      }, this);
    }, a.prototype.renderSeries = function(o, s, l, u) {
      var c = o.coordinateSystem, d = o.id, f = o.getData(), p = this.markerGroupMap, v = p.get(d) || p.set(d, {
        group: new Group$3()
      });
      this.group.add(v.group), this.markKeep(v);
      var g = createList(c, o, s);
      s.setData(g), g.each(function(y) {
        var _ = map$1(dimPermutations, function(L) {
          return getSingleMarkerEndPoint(g, y, L, o, u);
        }), S = c.getAxis("x").scale, C = c.getAxis("y").scale, b = S.getExtent(), T = C.getExtent(), E = [S.parse(g.get("x0", y)), S.parse(g.get("x1", y))], x = [C.parse(g.get("y0", y)), C.parse(g.get("y1", y))];
        asc$2(E), asc$2(x);
        var $ = !(b[0] > E[1] || b[1] < E[0] || T[0] > x[1] || T[1] < x[0]), A = !$;
        g.setItemLayout(y, {
          points: _,
          allClipped: A
        });
        var N = g.getItemModel(y).getModel("itemStyle").getItemStyle(), P = getVisualFromData(f, "color");
        N.fill || (N.fill = P, isString(N.fill) && (N.fill = modifyAlpha(N.fill, 0.4))), N.stroke || (N.stroke = P), g.setItemVisual(y, "style", N);
      }), g.diff(inner$2(v).data).add(function(y) {
        var _ = g.getItemLayout(y);
        if (!_.allClipped) {
          var S = new Polygon({
            shape: {
              points: _.points
            }
          });
          g.setItemGraphicEl(y, S), v.group.add(S);
        }
      }).update(function(y, _) {
        var S = inner$2(v).data.getItemGraphicEl(_), C = g.getItemLayout(y);
        C.allClipped ? S && v.group.remove(S) : (S ? updateProps$1(S, {
          shape: {
            points: C.points
          }
        }, s, y) : S = new Polygon({
          shape: {
            points: C.points
          }
        }), g.setItemGraphicEl(y, S), v.group.add(S));
      }).remove(function(y) {
        var _ = inner$2(v).data.getItemGraphicEl(y);
        v.group.remove(_);
      }).execute(), g.eachItemGraphicEl(function(y, _) {
        var S = g.getItemModel(_), C = g.getItemVisual(_, "style");
        y.useStyle(g.getItemVisual(_, "style")), setLabelStyle(y, getLabelStatesModels(S), {
          labelFetcher: s,
          labelDataIndex: _,
          defaultText: g.getName(_) || "",
          inheritColor: isString(C.fill) ? modifyAlpha(C.fill, 1) : "#000"
        }), setStatesStylesFromModel(y, S), toggleHoverEmphasis(y, null, null, S.get(["emphasis", "disabled"])), getECData(y).dataModel = s;
      }), inner$2(v).data = g, v.group.silent = s.get("silent") || o.get("silent");
    }, a.type = "markArea", a;
  }(MarkerView)
);
function createList(r, a, o) {
  var s, l, u = ["x0", "y0", "x1", "y1"];
  if (r) {
    var c = map$1(r && r.dimensions, function(p) {
      var v = a.getData(), g = v.getDimensionInfo(v.mapDimension(p)) || {};
      return extend(extend({}, g), {
        name: p,
        // DON'T use ordinalMeta to parse and collect ordinal.
        ordinalMeta: null
      });
    });
    l = map$1(u, function(p, v) {
      return {
        name: p,
        type: c[v % 2].type
      };
    }), s = new SeriesData(l, o);
  } else
    l = [{
      name: "value",
      type: "float"
    }], s = new SeriesData(l, o);
  var d = map$1(o.get("data"), curry$1(markAreaTransform, a, r, o));
  r && (d = filter(d, curry$1(markAreaFilter, r)));
  var f = r ? function(p, v, g, y) {
    var _ = p.coord[Math.floor(y / 2)][y % 2];
    return parseDataValue(_, l[y]);
  } : function(p, v, g, y) {
    return parseDataValue(p.value, l[y]);
  };
  return s.initData(d, null, f), s.hasItemOption = !0, s;
}
function install$d(r) {
  r.registerComponentModel(MarkAreaModel), r.registerComponentView(MarkAreaView), r.registerPreprocessor(function(a) {
    checkMarkerInSeries(a.series, "markArea") && (a.markArea = a.markArea || {});
  });
}
var getDefaultSelectorOptions = function(r, a) {
  if (a === "all")
    return {
      type: "all",
      title: r.getLocaleModel().get(["legend", "selector", "all"])
    };
  if (a === "inverse")
    return {
      type: "inverse",
      title: r.getLocaleModel().get(["legend", "selector", "inverse"])
    };
}, LegendModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.layoutMode = {
        type: "box",
        // legend.width/height are maxWidth/maxHeight actually,
        // whereas real width/height is calculated by its content.
        // (Setting {left: 10, right: 10} does not make sense).
        // So consider the case:
        // `setOption({legend: {left: 10});`
        // then `setOption({legend: {right: 10});`
        // The previous `left` should be cleared by setting `ignoreSize`.
        ignoreSize: !0
      }, o;
    }
    return a.prototype.init = function(o, s, l) {
      this.mergeDefaultAndTheme(o, l), o.selected = o.selected || {}, this._updateSelector(o);
    }, a.prototype.mergeOption = function(o, s) {
      r.prototype.mergeOption.call(this, o, s), this._updateSelector(o);
    }, a.prototype._updateSelector = function(o) {
      var s = o.selector, l = this.ecModel;
      s === !0 && (s = o.selector = ["all", "inverse"]), isArray$1(s) && each$f(s, function(u, c) {
        isString(u) && (u = {
          type: u
        }), s[c] = merge(u, getDefaultSelectorOptions(l, u.type));
      });
    }, a.prototype.optionUpdated = function() {
      this._updateData(this.ecModel);
      var o = this._data;
      if (o[0] && this.get("selectedMode") === "single") {
        for (var s = !1, l = 0; l < o.length; l++) {
          var u = o[l].get("name");
          if (this.isSelected(u)) {
            this.select(u), s = !0;
            break;
          }
        }
        !s && this.select(o[0].get("name"));
      }
    }, a.prototype._updateData = function(o) {
      var s = [], l = [];
      o.eachRawSeries(function(f) {
        var p = f.name;
        l.push(p);
        var v;
        if (f.legendVisualProvider) {
          var g = f.legendVisualProvider, y = g.getAllNames();
          o.isSeriesFiltered(f) || (l = l.concat(y)), y.length ? s = s.concat(y) : v = !0;
        } else
          v = !0;
        v && isNameSpecified(f) && s.push(f.name);
      }), this._availableNames = l;
      var u = this.get("data") || s, c = createHashMap(), d = map$1(u, function(f) {
        return (isString(f) || isNumber(f)) && (f = {
          name: f
        }), c.get(f.name) ? null : (c.set(f.name, !0), new Model(f, this, this.ecModel));
      }, this);
      this._data = filter(d, function(f) {
        return !!f;
      });
    }, a.prototype.getData = function() {
      return this._data;
    }, a.prototype.select = function(o) {
      var s = this.option.selected, l = this.get("selectedMode");
      if (l === "single") {
        var u = this._data;
        each$f(u, function(c) {
          s[c.get("name")] = !1;
        });
      }
      s[o] = !0;
    }, a.prototype.unSelect = function(o) {
      this.get("selectedMode") !== "single" && (this.option.selected[o] = !1);
    }, a.prototype.toggleSelected = function(o) {
      var s = this.option.selected;
      s.hasOwnProperty(o) || (s[o] = !0), this[s[o] ? "unSelect" : "select"](o);
    }, a.prototype.allSelect = function() {
      var o = this._data, s = this.option.selected;
      each$f(o, function(l) {
        s[l.get("name", !0)] = !0;
      });
    }, a.prototype.inverseSelect = function() {
      var o = this._data, s = this.option.selected;
      each$f(o, function(l) {
        var u = l.get("name", !0);
        s.hasOwnProperty(u) || (s[u] = !0), s[u] = !s[u];
      });
    }, a.prototype.isSelected = function(o) {
      var s = this.option.selected;
      return !(s.hasOwnProperty(o) && !s[o]) && indexOf(this._availableNames, o) >= 0;
    }, a.prototype.getOrient = function() {
      return this.get("orient") === "vertical" ? {
        index: 1,
        name: "vertical"
      } : {
        index: 0,
        name: "horizontal"
      };
    }, a.type = "legend.plain", a.dependencies = ["series"], a.defaultOption = {
      // zlevel: 0,
      z: 4,
      show: !0,
      orient: "horizontal",
      left: "center",
      // right: 'center',
      top: 0,
      // bottom: null,
      align: "auto",
      backgroundColor: "rgba(0,0,0,0)",
      borderColor: "#ccc",
      borderRadius: 0,
      borderWidth: 0,
      padding: 5,
      itemGap: 10,
      itemWidth: 25,
      itemHeight: 14,
      symbolRotate: "inherit",
      symbolKeepAspect: !0,
      inactiveColor: "#ccc",
      inactiveBorderColor: "#ccc",
      inactiveBorderWidth: "auto",
      itemStyle: {
        color: "inherit",
        opacity: "inherit",
        borderColor: "inherit",
        borderWidth: "auto",
        borderCap: "inherit",
        borderJoin: "inherit",
        borderDashOffset: "inherit",
        borderMiterLimit: "inherit"
      },
      lineStyle: {
        width: "auto",
        color: "inherit",
        inactiveColor: "#ccc",
        inactiveWidth: 2,
        opacity: "inherit",
        type: "inherit",
        cap: "inherit",
        join: "inherit",
        dashOffset: "inherit",
        miterLimit: "inherit"
      },
      textStyle: {
        color: "#333"
      },
      selectedMode: !0,
      selector: !1,
      selectorLabel: {
        show: !0,
        borderRadius: 10,
        padding: [3, 5, 3, 5],
        fontSize: 12,
        fontFamily: "sans-serif",
        color: "#666",
        borderWidth: 1,
        borderColor: "#666"
      },
      emphasis: {
        selectorLabel: {
          show: !0,
          color: "#eee",
          backgroundColor: "#666"
        }
      },
      selectorPosition: "auto",
      selectorItemGap: 7,
      selectorButtonGap: 10,
      tooltip: {
        show: !1
      }
    }, a;
  }(ComponentModel)
), curry = curry$1, each$3 = each$f, Group$1 = Group$3, LegendView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.newlineDisabled = !1, o;
    }
    return a.prototype.init = function() {
      this.group.add(this._contentGroup = new Group$1()), this.group.add(this._selectorGroup = new Group$1()), this._isFirstRender = !0;
    }, a.prototype.getContentGroup = function() {
      return this._contentGroup;
    }, a.prototype.getSelectorGroup = function() {
      return this._selectorGroup;
    }, a.prototype.render = function(o, s, l) {
      var u = this._isFirstRender;
      if (this._isFirstRender = !1, this.resetInner(), !!o.get("show", !0)) {
        var c = o.get("align"), d = o.get("orient");
        (!c || c === "auto") && (c = o.get("left") === "right" && d === "vertical" ? "right" : "left");
        var f = o.get("selector", !0), p = o.get("selectorPosition", !0);
        f && (!p || p === "auto") && (p = d === "horizontal" ? "end" : "start"), this.renderInner(c, o, s, l, f, d, p);
        var v = o.getBoxLayoutParams(), g = {
          width: l.getWidth(),
          height: l.getHeight()
        }, y = o.get("padding"), _ = getLayoutRect(v, g, y), S = this.layoutInner(o, c, _, u, f, p), C = getLayoutRect(defaults({
          width: S.width,
          height: S.height
        }, v), g, y);
        this.group.x = C.x - S.x, this.group.y = C.y - S.y, this.group.markRedraw(), this.group.add(this._backgroundEl = makeBackground(S, o));
      }
    }, a.prototype.resetInner = function() {
      this.getContentGroup().removeAll(), this._backgroundEl && this.group.remove(this._backgroundEl), this.getSelectorGroup().removeAll();
    }, a.prototype.renderInner = function(o, s, l, u, c, d, f) {
      var p = this.getContentGroup(), v = createHashMap(), g = s.get("selectedMode"), y = [];
      l.eachRawSeries(function(_) {
        !_.get("legendHoverLink") && y.push(_.id);
      }), each$3(s.getData(), function(_, S) {
        var C = _.get("name");
        if (!this.newlineDisabled && (C === "" || C === `
`)) {
          var b = new Group$1();
          b.newline = !0, p.add(b);
          return;
        }
        var T = l.getSeriesByName(C)[0];
        if (!v.get(C)) {
          if (T) {
            var E = T.getData(), x = E.getVisual("legendLineStyle") || {}, $ = E.getVisual("legendIcon"), A = E.getVisual("style"), N = this._createItem(T, C, S, _, s, o, x, A, $, g, u);
            N.on("click", curry(dispatchSelectAction, C, null, u, y)).on("mouseover", curry(dispatchHighlightAction, T.name, null, u, y)).on("mouseout", curry(dispatchDownplayAction, T.name, null, u, y)), l.ssr && N.eachChild(function(P) {
              var L = getECData(P);
              L.seriesIndex = T.seriesIndex, L.dataIndex = S, L.ssrType = "legend";
            }), v.set(C, !0);
          } else
            l.eachRawSeries(function(P) {
              if (!v.get(C) && P.legendVisualProvider) {
                var L = P.legendVisualProvider;
                if (!L.containName(C))
                  return;
                var O = L.indexOfName(C), M = L.getItemVisual(O, "style"), F = L.getItemVisual(O, "legendIcon"), U = parse(M.fill);
                U && U[3] === 0 && (U[3] = 0.2, M = extend(extend({}, M), {
                  fill: stringify(U, "rgba")
                }));
                var R = this._createItem(P, C, S, _, s, o, {}, M, F, g, u);
                R.on("click", curry(dispatchSelectAction, null, C, u, y)).on("mouseover", curry(dispatchHighlightAction, null, C, u, y)).on("mouseout", curry(dispatchDownplayAction, null, C, u, y)), l.ssr && R.eachChild(function(H) {
                  var V = getECData(H);
                  V.seriesIndex = P.seriesIndex, V.dataIndex = S, V.ssrType = "legend";
                }), v.set(C, !0);
              }
            }, this);
          process.env.NODE_ENV !== "production" && (v.get(C) || console.warn(C + " series not exists. Legend data should be same with series name or data name."));
        }
      }, this), c && this._createSelector(c, s, u, d, f);
    }, a.prototype._createSelector = function(o, s, l, u, c) {
      var d = this.getSelectorGroup();
      each$3(o, function(p) {
        var v = p.type, g = new ZRText({
          style: {
            x: 0,
            y: 0,
            align: "center",
            verticalAlign: "middle"
          },
          onclick: function() {
            l.dispatchAction({
              type: v === "all" ? "legendAllSelect" : "legendInverseSelect",
              legendId: s.id
            });
          }
        });
        d.add(g);
        var y = s.getModel("selectorLabel"), _ = s.getModel(["emphasis", "selectorLabel"]);
        setLabelStyle(g, {
          normal: y,
          emphasis: _
        }, {
          defaultText: p.title
        }), enableHoverEmphasis(g);
      });
    }, a.prototype._createItem = function(o, s, l, u, c, d, f, p, v, g, y) {
      var _ = o.visualDrawType, S = c.get("itemWidth"), C = c.get("itemHeight"), b = c.isSelected(s), T = u.get("symbolRotate"), E = u.get("symbolKeepAspect"), x = u.get("icon");
      v = x || v || "roundRect";
      var $ = getLegendStyle(v, u, f, p, _, b, y), A = new Group$1(), N = u.getModel("textStyle");
      if (isFunction(o.getLegendIcon) && (!x || x === "inherit"))
        A.add(o.getLegendIcon({
          itemWidth: S,
          itemHeight: C,
          icon: v,
          iconRotate: T,
          itemStyle: $.itemStyle,
          lineStyle: $.lineStyle,
          symbolKeepAspect: E
        }));
      else {
        var P = x === "inherit" && o.getData().getVisual("symbol") ? T === "inherit" ? o.getData().getVisual("symbolRotate") : T : 0;
        A.add(getDefaultLegendIcon({
          itemWidth: S,
          itemHeight: C,
          icon: v,
          iconRotate: P,
          itemStyle: $.itemStyle,
          lineStyle: $.lineStyle,
          symbolKeepAspect: E
        }));
      }
      var L = d === "left" ? S + 5 : -5, O = d, M = c.get("formatter"), F = s;
      isString(M) && M ? F = M.replace("{name}", s ?? "") : isFunction(M) && (F = M(s));
      var U = b ? N.getTextColor() : u.get("inactiveColor");
      A.add(new ZRText({
        style: createTextStyle$1(N, {
          text: F,
          x: L,
          y: C / 2,
          fill: U,
          align: O,
          verticalAlign: "middle"
        }, {
          inheritColor: U
        })
      }));
      var R = new Rect$2({
        shape: A.getBoundingRect(),
        style: {
          // Cannot use 'invisible' because SVG SSR will miss the node
          fill: "transparent"
        }
      }), H = u.getModel("tooltip");
      return H.get("show") && setTooltipConfig({
        el: R,
        componentModel: c,
        itemName: s,
        itemTooltipOption: H.option
      }), A.add(R), A.eachChild(function(V) {
        V.silent = !0;
      }), R.silent = !g, this.getContentGroup().add(A), enableHoverEmphasis(A), A.__legendDataIndex = l, A;
    }, a.prototype.layoutInner = function(o, s, l, u, c, d) {
      var f = this.getContentGroup(), p = this.getSelectorGroup();
      box(o.get("orient"), f, o.get("itemGap"), l.width, l.height);
      var v = f.getBoundingRect(), g = [-v.x, -v.y];
      if (p.markRedraw(), f.markRedraw(), c) {
        box(
          // Buttons in selectorGroup always layout horizontally
          "horizontal",
          p,
          o.get("selectorItemGap", !0)
        );
        var y = p.getBoundingRect(), _ = [-y.x, -y.y], S = o.get("selectorButtonGap", !0), C = o.getOrient().index, b = C === 0 ? "width" : "height", T = C === 0 ? "height" : "width", E = C === 0 ? "y" : "x";
        d === "end" ? _[C] += v[b] + S : g[C] += y[b] + S, _[1 - C] += v[T] / 2 - y[T] / 2, p.x = _[0], p.y = _[1], f.x = g[0], f.y = g[1];
        var x = {
          x: 0,
          y: 0
        };
        return x[b] = v[b] + S + y[b], x[T] = Math.max(v[T], y[T]), x[E] = Math.min(0, y[E] + _[1 - C]), x;
      } else
        return f.x = g[0], f.y = g[1], this.group.getBoundingRect();
    }, a.prototype.remove = function() {
      this.getContentGroup().removeAll(), this._isFirstRender = !0;
    }, a.type = "legend.plain", a;
  }(ComponentView)
);
function getLegendStyle(r, a, o, s, l, u, c) {
  function d(b, T) {
    b.lineWidth === "auto" && (b.lineWidth = T.lineWidth > 0 ? 2 : 0), each$3(b, function(E, x) {
      b[x] === "inherit" && (b[x] = T[x]);
    });
  }
  var f = a.getModel("itemStyle"), p = f.getItemStyle(), v = r.lastIndexOf("empty", 0) === 0 ? "fill" : "stroke", g = f.getShallow("decal");
  p.decal = !g || g === "inherit" ? s.decal : createOrUpdatePatternFromDecal(g, c), p.fill === "inherit" && (p.fill = s[l]), p.stroke === "inherit" && (p.stroke = s[v]), p.opacity === "inherit" && (p.opacity = (l === "fill" ? s : o).opacity), d(p, s);
  var y = a.getModel("lineStyle"), _ = y.getLineStyle();
  if (d(_, o), p.fill === "auto" && (p.fill = s.fill), p.stroke === "auto" && (p.stroke = s.fill), _.stroke === "auto" && (_.stroke = s.fill), !u) {
    var S = a.get("inactiveBorderWidth"), C = p[v];
    p.lineWidth = S === "auto" ? s.lineWidth > 0 && C ? 2 : 0 : p.lineWidth, p.fill = a.get("inactiveColor"), p.stroke = a.get("inactiveBorderColor"), _.stroke = y.get("inactiveColor"), _.lineWidth = y.get("inactiveWidth");
  }
  return {
    itemStyle: p,
    lineStyle: _
  };
}
function getDefaultLegendIcon(r) {
  var a = r.icon || "roundRect", o = createSymbol$1(a, 0, 0, r.itemWidth, r.itemHeight, r.itemStyle.fill, r.symbolKeepAspect);
  return o.setStyle(r.itemStyle), o.rotation = (r.iconRotate || 0) * Math.PI / 180, o.setOrigin([r.itemWidth / 2, r.itemHeight / 2]), a.indexOf("empty") > -1 && (o.style.stroke = o.style.fill, o.style.fill = "#fff", o.style.lineWidth = 2), o;
}
function dispatchSelectAction(r, a, o, s) {
  dispatchDownplayAction(r, a, o, s), o.dispatchAction({
    type: "legendToggleSelect",
    name: r ?? a
  }), dispatchHighlightAction(r, a, o, s);
}
function isUseHoverLayer(r) {
  for (var a = r.getZr().storage.getDisplayList(), o, s = 0, l = a.length; s < l && !(o = a[s].states.emphasis); )
    s++;
  return o && o.hoverLayer;
}
function dispatchHighlightAction(r, a, o, s) {
  isUseHoverLayer(o) || o.dispatchAction({
    type: "highlight",
    seriesName: r,
    name: a,
    excludeSeriesId: s
  });
}
function dispatchDownplayAction(r, a, o, s) {
  isUseHoverLayer(o) || o.dispatchAction({
    type: "downplay",
    seriesName: r,
    name: a,
    excludeSeriesId: s
  });
}
function legendFilter(r) {
  var a = r.findComponents({
    mainType: "legend"
  });
  a && a.length && r.filterSeries(function(o) {
    for (var s = 0; s < a.length; s++)
      if (!a[s].isSelected(o.name))
        return !1;
    return !0;
  });
}
function legendSelectActionHandler(r, a, o) {
  var s = r === "allSelect" || r === "inverseSelect", l = {}, u = [];
  o.eachComponent({
    mainType: "legend",
    query: a
  }, function(d) {
    s ? d[r]() : d[r](a.name), makeSelectedMap(d, l), u.push(d.componentIndex);
  });
  var c = {};
  return o.eachComponent("legend", function(d) {
    each$f(l, function(f, p) {
      d[f ? "select" : "unSelect"](p);
    }), makeSelectedMap(d, c);
  }), s ? {
    selected: c,
    // return legendIndex array to tell the developers which legends are allSelect / inverseSelect
    legendIndex: u
  } : {
    name: a.name,
    selected: c
  };
}
function makeSelectedMap(r, a) {
  var o = a || {};
  return each$f(r.getData(), function(s) {
    var l = s.get("name");
    if (!(l === `
` || l === "")) {
      var u = r.isSelected(l);
      hasOwn(o, l) ? o[l] = o[l] && u : o[l] = u;
    }
  }), o;
}
function installLegendAction(r) {
  r.registerAction("legendToggleSelect", "legendselectchanged", curry$1(legendSelectActionHandler, "toggleSelected")), r.registerAction("legendAllSelect", "legendselectall", curry$1(legendSelectActionHandler, "allSelect")), r.registerAction("legendInverseSelect", "legendinverseselect", curry$1(legendSelectActionHandler, "inverseSelect")), r.registerAction("legendSelect", "legendselected", curry$1(legendSelectActionHandler, "select")), r.registerAction("legendUnSelect", "legendunselected", curry$1(legendSelectActionHandler, "unSelect"));
}
function install$c(r) {
  r.registerComponentModel(LegendModel), r.registerComponentView(LegendView), r.registerProcessor(r.PRIORITY.PROCESSOR.SERIES_FILTER, legendFilter), r.registerSubTypeDefaulter("legend", function() {
    return "plain";
  }), installLegendAction(r);
}
var ScrollableLegendModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.setScrollDataIndex = function(o) {
      this.option.scrollDataIndex = o;
    }, a.prototype.init = function(o, s, l) {
      var u = getLayoutParams(o);
      r.prototype.init.call(this, o, s, l), mergeAndNormalizeLayoutParams(this, o, u);
    }, a.prototype.mergeOption = function(o, s) {
      r.prototype.mergeOption.call(this, o, s), mergeAndNormalizeLayoutParams(this, this.option, o);
    }, a.type = "legend.scroll", a.defaultOption = inheritDefaultOption(LegendModel.defaultOption, {
      scrollDataIndex: 0,
      pageButtonItemGap: 5,
      pageButtonGap: null,
      pageButtonPosition: "end",
      pageFormatter: "{current}/{total}",
      pageIcons: {
        horizontal: ["M0,0L12,-10L12,10z", "M0,0L-12,-10L-12,10z"],
        vertical: ["M0,0L20,0L10,-20z", "M0,0L20,0L10,20z"]
      },
      pageIconColor: "#2f4554",
      pageIconInactiveColor: "#aaa",
      pageIconSize: 15,
      pageTextStyle: {
        color: "#333"
      },
      animationDurationUpdate: 800
    }), a;
  }(LegendModel)
);
function mergeAndNormalizeLayoutParams(r, a, o) {
  var s = r.getOrient(), l = [1, 1];
  l[s.index] = 0, mergeLayoutParam(a, o, {
    type: "box",
    ignoreSize: !!l
  });
}
var Group = Group$3, WH = ["width", "height"], XY = ["x", "y"], ScrollableLegendView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.newlineDisabled = !0, o._currentIndex = 0, o;
    }
    return a.prototype.init = function() {
      r.prototype.init.call(this), this.group.add(this._containerGroup = new Group()), this._containerGroup.add(this.getContentGroup()), this.group.add(this._controllerGroup = new Group());
    }, a.prototype.resetInner = function() {
      r.prototype.resetInner.call(this), this._controllerGroup.removeAll(), this._containerGroup.removeClipPath(), this._containerGroup.__rectSize = null;
    }, a.prototype.renderInner = function(o, s, l, u, c, d, f) {
      var p = this;
      r.prototype.renderInner.call(this, o, s, l, u, c, d, f);
      var v = this._controllerGroup, g = s.get("pageIconSize", !0), y = isArray$1(g) ? g : [g, g];
      S("pagePrev", 0);
      var _ = s.getModel("pageTextStyle");
      v.add(new ZRText({
        name: "pageText",
        style: {
          // Placeholder to calculate a proper layout.
          text: "xx/xx",
          fill: _.getTextColor(),
          font: _.getFont(),
          verticalAlign: "middle",
          align: "center"
        },
        silent: !0
      })), S("pageNext", 1);
      function S(C, b) {
        var T = C + "DataIndex", E = createIcon(s.get("pageIcons", !0)[s.getOrient().name][b], {
          // Buttons will be created in each render, so we do not need
          // to worry about avoiding using legendModel kept in scope.
          onclick: bind$1(p._pageGo, p, T, s, u)
        }, {
          x: -y[0] / 2,
          y: -y[1] / 2,
          width: y[0],
          height: y[1]
        });
        E.name = C, v.add(E);
      }
    }, a.prototype.layoutInner = function(o, s, l, u, c, d) {
      var f = this.getSelectorGroup(), p = o.getOrient().index, v = WH[p], g = XY[p], y = WH[1 - p], _ = XY[1 - p];
      c && box(
        // Buttons in selectorGroup always layout horizontally
        "horizontal",
        f,
        o.get("selectorItemGap", !0)
      );
      var S = o.get("selectorButtonGap", !0), C = f.getBoundingRect(), b = [-C.x, -C.y], T = clone$4(l);
      c && (T[v] = l[v] - C[v] - S);
      var E = this._layoutContentAndController(o, u, T, p, v, y, _, g);
      if (c) {
        if (d === "end")
          b[p] += E[v] + S;
        else {
          var x = C[v] + S;
          b[p] -= x, E[g] -= x;
        }
        E[v] += C[v] + S, b[1 - p] += E[_] + E[y] / 2 - C[y] / 2, E[y] = Math.max(E[y], C[y]), E[_] = Math.min(E[_], C[_] + b[1 - p]), f.x = b[0], f.y = b[1], f.markRedraw();
      }
      return E;
    }, a.prototype._layoutContentAndController = function(o, s, l, u, c, d, f, p) {
      var v = this.getContentGroup(), g = this._containerGroup, y = this._controllerGroup;
      box(o.get("orient"), v, o.get("itemGap"), u ? l.width : null, u ? null : l.height), box(
        // Buttons in controller are layout always horizontally.
        "horizontal",
        y,
        o.get("pageButtonItemGap", !0)
      );
      var _ = v.getBoundingRect(), S = y.getBoundingRect(), C = this._showController = _[c] > l[c], b = [-_.x, -_.y];
      s || (b[u] = v[p]);
      var T = [0, 0], E = [-S.x, -S.y], x = retrieve2(o.get("pageButtonGap", !0), o.get("itemGap", !0));
      if (C) {
        var $ = o.get("pageButtonPosition", !0);
        $ === "end" ? E[u] += l[c] - S[c] : T[u] += S[c] + x;
      }
      E[1 - u] += _[d] / 2 - S[d] / 2, v.setPosition(b), g.setPosition(T), y.setPosition(E);
      var A = {
        x: 0,
        y: 0
      };
      if (A[c] = C ? l[c] : _[c], A[d] = Math.max(_[d], S[d]), A[f] = Math.min(0, S[f] + E[1 - u]), g.__rectSize = l[c], C) {
        var N = {
          x: 0,
          y: 0
        };
        N[c] = Math.max(l[c] - S[c] - x, 0), N[d] = A[d], g.setClipPath(new Rect$2({
          shape: N
        })), g.__rectSize = N[c];
      } else
        y.eachChild(function(L) {
          L.attr({
            invisible: !0,
            silent: !0
          });
        });
      var P = this._getPageInfo(o);
      return P.pageIndex != null && updateProps$1(
        v,
        {
          x: P.contentPosition[0],
          y: P.contentPosition[1]
        },
        // When switch from "show controller" to "not show controller", view should be
        // updated immediately without animation, otherwise causes weird effect.
        C ? o : null
      ), this._updatePageInfoView(o, P), A;
    }, a.prototype._pageGo = function(o, s, l) {
      var u = this._getPageInfo(s)[o];
      u != null && l.dispatchAction({
        type: "legendScroll",
        scrollDataIndex: u,
        legendId: s.id
      });
    }, a.prototype._updatePageInfoView = function(o, s) {
      var l = this._controllerGroup;
      each$f(["pagePrev", "pageNext"], function(v) {
        var g = v + "DataIndex", y = s[g] != null, _ = l.childOfName(v);
        _ && (_.setStyle("fill", y ? o.get("pageIconColor", !0) : o.get("pageIconInactiveColor", !0)), _.cursor = y ? "pointer" : "default");
      });
      var u = l.childOfName("pageText"), c = o.get("pageFormatter"), d = s.pageIndex, f = d != null ? d + 1 : 0, p = s.pageCount;
      u && c && u.setStyle("text", isString(c) ? c.replace("{current}", f == null ? "" : f + "").replace("{total}", p == null ? "" : p + "") : c({
        current: f,
        total: p
      }));
    }, a.prototype._getPageInfo = function(o) {
      var s = o.get("scrollDataIndex", !0), l = this.getContentGroup(), u = this._containerGroup.__rectSize, c = o.getOrient().index, d = WH[c], f = XY[c], p = this._findTargetItemIndex(s), v = l.children(), g = v[p], y = v.length, _ = y ? 1 : 0, S = {
        contentPosition: [l.x, l.y],
        pageCount: _,
        pageIndex: _ - 1,
        pagePrevDataIndex: null,
        pageNextDataIndex: null
      };
      if (!g)
        return S;
      var C = $(g);
      S.contentPosition[c] = -C.s;
      for (var b = p + 1, T = C, E = C, x = null; b <= y; ++b)
        x = $(v[b]), // Half of the last item is out of the window.
        (!x && E.e > T.s + u || x && !A(x, T.s)) && (E.i > T.i ? T = E : T = x, T && (S.pageNextDataIndex == null && (S.pageNextDataIndex = T.i), ++S.pageCount)), E = x;
      for (var b = p - 1, T = C, E = C, x = null; b >= -1; --b)
        x = $(v[b]), // If the the end item does not intersect with the window started
        // from the current item, a page can be settled.
        (!x || !A(E, x.s)) && T.i < E.i && (E = T, S.pagePrevDataIndex == null && (S.pagePrevDataIndex = T.i), ++S.pageCount, ++S.pageIndex), T = x;
      return S;
      function $(N) {
        if (N) {
          var P = N.getBoundingRect(), L = P[f] + N[f];
          return {
            s: L,
            e: L + P[d],
            i: N.__legendDataIndex
          };
        }
      }
      function A(N, P) {
        return N.e >= P && N.s <= P + u;
      }
    }, a.prototype._findTargetItemIndex = function(o) {
      if (!this._showController)
        return 0;
      var s, l = this.getContentGroup(), u;
      return l.eachChild(function(c, d) {
        var f = c.__legendDataIndex;
        u == null && f != null && (u = d), f === o && (s = d);
      }), s ?? u;
    }, a.type = "legend.scroll", a;
  }(LegendView)
);
function installScrollableLegendAction(r) {
  r.registerAction("legendScroll", "legendscroll", function(a, o) {
    var s = a.scrollDataIndex;
    s != null && o.eachComponent({
      mainType: "legend",
      subType: "scroll",
      query: a
    }, function(l) {
      l.setScrollDataIndex(s);
    });
  });
}
function install$b(r) {
  use(install$c), r.registerComponentModel(ScrollableLegendModel), r.registerComponentView(ScrollableLegendView), installScrollableLegendAction(r);
}
function install$a(r) {
  use(install$c), use(install$b);
}
var InsideZoomModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.type = "dataZoom.inside", a.defaultOption = inheritDefaultOption(DataZoomModel.defaultOption, {
      disabled: !1,
      zoomLock: !1,
      zoomOnMouseWheel: !0,
      moveOnMouseMove: !0,
      moveOnMouseWheel: !1,
      preventDefaultMouseMove: !0
    }), a;
  }(DataZoomModel)
), inner$1 = makeInner();
function setViewInfoToCoordSysRecord(r, a, o) {
  inner$1(r).coordSysRecordMap.each(function(s) {
    var l = s.dataZoomInfoMap.get(a.uid);
    l && (l.getRange = o);
  });
}
function disposeCoordSysRecordIfNeeded(r, a) {
  for (var o = inner$1(r).coordSysRecordMap, s = o.keys(), l = 0; l < s.length; l++) {
    var u = s[l], c = o.get(u), d = c.dataZoomInfoMap;
    if (d) {
      var f = a.uid, p = d.get(f);
      p && (d.removeKey(f), d.keys().length || disposeCoordSysRecord(o, c));
    }
  }
}
function disposeCoordSysRecord(r, a) {
  if (a) {
    r.removeKey(a.model.uid);
    var o = a.controller;
    o && o.dispose();
  }
}
function createCoordSysRecord(r, a) {
  var o = {
    model: a,
    containsPoint: curry$1(containsPoint, a),
    dispatchAction: curry$1(dispatchAction, r),
    dataZoomInfoMap: null,
    controller: null
  }, s = o.controller = new RoamController(r.getZr());
  return each$f(["pan", "zoom", "scrollMove"], function(l) {
    s.on(l, function(u) {
      var c = [];
      o.dataZoomInfoMap.each(function(d) {
        if (u.isAvailableBehavior(d.model.option)) {
          var f = (d.getRange || {})[l], p = f && f(d.dzReferCoordSysInfo, o.model.mainType, o.controller, u);
          !d.model.get("disabled", !0) && p && c.push({
            dataZoomId: d.model.id,
            start: p[0],
            end: p[1]
          });
        }
      }), c.length && o.dispatchAction(c);
    });
  }), o;
}
function dispatchAction(r, a) {
  r.isDisposed() || r.dispatchAction({
    type: "dataZoom",
    animation: {
      easing: "cubicOut",
      duration: 100
    },
    batch: a
  });
}
function containsPoint(r, a, o, s) {
  return r.coordinateSystem.containPoint([o, s]);
}
function mergeControllerParams(r) {
  var a, o = "type_", s = {
    type_true: 2,
    type_move: 1,
    type_false: 0,
    type_undefined: -1
  }, l = !0;
  return r.each(function(u) {
    var c = u.model, d = c.get("disabled", !0) ? !1 : c.get("zoomLock", !0) ? "move" : !0;
    s[o + d] > s[o + a] && (a = d), l = l && c.get("preventDefaultMouseMove", !0);
  }), {
    controlType: a,
    opt: {
      // RoamController will enable all of these functionalities,
      // and the final behavior is determined by its event listener
      // provided by each inside zoom.
      zoomOnMouseWheel: !0,
      moveOnMouseMove: !0,
      moveOnMouseWheel: !0,
      preventDefaultMouseMove: !!l
    }
  };
}
function installDataZoomRoamProcessor(r) {
  r.registerProcessor(r.PRIORITY.PROCESSOR.FILTER, function(a, o) {
    var s = inner$1(o), l = s.coordSysRecordMap || (s.coordSysRecordMap = createHashMap());
    l.each(function(u) {
      u.dataZoomInfoMap = null;
    }), a.eachComponent({
      mainType: "dataZoom",
      subType: "inside"
    }, function(u) {
      var c = collectReferCoordSysModelInfo(u);
      each$f(c.infoList, function(d) {
        var f = d.model.uid, p = l.get(f) || l.set(f, createCoordSysRecord(o, d.model)), v = p.dataZoomInfoMap || (p.dataZoomInfoMap = createHashMap());
        v.set(u.uid, {
          dzReferCoordSysInfo: d,
          model: u,
          getRange: null
        });
      });
    }), l.each(function(u) {
      var c = u.controller, d, f = u.dataZoomInfoMap;
      if (f) {
        var p = f.keys()[0];
        p != null && (d = f.get(p));
      }
      if (!d) {
        disposeCoordSysRecord(l, u);
        return;
      }
      var v = mergeControllerParams(f);
      c.enable(v.controlType, v.opt), c.setPointerChecker(u.containsPoint), createOrUpdate(u, "dispatchAction", d.model.get("throttle", !0), "fixRate");
    });
  });
}
var InsideZoomView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = "dataZoom.inside", o;
    }
    return a.prototype.render = function(o, s, l) {
      if (r.prototype.render.apply(this, arguments), o.noTarget()) {
        this._clear();
        return;
      }
      this.range = o.getPercentRange(), setViewInfoToCoordSysRecord(l, o, {
        pan: bind$1(getRangeHandlers.pan, this),
        zoom: bind$1(getRangeHandlers.zoom, this),
        scrollMove: bind$1(getRangeHandlers.scrollMove, this)
      });
    }, a.prototype.dispose = function() {
      this._clear(), r.prototype.dispose.apply(this, arguments);
    }, a.prototype._clear = function() {
      disposeCoordSysRecordIfNeeded(this.api, this.dataZoomModel), this.range = null;
    }, a.type = "dataZoom.inside", a;
  }(DataZoomView)
), getRangeHandlers = {
  zoom: function(r, a, o, s) {
    var l = this.range, u = l.slice(), c = r.axisModels[0];
    if (c) {
      var d = getDirectionInfo[a](null, [s.originX, s.originY], c, o, r), f = (d.signal > 0 ? d.pixelStart + d.pixelLength - d.pixel : d.pixel - d.pixelStart) / d.pixelLength * (u[1] - u[0]) + u[0], p = Math.max(1 / s.scale, 0);
      u[0] = (u[0] - f) * p + f, u[1] = (u[1] - f) * p + f;
      var v = this.dataZoomModel.findRepresentativeAxisProxy().getMinMaxSpan();
      if (sliderMove(0, u, [0, 100], 0, v.minSpan, v.maxSpan), this.range = u, l[0] !== u[0] || l[1] !== u[1])
        return u;
    }
  },
  pan: makeMover(function(r, a, o, s, l, u) {
    var c = getDirectionInfo[s]([u.oldX, u.oldY], [u.newX, u.newY], a, l, o);
    return c.signal * (r[1] - r[0]) * c.pixel / c.pixelLength;
  }),
  scrollMove: makeMover(function(r, a, o, s, l, u) {
    var c = getDirectionInfo[s]([0, 0], [u.scrollDelta, u.scrollDelta], a, l, o);
    return c.signal * (r[1] - r[0]) * u.scrollDelta;
  })
};
function makeMover(r) {
  return function(a, o, s, l) {
    var u = this.range, c = u.slice(), d = a.axisModels[0];
    if (d) {
      var f = r(c, d, a, o, s, l);
      if (sliderMove(f, c, [0, 100], "all"), this.range = c, u[0] !== c[0] || u[1] !== c[1])
        return c;
    }
  };
}
var getDirectionInfo = {
  grid: function(r, a, o, s, l) {
    var u = o.axis, c = {}, d = l.model.coordinateSystem.getRect();
    return r = r || [0, 0], u.dim === "x" ? (c.pixel = a[0] - r[0], c.pixelLength = d.width, c.pixelStart = d.x, c.signal = u.inverse ? 1 : -1) : (c.pixel = a[1] - r[1], c.pixelLength = d.height, c.pixelStart = d.y, c.signal = u.inverse ? -1 : 1), c;
  },
  polar: function(r, a, o, s, l) {
    var u = o.axis, c = {}, d = l.model.coordinateSystem, f = d.getRadiusAxis().getExtent(), p = d.getAngleAxis().getExtent();
    return r = r ? d.pointToCoord(r) : [0, 0], a = d.pointToCoord(a), o.mainType === "radiusAxis" ? (c.pixel = a[0] - r[0], c.pixelLength = f[1] - f[0], c.pixelStart = f[0], c.signal = u.inverse ? 1 : -1) : (c.pixel = a[1] - r[1], c.pixelLength = p[1] - p[0], c.pixelStart = p[0], c.signal = u.inverse ? -1 : 1), c;
  },
  singleAxis: function(r, a, o, s, l) {
    var u = o.axis, c = l.model.coordinateSystem.getRect(), d = {};
    return r = r || [0, 0], u.orient === "horizontal" ? (d.pixel = a[0] - r[0], d.pixelLength = c.width, d.pixelStart = c.x, d.signal = u.inverse ? 1 : -1) : (d.pixel = a[1] - r[1], d.pixelLength = c.height, d.pixelStart = c.y, d.signal = u.inverse ? -1 : 1), d;
  }
};
function install$9(r) {
  installCommon$1(r), r.registerComponentModel(InsideZoomModel), r.registerComponentView(InsideZoomView), installDataZoomRoamProcessor(r);
}
var SliderZoomModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.type = "dataZoom.slider", a.layoutMode = "box", a.defaultOption = inheritDefaultOption(DataZoomModel.defaultOption, {
      show: !0,
      // deault value can only be drived in view stage.
      right: "ph",
      top: "ph",
      width: "ph",
      height: "ph",
      left: null,
      bottom: null,
      borderColor: "#d2dbee",
      borderRadius: 3,
      backgroundColor: "rgba(47,69,84,0)",
      // dataBackgroundColor: '#ddd',
      dataBackground: {
        lineStyle: {
          color: "#d2dbee",
          width: 0.5
        },
        areaStyle: {
          color: "#d2dbee",
          opacity: 0.2
        }
      },
      selectedDataBackground: {
        lineStyle: {
          color: "#8fb0f7",
          width: 0.5
        },
        areaStyle: {
          color: "#8fb0f7",
          opacity: 0.2
        }
      },
      // Color of selected window.
      fillerColor: "rgba(135,175,274,0.2)",
      handleIcon: "path://M-9.35,34.56V42m0-40V9.5m-2,0h4a2,2,0,0,1,2,2v21a2,2,0,0,1-2,2h-4a2,2,0,0,1-2-2v-21A2,2,0,0,1-11.35,9.5Z",
      // Percent of the slider height
      handleSize: "100%",
      handleStyle: {
        color: "#fff",
        borderColor: "#ACB8D1"
      },
      moveHandleSize: 7,
      moveHandleIcon: "path://M-320.9-50L-320.9-50c18.1,0,27.1,9,27.1,27.1V85.7c0,18.1-9,27.1-27.1,27.1l0,0c-18.1,0-27.1-9-27.1-27.1V-22.9C-348-41-339-50-320.9-50z M-212.3-50L-212.3-50c18.1,0,27.1,9,27.1,27.1V85.7c0,18.1-9,27.1-27.1,27.1l0,0c-18.1,0-27.1-9-27.1-27.1V-22.9C-239.4-41-230.4-50-212.3-50z M-103.7-50L-103.7-50c18.1,0,27.1,9,27.1,27.1V85.7c0,18.1-9,27.1-27.1,27.1l0,0c-18.1,0-27.1-9-27.1-27.1V-22.9C-130.9-41-121.8-50-103.7-50z",
      moveHandleStyle: {
        color: "#D2DBEE",
        opacity: 0.7
      },
      showDetail: !0,
      showDataShadow: "auto",
      realtime: !0,
      zoomLock: !1,
      textStyle: {
        color: "#6E7079"
      },
      brushSelect: !0,
      brushStyle: {
        color: "rgba(135,175,274,0.15)"
      },
      emphasis: {
        handleLabel: {
          show: !0
        },
        handleStyle: {
          borderColor: "#8FB0F7"
        },
        moveHandleStyle: {
          color: "#8FB0F7"
        }
      }
    }), a;
  }(DataZoomModel)
), Rect = Rect$2, DEFAULT_LOCATION_EDGE_GAP = 7, DEFAULT_FRAME_BORDER_WIDTH = 1, DEFAULT_FILLER_SIZE = 30, DEFAULT_MOVE_HANDLE_SIZE = 7, HORIZONTAL = "horizontal", VERTICAL = "vertical", LABEL_GAP = 5, SHOW_DATA_SHADOW_SERIES_TYPE = ["line", "bar", "candlestick", "scatter"], REALTIME_ANIMATION_CONFIG = {
  easing: "cubicOut",
  duration: 100,
  delay: 0
}, SliderZoomView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o._displayables = {}, o;
    }
    return a.prototype.init = function(o, s) {
      this.api = s, this._onBrush = bind$1(this._onBrush, this), this._onBrushEnd = bind$1(this._onBrushEnd, this);
    }, a.prototype.render = function(o, s, l, u) {
      if (r.prototype.render.apply(this, arguments), createOrUpdate(this, "_dispatchZoomAction", o.get("throttle"), "fixRate"), this._orient = o.getOrient(), o.get("show") === !1) {
        this.group.removeAll();
        return;
      }
      if (o.noTarget()) {
        this._clear(), this.group.removeAll();
        return;
      }
      (!u || u.type !== "dataZoom" || u.from !== this.uid) && this._buildView(), this._updateView();
    }, a.prototype.dispose = function() {
      this._clear(), r.prototype.dispose.apply(this, arguments);
    }, a.prototype._clear = function() {
      clear$1(this, "_dispatchZoomAction");
      var o = this.api.getZr();
      o.off("mousemove", this._onBrush), o.off("mouseup", this._onBrushEnd);
    }, a.prototype._buildView = function() {
      var o = this.group;
      o.removeAll(), this._brushing = !1, this._displayables.brushRect = null, this._resetLocation(), this._resetInterval();
      var s = this._displayables.sliderGroup = new Group$3();
      this._renderBackground(), this._renderHandle(), this._renderDataShadow(), o.add(s), this._positionGroup();
    }, a.prototype._resetLocation = function() {
      var o = this.dataZoomModel, s = this.api, l = o.get("brushSelect"), u = l ? DEFAULT_MOVE_HANDLE_SIZE : 0, c = this._findCoordRect(), d = {
        width: s.getWidth(),
        height: s.getHeight()
      }, f = this._orient === HORIZONTAL ? {
        // Why using 'right', because right should be used in vertical,
        // and it is better to be consistent for dealing with position param merge.
        right: d.width - c.x - c.width,
        top: d.height - DEFAULT_FILLER_SIZE - DEFAULT_LOCATION_EDGE_GAP - u,
        width: c.width,
        height: DEFAULT_FILLER_SIZE
      } : {
        right: DEFAULT_LOCATION_EDGE_GAP,
        top: c.y,
        width: DEFAULT_FILLER_SIZE,
        height: c.height
      }, p = getLayoutParams(o.option);
      each$f(["right", "top", "width", "height"], function(g) {
        p[g] === "ph" && (p[g] = f[g]);
      });
      var v = getLayoutRect(p, d);
      this._location = {
        x: v.x,
        y: v.y
      }, this._size = [v.width, v.height], this._orient === VERTICAL && this._size.reverse();
    }, a.prototype._positionGroup = function() {
      var o = this.group, s = this._location, l = this._orient, u = this.dataZoomModel.getFirstTargetAxisModel(), c = u && u.get("inverse"), d = this._displayables.sliderGroup, f = (this._dataShadowInfo || {}).otherAxisInverse;
      d.attr(l === HORIZONTAL && !c ? {
        scaleY: f ? 1 : -1,
        scaleX: 1
      } : l === HORIZONTAL && c ? {
        scaleY: f ? 1 : -1,
        scaleX: -1
      } : l === VERTICAL && !c ? {
        scaleY: f ? -1 : 1,
        scaleX: 1,
        rotation: Math.PI / 2
      } : {
        scaleY: f ? -1 : 1,
        scaleX: -1,
        rotation: Math.PI / 2
      });
      var p = o.getBoundingRect([d]);
      o.x = s.x - p.x, o.y = s.y - p.y, o.markRedraw();
    }, a.prototype._getViewExtent = function() {
      return [0, this._size[0]];
    }, a.prototype._renderBackground = function() {
      var o = this.dataZoomModel, s = this._size, l = this._displayables.sliderGroup, u = o.get("brushSelect");
      l.add(new Rect({
        silent: !0,
        shape: {
          x: 0,
          y: 0,
          width: s[0],
          height: s[1]
        },
        style: {
          fill: o.get("backgroundColor")
        },
        z2: -40
      }));
      var c = new Rect({
        shape: {
          x: 0,
          y: 0,
          width: s[0],
          height: s[1]
        },
        style: {
          fill: "transparent"
        },
        z2: 0,
        onclick: bind$1(this._onClickPanel, this)
      }), d = this.api.getZr();
      u ? (c.on("mousedown", this._onBrushStart, this), c.cursor = "crosshair", d.on("mousemove", this._onBrush), d.on("mouseup", this._onBrushEnd)) : (d.off("mousemove", this._onBrush), d.off("mouseup", this._onBrushEnd)), l.add(c);
    }, a.prototype._renderDataShadow = function() {
      var o = this._dataShadowInfo = this._prepareDataShadowInfo();
      if (this._displayables.dataShadowSegs = [], !o)
        return;
      var s = this._size, l = this._shadowSize || [], u = o.series, c = u.getRawData(), d = u.getShadowDim && u.getShadowDim(), f = d && c.getDimensionInfo(d) ? u.getShadowDim() : o.otherDim;
      if (f == null)
        return;
      var p = this._shadowPolygonPts, v = this._shadowPolylinePts;
      if (c !== this._shadowData || f !== this._shadowDim || s[0] !== l[0] || s[1] !== l[1]) {
        var g = c.getDataExtent(f), y = (g[1] - g[0]) * 0.3;
        g = [g[0] - y, g[1] + y];
        var _ = [0, s[1]], S = [0, s[0]], C = [[s[0], 0], [0, 0]], b = [], T = S[1] / (c.count() - 1), E = 0, x = Math.round(c.count() / s[0]), $;
        c.each([f], function(O, M) {
          if (x > 0 && M % x) {
            E += T;
            return;
          }
          var F = O == null || isNaN(O) || O === "", U = F ? 0 : linearMap$2(O, g, _, !0);
          F && !$ && M ? (C.push([C[C.length - 1][0], 0]), b.push([b[b.length - 1][0], 0])) : !F && $ && (C.push([E, 0]), b.push([E, 0])), C.push([E, U]), b.push([E, U]), E += T, $ = F;
        }), p = this._shadowPolygonPts = C, v = this._shadowPolylinePts = b;
      }
      this._shadowData = c, this._shadowDim = f, this._shadowSize = [s[0], s[1]];
      var A = this.dataZoomModel;
      function N(O) {
        var M = A.getModel(O ? "selectedDataBackground" : "dataBackground"), F = new Group$3(), U = new Polygon({
          shape: {
            points: p
          },
          segmentIgnoreThreshold: 1,
          style: M.getModel("areaStyle").getAreaStyle(),
          silent: !0,
          z2: -20
        }), R = new Polyline$1({
          shape: {
            points: v
          },
          segmentIgnoreThreshold: 1,
          style: M.getModel("lineStyle").getLineStyle(),
          silent: !0,
          z2: -19
        });
        return F.add(U), F.add(R), F;
      }
      for (var P = 0; P < 3; P++) {
        var L = N(P === 1);
        this._displayables.sliderGroup.add(L), this._displayables.dataShadowSegs.push(L);
      }
    }, a.prototype._prepareDataShadowInfo = function() {
      var o = this.dataZoomModel, s = o.get("showDataShadow");
      if (s !== !1) {
        var l, u = this.ecModel;
        return o.eachTargetAxis(function(c, d) {
          var f = o.getAxisProxy(c, d).getTargetSeriesModels();
          each$f(f, function(p) {
            if (!l && !(s !== !0 && indexOf(SHOW_DATA_SHADOW_SERIES_TYPE, p.get("type")) < 0)) {
              var v = u.getComponent(getAxisMainType(c), d).axis, g = getOtherDim(c), y, _ = p.coordinateSystem;
              g != null && _.getOtherAxis && (y = _.getOtherAxis(v).inverse), g = p.getData().mapDimension(g), l = {
                thisAxis: v,
                series: p,
                thisDim: c,
                otherDim: g,
                otherAxisInverse: y
              };
            }
          }, this);
        }, this), l;
      }
    }, a.prototype._renderHandle = function() {
      var o = this.group, s = this._displayables, l = s.handles = [null, null], u = s.handleLabels = [null, null], c = this._displayables.sliderGroup, d = this._size, f = this.dataZoomModel, p = this.api, v = f.get("borderRadius") || 0, g = f.get("brushSelect"), y = s.filler = new Rect({
        silent: g,
        style: {
          fill: f.get("fillerColor")
        },
        textConfig: {
          position: "inside"
        }
      });
      c.add(y), c.add(new Rect({
        silent: !0,
        subPixelOptimize: !0,
        shape: {
          x: 0,
          y: 0,
          width: d[0],
          height: d[1],
          r: v
        },
        style: {
          // deprecated option
          stroke: f.get("dataBackgroundColor") || f.get("borderColor"),
          lineWidth: DEFAULT_FRAME_BORDER_WIDTH,
          fill: "rgba(0,0,0,0)"
        }
      })), each$f([0, 1], function(x) {
        var $ = f.get("handleIcon");
        !symbolBuildProxies[$] && $.indexOf("path://") < 0 && $.indexOf("image://") < 0 && ($ = "path://" + $, process.env.NODE_ENV !== "production" && deprecateLog("handleIcon now needs 'path://' prefix when using a path string"));
        var A = createSymbol$1($, -1, 0, 2, 2, null, !0);
        A.attr({
          cursor: getCursor$1(this._orient),
          draggable: !0,
          drift: bind$1(this._onDragMove, this, x),
          ondragend: bind$1(this._onDragEnd, this),
          onmouseover: bind$1(this._showDataInfo, this, !0),
          onmouseout: bind$1(this._showDataInfo, this, !1),
          z2: 5
        });
        var N = A.getBoundingRect(), P = f.get("handleSize");
        this._handleHeight = parsePercent(P, this._size[1]), this._handleWidth = N.width / N.height * this._handleHeight, A.setStyle(f.getModel("handleStyle").getItemStyle()), A.style.strokeNoScale = !0, A.rectHover = !0, A.ensureState("emphasis").style = f.getModel(["emphasis", "handleStyle"]).getItemStyle(), enableHoverEmphasis(A);
        var L = f.get("handleColor");
        L != null && (A.style.fill = L), c.add(l[x] = A);
        var O = f.getModel("textStyle"), M = f.get("handleLabel") || {}, F = M.show || !1;
        o.add(u[x] = new ZRText({
          silent: !0,
          invisible: !F,
          style: createTextStyle$1(O, {
            x: 0,
            y: 0,
            text: "",
            verticalAlign: "middle",
            align: "center",
            fill: O.getTextColor(),
            font: O.getFont()
          }),
          z2: 10
        }));
      }, this);
      var _ = y;
      if (g) {
        var S = parsePercent(f.get("moveHandleSize"), d[1]), C = s.moveHandle = new Rect$2({
          style: f.getModel("moveHandleStyle").getItemStyle(),
          silent: !0,
          shape: {
            r: [0, 0, 2, 2],
            y: d[1] - 0.5,
            height: S
          }
        }), b = S * 0.8, T = s.moveHandleIcon = createSymbol$1(f.get("moveHandleIcon"), -b / 2, -b / 2, b, b, "#fff", !0);
        T.silent = !0, T.y = d[1] + S / 2 - 0.5, C.ensureState("emphasis").style = f.getModel(["emphasis", "moveHandleStyle"]).getItemStyle();
        var E = Math.min(d[1] / 2, Math.max(S, 10));
        _ = s.moveZone = new Rect$2({
          invisible: !0,
          shape: {
            y: d[1] - E,
            height: S + E
          }
        }), _.on("mouseover", function() {
          p.enterEmphasis(C);
        }).on("mouseout", function() {
          p.leaveEmphasis(C);
        }), c.add(C), c.add(T), c.add(_);
      }
      _.attr({
        draggable: !0,
        cursor: getCursor$1(this._orient),
        drift: bind$1(this._onDragMove, this, "all"),
        ondragstart: bind$1(this._showDataInfo, this, !0),
        ondragend: bind$1(this._onDragEnd, this),
        onmouseover: bind$1(this._showDataInfo, this, !0),
        onmouseout: bind$1(this._showDataInfo, this, !1)
      });
    }, a.prototype._resetInterval = function() {
      var o = this._range = this.dataZoomModel.getPercentRange(), s = this._getViewExtent();
      this._handleEnds = [linearMap$2(o[0], [0, 100], s, !0), linearMap$2(o[1], [0, 100], s, !0)];
    }, a.prototype._updateInterval = function(o, s) {
      var l = this.dataZoomModel, u = this._handleEnds, c = this._getViewExtent(), d = l.findRepresentativeAxisProxy().getMinMaxSpan(), f = [0, 100];
      sliderMove(s, u, c, l.get("zoomLock") ? "all" : o, d.minSpan != null ? linearMap$2(d.minSpan, f, c, !0) : null, d.maxSpan != null ? linearMap$2(d.maxSpan, f, c, !0) : null);
      var p = this._range, v = this._range = asc$2([linearMap$2(u[0], c, f, !0), linearMap$2(u[1], c, f, !0)]);
      return !p || p[0] !== v[0] || p[1] !== v[1];
    }, a.prototype._updateView = function(o) {
      var s = this._displayables, l = this._handleEnds, u = asc$2(l.slice()), c = this._size;
      each$f([0, 1], function(_) {
        var S = s.handles[_], C = this._handleHeight;
        S.attr({
          scaleX: C / 2,
          scaleY: C / 2,
          // This is a trick, by adding an extra tiny offset to let the default handle's end point align to the drag window.
          // NOTE: It may affect some custom shapes a bit. But we prefer to have better result by default.
          x: l[_] + (_ ? -1 : 1),
          y: c[1] / 2 - C / 2
        });
      }, this), s.filler.setShape({
        x: u[0],
        y: 0,
        width: u[1] - u[0],
        height: c[1]
      });
      var d = {
        x: u[0],
        width: u[1] - u[0]
      };
      s.moveHandle && (s.moveHandle.setShape(d), s.moveZone.setShape(d), s.moveZone.getBoundingRect(), s.moveHandleIcon && s.moveHandleIcon.attr("x", d.x + d.width / 2));
      for (var f = s.dataShadowSegs, p = [0, u[0], u[1], c[0]], v = 0; v < f.length; v++) {
        var g = f[v], y = g.getClipPath();
        y || (y = new Rect$2(), g.setClipPath(y)), y.setShape({
          x: p[v],
          y: 0,
          width: p[v + 1] - p[v],
          height: c[1]
        });
      }
      this._updateDataInfo(o);
    }, a.prototype._updateDataInfo = function(o) {
      var s = this.dataZoomModel, l = this._displayables, u = l.handleLabels, c = this._orient, d = ["", ""];
      if (s.get("showDetail")) {
        var f = s.findRepresentativeAxisProxy();
        if (f) {
          var p = f.getAxisModel().axis, v = this._range, g = o ? f.calculateDataWindow({
            start: v[0],
            end: v[1]
          }).valueWindow : f.getDataValueWindow();
          d = [this._formatLabel(g[0], p), this._formatLabel(g[1], p)];
        }
      }
      var y = asc$2(this._handleEnds.slice());
      _.call(this, 0), _.call(this, 1);
      function _(S) {
        var C = getTransform$1(l.handles[S].parent, this.group), b = transformDirection(S === 0 ? "right" : "left", C), T = this._handleWidth / 2 + LABEL_GAP, E = applyTransform([y[S] + (S === 0 ? -T : T), this._size[1] / 2], C);
        u[S].setStyle({
          x: E[0],
          y: E[1],
          verticalAlign: c === HORIZONTAL ? "middle" : b,
          align: c === HORIZONTAL ? b : "center",
          text: d[S]
        });
      }
    }, a.prototype._formatLabel = function(o, s) {
      var l = this.dataZoomModel, u = l.get("labelFormatter"), c = l.get("labelPrecision");
      (c == null || c === "auto") && (c = s.getPixelPrecision());
      var d = o == null || isNaN(o) ? "" : s.type === "category" || s.type === "time" ? s.scale.getLabel({
        value: Math.round(o)
      }) : o.toFixed(Math.min(c, 20));
      return isFunction(u) ? u(o, d) : isString(u) ? u.replace("{value}", d) : d;
    }, a.prototype._showDataInfo = function(o) {
      var s = this.dataZoomModel.get("handleLabel") || {}, l = s.show || !1, u = this.dataZoomModel.getModel(["emphasis", "handleLabel"]), c = u.get("show") || !1, d = o || this._dragging ? c : l, f = this._displayables, p = f.handleLabels;
      p[0].attr("invisible", !d), p[1].attr("invisible", !d), f.moveHandle && this.api[d ? "enterEmphasis" : "leaveEmphasis"](f.moveHandle, 1);
    }, a.prototype._onDragMove = function(o, s, l, u) {
      this._dragging = !0, stop(u.event);
      var c = this._displayables.sliderGroup.getLocalTransform(), d = applyTransform([s, l], c, !0), f = this._updateInterval(o, d[0]), p = this.dataZoomModel.get("realtime");
      this._updateView(!p), f && p && this._dispatchZoomAction(!0);
    }, a.prototype._onDragEnd = function() {
      this._dragging = !1, this._showDataInfo(!1);
      var o = this.dataZoomModel.get("realtime");
      !o && this._dispatchZoomAction(!1);
    }, a.prototype._onClickPanel = function(o) {
      var s = this._size, l = this._displayables.sliderGroup.transformCoordToLocal(o.offsetX, o.offsetY);
      if (!(l[0] < 0 || l[0] > s[0] || l[1] < 0 || l[1] > s[1])) {
        var u = this._handleEnds, c = (u[0] + u[1]) / 2, d = this._updateInterval("all", l[0] - c);
        this._updateView(), d && this._dispatchZoomAction(!1);
      }
    }, a.prototype._onBrushStart = function(o) {
      var s = o.offsetX, l = o.offsetY;
      this._brushStart = new Point(s, l), this._brushing = !0, this._brushStartTime = +/* @__PURE__ */ new Date();
    }, a.prototype._onBrushEnd = function(o) {
      if (this._brushing) {
        var s = this._displayables.brushRect;
        if (this._brushing = !1, !!s) {
          s.attr("ignore", !0);
          var l = s.shape, u = +/* @__PURE__ */ new Date();
          if (!(u - this._brushStartTime < 200 && Math.abs(l.width) < 5)) {
            var c = this._getViewExtent(), d = [0, 100];
            this._range = asc$2([linearMap$2(l.x, c, d, !0), linearMap$2(l.x + l.width, c, d, !0)]), this._handleEnds = [l.x, l.x + l.width], this._updateView(), this._dispatchZoomAction(!1);
          }
        }
      }
    }, a.prototype._onBrush = function(o) {
      this._brushing && (stop(o.event), this._updateBrushRect(o.offsetX, o.offsetY));
    }, a.prototype._updateBrushRect = function(o, s) {
      var l = this._displayables, u = this.dataZoomModel, c = l.brushRect;
      c || (c = l.brushRect = new Rect({
        silent: !0,
        style: u.getModel("brushStyle").getItemStyle()
      }), l.sliderGroup.add(c)), c.attr("ignore", !1);
      var d = this._brushStart, f = this._displayables.sliderGroup, p = f.transformCoordToLocal(o, s), v = f.transformCoordToLocal(d.x, d.y), g = this._size;
      p[0] = Math.max(Math.min(g[0], p[0]), 0), c.setShape({
        x: v[0],
        y: 0,
        width: p[0] - v[0],
        height: g[1]
      });
    }, a.prototype._dispatchZoomAction = function(o) {
      var s = this._range;
      this.api.dispatchAction({
        type: "dataZoom",
        from: this.uid,
        dataZoomId: this.dataZoomModel.id,
        animation: o ? REALTIME_ANIMATION_CONFIG : null,
        start: s[0],
        end: s[1]
      });
    }, a.prototype._findCoordRect = function() {
      var o, s = collectReferCoordSysModelInfo(this.dataZoomModel).infoList;
      if (!o && s.length) {
        var l = s[0].model.coordinateSystem;
        o = l.getRect && l.getRect();
      }
      if (!o) {
        var u = this.api.getWidth(), c = this.api.getHeight();
        o = {
          x: u * 0.2,
          y: c * 0.2,
          width: u * 0.6,
          height: c * 0.6
        };
      }
      return o;
    }, a.type = "dataZoom.slider", a;
  }(DataZoomView)
);
function getOtherDim(r) {
  var a = {
    x: "y",
    y: "x",
    radius: "angle",
    angle: "radius"
  };
  return a[r];
}
function getCursor$1(r) {
  return r === "vertical" ? "ns-resize" : "ew-resize";
}
function install$8(r) {
  r.registerComponentModel(SliderZoomModel), r.registerComponentView(SliderZoomView), installCommon$1(r);
}
function install$7(r) {
  use(install$9), use(install$8);
}
var visualDefault = {
  /**
   * @public
   */
  get: function(r, a, o) {
    var s = clone$4((defaultOption[r] || {})[a]);
    return o && isArray$1(s) ? s[s.length - 1] : s;
  }
}, defaultOption = {
  color: {
    active: ["#006edd", "#e0ffff"],
    inactive: ["rgba(0,0,0,0)"]
  },
  colorHue: {
    active: [0, 360],
    inactive: [0, 0]
  },
  colorSaturation: {
    active: [0.3, 1],
    inactive: [0, 0]
  },
  colorLightness: {
    active: [0.9, 0.5],
    inactive: [0, 0]
  },
  colorAlpha: {
    active: [0.3, 1],
    inactive: [0, 0]
  },
  opacity: {
    active: [0.3, 1],
    inactive: [0, 0]
  },
  symbol: {
    active: ["circle", "roundRect", "diamond"],
    inactive: ["none"]
  },
  symbolSize: {
    active: [10, 50],
    inactive: [0, 0]
  }
}, mapVisual = VisualMapping.mapVisual, eachVisual = VisualMapping.eachVisual, isArray = isArray$1, each$2 = each$f, asc = asc$2, linearMap$1 = linearMap$2, VisualMapModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.stateList = ["inRange", "outOfRange"], o.replacableOptionKeys = ["inRange", "outOfRange", "target", "controller", "color"], o.layoutMode = {
        type: "box",
        ignoreSize: !0
      }, o.dataBound = [-1 / 0, 1 / 0], o.targetVisuals = {}, o.controllerVisuals = {}, o;
    }
    return a.prototype.init = function(o, s, l) {
      this.mergeDefaultAndTheme(o, l);
    }, a.prototype.optionUpdated = function(o, s) {
      var l = this.option;
      !s && replaceVisualOption(l, o, this.replacableOptionKeys), this.textStyleModel = this.getModel("textStyle"), this.resetItemSize(), this.completeVisualOption();
    }, a.prototype.resetVisual = function(o) {
      var s = this.stateList;
      o = bind$1(o, this), this.controllerVisuals = createVisualMappings(this.option.controller, s, o), this.targetVisuals = createVisualMappings(this.option.target, s, o);
    }, a.prototype.getItemSymbol = function() {
      return null;
    }, a.prototype.getTargetSeriesIndices = function() {
      var o = this.option.seriesIndex, s = [];
      return o == null || o === "all" ? this.ecModel.eachSeries(function(l, u) {
        s.push(u);
      }) : s = normalizeToArray(o), s;
    }, a.prototype.eachTargetSeries = function(o, s) {
      each$f(this.getTargetSeriesIndices(), function(l) {
        var u = this.ecModel.getSeriesByIndex(l);
        u && o.call(s, u);
      }, this);
    }, a.prototype.isTargetSeries = function(o) {
      var s = !1;
      return this.eachTargetSeries(function(l) {
        l === o && (s = !0);
      }), s;
    }, a.prototype.formatValueText = function(o, s, l) {
      var u = this.option, c = u.precision, d = this.dataBound, f = u.formatter, p;
      l = l || ["<", ">"], isArray$1(o) && (o = o.slice(), p = !0);
      var v = s ? o : p ? [g(o[0]), g(o[1])] : g(o);
      if (isString(f))
        return f.replace("{value}", p ? v[0] : v).replace("{value2}", p ? v[1] : v);
      if (isFunction(f))
        return p ? f(o[0], o[1]) : f(o);
      if (p)
        return o[0] === d[0] ? l[0] + " " + v[1] : o[1] === d[1] ? l[1] + " " + v[0] : v[0] + " - " + v[1];
      return v;
      function g(y) {
        return y === d[0] ? "min" : y === d[1] ? "max" : (+y).toFixed(Math.min(c, 20));
      }
    }, a.prototype.resetExtent = function() {
      var o = this.option, s = asc([o.min, o.max]);
      this._dataExtent = s;
    }, a.prototype.getDataDimensionIndex = function(o) {
      var s = this.option.dimension;
      if (s != null)
        return o.getDimensionIndex(s);
      for (var l = o.dimensions, u = l.length - 1; u >= 0; u--) {
        var c = l[u], d = o.getDimensionInfo(c);
        if (!d.isCalculationCoord)
          return d.storeDimIndex;
      }
    }, a.prototype.getExtent = function() {
      return this._dataExtent.slice();
    }, a.prototype.completeVisualOption = function() {
      var o = this.ecModel, s = this.option, l = {
        inRange: s.inRange,
        outOfRange: s.outOfRange
      }, u = s.target || (s.target = {}), c = s.controller || (s.controller = {});
      merge(u, l), merge(c, l);
      var d = this.isCategory();
      f.call(this, u), f.call(this, c), p.call(this, u, "inRange", "outOfRange"), v.call(this, c);
      function f(g) {
        isArray(s.color) && !g.inRange && (g.inRange = {
          color: s.color.slice().reverse()
        }), g.inRange = g.inRange || {
          color: o.get("gradientColor")
        };
      }
      function p(g, y, _) {
        var S = g[y], C = g[_];
        S && !C && (C = g[_] = {}, each$2(S, function(b, T) {
          if (VisualMapping.isValidType(T)) {
            var E = visualDefault.get(T, "inactive", d);
            E != null && (C[T] = E, T === "color" && !C.hasOwnProperty("opacity") && !C.hasOwnProperty("colorAlpha") && (C.opacity = [0, 0]));
          }
        }));
      }
      function v(g) {
        var y = (g.inRange || {}).symbol || (g.outOfRange || {}).symbol, _ = (g.inRange || {}).symbolSize || (g.outOfRange || {}).symbolSize, S = this.get("inactiveColor"), C = this.getItemSymbol(), b = C || "roundRect";
        each$2(this.stateList, function(T) {
          var E = this.itemSize, x = g[T];
          x || (x = g[T] = {
            color: d ? S : [S]
          }), x.symbol == null && (x.symbol = y && clone$4(y) || (d ? b : [b])), x.symbolSize == null && (x.symbolSize = _ && clone$4(_) || (d ? E[0] : [E[0], E[0]])), x.symbol = mapVisual(x.symbol, function(N) {
            return N === "none" ? b : N;
          });
          var $ = x.symbolSize;
          if ($ != null) {
            var A = -1 / 0;
            eachVisual($, function(N) {
              N > A && (A = N);
            }), x.symbolSize = mapVisual($, function(N) {
              return linearMap$1(N, [0, A], [0, E[0]], !0);
            });
          }
        }, this);
      }
    }, a.prototype.resetItemSize = function() {
      this.itemSize = [parseFloat(this.get("itemWidth")), parseFloat(this.get("itemHeight"))];
    }, a.prototype.isCategory = function() {
      return !!this.option.categories;
    }, a.prototype.setSelected = function(o) {
    }, a.prototype.getSelected = function() {
      return null;
    }, a.prototype.getValueState = function(o) {
      return null;
    }, a.prototype.getVisualMeta = function(o) {
      return null;
    }, a.type = "visualMap", a.dependencies = ["series"], a.defaultOption = {
      show: !0,
      // zlevel: 0,
      z: 4,
      seriesIndex: "all",
      min: 0,
      max: 200,
      left: 0,
      right: null,
      top: null,
      bottom: 0,
      itemWidth: null,
      itemHeight: null,
      inverse: !1,
      orient: "vertical",
      backgroundColor: "rgba(0,0,0,0)",
      borderColor: "#ccc",
      contentColor: "#5793f3",
      inactiveColor: "#aaa",
      borderWidth: 0,
      padding: 5,
      // 接受数组分别设定上右下左边距，同css
      textGap: 10,
      precision: 0,
      textStyle: {
        color: "#333"
        // 值域文字颜色
      }
    }, a;
  }(ComponentModel)
), DEFAULT_BAR_BOUND = [20, 140], ContinuousModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.optionUpdated = function(o, s) {
      r.prototype.optionUpdated.apply(this, arguments), this.resetExtent(), this.resetVisual(function(l) {
        l.mappingMethod = "linear", l.dataExtent = this.getExtent();
      }), this._resetRange();
    }, a.prototype.resetItemSize = function() {
      r.prototype.resetItemSize.apply(this, arguments);
      var o = this.itemSize;
      (o[0] == null || isNaN(o[0])) && (o[0] = DEFAULT_BAR_BOUND[0]), (o[1] == null || isNaN(o[1])) && (o[1] = DEFAULT_BAR_BOUND[1]);
    }, a.prototype._resetRange = function() {
      var o = this.getExtent(), s = this.option.range;
      !s || s.auto ? (o.auto = 1, this.option.range = o) : isArray$1(s) && (s[0] > s[1] && s.reverse(), s[0] = Math.max(s[0], o[0]), s[1] = Math.min(s[1], o[1]));
    }, a.prototype.completeVisualOption = function() {
      r.prototype.completeVisualOption.apply(this, arguments), each$f(this.stateList, function(o) {
        var s = this.option.controller[o].symbolSize;
        s && s[0] !== s[1] && (s[0] = s[1] / 3);
      }, this);
    }, a.prototype.setSelected = function(o) {
      this.option.range = o.slice(), this._resetRange();
    }, a.prototype.getSelected = function() {
      var o = this.getExtent(), s = asc$2((this.get("range") || []).slice());
      return s[0] > o[1] && (s[0] = o[1]), s[1] > o[1] && (s[1] = o[1]), s[0] < o[0] && (s[0] = o[0]), s[1] < o[0] && (s[1] = o[0]), s;
    }, a.prototype.getValueState = function(o) {
      var s = this.option.range, l = this.getExtent();
      return (s[0] <= l[0] || s[0] <= o) && (s[1] >= l[1] || o <= s[1]) ? "inRange" : "outOfRange";
    }, a.prototype.findTargetDataIndices = function(o) {
      var s = [];
      return this.eachTargetSeries(function(l) {
        var u = [], c = l.getData();
        c.each(this.getDataDimensionIndex(c), function(d, f) {
          o[0] <= d && d <= o[1] && u.push(f);
        }, this), s.push({
          seriesId: l.id,
          dataIndex: u
        });
      }, this), s;
    }, a.prototype.getVisualMeta = function(o) {
      var s = getColorStopValues(this, "outOfRange", this.getExtent()), l = getColorStopValues(this, "inRange", this.option.range.slice()), u = [];
      function c(_, S) {
        u.push({
          value: _,
          color: o(_, S)
        });
      }
      for (var d = 0, f = 0, p = l.length, v = s.length; f < v && (!l.length || s[f] <= l[0]); f++)
        s[f] < l[d] && c(s[f], "outOfRange");
      for (var g = 1; d < p; d++, g = 0)
        g && u.length && c(l[d], "outOfRange"), c(l[d], "inRange");
      for (var g = 1; f < v; f++)
        (!l.length || l[l.length - 1] < s[f]) && (g && (u.length && c(u[u.length - 1].value, "outOfRange"), g = 0), c(s[f], "outOfRange"));
      var y = u.length;
      return {
        stops: u,
        outerColors: [y ? u[0].color : "transparent", y ? u[y - 1].color : "transparent"]
      };
    }, a.type = "visualMap.continuous", a.defaultOption = inheritDefaultOption(VisualMapModel.defaultOption, {
      align: "auto",
      calculable: !1,
      hoverLink: !0,
      realtime: !0,
      handleIcon: "path://M-11.39,9.77h0a3.5,3.5,0,0,1-3.5,3.5h-22a3.5,3.5,0,0,1-3.5-3.5h0a3.5,3.5,0,0,1,3.5-3.5h22A3.5,3.5,0,0,1-11.39,9.77Z",
      handleSize: "120%",
      handleStyle: {
        borderColor: "#fff",
        borderWidth: 1
      },
      indicatorIcon: "circle",
      indicatorSize: "50%",
      indicatorStyle: {
        borderColor: "#fff",
        borderWidth: 2,
        shadowBlur: 2,
        shadowOffsetX: 1,
        shadowOffsetY: 1,
        shadowColor: "rgba(0,0,0,0.2)"
      }
      // emphasis: {
      //     handleStyle: {
      //         shadowBlur: 3,
      //         shadowOffsetX: 1,
      //         shadowOffsetY: 1,
      //         shadowColor: 'rgba(0,0,0,0.2)'
      //     }
      // }
    }), a;
  }(VisualMapModel)
);
function getColorStopValues(r, a, o) {
  if (o[0] === o[1])
    return o.slice();
  for (var s = 200, l = (o[1] - o[0]) / s, u = o[0], c = [], d = 0; d <= s && u < o[1]; d++)
    c.push(u), u += l;
  return c.push(o[1]), c;
}
var VisualMapView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o.autoPositionValues = {
        left: 1,
        right: 1,
        top: 1,
        bottom: 1
      }, o;
    }
    return a.prototype.init = function(o, s) {
      this.ecModel = o, this.api = s;
    }, a.prototype.render = function(o, s, l, u) {
      if (this.visualMapModel = o, o.get("show") === !1) {
        this.group.removeAll();
        return;
      }
      this.doRender(o, s, l, u);
    }, a.prototype.renderBackground = function(o) {
      var s = this.visualMapModel, l = normalizeCssArray(s.get("padding") || 0), u = o.getBoundingRect();
      o.add(new Rect$2({
        z2: -1,
        silent: !0,
        shape: {
          x: u.x - l[3],
          y: u.y - l[0],
          width: u.width + l[3] + l[1],
          height: u.height + l[0] + l[2]
        },
        style: {
          fill: s.get("backgroundColor"),
          stroke: s.get("borderColor"),
          lineWidth: s.get("borderWidth")
        }
      }));
    }, a.prototype.getControllerVisual = function(o, s, l) {
      l = l || {};
      var u = l.forceState, c = this.visualMapModel, d = {};
      if (s === "color") {
        var f = c.get("contentColor");
        d.color = f;
      }
      function p(_) {
        return d[_];
      }
      function v(_, S) {
        d[_] = S;
      }
      var g = c.controllerVisuals[u || c.getValueState(o)], y = VisualMapping.prepareVisualTypes(g);
      return each$f(y, function(_) {
        var S = g[_];
        l.convertOpacityToAlpha && _ === "opacity" && (_ = "colorAlpha", S = g.__alphaForOpacity), VisualMapping.dependsOn(_, s) && S && S.applyVisual(o, p, v);
      }), d[s];
    }, a.prototype.positionGroup = function(o) {
      var s = this.visualMapModel, l = this.api;
      positionElement(o, s.getBoxLayoutParams(), {
        width: l.getWidth(),
        height: l.getHeight()
      });
    }, a.prototype.doRender = function(o, s, l, u) {
    }, a.type = "visualMap", a;
  }(ComponentView)
), paramsSet = [["left", "right", "width"], ["top", "bottom", "height"]];
function getItemAlign(r, a, o) {
  var s = r.option, l = s.align;
  if (l != null && l !== "auto")
    return l;
  for (var u = {
    width: a.getWidth(),
    height: a.getHeight()
  }, c = s.orient === "horizontal" ? 1 : 0, d = paramsSet[c], f = [0, null, 10], p = {}, v = 0; v < 3; v++)
    p[paramsSet[1 - c][v]] = f[v], p[d[v]] = v === 2 ? o[0] : s[d[v]];
  var g = [["x", "width", 3], ["y", "height", 0]][c], y = getLayoutRect(p, u, s.padding);
  return d[(y.margin[g[2]] || 0) + y[g[0]] + y[g[1]] * 0.5 < u[g[1]] * 0.5 ? 0 : 1];
}
function makeHighDownBatch(r, a) {
  return each$f(r || [], function(o) {
    o.dataIndex != null && (o.dataIndexInside = o.dataIndex, o.dataIndex = null), o.highlightKey = "visualMap" + (a ? a.componentIndex : "");
  }), r;
}
var linearMap = linearMap$2, each$1 = each$f, mathMin = Math.min, mathMax = Math.max, HOVER_LINK_SIZE = 12, HOVER_LINK_OUT = 6, ContinuousView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o._shapes = {}, o._dataInterval = [], o._handleEnds = [], o._hoverLinkDataIndices = [], o;
    }
    return a.prototype.init = function(o, s) {
      r.prototype.init.call(this, o, s), this._hoverLinkFromSeriesMouseOver = bind$1(this._hoverLinkFromSeriesMouseOver, this), this._hideIndicator = bind$1(this._hideIndicator, this);
    }, a.prototype.doRender = function(o, s, l, u) {
      (!u || u.type !== "selectDataRange" || u.from !== this.uid) && this._buildView();
    }, a.prototype._buildView = function() {
      this.group.removeAll();
      var o = this.visualMapModel, s = this.group;
      this._orient = o.get("orient"), this._useHandle = o.get("calculable"), this._resetInterval(), this._renderBar(s);
      var l = o.get("text");
      this._renderEndsText(s, l, 0), this._renderEndsText(s, l, 1), this._updateView(!0), this.renderBackground(s), this._updateView(), this._enableHoverLinkToSeries(), this._enableHoverLinkFromSeries(), this.positionGroup(s);
    }, a.prototype._renderEndsText = function(o, s, l) {
      if (s) {
        var u = s[1 - l];
        u = u != null ? u + "" : "";
        var c = this.visualMapModel, d = c.get("textGap"), f = c.itemSize, p = this._shapes.mainGroup, v = this._applyTransform([f[0] / 2, l === 0 ? -d : f[1] + d], p), g = this._applyTransform(l === 0 ? "bottom" : "top", p), y = this._orient, _ = this.visualMapModel.textStyleModel;
        this.group.add(new ZRText({
          style: createTextStyle$1(_, {
            x: v[0],
            y: v[1],
            verticalAlign: y === "horizontal" ? "middle" : g,
            align: y === "horizontal" ? g : "center",
            text: u
          })
        }));
      }
    }, a.prototype._renderBar = function(o) {
      var s = this.visualMapModel, l = this._shapes, u = s.itemSize, c = this._orient, d = this._useHandle, f = getItemAlign(s, this.api, u), p = l.mainGroup = this._createBarGroup(f), v = new Group$3();
      p.add(v), v.add(l.outOfRange = createPolygon()), v.add(l.inRange = createPolygon(null, d ? getCursor(this._orient) : null, bind$1(this._dragHandle, this, "all", !1), bind$1(this._dragHandle, this, "all", !0))), v.setClipPath(new Rect$2({
        shape: {
          x: 0,
          y: 0,
          width: u[0],
          height: u[1],
          r: 3
        }
      }));
      var g = s.textStyleModel.getTextRect("国"), y = mathMax(g.width, g.height);
      d && (l.handleThumbs = [], l.handleLabels = [], l.handleLabelPoints = [], this._createHandle(s, p, 0, u, y, c), this._createHandle(s, p, 1, u, y, c)), this._createIndicator(s, p, u, y, c), o.add(p);
    }, a.prototype._createHandle = function(o, s, l, u, c, d) {
      var f = bind$1(this._dragHandle, this, l, !1), p = bind$1(this._dragHandle, this, l, !0), v = parsePercent$1(o.get("handleSize"), u[0]), g = createSymbol$1(o.get("handleIcon"), -v / 2, -v / 2, v, v, null, !0), y = getCursor(this._orient);
      g.attr({
        cursor: y,
        draggable: !0,
        drift: f,
        ondragend: p,
        onmousemove: function(T) {
          stop(T.event);
        }
      }), g.x = u[0] / 2, g.useStyle(o.getModel("handleStyle").getItemStyle()), g.setStyle({
        strokeNoScale: !0,
        strokeFirst: !0
      }), g.style.lineWidth *= 2, g.ensureState("emphasis").style = o.getModel(["emphasis", "handleStyle"]).getItemStyle(), setAsHighDownDispatcher(g, !0), s.add(g);
      var _ = this.visualMapModel.textStyleModel, S = new ZRText({
        cursor: y,
        draggable: !0,
        drift: f,
        onmousemove: function(T) {
          stop(T.event);
        },
        ondragend: p,
        style: createTextStyle$1(_, {
          x: 0,
          y: 0,
          text: ""
        })
      });
      S.ensureState("blur").style = {
        opacity: 0.1
      }, S.stateTransition = {
        duration: 200
      }, this.group.add(S);
      var C = [v, 0], b = this._shapes;
      b.handleThumbs[l] = g, b.handleLabelPoints[l] = C, b.handleLabels[l] = S;
    }, a.prototype._createIndicator = function(o, s, l, u, c) {
      var d = parsePercent$1(o.get("indicatorSize"), l[0]), f = createSymbol$1(o.get("indicatorIcon"), -d / 2, -d / 2, d, d, null, !0);
      f.attr({
        cursor: "move",
        invisible: !0,
        silent: !0,
        x: l[0] / 2
      });
      var p = o.getModel("indicatorStyle").getItemStyle();
      if (f instanceof ZRImage) {
        var v = f.style;
        f.useStyle(extend({
          // TODO other properties like x, y ?
          image: v.image,
          x: v.x,
          y: v.y,
          width: v.width,
          height: v.height
        }, p));
      } else
        f.useStyle(p);
      s.add(f);
      var g = this.visualMapModel.textStyleModel, y = new ZRText({
        silent: !0,
        invisible: !0,
        style: createTextStyle$1(g, {
          x: 0,
          y: 0,
          text: ""
        })
      });
      this.group.add(y);
      var _ = [(c === "horizontal" ? u / 2 : HOVER_LINK_OUT) + l[0] / 2, 0], S = this._shapes;
      S.indicator = f, S.indicatorLabel = y, S.indicatorLabelPoint = _, this._firstShowIndicator = !0;
    }, a.prototype._dragHandle = function(o, s, l, u) {
      if (this._useHandle) {
        if (this._dragging = !s, !s) {
          var c = this._applyTransform([l, u], this._shapes.mainGroup, !0);
          this._updateInterval(o, c[1]), this._hideIndicator(), this._updateView();
        }
        s === !this.visualMapModel.get("realtime") && this.api.dispatchAction({
          type: "selectDataRange",
          from: this.uid,
          visualMapId: this.visualMapModel.id,
          selected: this._dataInterval.slice()
        }), s ? !this._hovering && this._clearHoverLinkToSeries() : useHoverLinkOnHandle(this.visualMapModel) && this._doHoverLinkToSeries(this._handleEnds[o], !1);
      }
    }, a.prototype._resetInterval = function() {
      var o = this.visualMapModel, s = this._dataInterval = o.getSelected(), l = o.getExtent(), u = [0, o.itemSize[1]];
      this._handleEnds = [linearMap(s[0], l, u, !0), linearMap(s[1], l, u, !0)];
    }, a.prototype._updateInterval = function(o, s) {
      s = s || 0;
      var l = this.visualMapModel, u = this._handleEnds, c = [0, l.itemSize[1]];
      sliderMove(
        s,
        u,
        c,
        o,
        // cross is forbidden
        0
      );
      var d = l.getExtent();
      this._dataInterval = [linearMap(u[0], c, d, !0), linearMap(u[1], c, d, !0)];
    }, a.prototype._updateView = function(o) {
      var s = this.visualMapModel, l = s.getExtent(), u = this._shapes, c = [0, s.itemSize[1]], d = o ? c : this._handleEnds, f = this._createBarVisual(this._dataInterval, l, d, "inRange"), p = this._createBarVisual(l, l, c, "outOfRange");
      u.inRange.setStyle({
        fill: f.barColor
        // opacity: visualInRange.opacity
      }).setShape("points", f.barPoints), u.outOfRange.setStyle({
        fill: p.barColor
        // opacity: visualOutOfRange.opacity
      }).setShape("points", p.barPoints), this._updateHandle(d, f);
    }, a.prototype._createBarVisual = function(o, s, l, u) {
      var c = {
        forceState: u,
        convertOpacityToAlpha: !0
      }, d = this._makeColorGradient(o, c), f = [this.getControllerVisual(o[0], "symbolSize", c), this.getControllerVisual(o[1], "symbolSize", c)], p = this._createBarPoints(l, f);
      return {
        barColor: new LinearGradient(0, 0, 0, 1, d),
        barPoints: p,
        handlesColor: [d[0].color, d[d.length - 1].color]
      };
    }, a.prototype._makeColorGradient = function(o, s) {
      var l = 100, u = [], c = (o[1] - o[0]) / l;
      u.push({
        color: this.getControllerVisual(o[0], "color", s),
        offset: 0
      });
      for (var d = 1; d < l; d++) {
        var f = o[0] + c * d;
        if (f > o[1])
          break;
        u.push({
          color: this.getControllerVisual(f, "color", s),
          offset: d / l
        });
      }
      return u.push({
        color: this.getControllerVisual(o[1], "color", s),
        offset: 1
      }), u;
    }, a.prototype._createBarPoints = function(o, s) {
      var l = this.visualMapModel.itemSize;
      return [[l[0] - s[0], o[0]], [l[0], o[0]], [l[0], o[1]], [l[0] - s[1], o[1]]];
    }, a.prototype._createBarGroup = function(o) {
      var s = this._orient, l = this.visualMapModel.get("inverse");
      return new Group$3(s === "horizontal" && !l ? {
        scaleX: o === "bottom" ? 1 : -1,
        rotation: Math.PI / 2
      } : s === "horizontal" && l ? {
        scaleX: o === "bottom" ? -1 : 1,
        rotation: -Math.PI / 2
      } : s === "vertical" && !l ? {
        scaleX: o === "left" ? 1 : -1,
        scaleY: -1
      } : {
        scaleX: o === "left" ? 1 : -1
      });
    }, a.prototype._updateHandle = function(o, s) {
      if (this._useHandle) {
        var l = this._shapes, u = this.visualMapModel, c = l.handleThumbs, d = l.handleLabels, f = u.itemSize, p = u.getExtent(), v = this._applyTransform("left", l.mainGroup);
        each$1([0, 1], function(g) {
          var y = c[g];
          y.setStyle("fill", s.handlesColor[g]), y.y = o[g];
          var _ = linearMap(o[g], [0, f[1]], p, !0), S = this.getControllerVisual(_, "symbolSize");
          y.scaleX = y.scaleY = S / f[0], y.x = f[0] - S / 2;
          var C = applyTransform(l.handleLabelPoints[g], getTransform$1(y, this.group));
          if (this._orient === "horizontal") {
            var b = v === "left" || v === "top" ? (f[0] - S) / 2 : (f[0] - S) / -2;
            C[1] += b;
          }
          d[g].setStyle({
            x: C[0],
            y: C[1],
            text: u.formatValueText(this._dataInterval[g]),
            verticalAlign: "middle",
            align: this._orient === "vertical" ? this._applyTransform("left", l.mainGroup) : "center"
          });
        }, this);
      }
    }, a.prototype._showIndicator = function(o, s, l, u) {
      var c = this.visualMapModel, d = c.getExtent(), f = c.itemSize, p = [0, f[1]], v = this._shapes, g = v.indicator;
      if (g) {
        g.attr("invisible", !1);
        var y = {
          convertOpacityToAlpha: !0
        }, _ = this.getControllerVisual(o, "color", y), S = this.getControllerVisual(o, "symbolSize"), C = linearMap(o, d, p, !0), b = f[0] - S / 2, T = {
          x: g.x,
          y: g.y
        };
        g.y = C, g.x = b;
        var E = applyTransform(v.indicatorLabelPoint, getTransform$1(g, this.group)), x = v.indicatorLabel;
        x.attr("invisible", !1);
        var $ = this._applyTransform("left", v.mainGroup), A = this._orient, N = A === "horizontal";
        x.setStyle({
          text: (l || "") + c.formatValueText(s),
          verticalAlign: N ? $ : "middle",
          align: N ? "center" : $
        });
        var P = {
          x: b,
          y: C,
          style: {
            fill: _
          }
        }, L = {
          style: {
            x: E[0],
            y: E[1]
          }
        };
        if (c.ecModel.isAnimationEnabled() && !this._firstShowIndicator) {
          var O = {
            duration: 100,
            easing: "cubicInOut",
            additive: !0
          };
          g.x = T.x, g.y = T.y, g.animateTo(P, O), x.animateTo(L, O);
        } else
          g.attr(P), x.attr(L);
        this._firstShowIndicator = !1;
        var M = this._shapes.handleLabels;
        if (M)
          for (var F = 0; F < M.length; F++)
            this.api.enterBlur(M[F]);
      }
    }, a.prototype._enableHoverLinkToSeries = function() {
      var o = this;
      this._shapes.mainGroup.on("mousemove", function(s) {
        if (o._hovering = !0, !o._dragging) {
          var l = o.visualMapModel.itemSize, u = o._applyTransform([s.offsetX, s.offsetY], o._shapes.mainGroup, !0, !0);
          u[1] = mathMin(mathMax(0, u[1]), l[1]), o._doHoverLinkToSeries(u[1], 0 <= u[0] && u[0] <= l[0]);
        }
      }).on("mouseout", function() {
        o._hovering = !1, !o._dragging && o._clearHoverLinkToSeries();
      });
    }, a.prototype._enableHoverLinkFromSeries = function() {
      var o = this.api.getZr();
      this.visualMapModel.option.hoverLink ? (o.on("mouseover", this._hoverLinkFromSeriesMouseOver, this), o.on("mouseout", this._hideIndicator, this)) : this._clearHoverLinkFromSeries();
    }, a.prototype._doHoverLinkToSeries = function(o, s) {
      var l = this.visualMapModel, u = l.itemSize;
      if (l.option.hoverLink) {
        var c = [0, u[1]], d = l.getExtent();
        o = mathMin(mathMax(c[0], o), c[1]);
        var f = getHalfHoverLinkSize(l, d, c), p = [o - f, o + f], v = linearMap(o, c, d, !0), g = [linearMap(p[0], c, d, !0), linearMap(p[1], c, d, !0)];
        p[0] < c[0] && (g[0] = -1 / 0), p[1] > c[1] && (g[1] = 1 / 0), s && (g[0] === -1 / 0 ? this._showIndicator(v, g[1], "< ", f) : g[1] === 1 / 0 ? this._showIndicator(v, g[0], "> ", f) : this._showIndicator(v, v, "≈ ", f));
        var y = this._hoverLinkDataIndices, _ = [];
        (s || useHoverLinkOnHandle(l)) && (_ = this._hoverLinkDataIndices = l.findTargetDataIndices(g));
        var S = compressBatches(y, _);
        this._dispatchHighDown("downplay", makeHighDownBatch(S[0], l)), this._dispatchHighDown("highlight", makeHighDownBatch(S[1], l));
      }
    }, a.prototype._hoverLinkFromSeriesMouseOver = function(o) {
      var s;
      if (findEventDispatcher(o.target, function(f) {
        var p = getECData(f);
        if (p.dataIndex != null)
          return s = p, !0;
      }, !0), !!s) {
        var l = this.ecModel.getSeriesByIndex(s.seriesIndex), u = this.visualMapModel;
        if (u.isTargetSeries(l)) {
          var c = l.getData(s.dataType), d = c.getStore().get(u.getDataDimensionIndex(c), s.dataIndex);
          isNaN(d) || this._showIndicator(d, d);
        }
      }
    }, a.prototype._hideIndicator = function() {
      var o = this._shapes;
      o.indicator && o.indicator.attr("invisible", !0), o.indicatorLabel && o.indicatorLabel.attr("invisible", !0);
      var s = this._shapes.handleLabels;
      if (s)
        for (var l = 0; l < s.length; l++)
          this.api.leaveBlur(s[l]);
    }, a.prototype._clearHoverLinkToSeries = function() {
      this._hideIndicator();
      var o = this._hoverLinkDataIndices;
      this._dispatchHighDown("downplay", makeHighDownBatch(o, this.visualMapModel)), o.length = 0;
    }, a.prototype._clearHoverLinkFromSeries = function() {
      this._hideIndicator();
      var o = this.api.getZr();
      o.off("mouseover", this._hoverLinkFromSeriesMouseOver), o.off("mouseout", this._hideIndicator);
    }, a.prototype._applyTransform = function(o, s, l, u) {
      var c = getTransform$1(s, u ? null : this.group);
      return isArray$1(o) ? applyTransform(o, c, l) : transformDirection(o, c, l);
    }, a.prototype._dispatchHighDown = function(o, s) {
      s && s.length && this.api.dispatchAction({
        type: o,
        batch: s
      });
    }, a.prototype.dispose = function() {
      this._clearHoverLinkFromSeries(), this._clearHoverLinkToSeries();
    }, a.type = "visualMap.continuous", a;
  }(VisualMapView)
);
function createPolygon(r, a, o, s) {
  return new Polygon({
    shape: {
      points: r
    },
    draggable: !!o,
    cursor: a,
    drift: o,
    onmousemove: function(l) {
      stop(l.event);
    },
    ondragend: s
  });
}
function getHalfHoverLinkSize(r, a, o) {
  var s = HOVER_LINK_SIZE / 2, l = r.get("hoverLinkDataSize");
  return l && (s = linearMap(l, a, o, !0) / 2), s;
}
function useHoverLinkOnHandle(r) {
  var a = r.get("hoverLinkOnHandle");
  return !!(a ?? r.get("realtime"));
}
function getCursor(r) {
  return r === "vertical" ? "ns-resize" : "ew-resize";
}
var visualMapActionInfo = {
  type: "selectDataRange",
  event: "dataRangeSelected",
  // FIXME use updateView appears wrong
  update: "update"
}, visualMapActionHander = function(r, a) {
  a.eachComponent({
    mainType: "visualMap",
    query: r
  }, function(o) {
    o.setSelected(r.selected);
  });
}, visualMapEncodingHandlers = [
  {
    createOnAllSeries: !0,
    reset: function(r, a) {
      var o = [];
      return a.eachComponent("visualMap", function(s) {
        var l = r.pipelineContext;
        !s.isTargetSeries(r) || l && l.large || o.push(incrementalApplyVisual(s.stateList, s.targetVisuals, bind$1(s.getValueState, s), s.getDataDimensionIndex(r.getData())));
      }), o;
    }
  },
  // Only support color.
  {
    createOnAllSeries: !0,
    reset: function(r, a) {
      var o = r.getData(), s = [];
      a.eachComponent("visualMap", function(l) {
        if (l.isTargetSeries(r)) {
          var u = l.getVisualMeta(bind$1(getColorVisual, null, r, l)) || {
            stops: [],
            outerColors: []
          }, c = l.getDataDimensionIndex(o);
          c >= 0 && (u.dimension = c, s.push(u));
        }
      }), r.getData().setVisual("visualMeta", s);
    }
  }
];
function getColorVisual(r, a, o, s) {
  for (var l = a.targetVisuals[s], u = VisualMapping.prepareVisualTypes(l), c = {
    color: getVisualFromData(r.getData(), "color")
    // default color.
  }, d = 0, f = u.length; d < f; d++) {
    var p = u[d], v = l[p === "opacity" ? "__alphaForOpacity" : p];
    v && v.applyVisual(o, g, y);
  }
  return c.color;
  function g(_) {
    return c[_];
  }
  function y(_, S) {
    c[_] = S;
  }
}
var each = each$f;
function visualMapPreprocessor(r) {
  var a = r && r.visualMap;
  isArray$1(a) || (a = a ? [a] : []), each(a, function(o) {
    if (o) {
      has(o, "splitList") && !has(o, "pieces") && (o.pieces = o.splitList, delete o.splitList);
      var s = o.pieces;
      s && isArray$1(s) && each(s, function(l) {
        isObject$3(l) && (has(l, "start") && !has(l, "min") && (l.min = l.start), has(l, "end") && !has(l, "max") && (l.max = l.end));
      });
    }
  });
}
function has(r, a) {
  return r && r.hasOwnProperty && r.hasOwnProperty(a);
}
var installed = !1;
function installCommon(r) {
  installed || (installed = !0, r.registerSubTypeDefaulter("visualMap", function(a) {
    return !a.categories && (!(a.pieces ? a.pieces.length > 0 : a.splitNumber > 0) || a.calculable) ? "continuous" : "piecewise";
  }), r.registerAction(visualMapActionInfo, visualMapActionHander), each$f(visualMapEncodingHandlers, function(a) {
    r.registerVisual(r.PRIORITY.VISUAL.COMPONENT, a);
  }), r.registerPreprocessor(visualMapPreprocessor));
}
function install$6(r) {
  r.registerComponentModel(ContinuousModel), r.registerComponentView(ContinuousView), installCommon(r);
}
var PiecewiseModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o._pieceList = [], o;
    }
    return a.prototype.optionUpdated = function(o, s) {
      r.prototype.optionUpdated.apply(this, arguments), this.resetExtent();
      var l = this._mode = this._determineMode();
      this._pieceList = [], resetMethods[this._mode].call(this, this._pieceList), this._resetSelected(o, s);
      var u = this.option.categories;
      this.resetVisual(function(c, d) {
        l === "categories" ? (c.mappingMethod = "category", c.categories = clone$4(u)) : (c.dataExtent = this.getExtent(), c.mappingMethod = "piecewise", c.pieceList = map$1(this._pieceList, function(f) {
          return f = clone$4(f), d !== "inRange" && (f.visual = null), f;
        }));
      });
    }, a.prototype.completeVisualOption = function() {
      var o = this.option, s = {}, l = VisualMapping.listVisualTypes(), u = this.isCategory();
      each$f(o.pieces, function(d) {
        each$f(l, function(f) {
          d.hasOwnProperty(f) && (s[f] = 1);
        });
      }), each$f(s, function(d, f) {
        var p = !1;
        each$f(this.stateList, function(v) {
          p = p || c(o, v, f) || c(o.target, v, f);
        }, this), !p && each$f(this.stateList, function(v) {
          (o[v] || (o[v] = {}))[f] = visualDefault.get(f, v === "inRange" ? "active" : "inactive", u);
        });
      }, this);
      function c(d, f, p) {
        return d && d[f] && d[f].hasOwnProperty(p);
      }
      r.prototype.completeVisualOption.apply(this, arguments);
    }, a.prototype._resetSelected = function(o, s) {
      var l = this.option, u = this._pieceList, c = (s ? l : o).selected || {};
      if (l.selected = c, each$f(u, function(f, p) {
        var v = this.getSelectedMapKey(f);
        c.hasOwnProperty(v) || (c[v] = !0);
      }, this), l.selectedMode === "single") {
        var d = !1;
        each$f(u, function(f, p) {
          var v = this.getSelectedMapKey(f);
          c[v] && (d ? c[v] = !1 : d = !0);
        }, this);
      }
    }, a.prototype.getItemSymbol = function() {
      return this.get("itemSymbol");
    }, a.prototype.getSelectedMapKey = function(o) {
      return this._mode === "categories" ? o.value + "" : o.index + "";
    }, a.prototype.getPieceList = function() {
      return this._pieceList;
    }, a.prototype._determineMode = function() {
      var o = this.option;
      return o.pieces && o.pieces.length > 0 ? "pieces" : this.option.categories ? "categories" : "splitNumber";
    }, a.prototype.setSelected = function(o) {
      this.option.selected = clone$4(o);
    }, a.prototype.getValueState = function(o) {
      var s = VisualMapping.findPieceIndex(o, this._pieceList);
      return s != null && this.option.selected[this.getSelectedMapKey(this._pieceList[s])] ? "inRange" : "outOfRange";
    }, a.prototype.findTargetDataIndices = function(o) {
      var s = [], l = this._pieceList;
      return this.eachTargetSeries(function(u) {
        var c = [], d = u.getData();
        d.each(this.getDataDimensionIndex(d), function(f, p) {
          var v = VisualMapping.findPieceIndex(f, l);
          v === o && c.push(p);
        }, this), s.push({
          seriesId: u.id,
          dataIndex: c
        });
      }, this), s;
    }, a.prototype.getRepresentValue = function(o) {
      var s;
      if (this.isCategory())
        s = o.value;
      else if (o.value != null)
        s = o.value;
      else {
        var l = o.interval || [];
        s = l[0] === -1 / 0 && l[1] === 1 / 0 ? 0 : (l[0] + l[1]) / 2;
      }
      return s;
    }, a.prototype.getVisualMeta = function(o) {
      if (this.isCategory())
        return;
      var s = [], l = ["", ""], u = this;
      function c(v, g) {
        var y = u.getRepresentValue({
          interval: v
        });
        g || (g = u.getValueState(y));
        var _ = o(y, g);
        v[0] === -1 / 0 ? l[0] = _ : v[1] === 1 / 0 ? l[1] = _ : s.push({
          value: v[0],
          color: _
        }, {
          value: v[1],
          color: _
        });
      }
      var d = this._pieceList.slice();
      if (!d.length)
        d.push({
          interval: [-1 / 0, 1 / 0]
        });
      else {
        var f = d[0].interval[0];
        f !== -1 / 0 && d.unshift({
          interval: [-1 / 0, f]
        }), f = d[d.length - 1].interval[1], f !== 1 / 0 && d.push({
          interval: [f, 1 / 0]
        });
      }
      var p = -1 / 0;
      return each$f(d, function(v) {
        var g = v.interval;
        g && (g[0] > p && c([p, g[0]], "outOfRange"), c(g.slice()), p = g[1]);
      }, this), {
        stops: s,
        outerColors: l
      };
    }, a.type = "visualMap.piecewise", a.defaultOption = inheritDefaultOption(VisualMapModel.defaultOption, {
      selected: null,
      minOpen: !1,
      maxOpen: !1,
      align: "auto",
      itemWidth: 20,
      itemHeight: 14,
      itemSymbol: "roundRect",
      pieces: null,
      categories: null,
      splitNumber: 5,
      selectedMode: "multiple",
      itemGap: 10,
      hoverLink: !0
      // Enable hover highlight.
    }), a;
  }(VisualMapModel)
), resetMethods = {
  splitNumber: function(r) {
    var a = this.option, o = Math.min(a.precision, 20), s = this.getExtent(), l = a.splitNumber;
    l = Math.max(parseInt(l, 10), 1), a.splitNumber = l;
    for (var u = (s[1] - s[0]) / l; +u.toFixed(o) !== u && o < 5; )
      o++;
    a.precision = o, u = +u.toFixed(o), a.minOpen && r.push({
      interval: [-1 / 0, s[0]],
      close: [0, 0]
    });
    for (var c = 0, d = s[0]; c < l; d += u, c++) {
      var f = c === l - 1 ? s[1] : d + u;
      r.push({
        interval: [d, f],
        close: [1, 1]
      });
    }
    a.maxOpen && r.push({
      interval: [s[1], 1 / 0],
      close: [0, 0]
    }), reformIntervals(r), each$f(r, function(p, v) {
      p.index = v, p.text = this.formatValueText(p.interval);
    }, this);
  },
  categories: function(r) {
    var a = this.option;
    each$f(a.categories, function(o) {
      r.push({
        text: this.formatValueText(o, !0),
        value: o
      });
    }, this), normalizeReverse(a, r);
  },
  pieces: function(r) {
    var a = this.option;
    each$f(a.pieces, function(o, s) {
      isObject$3(o) || (o = {
        value: o
      });
      var l = {
        text: "",
        index: s
      };
      if (o.label != null && (l.text = o.label), o.hasOwnProperty("value")) {
        var u = l.value = o.value;
        l.interval = [u, u], l.close = [1, 1];
      } else {
        for (var c = l.interval = [], d = l.close = [0, 0], f = [1, 0, 1], p = [-1 / 0, 1 / 0], v = [], g = 0; g < 2; g++) {
          for (var y = [["gte", "gt", "min"], ["lte", "lt", "max"]][g], _ = 0; _ < 3 && c[g] == null; _++)
            c[g] = o[y[_]], d[g] = f[_], v[g] = _ === 2;
          c[g] == null && (c[g] = p[g]);
        }
        v[0] && c[1] === 1 / 0 && (d[0] = 0), v[1] && c[0] === -1 / 0 && (d[1] = 0), process.env.NODE_ENV !== "production" && c[0] > c[1] && console.warn("Piece " + s + "is illegal: " + c + " lower bound should not greater then uppper bound."), c[0] === c[1] && d[0] && d[1] && (l.value = c[0]);
      }
      l.visual = VisualMapping.retrieveVisuals(o), r.push(l);
    }, this), normalizeReverse(a, r), reformIntervals(r), each$f(r, function(o) {
      var s = o.close, l = [["<", "≤"][s[1]], [">", "≥"][s[0]]];
      o.text = o.text || this.formatValueText(o.value != null ? o.value : o.interval, !1, l);
    }, this);
  }
};
function normalizeReverse(r, a) {
  var o = r.inverse;
  (r.orient === "vertical" ? !o : o) && a.reverse();
}
var PiecewiseVisualMapView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = a.type, o;
    }
    return a.prototype.doRender = function() {
      var o = this.group;
      o.removeAll();
      var s = this.visualMapModel, l = s.get("textGap"), u = s.textStyleModel, c = u.getFont(), d = u.getTextColor(), f = this._getItemAlign(), p = s.itemSize, v = this._getViewData(), g = v.endsText, y = retrieve(s.get("showLabel", !0), !g), _ = !s.get("selectedMode");
      g && this._renderEndsText(o, g[0], p, y, f), each$f(v.viewPieceList, function(S) {
        var C = S.piece, b = new Group$3();
        b.onclick = bind$1(this._onItemClick, this, C), this._enableHoverLink(b, S.indexInModelPieceList);
        var T = s.getRepresentValue(C);
        if (this._createItemSymbol(b, T, [0, 0, p[0], p[1]], _), y) {
          var E = this.visualMapModel.getValueState(T);
          b.add(new ZRText({
            style: {
              x: f === "right" ? -l : p[0] + l,
              y: p[1] / 2,
              text: C.text,
              verticalAlign: "middle",
              align: f,
              font: c,
              fill: d,
              opacity: E === "outOfRange" ? 0.5 : 1
            },
            silent: _
          }));
        }
        o.add(b);
      }, this), g && this._renderEndsText(o, g[1], p, y, f), box(s.get("orient"), o, s.get("itemGap")), this.renderBackground(o), this.positionGroup(o);
    }, a.prototype._enableHoverLink = function(o, s) {
      var l = this;
      o.on("mouseover", function() {
        return u("highlight");
      }).on("mouseout", function() {
        return u("downplay");
      });
      var u = function(c) {
        var d = l.visualMapModel;
        d.option.hoverLink && l.api.dispatchAction({
          type: c,
          batch: makeHighDownBatch(d.findTargetDataIndices(s), d)
        });
      };
    }, a.prototype._getItemAlign = function() {
      var o = this.visualMapModel, s = o.option;
      if (s.orient === "vertical")
        return getItemAlign(o, this.api, o.itemSize);
      var l = s.align;
      return (!l || l === "auto") && (l = "left"), l;
    }, a.prototype._renderEndsText = function(o, s, l, u, c) {
      if (s) {
        var d = new Group$3(), f = this.visualMapModel.textStyleModel;
        d.add(new ZRText({
          style: createTextStyle$1(f, {
            x: u ? c === "right" ? l[0] : 0 : l[0] / 2,
            y: l[1] / 2,
            verticalAlign: "middle",
            align: u ? c : "center",
            text: s
          })
        })), o.add(d);
      }
    }, a.prototype._getViewData = function() {
      var o = this.visualMapModel, s = map$1(o.getPieceList(), function(d, f) {
        return {
          piece: d,
          indexInModelPieceList: f
        };
      }), l = o.get("text"), u = o.get("orient"), c = o.get("inverse");
      return (u === "horizontal" ? c : !c) ? s.reverse() : l && (l = l.slice().reverse()), {
        viewPieceList: s,
        endsText: l
      };
    }, a.prototype._createItemSymbol = function(o, s, l, u) {
      var c = createSymbol$1(
        // symbol will be string
        this.getControllerVisual(s, "symbol"),
        l[0],
        l[1],
        l[2],
        l[3],
        // color will be string
        this.getControllerVisual(s, "color")
      );
      c.silent = u, o.add(c);
    }, a.prototype._onItemClick = function(o) {
      var s = this.visualMapModel, l = s.option, u = l.selectedMode;
      if (u) {
        var c = clone$4(l.selected), d = s.getSelectedMapKey(o);
        u === "single" || u === !0 ? (c[d] = !0, each$f(c, function(f, p) {
          c[p] = p === d;
        })) : c[d] = !c[d], this.api.dispatchAction({
          type: "selectDataRange",
          from: this.uid,
          visualMapId: this.visualMapModel.id,
          selected: c
        });
      }
    }, a.type = "visualMap.piecewise", a;
  }(VisualMapView)
);
function install$5(r) {
  r.registerComponentModel(PiecewiseModel), r.registerComponentView(PiecewiseVisualMapView), installCommon(r);
}
function install$4(r) {
  use(install$6), use(install$5);
}
var DEFAULT_OPTION = {
  label: {
    enabled: !0
  },
  decal: {
    show: !1
  }
}, inner = makeInner(), decalPaletteScope = {};
function ariaVisual(r, a) {
  var o = r.getModel("aria");
  if (!o.get("enabled"))
    return;
  var s = clone$4(DEFAULT_OPTION);
  merge(s.label, r.getLocaleModel().get("aria"), !1), merge(o.option, s, !1), l(), u();
  function l() {
    var p = o.getModel("decal"), v = p.get("show");
    if (v) {
      var g = createHashMap();
      r.eachSeries(function(y) {
        if (!y.isColorBySeries()) {
          var _ = g.get(y.type);
          _ || (_ = {}, g.set(y.type, _)), inner(y).scope = _;
        }
      }), r.eachRawSeries(function(y) {
        if (r.isSeriesFiltered(y))
          return;
        if (isFunction(y.enableAriaDecal)) {
          y.enableAriaDecal();
          return;
        }
        var _ = y.getData();
        if (y.isColorBySeries()) {
          var E = getDecalFromPalette(y.ecModel, y.name, decalPaletteScope, r.getSeriesCount()), x = _.getVisual("decal");
          _.setVisual("decal", $(x, E));
        } else {
          var S = y.getRawData(), C = {}, b = inner(y).scope;
          _.each(function(A) {
            var N = _.getRawIndex(A);
            C[N] = A;
          });
          var T = S.count();
          S.each(function(A) {
            var N = C[A], P = S.getName(A) || A + "", L = getDecalFromPalette(y.ecModel, P, b, T), O = _.getItemVisual(N, "decal");
            _.setItemVisual(N, "decal", $(O, L));
          });
        }
        function $(A, N) {
          var P = A ? extend(extend({}, N), A) : N;
          return P.dirty = !0, P;
        }
      });
    }
  }
  function u() {
    var p = a.getZr().dom;
    if (p) {
      var v = r.getLocaleModel().get("aria"), g = o.getModel("label");
      if (g.option = defaults(g.option, v), !!g.get("enabled")) {
        if (p.setAttribute("role", "img"), g.get("description")) {
          p.setAttribute("aria-label", g.get("description"));
          return;
        }
        var y = r.getSeriesCount(), _ = g.get(["data", "maxCount"]) || 10, S = g.get(["series", "maxCount"]) || 10, C = Math.min(y, S), b;
        if (!(y < 1)) {
          var T = d();
          if (T) {
            var E = g.get(["general", "withTitle"]);
            b = c(E, {
              title: T
            });
          } else
            b = g.get(["general", "withoutTitle"]);
          var x = [], $ = y > 1 ? g.get(["series", "multiple", "prefix"]) : g.get(["series", "single", "prefix"]);
          b += c($, {
            seriesCount: y
          }), r.eachSeries(function(L, O) {
            if (O < C) {
              var M = void 0, F = L.get("name"), U = F ? "withName" : "withoutName";
              M = y > 1 ? g.get(["series", "multiple", U]) : g.get(["series", "single", U]), M = c(M, {
                seriesId: L.seriesIndex,
                seriesName: L.get("name"),
                seriesType: f(L.subType)
              });
              var R = L.getData();
              if (R.count() > _) {
                var H = g.get(["data", "partialData"]);
                M += c(H, {
                  displayCnt: _
                });
              } else
                M += g.get(["data", "allData"]);
              for (var V = g.get(["data", "separator", "middle"]), Y = g.get(["data", "separator", "end"]), G = g.get(["data", "excludeDimensionId"]), Z = [], re = 0; re < R.count(); re++)
                if (re < _) {
                  var de = R.getName(re), X = G ? filter(R.getValues(re), function(te, ae) {
                    return indexOf(G, ae) === -1;
                  }) : R.getValues(re), W = g.get(["data", de ? "withName" : "withoutName"]);
                  Z.push(c(W, {
                    name: de,
                    value: X.join(V)
                  }));
                }
              M += Z.join(V) + Y, x.push(M);
            }
          });
          var A = g.getModel(["series", "multiple", "separator"]), N = A.get("middle"), P = A.get("end");
          b += x.join(N) + P, p.setAttribute("aria-label", b);
        }
      }
    }
  }
  function c(p, v) {
    if (!isString(p))
      return p;
    var g = p;
    return each$f(v, function(y, _) {
      g = g.replace(new RegExp("\\{\\s*" + _ + "\\s*\\}", "g"), y);
    }), g;
  }
  function d() {
    var p = r.get("title");
    return p && p.length && (p = p[0]), p && p.text;
  }
  function f(p) {
    var v = r.getLocaleModel().get(["series", "typeNames"]);
    return v[p] || v.chart;
  }
}
function ariaPreprocessor(r) {
  if (!(!r || !r.aria)) {
    var a = r.aria;
    a.show != null && (a.enabled = a.show), a.label = a.label || {}, each$f(["description", "general", "series", "data"], function(o) {
      a[o] != null && (a.label[o] = a[o]);
    });
  }
}
function install$3(r) {
  r.registerPreprocessor(ariaPreprocessor), r.registerVisual(r.PRIORITY.VISUAL.ARIA, ariaVisual);
}
var RELATIONAL_EXPRESSION_OP_ALIAS_MAP = {
  value: "eq",
  // PENDING: not good for literal semantic?
  "<": "lt",
  "<=": "lte",
  ">": "gt",
  ">=": "gte",
  "=": "eq",
  "!=": "ne",
  "<>": "ne"
  // Might be misleading for sake of the difference between '==' and '===',
  // so don't support them.
  // '==': 'eq',
  // '===': 'seq',
  // '!==': 'sne'
  // PENDING: Whether support some common alias "ge", "le", "neq"?
  // ge: 'gte',
  // le: 'lte',
  // neq: 'ne',
}, RegExpEvaluator = (
  /** @class */
  function() {
    function r(a) {
      var o = this._condVal = isString(a) ? new RegExp(a) : isRegExp(a) ? a : null;
      if (o == null) {
        var s = "";
        process.env.NODE_ENV !== "production" && (s = makePrintable("Illegal regexp", a, "in")), throwError(s);
      }
    }
    return r.prototype.evaluate = function(a) {
      var o = typeof a;
      return isString(o) ? this._condVal.test(a) : isNumber(o) ? this._condVal.test(a + "") : !1;
    }, r;
  }()
), ConstConditionInternal = (
  /** @class */
  function() {
    function r() {
    }
    return r.prototype.evaluate = function() {
      return this.value;
    }, r;
  }()
), AndConditionInternal = (
  /** @class */
  function() {
    function r() {
    }
    return r.prototype.evaluate = function() {
      for (var a = this.children, o = 0; o < a.length; o++)
        if (!a[o].evaluate())
          return !1;
      return !0;
    }, r;
  }()
), OrConditionInternal = (
  /** @class */
  function() {
    function r() {
    }
    return r.prototype.evaluate = function() {
      for (var a = this.children, o = 0; o < a.length; o++)
        if (a[o].evaluate())
          return !0;
      return !1;
    }, r;
  }()
), NotConditionInternal = (
  /** @class */
  function() {
    function r() {
    }
    return r.prototype.evaluate = function() {
      return !this.child.evaluate();
    }, r;
  }()
), RelationalConditionInternal = (
  /** @class */
  function() {
    function r() {
    }
    return r.prototype.evaluate = function() {
      for (var a = !!this.valueParser, o = this.getValue, s = o(this.valueGetterParam), l = a ? this.valueParser(s) : null, u = 0; u < this.subCondList.length; u++)
        if (!this.subCondList[u].evaluate(a ? l : s))
          return !1;
      return !0;
    }, r;
  }()
);
function parseOption(r, a) {
  if (r === !0 || r === !1) {
    var o = new ConstConditionInternal();
    return o.value = r, o;
  }
  var s = "";
  return isObjectNotArray(r) || (process.env.NODE_ENV !== "production" && (s = makePrintable("Illegal config. Expect a plain object but actually", r)), throwError(s)), r.and ? parseAndOrOption("and", r, a) : r.or ? parseAndOrOption("or", r, a) : r.not ? parseNotOption(r, a) : parseRelationalOption(r, a);
}
function parseAndOrOption(r, a, o) {
  var s = a[r], l = "";
  process.env.NODE_ENV !== "production" && (l = makePrintable('"and"/"or" condition should only be `' + r + ": [...]` and must not be empty array.", "Illegal condition:", a)), isArray$1(s) || throwError(l), s.length || throwError(l);
  var u = r === "and" ? new AndConditionInternal() : new OrConditionInternal();
  return u.children = map$1(s, function(c) {
    return parseOption(c, o);
  }), u.children.length || throwError(l), u;
}
function parseNotOption(r, a) {
  var o = r.not, s = "";
  process.env.NODE_ENV !== "production" && (s = makePrintable('"not" condition should only be `not: {}`.', "Illegal condition:", r)), isObjectNotArray(o) || throwError(s);
  var l = new NotConditionInternal();
  return l.child = parseOption(o, a), l.child || throwError(s), l;
}
function parseRelationalOption(r, a) {
  for (var o = "", s = a.prepareGetValue(r), l = [], u = keys(r), c = r.parser, d = c ? getRawValueParser(c) : null, f = 0; f < u.length; f++) {
    var p = u[f];
    if (!(p === "parser" || a.valueGetterAttrMap.get(p))) {
      var v = hasOwn(RELATIONAL_EXPRESSION_OP_ALIAS_MAP, p) ? RELATIONAL_EXPRESSION_OP_ALIAS_MAP[p] : p, g = r[p], y = d ? d(g) : g, _ = createFilterComparator(v, y) || v === "reg" && new RegExpEvaluator(y);
      _ || (process.env.NODE_ENV !== "production" && (o = makePrintable('Illegal relational operation: "' + p + '" in condition:', r)), throwError(o)), l.push(_);
    }
  }
  l.length || (process.env.NODE_ENV !== "production" && (o = makePrintable("Relational condition must have at least one operator.", "Illegal condition:", r)), throwError(o));
  var S = new RelationalConditionInternal();
  return S.valueGetterParam = s, S.valueParser = d, S.getValue = a.getValue, S.subCondList = l, S;
}
function isObjectNotArray(r) {
  return isObject$3(r) && !isArrayLike(r);
}
var ConditionalExpressionParsed = (
  /** @class */
  function() {
    function r(a, o) {
      this._cond = parseOption(a, o);
    }
    return r.prototype.evaluate = function() {
      return this._cond.evaluate();
    }, r;
  }()
);
function parseConditionalExpression(r, a) {
  return new ConditionalExpressionParsed(r, a);
}
var filterTransform = {
  type: "echarts:filter",
  // PENDING: enhance to filter by index rather than create new data
  transform: function(r) {
    for (var a = r.upstream, o, s = parseConditionalExpression(r.config, {
      valueGetterAttrMap: createHashMap({
        dimension: !0
      }),
      prepareGetValue: function(d) {
        var f = "", p = d.dimension;
        hasOwn(d, "dimension") || (process.env.NODE_ENV !== "production" && (f = makePrintable('Relation condition must has prop "dimension" specified.', "Illegal condition:", d)), throwError(f));
        var v = a.getDimensionInfo(p);
        return v || (process.env.NODE_ENV !== "production" && (f = makePrintable("Can not find dimension info via: " + p + `.
`, "Existing dimensions: ", a.cloneAllDimensionInfo(), `.
`, "Illegal condition:", d, `.
`)), throwError(f)), {
          dimIdx: v.index
        };
      },
      getValue: function(d) {
        return a.retrieveValueFromItem(o, d.dimIdx);
      }
    }), l = [], u = 0, c = a.count(); u < c; u++)
      o = a.getRawDataItem(u), s.evaluate() && l.push(o);
    return {
      data: l
    };
  }
}, sampleLog = "";
process.env.NODE_ENV !== "production" && (sampleLog = ["Valid config is like:", '{ dimension: "age", order: "asc" }', 'or [{ dimension: "age", order: "asc"], { dimension: "date", order: "desc" }]'].join(" "));
var sortTransform = {
  type: "echarts:sort",
  transform: function(r) {
    var a = r.upstream, o = r.config, s = "", l = normalizeToArray(o);
    l.length || (process.env.NODE_ENV !== "production" && (s = "Empty `config` in sort transform."), throwError(s));
    var u = [];
    each$f(l, function(v) {
      var g = v.dimension, y = v.order, _ = v.parser, S = v.incomparable;
      if (g == null && (process.env.NODE_ENV !== "production" && (s = 'Sort transform config must has "dimension" specified.' + sampleLog), throwError(s)), y !== "asc" && y !== "desc" && (process.env.NODE_ENV !== "production" && (s = 'Sort transform config must has "order" specified.' + sampleLog), throwError(s)), S && S !== "min" && S !== "max") {
        var C = "";
        process.env.NODE_ENV !== "production" && (C = 'incomparable must be "min" or "max" rather than "' + S + '".'), throwError(C);
      }
      if (y !== "asc" && y !== "desc") {
        var b = "";
        process.env.NODE_ENV !== "production" && (b = 'order must be "asc" or "desc" rather than "' + y + '".'), throwError(b);
      }
      var T = a.getDimensionInfo(g);
      T || (process.env.NODE_ENV !== "production" && (s = makePrintable("Can not find dimension info via: " + g + `.
`, "Existing dimensions: ", a.cloneAllDimensionInfo(), `.
`, "Illegal config:", v, `.
`)), throwError(s));
      var E = _ ? getRawValueParser(_) : null;
      _ && !E && (process.env.NODE_ENV !== "production" && (s = makePrintable("Invalid parser name " + _ + `.
`, "Illegal config:", v, `.
`)), throwError(s)), u.push({
        dimIdx: T.index,
        parser: E,
        comparator: new SortOrderComparator(y, S)
      });
    });
    var c = a.sourceFormat;
    c !== SOURCE_FORMAT_ARRAY_ROWS && c !== SOURCE_FORMAT_OBJECT_ROWS && (process.env.NODE_ENV !== "production" && (s = 'sourceFormat "' + c + '" is not supported yet'), throwError(s));
    for (var d = [], f = 0, p = a.count(); f < p; f++)
      d.push(a.getRawDataItem(f));
    return d.sort(function(v, g) {
      for (var y = 0; y < u.length; y++) {
        var _ = u[y], S = a.retrieveValueFromItem(v, _.dimIdx), C = a.retrieveValueFromItem(g, _.dimIdx);
        _.parser && (S = _.parser(S), C = _.parser(C));
        var b = _.comparator.evaluate(S, C);
        if (b !== 0)
          return b;
      }
      return 0;
    }), {
      data: d
    };
  }
};
function install$2(r) {
  r.registerTransform(filterTransform), r.registerTransform(sortTransform);
}
var DatasetModel = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = "dataset", o;
    }
    return a.prototype.init = function(o, s, l) {
      r.prototype.init.call(this, o, s, l), this._sourceManager = new SourceManager(this), disableTransformOptionMerge(this);
    }, a.prototype.mergeOption = function(o, s) {
      r.prototype.mergeOption.call(this, o, s), disableTransformOptionMerge(this);
    }, a.prototype.optionUpdated = function() {
      this._sourceManager.dirty();
    }, a.prototype.getSourceManager = function() {
      return this._sourceManager;
    }, a.type = "dataset", a.defaultOption = {
      seriesLayoutBy: SERIES_LAYOUT_BY_COLUMN
    }, a;
  }(ComponentModel)
), DatasetView = (
  /** @class */
  function(r) {
    __extends(a, r);
    function a() {
      var o = r !== null && r.apply(this, arguments) || this;
      return o.type = "dataset", o;
    }
    return a.type = "dataset", a;
  }(ComponentView)
);
function install$1(r) {
  r.registerComponentModel(DatasetModel), r.registerComponentView(DatasetView);
}
var CMD = PathProxy.CMD;
function aroundEqual(r, a) {
  return Math.abs(r - a) < 1e-5;
}
function pathToBezierCurves(r) {
  var a = r.data, o = r.len(), s = [], l, u = 0, c = 0, d = 0, f = 0;
  function p(R, H) {
    l && l.length > 2 && s.push(l), l = [R, H];
  }
  function v(R, H, V, Y) {
    aroundEqual(R, V) && aroundEqual(H, Y) || l.push(R, H, V, Y, V, Y);
  }
  function g(R, H, V, Y, G, Z) {
    var re = Math.abs(H - R), de = Math.tan(re / 4) * 4 / 3, X = H < R ? -1 : 1, W = Math.cos(R), te = Math.sin(R), ae = Math.cos(H), Te = Math.sin(H), $e = W * G + V, se = te * Z + Y, fe = ae * G + V, ce = Te * Z + Y, ge = G * de * X, ve = Z * de * X;
    l.push($e - ge * te, se + ve * W, fe + ge * Te, ce - ve * ae, fe, ce);
  }
  for (var y, _, S, C, b = 0; b < o; ) {
    var T = a[b++], E = b === 1;
    switch (E && (u = a[b], c = a[b + 1], d = u, f = c, (T === CMD.L || T === CMD.C || T === CMD.Q) && (l = [d, f])), T) {
      case CMD.M:
        u = d = a[b++], c = f = a[b++], p(d, f);
        break;
      case CMD.L:
        y = a[b++], _ = a[b++], v(u, c, y, _), u = y, c = _;
        break;
      case CMD.C:
        l.push(a[b++], a[b++], a[b++], a[b++], u = a[b++], c = a[b++]);
        break;
      case CMD.Q:
        y = a[b++], _ = a[b++], S = a[b++], C = a[b++], l.push(u + 2 / 3 * (y - u), c + 2 / 3 * (_ - c), S + 2 / 3 * (y - S), C + 2 / 3 * (_ - C), S, C), u = S, c = C;
        break;
      case CMD.A:
        var x = a[b++], $ = a[b++], A = a[b++], N = a[b++], P = a[b++], L = a[b++] + P;
        b += 1;
        var O = !a[b++];
        y = Math.cos(P) * A + x, _ = Math.sin(P) * N + $, E ? (d = y, f = _, p(d, f)) : v(u, c, y, _), u = Math.cos(L) * A + x, c = Math.sin(L) * N + $;
        for (var M = (O ? -1 : 1) * Math.PI / 2, F = P; O ? F > L : F < L; F += M) {
          var U = O ? Math.max(F + M, L) : Math.min(F + M, L);
          g(F, U, x, $, A, N);
        }
        break;
      case CMD.R:
        d = u = a[b++], f = c = a[b++], y = d + a[b++], _ = f + a[b++], p(y, f), v(y, f, y, _), v(y, _, d, _), v(d, _, d, f), v(d, f, y, f);
        break;
      case CMD.Z:
        l && v(u, c, d, f), u = d, c = f;
        break;
    }
  }
  return l && l.length > 2 && s.push(l), s;
}
function adpativeBezier(r, a, o, s, l, u, c, d, f, p) {
  if (aroundEqual(r, o) && aroundEqual(a, s) && aroundEqual(l, c) && aroundEqual(u, d)) {
    f.push(c, d);
    return;
  }
  var v = 2 / p, g = v * v, y = c - r, _ = d - a, S = Math.sqrt(y * y + _ * _);
  y /= S, _ /= S;
  var C = o - r, b = s - a, T = l - c, E = u - d, x = C * C + b * b, $ = T * T + E * E;
  if (x < g && $ < g) {
    f.push(c, d);
    return;
  }
  var A = y * C + _ * b, N = -y * T - _ * E, P = x - A * A, L = $ - N * N;
  if (P < g && A >= 0 && L < g && N >= 0) {
    f.push(c, d);
    return;
  }
  var O = [], M = [];
  cubicSubdivide(r, o, l, c, 0.5, O), cubicSubdivide(a, s, u, d, 0.5, M), adpativeBezier(O[0], M[0], O[1], M[1], O[2], M[2], O[3], M[3], f, p), adpativeBezier(O[4], M[4], O[5], M[5], O[6], M[6], O[7], M[7], f, p);
}
function pathToPolygons(r, a) {
  var o = pathToBezierCurves(r), s = [];
  a = a || 1;
  for (var l = 0; l < o.length; l++) {
    var u = o[l], c = [], d = u[0], f = u[1];
    c.push(d, f);
    for (var p = 2; p < u.length; ) {
      var v = u[p++], g = u[p++], y = u[p++], _ = u[p++], S = u[p++], C = u[p++];
      adpativeBezier(d, f, v, g, y, _, S, C, c, a), d = S, f = C;
    }
    s.push(c);
  }
  return s;
}
function getDividingGrids(r, a, o) {
  var s = r[a], l = r[1 - a], u = Math.abs(s / l), c = Math.ceil(Math.sqrt(u * o)), d = Math.floor(o / c);
  d === 0 && (d = 1, c = o);
  for (var f = [], p = 0; p < c; p++)
    f.push(d);
  var v = c * d, g = o - v;
  if (g > 0)
    for (var p = 0; p < g; p++)
      f[p % c] += 1;
  return f;
}
function divideSector(r, a, o) {
  for (var s = r.r0, l = r.r, u = r.startAngle, c = r.endAngle, d = Math.abs(c - u), f = d * l, p = l - s, v = f > Math.abs(p), g = getDividingGrids([f, p], v ? 0 : 1, a), y = (v ? d : p) / g.length, _ = 0; _ < g.length; _++)
    for (var S = (v ? p : d) / g[_], C = 0; C < g[_]; C++) {
      var b = {};
      v ? (b.startAngle = u + y * _, b.endAngle = u + y * (_ + 1), b.r0 = s + S * C, b.r = s + S * (C + 1)) : (b.startAngle = u + S * C, b.endAngle = u + S * (C + 1), b.r0 = s + y * _, b.r = s + y * (_ + 1)), b.clockwise = r.clockwise, b.cx = r.cx, b.cy = r.cy, o.push(b);
    }
}
function divideRect(r, a, o) {
  for (var s = r.width, l = r.height, u = s > l, c = getDividingGrids([s, l], u ? 0 : 1, a), d = u ? "width" : "height", f = u ? "height" : "width", p = u ? "x" : "y", v = u ? "y" : "x", g = r[d] / c.length, y = 0; y < c.length; y++)
    for (var _ = r[f] / c[y], S = 0; S < c[y]; S++) {
      var C = {};
      C[p] = y * g, C[v] = S * _, C[d] = g, C[f] = _, C.x += r.x, C.y += r.y, o.push(C);
    }
}
function crossProduct2d(r, a, o, s) {
  return r * s - o * a;
}
function lineLineIntersect(r, a, o, s, l, u, c, d) {
  var f = o - r, p = s - a, v = c - l, g = d - u, y = crossProduct2d(v, g, f, p);
  if (Math.abs(y) < 1e-6)
    return null;
  var _ = r - l, S = a - u, C = crossProduct2d(_, S, v, g) / y;
  return C < 0 || C > 1 ? null : new Point(C * f + r, C * p + a);
}
function projPtOnLine(r, a, o) {
  var s = new Point();
  Point.sub(s, o, a), s.normalize();
  var l = new Point();
  Point.sub(l, r, a);
  var u = l.dot(s);
  return u;
}
function addToPoly(r, a) {
  var o = r[r.length - 1];
  o && o[0] === a[0] && o[1] === a[1] || r.push(a);
}
function splitPolygonByLine(r, a, o) {
  for (var s = r.length, l = [], u = 0; u < s; u++) {
    var c = r[u], d = r[(u + 1) % s], f = lineLineIntersect(c[0], c[1], d[0], d[1], a.x, a.y, o.x, o.y);
    f && l.push({
      projPt: projPtOnLine(f, a, o),
      pt: f,
      idx: u
    });
  }
  if (l.length < 2)
    return [{ points: r }, { points: r }];
  l.sort(function(b, T) {
    return b.projPt - T.projPt;
  });
  var p = l[0], v = l[l.length - 1];
  if (v.idx < p.idx) {
    var g = p;
    p = v, v = g;
  }
  for (var y = [p.pt.x, p.pt.y], _ = [v.pt.x, v.pt.y], S = [y], C = [_], u = p.idx + 1; u <= v.idx; u++)
    addToPoly(S, r[u].slice());
  addToPoly(S, _), addToPoly(S, y);
  for (var u = v.idx + 1; u <= p.idx + s; u++)
    addToPoly(C, r[u % s].slice());
  return addToPoly(C, y), addToPoly(C, _), [{
    points: S
  }, {
    points: C
  }];
}
function binaryDividePolygon(r) {
  var a = r.points, o = [], s = [];
  fromPoints(a, o, s);
  var l = new BoundingRect(o[0], o[1], s[0] - o[0], s[1] - o[1]), u = l.width, c = l.height, d = l.x, f = l.y, p = new Point(), v = new Point();
  return u > c ? (p.x = v.x = d + u / 2, p.y = f, v.y = f + c) : (p.y = v.y = f + c / 2, p.x = d, v.x = d + u), splitPolygonByLine(a, p, v);
}
function binaryDivideRecursive(r, a, o, s) {
  if (o === 1)
    s.push(a);
  else {
    var l = Math.floor(o / 2), u = r(a);
    binaryDivideRecursive(r, u[0], l, s), binaryDivideRecursive(r, u[1], o - l, s);
  }
  return s;
}
function clone(r, a) {
  for (var o = [], s = 0; s < a; s++)
    o.push(clonePath(r));
  return o;
}
function copyPathProps(r, a) {
  a.setStyle(r.style), a.z = r.z, a.z2 = r.z2, a.zlevel = r.zlevel;
}
function polygonConvert(r) {
  for (var a = [], o = 0; o < r.length; )
    a.push([r[o++], r[o++]]);
  return a;
}
function split(r, a) {
  var o = [], s = r.shape, l;
  switch (r.type) {
    case "rect":
      divideRect(s, a, o), l = Rect$2;
      break;
    case "sector":
      divideSector(s, a, o), l = Sector;
      break;
    case "circle":
      divideSector({
        r0: 0,
        r: s.r,
        startAngle: 0,
        endAngle: Math.PI * 2,
        cx: s.cx,
        cy: s.cy
      }, a, o), l = Sector;
      break;
    default:
      var u = r.getComputedTransform(), c = u ? Math.sqrt(Math.max(u[0] * u[0] + u[1] * u[1], u[2] * u[2] + u[3] * u[3])) : 1, d = map$1(pathToPolygons(r.getUpdatedPathProxy(), c), function(T) {
        return polygonConvert(T);
      }), f = d.length;
      if (f === 0)
        binaryDivideRecursive(binaryDividePolygon, {
          points: d[0]
        }, a, o);
      else if (f === a)
        for (var p = 0; p < f; p++)
          o.push({
            points: d[p]
          });
      else {
        var v = 0, g = map$1(d, function(T) {
          var E = [], x = [];
          fromPoints(T, E, x);
          var $ = (x[1] - E[1]) * (x[0] - E[0]);
          return v += $, { poly: T, area: $ };
        });
        g.sort(function(T, E) {
          return E.area - T.area;
        });
        for (var y = a, p = 0; p < f; p++) {
          var _ = g[p];
          if (y <= 0)
            break;
          var S = p === f - 1 ? y : Math.ceil(_.area / v * a);
          S < 0 || (binaryDivideRecursive(binaryDividePolygon, {
            points: _.poly
          }, S, o), y -= S);
        }
      }
      l = Polygon;
      break;
  }
  if (!l)
    return clone(r, a);
  for (var C = [], p = 0; p < o.length; p++) {
    var b = new l();
    b.setShape(o[p]), copyPathProps(r, b), C.push(b);
  }
  return C;
}
function alignSubpath(r, a) {
  var o = r.length, s = a.length;
  if (o === s)
    return [r, a];
  for (var l = [], u = [], c = o < s ? r : a, d = Math.min(o, s), f = Math.abs(s - o) / 6, p = (d - 2) / 6, v = Math.ceil(f / p) + 1, g = [c[0], c[1]], y = f, _ = 2; _ < d; ) {
    var S = c[_ - 2], C = c[_ - 1], b = c[_++], T = c[_++], E = c[_++], x = c[_++], $ = c[_++], A = c[_++];
    if (y <= 0) {
      g.push(b, T, E, x, $, A);
      continue;
    }
    for (var N = Math.min(y, v - 1) + 1, P = 1; P <= N; P++) {
      var L = P / N;
      cubicSubdivide(S, b, E, $, L, l), cubicSubdivide(C, T, x, A, L, u), S = l[3], C = u[3], g.push(l[1], u[1], l[2], u[2], S, C), b = l[5], T = u[5], E = l[6], x = u[6];
    }
    y -= N - 1;
  }
  return c === r ? [g, a] : [r, g];
}
function createSubpath(r, a) {
  for (var o = r.length, s = r[o - 2], l = r[o - 1], u = [], c = 0; c < a.length; )
    u[c++] = s, u[c++] = l;
  return u;
}
function alignBezierCurves(r, a) {
  for (var o, s, l, u = [], c = [], d = 0; d < Math.max(r.length, a.length); d++) {
    var f = r[d], p = a[d], v = void 0, g = void 0;
    f ? p ? (o = alignSubpath(f, p), v = o[0], g = o[1], s = v, l = g) : (g = createSubpath(l || f, f), v = f) : (v = createSubpath(s || p, p), g = p), u.push(v), c.push(g);
  }
  return [u, c];
}
function centroid(r) {
  for (var a = 0, o = 0, s = 0, l = r.length, u = 0, c = l - 2; u < l; c = u, u += 2) {
    var d = r[c], f = r[c + 1], p = r[u], v = r[u + 1], g = d * v - p * f;
    a += g, o += (d + p) * g, s += (f + v) * g;
  }
  return a === 0 ? [r[0] || 0, r[1] || 0] : [o / a / 3, s / a / 3, a];
}
function findBestRingOffset(r, a, o, s) {
  for (var l = (r.length - 2) / 6, u = 1 / 0, c = 0, d = r.length, f = d - 2, p = 0; p < l; p++) {
    for (var v = p * 6, g = 0, y = 0; y < d; y += 2) {
      var _ = y === 0 ? v : (v + y - 2) % f + 2, S = r[_] - o[0], C = r[_ + 1] - o[1], b = a[y] - s[0], T = a[y + 1] - s[1], E = b - S, x = T - C;
      g += E * E + x * x;
    }
    g < u && (u = g, c = p);
  }
  return c;
}
function reverse(r) {
  for (var a = [], o = r.length, s = 0; s < o; s += 2)
    a[s] = r[o - s - 2], a[s + 1] = r[o - s - 1];
  return a;
}
function findBestMorphingRotation(r, a, o, s) {
  for (var l = [], u, c = 0; c < r.length; c++) {
    var d = r[c], f = a[c], p = centroid(d), v = centroid(f);
    u == null && (u = p[2] < 0 != v[2] < 0);
    var g = [], y = [], _ = 0, S = 1 / 0, C = [], b = d.length;
    u && (d = reverse(d));
    for (var T = findBestRingOffset(d, f, p, v) * 6, E = b - 2, x = 0; x < E; x += 2) {
      var $ = (T + x) % E + 2;
      g[x + 2] = d[$] - p[0], g[x + 3] = d[$ + 1] - p[1];
    }
    g[0] = d[T] - p[0], g[1] = d[T + 1] - p[1];
    for (var A = s / o, N = -s / 2; N <= s / 2; N += A) {
      for (var P = Math.sin(N), L = Math.cos(N), O = 0, x = 0; x < d.length; x += 2) {
        var M = g[x], F = g[x + 1], U = f[x] - v[0], R = f[x + 1] - v[1], H = U * L - R * P, V = U * P + R * L;
        C[x] = H, C[x + 1] = V;
        var Y = H - M, G = V - F;
        O += Y * Y + G * G;
      }
      if (O < S) {
        S = O, _ = N;
        for (var Z = 0; Z < C.length; Z++)
          y[Z] = C[Z];
      }
    }
    l.push({
      from: g,
      to: y,
      fromCp: p,
      toCp: v,
      rotation: -_
    });
  }
  return l;
}
function isCombineMorphing(r) {
  return r.__isCombineMorphing;
}
var SAVED_METHOD_PREFIX = "__mOriginal_";
function saveAndModifyMethod(r, a, o) {
  var s = SAVED_METHOD_PREFIX + a, l = r[s] || r[a];
  r[s] || (r[s] = r[a]);
  var u = o.replace, c = o.after, d = o.before;
  r[a] = function() {
    var f = arguments, p;
    return d && d.apply(this, f), u ? p = u.apply(this, f) : p = l.apply(this, f), c && c.apply(this, f), p;
  };
}
function restoreMethod(r, a) {
  var o = SAVED_METHOD_PREFIX + a;
  r[o] && (r[a] = r[o], r[o] = null);
}
function applyTransformOnBeziers(r, a) {
  for (var o = 0; o < r.length; o++)
    for (var s = r[o], l = 0; l < s.length; ) {
      var u = s[l], c = s[l + 1];
      s[l++] = a[0] * u + a[2] * c + a[4], s[l++] = a[1] * u + a[3] * c + a[5];
    }
}
function prepareMorphPath(r, a) {
  var o = r.getUpdatedPathProxy(), s = a.getUpdatedPathProxy(), l = alignBezierCurves(pathToBezierCurves(o), pathToBezierCurves(s)), u = l[0], c = l[1], d = r.getComputedTransform(), f = a.getComputedTransform();
  function p() {
    this.transform = null;
  }
  d && applyTransformOnBeziers(u, d), f && applyTransformOnBeziers(c, f), saveAndModifyMethod(a, "updateTransform", { replace: p }), a.transform = null;
  var v = findBestMorphingRotation(u, c, 10, Math.PI), g = [];
  saveAndModifyMethod(a, "buildPath", { replace: function(y) {
    for (var _ = a.__morphT, S = 1 - _, C = [], b = 0; b < v.length; b++) {
      var T = v[b], E = T.from, x = T.to, $ = T.rotation * _, A = T.fromCp, N = T.toCp, P = Math.sin($), L = Math.cos($);
      lerp$1(C, A, N, _);
      for (var O = 0; O < E.length; O += 2) {
        var M = E[O], F = E[O + 1], U = x[O], R = x[O + 1], H = M * S + U * _, V = F * S + R * _;
        g[O] = H * L - V * P + C[0], g[O + 1] = H * P + V * L + C[1];
      }
      var Y = g[0], G = g[1];
      y.moveTo(Y, G);
      for (var O = 2; O < E.length; ) {
        var U = g[O++], R = g[O++], Z = g[O++], re = g[O++], de = g[O++], X = g[O++];
        Y === U && G === R && Z === de && re === X ? y.lineTo(de, X) : y.bezierCurveTo(U, R, Z, re, de, X), Y = de, G = X;
      }
    }
  } });
}
function morphPath(r, a, o) {
  if (!r || !a)
    return a;
  var s = o.done, l = o.during;
  prepareMorphPath(r, a), a.__morphT = 0;
  function u() {
    restoreMethod(a, "buildPath"), restoreMethod(a, "updateTransform"), a.__morphT = -1, a.createPathProxy(), a.dirtyShape();
  }
  return a.animateTo({
    __morphT: 1
  }, defaults({
    during: function(c) {
      a.dirtyShape(), l && l(c);
    },
    done: function() {
      u(), s && s();
    }
  }, o)), a;
}
function hilbert(r, a, o, s, l, u) {
  var c = 16;
  r = l === o ? 0 : Math.round(32767 * (r - o) / (l - o)), a = u === s ? 0 : Math.round(32767 * (a - s) / (u - s));
  for (var d = 0, f, p = (1 << c) / 2; p > 0; p /= 2) {
    var v = 0, g = 0;
    (r & p) > 0 && (v = 1), (a & p) > 0 && (g = 1), d += p * p * (3 * v ^ g), g === 0 && (v === 1 && (r = p - 1 - r, a = p - 1 - a), f = r, r = a, a = f);
  }
  return d;
}
function sortPaths(r) {
  var a = 1 / 0, o = 1 / 0, s = -1 / 0, l = -1 / 0, u = map$1(r, function(d) {
    var f = d.getBoundingRect(), p = d.getComputedTransform(), v = f.x + f.width / 2 + (p ? p[4] : 0), g = f.y + f.height / 2 + (p ? p[5] : 0);
    return a = Math.min(v, a), o = Math.min(g, o), s = Math.max(v, s), l = Math.max(g, l), [v, g];
  }), c = map$1(u, function(d, f) {
    return {
      cp: d,
      z: hilbert(d[0], d[1], a, o, s, l),
      path: r[f]
    };
  });
  return c.sort(function(d, f) {
    return d.z - f.z;
  }).map(function(d) {
    return d.path;
  });
}
function defaultDividePath(r) {
  return split(r.path, r.count);
}
function createEmptyReturn() {
  return {
    fromIndividuals: [],
    toIndividuals: [],
    count: 0
  };
}
function combineMorph(r, a, o) {
  var s = [];
  function l(A) {
    for (var N = 0; N < A.length; N++) {
      var P = A[N];
      isCombineMorphing(P) ? l(P.childrenRef()) : P instanceof Path && s.push(P);
    }
  }
  l(r);
  var u = s.length;
  if (!u)
    return createEmptyReturn();
  var c = o.dividePath || defaultDividePath, d = c({
    path: a,
    count: u
  });
  if (d.length !== u)
    return console.error("Invalid morphing: unmatched splitted path"), createEmptyReturn();
  s = sortPaths(s), d = sortPaths(d);
  for (var f = o.done, p = o.during, v = o.individualDelay, g = new Transformable(), y = 0; y < u; y++) {
    var _ = s[y], S = d[y];
    S.parent = a, S.copyTransform(g), v || prepareMorphPath(_, S);
  }
  a.__isCombineMorphing = !0, a.childrenRef = function() {
    return d;
  };
  function C(A) {
    for (var N = 0; N < d.length; N++)
      d[N].addSelfToZr(A);
  }
  saveAndModifyMethod(a, "addSelfToZr", {
    after: function(A) {
      C(A);
    }
  }), saveAndModifyMethod(a, "removeSelfFromZr", {
    after: function(A) {
      for (var N = 0; N < d.length; N++)
        d[N].removeSelfFromZr(A);
    }
  });
  function b() {
    a.__isCombineMorphing = !1, a.__morphT = -1, a.childrenRef = null, restoreMethod(a, "addSelfToZr"), restoreMethod(a, "removeSelfFromZr");
  }
  var T = d.length;
  if (v)
    for (var E = T, x = function() {
      E--, E === 0 && (b(), f && f());
    }, y = 0; y < T; y++) {
      var $ = v ? defaults({
        delay: (o.delay || 0) + v(y, T, s[y], d[y]),
        done: x
      }, o) : o;
      morphPath(s[y], d[y], $);
    }
  else
    a.__morphT = 0, a.animateTo({
      __morphT: 1
    }, defaults({
      during: function(A) {
        for (var N = 0; N < T; N++) {
          var P = d[N];
          P.__morphT = a.__morphT, P.dirtyShape();
        }
        p && p(A);
      },
      done: function() {
        b();
        for (var A = 0; A < r.length; A++)
          restoreMethod(r[A], "updateTransform");
        f && f();
      }
    }, o));
  return a.__zr && C(a.__zr), {
    fromIndividuals: s,
    toIndividuals: d,
    count: T
  };
}
function separateMorph(r, a, o) {
  var s = a.length, l = [], u = o.dividePath || defaultDividePath;
  function c(_) {
    for (var S = 0; S < _.length; S++) {
      var C = _[S];
      isCombineMorphing(C) ? c(C.childrenRef()) : C instanceof Path && l.push(C);
    }
  }
  if (isCombineMorphing(r)) {
    c(r.childrenRef());
    var d = l.length;
    if (d < s)
      for (var f = 0, p = d; p < s; p++)
        l.push(clonePath(l[f++ % d]));
    l.length = s;
  } else {
    l = u({ path: r, count: s });
    for (var v = r.getComputedTransform(), p = 0; p < l.length; p++)
      l[p].setLocalTransform(v);
    if (l.length !== s)
      return console.error("Invalid morphing: unmatched splitted path"), createEmptyReturn();
  }
  l = sortPaths(l), a = sortPaths(a);
  for (var g = o.individualDelay, p = 0; p < s; p++) {
    var y = g ? defaults({
      delay: (o.delay || 0) + g(p, s, l[p], a[p])
    }, o) : o;
    morphPath(l[p], a[p], y);
  }
  return {
    fromIndividuals: l,
    toIndividuals: a,
    count: a.length
  };
}
function isMultiple(r) {
  return isArray$1(r[0]);
}
function prepareMorphBatches(r, a) {
  for (var o = [], s = r.length, l = 0; l < s; l++)
    o.push({
      one: r[l],
      many: []
    });
  for (var l = 0; l < a.length; l++) {
    var u = a[l].length, c = void 0;
    for (c = 0; c < u; c++)
      o[c % s].many.push(a[l][c]);
  }
  for (var d = 0, l = s - 1; l >= 0; l--)
    if (!o[l].many.length) {
      var f = o[d].many;
      if (f.length <= 1)
        if (d)
          d = 0;
        else
          return o;
      var u = f.length, p = Math.ceil(u / 2);
      o[l].many = f.slice(p, u), o[d].many = f.slice(0, p), d++;
    }
  return o;
}
var pathDividers = {
  clone: function(r) {
    for (var a = [], o = 1 - Math.pow(1 - r.path.style.opacity, 1 / r.count), s = 0; s < r.count; s++) {
      var l = clonePath(r.path);
      l.setStyle("opacity", o), a.push(l);
    }
    return a;
  },
  // Use the default divider
  split: null
};
function applyMorphAnimation(r, a, o, s, l, u) {
  if (!r.length || !a.length)
    return;
  var c = getAnimationConfig("update", s, l);
  if (!(c && c.duration > 0))
    return;
  var d = s.getModel("universalTransition").get("delay"), f = Object.assign({
    // Need to setToFinal so the further calculation based on the style can be correct.
    // Like emphasis color.
    setToFinal: !0
  }, c), p, v;
  isMultiple(r) && (p = r, v = a), isMultiple(a) && (p = a, v = r);
  function g(T, E, x, $, A) {
    var N = T.many, P = T.one;
    if (N.length === 1 && !A) {
      var L = E ? N[0] : P, O = E ? P : N[0];
      if (isCombineMorphing(L))
        g({
          many: [L],
          one: O
        }, !0, x, $, !0);
      else {
        var M = d ? defaults({
          delay: d(x, $)
        }, f) : f;
        morphPath(L, O, M), u(L, O, L, O, M);
      }
    } else
      for (var F = defaults({
        dividePath: pathDividers[o],
        individualDelay: d && function(G, Z, re, de) {
          return d(G + x, $);
        }
      }, f), U = E ? combineMorph(N, P, F) : separateMorph(P, N, F), R = U.fromIndividuals, H = U.toIndividuals, V = R.length, Y = 0; Y < V; Y++) {
        var M = d ? defaults({
          delay: d(Y, V)
        }, f) : f;
        u(R[Y], H[Y], E ? N[Y] : T.one, E ? T.one : N[Y], M);
      }
  }
  for (var y = p ? p === r : r.length > a.length, _ = p ? prepareMorphBatches(v, p) : prepareMorphBatches(y ? a : r, [y ? r : a]), S = 0, C = 0; C < _.length; C++)
    S += _[C].many.length;
  for (var b = 0, C = 0; C < _.length; C++)
    g(_[C], y, b, S), b += _[C].many.length;
}
function getPathList(r) {
  if (!r)
    return [];
  if (isArray$1(r)) {
    for (var a = [], o = 0; o < r.length; o++)
      a.push(getPathList(r[o]));
    return a;
  }
  var s = [];
  return r.traverse(function(l) {
    l instanceof Path && !l.disableMorphing && !l.invisible && !l.ignore && s.push(l);
  }), s;
}
var DATA_COUNT_THRESHOLD = 1e4, TRANSITION_NONE = 0, TRANSITION_P2C = 1, TRANSITION_C2P = 2, getUniversalTransitionGlobalStore = makeInner();
function getDimension(r, a) {
  for (var o = r.dimensions, s = 0; s < o.length; s++) {
    var l = r.getDimensionInfo(o[s]);
    if (l && l.otherDims[a] === 0)
      return o[s];
  }
}
function getValueByDimension(r, a, o) {
  var s = r.getDimensionInfo(o), l = s && s.ordinalMeta;
  if (s) {
    var u = r.get(s.name, a);
    return l && l.categories[u] || u + "";
  }
}
function getGroupId(r, a, o, s) {
  var l = s ? "itemChildGroupId" : "itemGroupId", u = getDimension(r, l);
  if (u) {
    var c = getValueByDimension(r, a, u);
    return c;
  }
  var d = r.getRawDataItem(a), f = s ? "childGroupId" : "groupId";
  if (d && d[f])
    return d[f] + "";
  if (!s)
    return o || r.getId(a);
}
function flattenDataDiffItems(r) {
  var a = [];
  return each$f(r, function(o) {
    var s = o.data, l = o.dataGroupId;
    if (s.count() > DATA_COUNT_THRESHOLD) {
      process.env.NODE_ENV !== "production" && warn("Universal transition is disabled on large data > 10k.");
      return;
    }
    for (var u = s.getIndices(), c = 0; c < u.length; c++)
      a.push({
        data: s,
        groupId: getGroupId(s, c, l, !1),
        childGroupId: getGroupId(s, c, l, !0),
        divide: o.divide,
        dataIndex: c
      });
  }), a;
}
function fadeInElement(r, a, o) {
  r.traverse(function(s) {
    s instanceof Path && initProps(s, {
      style: {
        opacity: 0
      }
    }, a, {
      dataIndex: o,
      isFrom: !0
    });
  });
}
function removeEl(r) {
  if (r.parent) {
    var a = r.getComputedTransform();
    r.setLocalTransform(a), r.parent.remove(r);
  }
}
function stopAnimation(r) {
  r.stopAnimation(), r.isGroup && r.traverse(function(a) {
    a.stopAnimation();
  });
}
function animateElementStyles(r, a, o) {
  var s = getAnimationConfig("update", o, a);
  s && r.traverse(function(l) {
    if (l instanceof Displayable) {
      var u = getOldStyle(l);
      u && l.animateFrom({
        style: u
      }, s);
    }
  });
}
function isAllIdSame(r, a) {
  var o = r.length;
  if (o !== a.length)
    return !1;
  for (var s = 0; s < o; s++) {
    var l = r[s], u = a[s];
    if (l.data.getId(l.dataIndex) !== u.data.getId(u.dataIndex))
      return !1;
  }
  return !0;
}
function transitionBetween(r, a, o) {
  var s = flattenDataDiffItems(r), l = flattenDataDiffItems(a);
  function u(x, $, A, N, P) {
    (A || x) && $.animateFrom({
      style: A && A !== x ? extend(extend({}, A.style), x.style) : x.style
    }, P);
  }
  var c = !1, d = TRANSITION_NONE, f = createHashMap(), p = createHashMap();
  s.forEach(function(x) {
    x.groupId && f.set(x.groupId, !0), x.childGroupId && p.set(x.childGroupId, !0);
  });
  for (var v = 0; v < l.length; v++) {
    var g = l[v].groupId;
    if (p.get(g)) {
      d = TRANSITION_P2C;
      break;
    }
    var y = l[v].childGroupId;
    if (y && f.get(y)) {
      d = TRANSITION_C2P;
      break;
    }
  }
  function _(x, $) {
    return function(A) {
      var N = A.data, P = A.dataIndex;
      return $ ? N.getId(P) : x ? d === TRANSITION_P2C ? A.childGroupId : A.groupId : d === TRANSITION_C2P ? A.childGroupId : A.groupId;
    };
  }
  var S = isAllIdSame(s, l), C = {};
  if (!S)
    for (var v = 0; v < l.length; v++) {
      var b = l[v], T = b.data.getItemGraphicEl(b.dataIndex);
      T && (C[T.id] = !0);
    }
  function E(x, $) {
    var A = s[$], N = l[x], P = N.data.hostModel, L = A.data.getItemGraphicEl(A.dataIndex), O = N.data.getItemGraphicEl(N.dataIndex);
    if (L === O) {
      O && animateElementStyles(O, N.dataIndex, P);
      return;
    }
    // We can't use the elements that already being morphed
    L && C[L.id] || O && (stopAnimation(O), L ? (stopAnimation(L), removeEl(L), c = !0, applyMorphAnimation(getPathList(L), getPathList(O), N.divide, P, x, u)) : fadeInElement(O, P, x));
  }
  new DataDiffer(s, l, _(!0, S), _(!1, S), null, "multiple").update(E).updateManyToOne(function(x, $) {
    var A = l[x], N = A.data, P = N.hostModel, L = N.getItemGraphicEl(A.dataIndex), O = filter(map$1($, function(M) {
      return s[M].data.getItemGraphicEl(s[M].dataIndex);
    }), function(M) {
      return M && M !== L && !C[M.id];
    });
    L && (stopAnimation(L), O.length ? (each$f(O, function(M) {
      stopAnimation(M), removeEl(M);
    }), c = !0, applyMorphAnimation(getPathList(O), getPathList(L), A.divide, P, x, u)) : fadeInElement(L, P, A.dataIndex));
  }).updateOneToMany(function(x, $) {
    var A = s[$], N = A.data.getItemGraphicEl(A.dataIndex);
    if (!(N && C[N.id])) {
      var P = filter(map$1(x, function(O) {
        return l[O].data.getItemGraphicEl(l[O].dataIndex);
      }), function(O) {
        return O && O !== N;
      }), L = l[x[0]].data.hostModel;
      P.length && (each$f(P, function(O) {
        return stopAnimation(O);
      }), N ? (stopAnimation(N), removeEl(N), c = !0, applyMorphAnimation(
        getPathList(N),
        getPathList(P),
        A.divide,
        // Use divide on old.
        L,
        x[0],
        u
      )) : each$f(P, function(O) {
        return fadeInElement(O, L, x[0]);
      }));
    }
  }).updateManyToMany(function(x, $) {
    new DataDiffer($, x, function(A) {
      return s[A].data.getId(s[A].dataIndex);
    }, function(A) {
      return l[A].data.getId(l[A].dataIndex);
    }).update(function(A, N) {
      E(x[A], $[N]);
    }).execute();
  }).execute(), c && each$f(a, function(x) {
    var $ = x.data, A = $.hostModel, N = A && o.getViewOfSeriesModel(A), P = getAnimationConfig("update", A, 0);
    N && A.isAnimationEnabled() && P && P.duration > 0 && N.group.traverse(function(L) {
      L instanceof Path && !L.animators.length && L.animateFrom({
        style: {
          opacity: 0
        }
      }, P);
    });
  });
}
function getSeriesTransitionKey(r) {
  var a = r.getModel("universalTransition").get("seriesKey");
  return a || r.id;
}
function convertArraySeriesKeyToString(r) {
  return isArray$1(r) ? r.sort().join(",") : r;
}
function getDivideShapeFromData(r) {
  if (r.hostModel)
    return r.hostModel.getModel("universalTransition").get("divideShape");
}
function findTransitionSeriesBatches(r, a) {
  var o = createHashMap(), s = createHashMap(), l = createHashMap();
  each$f(r.oldSeries, function(c, d) {
    var f = r.oldDataGroupIds[d], p = r.oldData[d], v = getSeriesTransitionKey(c), g = convertArraySeriesKeyToString(v);
    s.set(g, {
      dataGroupId: f,
      data: p
    }), isArray$1(v) && each$f(v, function(y) {
      l.set(y, {
        key: g,
        dataGroupId: f,
        data: p
      });
    });
  });
  function u(c) {
    o.get(c) && warn("Duplicated seriesKey in universalTransition " + c);
  }
  return each$f(a.updatedSeries, function(c) {
    if (c.isUniversalTransitionEnabled() && c.isAnimationEnabled()) {
      var d = c.get("dataGroupId"), f = c.getData(), p = getSeriesTransitionKey(c), v = convertArraySeriesKeyToString(p), g = s.get(v);
      if (g)
        process.env.NODE_ENV !== "production" && u(v), o.set(v, {
          oldSeries: [{
            dataGroupId: g.dataGroupId,
            divide: getDivideShapeFromData(g.data),
            data: g.data
          }],
          newSeries: [{
            dataGroupId: d,
            divide: getDivideShapeFromData(f),
            data: f
          }]
        });
      else if (isArray$1(p)) {
        process.env.NODE_ENV !== "production" && u(v);
        var y = [];
        each$f(p, function(C) {
          var b = s.get(C);
          b.data && y.push({
            dataGroupId: b.dataGroupId,
            divide: getDivideShapeFromData(b.data),
            data: b.data
          });
        }), y.length && o.set(v, {
          oldSeries: y,
          newSeries: [{
            dataGroupId: d,
            data: f,
            divide: getDivideShapeFromData(f)
          }]
        });
      } else {
        var _ = l.get(p);
        if (_) {
          var S = o.get(_.key);
          S || (S = {
            oldSeries: [{
              dataGroupId: _.dataGroupId,
              data: _.data,
              divide: getDivideShapeFromData(_.data)
            }],
            newSeries: []
          }, o.set(_.key, S)), S.newSeries.push({
            dataGroupId: d,
            data: f,
            divide: getDivideShapeFromData(f)
          });
        }
      }
    }
  }), o;
}
function querySeries(r, a) {
  for (var o = 0; o < r.length; o++) {
    var s = a.seriesIndex != null && a.seriesIndex === r[o].seriesIndex || a.seriesId != null && a.seriesId === r[o].id;
    if (s)
      return o;
  }
}
function transitionSeriesFromOpt(r, a, o, s) {
  var l = [], u = [];
  each$f(normalizeToArray(r.from), function(c) {
    var d = querySeries(a.oldSeries, c);
    d >= 0 && l.push({
      dataGroupId: a.oldDataGroupIds[d],
      data: a.oldData[d],
      // TODO can specify divideShape in transition.
      divide: getDivideShapeFromData(a.oldData[d]),
      groupIdDim: c.dimension
    });
  }), each$f(normalizeToArray(r.to), function(c) {
    var d = querySeries(o.updatedSeries, c);
    if (d >= 0) {
      var f = o.updatedSeries[d].getData();
      u.push({
        dataGroupId: a.oldDataGroupIds[d],
        data: f,
        divide: getDivideShapeFromData(f),
        groupIdDim: c.dimension
      });
    }
  }), l.length > 0 && u.length > 0 && transitionBetween(l, u, s);
}
function installUniversalTransition(r) {
  r.registerUpdateLifecycle("series:beforeupdate", function(a, o, s) {
    each$f(normalizeToArray(s.seriesTransition), function(l) {
      each$f(normalizeToArray(l.to), function(u) {
        for (var c = s.updatedSeries, d = 0; d < c.length; d++)
          (u.seriesIndex != null && u.seriesIndex === c[d].seriesIndex || u.seriesId != null && u.seriesId === c[d].id) && (c[d][SERIES_UNIVERSAL_TRANSITION_PROP] = !0);
      });
    });
  }), r.registerUpdateLifecycle("series:transition", function(a, o, s) {
    var l = getUniversalTransitionGlobalStore(o);
    if (l.oldSeries && s.updatedSeries && s.optionChanged) {
      var u = s.seriesTransition;
      if (u)
        each$f(normalizeToArray(u), function(_) {
          transitionSeriesFromOpt(_, l, s, o);
        });
      else {
        var c = findTransitionSeriesBatches(l, s);
        each$f(c.keys(), function(_) {
          var S = c.get(_);
          transitionBetween(S.oldSeries, S.newSeries, o);
        });
      }
      each$f(s.updatedSeries, function(_) {
        _[SERIES_UNIVERSAL_TRANSITION_PROP] && (_[SERIES_UNIVERSAL_TRANSITION_PROP] = !1);
      });
    }
    for (var d = a.getSeries(), f = l.oldSeries = [], p = l.oldDataGroupIds = [], v = l.oldData = [], g = 0; g < d.length; g++) {
      var y = d[g].getData();
      y.count() < DATA_COUNT_THRESHOLD && (f.push(d[g]), p.push(d[g].get("dataGroupId")), v.push(y));
    }
  });
}
use([install$S]);
use([install$T]);
use([install$R, install$Q, install$P, install$N, install$L, install$J, install$I, install$H, install$G, install$F, install$E, install$C, install$B, install$A, install$z, install$y, install$x, install$w, install$v, install$u, install$t, install$s]);
use(install$q);
use(install$p);
use(install$K);
use(install$o);
use(install$D);
use(install$n);
use(install$m);
use(install$k);
use(install$j);
use(install$r);
use(install$i);
use(install$h);
use(install$g);
use(install$f);
use(install$e);
use(install$d);
use(install$a);
use(install$7);
use(install$9);
use(install$8);
use(install$4);
use(install$6);
use(install$5);
use(install$3);
use(install$2);
use(install$1);
use(installUniversalTransition);
use(installLabelLayout);
const echarts = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Axis,
  ChartView,
  ComponentModel,
  ComponentView,
  List: SeriesData,
  Model,
  PRIORITY,
  SeriesModel,
  color,
  connect,
  dataTool,
  dependencies,
  disConnect,
  disconnect,
  dispose,
  env,
  extendChartView,
  extendComponentModel,
  extendComponentView,
  extendSeriesModel,
  format,
  getCoordinateSystemDimensions,
  getInstanceByDom,
  getInstanceById,
  getMap,
  graphic,
  helper,
  init: init$1,
  innerDrawElementOnCanvas: brushSingle,
  matrix,
  number,
  parseGeoJSON,
  parseGeoJson: parseGeoJSON,
  registerAction,
  registerCoordinateSystem,
  registerLayout,
  registerLoading,
  registerLocale,
  registerMap: registerMap$1,
  registerPostInit,
  registerPostUpdate,
  registerPreprocessor,
  registerProcessor,
  registerTheme,
  registerTransform,
  registerUpdateLifecycle,
  registerVisual,
  setCanvasCreator,
  setPlatformAPI,
  throttle,
  time,
  use,
  util,
  vector,
  version,
  zrUtil: util$1,
  zrender
}, Symbol.toStringTag, { value: "Module" })), install = function(r) {
  install.installed || (r.use(router), r.use(store), r.use(i18n$1), r.use(ViewUIPlus), r.mixin(mixinApp), r.directive("focus", focus), r.directive("tab-hide", tabHide), r.config.globalProperties.$echarts = echarts);
}, API = {
  //version: import.meta.env.VERSION,
  // locale: locale.use,
  // i18n: locale.i18n,
  install
  //...components
}, files = /* @__PURE__ */ Object.assign({ "./pages/account/login.vue": __vite_glob_0_0, "./pages/common/home.vue": __vite_glob_0_1, "./pages/common/todo.vue": __vite_glob_0_2, "./pages/system/apiLog.vue": __vite_glob_0_3, "./pages/system/apiOutLog.vue": __vite_glob_0_4, "./pages/system/applicationType.vue": __vite_glob_0_5, "./pages/system/customPage.vue": __vite_glob_0_6, "./pages/system/customTable.vue": __vite_glob_0_7, "./pages/system/dict.vue": __vite_glob_0_8, "./pages/system/dictType.vue": __vite_glob_0_9, "./pages/system/entityView.vue": __vite_glob_0_10, "./pages/system/error/404.vue": __vite_glob_0_11, "./pages/system/extendColumn.vue": __vite_glob_0_12, "./pages/system/formView.vue": __vite_glob_0_13, "./pages/system/i18nText.vue": __vite_glob_0_14, "./pages/system/log.vue": __vite_glob_0_15, "./pages/system/mailTemplate.vue": __vite_glob_0_16, "./pages/system/notice.vue": __vite_glob_0_17, "./pages/system/openApi.vue": __vite_glob_0_18, "./pages/system/openUser.vue": __vite_glob_0_19, "./pages/system/organization.vue": __vite_glob_0_20, "./pages/system/organizationType.vue": __vite_glob_0_21, "./pages/system/permission.vue": __vite_glob_0_22, "./pages/system/planJob.vue": __vite_glob_0_23, "./pages/system/printTemplate.vue": __vite_glob_0_24, "./pages/system/process.vue": __vite_glob_0_25, "./pages/system/processType.vue": __vite_glob_0_26, "./pages/system/role.vue": __vite_glob_0_27, "./pages/system/rolePropertyEdit.vue": __vite_glob_0_28, "./pages/system/sequenceSetting.vue": __vite_glob_0_29, "./pages/system/setting.vue": __vite_glob_0_30, "./pages/system/systemData.vue": __vite_glob_0_31, "./pages/system/tableView.vue": __vite_glob_0_32, "./pages/system/taskQueue.vue": __vite_glob_0_33, "./pages/system/user.vue": __vite_glob_0_34, "./pages/template/processPage.vue": __vite_glob_0_35, "./pages/template/reportPage.vue": __vite_glob_0_36, "./pages/template/viewPage.vue": __vite_glob_0_37 }), pages = {};
Object.keys(files).forEach((r) => {
  pages[r.replace(/(\.\/pages\/)/g, "")] = files[r].default;
});
const componentFiles = /* @__PURE__ */ Object.assign({ "./components/copyright/index.vue": __vite_glob_1_0, "./components/home/notice-list.vue": __vite_glob_1_1, "./components/home/shortcut.vue": __vite_glob_1_2, "./components/input/check-group.vue": __vite_glob_1_3, "./components/input/combo-select.vue": __vite_glob_1_4, "./components/input/dialog-select.vue": __vite_glob_1_5, "./components/input/item-select.vue": __vite_glob_1_6, "./components/link/i-link.vue": __vite_glob_1_7, "./components/loader/index.vue": __vite_glob_1_8, "./components/richEditor/index.vue": __vite_glob_1_9, "./components/upload/file-upload.vue": __vite_glob_1_10, "./components/upload/upload-attachment.vue": __vite_glob_1_11, "./components/upload/upload-image.vue": __vite_glob_1_12, "./components/view/column-check.vue": __vite_glob_1_13, "./components/view/column-edit.vue": __vite_glob_1_14, "./components/view/column-select.vue": __vite_glob_1_15, "./components/view/condition-edit.vue": __vite_glob_1_16, "./components/view/filter-edit.vue": __vite_glob_1_17, "./components/view/filter-setting.vue": __vite_glob_1_18, "./components/view/form-setting-layout.vue": __vite_glob_1_19, "./components/view/form-setting.vue": __vite_glob_1_20, "./components/view/group-column.vue": __vite_glob_1_21, "./components/view/group-method.vue": __vite_glob_1_22, "./components/view/modal-form-filter.vue": __vite_glob_1_23, "./components/view/modal-form-sort.vue": __vite_glob_1_24, "./components/view/modal-form.vue": __vite_glob_1_25, "./components/view/modal-table.vue": __vite_glob_1_26, "./components/view/table-filter.vue": __vite_glob_1_27, "./components/view/table-setting.vue": __vite_glob_1_28, "./components/view/view-chart.vue": __vite_glob_1_29, "./components/view/view-form-draggable.vue": __vite_glob_1_30, "./components/view/view-form.vue": __vite_glob_1_31, "./components/view/view-table.vue": __vite_glob_1_32, "./components/workflow/flow-chart.vue": __vite_glob_1_33, "./components/workflow/task-form.vue": __vite_glob_1_34 }), components = {};
Object.keys(componentFiles).forEach((r) => {
  components[r.replace(/(\.\/pages\/)/g, "").split("/").pop().split(".")[0]] = componentFiles[r].default;
});
const created = async (r, a, o, s) => {
  r.use(API), window && (window.$app = getCurrentInstance(), window.$app.$t = i18n$1.global.t, window.$app.$Message = r.config.globalProperties.$Message, window.$app.$Notice = r.config.globalProperties.$Notice), s && Object.keys(s).forEach((l) => {
    components[l.replace(/(\.\/pages\/)/g, "").split("/").pop().split(".")[0]] = s[l].default;
  }), Object.keys(components).forEach((l) => {
    r.component(l, components[l]);
  }), Object.keys(o).forEach((l) => {
    pages[l.replace(/(\.\/pages\/)/g, "")] = o[l].default;
  }), initRouter(pages, a), store.dispatch("admin/i18n/load", r), store.commit("admin/menu/setHeader", menuHeader), store.dispatch("admin/account/load"), r.config.globalProperties.$pages = pages;
};
export {
  App,
  applicationApi,
  index as basicLayout,
  components,
  created,
  customModelApi,
  dataSourceApi,
  API as default,
  i18n$1 as i18n,
  initRouter,
  lodop,
  mixinPage,
  modelApi,
  pages,
  service as request,
  router,
  Setting as setting,
  store,
  taskApi,
  util$2 as util
};
